#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1716
#define SYMBOL_COUNT 264
#define ALIAS_COUNT 5
#define TOKEN_COUNT 128
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 36
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  sym_import_path_segment = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_from = 10,
  anon_sym_var = 11,
  anon_sym_let = 12,
  anon_sym_const = 13,
  anon_sym_if = 14,
  anon_sym_else = 15,
  anon_sym_switch = 16,
  anon_sym_for = 17,
  anon_sym_LPAREN = 18,
  anon_sym_RPAREN = 19,
  anon_sym_await = 20,
  anon_sym_in = 21,
  anon_sym_of = 22,
  anon_sym_while = 23,
  anon_sym_do = 24,
  anon_sym_try = 25,
  anon_sym_with = 26,
  anon_sym_break = 27,
  anon_sym_continue = 28,
  anon_sym_debugger = 29,
  anon_sym_return = 30,
  anon_sym_throw = 31,
  anon_sym_SEMI = 32,
  anon_sym_COLON = 33,
  anon_sym_case = 34,
  anon_sym_default = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_STAR = 39,
  anon_sym_EQ = 40,
  anon_sym_LBRACK = 41,
  anon_sym_RBRACK = 42,
  anon_sym_LT = 43,
  anon_sym_GT = 44,
  anon_sym_SLASH = 45,
  sym_jsx_text = 46,
  sym_jsx_identifier = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_instanceof = 86,
  anon_sym_BANG = 87,
  anon_sym_TILDE = 88,
  anon_sym_typeof = 89,
  anon_sym_void = 90,
  anon_sym_delete = 91,
  anon_sym_PLUS_PLUS = 92,
  anon_sym_DASH_DASH = 93,
  anon_sym_DQUOTE = 94,
  aux_sym_string_token1 = 95,
  anon_sym_SQUOTE = 96,
  aux_sym_string_token2 = 97,
  sym_escape_sequence = 98,
  sym_comment = 99,
  anon_sym_BQUOTE = 100,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 101,
  anon_sym_DOLLAR_LBRACE = 102,
  anon_sym_SLASH2 = 103,
  sym_regex_pattern = 104,
  sym_regex_flags = 105,
  sym_number = 106,
  anon_sym_target = 107,
  sym_this = 108,
  sym_super = 109,
  sym_true = 110,
  sym_false = 111,
  sym_null = 112,
  sym_undefined = 113,
  anon_sym_AT = 114,
  anon_sym_static = 115,
  anon_sym_get = 116,
  anon_sym_set = 117,
  anon_sym_constructor = 118,
  anon_sym_component = 119,
  anon_sym_POUND = 120,
  anon_sym_instance = 121,
  anon_sym_id = 122,
  anon_sym_event = 123,
  anon_sym_fn = 124,
  anon_sym_on = 125,
  sym__automatic_semicolon = 126,
  sym__template_chars = 127,
  sym_program = 128,
  sym__declaration = 129,
  sym_import = 130,
  sym_import_path = 131,
  sym_import_statement = 132,
  sym_import_as = 133,
  sym_js_import_statement = 134,
  sym_expression_statement = 135,
  sym_variable_declaration = 136,
  sym_lexical_declaration = 137,
  sym_variable_declarator = 138,
  sym_statement_block = 139,
  sym_if_statement = 140,
  sym_switch_statement = 141,
  sym_for_statement = 142,
  sym_for_in_statement = 143,
  sym__for_header = 144,
  sym_while_statement = 145,
  sym_do_statement = 146,
  sym_try_statement = 147,
  sym_with_statement = 148,
  sym_break_statement = 149,
  sym_continue_statement = 150,
  sym_debugger_statement = 151,
  sym_return_statement = 152,
  sym_throw_statement = 153,
  sym_empty_statement = 154,
  sym_labeled_statement = 155,
  sym_switch_body = 156,
  sym_switch_case = 157,
  sym_switch_default = 158,
  sym_catch_clause = 159,
  sym_finally_clause = 160,
  sym_parenthesized_expression = 161,
  sym__expression = 162,
  sym_yield_expression = 163,
  sym_object = 164,
  sym_assignment_pattern = 165,
  sym_array = 166,
  sym_jsx_element = 167,
  sym_jsx_fragment = 168,
  sym_jsx_expression = 169,
  sym_jsx_opening_element = 170,
  sym_nested_identifier = 171,
  sym_jsx_namespace_name = 172,
  sym_jsx_closing_element = 173,
  sym_jsx_self_closing_element = 174,
  sym_jsx_attribute = 175,
  sym_class = 176,
  sym_class_declaration = 177,
  sym_class_heritage = 178,
  sym_function = 179,
  sym_function_declaration = 180,
  sym_generator_function = 181,
  sym_generator_function_declaration = 182,
  sym_arrow_function = 183,
  sym_call_expression = 184,
  sym_new_expression = 185,
  sym_await_expression = 186,
  sym_member_expression = 187,
  sym_subscript_expression = 188,
  sym_assignment_expression = 189,
  sym_augmented_assignment_expression = 190,
  sym__initializer = 191,
  sym_spread_element = 192,
  sym_ternary_expression = 193,
  sym_binary_expression = 194,
  sym_unary_expression = 195,
  sym_update_expression = 196,
  sym_sequence_expression = 197,
  sym_string = 198,
  sym_template_string = 199,
  sym_tagged_type_string = 200,
  sym_tripple_tagged_type_string = 201,
  sym_template_substitution = 202,
  sym_regex = 203,
  sym_meta_property = 204,
  sym_arguments = 205,
  sym_decorator = 206,
  sym_decorator_member_expression = 207,
  sym_decorator_call_expression = 208,
  sym_class_body = 209,
  sym_public_field_definition = 210,
  sym_formal_parameters = 211,
  sym_rest_parameter = 212,
  sym_method_definition = 213,
  sym_constructor_definition = 214,
  sym_component = 215,
  sym_component_declaration = 216,
  sym_component_heritage = 217,
  sym_component_identifier = 218,
  sym_component_instance = 219,
  sym_component_instance_statement = 220,
  sym_new_component_expression = 221,
  sym_new_tagged_component_expression = 222,
  sym_new_tripple_tagged_component_expression = 223,
  sym_new_component_body = 224,
  sym_component_body = 225,
  sym_formal_type_parameters = 226,
  sym_formal_type_parameter = 227,
  sym_property_declaration_initializer = 228,
  sym_property_declaration_name = 229,
  sym_property_declaration = 230,
  sym_property_expression_initializer = 231,
  sym_static_property_declaration = 232,
  sym_identifier_property_assignment = 233,
  sym_property_assignment_name = 234,
  sym_property_assignment_expression = 235,
  sym_property_assignment = 236,
  sym_property_accessor_declaration = 237,
  sym_event_declaration = 238,
  sym_typed_function_return_type = 239,
  sym_typed_method_declaration = 240,
  sym_listener_declaration = 241,
  sym_pair = 242,
  sym__property_name = 243,
  sym_computed_property_name = 244,
  aux_sym_program_repeat1 = 245,
  aux_sym_import_path_repeat1 = 246,
  aux_sym_js_import_statement_repeat1 = 247,
  aux_sym_variable_declaration_repeat1 = 248,
  aux_sym_switch_body_repeat1 = 249,
  aux_sym_object_repeat1 = 250,
  aux_sym_array_repeat1 = 251,
  aux_sym_jsx_element_repeat1 = 252,
  aux_sym_jsx_opening_element_repeat1 = 253,
  aux_sym_class_repeat1 = 254,
  aux_sym_string_repeat1 = 255,
  aux_sym_string_repeat2 = 256,
  aux_sym_template_string_repeat1 = 257,
  aux_sym_class_body_repeat1 = 258,
  aux_sym_formal_parameters_repeat1 = 259,
  aux_sym_component_heritage_repeat1 = 260,
  aux_sym_new_component_body_repeat1 = 261,
  aux_sym_component_body_repeat1 = 262,
  aux_sym_formal_type_parameters_repeat1 = 263,
  alias_sym_array_pattern = 264,
  alias_sym_object_pattern = 265,
  alias_sym_property_identifier = 266,
  alias_sym_shorthand_property_identifier = 267,
  alias_sym_statement_identifier = 268,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_import_path_segment] = "import_path_segment",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_STAR] = "*",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_constructor] = "constructor",
  [anon_sym_component] = "component",
  [anon_sym_POUND] = "#",
  [anon_sym_instance] = "instance",
  [anon_sym_id] = "id",
  [anon_sym_event] = "event",
  [anon_sym_fn] = "fn",
  [anon_sym_on] = "on",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym__declaration] = "_declaration",
  [sym_import] = "import",
  [sym_import_path] = "import_path",
  [sym_import_statement] = "import_statement",
  [sym_import_as] = "import_as",
  [sym_js_import_statement] = "js_import_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_tagged_type_string] = "tagged_type_string",
  [sym_tripple_tagged_type_string] = "tripple_tagged_type_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_constructor_definition] = "constructor_definition",
  [sym_component] = "component",
  [sym_component_declaration] = "component_declaration",
  [sym_component_heritage] = "component_heritage",
  [sym_component_identifier] = "component_identifier",
  [sym_component_instance] = "component_instance",
  [sym_component_instance_statement] = "component_instance_statement",
  [sym_new_component_expression] = "new_component_expression",
  [sym_new_tagged_component_expression] = "new_tagged_component_expression",
  [sym_new_tripple_tagged_component_expression] = "new_tripple_tagged_component_expression",
  [sym_new_component_body] = "new_component_body",
  [sym_component_body] = "component_body",
  [sym_formal_type_parameters] = "formal_type_parameters",
  [sym_formal_type_parameter] = "formal_type_parameter",
  [sym_property_declaration_initializer] = "property_declaration_initializer",
  [sym_property_declaration_name] = "property_declaration_name",
  [sym_property_declaration] = "property_declaration",
  [sym_property_expression_initializer] = "property_expression_initializer",
  [sym_static_property_declaration] = "static_property_declaration",
  [sym_identifier_property_assignment] = "identifier_property_assignment",
  [sym_property_assignment_name] = "property_assignment_name",
  [sym_property_assignment_expression] = "property_assignment_expression",
  [sym_property_assignment] = "property_assignment",
  [sym_property_accessor_declaration] = "property_accessor_declaration",
  [sym_event_declaration] = "event_declaration",
  [sym_typed_function_return_type] = "typed_function_return_type",
  [sym_typed_method_declaration] = "typed_method_declaration",
  [sym_listener_declaration] = "listener_declaration",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_import_path_repeat1] = "import_path_repeat1",
  [aux_sym_js_import_statement_repeat1] = "js_import_statement_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_class_repeat1] = "class_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_component_heritage_repeat1] = "component_heritage_repeat1",
  [aux_sym_new_component_body_repeat1] = "new_component_body_repeat1",
  [aux_sym_component_body_repeat1] = "component_body_repeat1",
  [aux_sym_formal_type_parameters_repeat1] = "formal_type_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_import_path_segment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_path] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_as] = {
    .visible = true,
    .named = true,
  },
  [sym_js_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_type_string] = {
    .visible = true,
    .named = true,
  },
  [sym_tripple_tagged_type_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_component] = {
    .visible = true,
    .named = true,
  },
  [sym_component_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_component_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_component_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_component_instance] = {
    .visible = true,
    .named = true,
  },
  [sym_component_instance_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_new_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_tagged_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_tripple_tagged_component_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_component_body] = {
    .visible = true,
    .named = true,
  },
  [sym_component_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration_name] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_expression_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_static_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_property_assignment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_property_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_property_accessor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_event_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_function_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_listener_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_js_import_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_component_heritage_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_new_component_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_component_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attribute = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constructor = 9,
  field_decorator = 10,
  field_finalizer = 11,
  field_flags = 12,
  field_function = 13,
  field_handler = 14,
  field_increment = 15,
  field_index = 16,
  field_initializer = 17,
  field_key = 18,
  field_label = 19,
  field_left = 20,
  field_member = 21,
  field_name = 22,
  field_object = 23,
  field_open_tag = 24,
  field_operator = 25,
  field_parameter = 26,
  field_parameter_type = 27,
  field_parameters = 28,
  field_pattern = 29,
  field_property = 30,
  field_relative = 31,
  field_return = 32,
  field_right = 33,
  field_source = 34,
  field_type = 35,
  field_value = 36,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameter_type] = "parameter_type",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_relative] = "relative",
  [field_return] = "return",
  [field_right] = "right",
  [field_source] = "source",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 2, .length = 1},
  [8] = {.index = 3, .length = 1},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 2},
  [12] = {.index = 7, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 11, .length = 2},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 2},
  [19] = {.index = 15, .length = 2},
  [20] = {.index = 15, .length = 2},
  [21] = {.index = 17, .length = 2},
  [22] = {.index = 19, .length = 2},
  [23] = {.index = 21, .length = 3},
  [26] = {.index = 24, .length = 2},
  [27] = {.index = 26, .length = 2},
  [28] = {.index = 28, .length = 2},
  [29] = {.index = 30, .length = 2},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 1},
  [32] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 1},
  [36] = {.index = 38, .length = 2},
  [37] = {.index = 40, .length = 1},
  [38] = {.index = 41, .length = 2},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 41, .length = 2},
  [46] = {.index = 44, .length = 2},
  [47] = {.index = 46, .length = 2},
  [48] = {.index = 52, .length = 2},
  [49] = {.index = 7, .length = 2},
  [50] = {.index = 54, .length = 3},
  [51] = {.index = 44, .length = 2},
  [52] = {.index = 44, .length = 2},
  [53] = {.index = 57, .length = 2},
  [54] = {.index = 59, .length = 2},
  [55] = {.index = 44, .length = 2},
  [56] = {.index = 61, .length = 2},
  [57] = {.index = 63, .length = 3},
  [58] = {.index = 66, .length = 1},
  [59] = {.index = 67, .length = 3},
  [60] = {.index = 70, .length = 3},
  [61] = {.index = 73, .length = 2},
  [62] = {.index = 75, .length = 2},
  [63] = {.index = 77, .length = 2},
  [64] = {.index = 79, .length = 1},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 1},
  [67] = {.index = 83, .length = 2},
  [68] = {.index = 85, .length = 2},
  [69] = {.index = 87, .length = 2},
  [70] = {.index = 89, .length = 2},
  [71] = {.index = 87, .length = 2},
  [72] = {.index = 91, .length = 2},
  [73] = {.index = 93, .length = 3},
  [74] = {.index = 96, .length = 2},
  [75] = {.index = 98, .length = 2},
  [76] = {.index = 100, .length = 2},
  [77] = {.index = 102, .length = 3},
  [78] = {.index = 105, .length = 2},
  [79] = {.index = 107, .length = 1},
  [80] = {.index = 108, .length = 3},
  [81] = {.index = 111, .length = 2},
  [82] = {.index = 113, .length = 2},
  [83] = {.index = 115, .length = 2},
  [84] = {.index = 117, .length = 3},
  [85] = {.index = 120, .length = 2},
  [86] = {.index = 122, .length = 2},
  [87] = {.index = 124, .length = 2},
  [88] = {.index = 126, .length = 3},
  [89] = {.index = 129, .length = 1},
  [90] = {.index = 130, .length = 3},
  [91] = {.index = 133, .length = 1},
  [92] = {.index = 134, .length = 2},
  [93] = {.index = 134, .length = 2},
  [94] = {.index = 136, .length = 3},
  [95] = {.index = 134, .length = 2},
  [96] = {.index = 134, .length = 2},
  [97] = {.index = 139, .length = 3},
  [98] = {.index = 142, .length = 2},
  [99] = {.index = 144, .length = 3},
  [100] = {.index = 147, .length = 1},
  [101] = {.index = 148, .length = 2},
  [102] = {.index = 148, .length = 2},
  [103] = {.index = 148, .length = 2},
  [104] = {.index = 148, .length = 2},
  [105] = {.index = 150, .length = 4},
  [106] = {.index = 154, .length = 2},
  [107] = {.index = 154, .length = 2},
  [108] = {.index = 154, .length = 2},
  [109] = {.index = 156, .length = 1},
  [110] = {.index = 156, .length = 1},
  [111] = {.index = 156, .length = 1},
  [112] = {.index = 156, .length = 1},
  [113] = {.index = 157, .length = 4},
  [114] = {.index = 161, .length = 4},
  [115] = {.index = 165, .length = 4},
  [116] = {.index = 169, .length = 3},
  [117] = {.index = 172, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_relative, 0},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [17] =
    {field_condition, 1},
    {field_consequence, 2},
  [19] =
    {field_body, 2},
    {field_value, 1},
  [21] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [24] =
    {field_body, 2},
    {field_condition, 1},
  [26] =
    {field_body, 1},
    {field_handler, 2},
  [28] =
    {field_body, 1},
    {field_finalizer, 2},
  [30] =
    {field_body, 2},
    {field_object, 1},
  [32] =
    {field_label, 1},
  [33] =
    {field_name, 1},
  [34] =
    {field_attribute, 0},
  [35] =
    {field_pattern, 1},
  [36] =
    {field_member, 0},
  [37] =
    {field_property, 0},
  [38] =
    {field_body, 2},
    {field_name, 1},
  [40] =
    {field_body, 2},
  [41] =
    {field_object, 0},
    {field_property, 2},
  [43] =
    {field_label, 0},
  [44] =
    {field_left, 0},
    {field_right, 2},
  [46] =
    {field_body, 2},
    {field_parameter, 0},
  [48] =
    {field_body, 2},
    {field_parameters, 1},
  [50] =
    {field_arguments, 2},
    {field_constructor, 1},
  [52] =
    {field_arguments, 2},
    {field_name, 0},
  [54] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [57] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [59] =
    {field_body, 2},
    {field_parameters, 0},
  [61] =
    {field_key, 0},
    {field_value, 2},
  [63] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [66] =
    {field_value, 1},
  [67] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [70] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [73] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [75] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [77] =
    {field_flags, 3},
    {field_pattern, 1},
  [79] =
    {field_property, 1},
  [80] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [82] =
    {field_member, 1, .inherited = true},
  [83] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [85] =
    {field_body, 3},
    {field_name, 1},
  [87] =
    {field_body, 3},
    {field_parameter, 1},
  [89] =
    {field_body, 3},
    {field_parameters, 2},
  [91] =
    {field_body, 3},
    {field_parameters, 1},
  [93] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [96] =
    {field_name, 1},
    {field_type, 0},
  [98] =
    {field_arguments, 3},
    {field_name, 0},
  [100] =
    {field_index, 2},
    {field_object, 0},
  [102] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [105] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [107] =
    {field_source, 4},
  [108] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [111] =
    {field_body, 1},
    {field_condition, 3},
  [113] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [115] =
    {field_body, 4},
    {field_parameters, 3},
  [117] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [120] =
    {field_name, 1},
    {field_parameters, 2},
  [122] =
    {field_arguments, 4},
    {field_name, 0},
  [124] =
    {field_body, 4},
    {field_name, 1},
  [126] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [129] =
    {field_name, 2},
  [130] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [133] =
    {field_source, 5},
  [134] =
    {field_left, 1},
    {field_right, 3},
  [136] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [139] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [142] =
    {field_name, 2},
    {field_type, 1},
  [144] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [147] =
    {field_source, 6},
  [148] =
    {field_left, 2},
    {field_right, 4},
  [150] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [154] =
    {field_body, 4},
    {field_parameter, 2},
  [156] =
    {field_parameter_type, 0},
  [157] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_return, 3},
  [161] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [165] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_return, 4},
  [169] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
  [172] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
    {field_return, 5},
};

static TSSymbol ts_alias_sequences[118][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [6] = {
    [0] = alias_sym_object_pattern,
  },
  [7] = {
    [0] = alias_sym_array_pattern,
  },
  [9] = {
    [1] = sym_identifier,
  },
  [13] = {
    [1] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [19] = {
    [0] = alias_sym_object_pattern,
  },
  [20] = {
    [0] = alias_sym_array_pattern,
  },
  [24] = {
    [1] = alias_sym_object_pattern,
  },
  [25] = {
    [1] = alias_sym_array_pattern,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [38] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [39] = {
    [0] = alias_sym_statement_identifier,
  },
  [40] = {
    [0] = sym_identifier,
  },
  [41] = {
    [0] = sym_identifier,
  },
  [43] = {
    [1] = sym_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [49] = {
    [0] = sym_identifier,
  },
  [51] = {
    [0] = alias_sym_object_pattern,
  },
  [52] = {
    [0] = alias_sym_array_pattern,
  },
  [55] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [69] = {
    [1] = sym_identifier,
  },
  [92] = {
    [1] = sym_identifier,
  },
  [95] = {
    [1] = alias_sym_object_pattern,
  },
  [96] = {
    [1] = alias_sym_array_pattern,
  },
  [101] = {
    [2] = sym_identifier,
  },
  [103] = {
    [2] = alias_sym_object_pattern,
  },
  [104] = {
    [2] = alias_sym_array_pattern,
  },
  [107] = {
    [2] = alias_sym_object_pattern,
  },
  [108] = {
    [2] = alias_sym_array_pattern,
  },
  [109] = {
    [1] = sym_identifier,
  },
  [111] = {
    [1] = alias_sym_object_pattern,
  },
  [112] = {
    [1] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lookahead == 0;
  switch (state) {
    case 0:
      if (eof) ADVANCE(89);
      if (lookahead == '!') ADVANCE(191);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(268);
      if (lookahead == '$') ADVANCE(264);
      if (lookahead == '%') ADVANCE(176);
      if (lookahead == '&') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(120);
      if (lookahead == '+') ADVANCE(171);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(223);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '@') ADVANCE(266);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '`') ADVANCE(220);
      if (lookahead == 'a') ADVANCE(262);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(168);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(86)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(265);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(208);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(204);
      if (lookahead == '\r') ADVANCE(211);
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(215);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(201);
      if (lookahead != 0) ADVANCE(202);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(197);
      if (lookahead == '\r') ADVANCE(212);
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(215);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(31)
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(224);
      if (lookahead != 0) ADVANCE(225);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(90);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(190);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '*') ADVANCE(119);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '@') ADVANCE(266);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(265);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '%') ADVANCE(176);
      if (lookahead == '&') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(120);
      if (lookahead == '+') ADVANCE(171);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(168);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(265);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(51);
      if (lookahead == '%') ADVANCE(176);
      if (lookahead == '&') ADVANCE(165);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(120);
      if (lookahead == '+') ADVANCE(171);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'i') ADVANCE(42);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(168);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '$') ADVANCE(51);
      if (lookahead == '%') ADVANCE(176);
      if (lookahead == '&') ADVANCE(165);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(120);
      if (lookahead == '+') ADVANCE(171);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'i') ADVANCE(42);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(168);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(42);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(34);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(42);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(34);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(239);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(174);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(34);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(98);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(103);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(34);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(265);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(33);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(34);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(230);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(265);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(223);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '`') ADVANCE(220);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      if (lookahead != 0 &&
          lookahead != '!' &&
          lookahead != '"' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(265);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '`') ADVANCE(220);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      if (lookahead != 0 &&
          lookahead != '!' &&
          lookahead != '"' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(265);
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(51);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == '`') ADVANCE(36);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      END_STATE();
    case 21:
      if (lookahead == '$') ADVANCE(51);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '`') ADVANCE(36);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      END_STATE();
    case 22:
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(218);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(216);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(154);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(28)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(254);
      if (lookahead != 0 &&
          (lookahead < '!' || '~' < lookahead)) ADVANCE(265);
      END_STATE();
    case 29:
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'a') ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(29)
      if (lookahead != 0 &&
          (lookahead < '!' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          (lookahead < '.' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(103);
      END_STATE();
    case 30:
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(30)
      if (lookahead != 0 &&
          (lookahead < '!' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          (lookahead < '.' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(103);
      END_STATE();
    case 31:
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(139);
      END_STATE();
    case 33:
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 34:
      if (lookahead == '=') ADVANCE(180);
      END_STATE();
    case 35:
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(35);
      END_STATE();
    case 36:
      if (lookahead == '`') ADVANCE(37);
      END_STATE();
    case 37:
      if (lookahead == '`') ADVANCE(221);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(40);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(185);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(115);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(39);
      END_STATE();
    case 44:
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(104);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(38);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(215);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(215);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 51:
      if (lookahead == '{') ADVANCE(222);
      END_STATE();
    case 52:
      if (lookahead == '{') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 53:
      if (lookahead == '{') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 54:
      if (lookahead == '{') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 55:
      if (lookahead == '{') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 56:
      if (lookahead == '}') ADVANCE(265);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '}') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '}') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 59:
      if (lookahead == '}') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 60:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 61:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(247);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(248);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(250);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(265);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(210);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(249);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(71);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 84:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(35);
      END_STATE();
    case 85:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(225);
      END_STATE();
    case 86:
      if (eof) ADVANCE(89);
      if (lookahead == '!') ADVANCE(191);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(268);
      if (lookahead == '$') ADVANCE(264);
      if (lookahead == '%') ADVANCE(176);
      if (lookahead == '&') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(120);
      if (lookahead == '+') ADVANCE(171);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '@') ADVANCE(266);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '`') ADVANCE(220);
      if (lookahead == 'a') ADVANCE(262);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(168);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(86)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(265);
      END_STATE();
    case 87:
      if (eof) ADVANCE(89);
      if (lookahead == '!') ADVANCE(191);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '%') ADVANCE(175);
      if (lookahead == '&') ADVANCE(164);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(132);
      if (lookahead == '?') ADVANCE(155);
      if (lookahead == '@') ADVANCE(266);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(169);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(87)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0) ADVANCE(265);
      END_STATE();
    case 88:
      if (eof) ADVANCE(89);
      if (lookahead == '!') ADVANCE(190);
      if (lookahead == '"') ADVANCE(196);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '\'') ADVANCE(203);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(119);
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '/') ADVANCE(133);
      if (lookahead == '0') ADVANCE(245);
      if (lookahead == ':') ADVANCE(118);
      if (lookahead == ';') ADVANCE(117);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '@') ADVANCE(266);
      if (lookahead == '[') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(126);
      if (lookahead == '`') ADVANCE(219);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '}') ADVANCE(109);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(88)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(265);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'a') ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'c') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'f') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(114);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(95);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 's') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 't') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_import_path_segment);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 's') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 's') ADVANCE(233);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == 's') ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(242);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(180);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(163);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(162);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(158);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(218);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(218);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(137);
      if (lookahead == '/') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(139);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '/') ADVANCE(216);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(25);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(25);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(150);
      if (lookahead == '>') ADVANCE(161);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(156);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(149);
      if (lookahead == '|') ADVANCE(157);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(157);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(193);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(194);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(181);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(48);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || ',' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(103);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(202);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(202);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(207);
      if (lookahead == '/') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '/') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(207);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(204);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(197);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(210);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(214);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(218);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(37);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(218);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(225);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'a') ADVANCE(231);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'c') ADVANCE(228);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(232);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'f') ADVANCE(186);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(113);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(227);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(229);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 't') ADVANCE(226);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(48);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(234);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(240);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(237);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(241);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(189);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(116);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(236);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(238);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(235);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(253);
      if (lookahead == '0') ADVANCE(250);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(62);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(69);
      if (lookahead == '_') ADVANCE(65);
      if (lookahead == 'n') ADVANCE(244);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(253);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'n') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'n') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(65);
      if (lookahead == 'n') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(250);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == '_') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(252);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(254);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'a') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'c') ADVANCE(257);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'f') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(256);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 's') ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == 't') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '{') ADVANCE(222);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(90);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lookahead == 0;
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'v') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      if (lookahead == 'r') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 8:
      if (lookahead == 'd') ADVANCE(37);
      if (lookahead == 'f') ADVANCE(38);
      if (lookahead == 'm') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(47);
      if (lookahead == 't') ADVANCE(48);
      if (lookahead == 'u') ADVANCE(49);
      if (lookahead == 'w') ADVANCE(50);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'r') ADVANCE(53);
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(56);
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(58);
      if (lookahead == 'i') ADVANCE(59);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 19:
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(64);
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 24:
      if (lookahead == 'm') ADVANCE(67);
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(69);
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 34:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(79);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 42:
      if (lookahead == 'w') ADVANCE(84);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(92);
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 55:
      if (lookahead == 'd') ADVANCE(97);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(98);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(110);
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(120);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(122);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'g') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 93:
      if (lookahead == 'o') ADVANCE(131);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 99:
      if (lookahead == 'd') ADVANCE(135);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(137);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 103:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 105:
      if (lookahead == 'k') ADVANCE(141);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 107:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 109:
      if (lookahead == 'o') ADVANCE(144);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(146);
      END_STATE();
    case 112:
      if (lookahead == 'g') ADVANCE(147);
      END_STATE();
    case 113:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 122:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(156);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(157);
      END_STATE();
    case 126:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 131:
      if (lookahead == 'w') ADVANCE(162);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 133:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(164);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 138:
      if (lookahead == 'd') ADVANCE(166);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 144:
      if (lookahead == 'n') ADVANCE(167);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'r') ADVANCE(168);
      END_STATE();
    case 146:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 147:
      if (lookahead == 'g') ADVANCE(170);
      END_STATE();
    case 148:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 151:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 156:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 160:
      if (lookahead == 'h') ADVANCE(180);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 163:
      if (lookahead == 'f') ADVANCE(182);
      END_STATE();
    case 164:
      if (lookahead == 'i') ADVANCE(183);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 168:
      if (lookahead == 'u') ADVANCE(185);
      END_STATE();
    case 169:
      if (lookahead == 'u') ADVANCE(186);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(189);
      END_STATE();
    case 174:
      if (lookahead == 'y') ADVANCE(190);
      END_STATE();
    case 175:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 177:
      if (lookahead == 'c') ADVANCE(192);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(194);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 187:
      if (lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(198);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_instance);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(203);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 202:
      if (lookahead == 'o') ADVANCE(204);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 88},
  [2] = {.lex_state = 88},
  [3] = {.lex_state = 88},
  [4] = {.lex_state = 88},
  [5] = {.lex_state = 88},
  [6] = {.lex_state = 88},
  [7] = {.lex_state = 88},
  [8] = {.lex_state = 88},
  [9] = {.lex_state = 88},
  [10] = {.lex_state = 88},
  [11] = {.lex_state = 88},
  [12] = {.lex_state = 88},
  [13] = {.lex_state = 88},
  [14] = {.lex_state = 88},
  [15] = {.lex_state = 88},
  [16] = {.lex_state = 88},
  [17] = {.lex_state = 88},
  [18] = {.lex_state = 88},
  [19] = {.lex_state = 88},
  [20] = {.lex_state = 88},
  [21] = {.lex_state = 88},
  [22] = {.lex_state = 88},
  [23] = {.lex_state = 88},
  [24] = {.lex_state = 88},
  [25] = {.lex_state = 88},
  [26] = {.lex_state = 88},
  [27] = {.lex_state = 88},
  [28] = {.lex_state = 88},
  [29] = {.lex_state = 88},
  [30] = {.lex_state = 88},
  [31] = {.lex_state = 88},
  [32] = {.lex_state = 88},
  [33] = {.lex_state = 88},
  [34] = {.lex_state = 88},
  [35] = {.lex_state = 88},
  [36] = {.lex_state = 88},
  [37] = {.lex_state = 88},
  [38] = {.lex_state = 88},
  [39] = {.lex_state = 88},
  [40] = {.lex_state = 88},
  [41] = {.lex_state = 88},
  [42] = {.lex_state = 88},
  [43] = {.lex_state = 88},
  [44] = {.lex_state = 88},
  [45] = {.lex_state = 88},
  [46] = {.lex_state = 88},
  [47] = {.lex_state = 88},
  [48] = {.lex_state = 87},
  [49] = {.lex_state = 87},
  [50] = {.lex_state = 87},
  [51] = {.lex_state = 87, .external_lex_state = 2},
  [52] = {.lex_state = 87, .external_lex_state = 2},
  [53] = {.lex_state = 87, .external_lex_state = 2},
  [54] = {.lex_state = 87, .external_lex_state = 2},
  [55] = {.lex_state = 87, .external_lex_state = 2},
  [56] = {.lex_state = 87, .external_lex_state = 2},
  [57] = {.lex_state = 87, .external_lex_state = 2},
  [58] = {.lex_state = 87, .external_lex_state = 2},
  [59] = {.lex_state = 87, .external_lex_state = 2},
  [60] = {.lex_state = 87, .external_lex_state = 2},
  [61] = {.lex_state = 87, .external_lex_state = 2},
  [62] = {.lex_state = 87, .external_lex_state = 2},
  [63] = {.lex_state = 87, .external_lex_state = 2},
  [64] = {.lex_state = 87, .external_lex_state = 2},
  [65] = {.lex_state = 87, .external_lex_state = 2},
  [66] = {.lex_state = 87, .external_lex_state = 2},
  [67] = {.lex_state = 87, .external_lex_state = 2},
  [68] = {.lex_state = 87, .external_lex_state = 2},
  [69] = {.lex_state = 87, .external_lex_state = 2},
  [70] = {.lex_state = 87, .external_lex_state = 2},
  [71] = {.lex_state = 87, .external_lex_state = 2},
  [72] = {.lex_state = 87, .external_lex_state = 2},
  [73] = {.lex_state = 87, .external_lex_state = 2},
  [74] = {.lex_state = 87, .external_lex_state = 2},
  [75] = {.lex_state = 88},
  [76] = {.lex_state = 88},
  [77] = {.lex_state = 88},
  [78] = {.lex_state = 88},
  [79] = {.lex_state = 88},
  [80] = {.lex_state = 88},
  [81] = {.lex_state = 88},
  [82] = {.lex_state = 88},
  [83] = {.lex_state = 88},
  [84] = {.lex_state = 88},
  [85] = {.lex_state = 88},
  [86] = {.lex_state = 88},
  [87] = {.lex_state = 88},
  [88] = {.lex_state = 88},
  [89] = {.lex_state = 88},
  [90] = {.lex_state = 88},
  [91] = {.lex_state = 88},
  [92] = {.lex_state = 88},
  [93] = {.lex_state = 88},
  [94] = {.lex_state = 88},
  [95] = {.lex_state = 88},
  [96] = {.lex_state = 88, .external_lex_state = 2},
  [97] = {.lex_state = 88},
  [98] = {.lex_state = 88},
  [99] = {.lex_state = 88},
  [100] = {.lex_state = 88},
  [101] = {.lex_state = 88},
  [102] = {.lex_state = 88},
  [103] = {.lex_state = 88},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 88},
  [106] = {.lex_state = 88},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 88},
  [109] = {.lex_state = 88},
  [110] = {.lex_state = 88},
  [111] = {.lex_state = 88},
  [112] = {.lex_state = 88},
  [113] = {.lex_state = 88},
  [114] = {.lex_state = 88},
  [115] = {.lex_state = 88},
  [116] = {.lex_state = 88},
  [117] = {.lex_state = 88},
  [118] = {.lex_state = 88},
  [119] = {.lex_state = 88},
  [120] = {.lex_state = 88},
  [121] = {.lex_state = 88},
  [122] = {.lex_state = 88},
  [123] = {.lex_state = 88},
  [124] = {.lex_state = 88},
  [125] = {.lex_state = 88},
  [126] = {.lex_state = 88},
  [127] = {.lex_state = 88},
  [128] = {.lex_state = 88},
  [129] = {.lex_state = 88},
  [130] = {.lex_state = 88},
  [131] = {.lex_state = 88},
  [132] = {.lex_state = 88},
  [133] = {.lex_state = 88},
  [134] = {.lex_state = 88},
  [135] = {.lex_state = 88},
  [136] = {.lex_state = 88},
  [137] = {.lex_state = 88},
  [138] = {.lex_state = 88},
  [139] = {.lex_state = 88},
  [140] = {.lex_state = 88},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 88},
  [143] = {.lex_state = 88},
  [144] = {.lex_state = 88},
  [145] = {.lex_state = 88},
  [146] = {.lex_state = 88},
  [147] = {.lex_state = 88},
  [148] = {.lex_state = 88},
  [149] = {.lex_state = 88},
  [150] = {.lex_state = 88},
  [151] = {.lex_state = 7},
  [152] = {.lex_state = 88},
  [153] = {.lex_state = 88},
  [154] = {.lex_state = 88},
  [155] = {.lex_state = 88},
  [156] = {.lex_state = 88},
  [157] = {.lex_state = 88},
  [158] = {.lex_state = 88},
  [159] = {.lex_state = 88},
  [160] = {.lex_state = 88},
  [161] = {.lex_state = 88},
  [162] = {.lex_state = 88},
  [163] = {.lex_state = 88},
  [164] = {.lex_state = 88},
  [165] = {.lex_state = 88},
  [166] = {.lex_state = 88},
  [167] = {.lex_state = 88},
  [168] = {.lex_state = 88},
  [169] = {.lex_state = 88},
  [170] = {.lex_state = 88},
  [171] = {.lex_state = 88},
  [172] = {.lex_state = 88},
  [173] = {.lex_state = 88},
  [174] = {.lex_state = 88},
  [175] = {.lex_state = 88},
  [176] = {.lex_state = 88},
  [177] = {.lex_state = 88},
  [178] = {.lex_state = 88},
  [179] = {.lex_state = 88},
  [180] = {.lex_state = 88},
  [181] = {.lex_state = 88},
  [182] = {.lex_state = 88},
  [183] = {.lex_state = 88},
  [184] = {.lex_state = 88},
  [185] = {.lex_state = 88},
  [186] = {.lex_state = 88},
  [187] = {.lex_state = 88},
  [188] = {.lex_state = 88},
  [189] = {.lex_state = 88},
  [190] = {.lex_state = 88},
  [191] = {.lex_state = 88},
  [192] = {.lex_state = 88},
  [193] = {.lex_state = 88},
  [194] = {.lex_state = 88},
  [195] = {.lex_state = 88},
  [196] = {.lex_state = 88},
  [197] = {.lex_state = 88},
  [198] = {.lex_state = 88},
  [199] = {.lex_state = 88},
  [200] = {.lex_state = 88},
  [201] = {.lex_state = 88},
  [202] = {.lex_state = 88},
  [203] = {.lex_state = 88},
  [204] = {.lex_state = 88},
  [205] = {.lex_state = 88},
  [206] = {.lex_state = 88},
  [207] = {.lex_state = 88},
  [208] = {.lex_state = 88},
  [209] = {.lex_state = 88},
  [210] = {.lex_state = 88},
  [211] = {.lex_state = 88},
  [212] = {.lex_state = 88},
  [213] = {.lex_state = 88},
  [214] = {.lex_state = 88},
  [215] = {.lex_state = 88},
  [216] = {.lex_state = 88},
  [217] = {.lex_state = 88},
  [218] = {.lex_state = 88},
  [219] = {.lex_state = 88},
  [220] = {.lex_state = 88},
  [221] = {.lex_state = 88},
  [222] = {.lex_state = 88},
  [223] = {.lex_state = 88},
  [224] = {.lex_state = 88},
  [225] = {.lex_state = 88},
  [226] = {.lex_state = 88},
  [227] = {.lex_state = 88},
  [228] = {.lex_state = 88},
  [229] = {.lex_state = 88},
  [230] = {.lex_state = 88},
  [231] = {.lex_state = 88},
  [232] = {.lex_state = 88},
  [233] = {.lex_state = 88},
  [234] = {.lex_state = 88},
  [235] = {.lex_state = 88},
  [236] = {.lex_state = 88},
  [237] = {.lex_state = 88},
  [238] = {.lex_state = 88},
  [239] = {.lex_state = 88},
  [240] = {.lex_state = 88},
  [241] = {.lex_state = 88},
  [242] = {.lex_state = 88},
  [243] = {.lex_state = 88},
  [244] = {.lex_state = 88},
  [245] = {.lex_state = 88},
  [246] = {.lex_state = 88},
  [247] = {.lex_state = 88},
  [248] = {.lex_state = 88},
  [249] = {.lex_state = 88},
  [250] = {.lex_state = 88},
  [251] = {.lex_state = 88},
  [252] = {.lex_state = 88},
  [253] = {.lex_state = 88},
  [254] = {.lex_state = 88},
  [255] = {.lex_state = 88},
  [256] = {.lex_state = 88},
  [257] = {.lex_state = 88, .external_lex_state = 2},
  [258] = {.lex_state = 88, .external_lex_state = 2},
  [259] = {.lex_state = 88},
  [260] = {.lex_state = 88},
  [261] = {.lex_state = 8, .external_lex_state = 2},
  [262] = {.lex_state = 88},
  [263] = {.lex_state = 8, .external_lex_state = 2},
  [264] = {.lex_state = 8, .external_lex_state = 2},
  [265] = {.lex_state = 88},
  [266] = {.lex_state = 88},
  [267] = {.lex_state = 88},
  [268] = {.lex_state = 88},
  [269] = {.lex_state = 88},
  [270] = {.lex_state = 88},
  [271] = {.lex_state = 88},
  [272] = {.lex_state = 8},
  [273] = {.lex_state = 88},
  [274] = {.lex_state = 88},
  [275] = {.lex_state = 88},
  [276] = {.lex_state = 88},
  [277] = {.lex_state = 8, .external_lex_state = 2},
  [278] = {.lex_state = 8},
  [279] = {.lex_state = 8, .external_lex_state = 2},
  [280] = {.lex_state = 8, .external_lex_state = 2},
  [281] = {.lex_state = 8, .external_lex_state = 2},
  [282] = {.lex_state = 8, .external_lex_state = 2},
  [283] = {.lex_state = 8, .external_lex_state = 2},
  [284] = {.lex_state = 88},
  [285] = {.lex_state = 8},
  [286] = {.lex_state = 88},
  [287] = {.lex_state = 88},
  [288] = {.lex_state = 88},
  [289] = {.lex_state = 88},
  [290] = {.lex_state = 88},
  [291] = {.lex_state = 88},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 88},
  [294] = {.lex_state = 88},
  [295] = {.lex_state = 88},
  [296] = {.lex_state = 88},
  [297] = {.lex_state = 88},
  [298] = {.lex_state = 88},
  [299] = {.lex_state = 88},
  [300] = {.lex_state = 88},
  [301] = {.lex_state = 8},
  [302] = {.lex_state = 88},
  [303] = {.lex_state = 8},
  [304] = {.lex_state = 88},
  [305] = {.lex_state = 88},
  [306] = {.lex_state = 88},
  [307] = {.lex_state = 88},
  [308] = {.lex_state = 88},
  [309] = {.lex_state = 88},
  [310] = {.lex_state = 88},
  [311] = {.lex_state = 88},
  [312] = {.lex_state = 88},
  [313] = {.lex_state = 88},
  [314] = {.lex_state = 88},
  [315] = {.lex_state = 88},
  [316] = {.lex_state = 88},
  [317] = {.lex_state = 88},
  [318] = {.lex_state = 88},
  [319] = {.lex_state = 88},
  [320] = {.lex_state = 88},
  [321] = {.lex_state = 88},
  [322] = {.lex_state = 88},
  [323] = {.lex_state = 88},
  [324] = {.lex_state = 88},
  [325] = {.lex_state = 88},
  [326] = {.lex_state = 88},
  [327] = {.lex_state = 88},
  [328] = {.lex_state = 88},
  [329] = {.lex_state = 88},
  [330] = {.lex_state = 88},
  [331] = {.lex_state = 8},
  [332] = {.lex_state = 88},
  [333] = {.lex_state = 88},
  [334] = {.lex_state = 88},
  [335] = {.lex_state = 88},
  [336] = {.lex_state = 88},
  [337] = {.lex_state = 88},
  [338] = {.lex_state = 88},
  [339] = {.lex_state = 88},
  [340] = {.lex_state = 88},
  [341] = {.lex_state = 88},
  [342] = {.lex_state = 88},
  [343] = {.lex_state = 88},
  [344] = {.lex_state = 88},
  [345] = {.lex_state = 88},
  [346] = {.lex_state = 8},
  [347] = {.lex_state = 8},
  [348] = {.lex_state = 8},
  [349] = {.lex_state = 8},
  [350] = {.lex_state = 8, .external_lex_state = 2},
  [351] = {.lex_state = 8},
  [352] = {.lex_state = 8},
  [353] = {.lex_state = 8},
  [354] = {.lex_state = 9, .external_lex_state = 2},
  [355] = {.lex_state = 9},
  [356] = {.lex_state = 8, .external_lex_state = 2},
  [357] = {.lex_state = 9, .external_lex_state = 2},
  [358] = {.lex_state = 8, .external_lex_state = 2},
  [359] = {.lex_state = 8},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 8, .external_lex_state = 2},
  [362] = {.lex_state = 9, .external_lex_state = 2},
  [363] = {.lex_state = 8},
  [364] = {.lex_state = 8, .external_lex_state = 2},
  [365] = {.lex_state = 8},
  [366] = {.lex_state = 8},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 9, .external_lex_state = 2},
  [370] = {.lex_state = 8, .external_lex_state = 2},
  [371] = {.lex_state = 9},
  [372] = {.lex_state = 88},
  [373] = {.lex_state = 8, .external_lex_state = 2},
  [374] = {.lex_state = 9, .external_lex_state = 2},
  [375] = {.lex_state = 9, .external_lex_state = 2},
  [376] = {.lex_state = 9, .external_lex_state = 2},
  [377] = {.lex_state = 88},
  [378] = {.lex_state = 88},
  [379] = {.lex_state = 88},
  [380] = {.lex_state = 88},
  [381] = {.lex_state = 88},
  [382] = {.lex_state = 88},
  [383] = {.lex_state = 8},
  [384] = {.lex_state = 88},
  [385] = {.lex_state = 88},
  [386] = {.lex_state = 8},
  [387] = {.lex_state = 9},
  [388] = {.lex_state = 8},
  [389] = {.lex_state = 8},
  [390] = {.lex_state = 9},
  [391] = {.lex_state = 8},
  [392] = {.lex_state = 8, .external_lex_state = 2},
  [393] = {.lex_state = 9},
  [394] = {.lex_state = 8},
  [395] = {.lex_state = 8},
  [396] = {.lex_state = 8},
  [397] = {.lex_state = 9},
  [398] = {.lex_state = 9, .external_lex_state = 2},
  [399] = {.lex_state = 9},
  [400] = {.lex_state = 8},
  [401] = {.lex_state = 8},
  [402] = {.lex_state = 8},
  [403] = {.lex_state = 8, .external_lex_state = 2},
  [404] = {.lex_state = 8, .external_lex_state = 2},
  [405] = {.lex_state = 8, .external_lex_state = 2},
  [406] = {.lex_state = 9},
  [407] = {.lex_state = 8, .external_lex_state = 2},
  [408] = {.lex_state = 9, .external_lex_state = 2},
  [409] = {.lex_state = 9, .external_lex_state = 2},
  [410] = {.lex_state = 8, .external_lex_state = 2},
  [411] = {.lex_state = 9, .external_lex_state = 2},
  [412] = {.lex_state = 9, .external_lex_state = 2},
  [413] = {.lex_state = 8, .external_lex_state = 2},
  [414] = {.lex_state = 9, .external_lex_state = 2},
  [415] = {.lex_state = 9},
  [416] = {.lex_state = 8},
  [417] = {.lex_state = 8},
  [418] = {.lex_state = 87},
  [419] = {.lex_state = 87},
  [420] = {.lex_state = 8},
  [421] = {.lex_state = 87},
  [422] = {.lex_state = 87},
  [423] = {.lex_state = 87},
  [424] = {.lex_state = 87},
  [425] = {.lex_state = 87},
  [426] = {.lex_state = 87},
  [427] = {.lex_state = 87},
  [428] = {.lex_state = 87, .external_lex_state = 2},
  [429] = {.lex_state = 87},
  [430] = {.lex_state = 87},
  [431] = {.lex_state = 87},
  [432] = {.lex_state = 8},
  [433] = {.lex_state = 87},
  [434] = {.lex_state = 87},
  [435] = {.lex_state = 87},
  [436] = {.lex_state = 87, .external_lex_state = 2},
  [437] = {.lex_state = 87},
  [438] = {.lex_state = 87},
  [439] = {.lex_state = 87},
  [440] = {.lex_state = 87},
  [441] = {.lex_state = 87},
  [442] = {.lex_state = 87},
  [443] = {.lex_state = 87},
  [444] = {.lex_state = 87},
  [445] = {.lex_state = 87},
  [446] = {.lex_state = 87},
  [447] = {.lex_state = 87},
  [448] = {.lex_state = 87},
  [449] = {.lex_state = 87},
  [450] = {.lex_state = 87},
  [451] = {.lex_state = 87},
  [452] = {.lex_state = 87},
  [453] = {.lex_state = 87},
  [454] = {.lex_state = 87},
  [455] = {.lex_state = 16},
  [456] = {.lex_state = 87},
  [457] = {.lex_state = 87},
  [458] = {.lex_state = 87},
  [459] = {.lex_state = 87},
  [460] = {.lex_state = 87},
  [461] = {.lex_state = 87},
  [462] = {.lex_state = 87},
  [463] = {.lex_state = 87},
  [464] = {.lex_state = 87, .external_lex_state = 2},
  [465] = {.lex_state = 87},
  [466] = {.lex_state = 87, .external_lex_state = 2},
  [467] = {.lex_state = 87},
  [468] = {.lex_state = 87},
  [469] = {.lex_state = 87},
  [470] = {.lex_state = 87},
  [471] = {.lex_state = 87},
  [472] = {.lex_state = 87},
  [473] = {.lex_state = 87},
  [474] = {.lex_state = 87},
  [475] = {.lex_state = 87},
  [476] = {.lex_state = 87},
  [477] = {.lex_state = 87},
  [478] = {.lex_state = 87},
  [479] = {.lex_state = 87},
  [480] = {.lex_state = 87},
  [481] = {.lex_state = 87},
  [482] = {.lex_state = 87},
  [483] = {.lex_state = 87},
  [484] = {.lex_state = 87},
  [485] = {.lex_state = 87},
  [486] = {.lex_state = 87},
  [487] = {.lex_state = 87},
  [488] = {.lex_state = 87},
  [489] = {.lex_state = 87},
  [490] = {.lex_state = 87},
  [491] = {.lex_state = 87},
  [492] = {.lex_state = 87},
  [493] = {.lex_state = 87},
  [494] = {.lex_state = 87},
  [495] = {.lex_state = 87},
  [496] = {.lex_state = 87},
  [497] = {.lex_state = 87},
  [498] = {.lex_state = 87},
  [499] = {.lex_state = 87},
  [500] = {.lex_state = 87},
  [501] = {.lex_state = 87},
  [502] = {.lex_state = 87},
  [503] = {.lex_state = 87},
  [504] = {.lex_state = 87},
  [505] = {.lex_state = 87},
  [506] = {.lex_state = 87},
  [507] = {.lex_state = 87},
  [508] = {.lex_state = 87},
  [509] = {.lex_state = 87},
  [510] = {.lex_state = 87},
  [511] = {.lex_state = 87},
  [512] = {.lex_state = 87},
  [513] = {.lex_state = 87},
  [514] = {.lex_state = 87},
  [515] = {.lex_state = 87},
  [516] = {.lex_state = 87},
  [517] = {.lex_state = 87},
  [518] = {.lex_state = 87},
  [519] = {.lex_state = 87},
  [520] = {.lex_state = 87},
  [521] = {.lex_state = 87},
  [522] = {.lex_state = 87},
  [523] = {.lex_state = 87},
  [524] = {.lex_state = 87},
  [525] = {.lex_state = 87},
  [526] = {.lex_state = 87},
  [527] = {.lex_state = 87},
  [528] = {.lex_state = 87},
  [529] = {.lex_state = 87},
  [530] = {.lex_state = 87},
  [531] = {.lex_state = 87},
  [532] = {.lex_state = 87},
  [533] = {.lex_state = 87},
  [534] = {.lex_state = 87},
  [535] = {.lex_state = 87},
  [536] = {.lex_state = 87},
  [537] = {.lex_state = 87},
  [538] = {.lex_state = 87},
  [539] = {.lex_state = 87},
  [540] = {.lex_state = 87},
  [541] = {.lex_state = 87},
  [542] = {.lex_state = 87},
  [543] = {.lex_state = 87},
  [544] = {.lex_state = 87},
  [545] = {.lex_state = 87},
  [546] = {.lex_state = 87},
  [547] = {.lex_state = 87},
  [548] = {.lex_state = 87},
  [549] = {.lex_state = 87},
  [550] = {.lex_state = 87},
  [551] = {.lex_state = 87},
  [552] = {.lex_state = 87},
  [553] = {.lex_state = 87, .external_lex_state = 2},
  [554] = {.lex_state = 87},
  [555] = {.lex_state = 87},
  [556] = {.lex_state = 87},
  [557] = {.lex_state = 16},
  [558] = {.lex_state = 87},
  [559] = {.lex_state = 87},
  [560] = {.lex_state = 87},
  [561] = {.lex_state = 87},
  [562] = {.lex_state = 87},
  [563] = {.lex_state = 87},
  [564] = {.lex_state = 87},
  [565] = {.lex_state = 87},
  [566] = {.lex_state = 11},
  [567] = {.lex_state = 11},
  [568] = {.lex_state = 11, .external_lex_state = 2},
  [569] = {.lex_state = 11},
  [570] = {.lex_state = 11},
  [571] = {.lex_state = 11},
  [572] = {.lex_state = 11},
  [573] = {.lex_state = 11},
  [574] = {.lex_state = 11},
  [575] = {.lex_state = 11},
  [576] = {.lex_state = 11},
  [577] = {.lex_state = 11},
  [578] = {.lex_state = 11},
  [579] = {.lex_state = 87},
  [580] = {.lex_state = 87},
  [581] = {.lex_state = 87},
  [582] = {.lex_state = 11},
  [583] = {.lex_state = 11},
  [584] = {.lex_state = 87},
  [585] = {.lex_state = 11},
  [586] = {.lex_state = 87},
  [587] = {.lex_state = 11},
  [588] = {.lex_state = 87},
  [589] = {.lex_state = 11},
  [590] = {.lex_state = 11},
  [591] = {.lex_state = 11},
  [592] = {.lex_state = 11},
  [593] = {.lex_state = 11},
  [594] = {.lex_state = 11},
  [595] = {.lex_state = 87},
  [596] = {.lex_state = 11},
  [597] = {.lex_state = 87},
  [598] = {.lex_state = 11},
  [599] = {.lex_state = 11},
  [600] = {.lex_state = 11},
  [601] = {.lex_state = 11},
  [602] = {.lex_state = 87},
  [603] = {.lex_state = 87},
  [604] = {.lex_state = 11},
  [605] = {.lex_state = 87},
  [606] = {.lex_state = 11},
  [607] = {.lex_state = 87},
  [608] = {.lex_state = 87},
  [609] = {.lex_state = 87},
  [610] = {.lex_state = 11},
  [611] = {.lex_state = 11},
  [612] = {.lex_state = 87},
  [613] = {.lex_state = 11, .external_lex_state = 2},
  [614] = {.lex_state = 11, .external_lex_state = 2},
  [615] = {.lex_state = 87, .external_lex_state = 2},
  [616] = {.lex_state = 87, .external_lex_state = 2},
  [617] = {.lex_state = 14, .external_lex_state = 2},
  [618] = {.lex_state = 11, .external_lex_state = 2},
  [619] = {.lex_state = 87, .external_lex_state = 2},
  [620] = {.lex_state = 11, .external_lex_state = 2},
  [621] = {.lex_state = 11, .external_lex_state = 2},
  [622] = {.lex_state = 87, .external_lex_state = 2},
  [623] = {.lex_state = 11},
  [624] = {.lex_state = 87, .external_lex_state = 2},
  [625] = {.lex_state = 11, .external_lex_state = 2},
  [626] = {.lex_state = 11, .external_lex_state = 2},
  [627] = {.lex_state = 87, .external_lex_state = 2},
  [628] = {.lex_state = 13},
  [629] = {.lex_state = 11, .external_lex_state = 2},
  [630] = {.lex_state = 11, .external_lex_state = 2},
  [631] = {.lex_state = 11, .external_lex_state = 2},
  [632] = {.lex_state = 11, .external_lex_state = 2},
  [633] = {.lex_state = 87, .external_lex_state = 2},
  [634] = {.lex_state = 11, .external_lex_state = 2},
  [635] = {.lex_state = 11},
  [636] = {.lex_state = 11},
  [637] = {.lex_state = 11, .external_lex_state = 2},
  [638] = {.lex_state = 11},
  [639] = {.lex_state = 87, .external_lex_state = 2},
  [640] = {.lex_state = 11, .external_lex_state = 2},
  [641] = {.lex_state = 14, .external_lex_state = 2},
  [642] = {.lex_state = 87, .external_lex_state = 2},
  [643] = {.lex_state = 11, .external_lex_state = 2},
  [644] = {.lex_state = 11, .external_lex_state = 2},
  [645] = {.lex_state = 11, .external_lex_state = 2},
  [646] = {.lex_state = 11, .external_lex_state = 2},
  [647] = {.lex_state = 11, .external_lex_state = 2},
  [648] = {.lex_state = 11, .external_lex_state = 2},
  [649] = {.lex_state = 11, .external_lex_state = 2},
  [650] = {.lex_state = 11, .external_lex_state = 2},
  [651] = {.lex_state = 11, .external_lex_state = 2},
  [652] = {.lex_state = 11, .external_lex_state = 2},
  [653] = {.lex_state = 87, .external_lex_state = 2},
  [654] = {.lex_state = 87, .external_lex_state = 2},
  [655] = {.lex_state = 87, .external_lex_state = 2},
  [656] = {.lex_state = 11, .external_lex_state = 2},
  [657] = {.lex_state = 11, .external_lex_state = 2},
  [658] = {.lex_state = 87, .external_lex_state = 2},
  [659] = {.lex_state = 87, .external_lex_state = 2},
  [660] = {.lex_state = 87, .external_lex_state = 2},
  [661] = {.lex_state = 11, .external_lex_state = 2},
  [662] = {.lex_state = 11, .external_lex_state = 2},
  [663] = {.lex_state = 87, .external_lex_state = 2},
  [664] = {.lex_state = 11, .external_lex_state = 2},
  [665] = {.lex_state = 11},
  [666] = {.lex_state = 11, .external_lex_state = 2},
  [667] = {.lex_state = 87, .external_lex_state = 2},
  [668] = {.lex_state = 11, .external_lex_state = 2},
  [669] = {.lex_state = 11, .external_lex_state = 2},
  [670] = {.lex_state = 11, .external_lex_state = 2},
  [671] = {.lex_state = 11, .external_lex_state = 2},
  [672] = {.lex_state = 87, .external_lex_state = 2},
  [673] = {.lex_state = 87, .external_lex_state = 2},
  [674] = {.lex_state = 11, .external_lex_state = 2},
  [675] = {.lex_state = 11, .external_lex_state = 2},
  [676] = {.lex_state = 11, .external_lex_state = 2},
  [677] = {.lex_state = 11, .external_lex_state = 2},
  [678] = {.lex_state = 11},
  [679] = {.lex_state = 11},
  [680] = {.lex_state = 11, .external_lex_state = 2},
  [681] = {.lex_state = 11, .external_lex_state = 2},
  [682] = {.lex_state = 11},
  [683] = {.lex_state = 11},
  [684] = {.lex_state = 87, .external_lex_state = 2},
  [685] = {.lex_state = 11},
  [686] = {.lex_state = 11, .external_lex_state = 2},
  [687] = {.lex_state = 11},
  [688] = {.lex_state = 11, .external_lex_state = 2},
  [689] = {.lex_state = 11},
  [690] = {.lex_state = 11},
  [691] = {.lex_state = 11},
  [692] = {.lex_state = 11},
  [693] = {.lex_state = 11},
  [694] = {.lex_state = 11},
  [695] = {.lex_state = 11},
  [696] = {.lex_state = 11, .external_lex_state = 2},
  [697] = {.lex_state = 11},
  [698] = {.lex_state = 11},
  [699] = {.lex_state = 11},
  [700] = {.lex_state = 87, .external_lex_state = 2},
  [701] = {.lex_state = 11},
  [702] = {.lex_state = 11, .external_lex_state = 2},
  [703] = {.lex_state = 11, .external_lex_state = 2},
  [704] = {.lex_state = 11, .external_lex_state = 2},
  [705] = {.lex_state = 11},
  [706] = {.lex_state = 11},
  [707] = {.lex_state = 11},
  [708] = {.lex_state = 11},
  [709] = {.lex_state = 11},
  [710] = {.lex_state = 11},
  [711] = {.lex_state = 11},
  [712] = {.lex_state = 87, .external_lex_state = 2},
  [713] = {.lex_state = 11},
  [714] = {.lex_state = 11},
  [715] = {.lex_state = 11},
  [716] = {.lex_state = 11, .external_lex_state = 2},
  [717] = {.lex_state = 11},
  [718] = {.lex_state = 11, .external_lex_state = 2},
  [719] = {.lex_state = 11},
  [720] = {.lex_state = 11},
  [721] = {.lex_state = 11},
  [722] = {.lex_state = 11},
  [723] = {.lex_state = 11},
  [724] = {.lex_state = 11},
  [725] = {.lex_state = 11},
  [726] = {.lex_state = 11},
  [727] = {.lex_state = 11},
  [728] = {.lex_state = 87, .external_lex_state = 2},
  [729] = {.lex_state = 87, .external_lex_state = 2},
  [730] = {.lex_state = 11},
  [731] = {.lex_state = 11},
  [732] = {.lex_state = 11, .external_lex_state = 2},
  [733] = {.lex_state = 11},
  [734] = {.lex_state = 11, .external_lex_state = 2},
  [735] = {.lex_state = 11},
  [736] = {.lex_state = 87, .external_lex_state = 2},
  [737] = {.lex_state = 11, .external_lex_state = 2},
  [738] = {.lex_state = 11, .external_lex_state = 2},
  [739] = {.lex_state = 11},
  [740] = {.lex_state = 11, .external_lex_state = 2},
  [741] = {.lex_state = 11},
  [742] = {.lex_state = 11},
  [743] = {.lex_state = 13, .external_lex_state = 2},
  [744] = {.lex_state = 11},
  [745] = {.lex_state = 87, .external_lex_state = 2},
  [746] = {.lex_state = 87, .external_lex_state = 2},
  [747] = {.lex_state = 11},
  [748] = {.lex_state = 11},
  [749] = {.lex_state = 11},
  [750] = {.lex_state = 11},
  [751] = {.lex_state = 11},
  [752] = {.lex_state = 87, .external_lex_state = 2},
  [753] = {.lex_state = 11},
  [754] = {.lex_state = 11},
  [755] = {.lex_state = 11},
  [756] = {.lex_state = 11},
  [757] = {.lex_state = 87, .external_lex_state = 2},
  [758] = {.lex_state = 11},
  [759] = {.lex_state = 87, .external_lex_state = 2},
  [760] = {.lex_state = 11},
  [761] = {.lex_state = 11},
  [762] = {.lex_state = 11},
  [763] = {.lex_state = 11},
  [764] = {.lex_state = 11},
  [765] = {.lex_state = 11},
  [766] = {.lex_state = 87, .external_lex_state = 2},
  [767] = {.lex_state = 87, .external_lex_state = 2},
  [768] = {.lex_state = 87, .external_lex_state = 2},
  [769] = {.lex_state = 11, .external_lex_state = 2},
  [770] = {.lex_state = 11},
  [771] = {.lex_state = 11},
  [772] = {.lex_state = 87, .external_lex_state = 2},
  [773] = {.lex_state = 11},
  [774] = {.lex_state = 11, .external_lex_state = 2},
  [775] = {.lex_state = 87, .external_lex_state = 2},
  [776] = {.lex_state = 11, .external_lex_state = 2},
  [777] = {.lex_state = 11, .external_lex_state = 2},
  [778] = {.lex_state = 11, .external_lex_state = 2},
  [779] = {.lex_state = 11, .external_lex_state = 2},
  [780] = {.lex_state = 11, .external_lex_state = 2},
  [781] = {.lex_state = 11, .external_lex_state = 2},
  [782] = {.lex_state = 11, .external_lex_state = 2},
  [783] = {.lex_state = 11, .external_lex_state = 2},
  [784] = {.lex_state = 11, .external_lex_state = 2},
  [785] = {.lex_state = 11, .external_lex_state = 2},
  [786] = {.lex_state = 11},
  [787] = {.lex_state = 11, .external_lex_state = 2},
  [788] = {.lex_state = 11, .external_lex_state = 2},
  [789] = {.lex_state = 11, .external_lex_state = 2},
  [790] = {.lex_state = 11},
  [791] = {.lex_state = 11, .external_lex_state = 2},
  [792] = {.lex_state = 11, .external_lex_state = 2},
  [793] = {.lex_state = 11, .external_lex_state = 2},
  [794] = {.lex_state = 11},
  [795] = {.lex_state = 11, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 2},
  [797] = {.lex_state = 11, .external_lex_state = 2},
  [798] = {.lex_state = 11, .external_lex_state = 2},
  [799] = {.lex_state = 11},
  [800] = {.lex_state = 11, .external_lex_state = 2},
  [801] = {.lex_state = 11, .external_lex_state = 2},
  [802] = {.lex_state = 11, .external_lex_state = 2},
  [803] = {.lex_state = 11, .external_lex_state = 2},
  [804] = {.lex_state = 11, .external_lex_state = 2},
  [805] = {.lex_state = 11, .external_lex_state = 2},
  [806] = {.lex_state = 11, .external_lex_state = 2},
  [807] = {.lex_state = 11, .external_lex_state = 2},
  [808] = {.lex_state = 11},
  [809] = {.lex_state = 11, .external_lex_state = 2},
  [810] = {.lex_state = 11},
  [811] = {.lex_state = 11, .external_lex_state = 2},
  [812] = {.lex_state = 11, .external_lex_state = 2},
  [813] = {.lex_state = 11, .external_lex_state = 2},
  [814] = {.lex_state = 11, .external_lex_state = 2},
  [815] = {.lex_state = 11, .external_lex_state = 2},
  [816] = {.lex_state = 11, .external_lex_state = 2},
  [817] = {.lex_state = 11, .external_lex_state = 2},
  [818] = {.lex_state = 11, .external_lex_state = 2},
  [819] = {.lex_state = 11, .external_lex_state = 2},
  [820] = {.lex_state = 11, .external_lex_state = 2},
  [821] = {.lex_state = 11, .external_lex_state = 2},
  [822] = {.lex_state = 11, .external_lex_state = 2},
  [823] = {.lex_state = 11, .external_lex_state = 2},
  [824] = {.lex_state = 11, .external_lex_state = 2},
  [825] = {.lex_state = 11},
  [826] = {.lex_state = 11},
  [827] = {.lex_state = 11},
  [828] = {.lex_state = 11},
  [829] = {.lex_state = 11},
  [830] = {.lex_state = 11, .external_lex_state = 2},
  [831] = {.lex_state = 11},
  [832] = {.lex_state = 11},
  [833] = {.lex_state = 11},
  [834] = {.lex_state = 11},
  [835] = {.lex_state = 11},
  [836] = {.lex_state = 11},
  [837] = {.lex_state = 11},
  [838] = {.lex_state = 11, .external_lex_state = 2},
  [839] = {.lex_state = 11},
  [840] = {.lex_state = 11, .external_lex_state = 2},
  [841] = {.lex_state = 11},
  [842] = {.lex_state = 11},
  [843] = {.lex_state = 11},
  [844] = {.lex_state = 11},
  [845] = {.lex_state = 11, .external_lex_state = 2},
  [846] = {.lex_state = 11},
  [847] = {.lex_state = 11, .external_lex_state = 2},
  [848] = {.lex_state = 11},
  [849] = {.lex_state = 11, .external_lex_state = 2},
  [850] = {.lex_state = 11},
  [851] = {.lex_state = 11, .external_lex_state = 2},
  [852] = {.lex_state = 11},
  [853] = {.lex_state = 11, .external_lex_state = 2},
  [854] = {.lex_state = 11, .external_lex_state = 2},
  [855] = {.lex_state = 11, .external_lex_state = 2},
  [856] = {.lex_state = 11, .external_lex_state = 2},
  [857] = {.lex_state = 11},
  [858] = {.lex_state = 11, .external_lex_state = 2},
  [859] = {.lex_state = 11},
  [860] = {.lex_state = 11},
  [861] = {.lex_state = 11},
  [862] = {.lex_state = 11},
  [863] = {.lex_state = 11},
  [864] = {.lex_state = 11},
  [865] = {.lex_state = 11},
  [866] = {.lex_state = 11},
  [867] = {.lex_state = 11},
  [868] = {.lex_state = 11},
  [869] = {.lex_state = 11},
  [870] = {.lex_state = 87},
  [871] = {.lex_state = 87},
  [872] = {.lex_state = 87},
  [873] = {.lex_state = 87},
  [874] = {.lex_state = 11},
  [875] = {.lex_state = 11},
  [876] = {.lex_state = 88},
  [877] = {.lex_state = 88},
  [878] = {.lex_state = 88},
  [879] = {.lex_state = 88},
  [880] = {.lex_state = 88},
  [881] = {.lex_state = 88},
  [882] = {.lex_state = 88},
  [883] = {.lex_state = 88},
  [884] = {.lex_state = 88},
  [885] = {.lex_state = 88},
  [886] = {.lex_state = 88},
  [887] = {.lex_state = 88},
  [888] = {.lex_state = 88},
  [889] = {.lex_state = 88},
  [890] = {.lex_state = 88},
  [891] = {.lex_state = 88},
  [892] = {.lex_state = 88},
  [893] = {.lex_state = 88},
  [894] = {.lex_state = 88},
  [895] = {.lex_state = 88},
  [896] = {.lex_state = 88},
  [897] = {.lex_state = 88},
  [898] = {.lex_state = 88},
  [899] = {.lex_state = 88},
  [900] = {.lex_state = 88},
  [901] = {.lex_state = 88},
  [902] = {.lex_state = 88},
  [903] = {.lex_state = 88},
  [904] = {.lex_state = 88},
  [905] = {.lex_state = 88},
  [906] = {.lex_state = 88},
  [907] = {.lex_state = 88},
  [908] = {.lex_state = 88},
  [909] = {.lex_state = 88},
  [910] = {.lex_state = 88},
  [911] = {.lex_state = 88},
  [912] = {.lex_state = 88},
  [913] = {.lex_state = 88},
  [914] = {.lex_state = 88},
  [915] = {.lex_state = 88},
  [916] = {.lex_state = 88},
  [917] = {.lex_state = 88},
  [918] = {.lex_state = 88},
  [919] = {.lex_state = 88},
  [920] = {.lex_state = 88},
  [921] = {.lex_state = 88},
  [922] = {.lex_state = 88, .external_lex_state = 2},
  [923] = {.lex_state = 88, .external_lex_state = 2},
  [924] = {.lex_state = 88, .external_lex_state = 2},
  [925] = {.lex_state = 7},
  [926] = {.lex_state = 88, .external_lex_state = 2},
  [927] = {.lex_state = 7},
  [928] = {.lex_state = 88},
  [929] = {.lex_state = 7},
  [930] = {.lex_state = 7},
  [931] = {.lex_state = 88},
  [932] = {.lex_state = 88},
  [933] = {.lex_state = 88},
  [934] = {.lex_state = 88},
  [935] = {.lex_state = 88},
  [936] = {.lex_state = 88},
  [937] = {.lex_state = 88},
  [938] = {.lex_state = 88},
  [939] = {.lex_state = 88},
  [940] = {.lex_state = 88},
  [941] = {.lex_state = 88},
  [942] = {.lex_state = 88},
  [943] = {.lex_state = 88},
  [944] = {.lex_state = 88},
  [945] = {.lex_state = 88},
  [946] = {.lex_state = 88},
  [947] = {.lex_state = 88},
  [948] = {.lex_state = 88},
  [949] = {.lex_state = 88},
  [950] = {.lex_state = 88},
  [951] = {.lex_state = 88},
  [952] = {.lex_state = 88},
  [953] = {.lex_state = 88},
  [954] = {.lex_state = 88, .external_lex_state = 2},
  [955] = {.lex_state = 88},
  [956] = {.lex_state = 88},
  [957] = {.lex_state = 88},
  [958] = {.lex_state = 88},
  [959] = {.lex_state = 88},
  [960] = {.lex_state = 88},
  [961] = {.lex_state = 88},
  [962] = {.lex_state = 88},
  [963] = {.lex_state = 18},
  [964] = {.lex_state = 88},
  [965] = {.lex_state = 88},
  [966] = {.lex_state = 88},
  [967] = {.lex_state = 88, .external_lex_state = 2},
  [968] = {.lex_state = 88},
  [969] = {.lex_state = 18},
  [970] = {.lex_state = 88},
  [971] = {.lex_state = 88},
  [972] = {.lex_state = 88},
  [973] = {.lex_state = 88},
  [974] = {.lex_state = 88},
  [975] = {.lex_state = 88},
  [976] = {.lex_state = 88},
  [977] = {.lex_state = 88},
  [978] = {.lex_state = 88},
  [979] = {.lex_state = 88},
  [980] = {.lex_state = 88},
  [981] = {.lex_state = 88},
  [982] = {.lex_state = 88},
  [983] = {.lex_state = 88},
  [984] = {.lex_state = 88},
  [985] = {.lex_state = 88},
  [986] = {.lex_state = 88},
  [987] = {.lex_state = 88},
  [988] = {.lex_state = 88},
  [989] = {.lex_state = 88},
  [990] = {.lex_state = 88},
  [991] = {.lex_state = 88},
  [992] = {.lex_state = 88},
  [993] = {.lex_state = 88},
  [994] = {.lex_state = 88},
  [995] = {.lex_state = 88},
  [996] = {.lex_state = 88},
  [997] = {.lex_state = 88},
  [998] = {.lex_state = 88},
  [999] = {.lex_state = 88},
  [1000] = {.lex_state = 88},
  [1001] = {.lex_state = 88},
  [1002] = {.lex_state = 88},
  [1003] = {.lex_state = 88},
  [1004] = {.lex_state = 88},
  [1005] = {.lex_state = 88},
  [1006] = {.lex_state = 88},
  [1007] = {.lex_state = 88},
  [1008] = {.lex_state = 88},
  [1009] = {.lex_state = 88},
  [1010] = {.lex_state = 88},
  [1011] = {.lex_state = 88},
  [1012] = {.lex_state = 88},
  [1013] = {.lex_state = 88},
  [1014] = {.lex_state = 88},
  [1015] = {.lex_state = 88},
  [1016] = {.lex_state = 88},
  [1017] = {.lex_state = 88},
  [1018] = {.lex_state = 88},
  [1019] = {.lex_state = 88},
  [1020] = {.lex_state = 18},
  [1021] = {.lex_state = 88},
  [1022] = {.lex_state = 28},
  [1023] = {.lex_state = 88},
  [1024] = {.lex_state = 28},
  [1025] = {.lex_state = 28},
  [1026] = {.lex_state = 18},
  [1027] = {.lex_state = 28},
  [1028] = {.lex_state = 28},
  [1029] = {.lex_state = 28},
  [1030] = {.lex_state = 28},
  [1031] = {.lex_state = 28},
  [1032] = {.lex_state = 28},
  [1033] = {.lex_state = 28},
  [1034] = {.lex_state = 88},
  [1035] = {.lex_state = 88},
  [1036] = {.lex_state = 28},
  [1037] = {.lex_state = 28},
  [1038] = {.lex_state = 28},
  [1039] = {.lex_state = 28},
  [1040] = {.lex_state = 28},
  [1041] = {.lex_state = 32},
  [1042] = {.lex_state = 28},
  [1043] = {.lex_state = 32},
  [1044] = {.lex_state = 28},
  [1045] = {.lex_state = 88},
  [1046] = {.lex_state = 32},
  [1047] = {.lex_state = 28},
  [1048] = {.lex_state = 28},
  [1049] = {.lex_state = 32},
  [1050] = {.lex_state = 28},
  [1051] = {.lex_state = 32},
  [1052] = {.lex_state = 32},
  [1053] = {.lex_state = 28},
  [1054] = {.lex_state = 32},
  [1055] = {.lex_state = 32},
  [1056] = {.lex_state = 28},
  [1057] = {.lex_state = 28},
  [1058] = {.lex_state = 32},
  [1059] = {.lex_state = 28},
  [1060] = {.lex_state = 28},
  [1061] = {.lex_state = 32},
  [1062] = {.lex_state = 28},
  [1063] = {.lex_state = 32},
  [1064] = {.lex_state = 32},
  [1065] = {.lex_state = 32},
  [1066] = {.lex_state = 88},
  [1067] = {.lex_state = 32},
  [1068] = {.lex_state = 32},
  [1069] = {.lex_state = 32},
  [1070] = {.lex_state = 32},
  [1071] = {.lex_state = 32},
  [1072] = {.lex_state = 32},
  [1073] = {.lex_state = 18},
  [1074] = {.lex_state = 88},
  [1075] = {.lex_state = 28},
  [1076] = {.lex_state = 88},
  [1077] = {.lex_state = 20, .external_lex_state = 3},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 9, .external_lex_state = 3},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 87},
  [1082] = {.lex_state = 9, .external_lex_state = 3},
  [1083] = {.lex_state = 88},
  [1084] = {.lex_state = 7},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 7},
  [1087] = {.lex_state = 88},
  [1088] = {.lex_state = 7},
  [1089] = {.lex_state = 87},
  [1090] = {.lex_state = 0, .external_lex_state = 2},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 87},
  [1093] = {.lex_state = 7},
  [1094] = {.lex_state = 7},
  [1095] = {.lex_state = 7},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 7},
  [1098] = {.lex_state = 9, .external_lex_state = 3},
  [1099] = {.lex_state = 18},
  [1100] = {.lex_state = 28},
  [1101] = {.lex_state = 87},
  [1102] = {.lex_state = 87},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 9, .external_lex_state = 3},
  [1105] = {.lex_state = 87},
  [1106] = {.lex_state = 88},
  [1107] = {.lex_state = 87},
  [1108] = {.lex_state = 9, .external_lex_state = 3},
  [1109] = {.lex_state = 7},
  [1110] = {.lex_state = 28},
  [1111] = {.lex_state = 7},
  [1112] = {.lex_state = 87},
  [1113] = {.lex_state = 9, .external_lex_state = 3},
  [1114] = {.lex_state = 9, .external_lex_state = 3},
  [1115] = {.lex_state = 9, .external_lex_state = 3},
  [1116] = {.lex_state = 87},
  [1117] = {.lex_state = 88},
  [1118] = {.lex_state = 28},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 87},
  [1121] = {.lex_state = 20, .external_lex_state = 3},
  [1122] = {.lex_state = 7},
  [1123] = {.lex_state = 9, .external_lex_state = 3},
  [1124] = {.lex_state = 7},
  [1125] = {.lex_state = 20, .external_lex_state = 3},
  [1126] = {.lex_state = 87},
  [1127] = {.lex_state = 7},
  [1128] = {.lex_state = 0, .external_lex_state = 2},
  [1129] = {.lex_state = 88},
  [1130] = {.lex_state = 88},
  [1131] = {.lex_state = 28},
  [1132] = {.lex_state = 28},
  [1133] = {.lex_state = 0, .external_lex_state = 2},
  [1134] = {.lex_state = 0, .external_lex_state = 2},
  [1135] = {.lex_state = 0, .external_lex_state = 2},
  [1136] = {.lex_state = 88},
  [1137] = {.lex_state = 88},
  [1138] = {.lex_state = 28},
  [1139] = {.lex_state = 28},
  [1140] = {.lex_state = 28},
  [1141] = {.lex_state = 88},
  [1142] = {.lex_state = 28},
  [1143] = {.lex_state = 88},
  [1144] = {.lex_state = 88},
  [1145] = {.lex_state = 28},
  [1146] = {.lex_state = 28},
  [1147] = {.lex_state = 28},
  [1148] = {.lex_state = 28},
  [1149] = {.lex_state = 88},
  [1150] = {.lex_state = 88},
  [1151] = {.lex_state = 88},
  [1152] = {.lex_state = 88},
  [1153] = {.lex_state = 28},
  [1154] = {.lex_state = 28},
  [1155] = {.lex_state = 28},
  [1156] = {.lex_state = 28},
  [1157] = {.lex_state = 28},
  [1158] = {.lex_state = 88},
  [1159] = {.lex_state = 28},
  [1160] = {.lex_state = 88},
  [1161] = {.lex_state = 88},
  [1162] = {.lex_state = 88},
  [1163] = {.lex_state = 28},
  [1164] = {.lex_state = 28},
  [1165] = {.lex_state = 88},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 28},
  [1168] = {.lex_state = 28},
  [1169] = {.lex_state = 28},
  [1170] = {.lex_state = 28},
  [1171] = {.lex_state = 88},
  [1172] = {.lex_state = 28},
  [1173] = {.lex_state = 28},
  [1174] = {.lex_state = 28},
  [1175] = {.lex_state = 88},
  [1176] = {.lex_state = 88},
  [1177] = {.lex_state = 28},
  [1178] = {.lex_state = 28},
  [1179] = {.lex_state = 28},
  [1180] = {.lex_state = 28},
  [1181] = {.lex_state = 28},
  [1182] = {.lex_state = 88},
  [1183] = {.lex_state = 28},
  [1184] = {.lex_state = 87},
  [1185] = {.lex_state = 1},
  [1186] = {.lex_state = 9, .external_lex_state = 2},
  [1187] = {.lex_state = 88},
  [1188] = {.lex_state = 1},
  [1189] = {.lex_state = 3},
  [1190] = {.lex_state = 28},
  [1191] = {.lex_state = 0, .external_lex_state = 2},
  [1192] = {.lex_state = 0, .external_lex_state = 2},
  [1193] = {.lex_state = 87},
  [1194] = {.lex_state = 28},
  [1195] = {.lex_state = 88},
  [1196] = {.lex_state = 0, .external_lex_state = 2},
  [1197] = {.lex_state = 88},
  [1198] = {.lex_state = 1},
  [1199] = {.lex_state = 88},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 88},
  [1202] = {.lex_state = 88},
  [1203] = {.lex_state = 88},
  [1204] = {.lex_state = 88},
  [1205] = {.lex_state = 87},
  [1206] = {.lex_state = 87},
  [1207] = {.lex_state = 9, .external_lex_state = 2},
  [1208] = {.lex_state = 9, .external_lex_state = 2},
  [1209] = {.lex_state = 88},
  [1210] = {.lex_state = 9, .external_lex_state = 3},
  [1211] = {.lex_state = 1},
  [1212] = {.lex_state = 9, .external_lex_state = 2},
  [1213] = {.lex_state = 3},
  [1214] = {.lex_state = 88},
  [1215] = {.lex_state = 88},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 87},
  [1220] = {.lex_state = 88},
  [1221] = {.lex_state = 88},
  [1222] = {.lex_state = 88},
  [1223] = {.lex_state = 87},
  [1224] = {.lex_state = 88},
  [1225] = {.lex_state = 88},
  [1226] = {.lex_state = 1},
  [1227] = {.lex_state = 0, .external_lex_state = 2},
  [1228] = {.lex_state = 3},
  [1229] = {.lex_state = 88},
  [1230] = {.lex_state = 20, .external_lex_state = 3},
  [1231] = {.lex_state = 0, .external_lex_state = 2},
  [1232] = {.lex_state = 87},
  [1233] = {.lex_state = 3},
  [1234] = {.lex_state = 1},
  [1235] = {.lex_state = 28},
  [1236] = {.lex_state = 1},
  [1237] = {.lex_state = 1},
  [1238] = {.lex_state = 3},
  [1239] = {.lex_state = 3},
  [1240] = {.lex_state = 1},
  [1241] = {.lex_state = 88},
  [1242] = {.lex_state = 28},
  [1243] = {.lex_state = 87},
  [1244] = {.lex_state = 3},
  [1245] = {.lex_state = 0, .external_lex_state = 2},
  [1246] = {.lex_state = 3},
  [1247] = {.lex_state = 28},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0, .external_lex_state = 2},
  [1250] = {.lex_state = 88},
  [1251] = {.lex_state = 1},
  [1252] = {.lex_state = 88},
  [1253] = {.lex_state = 3},
  [1254] = {.lex_state = 88},
  [1255] = {.lex_state = 87},
  [1256] = {.lex_state = 88},
  [1257] = {.lex_state = 88},
  [1258] = {.lex_state = 28},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 87},
  [1261] = {.lex_state = 88},
  [1262] = {.lex_state = 88},
  [1263] = {.lex_state = 1},
  [1264] = {.lex_state = 88},
  [1265] = {.lex_state = 9, .external_lex_state = 2},
  [1266] = {.lex_state = 3},
  [1267] = {.lex_state = 87},
  [1268] = {.lex_state = 87},
  [1269] = {.lex_state = 3},
  [1270] = {.lex_state = 88},
  [1271] = {.lex_state = 88},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 88},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 32},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 7},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 32},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 32},
  [1292] = {.lex_state = 7},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 88, .external_lex_state = 2},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 88},
  [1303] = {.lex_state = 88},
  [1304] = {.lex_state = 88},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0, .external_lex_state = 2},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 88},
  [1310] = {.lex_state = 88},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0, .external_lex_state = 2},
  [1316] = {.lex_state = 88},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 32},
  [1319] = {.lex_state = 88},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0, .external_lex_state = 2},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 32},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 7},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0, .external_lex_state = 2},
  [1335] = {.lex_state = 32},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 88},
  [1340] = {.lex_state = 88},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 88},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 9, .external_lex_state = 2},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 7},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 32},
  [1352] = {.lex_state = 88},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 7},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 88},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 88},
  [1364] = {.lex_state = 88, .external_lex_state = 2},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 32},
  [1372] = {.lex_state = 88},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 32},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 9, .external_lex_state = 2},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 29, .external_lex_state = 2},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 7},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 88},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 0},
  [1399] = {.lex_state = 88},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 0},
  [1402] = {.lex_state = 0},
  [1403] = {.lex_state = 0},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 88},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 0},
  [1408] = {.lex_state = 0},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 0},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 0},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 0},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 0},
  [1421] = {.lex_state = 0},
  [1422] = {.lex_state = 0, .external_lex_state = 2},
  [1423] = {.lex_state = 0},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 0},
  [1434] = {.lex_state = 88},
  [1435] = {.lex_state = 0},
  [1436] = {.lex_state = 88},
  [1437] = {.lex_state = 0},
  [1438] = {.lex_state = 7},
  [1439] = {.lex_state = 0},
  [1440] = {.lex_state = 0},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 0},
  [1444] = {.lex_state = 88},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 0},
  [1449] = {.lex_state = 0},
  [1450] = {.lex_state = 0},
  [1451] = {.lex_state = 0},
  [1452] = {.lex_state = 0},
  [1453] = {.lex_state = 0},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 0},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 0},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 0},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 0},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 0},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0},
  [1468] = {.lex_state = 0},
  [1469] = {.lex_state = 0},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 0},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 0},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 0},
  [1480] = {.lex_state = 0, .external_lex_state = 2},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 88},
  [1485] = {.lex_state = 0, .external_lex_state = 2},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0},
  [1489] = {.lex_state = 0},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0, .external_lex_state = 2},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0, .external_lex_state = 2},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 88},
  [1499] = {.lex_state = 0, .external_lex_state = 2},
  [1500] = {.lex_state = 7},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0, .external_lex_state = 2},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0, .external_lex_state = 2},
  [1515] = {.lex_state = 88},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 28},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0, .external_lex_state = 2},
  [1524] = {.lex_state = 88},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0, .external_lex_state = 2},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 88},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 88},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 7},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0, .external_lex_state = 2},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 88},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 88},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 88},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 7},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 88},
  [1578] = {.lex_state = 88},
  [1579] = {.lex_state = 88},
  [1580] = {.lex_state = 0, .external_lex_state = 2},
  [1581] = {.lex_state = 88},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 88},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 5},
  [1586] = {.lex_state = 88},
  [1587] = {.lex_state = 18},
  [1588] = {.lex_state = 5},
  [1589] = {.lex_state = 88},
  [1590] = {.lex_state = 88},
  [1591] = {.lex_state = 88},
  [1592] = {.lex_state = 30},
  [1593] = {.lex_state = 88},
  [1594] = {.lex_state = 88},
  [1595] = {.lex_state = 88},
  [1596] = {.lex_state = 88},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 88},
  [1601] = {.lex_state = 88},
  [1602] = {.lex_state = 88},
  [1603] = {.lex_state = 88},
  [1604] = {.lex_state = 88},
  [1605] = {.lex_state = 88},
  [1606] = {.lex_state = 88},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 88},
  [1609] = {.lex_state = 88},
  [1610] = {.lex_state = 88},
  [1611] = {.lex_state = 88},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 88},
  [1614] = {.lex_state = 88},
  [1615] = {.lex_state = 88},
  [1616] = {.lex_state = 88},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 18},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 88},
  [1628] = {.lex_state = 88},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 88},
  [1631] = {.lex_state = 88},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 88},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 88},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 88},
  [1639] = {.lex_state = 88},
  [1640] = {.lex_state = 5},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 88},
  [1643] = {.lex_state = 88},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 88},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 88},
  [1651] = {.lex_state = 88},
  [1652] = {.lex_state = 88},
  [1653] = {.lex_state = 18},
  [1654] = {.lex_state = 88},
  [1655] = {.lex_state = 88},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 88},
  [1660] = {.lex_state = 88},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 88},
  [1663] = {.lex_state = 5},
  [1664] = {.lex_state = 88},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 88},
  [1668] = {.lex_state = 88},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 88},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 88},
  [1676] = {.lex_state = 88},
  [1677] = {.lex_state = 88},
  [1678] = {.lex_state = 18},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 88},
  [1682] = {.lex_state = 88},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 88},
  [1686] = {.lex_state = 88},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 88},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 88},
  [1692] = {.lex_state = 88},
  [1693] = {.lex_state = 88},
  [1694] = {.lex_state = 88},
  [1695] = {.lex_state = 88},
  [1696] = {.lex_state = 88},
  [1697] = {.lex_state = 88},
  [1698] = {.lex_state = 88},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 88},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0, .external_lex_state = 2},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 88},
  [1709] = {.lex_state = 88},
  [1710] = {.lex_state = 88},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 88},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 88},
  [1715] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_instance] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1599),
    [sym__declaration] = STATE(25),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(25),
    [sym_js_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(25),
    [sym_lexical_declaration] = STATE(25),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(25),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(25),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(25),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(25),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(25),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_class_repeat1] = STATE(1175),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [2] = {
    [sym__declaration] = STATE(20),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(20),
    [sym_js_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(20),
    [sym_lexical_declaration] = STATE(20),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1368),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(20),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(20),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(20),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1368),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1368),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(20),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(20),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1368),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_object_repeat1] = STATE(1366),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(113),
    [anon_sym_set] = ACTIONS(113),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [3] = {
    [sym__declaration] = STATE(21),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(21),
    [sym_js_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(21),
    [sym_lexical_declaration] = STATE(21),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1379),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(21),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(21),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(21),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1379),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1379),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(21),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(21),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1379),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_object_repeat1] = STATE(1329),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(119),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [4] = {
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(23),
    [sym_js_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1368),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1368),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1368),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(23),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(23),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1368),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(1366),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(113),
    [anon_sym_set] = ACTIONS(113),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [5] = {
    [sym__declaration] = STATE(16),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(16),
    [sym_js_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(16),
    [sym_lexical_declaration] = STATE(16),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1287),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(16),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(16),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(16),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1287),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1287),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(16),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(16),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1287),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_object_repeat1] = STATE(1289),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [6] = {
    [sym__declaration] = STATE(26),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(26),
    [sym_js_import_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_variable_declaration] = STATE(26),
    [sym_lexical_declaration] = STATE(26),
    [sym_statement_block] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_for_in_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_with_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_debugger_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_empty_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1379),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(26),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(26),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(26),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1379),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1379),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(26),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(26),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1379),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_object_repeat1] = STATE(1329),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(119),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [7] = {
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(23),
    [sym_js_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1379),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1379),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1379),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(23),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(23),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1379),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(1329),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(119),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [8] = {
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(23),
    [sym_js_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(853),
    [sym_assignment_pattern] = STATE(1368),
    [sym_array] = STATE(849),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_spread_element] = STATE(1368),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(855),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_method_definition] = STATE(1368),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(23),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(23),
    [sym_new_component_expression] = STATE(688),
    [sym_pair] = STATE(1368),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_object_repeat1] = STATE(1366),
    [aux_sym_class_repeat1] = STATE(919),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(107),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(113),
    [anon_sym_set] = ACTIONS(113),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [9] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_import] = ACTIONS(148),
    [anon_sym_LBRACE] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(143),
    [anon_sym_var] = ACTIONS(154),
    [anon_sym_let] = ACTIONS(157),
    [anon_sym_const] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(160),
    [anon_sym_switch] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(166),
    [anon_sym_LPAREN] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(172),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(178),
    [anon_sym_try] = ACTIONS(181),
    [anon_sym_with] = ACTIONS(184),
    [anon_sym_break] = ACTIONS(187),
    [anon_sym_continue] = ACTIONS(190),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(196),
    [anon_sym_throw] = ACTIONS(199),
    [anon_sym_SEMI] = ACTIONS(202),
    [anon_sym_case] = ACTIONS(205),
    [anon_sym_default] = ACTIONS(205),
    [anon_sym_yield] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(216),
    [anon_sym_class] = ACTIONS(219),
    [anon_sym_async] = ACTIONS(222),
    [anon_sym_function] = ACTIONS(225),
    [anon_sym_new] = ACTIONS(228),
    [anon_sym_PLUS] = ACTIONS(231),
    [anon_sym_DASH] = ACTIONS(231),
    [anon_sym_BANG] = ACTIONS(234),
    [anon_sym_TILDE] = ACTIONS(234),
    [anon_sym_typeof] = ACTIONS(237),
    [anon_sym_void] = ACTIONS(237),
    [anon_sym_delete] = ACTIONS(237),
    [anon_sym_PLUS_PLUS] = ACTIONS(240),
    [anon_sym_DASH_DASH] = ACTIONS(240),
    [anon_sym_DQUOTE] = ACTIONS(243),
    [anon_sym_SQUOTE] = ACTIONS(246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(249),
    [sym_number] = ACTIONS(252),
    [sym_this] = ACTIONS(255),
    [sym_super] = ACTIONS(258),
    [sym_true] = ACTIONS(255),
    [sym_false] = ACTIONS(255),
    [sym_null] = ACTIONS(255),
    [sym_undefined] = ACTIONS(255),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_static] = ACTIONS(264),
    [anon_sym_get] = ACTIONS(264),
    [anon_sym_set] = ACTIONS(264),
    [anon_sym_component] = ACTIONS(267),
    [anon_sym_instance] = ACTIONS(270),
  },
  [10] = {
    [sym__declaration] = STATE(13),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(13),
    [sym_js_import_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_variable_declaration] = STATE(13),
    [sym_lexical_declaration] = STATE(13),
    [sym_statement_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_for_in_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_with_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_debugger_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_empty_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(13),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(13),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(13),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(13),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(13),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_case] = ACTIONS(275),
    [anon_sym_default] = ACTIONS(275),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [11] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_case] = ACTIONS(279),
    [anon_sym_default] = ACTIONS(279),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [12] = {
    [sym__declaration] = STATE(11),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(11),
    [sym_js_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(11),
    [sym_lexical_declaration] = STATE(11),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(11),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(11),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(11),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(11),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(11),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_case] = ACTIONS(283),
    [anon_sym_default] = ACTIONS(283),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [13] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_case] = ACTIONS(287),
    [anon_sym_default] = ACTIONS(287),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [14] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [15] = {
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(14),
    [sym_js_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(14),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(14),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [16] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [17] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [ts_builtin_sym_end] = ACTIONS(295),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [18] = {
    [sym__declaration] = STATE(17),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(17),
    [sym_js_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(17),
    [sym_lexical_declaration] = STATE(17),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(17),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(17),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(17),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(17),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(17),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_class_repeat1] = STATE(1175),
    [ts_builtin_sym_end] = ACTIONS(297),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [19] = {
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(23),
    [sym_js_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(23),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(23),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [20] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [21] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [22] = {
    [sym__declaration] = STATE(20),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(20),
    [sym_js_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(20),
    [sym_lexical_declaration] = STATE(20),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(20),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(20),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(20),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(20),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(20),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [23] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [24] = {
    [sym__declaration] = STATE(21),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(21),
    [sym_js_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(21),
    [sym_lexical_declaration] = STATE(21),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(21),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(21),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(21),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(21),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(21),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [25] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [ts_builtin_sym_end] = ACTIONS(297),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [26] = {
    [sym__declaration] = STATE(9),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(9),
    [sym_js_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(9),
    [sym_lexical_declaration] = STATE(9),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(9),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(9),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(9),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(9),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(9),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [27] = {
    [sym__declaration] = STATE(26),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(26),
    [sym_js_import_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_variable_declaration] = STATE(26),
    [sym_lexical_declaration] = STATE(26),
    [sym_statement_block] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_for_in_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_with_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_debugger_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_empty_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(26),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(26),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(26),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(26),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(26),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [28] = {
    [sym__declaration] = STATE(16),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(16),
    [sym_js_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(16),
    [sym_lexical_declaration] = STATE(16),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(16),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(16),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(16),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(16),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(16),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [29] = {
    [sym__declaration] = STATE(1651),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(1651),
    [sym_js_import_statement] = STATE(1651),
    [sym_expression_statement] = STATE(1651),
    [sym_variable_declaration] = STATE(1651),
    [sym_lexical_declaration] = STATE(1651),
    [sym_statement_block] = STATE(1651),
    [sym_if_statement] = STATE(1651),
    [sym_switch_statement] = STATE(1651),
    [sym_for_statement] = STATE(1651),
    [sym_for_in_statement] = STATE(1651),
    [sym_while_statement] = STATE(1651),
    [sym_do_statement] = STATE(1651),
    [sym_try_statement] = STATE(1651),
    [sym_with_statement] = STATE(1651),
    [sym_break_statement] = STATE(1651),
    [sym_continue_statement] = STATE(1651),
    [sym_debugger_statement] = STATE(1651),
    [sym_return_statement] = STATE(1651),
    [sym_throw_statement] = STATE(1651),
    [sym_empty_statement] = STATE(1651),
    [sym_labeled_statement] = STATE(1651),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(1651),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(1651),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(1651),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(1651),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(1651),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [30] = {
    [sym__declaration] = STATE(317),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(317),
    [sym_js_import_statement] = STATE(317),
    [sym_expression_statement] = STATE(317),
    [sym_variable_declaration] = STATE(317),
    [sym_lexical_declaration] = STATE(317),
    [sym_statement_block] = STATE(317),
    [sym_if_statement] = STATE(317),
    [sym_switch_statement] = STATE(317),
    [sym_for_statement] = STATE(317),
    [sym_for_in_statement] = STATE(317),
    [sym_while_statement] = STATE(317),
    [sym_do_statement] = STATE(317),
    [sym_try_statement] = STATE(317),
    [sym_with_statement] = STATE(317),
    [sym_break_statement] = STATE(317),
    [sym_continue_statement] = STATE(317),
    [sym_debugger_statement] = STATE(317),
    [sym_return_statement] = STATE(317),
    [sym_throw_statement] = STATE(317),
    [sym_empty_statement] = STATE(317),
    [sym_labeled_statement] = STATE(317),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(317),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(317),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(317),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(317),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(317),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [31] = {
    [sym__declaration] = STATE(315),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(315),
    [sym_js_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(315),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(315),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(315),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(315),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(315),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [32] = {
    [sym__declaration] = STATE(299),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(299),
    [sym_js_import_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_variable_declaration] = STATE(299),
    [sym_lexical_declaration] = STATE(299),
    [sym_statement_block] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_for_in_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_with_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_debugger_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_empty_statement] = STATE(299),
    [sym_labeled_statement] = STATE(299),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(299),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(299),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(299),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(299),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(299),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [33] = {
    [sym__declaration] = STATE(330),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(330),
    [sym_js_import_statement] = STATE(330),
    [sym_expression_statement] = STATE(330),
    [sym_variable_declaration] = STATE(330),
    [sym_lexical_declaration] = STATE(330),
    [sym_statement_block] = STATE(330),
    [sym_if_statement] = STATE(330),
    [sym_switch_statement] = STATE(330),
    [sym_for_statement] = STATE(330),
    [sym_for_in_statement] = STATE(330),
    [sym_while_statement] = STATE(330),
    [sym_do_statement] = STATE(330),
    [sym_try_statement] = STATE(330),
    [sym_with_statement] = STATE(330),
    [sym_break_statement] = STATE(330),
    [sym_continue_statement] = STATE(330),
    [sym_debugger_statement] = STATE(330),
    [sym_return_statement] = STATE(330),
    [sym_throw_statement] = STATE(330),
    [sym_empty_statement] = STATE(330),
    [sym_labeled_statement] = STATE(330),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(330),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(330),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(330),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(330),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(330),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [34] = {
    [sym__declaration] = STATE(296),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(296),
    [sym_js_import_statement] = STATE(296),
    [sym_expression_statement] = STATE(296),
    [sym_variable_declaration] = STATE(296),
    [sym_lexical_declaration] = STATE(296),
    [sym_statement_block] = STATE(296),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(296),
    [sym_for_statement] = STATE(296),
    [sym_for_in_statement] = STATE(296),
    [sym_while_statement] = STATE(296),
    [sym_do_statement] = STATE(296),
    [sym_try_statement] = STATE(296),
    [sym_with_statement] = STATE(296),
    [sym_break_statement] = STATE(296),
    [sym_continue_statement] = STATE(296),
    [sym_debugger_statement] = STATE(296),
    [sym_return_statement] = STATE(296),
    [sym_throw_statement] = STATE(296),
    [sym_empty_statement] = STATE(296),
    [sym_labeled_statement] = STATE(296),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(296),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(296),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(296),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(296),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(296),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [35] = {
    [sym__declaration] = STATE(299),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(299),
    [sym_js_import_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_variable_declaration] = STATE(299),
    [sym_lexical_declaration] = STATE(299),
    [sym_statement_block] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_for_in_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_with_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_debugger_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_empty_statement] = STATE(299),
    [sym_labeled_statement] = STATE(299),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(299),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(299),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(299),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(299),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(299),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [36] = {
    [sym__declaration] = STATE(345),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(345),
    [sym_js_import_statement] = STATE(345),
    [sym_expression_statement] = STATE(345),
    [sym_variable_declaration] = STATE(345),
    [sym_lexical_declaration] = STATE(345),
    [sym_statement_block] = STATE(345),
    [sym_if_statement] = STATE(345),
    [sym_switch_statement] = STATE(345),
    [sym_for_statement] = STATE(345),
    [sym_for_in_statement] = STATE(345),
    [sym_while_statement] = STATE(345),
    [sym_do_statement] = STATE(345),
    [sym_try_statement] = STATE(345),
    [sym_with_statement] = STATE(345),
    [sym_break_statement] = STATE(345),
    [sym_continue_statement] = STATE(345),
    [sym_debugger_statement] = STATE(345),
    [sym_return_statement] = STATE(345),
    [sym_throw_statement] = STATE(345),
    [sym_empty_statement] = STATE(345),
    [sym_labeled_statement] = STATE(345),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(345),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(345),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(345),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(345),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(345),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [37] = {
    [sym__declaration] = STATE(296),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(296),
    [sym_js_import_statement] = STATE(296),
    [sym_expression_statement] = STATE(296),
    [sym_variable_declaration] = STATE(296),
    [sym_lexical_declaration] = STATE(296),
    [sym_statement_block] = STATE(296),
    [sym_if_statement] = STATE(296),
    [sym_switch_statement] = STATE(296),
    [sym_for_statement] = STATE(296),
    [sym_for_in_statement] = STATE(296),
    [sym_while_statement] = STATE(296),
    [sym_do_statement] = STATE(296),
    [sym_try_statement] = STATE(296),
    [sym_with_statement] = STATE(296),
    [sym_break_statement] = STATE(296),
    [sym_continue_statement] = STATE(296),
    [sym_debugger_statement] = STATE(296),
    [sym_return_statement] = STATE(296),
    [sym_throw_statement] = STATE(296),
    [sym_empty_statement] = STATE(296),
    [sym_labeled_statement] = STATE(296),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(296),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(296),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(296),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(296),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(296),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [38] = {
    [sym__declaration] = STATE(330),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(330),
    [sym_js_import_statement] = STATE(330),
    [sym_expression_statement] = STATE(330),
    [sym_variable_declaration] = STATE(330),
    [sym_lexical_declaration] = STATE(330),
    [sym_statement_block] = STATE(330),
    [sym_if_statement] = STATE(330),
    [sym_switch_statement] = STATE(330),
    [sym_for_statement] = STATE(330),
    [sym_for_in_statement] = STATE(330),
    [sym_while_statement] = STATE(330),
    [sym_do_statement] = STATE(330),
    [sym_try_statement] = STATE(330),
    [sym_with_statement] = STATE(330),
    [sym_break_statement] = STATE(330),
    [sym_continue_statement] = STATE(330),
    [sym_debugger_statement] = STATE(330),
    [sym_return_statement] = STATE(330),
    [sym_throw_statement] = STATE(330),
    [sym_empty_statement] = STATE(330),
    [sym_labeled_statement] = STATE(330),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(330),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(330),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(330),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(330),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(330),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [39] = {
    [sym__declaration] = STATE(336),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(336),
    [sym_js_import_statement] = STATE(336),
    [sym_expression_statement] = STATE(336),
    [sym_variable_declaration] = STATE(336),
    [sym_lexical_declaration] = STATE(336),
    [sym_statement_block] = STATE(336),
    [sym_if_statement] = STATE(336),
    [sym_switch_statement] = STATE(336),
    [sym_for_statement] = STATE(336),
    [sym_for_in_statement] = STATE(336),
    [sym_while_statement] = STATE(336),
    [sym_do_statement] = STATE(336),
    [sym_try_statement] = STATE(336),
    [sym_with_statement] = STATE(336),
    [sym_break_statement] = STATE(336),
    [sym_continue_statement] = STATE(336),
    [sym_debugger_statement] = STATE(336),
    [sym_return_statement] = STATE(336),
    [sym_throw_statement] = STATE(336),
    [sym_empty_statement] = STATE(336),
    [sym_labeled_statement] = STATE(336),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(336),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(336),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(336),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(336),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(336),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [40] = {
    [sym__declaration] = STATE(345),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(345),
    [sym_js_import_statement] = STATE(345),
    [sym_expression_statement] = STATE(345),
    [sym_variable_declaration] = STATE(345),
    [sym_lexical_declaration] = STATE(345),
    [sym_statement_block] = STATE(345),
    [sym_if_statement] = STATE(345),
    [sym_switch_statement] = STATE(345),
    [sym_for_statement] = STATE(345),
    [sym_for_in_statement] = STATE(345),
    [sym_while_statement] = STATE(345),
    [sym_do_statement] = STATE(345),
    [sym_try_statement] = STATE(345),
    [sym_with_statement] = STATE(345),
    [sym_break_statement] = STATE(345),
    [sym_continue_statement] = STATE(345),
    [sym_debugger_statement] = STATE(345),
    [sym_return_statement] = STATE(345),
    [sym_throw_statement] = STATE(345),
    [sym_empty_statement] = STATE(345),
    [sym_labeled_statement] = STATE(345),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(345),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(345),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(345),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(345),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(345),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [41] = {
    [sym__declaration] = STATE(317),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(317),
    [sym_js_import_statement] = STATE(317),
    [sym_expression_statement] = STATE(317),
    [sym_variable_declaration] = STATE(317),
    [sym_lexical_declaration] = STATE(317),
    [sym_statement_block] = STATE(317),
    [sym_if_statement] = STATE(317),
    [sym_switch_statement] = STATE(317),
    [sym_for_statement] = STATE(317),
    [sym_for_in_statement] = STATE(317),
    [sym_while_statement] = STATE(317),
    [sym_do_statement] = STATE(317),
    [sym_try_statement] = STATE(317),
    [sym_with_statement] = STATE(317),
    [sym_break_statement] = STATE(317),
    [sym_continue_statement] = STATE(317),
    [sym_debugger_statement] = STATE(317),
    [sym_return_statement] = STATE(317),
    [sym_throw_statement] = STATE(317),
    [sym_empty_statement] = STATE(317),
    [sym_labeled_statement] = STATE(317),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(317),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(317),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(317),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(317),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(317),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [42] = {
    [sym__declaration] = STATE(334),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(334),
    [sym_js_import_statement] = STATE(334),
    [sym_expression_statement] = STATE(334),
    [sym_variable_declaration] = STATE(334),
    [sym_lexical_declaration] = STATE(334),
    [sym_statement_block] = STATE(334),
    [sym_if_statement] = STATE(334),
    [sym_switch_statement] = STATE(334),
    [sym_for_statement] = STATE(334),
    [sym_for_in_statement] = STATE(334),
    [sym_while_statement] = STATE(334),
    [sym_do_statement] = STATE(334),
    [sym_try_statement] = STATE(334),
    [sym_with_statement] = STATE(334),
    [sym_break_statement] = STATE(334),
    [sym_continue_statement] = STATE(334),
    [sym_debugger_statement] = STATE(334),
    [sym_return_statement] = STATE(334),
    [sym_throw_statement] = STATE(334),
    [sym_empty_statement] = STATE(334),
    [sym_labeled_statement] = STATE(334),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(334),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(334),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(334),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(334),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(334),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [43] = {
    [sym__declaration] = STATE(310),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(310),
    [sym_js_import_statement] = STATE(310),
    [sym_expression_statement] = STATE(310),
    [sym_variable_declaration] = STATE(310),
    [sym_lexical_declaration] = STATE(310),
    [sym_statement_block] = STATE(310),
    [sym_if_statement] = STATE(310),
    [sym_switch_statement] = STATE(310),
    [sym_for_statement] = STATE(310),
    [sym_for_in_statement] = STATE(310),
    [sym_while_statement] = STATE(310),
    [sym_do_statement] = STATE(310),
    [sym_try_statement] = STATE(310),
    [sym_with_statement] = STATE(310),
    [sym_break_statement] = STATE(310),
    [sym_continue_statement] = STATE(310),
    [sym_debugger_statement] = STATE(310),
    [sym_return_statement] = STATE(310),
    [sym_throw_statement] = STATE(310),
    [sym_empty_statement] = STATE(310),
    [sym_labeled_statement] = STATE(310),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(310),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(310),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(310),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(310),
    [sym_component_instance] = STATE(1444),
    [sym_component_instance_statement] = STATE(310),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1175),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(29),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_async] = ACTIONS(59),
    [anon_sym_function] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
    [anon_sym_component] = ACTIONS(89),
    [anon_sym_instance] = ACTIONS(91),
  },
  [44] = {
    [sym__declaration] = STATE(310),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(310),
    [sym_js_import_statement] = STATE(310),
    [sym_expression_statement] = STATE(310),
    [sym_variable_declaration] = STATE(310),
    [sym_lexical_declaration] = STATE(310),
    [sym_statement_block] = STATE(310),
    [sym_if_statement] = STATE(310),
    [sym_switch_statement] = STATE(310),
    [sym_for_statement] = STATE(310),
    [sym_for_in_statement] = STATE(310),
    [sym_while_statement] = STATE(310),
    [sym_do_statement] = STATE(310),
    [sym_try_statement] = STATE(310),
    [sym_with_statement] = STATE(310),
    [sym_break_statement] = STATE(310),
    [sym_continue_statement] = STATE(310),
    [sym_debugger_statement] = STATE(310),
    [sym_return_statement] = STATE(310),
    [sym_throw_statement] = STATE(310),
    [sym_empty_statement] = STATE(310),
    [sym_labeled_statement] = STATE(310),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(310),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(310),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(310),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(310),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(310),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [45] = {
    [sym__declaration] = STATE(334),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(334),
    [sym_js_import_statement] = STATE(334),
    [sym_expression_statement] = STATE(334),
    [sym_variable_declaration] = STATE(334),
    [sym_lexical_declaration] = STATE(334),
    [sym_statement_block] = STATE(334),
    [sym_if_statement] = STATE(334),
    [sym_switch_statement] = STATE(334),
    [sym_for_statement] = STATE(334),
    [sym_for_in_statement] = STATE(334),
    [sym_while_statement] = STATE(334),
    [sym_do_statement] = STATE(334),
    [sym_try_statement] = STATE(334),
    [sym_with_statement] = STATE(334),
    [sym_break_statement] = STATE(334),
    [sym_continue_statement] = STATE(334),
    [sym_debugger_statement] = STATE(334),
    [sym_return_statement] = STATE(334),
    [sym_throw_statement] = STATE(334),
    [sym_empty_statement] = STATE(334),
    [sym_labeled_statement] = STATE(334),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(334),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(334),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(334),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(334),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(334),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [46] = {
    [sym__declaration] = STATE(315),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(315),
    [sym_js_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(315),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(315),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(315),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(315),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(315),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [47] = {
    [sym__declaration] = STATE(1541),
    [sym_import] = STATE(688),
    [sym_import_statement] = STATE(1541),
    [sym_js_import_statement] = STATE(1541),
    [sym_expression_statement] = STATE(1541),
    [sym_variable_declaration] = STATE(1541),
    [sym_lexical_declaration] = STATE(1541),
    [sym_statement_block] = STATE(1541),
    [sym_if_statement] = STATE(1541),
    [sym_switch_statement] = STATE(1541),
    [sym_for_statement] = STATE(1541),
    [sym_for_in_statement] = STATE(1541),
    [sym_while_statement] = STATE(1541),
    [sym_do_statement] = STATE(1541),
    [sym_try_statement] = STATE(1541),
    [sym_with_statement] = STATE(1541),
    [sym_break_statement] = STATE(1541),
    [sym_continue_statement] = STATE(1541),
    [sym_debugger_statement] = STATE(1541),
    [sym_return_statement] = STATE(1541),
    [sym_throw_statement] = STATE(1541),
    [sym_empty_statement] = STATE(1541),
    [sym_labeled_statement] = STATE(1541),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_class_declaration] = STATE(1541),
    [sym_function] = STATE(646),
    [sym_function_declaration] = STATE(1541),
    [sym_generator_function] = STATE(688),
    [sym_generator_function_declaration] = STATE(1541),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_component_declaration] = STATE(1541),
    [sym_component_instance] = STATE(1562),
    [sym_component_instance_statement] = STATE(1541),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_while] = ACTIONS(327),
    [anon_sym_do] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_debugger] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_throw] = ACTIONS(45),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(331),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_function] = ACTIONS(335),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(337),
    [anon_sym_get] = ACTIONS(337),
    [anon_sym_set] = ACTIONS(337),
    [anon_sym_component] = ACTIONS(339),
    [anon_sym_instance] = ACTIONS(91),
  },
  [48] = {
    [sym_import] = STATE(453),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(453),
    [sym_yield_expression] = STATE(453),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(453),
    [sym_jsx_fragment] = STATE(453),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(453),
    [sym_class] = STATE(453),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(453),
    [sym_arrow_function] = STATE(453),
    [sym_call_expression] = STATE(453),
    [sym_new_expression] = STATE(453),
    [sym_await_expression] = STATE(453),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(453),
    [sym_augmented_assignment_expression] = STATE(453),
    [sym_ternary_expression] = STATE(453),
    [sym_binary_expression] = STATE(453),
    [sym_unary_expression] = STATE(453),
    [sym_update_expression] = STATE(453),
    [sym_string] = STATE(453),
    [sym_template_string] = STATE(453),
    [sym_regex] = STATE(453),
    [sym_meta_property] = STATE(453),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(453),
    [sym_new_component_expression] = STATE(453),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_DOT] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_in] = ACTIONS(345),
    [anon_sym_SEMI] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_STAR] = ACTIONS(357),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(345),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_PERCENT] = ACTIONS(349),
    [anon_sym_STAR_STAR] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(349),
    [anon_sym_EQ_EQ] = ACTIONS(345),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(345),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_instanceof] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(389),
    [sym_this] = ACTIONS(391),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_null] = ACTIONS(391),
    [sym_undefined] = ACTIONS(391),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_constructor] = ACTIONS(345),
    [anon_sym_component] = ACTIONS(397),
    [anon_sym_id] = ACTIONS(345),
    [anon_sym_event] = ACTIONS(345),
    [anon_sym_fn] = ACTIONS(345),
    [anon_sym_on] = ACTIONS(345),
  },
  [49] = {
    [sym_import] = STATE(554),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(554),
    [sym_yield_expression] = STATE(554),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(554),
    [sym_jsx_fragment] = STATE(554),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(554),
    [sym_class] = STATE(554),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(554),
    [sym_arrow_function] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_new_expression] = STATE(554),
    [sym_await_expression] = STATE(554),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(554),
    [sym_augmented_assignment_expression] = STATE(554),
    [sym_ternary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_update_expression] = STATE(554),
    [sym_string] = STATE(554),
    [sym_template_string] = STATE(554),
    [sym_regex] = STATE(554),
    [sym_meta_property] = STATE(554),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(554),
    [sym_new_component_expression] = STATE(554),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_DOT] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_in] = ACTIONS(345),
    [anon_sym_SEMI] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(361),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(345),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_PERCENT] = ACTIONS(349),
    [anon_sym_STAR_STAR] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(349),
    [anon_sym_EQ_EQ] = ACTIONS(345),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(345),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_instanceof] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(415),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(423),
    [sym_this] = ACTIONS(425),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(425),
    [sym_false] = ACTIONS(425),
    [sym_null] = ACTIONS(425),
    [sym_undefined] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
    [anon_sym_id] = ACTIONS(345),
    [anon_sym_event] = ACTIONS(345),
    [anon_sym_fn] = ACTIONS(345),
    [anon_sym_on] = ACTIONS(345),
  },
  [50] = {
    [sym_import] = STATE(593),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(593),
    [sym_yield_expression] = STATE(593),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(593),
    [sym_jsx_fragment] = STATE(593),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(593),
    [sym_class] = STATE(593),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(593),
    [sym_arrow_function] = STATE(593),
    [sym_call_expression] = STATE(593),
    [sym_new_expression] = STATE(593),
    [sym_await_expression] = STATE(593),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(593),
    [sym_augmented_assignment_expression] = STATE(593),
    [sym_ternary_expression] = STATE(593),
    [sym_binary_expression] = STATE(593),
    [sym_unary_expression] = STATE(593),
    [sym_update_expression] = STATE(593),
    [sym_string] = STATE(593),
    [sym_template_string] = STATE(593),
    [sym_regex] = STATE(593),
    [sym_meta_property] = STATE(593),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(593),
    [sym_new_component_expression] = STATE(593),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_DOT] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(349),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_in] = ACTIONS(345),
    [anon_sym_COLON] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(441),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(345),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_PERCENT] = ACTIONS(349),
    [anon_sym_STAR_STAR] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(349),
    [anon_sym_EQ_EQ] = ACTIONS(345),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(345),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_instanceof] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(473),
    [sym_this] = ACTIONS(475),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(475),
    [sym_false] = ACTIONS(475),
    [sym_null] = ACTIONS(475),
    [sym_undefined] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [51] = {
    [sym_import] = STATE(670),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(670),
    [sym_yield_expression] = STATE(670),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(670),
    [sym_jsx_fragment] = STATE(670),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(670),
    [sym_class] = STATE(670),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(670),
    [sym_arrow_function] = STATE(670),
    [sym_call_expression] = STATE(670),
    [sym_new_expression] = STATE(670),
    [sym_await_expression] = STATE(670),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(670),
    [sym_augmented_assignment_expression] = STATE(670),
    [sym_ternary_expression] = STATE(670),
    [sym_binary_expression] = STATE(670),
    [sym_unary_expression] = STATE(670),
    [sym_update_expression] = STATE(670),
    [sym_string] = STATE(670),
    [sym_template_string] = STATE(670),
    [sym_regex] = STATE(670),
    [sym_meta_property] = STATE(670),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(670),
    [sym_new_component_expression] = STATE(670),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_in] = ACTIONS(345),
    [anon_sym_SEMI] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_STAR] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(491),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(345),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(349),
    [anon_sym_STAR_STAR] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(349),
    [anon_sym_EQ_EQ] = ACTIONS(345),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(345),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(349),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_instanceof] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(499),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(501),
    [sym_this] = ACTIONS(503),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(503),
    [sym_false] = ACTIONS(503),
    [sym_null] = ACTIONS(503),
    [sym_undefined] = ACTIONS(503),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
    [sym__automatic_semicolon] = ACTIONS(349),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(509),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_import] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(513),
    [anon_sym_LBRACE] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_var] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_switch] = ACTIONS(511),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_await] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_with] = ACTIONS(511),
    [anon_sym_break] = ACTIONS(511),
    [anon_sym_continue] = ACTIONS(511),
    [anon_sym_debugger] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_case] = ACTIONS(511),
    [anon_sym_default] = ACTIONS(511),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_function] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(509),
    [anon_sym_typeof] = ACTIONS(511),
    [anon_sym_void] = ACTIONS(511),
    [anon_sym_delete] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(509),
    [sym_this] = ACTIONS(511),
    [sym_super] = ACTIONS(511),
    [sym_true] = ACTIONS(511),
    [sym_false] = ACTIONS(511),
    [sym_null] = ACTIONS(511),
    [sym_undefined] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_component] = ACTIONS(511),
    [anon_sym_instance] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(519),
    [sym_identifier] = ACTIONS(521),
    [anon_sym_import] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(519),
    [anon_sym_COMMA] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_var] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(521),
    [anon_sym_else] = ACTIONS(521),
    [anon_sym_switch] = ACTIONS(521),
    [anon_sym_for] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_await] = ACTIONS(521),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(521),
    [anon_sym_do] = ACTIONS(521),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_with] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(521),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_debugger] = ACTIONS(521),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_throw] = ACTIONS(521),
    [anon_sym_SEMI] = ACTIONS(519),
    [anon_sym_case] = ACTIONS(521),
    [anon_sym_default] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(519),
    [anon_sym_LT] = ACTIONS(521),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(521),
    [anon_sym_class] = ACTIONS(521),
    [anon_sym_async] = ACTIONS(521),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_QMARK] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(519),
    [anon_sym_typeof] = ACTIONS(521),
    [anon_sym_void] = ACTIONS(521),
    [anon_sym_delete] = ACTIONS(521),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_DQUOTE] = ACTIONS(519),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(519),
    [sym_number] = ACTIONS(519),
    [sym_this] = ACTIONS(521),
    [sym_super] = ACTIONS(521),
    [sym_true] = ACTIONS(521),
    [sym_false] = ACTIONS(521),
    [sym_null] = ACTIONS(521),
    [sym_undefined] = ACTIONS(521),
    [anon_sym_AT] = ACTIONS(519),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(521),
    [anon_sym_component] = ACTIONS(521),
    [anon_sym_instance] = ACTIONS(521),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(529),
    [sym_identifier] = ACTIONS(531),
    [anon_sym_import] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACE] = ACTIONS(529),
    [anon_sym_COMMA] = ACTIONS(535),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_var] = ACTIONS(531),
    [anon_sym_let] = ACTIONS(531),
    [anon_sym_const] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(531),
    [anon_sym_else] = ACTIONS(531),
    [anon_sym_switch] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [anon_sym_in] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_do] = ACTIONS(531),
    [anon_sym_try] = ACTIONS(531),
    [anon_sym_with] = ACTIONS(531),
    [anon_sym_break] = ACTIONS(531),
    [anon_sym_continue] = ACTIONS(531),
    [anon_sym_debugger] = ACTIONS(531),
    [anon_sym_return] = ACTIONS(531),
    [anon_sym_throw] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_case] = ACTIONS(531),
    [anon_sym_default] = ACTIONS(531),
    [anon_sym_yield] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(529),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_GT] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_class] = ACTIONS(531),
    [anon_sym_async] = ACTIONS(531),
    [anon_sym_function] = ACTIONS(531),
    [anon_sym_new] = ACTIONS(531),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_PIPE_PIPE] = ACTIONS(535),
    [anon_sym_GT_GT] = ACTIONS(533),
    [anon_sym_GT_GT_GT] = ACTIONS(535),
    [anon_sym_LT_LT] = ACTIONS(535),
    [anon_sym_AMP] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(535),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(535),
    [anon_sym_STAR_STAR] = ACTIONS(535),
    [anon_sym_LT_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ] = ACTIONS(533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ] = ACTIONS(533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(535),
    [anon_sym_GT_EQ] = ACTIONS(535),
    [anon_sym_instanceof] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_typeof] = ACTIONS(531),
    [anon_sym_void] = ACTIONS(531),
    [anon_sym_delete] = ACTIONS(531),
    [anon_sym_PLUS_PLUS] = ACTIONS(529),
    [anon_sym_DASH_DASH] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(529),
    [anon_sym_SQUOTE] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(529),
    [sym_number] = ACTIONS(529),
    [sym_this] = ACTIONS(531),
    [sym_super] = ACTIONS(531),
    [sym_true] = ACTIONS(531),
    [sym_false] = ACTIONS(531),
    [sym_null] = ACTIONS(531),
    [sym_undefined] = ACTIONS(531),
    [anon_sym_AT] = ACTIONS(529),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
    [anon_sym_component] = ACTIONS(531),
    [anon_sym_instance] = ACTIONS(531),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(539),
    [sym_identifier] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(541),
    [anon_sym_DOT] = ACTIONS(543),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_COMMA] = ACTIONS(545),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_var] = ACTIONS(541),
    [anon_sym_let] = ACTIONS(541),
    [anon_sym_const] = ACTIONS(541),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_else] = ACTIONS(541),
    [anon_sym_switch] = ACTIONS(541),
    [anon_sym_for] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(539),
    [anon_sym_await] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_while] = ACTIONS(541),
    [anon_sym_do] = ACTIONS(541),
    [anon_sym_try] = ACTIONS(541),
    [anon_sym_with] = ACTIONS(541),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [anon_sym_debugger] = ACTIONS(541),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_throw] = ACTIONS(541),
    [anon_sym_SEMI] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_default] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(539),
    [anon_sym_LT] = ACTIONS(541),
    [anon_sym_GT] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(541),
    [anon_sym_async] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(541),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_QMARK] = ACTIONS(545),
    [anon_sym_AMP_AMP] = ACTIONS(545),
    [anon_sym_PIPE_PIPE] = ACTIONS(545),
    [anon_sym_GT_GT] = ACTIONS(543),
    [anon_sym_GT_GT_GT] = ACTIONS(545),
    [anon_sym_LT_LT] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(545),
    [anon_sym_PIPE] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_PERCENT] = ACTIONS(545),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_LT_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ] = ACTIONS(543),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ] = ACTIONS(543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(545),
    [anon_sym_GT_EQ] = ACTIONS(545),
    [anon_sym_instanceof] = ACTIONS(543),
    [anon_sym_BANG] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(539),
    [anon_sym_typeof] = ACTIONS(541),
    [anon_sym_void] = ACTIONS(541),
    [anon_sym_delete] = ACTIONS(541),
    [anon_sym_PLUS_PLUS] = ACTIONS(539),
    [anon_sym_DASH_DASH] = ACTIONS(539),
    [anon_sym_DQUOTE] = ACTIONS(539),
    [anon_sym_SQUOTE] = ACTIONS(539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(539),
    [sym_number] = ACTIONS(539),
    [sym_this] = ACTIONS(541),
    [sym_super] = ACTIONS(541),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [sym_null] = ACTIONS(541),
    [sym_undefined] = ACTIONS(541),
    [anon_sym_AT] = ACTIONS(539),
    [anon_sym_static] = ACTIONS(541),
    [anon_sym_get] = ACTIONS(541),
    [anon_sym_set] = ACTIONS(541),
    [anon_sym_component] = ACTIONS(541),
    [anon_sym_instance] = ACTIONS(541),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(549),
    [sym_identifier] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(551),
    [anon_sym_DOT] = ACTIONS(553),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_var] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(551),
    [anon_sym_const] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(551),
    [anon_sym_else] = ACTIONS(551),
    [anon_sym_switch] = ACTIONS(551),
    [anon_sym_for] = ACTIONS(551),
    [anon_sym_LPAREN] = ACTIONS(549),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(551),
    [anon_sym_with] = ACTIONS(551),
    [anon_sym_break] = ACTIONS(551),
    [anon_sym_continue] = ACTIONS(551),
    [anon_sym_debugger] = ACTIONS(551),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_case] = ACTIONS(551),
    [anon_sym_default] = ACTIONS(551),
    [anon_sym_yield] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(551),
    [anon_sym_GT] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(551),
    [anon_sym_class] = ACTIONS(551),
    [anon_sym_async] = ACTIONS(551),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_new] = ACTIONS(551),
    [anon_sym_QMARK] = ACTIONS(555),
    [anon_sym_AMP_AMP] = ACTIONS(555),
    [anon_sym_PIPE_PIPE] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(553),
    [anon_sym_GT_GT_GT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(551),
    [anon_sym_DASH] = ACTIONS(551),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(555),
    [anon_sym_LT_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(555),
    [anon_sym_GT_EQ] = ACTIONS(555),
    [anon_sym_instanceof] = ACTIONS(553),
    [anon_sym_BANG] = ACTIONS(551),
    [anon_sym_TILDE] = ACTIONS(549),
    [anon_sym_typeof] = ACTIONS(551),
    [anon_sym_void] = ACTIONS(551),
    [anon_sym_delete] = ACTIONS(551),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(549),
    [sym_number] = ACTIONS(549),
    [sym_this] = ACTIONS(551),
    [sym_super] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(551),
    [anon_sym_AT] = ACTIONS(549),
    [anon_sym_static] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(551),
    [anon_sym_set] = ACTIONS(551),
    [anon_sym_component] = ACTIONS(551),
    [anon_sym_instance] = ACTIONS(551),
    [sym__automatic_semicolon] = ACTIONS(557),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(559),
    [sym_identifier] = ACTIONS(561),
    [anon_sym_import] = ACTIONS(561),
    [anon_sym_DOT] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_var] = ACTIONS(561),
    [anon_sym_let] = ACTIONS(561),
    [anon_sym_const] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(561),
    [anon_sym_else] = ACTIONS(561),
    [anon_sym_switch] = ACTIONS(561),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_LPAREN] = ACTIONS(559),
    [anon_sym_await] = ACTIONS(561),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(561),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_with] = ACTIONS(561),
    [anon_sym_break] = ACTIONS(561),
    [anon_sym_continue] = ACTIONS(561),
    [anon_sym_debugger] = ACTIONS(561),
    [anon_sym_return] = ACTIONS(561),
    [anon_sym_throw] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(559),
    [anon_sym_case] = ACTIONS(561),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_yield] = ACTIONS(561),
    [anon_sym_STAR] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(561),
    [anon_sym_GT] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(561),
    [anon_sym_class] = ACTIONS(561),
    [anon_sym_async] = ACTIONS(561),
    [anon_sym_function] = ACTIONS(561),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_QMARK] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(563),
    [anon_sym_GT_GT_GT] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(561),
    [anon_sym_DASH] = ACTIONS(561),
    [anon_sym_PERCENT] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(565),
    [anon_sym_instanceof] = ACTIONS(563),
    [anon_sym_BANG] = ACTIONS(561),
    [anon_sym_TILDE] = ACTIONS(559),
    [anon_sym_typeof] = ACTIONS(561),
    [anon_sym_void] = ACTIONS(561),
    [anon_sym_delete] = ACTIONS(561),
    [anon_sym_PLUS_PLUS] = ACTIONS(559),
    [anon_sym_DASH_DASH] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_SQUOTE] = ACTIONS(559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [sym_number] = ACTIONS(559),
    [sym_this] = ACTIONS(561),
    [sym_super] = ACTIONS(561),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [sym_null] = ACTIONS(561),
    [sym_undefined] = ACTIONS(561),
    [anon_sym_AT] = ACTIONS(559),
    [anon_sym_static] = ACTIONS(561),
    [anon_sym_get] = ACTIONS(561),
    [anon_sym_set] = ACTIONS(561),
    [anon_sym_component] = ACTIONS(561),
    [anon_sym_instance] = ACTIONS(561),
    [sym__automatic_semicolon] = ACTIONS(567),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(569),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_import] = ACTIONS(571),
    [anon_sym_DOT] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_var] = ACTIONS(571),
    [anon_sym_let] = ACTIONS(571),
    [anon_sym_const] = ACTIONS(571),
    [anon_sym_if] = ACTIONS(571),
    [anon_sym_else] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(571),
    [anon_sym_in] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(571),
    [anon_sym_do] = ACTIONS(571),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_with] = ACTIONS(571),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_debugger] = ACTIONS(571),
    [anon_sym_return] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(571),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_case] = ACTIONS(571),
    [anon_sym_default] = ACTIONS(571),
    [anon_sym_yield] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(571),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(571),
    [anon_sym_async] = ACTIONS(571),
    [anon_sym_function] = ACTIONS(571),
    [anon_sym_new] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_GT_GT_GT] = ACTIONS(575),
    [anon_sym_LT_LT] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_PERCENT] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(575),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(575),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_instanceof] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(571),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_typeof] = ACTIONS(571),
    [anon_sym_void] = ACTIONS(571),
    [anon_sym_delete] = ACTIONS(571),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(569),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(569),
    [sym_number] = ACTIONS(569),
    [sym_this] = ACTIONS(571),
    [sym_super] = ACTIONS(571),
    [sym_true] = ACTIONS(571),
    [sym_false] = ACTIONS(571),
    [sym_null] = ACTIONS(571),
    [sym_undefined] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(569),
    [anon_sym_static] = ACTIONS(571),
    [anon_sym_get] = ACTIONS(571),
    [anon_sym_set] = ACTIONS(571),
    [anon_sym_component] = ACTIONS(571),
    [anon_sym_instance] = ACTIONS(571),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(579),
    [sym_identifier] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(579),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_var] = ACTIONS(581),
    [anon_sym_let] = ACTIONS(581),
    [anon_sym_const] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(581),
    [anon_sym_else] = ACTIONS(581),
    [anon_sym_switch] = ACTIONS(581),
    [anon_sym_for] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_await] = ACTIONS(581),
    [anon_sym_in] = ACTIONS(583),
    [anon_sym_while] = ACTIONS(581),
    [anon_sym_do] = ACTIONS(581),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_with] = ACTIONS(581),
    [anon_sym_break] = ACTIONS(581),
    [anon_sym_continue] = ACTIONS(581),
    [anon_sym_debugger] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(581),
    [anon_sym_SEMI] = ACTIONS(579),
    [anon_sym_case] = ACTIONS(581),
    [anon_sym_default] = ACTIONS(581),
    [anon_sym_yield] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LT] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(581),
    [anon_sym_class] = ACTIONS(581),
    [anon_sym_async] = ACTIONS(581),
    [anon_sym_function] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(581),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_AMP_AMP] = ACTIONS(585),
    [anon_sym_PIPE_PIPE] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_GT_GT_GT] = ACTIONS(585),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_PERCENT] = ACTIONS(585),
    [anon_sym_STAR_STAR] = ACTIONS(585),
    [anon_sym_LT_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ] = ACTIONS(583),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ] = ACTIONS(583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(585),
    [anon_sym_GT_EQ] = ACTIONS(585),
    [anon_sym_instanceof] = ACTIONS(583),
    [anon_sym_BANG] = ACTIONS(581),
    [anon_sym_TILDE] = ACTIONS(579),
    [anon_sym_typeof] = ACTIONS(581),
    [anon_sym_void] = ACTIONS(581),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(579),
    [sym_number] = ACTIONS(579),
    [sym_this] = ACTIONS(581),
    [sym_super] = ACTIONS(581),
    [sym_true] = ACTIONS(581),
    [sym_false] = ACTIONS(581),
    [sym_null] = ACTIONS(581),
    [sym_undefined] = ACTIONS(581),
    [anon_sym_AT] = ACTIONS(579),
    [anon_sym_static] = ACTIONS(581),
    [anon_sym_get] = ACTIONS(581),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_component] = ACTIONS(581),
    [anon_sym_instance] = ACTIONS(581),
    [sym__automatic_semicolon] = ACTIONS(587),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_identifier] = ACTIONS(591),
    [anon_sym_import] = ACTIONS(591),
    [anon_sym_DOT] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_var] = ACTIONS(591),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_const] = ACTIONS(591),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_else] = ACTIONS(591),
    [anon_sym_switch] = ACTIONS(591),
    [anon_sym_for] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_await] = ACTIONS(591),
    [anon_sym_in] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(591),
    [anon_sym_do] = ACTIONS(591),
    [anon_sym_try] = ACTIONS(591),
    [anon_sym_with] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(591),
    [anon_sym_continue] = ACTIONS(591),
    [anon_sym_debugger] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_throw] = ACTIONS(591),
    [anon_sym_SEMI] = ACTIONS(589),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_default] = ACTIONS(591),
    [anon_sym_yield] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(591),
    [anon_sym_class] = ACTIONS(591),
    [anon_sym_async] = ACTIONS(591),
    [anon_sym_function] = ACTIONS(591),
    [anon_sym_new] = ACTIONS(591),
    [anon_sym_QMARK] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_GT_GT_GT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_STAR_STAR] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_instanceof] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(589),
    [anon_sym_typeof] = ACTIONS(591),
    [anon_sym_void] = ACTIONS(591),
    [anon_sym_delete] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(589),
    [anon_sym_DASH_DASH] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(589),
    [sym_number] = ACTIONS(589),
    [sym_this] = ACTIONS(591),
    [sym_super] = ACTIONS(591),
    [sym_true] = ACTIONS(591),
    [sym_false] = ACTIONS(591),
    [sym_null] = ACTIONS(591),
    [sym_undefined] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(589),
    [anon_sym_static] = ACTIONS(591),
    [anon_sym_get] = ACTIONS(591),
    [anon_sym_set] = ACTIONS(591),
    [anon_sym_component] = ACTIONS(591),
    [anon_sym_instance] = ACTIONS(591),
    [sym__automatic_semicolon] = ACTIONS(597),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(599),
    [sym_identifier] = ACTIONS(601),
    [anon_sym_import] = ACTIONS(601),
    [anon_sym_DOT] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_COMMA] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_var] = ACTIONS(601),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_const] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_else] = ACTIONS(601),
    [anon_sym_switch] = ACTIONS(601),
    [anon_sym_for] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_await] = ACTIONS(601),
    [anon_sym_in] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(601),
    [anon_sym_do] = ACTIONS(601),
    [anon_sym_try] = ACTIONS(601),
    [anon_sym_with] = ACTIONS(601),
    [anon_sym_break] = ACTIONS(601),
    [anon_sym_continue] = ACTIONS(601),
    [anon_sym_debugger] = ACTIONS(601),
    [anon_sym_return] = ACTIONS(601),
    [anon_sym_throw] = ACTIONS(601),
    [anon_sym_SEMI] = ACTIONS(599),
    [anon_sym_case] = ACTIONS(601),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_yield] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(601),
    [anon_sym_async] = ACTIONS(601),
    [anon_sym_function] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(601),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_AMP_AMP] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_GT_GT_GT] = ACTIONS(599),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_AMP] = ACTIONS(601),
    [anon_sym_CARET] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(599),
    [anon_sym_STAR_STAR] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_instanceof] = ACTIONS(601),
    [anon_sym_BANG] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(599),
    [anon_sym_typeof] = ACTIONS(601),
    [anon_sym_void] = ACTIONS(601),
    [anon_sym_delete] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(599),
    [anon_sym_DASH_DASH] = ACTIONS(599),
    [anon_sym_DQUOTE] = ACTIONS(599),
    [anon_sym_SQUOTE] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(599),
    [sym_number] = ACTIONS(599),
    [sym_this] = ACTIONS(601),
    [sym_super] = ACTIONS(601),
    [sym_true] = ACTIONS(601),
    [sym_false] = ACTIONS(601),
    [sym_null] = ACTIONS(601),
    [sym_undefined] = ACTIONS(601),
    [anon_sym_AT] = ACTIONS(599),
    [anon_sym_static] = ACTIONS(601),
    [anon_sym_get] = ACTIONS(601),
    [anon_sym_set] = ACTIONS(601),
    [anon_sym_component] = ACTIONS(601),
    [anon_sym_instance] = ACTIONS(601),
    [sym__automatic_semicolon] = ACTIONS(599),
  },
  [62] = {
    [ts_builtin_sym_end] = ACTIONS(603),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_var] = ACTIONS(605),
    [anon_sym_let] = ACTIONS(605),
    [anon_sym_const] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_else] = ACTIONS(605),
    [anon_sym_switch] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_await] = ACTIONS(605),
    [anon_sym_in] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(605),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_try] = ACTIONS(605),
    [anon_sym_with] = ACTIONS(605),
    [anon_sym_break] = ACTIONS(605),
    [anon_sym_continue] = ACTIONS(605),
    [anon_sym_debugger] = ACTIONS(605),
    [anon_sym_return] = ACTIONS(605),
    [anon_sym_throw] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(603),
    [anon_sym_case] = ACTIONS(605),
    [anon_sym_default] = ACTIONS(605),
    [anon_sym_yield] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(605),
    [anon_sym_class] = ACTIONS(605),
    [anon_sym_async] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(605),
    [anon_sym_new] = ACTIONS(605),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(603),
    [anon_sym_PIPE_PIPE] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_GT_GT_GT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_STAR_STAR] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(603),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(603),
    [anon_sym_GT_EQ] = ACTIONS(603),
    [anon_sym_instanceof] = ACTIONS(605),
    [anon_sym_BANG] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_typeof] = ACTIONS(605),
    [anon_sym_void] = ACTIONS(605),
    [anon_sym_delete] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_DQUOTE] = ACTIONS(603),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [sym_number] = ACTIONS(603),
    [sym_this] = ACTIONS(605),
    [sym_super] = ACTIONS(605),
    [sym_true] = ACTIONS(605),
    [sym_false] = ACTIONS(605),
    [sym_null] = ACTIONS(605),
    [sym_undefined] = ACTIONS(605),
    [anon_sym_AT] = ACTIONS(603),
    [anon_sym_static] = ACTIONS(605),
    [anon_sym_get] = ACTIONS(605),
    [anon_sym_set] = ACTIONS(605),
    [anon_sym_component] = ACTIONS(605),
    [anon_sym_instance] = ACTIONS(605),
    [sym__automatic_semicolon] = ACTIONS(603),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(607),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_import] = ACTIONS(609),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(609),
    [anon_sym_let] = ACTIONS(609),
    [anon_sym_const] = ACTIONS(609),
    [anon_sym_if] = ACTIONS(609),
    [anon_sym_else] = ACTIONS(609),
    [anon_sym_switch] = ACTIONS(609),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(607),
    [anon_sym_await] = ACTIONS(609),
    [anon_sym_in] = ACTIONS(611),
    [anon_sym_while] = ACTIONS(609),
    [anon_sym_do] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_with] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(609),
    [anon_sym_continue] = ACTIONS(609),
    [anon_sym_debugger] = ACTIONS(609),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_throw] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(609),
    [anon_sym_default] = ACTIONS(609),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_LT] = ACTIONS(609),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(609),
    [anon_sym_class] = ACTIONS(609),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(609),
    [anon_sym_new] = ACTIONS(609),
    [anon_sym_QMARK] = ACTIONS(613),
    [anon_sym_AMP_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(611),
    [anon_sym_GT_GT_GT] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_PERCENT] = ACTIONS(613),
    [anon_sym_STAR_STAR] = ACTIONS(613),
    [anon_sym_LT_EQ] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(611),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(611),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(613),
    [anon_sym_GT_EQ] = ACTIONS(613),
    [anon_sym_instanceof] = ACTIONS(611),
    [anon_sym_BANG] = ACTIONS(609),
    [anon_sym_TILDE] = ACTIONS(607),
    [anon_sym_typeof] = ACTIONS(609),
    [anon_sym_void] = ACTIONS(609),
    [anon_sym_delete] = ACTIONS(609),
    [anon_sym_PLUS_PLUS] = ACTIONS(607),
    [anon_sym_DASH_DASH] = ACTIONS(607),
    [anon_sym_DQUOTE] = ACTIONS(607),
    [anon_sym_SQUOTE] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(607),
    [sym_number] = ACTIONS(607),
    [sym_this] = ACTIONS(609),
    [sym_super] = ACTIONS(609),
    [sym_true] = ACTIONS(609),
    [sym_false] = ACTIONS(609),
    [sym_null] = ACTIONS(609),
    [sym_undefined] = ACTIONS(609),
    [anon_sym_AT] = ACTIONS(607),
    [anon_sym_static] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(609),
    [anon_sym_set] = ACTIONS(609),
    [anon_sym_component] = ACTIONS(609),
    [anon_sym_instance] = ACTIONS(609),
    [sym__automatic_semicolon] = ACTIONS(615),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(509),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_import] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(511),
    [anon_sym_LBRACE] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_var] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_switch] = ACTIONS(511),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_await] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_with] = ACTIONS(511),
    [anon_sym_break] = ACTIONS(511),
    [anon_sym_continue] = ACTIONS(511),
    [anon_sym_debugger] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_case] = ACTIONS(511),
    [anon_sym_default] = ACTIONS(511),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_function] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(509),
    [anon_sym_typeof] = ACTIONS(511),
    [anon_sym_void] = ACTIONS(511),
    [anon_sym_delete] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(509),
    [sym_this] = ACTIONS(511),
    [sym_super] = ACTIONS(511),
    [sym_true] = ACTIONS(511),
    [sym_false] = ACTIONS(511),
    [sym_null] = ACTIONS(511),
    [sym_undefined] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_component] = ACTIONS(511),
    [anon_sym_instance] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(617),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(619),
    [sym_identifier] = ACTIONS(621),
    [anon_sym_import] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_var] = ACTIONS(621),
    [anon_sym_let] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_else] = ACTIONS(621),
    [anon_sym_switch] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(621),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_await] = ACTIONS(621),
    [anon_sym_in] = ACTIONS(623),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_do] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_with] = ACTIONS(621),
    [anon_sym_break] = ACTIONS(621),
    [anon_sym_continue] = ACTIONS(621),
    [anon_sym_debugger] = ACTIONS(621),
    [anon_sym_return] = ACTIONS(621),
    [anon_sym_throw] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(619),
    [anon_sym_case] = ACTIONS(621),
    [anon_sym_default] = ACTIONS(621),
    [anon_sym_yield] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(619),
    [anon_sym_LT] = ACTIONS(621),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_class] = ACTIONS(621),
    [anon_sym_async] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(621),
    [anon_sym_QMARK] = ACTIONS(625),
    [anon_sym_AMP_AMP] = ACTIONS(625),
    [anon_sym_PIPE_PIPE] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_GT_GT_GT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(621),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_LT_EQ] = ACTIONS(625),
    [anon_sym_EQ_EQ] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(625),
    [anon_sym_GT_EQ] = ACTIONS(625),
    [anon_sym_instanceof] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_typeof] = ACTIONS(621),
    [anon_sym_void] = ACTIONS(621),
    [anon_sym_delete] = ACTIONS(621),
    [anon_sym_PLUS_PLUS] = ACTIONS(619),
    [anon_sym_DASH_DASH] = ACTIONS(619),
    [anon_sym_DQUOTE] = ACTIONS(619),
    [anon_sym_SQUOTE] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [sym_number] = ACTIONS(619),
    [sym_this] = ACTIONS(621),
    [sym_super] = ACTIONS(621),
    [sym_true] = ACTIONS(621),
    [sym_false] = ACTIONS(621),
    [sym_null] = ACTIONS(621),
    [sym_undefined] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(619),
    [anon_sym_static] = ACTIONS(621),
    [anon_sym_get] = ACTIONS(621),
    [anon_sym_set] = ACTIONS(621),
    [anon_sym_component] = ACTIONS(621),
    [anon_sym_instance] = ACTIONS(621),
    [sym__automatic_semicolon] = ACTIONS(627),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_var] = ACTIONS(631),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_const] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(631),
    [anon_sym_else] = ACTIONS(631),
    [anon_sym_switch] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_await] = ACTIONS(631),
    [anon_sym_in] = ACTIONS(631),
    [anon_sym_while] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(631),
    [anon_sym_with] = ACTIONS(631),
    [anon_sym_break] = ACTIONS(631),
    [anon_sym_continue] = ACTIONS(631),
    [anon_sym_debugger] = ACTIONS(631),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(631),
    [anon_sym_yield] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_AMP_AMP] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_GT_GT_GT] = ACTIONS(629),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(629),
    [anon_sym_STAR_STAR] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(629),
    [anon_sym_instanceof] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_typeof] = ACTIONS(631),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_delete] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(629),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(629),
    [sym_number] = ACTIONS(629),
    [sym_this] = ACTIONS(631),
    [sym_super] = ACTIONS(631),
    [sym_true] = ACTIONS(631),
    [sym_false] = ACTIONS(631),
    [sym_null] = ACTIONS(631),
    [sym_undefined] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(629),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_get] = ACTIONS(631),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_component] = ACTIONS(631),
    [anon_sym_instance] = ACTIONS(631),
    [sym__automatic_semicolon] = ACTIONS(629),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(633),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_import] = ACTIONS(635),
    [anon_sym_DOT] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(633),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_var] = ACTIONS(635),
    [anon_sym_let] = ACTIONS(635),
    [anon_sym_const] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_else] = ACTIONS(635),
    [anon_sym_switch] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_await] = ACTIONS(635),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(635),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_with] = ACTIONS(635),
    [anon_sym_break] = ACTIONS(635),
    [anon_sym_continue] = ACTIONS(635),
    [anon_sym_debugger] = ACTIONS(635),
    [anon_sym_return] = ACTIONS(635),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym_case] = ACTIONS(635),
    [anon_sym_default] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_class] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(635),
    [anon_sym_function] = ACTIONS(635),
    [anon_sym_new] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_AMP_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_GT_GT_GT] = ACTIONS(639),
    [anon_sym_LT_LT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(639),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_instanceof] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_typeof] = ACTIONS(635),
    [anon_sym_void] = ACTIONS(635),
    [anon_sym_delete] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(633),
    [anon_sym_DASH_DASH] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [sym_number] = ACTIONS(633),
    [sym_this] = ACTIONS(635),
    [sym_super] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_null] = ACTIONS(635),
    [sym_undefined] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_static] = ACTIONS(635),
    [anon_sym_get] = ACTIONS(635),
    [anon_sym_set] = ACTIONS(635),
    [anon_sym_component] = ACTIONS(635),
    [anon_sym_instance] = ACTIONS(635),
    [sym__automatic_semicolon] = ACTIONS(641),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(643),
    [sym_identifier] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(647),
    [anon_sym_LBRACE] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_var] = ACTIONS(645),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_else] = ACTIONS(645),
    [anon_sym_switch] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(645),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_await] = ACTIONS(645),
    [anon_sym_in] = ACTIONS(647),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_do] = ACTIONS(645),
    [anon_sym_try] = ACTIONS(645),
    [anon_sym_with] = ACTIONS(645),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_debugger] = ACTIONS(645),
    [anon_sym_return] = ACTIONS(645),
    [anon_sym_throw] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_default] = ACTIONS(645),
    [anon_sym_yield] = ACTIONS(645),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_GT] = ACTIONS(647),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_class] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_new] = ACTIONS(645),
    [anon_sym_QMARK] = ACTIONS(649),
    [anon_sym_AMP_AMP] = ACTIONS(649),
    [anon_sym_PIPE_PIPE] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_GT_GT_GT] = ACTIONS(649),
    [anon_sym_LT_LT] = ACTIONS(649),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(649),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_PERCENT] = ACTIONS(649),
    [anon_sym_STAR_STAR] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(649),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(649),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(649),
    [anon_sym_instanceof] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_typeof] = ACTIONS(645),
    [anon_sym_void] = ACTIONS(645),
    [anon_sym_delete] = ACTIONS(645),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(643),
    [anon_sym_SQUOTE] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [sym_number] = ACTIONS(643),
    [sym_this] = ACTIONS(645),
    [sym_super] = ACTIONS(645),
    [sym_true] = ACTIONS(645),
    [sym_false] = ACTIONS(645),
    [sym_null] = ACTIONS(645),
    [sym_undefined] = ACTIONS(645),
    [anon_sym_AT] = ACTIONS(643),
    [anon_sym_static] = ACTIONS(645),
    [anon_sym_get] = ACTIONS(645),
    [anon_sym_set] = ACTIONS(645),
    [anon_sym_component] = ACTIONS(645),
    [anon_sym_instance] = ACTIONS(645),
    [sym__automatic_semicolon] = ACTIONS(651),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(653),
    [sym_identifier] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(655),
    [anon_sym_DOT] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_var] = ACTIONS(655),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_const] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_else] = ACTIONS(655),
    [anon_sym_switch] = ACTIONS(655),
    [anon_sym_for] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_await] = ACTIONS(655),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(655),
    [anon_sym_do] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(655),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_break] = ACTIONS(655),
    [anon_sym_continue] = ACTIONS(655),
    [anon_sym_debugger] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(655),
    [anon_sym_throw] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(655),
    [anon_sym_yield] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_class] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(655),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_AMP_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_GT_GT_GT] = ACTIONS(653),
    [anon_sym_LT_LT] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(653),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(653),
    [anon_sym_STAR_STAR] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(653),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(653),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(653),
    [anon_sym_instanceof] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_typeof] = ACTIONS(655),
    [anon_sym_void] = ACTIONS(655),
    [anon_sym_delete] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [anon_sym_DQUOTE] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym_number] = ACTIONS(653),
    [sym_this] = ACTIONS(655),
    [sym_super] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_null] = ACTIONS(655),
    [sym_undefined] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(653),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_component] = ACTIONS(655),
    [anon_sym_instance] = ACTIONS(655),
    [sym__automatic_semicolon] = ACTIONS(653),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(657),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_import] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(657),
    [anon_sym_var] = ACTIONS(659),
    [anon_sym_let] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_else] = ACTIONS(659),
    [anon_sym_switch] = ACTIONS(659),
    [anon_sym_for] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_await] = ACTIONS(659),
    [anon_sym_in] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(659),
    [anon_sym_do] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(659),
    [anon_sym_with] = ACTIONS(659),
    [anon_sym_break] = ACTIONS(659),
    [anon_sym_continue] = ACTIONS(659),
    [anon_sym_debugger] = ACTIONS(659),
    [anon_sym_return] = ACTIONS(659),
    [anon_sym_throw] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_yield] = ACTIONS(659),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_GT_GT_GT] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_instanceof] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(657),
    [anon_sym_typeof] = ACTIONS(659),
    [anon_sym_void] = ACTIONS(659),
    [anon_sym_delete] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(657),
    [anon_sym_SQUOTE] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(657),
    [sym_number] = ACTIONS(657),
    [sym_this] = ACTIONS(659),
    [sym_super] = ACTIONS(659),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_null] = ACTIONS(659),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_get] = ACTIONS(659),
    [anon_sym_set] = ACTIONS(659),
    [anon_sym_component] = ACTIONS(659),
    [anon_sym_instance] = ACTIONS(659),
    [sym__automatic_semicolon] = ACTIONS(665),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(667),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(667),
    [anon_sym_var] = ACTIONS(669),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_const] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(669),
    [anon_sym_switch] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_await] = ACTIONS(669),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_do] = ACTIONS(669),
    [anon_sym_try] = ACTIONS(669),
    [anon_sym_with] = ACTIONS(669),
    [anon_sym_break] = ACTIONS(669),
    [anon_sym_continue] = ACTIONS(669),
    [anon_sym_debugger] = ACTIONS(669),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_throw] = ACTIONS(669),
    [anon_sym_SEMI] = ACTIONS(667),
    [anon_sym_case] = ACTIONS(669),
    [anon_sym_default] = ACTIONS(669),
    [anon_sym_yield] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_class] = ACTIONS(669),
    [anon_sym_async] = ACTIONS(669),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_GT_GT_GT] = ACTIONS(673),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_instanceof] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(669),
    [anon_sym_void] = ACTIONS(669),
    [anon_sym_delete] = ACTIONS(669),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_SQUOTE] = ACTIONS(667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(667),
    [sym_number] = ACTIONS(667),
    [sym_this] = ACTIONS(669),
    [sym_super] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_undefined] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(667),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [anon_sym_component] = ACTIONS(669),
    [anon_sym_instance] = ACTIONS(669),
    [sym__automatic_semicolon] = ACTIONS(675),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(677),
    [sym_identifier] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(679),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_COMMA] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(677),
    [anon_sym_var] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(679),
    [anon_sym_const] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_else] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(679),
    [anon_sym_for] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(677),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_in] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(679),
    [anon_sym_do] = ACTIONS(679),
    [anon_sym_try] = ACTIONS(679),
    [anon_sym_with] = ACTIONS(679),
    [anon_sym_break] = ACTIONS(679),
    [anon_sym_continue] = ACTIONS(679),
    [anon_sym_debugger] = ACTIONS(679),
    [anon_sym_return] = ACTIONS(679),
    [anon_sym_throw] = ACTIONS(679),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_case] = ACTIONS(679),
    [anon_sym_default] = ACTIONS(679),
    [anon_sym_yield] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(679),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(679),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(677),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_GT_GT_GT] = ACTIONS(677),
    [anon_sym_LT_LT] = ACTIONS(677),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(677),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(677),
    [anon_sym_STAR_STAR] = ACTIONS(677),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(677),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_instanceof] = ACTIONS(679),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(677),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(677),
    [sym_number] = ACTIONS(677),
    [sym_this] = ACTIONS(679),
    [sym_super] = ACTIONS(679),
    [sym_true] = ACTIONS(679),
    [sym_false] = ACTIONS(679),
    [sym_null] = ACTIONS(679),
    [sym_undefined] = ACTIONS(679),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_component] = ACTIONS(679),
    [anon_sym_instance] = ACTIONS(679),
    [sym__automatic_semicolon] = ACTIONS(677),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(683),
    [anon_sym_DOT] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(683),
    [anon_sym_const] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_else] = ACTIONS(683),
    [anon_sym_switch] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(683),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_do] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(683),
    [anon_sym_with] = ACTIONS(683),
    [anon_sym_break] = ACTIONS(683),
    [anon_sym_continue] = ACTIONS(683),
    [anon_sym_debugger] = ACTIONS(683),
    [anon_sym_return] = ACTIONS(683),
    [anon_sym_throw] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_case] = ACTIONS(683),
    [anon_sym_default] = ACTIONS(683),
    [anon_sym_yield] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_class] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_typeof] = ACTIONS(683),
    [anon_sym_void] = ACTIONS(683),
    [anon_sym_delete] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym_number] = ACTIONS(681),
    [sym_this] = ACTIONS(683),
    [sym_super] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_component] = ACTIONS(683),
    [anon_sym_instance] = ACTIONS(683),
    [sym__automatic_semicolon] = ACTIONS(681),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(683),
    [anon_sym_DOT] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(683),
    [anon_sym_const] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_else] = ACTIONS(683),
    [anon_sym_switch] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(683),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_do] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(683),
    [anon_sym_with] = ACTIONS(683),
    [anon_sym_break] = ACTIONS(683),
    [anon_sym_continue] = ACTIONS(683),
    [anon_sym_debugger] = ACTIONS(683),
    [anon_sym_return] = ACTIONS(683),
    [anon_sym_throw] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_case] = ACTIONS(683),
    [anon_sym_default] = ACTIONS(683),
    [anon_sym_yield] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_class] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_typeof] = ACTIONS(683),
    [anon_sym_void] = ACTIONS(683),
    [anon_sym_delete] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym_number] = ACTIONS(681),
    [sym_this] = ACTIONS(683),
    [sym_super] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_component] = ACTIONS(683),
    [anon_sym_instance] = ACTIONS(683),
    [sym__automatic_semicolon] = ACTIONS(685),
  },
  [75] = {
    [sym_import] = STATE(688),
    [sym_expression_statement] = STATE(93),
    [sym_variable_declaration] = STATE(93),
    [sym_lexical_declaration] = STATE(93),
    [sym_empty_statement] = STATE(93),
    [sym_parenthesized_expression] = STATE(413),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(728),
    [sym_array] = STATE(729),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(688),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_let] = ACTIONS(691),
    [anon_sym_const] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(693),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(695),
    [anon_sym_get] = ACTIONS(695),
    [anon_sym_set] = ACTIONS(695),
    [anon_sym_component] = ACTIONS(507),
  },
  [76] = {
    [sym_import] = STATE(688),
    [sym_expression_statement] = STATE(91),
    [sym_variable_declaration] = STATE(91),
    [sym_lexical_declaration] = STATE(91),
    [sym_empty_statement] = STATE(91),
    [sym_parenthesized_expression] = STATE(413),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(728),
    [sym_array] = STATE(729),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(688),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(413),
    [sym_subscript_expression] = STATE(413),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_let] = ACTIONS(691),
    [anon_sym_const] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(693),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(695),
    [anon_sym_get] = ACTIONS(695),
    [anon_sym_set] = ACTIONS(695),
    [anon_sym_component] = ACTIONS(507),
  },
  [77] = {
    [sym_import] = STATE(678),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(678),
    [sym_yield_expression] = STATE(678),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(678),
    [sym_jsx_fragment] = STATE(678),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(678),
    [sym_class] = STATE(678),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(678),
    [sym_arrow_function] = STATE(678),
    [sym_call_expression] = STATE(678),
    [sym_new_expression] = STATE(678),
    [sym_await_expression] = STATE(678),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(678),
    [sym_augmented_assignment_expression] = STATE(678),
    [sym_spread_element] = STATE(1300),
    [sym_ternary_expression] = STATE(678),
    [sym_binary_expression] = STATE(678),
    [sym_unary_expression] = STATE(678),
    [sym_update_expression] = STATE(678),
    [sym_string] = STATE(678),
    [sym_template_string] = STATE(678),
    [sym_regex] = STATE(678),
    [sym_meta_property] = STATE(678),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(678),
    [sym_new_component_expression] = STATE(678),
    [aux_sym_array_repeat1] = STATE(1301),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(703),
    [sym_this] = ACTIONS(705),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_null] = ACTIONS(705),
    [sym_undefined] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [78] = {
    [sym_import] = STATE(739),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(739),
    [sym_yield_expression] = STATE(739),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(739),
    [sym_jsx_fragment] = STATE(739),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(739),
    [sym_class] = STATE(739),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(739),
    [sym_arrow_function] = STATE(739),
    [sym_call_expression] = STATE(739),
    [sym_new_expression] = STATE(739),
    [sym_await_expression] = STATE(739),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(739),
    [sym_augmented_assignment_expression] = STATE(739),
    [sym_spread_element] = STATE(1362),
    [sym_ternary_expression] = STATE(739),
    [sym_binary_expression] = STATE(739),
    [sym_unary_expression] = STATE(739),
    [sym_update_expression] = STATE(739),
    [sym_string] = STATE(739),
    [sym_template_string] = STATE(739),
    [sym_regex] = STATE(739),
    [sym_meta_property] = STATE(739),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(739),
    [sym_new_component_expression] = STATE(739),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(707),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(709),
    [sym_this] = ACTIONS(711),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(711),
    [sym_false] = ACTIONS(711),
    [sym_null] = ACTIONS(711),
    [sym_undefined] = ACTIONS(711),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [79] = {
    [sym_import] = STATE(697),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(697),
    [sym_yield_expression] = STATE(697),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(697),
    [sym_jsx_fragment] = STATE(697),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(697),
    [sym_class] = STATE(697),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(697),
    [sym_arrow_function] = STATE(697),
    [sym_call_expression] = STATE(697),
    [sym_new_expression] = STATE(697),
    [sym_await_expression] = STATE(697),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(697),
    [sym_augmented_assignment_expression] = STATE(697),
    [sym_spread_element] = STATE(1323),
    [sym_ternary_expression] = STATE(697),
    [sym_binary_expression] = STATE(697),
    [sym_unary_expression] = STATE(697),
    [sym_update_expression] = STATE(697),
    [sym_string] = STATE(697),
    [sym_template_string] = STATE(697),
    [sym_regex] = STATE(697),
    [sym_meta_property] = STATE(697),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(697),
    [sym_new_component_expression] = STATE(697),
    [aux_sym_array_repeat1] = STATE(1324),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(715),
    [sym_this] = ACTIONS(717),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(717),
    [sym_false] = ACTIONS(717),
    [sym_null] = ACTIONS(717),
    [sym_undefined] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [80] = {
    [sym_import] = STATE(765),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(765),
    [sym_yield_expression] = STATE(765),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(765),
    [sym_jsx_fragment] = STATE(765),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(765),
    [sym_class] = STATE(765),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(765),
    [sym_arrow_function] = STATE(765),
    [sym_call_expression] = STATE(765),
    [sym_new_expression] = STATE(765),
    [sym_await_expression] = STATE(765),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(765),
    [sym_augmented_assignment_expression] = STATE(765),
    [sym_spread_element] = STATE(1336),
    [sym_ternary_expression] = STATE(765),
    [sym_binary_expression] = STATE(765),
    [sym_unary_expression] = STATE(765),
    [sym_update_expression] = STATE(765),
    [sym_string] = STATE(765),
    [sym_template_string] = STATE(765),
    [sym_regex] = STATE(765),
    [sym_meta_property] = STATE(765),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(765),
    [sym_new_component_expression] = STATE(765),
    [aux_sym_array_repeat1] = STATE(1337),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(721),
    [sym_this] = ACTIONS(723),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_null] = ACTIONS(723),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [81] = {
    [sym_import] = STATE(859),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(859),
    [sym_yield_expression] = STATE(859),
    [sym_object] = STATE(834),
    [sym_assignment_pattern] = STATE(1276),
    [sym_array] = STATE(833),
    [sym_jsx_element] = STATE(859),
    [sym_jsx_fragment] = STATE(859),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(859),
    [sym_class] = STATE(859),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(859),
    [sym_arrow_function] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_new_expression] = STATE(859),
    [sym_await_expression] = STATE(859),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(859),
    [sym_augmented_assignment_expression] = STATE(859),
    [sym_ternary_expression] = STATE(859),
    [sym_binary_expression] = STATE(859),
    [sym_unary_expression] = STATE(859),
    [sym_update_expression] = STATE(859),
    [sym_sequence_expression] = STATE(1683),
    [sym_string] = STATE(859),
    [sym_template_string] = STATE(859),
    [sym_regex] = STATE(859),
    [sym_meta_property] = STATE(859),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_rest_parameter] = STATE(1276),
    [sym_component] = STATE(859),
    [sym_new_component_expression] = STATE(859),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(733),
    [sym_this] = ACTIONS(735),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_null] = ACTIONS(735),
    [sym_undefined] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_get] = ACTIONS(737),
    [anon_sym_set] = ACTIONS(737),
    [anon_sym_component] = ACTIONS(481),
  },
  [82] = {
    [sym_import] = STATE(707),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(707),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(707),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(707),
    [sym_arrow_function] = STATE(707),
    [sym_call_expression] = STATE(707),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(707),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym_spread_element] = STATE(1295),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(707),
    [sym_template_string] = STATE(707),
    [sym_regex] = STATE(707),
    [sym_meta_property] = STATE(707),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(707),
    [sym_new_component_expression] = STATE(707),
    [aux_sym_array_repeat1] = STATE(1294),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(741),
    [sym_this] = ACTIONS(743),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(743),
    [sym_false] = ACTIONS(743),
    [sym_null] = ACTIONS(743),
    [sym_undefined] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [83] = {
    [sym_import] = STATE(682),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(682),
    [sym_yield_expression] = STATE(682),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(682),
    [sym_jsx_fragment] = STATE(682),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(682),
    [sym_class] = STATE(682),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(682),
    [sym_arrow_function] = STATE(682),
    [sym_call_expression] = STATE(682),
    [sym_new_expression] = STATE(682),
    [sym_await_expression] = STATE(682),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(682),
    [sym_augmented_assignment_expression] = STATE(682),
    [sym_spread_element] = STATE(1278),
    [sym_ternary_expression] = STATE(682),
    [sym_binary_expression] = STATE(682),
    [sym_unary_expression] = STATE(682),
    [sym_update_expression] = STATE(682),
    [sym_string] = STATE(682),
    [sym_template_string] = STATE(682),
    [sym_regex] = STATE(682),
    [sym_meta_property] = STATE(682),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(682),
    [sym_new_component_expression] = STATE(682),
    [aux_sym_array_repeat1] = STATE(1277),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(747),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(749),
    [sym_false] = ACTIONS(749),
    [sym_null] = ACTIONS(749),
    [sym_undefined] = ACTIONS(749),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [84] = {
    [sym_import] = STATE(721),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(721),
    [sym_yield_expression] = STATE(721),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(721),
    [sym_jsx_fragment] = STATE(721),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(721),
    [sym_class] = STATE(721),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(721),
    [sym_arrow_function] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_new_expression] = STATE(721),
    [sym_await_expression] = STATE(721),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(721),
    [sym_augmented_assignment_expression] = STATE(721),
    [sym_spread_element] = STATE(1321),
    [sym_ternary_expression] = STATE(721),
    [sym_binary_expression] = STATE(721),
    [sym_unary_expression] = STATE(721),
    [sym_update_expression] = STATE(721),
    [sym_string] = STATE(721),
    [sym_template_string] = STATE(721),
    [sym_regex] = STATE(721),
    [sym_meta_property] = STATE(721),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(721),
    [sym_new_component_expression] = STATE(721),
    [aux_sym_array_repeat1] = STATE(1320),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(753),
    [sym_this] = ACTIONS(755),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_null] = ACTIONS(755),
    [sym_undefined] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [85] = {
    [sym_import] = STATE(841),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(841),
    [sym_yield_expression] = STATE(841),
    [sym_object] = STATE(834),
    [sym_assignment_pattern] = STATE(1276),
    [sym_array] = STATE(833),
    [sym_jsx_element] = STATE(841),
    [sym_jsx_fragment] = STATE(841),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(841),
    [sym_class] = STATE(841),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(841),
    [sym_arrow_function] = STATE(841),
    [sym_call_expression] = STATE(841),
    [sym_new_expression] = STATE(841),
    [sym_await_expression] = STATE(841),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(841),
    [sym_augmented_assignment_expression] = STATE(841),
    [sym_ternary_expression] = STATE(841),
    [sym_binary_expression] = STATE(841),
    [sym_unary_expression] = STATE(841),
    [sym_update_expression] = STATE(841),
    [sym_sequence_expression] = STATE(1625),
    [sym_string] = STATE(841),
    [sym_template_string] = STATE(841),
    [sym_regex] = STATE(841),
    [sym_meta_property] = STATE(841),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_rest_parameter] = STATE(1276),
    [sym_component] = STATE(841),
    [sym_new_component_expression] = STATE(841),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(757),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(759),
    [sym_false] = ACTIONS(759),
    [sym_null] = ACTIONS(759),
    [sym_undefined] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_get] = ACTIONS(737),
    [anon_sym_set] = ACTIONS(737),
    [anon_sym_component] = ACTIONS(481),
  },
  [86] = {
    [sym_import] = STATE(837),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(837),
    [sym_yield_expression] = STATE(837),
    [sym_object] = STATE(834),
    [sym_assignment_pattern] = STATE(1276),
    [sym_array] = STATE(833),
    [sym_jsx_element] = STATE(837),
    [sym_jsx_fragment] = STATE(837),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(837),
    [sym_class] = STATE(837),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(837),
    [sym_arrow_function] = STATE(837),
    [sym_call_expression] = STATE(837),
    [sym_new_expression] = STATE(837),
    [sym_await_expression] = STATE(837),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(837),
    [sym_augmented_assignment_expression] = STATE(837),
    [sym_ternary_expression] = STATE(837),
    [sym_binary_expression] = STATE(837),
    [sym_unary_expression] = STATE(837),
    [sym_update_expression] = STATE(837),
    [sym_sequence_expression] = STATE(1679),
    [sym_string] = STATE(837),
    [sym_template_string] = STATE(837),
    [sym_regex] = STATE(837),
    [sym_meta_property] = STATE(837),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_rest_parameter] = STATE(1276),
    [sym_component] = STATE(837),
    [sym_new_component_expression] = STATE(837),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(763),
    [sym_false] = ACTIONS(763),
    [sym_null] = ACTIONS(763),
    [sym_undefined] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_get] = ACTIONS(737),
    [anon_sym_set] = ACTIONS(737),
    [anon_sym_component] = ACTIONS(481),
  },
  [87] = {
    [sym_import] = STATE(685),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(685),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_fragment] = STATE(685),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(685),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(685),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(685),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym_spread_element] = STATE(1354),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(685),
    [sym_new_component_expression] = STATE(685),
    [aux_sym_array_repeat1] = STATE(1355),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(767),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_null] = ACTIONS(769),
    [sym_undefined] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [88] = {
    [sym_import] = STATE(709),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(709),
    [sym_yield_expression] = STATE(709),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(709),
    [sym_jsx_fragment] = STATE(709),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(709),
    [sym_class] = STATE(709),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(709),
    [sym_arrow_function] = STATE(709),
    [sym_call_expression] = STATE(709),
    [sym_new_expression] = STATE(709),
    [sym_await_expression] = STATE(709),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(709),
    [sym_augmented_assignment_expression] = STATE(709),
    [sym_spread_element] = STATE(1278),
    [sym_ternary_expression] = STATE(709),
    [sym_binary_expression] = STATE(709),
    [sym_unary_expression] = STATE(709),
    [sym_update_expression] = STATE(709),
    [sym_string] = STATE(709),
    [sym_template_string] = STATE(709),
    [sym_regex] = STATE(709),
    [sym_meta_property] = STATE(709),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(709),
    [sym_new_component_expression] = STATE(709),
    [aux_sym_array_repeat1] = STATE(1277),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(771),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_null] = ACTIONS(773),
    [sym_undefined] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [89] = {
    [sym_import] = STATE(742),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(742),
    [sym_yield_expression] = STATE(742),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(742),
    [sym_jsx_fragment] = STATE(742),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(742),
    [sym_class] = STATE(742),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(742),
    [sym_arrow_function] = STATE(742),
    [sym_call_expression] = STATE(742),
    [sym_new_expression] = STATE(742),
    [sym_await_expression] = STATE(742),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(742),
    [sym_augmented_assignment_expression] = STATE(742),
    [sym_spread_element] = STATE(1300),
    [sym_ternary_expression] = STATE(742),
    [sym_binary_expression] = STATE(742),
    [sym_unary_expression] = STATE(742),
    [sym_update_expression] = STATE(742),
    [sym_string] = STATE(742),
    [sym_template_string] = STATE(742),
    [sym_regex] = STATE(742),
    [sym_meta_property] = STATE(742),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(742),
    [sym_new_component_expression] = STATE(742),
    [aux_sym_array_repeat1] = STATE(1301),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(775),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_null] = ACTIONS(777),
    [sym_undefined] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [90] = {
    [sym_import] = STATE(773),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(773),
    [sym_yield_expression] = STATE(773),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(773),
    [sym_jsx_fragment] = STATE(773),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(773),
    [sym_class] = STATE(773),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(773),
    [sym_arrow_function] = STATE(773),
    [sym_call_expression] = STATE(773),
    [sym_new_expression] = STATE(773),
    [sym_await_expression] = STATE(773),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(773),
    [sym_augmented_assignment_expression] = STATE(773),
    [sym_spread_element] = STATE(1343),
    [sym_ternary_expression] = STATE(773),
    [sym_binary_expression] = STATE(773),
    [sym_unary_expression] = STATE(773),
    [sym_update_expression] = STATE(773),
    [sym_string] = STATE(773),
    [sym_template_string] = STATE(773),
    [sym_regex] = STATE(773),
    [sym_meta_property] = STATE(773),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(773),
    [sym_new_component_expression] = STATE(773),
    [aux_sym_array_repeat1] = STATE(1308),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(781),
    [sym_this] = ACTIONS(783),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(783),
    [sym_false] = ACTIONS(783),
    [sym_null] = ACTIONS(783),
    [sym_undefined] = ACTIONS(783),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [91] = {
    [sym_import] = STATE(688),
    [sym_expression_statement] = STATE(98),
    [sym_empty_statement] = STATE(98),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(688),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [92] = {
    [sym_import] = STATE(825),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(825),
    [sym_yield_expression] = STATE(825),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(825),
    [sym_jsx_fragment] = STATE(825),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(825),
    [sym_class] = STATE(825),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(825),
    [sym_arrow_function] = STATE(825),
    [sym_call_expression] = STATE(825),
    [sym_new_expression] = STATE(825),
    [sym_await_expression] = STATE(825),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(825),
    [sym_augmented_assignment_expression] = STATE(825),
    [sym_spread_element] = STATE(1715),
    [sym_ternary_expression] = STATE(825),
    [sym_binary_expression] = STATE(825),
    [sym_unary_expression] = STATE(825),
    [sym_update_expression] = STATE(825),
    [sym_sequence_expression] = STATE(1715),
    [sym_string] = STATE(825),
    [sym_template_string] = STATE(825),
    [sym_regex] = STATE(825),
    [sym_meta_property] = STATE(825),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(825),
    [sym_new_component_expression] = STATE(825),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RBRACE] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(787),
    [sym_this] = ACTIONS(789),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(789),
    [sym_false] = ACTIONS(789),
    [sym_null] = ACTIONS(789),
    [sym_undefined] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [93] = {
    [sym_import] = STATE(688),
    [sym_expression_statement] = STATE(97),
    [sym_empty_statement] = STATE(97),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(688),
    [sym_yield_expression] = STATE(688),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(688),
    [sym_jsx_fragment] = STATE(688),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(688),
    [sym_class] = STATE(688),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(688),
    [sym_arrow_function] = STATE(688),
    [sym_call_expression] = STATE(688),
    [sym_new_expression] = STATE(688),
    [sym_await_expression] = STATE(688),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(688),
    [sym_augmented_assignment_expression] = STATE(688),
    [sym_ternary_expression] = STATE(688),
    [sym_binary_expression] = STATE(688),
    [sym_unary_expression] = STATE(688),
    [sym_update_expression] = STATE(688),
    [sym_sequence_expression] = STATE(1512),
    [sym_string] = STATE(688),
    [sym_template_string] = STATE(688),
    [sym_regex] = STATE(688),
    [sym_meta_property] = STATE(688),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(688),
    [sym_new_component_expression] = STATE(688),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(47),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(79),
    [sym_this] = ACTIONS(81),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(81),
    [sym_false] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [sym_undefined] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [94] = {
    [sym_import] = STATE(828),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(828),
    [sym_yield_expression] = STATE(828),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(828),
    [sym_jsx_fragment] = STATE(828),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(828),
    [sym_class] = STATE(828),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(828),
    [sym_arrow_function] = STATE(828),
    [sym_call_expression] = STATE(828),
    [sym_new_expression] = STATE(828),
    [sym_await_expression] = STATE(828),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(828),
    [sym_augmented_assignment_expression] = STATE(828),
    [sym_spread_element] = STATE(1705),
    [sym_ternary_expression] = STATE(828),
    [sym_binary_expression] = STATE(828),
    [sym_unary_expression] = STATE(828),
    [sym_update_expression] = STATE(828),
    [sym_sequence_expression] = STATE(1705),
    [sym_string] = STATE(828),
    [sym_template_string] = STATE(828),
    [sym_regex] = STATE(828),
    [sym_meta_property] = STATE(828),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(828),
    [sym_new_component_expression] = STATE(828),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RBRACE] = ACTIONS(791),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(793),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_undefined] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [95] = {
    [sym_import] = STATE(874),
    [sym_parenthesized_expression] = STATE(432),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(874),
    [sym_object] = STATE(873),
    [sym_array] = STATE(870),
    [sym_jsx_element] = STATE(874),
    [sym_jsx_fragment] = STATE(874),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(874),
    [sym_class] = STATE(874),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(874),
    [sym_arrow_function] = STATE(874),
    [sym_call_expression] = STATE(874),
    [sym_new_expression] = STATE(874),
    [sym_await_expression] = STATE(874),
    [sym_member_expression] = STATE(432),
    [sym_subscript_expression] = STATE(432),
    [sym_assignment_expression] = STATE(874),
    [sym_augmented_assignment_expression] = STATE(874),
    [sym_ternary_expression] = STATE(874),
    [sym_binary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_string] = STATE(874),
    [sym_template_string] = STATE(874),
    [sym_regex] = STATE(874),
    [sym_meta_property] = STATE(874),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(874),
    [sym_new_component_expression] = STATE(874),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(797),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_var] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(799),
    [anon_sym_const] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(801),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(803),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_null] = ACTIONS(805),
    [sym_undefined] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(807),
    [anon_sym_get] = ACTIONS(807),
    [anon_sym_set] = ACTIONS(807),
    [anon_sym_component] = ACTIONS(481),
  },
  [96] = {
    [sym_import] = STATE(716),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(716),
    [sym_yield_expression] = STATE(716),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(716),
    [sym_jsx_fragment] = STATE(716),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(716),
    [sym_class] = STATE(716),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(716),
    [sym_arrow_function] = STATE(716),
    [sym_call_expression] = STATE(716),
    [sym_new_expression] = STATE(716),
    [sym_await_expression] = STATE(716),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(716),
    [sym_ternary_expression] = STATE(716),
    [sym_binary_expression] = STATE(716),
    [sym_unary_expression] = STATE(716),
    [sym_update_expression] = STATE(716),
    [sym_sequence_expression] = STATE(1492),
    [sym_string] = STATE(716),
    [sym_template_string] = STATE(716),
    [sym_regex] = STATE(716),
    [sym_meta_property] = STATE(716),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(716),
    [sym_new_component_expression] = STATE(716),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(811),
    [sym_this] = ACTIONS(813),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(813),
    [sym_false] = ACTIONS(813),
    [sym_null] = ACTIONS(813),
    [sym_undefined] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
    [sym__automatic_semicolon] = ACTIONS(809),
  },
  [97] = {
    [sym_import] = STATE(790),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(790),
    [sym_yield_expression] = STATE(790),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(790),
    [sym_jsx_fragment] = STATE(790),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(790),
    [sym_class] = STATE(790),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(790),
    [sym_arrow_function] = STATE(790),
    [sym_call_expression] = STATE(790),
    [sym_new_expression] = STATE(790),
    [sym_await_expression] = STATE(790),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(790),
    [sym_augmented_assignment_expression] = STATE(790),
    [sym_ternary_expression] = STATE(790),
    [sym_binary_expression] = STATE(790),
    [sym_unary_expression] = STATE(790),
    [sym_update_expression] = STATE(790),
    [sym_sequence_expression] = STATE(1632),
    [sym_string] = STATE(790),
    [sym_template_string] = STATE(790),
    [sym_regex] = STATE(790),
    [sym_meta_property] = STATE(790),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(790),
    [sym_new_component_expression] = STATE(790),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(817),
    [sym_this] = ACTIONS(819),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [sym_undefined] = ACTIONS(819),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [98] = {
    [sym_import] = STATE(829),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(829),
    [sym_yield_expression] = STATE(829),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(829),
    [sym_jsx_fragment] = STATE(829),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(829),
    [sym_class] = STATE(829),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(829),
    [sym_arrow_function] = STATE(829),
    [sym_call_expression] = STATE(829),
    [sym_new_expression] = STATE(829),
    [sym_await_expression] = STATE(829),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(829),
    [sym_augmented_assignment_expression] = STATE(829),
    [sym_ternary_expression] = STATE(829),
    [sym_binary_expression] = STATE(829),
    [sym_unary_expression] = STATE(829),
    [sym_update_expression] = STATE(829),
    [sym_sequence_expression] = STATE(1700),
    [sym_string] = STATE(829),
    [sym_template_string] = STATE(829),
    [sym_regex] = STATE(829),
    [sym_meta_property] = STATE(829),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(829),
    [sym_new_component_expression] = STATE(829),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(823),
    [sym_this] = ACTIONS(825),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(825),
    [sym_false] = ACTIONS(825),
    [sym_null] = ACTIONS(825),
    [sym_undefined] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [99] = {
    [sym_import] = STATE(447),
    [sym_statement_block] = STATE(979),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(447),
    [sym_yield_expression] = STATE(447),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(447),
    [sym_jsx_fragment] = STATE(447),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(447),
    [sym_class] = STATE(447),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(447),
    [sym_arrow_function] = STATE(447),
    [sym_call_expression] = STATE(447),
    [sym_new_expression] = STATE(447),
    [sym_await_expression] = STATE(447),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(447),
    [sym_augmented_assignment_expression] = STATE(447),
    [sym_ternary_expression] = STATE(447),
    [sym_binary_expression] = STATE(447),
    [sym_unary_expression] = STATE(447),
    [sym_update_expression] = STATE(447),
    [sym_string] = STATE(447),
    [sym_template_string] = STATE(447),
    [sym_regex] = STATE(447),
    [sym_meta_property] = STATE(447),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(447),
    [sym_new_component_expression] = STATE(447),
    [sym_property_assignment_expression] = STATE(979),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(831),
    [sym_this] = ACTIONS(833),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(833),
    [sym_false] = ACTIONS(833),
    [sym_null] = ACTIONS(833),
    [sym_undefined] = ACTIONS(833),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [100] = {
    [sym_import] = STATE(551),
    [sym_statement_block] = STATE(979),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(551),
    [sym_yield_expression] = STATE(551),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(551),
    [sym_jsx_fragment] = STATE(551),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(551),
    [sym_class] = STATE(551),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(551),
    [sym_arrow_function] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_new_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(551),
    [sym_augmented_assignment_expression] = STATE(551),
    [sym_ternary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_update_expression] = STATE(551),
    [sym_string] = STATE(551),
    [sym_template_string] = STATE(551),
    [sym_regex] = STATE(551),
    [sym_meta_property] = STATE(551),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(551),
    [sym_new_component_expression] = STATE(551),
    [sym_property_assignment_expression] = STATE(979),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(837),
    [sym_this] = ACTIONS(839),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_null] = ACTIONS(839),
    [sym_undefined] = ACTIONS(839),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [101] = {
    [sym_import] = STATE(447),
    [sym_statement_block] = STATE(1010),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(447),
    [sym_yield_expression] = STATE(447),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(447),
    [sym_jsx_fragment] = STATE(447),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(447),
    [sym_class] = STATE(447),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(447),
    [sym_arrow_function] = STATE(447),
    [sym_call_expression] = STATE(447),
    [sym_new_expression] = STATE(447),
    [sym_await_expression] = STATE(447),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(447),
    [sym_augmented_assignment_expression] = STATE(447),
    [sym_ternary_expression] = STATE(447),
    [sym_binary_expression] = STATE(447),
    [sym_unary_expression] = STATE(447),
    [sym_update_expression] = STATE(447),
    [sym_string] = STATE(447),
    [sym_template_string] = STATE(447),
    [sym_regex] = STATE(447),
    [sym_meta_property] = STATE(447),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(447),
    [sym_new_component_expression] = STATE(447),
    [sym_property_assignment_expression] = STATE(1010),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(831),
    [sym_this] = ACTIONS(833),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(833),
    [sym_false] = ACTIONS(833),
    [sym_null] = ACTIONS(833),
    [sym_undefined] = ACTIONS(833),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [102] = {
    [sym_import] = STATE(551),
    [sym_statement_block] = STATE(1010),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(551),
    [sym_yield_expression] = STATE(551),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(551),
    [sym_jsx_fragment] = STATE(551),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(551),
    [sym_class] = STATE(551),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(551),
    [sym_arrow_function] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_new_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(551),
    [sym_augmented_assignment_expression] = STATE(551),
    [sym_ternary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_update_expression] = STATE(551),
    [sym_string] = STATE(551),
    [sym_template_string] = STATE(551),
    [sym_regex] = STATE(551),
    [sym_meta_property] = STATE(551),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(551),
    [sym_new_component_expression] = STATE(551),
    [sym_property_assignment_expression] = STATE(1010),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(837),
    [sym_this] = ACTIONS(839),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_null] = ACTIONS(839),
    [sym_undefined] = ACTIONS(839),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [103] = {
    [sym_import] = STATE(738),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(738),
    [sym_yield_expression] = STATE(738),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(738),
    [sym_jsx_fragment] = STATE(738),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(738),
    [sym_class] = STATE(738),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(738),
    [sym_arrow_function] = STATE(738),
    [sym_call_expression] = STATE(738),
    [sym_new_expression] = STATE(738),
    [sym_await_expression] = STATE(738),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(738),
    [sym_augmented_assignment_expression] = STATE(738),
    [sym_ternary_expression] = STATE(738),
    [sym_binary_expression] = STATE(738),
    [sym_unary_expression] = STATE(738),
    [sym_update_expression] = STATE(738),
    [sym_sequence_expression] = STATE(1422),
    [sym_string] = STATE(738),
    [sym_template_string] = STATE(738),
    [sym_regex] = STATE(738),
    [sym_meta_property] = STATE(738),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(738),
    [sym_new_component_expression] = STATE(738),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(841),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(843),
    [sym_false] = ACTIONS(843),
    [sym_null] = ACTIONS(843),
    [sym_undefined] = ACTIONS(843),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [104] = {
    [sym_import] = STATE(623),
    [sym_parenthesized_expression] = STATE(397),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(874),
    [sym_object] = STATE(599),
    [sym_array] = STATE(566),
    [sym_jsx_element] = STATE(874),
    [sym_jsx_fragment] = STATE(874),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(874),
    [sym_class] = STATE(623),
    [sym_function] = STATE(600),
    [sym_generator_function] = STATE(623),
    [sym_arrow_function] = STATE(623),
    [sym_call_expression] = STATE(874),
    [sym_new_expression] = STATE(623),
    [sym_await_expression] = STATE(874),
    [sym_member_expression] = STATE(397),
    [sym_subscript_expression] = STATE(397),
    [sym_assignment_expression] = STATE(874),
    [sym_augmented_assignment_expression] = STATE(874),
    [sym_ternary_expression] = STATE(874),
    [sym_binary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_string] = STATE(623),
    [sym_template_string] = STATE(623),
    [sym_regex] = STATE(623),
    [sym_meta_property] = STATE(623),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(623),
    [sym_new_component_expression] = STATE(623),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(845),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_DOT] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(851),
    [sym_this] = ACTIONS(853),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_undefined] = ACTIONS(853),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(855),
    [anon_sym_get] = ACTIONS(855),
    [anon_sym_set] = ACTIONS(855),
    [anon_sym_component] = ACTIONS(481),
  },
  [105] = {
    [sym_import] = STATE(618),
    [sym_statement_block] = STATE(845),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(618),
    [sym_yield_expression] = STATE(618),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(618),
    [sym_jsx_fragment] = STATE(618),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(618),
    [sym_class] = STATE(618),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(618),
    [sym_arrow_function] = STATE(618),
    [sym_call_expression] = STATE(618),
    [sym_new_expression] = STATE(618),
    [sym_await_expression] = STATE(618),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(618),
    [sym_augmented_assignment_expression] = STATE(618),
    [sym_ternary_expression] = STATE(618),
    [sym_binary_expression] = STATE(618),
    [sym_unary_expression] = STATE(618),
    [sym_update_expression] = STATE(618),
    [sym_string] = STATE(618),
    [sym_template_string] = STATE(618),
    [sym_regex] = STATE(618),
    [sym_meta_property] = STATE(618),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(618),
    [sym_new_component_expression] = STATE(618),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(859),
    [sym_this] = ACTIONS(861),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(861),
    [sym_false] = ACTIONS(861),
    [sym_null] = ACTIONS(861),
    [sym_undefined] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [106] = {
    [sym_import] = STATE(666),
    [sym_statement_block] = STATE(780),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(666),
    [sym_yield_expression] = STATE(666),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(666),
    [sym_jsx_fragment] = STATE(666),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(666),
    [sym_class] = STATE(666),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(666),
    [sym_arrow_function] = STATE(666),
    [sym_call_expression] = STATE(666),
    [sym_new_expression] = STATE(666),
    [sym_await_expression] = STATE(666),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(666),
    [sym_augmented_assignment_expression] = STATE(666),
    [sym_ternary_expression] = STATE(666),
    [sym_binary_expression] = STATE(666),
    [sym_unary_expression] = STATE(666),
    [sym_update_expression] = STATE(666),
    [sym_string] = STATE(666),
    [sym_template_string] = STATE(666),
    [sym_regex] = STATE(666),
    [sym_meta_property] = STATE(666),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(666),
    [sym_new_component_expression] = STATE(666),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(863),
    [sym_this] = ACTIONS(865),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [sym_null] = ACTIONS(865),
    [sym_undefined] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [107] = {
    [sym_import] = STATE(686),
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(875),
    [sym_yield_expression] = STATE(875),
    [sym_object] = STATE(674),
    [sym_array] = STATE(675),
    [sym_jsx_element] = STATE(875),
    [sym_jsx_fragment] = STATE(875),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(875),
    [sym_class] = STATE(686),
    [sym_function] = STATE(631),
    [sym_generator_function] = STATE(686),
    [sym_arrow_function] = STATE(686),
    [sym_call_expression] = STATE(875),
    [sym_new_expression] = STATE(686),
    [sym_await_expression] = STATE(875),
    [sym_member_expression] = STATE(409),
    [sym_subscript_expression] = STATE(409),
    [sym_assignment_expression] = STATE(875),
    [sym_augmented_assignment_expression] = STATE(875),
    [sym_ternary_expression] = STATE(875),
    [sym_binary_expression] = STATE(875),
    [sym_unary_expression] = STATE(875),
    [sym_update_expression] = STATE(875),
    [sym_string] = STATE(686),
    [sym_template_string] = STATE(686),
    [sym_regex] = STATE(686),
    [sym_meta_property] = STATE(686),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(686),
    [sym_new_component_expression] = STATE(686),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(867),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(873),
    [sym_this] = ACTIONS(875),
    [sym_super] = ACTIONS(877),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [sym_null] = ACTIONS(875),
    [sym_undefined] = ACTIONS(875),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_component] = ACTIONS(507),
  },
  [108] = {
    [sym_import] = STATE(661),
    [sym_statement_block] = STATE(789),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(661),
    [sym_yield_expression] = STATE(661),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(661),
    [sym_jsx_fragment] = STATE(661),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(661),
    [sym_class] = STATE(661),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(661),
    [sym_arrow_function] = STATE(661),
    [sym_call_expression] = STATE(661),
    [sym_new_expression] = STATE(661),
    [sym_await_expression] = STATE(661),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(661),
    [sym_augmented_assignment_expression] = STATE(661),
    [sym_ternary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_unary_expression] = STATE(661),
    [sym_update_expression] = STATE(661),
    [sym_string] = STATE(661),
    [sym_template_string] = STATE(661),
    [sym_regex] = STATE(661),
    [sym_meta_property] = STATE(661),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(661),
    [sym_new_component_expression] = STATE(661),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(881),
    [sym_this] = ACTIONS(883),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [sym_null] = ACTIONS(883),
    [sym_undefined] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [109] = {
    [sym_import] = STATE(444),
    [sym_statement_block] = STATE(523),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(444),
    [sym_yield_expression] = STATE(444),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(444),
    [sym_jsx_fragment] = STATE(444),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(444),
    [sym_class] = STATE(444),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(444),
    [sym_arrow_function] = STATE(444),
    [sym_call_expression] = STATE(444),
    [sym_new_expression] = STATE(444),
    [sym_await_expression] = STATE(444),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(444),
    [sym_augmented_assignment_expression] = STATE(444),
    [sym_ternary_expression] = STATE(444),
    [sym_binary_expression] = STATE(444),
    [sym_unary_expression] = STATE(444),
    [sym_update_expression] = STATE(444),
    [sym_string] = STATE(444),
    [sym_template_string] = STATE(444),
    [sym_regex] = STATE(444),
    [sym_meta_property] = STATE(444),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(444),
    [sym_new_component_expression] = STATE(444),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(887),
    [sym_this] = ACTIONS(889),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(889),
    [sym_false] = ACTIONS(889),
    [sym_null] = ACTIONS(889),
    [sym_undefined] = ACTIONS(889),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [110] = {
    [sym_import] = STATE(680),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(680),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_fragment] = STATE(680),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(680),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(680),
    [sym_arrow_function] = STATE(680),
    [sym_call_expression] = STATE(680),
    [sym_new_expression] = STATE(680),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(680),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1499),
    [sym_string] = STATE(680),
    [sym_template_string] = STATE(680),
    [sym_regex] = STATE(680),
    [sym_meta_property] = STATE(680),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(680),
    [sym_new_component_expression] = STATE(680),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(891),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(893),
    [sym_false] = ACTIONS(893),
    [sym_null] = ACTIONS(893),
    [sym_undefined] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [111] = {
    [sym_import] = STATE(837),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(837),
    [sym_yield_expression] = STATE(837),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(837),
    [sym_jsx_fragment] = STATE(837),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(837),
    [sym_class] = STATE(837),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(837),
    [sym_arrow_function] = STATE(837),
    [sym_call_expression] = STATE(837),
    [sym_new_expression] = STATE(837),
    [sym_await_expression] = STATE(837),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(837),
    [sym_augmented_assignment_expression] = STATE(837),
    [sym_ternary_expression] = STATE(837),
    [sym_binary_expression] = STATE(837),
    [sym_unary_expression] = STATE(837),
    [sym_update_expression] = STATE(837),
    [sym_sequence_expression] = STATE(1679),
    [sym_string] = STATE(837),
    [sym_template_string] = STATE(837),
    [sym_regex] = STATE(837),
    [sym_meta_property] = STATE(837),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(837),
    [sym_new_component_expression] = STATE(837),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(761),
    [sym_this] = ACTIONS(763),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(763),
    [sym_false] = ACTIONS(763),
    [sym_null] = ACTIONS(763),
    [sym_undefined] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [112] = {
    [sym_import] = STATE(446),
    [sym_statement_block] = STATE(525),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(446),
    [sym_yield_expression] = STATE(446),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(446),
    [sym_jsx_fragment] = STATE(446),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(446),
    [sym_class] = STATE(446),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(446),
    [sym_arrow_function] = STATE(446),
    [sym_call_expression] = STATE(446),
    [sym_new_expression] = STATE(446),
    [sym_await_expression] = STATE(446),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(446),
    [sym_augmented_assignment_expression] = STATE(446),
    [sym_ternary_expression] = STATE(446),
    [sym_binary_expression] = STATE(446),
    [sym_unary_expression] = STATE(446),
    [sym_update_expression] = STATE(446),
    [sym_string] = STATE(446),
    [sym_template_string] = STATE(446),
    [sym_regex] = STATE(446),
    [sym_meta_property] = STATE(446),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(446),
    [sym_new_component_expression] = STATE(446),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(895),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [sym_undefined] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [113] = {
    [sym_import] = STATE(810),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(810),
    [sym_yield_expression] = STATE(810),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(810),
    [sym_jsx_fragment] = STATE(810),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(810),
    [sym_class] = STATE(810),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(810),
    [sym_arrow_function] = STATE(810),
    [sym_call_expression] = STATE(810),
    [sym_new_expression] = STATE(810),
    [sym_await_expression] = STATE(810),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(810),
    [sym_augmented_assignment_expression] = STATE(810),
    [sym_ternary_expression] = STATE(810),
    [sym_binary_expression] = STATE(810),
    [sym_unary_expression] = STATE(810),
    [sym_update_expression] = STATE(810),
    [sym_sequence_expression] = STATE(1702),
    [sym_string] = STATE(810),
    [sym_template_string] = STATE(810),
    [sym_regex] = STATE(810),
    [sym_meta_property] = STATE(810),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(810),
    [sym_new_component_expression] = STATE(810),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(899),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_undefined] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [114] = {
    [sym_import] = STATE(601),
    [sym_statement_block] = STATE(689),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(601),
    [sym_yield_expression] = STATE(601),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(601),
    [sym_jsx_fragment] = STATE(601),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(601),
    [sym_class] = STATE(601),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(601),
    [sym_arrow_function] = STATE(601),
    [sym_call_expression] = STATE(601),
    [sym_new_expression] = STATE(601),
    [sym_await_expression] = STATE(601),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(601),
    [sym_augmented_assignment_expression] = STATE(601),
    [sym_ternary_expression] = STATE(601),
    [sym_binary_expression] = STATE(601),
    [sym_unary_expression] = STATE(601),
    [sym_update_expression] = STATE(601),
    [sym_string] = STATE(601),
    [sym_template_string] = STATE(601),
    [sym_regex] = STATE(601),
    [sym_meta_property] = STATE(601),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(601),
    [sym_new_component_expression] = STATE(601),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(905),
    [sym_this] = ACTIONS(907),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(907),
    [sym_false] = ACTIONS(907),
    [sym_null] = ACTIONS(907),
    [sym_undefined] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [115] = {
    [sym_import] = STATE(794),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(794),
    [sym_yield_expression] = STATE(794),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(794),
    [sym_jsx_fragment] = STATE(794),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(794),
    [sym_class] = STATE(794),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(794),
    [sym_arrow_function] = STATE(794),
    [sym_call_expression] = STATE(794),
    [sym_new_expression] = STATE(794),
    [sym_await_expression] = STATE(794),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(794),
    [sym_augmented_assignment_expression] = STATE(794),
    [sym_ternary_expression] = STATE(794),
    [sym_binary_expression] = STATE(794),
    [sym_unary_expression] = STATE(794),
    [sym_update_expression] = STATE(794),
    [sym_sequence_expression] = STATE(1687),
    [sym_string] = STATE(794),
    [sym_template_string] = STATE(794),
    [sym_regex] = STATE(794),
    [sym_meta_property] = STATE(794),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(794),
    [sym_new_component_expression] = STATE(794),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(909),
    [sym_this] = ACTIONS(911),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(911),
    [sym_false] = ACTIONS(911),
    [sym_null] = ACTIONS(911),
    [sym_undefined] = ACTIONS(911),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [116] = {
    [sym_import] = STATE(583),
    [sym_statement_block] = STATE(687),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(583),
    [sym_yield_expression] = STATE(583),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(583),
    [sym_jsx_fragment] = STATE(583),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(583),
    [sym_class] = STATE(583),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(583),
    [sym_arrow_function] = STATE(583),
    [sym_call_expression] = STATE(583),
    [sym_new_expression] = STATE(583),
    [sym_await_expression] = STATE(583),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(583),
    [sym_augmented_assignment_expression] = STATE(583),
    [sym_ternary_expression] = STATE(583),
    [sym_binary_expression] = STATE(583),
    [sym_unary_expression] = STATE(583),
    [sym_update_expression] = STATE(583),
    [sym_string] = STATE(583),
    [sym_template_string] = STATE(583),
    [sym_regex] = STATE(583),
    [sym_meta_property] = STATE(583),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(583),
    [sym_new_component_expression] = STATE(583),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(913),
    [sym_this] = ACTIONS(915),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_null] = ACTIONS(915),
    [sym_undefined] = ACTIONS(915),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [117] = {
    [sym_import] = STATE(556),
    [sym_statement_block] = STATE(997),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(556),
    [sym_yield_expression] = STATE(556),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(556),
    [sym_jsx_fragment] = STATE(556),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(556),
    [sym_class] = STATE(556),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(556),
    [sym_arrow_function] = STATE(556),
    [sym_call_expression] = STATE(556),
    [sym_new_expression] = STATE(556),
    [sym_await_expression] = STATE(556),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(556),
    [sym_augmented_assignment_expression] = STATE(556),
    [sym_ternary_expression] = STATE(556),
    [sym_binary_expression] = STATE(556),
    [sym_unary_expression] = STATE(556),
    [sym_update_expression] = STATE(556),
    [sym_string] = STATE(556),
    [sym_template_string] = STATE(556),
    [sym_regex] = STATE(556),
    [sym_meta_property] = STATE(556),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(556),
    [sym_new_component_expression] = STATE(556),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(917),
    [sym_this] = ACTIONS(919),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(919),
    [sym_false] = ACTIONS(919),
    [sym_null] = ACTIONS(919),
    [sym_undefined] = ACTIONS(919),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [118] = {
    [sym_import] = STATE(799),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(799),
    [sym_yield_expression] = STATE(799),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(799),
    [sym_jsx_fragment] = STATE(799),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(799),
    [sym_class] = STATE(799),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(799),
    [sym_arrow_function] = STATE(799),
    [sym_call_expression] = STATE(799),
    [sym_new_expression] = STATE(799),
    [sym_await_expression] = STATE(799),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(799),
    [sym_augmented_assignment_expression] = STATE(799),
    [sym_ternary_expression] = STATE(799),
    [sym_binary_expression] = STATE(799),
    [sym_unary_expression] = STATE(799),
    [sym_update_expression] = STATE(799),
    [sym_sequence_expression] = STATE(1680),
    [sym_string] = STATE(799),
    [sym_template_string] = STATE(799),
    [sym_regex] = STATE(799),
    [sym_meta_property] = STATE(799),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(799),
    [sym_new_component_expression] = STATE(799),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(921),
    [sym_this] = ACTIONS(923),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [sym_null] = ACTIONS(923),
    [sym_undefined] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [119] = {
    [sym_import] = STATE(808),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(808),
    [sym_yield_expression] = STATE(808),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(808),
    [sym_jsx_fragment] = STATE(808),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(808),
    [sym_class] = STATE(808),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(808),
    [sym_arrow_function] = STATE(808),
    [sym_call_expression] = STATE(808),
    [sym_new_expression] = STATE(808),
    [sym_await_expression] = STATE(808),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(808),
    [sym_augmented_assignment_expression] = STATE(808),
    [sym_ternary_expression] = STATE(808),
    [sym_binary_expression] = STATE(808),
    [sym_unary_expression] = STATE(808),
    [sym_update_expression] = STATE(808),
    [sym_sequence_expression] = STATE(1711),
    [sym_string] = STATE(808),
    [sym_template_string] = STATE(808),
    [sym_regex] = STATE(808),
    [sym_meta_property] = STATE(808),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(808),
    [sym_new_component_expression] = STATE(808),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(925),
    [sym_this] = ACTIONS(927),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(927),
    [sym_false] = ACTIONS(927),
    [sym_null] = ACTIONS(927),
    [sym_undefined] = ACTIONS(927),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [120] = {
    [sym_import] = STATE(441),
    [sym_statement_block] = STATE(520),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(441),
    [sym_yield_expression] = STATE(441),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(441),
    [sym_jsx_fragment] = STATE(441),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(441),
    [sym_class] = STATE(441),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(441),
    [sym_arrow_function] = STATE(441),
    [sym_call_expression] = STATE(441),
    [sym_new_expression] = STATE(441),
    [sym_await_expression] = STATE(441),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(441),
    [sym_augmented_assignment_expression] = STATE(441),
    [sym_ternary_expression] = STATE(441),
    [sym_binary_expression] = STATE(441),
    [sym_unary_expression] = STATE(441),
    [sym_update_expression] = STATE(441),
    [sym_string] = STATE(441),
    [sym_template_string] = STATE(441),
    [sym_regex] = STATE(441),
    [sym_meta_property] = STATE(441),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(441),
    [sym_new_component_expression] = STATE(441),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(929),
    [sym_this] = ACTIONS(931),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(931),
    [sym_false] = ACTIONS(931),
    [sym_null] = ACTIONS(931),
    [sym_undefined] = ACTIONS(931),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [121] = {
    [sym_import] = STATE(831),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(831),
    [sym_yield_expression] = STATE(831),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(831),
    [sym_jsx_fragment] = STATE(831),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(831),
    [sym_class] = STATE(831),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(831),
    [sym_arrow_function] = STATE(831),
    [sym_call_expression] = STATE(831),
    [sym_new_expression] = STATE(831),
    [sym_await_expression] = STATE(831),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(831),
    [sym_augmented_assignment_expression] = STATE(831),
    [sym_ternary_expression] = STATE(831),
    [sym_binary_expression] = STATE(831),
    [sym_unary_expression] = STATE(831),
    [sym_update_expression] = STATE(831),
    [sym_sequence_expression] = STATE(1699),
    [sym_string] = STATE(831),
    [sym_template_string] = STATE(831),
    [sym_regex] = STATE(831),
    [sym_meta_property] = STATE(831),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(831),
    [sym_new_component_expression] = STATE(831),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(933),
    [sym_this] = ACTIONS(935),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(935),
    [sym_false] = ACTIONS(935),
    [sym_null] = ACTIONS(935),
    [sym_undefined] = ACTIONS(935),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [122] = {
    [sym_import] = STATE(548),
    [sym_statement_block] = STATE(505),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(548),
    [sym_new_component_expression] = STATE(548),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(937),
    [sym_this] = ACTIONS(939),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_undefined] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [123] = {
    [sym_import] = STATE(614),
    [sym_statement_block] = STATE(793),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(614),
    [sym_yield_expression] = STATE(614),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(614),
    [sym_jsx_fragment] = STATE(614),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(614),
    [sym_class] = STATE(614),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(614),
    [sym_arrow_function] = STATE(614),
    [sym_call_expression] = STATE(614),
    [sym_new_expression] = STATE(614),
    [sym_await_expression] = STATE(614),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(614),
    [sym_augmented_assignment_expression] = STATE(614),
    [sym_ternary_expression] = STATE(614),
    [sym_binary_expression] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_update_expression] = STATE(614),
    [sym_string] = STATE(614),
    [sym_template_string] = STATE(614),
    [sym_regex] = STATE(614),
    [sym_meta_property] = STATE(614),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(614),
    [sym_new_component_expression] = STATE(614),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(943),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(943),
    [sym_false] = ACTIONS(943),
    [sym_null] = ACTIONS(943),
    [sym_undefined] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [124] = {
    [sym_import] = STATE(836),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(836),
    [sym_yield_expression] = STATE(836),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(836),
    [sym_jsx_fragment] = STATE(836),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(836),
    [sym_class] = STATE(836),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(836),
    [sym_arrow_function] = STATE(836),
    [sym_call_expression] = STATE(836),
    [sym_new_expression] = STATE(836),
    [sym_await_expression] = STATE(836),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(836),
    [sym_augmented_assignment_expression] = STATE(836),
    [sym_ternary_expression] = STATE(836),
    [sym_binary_expression] = STATE(836),
    [sym_unary_expression] = STATE(836),
    [sym_update_expression] = STATE(836),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(836),
    [sym_template_string] = STATE(836),
    [sym_regex] = STATE(836),
    [sym_meta_property] = STATE(836),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(836),
    [sym_new_component_expression] = STATE(836),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(945),
    [sym_this] = ACTIONS(947),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(947),
    [sym_false] = ACTIONS(947),
    [sym_null] = ACTIONS(947),
    [sym_undefined] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [125] = {
    [sym_import] = STATE(449),
    [sym_statement_block] = STATE(495),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(449),
    [sym_yield_expression] = STATE(449),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(449),
    [sym_jsx_fragment] = STATE(449),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(449),
    [sym_class] = STATE(449),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(449),
    [sym_arrow_function] = STATE(449),
    [sym_call_expression] = STATE(449),
    [sym_new_expression] = STATE(449),
    [sym_await_expression] = STATE(449),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(449),
    [sym_augmented_assignment_expression] = STATE(449),
    [sym_ternary_expression] = STATE(449),
    [sym_binary_expression] = STATE(449),
    [sym_unary_expression] = STATE(449),
    [sym_update_expression] = STATE(449),
    [sym_string] = STATE(449),
    [sym_template_string] = STATE(449),
    [sym_regex] = STATE(449),
    [sym_meta_property] = STATE(449),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(449),
    [sym_new_component_expression] = STATE(449),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(949),
    [sym_this] = ACTIONS(951),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(951),
    [sym_false] = ACTIONS(951),
    [sym_null] = ACTIONS(951),
    [sym_undefined] = ACTIONS(951),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [126] = {
    [sym_import] = STATE(874),
    [sym_variable_declarator] = STATE(1192),
    [sym_parenthesized_expression] = STATE(420),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(874),
    [sym_object] = STATE(639),
    [sym_array] = STATE(642),
    [sym_jsx_element] = STATE(874),
    [sym_jsx_fragment] = STATE(874),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(874),
    [sym_class] = STATE(874),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(874),
    [sym_arrow_function] = STATE(874),
    [sym_call_expression] = STATE(874),
    [sym_new_expression] = STATE(874),
    [sym_await_expression] = STATE(874),
    [sym_member_expression] = STATE(420),
    [sym_subscript_expression] = STATE(420),
    [sym_assignment_expression] = STATE(874),
    [sym_augmented_assignment_expression] = STATE(874),
    [sym_ternary_expression] = STATE(874),
    [sym_binary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_string] = STATE(874),
    [sym_template_string] = STATE(874),
    [sym_regex] = STATE(874),
    [sym_meta_property] = STATE(874),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(874),
    [sym_new_component_expression] = STATE(874),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(803),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_null] = ACTIONS(805),
    [sym_undefined] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [anon_sym_component] = ACTIONS(481),
  },
  [127] = {
    [sym_import] = STATE(448),
    [sym_statement_block] = STATE(997),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(448),
    [sym_yield_expression] = STATE(448),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(448),
    [sym_jsx_fragment] = STATE(448),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(448),
    [sym_class] = STATE(448),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(448),
    [sym_arrow_function] = STATE(448),
    [sym_call_expression] = STATE(448),
    [sym_new_expression] = STATE(448),
    [sym_await_expression] = STATE(448),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(448),
    [sym_augmented_assignment_expression] = STATE(448),
    [sym_ternary_expression] = STATE(448),
    [sym_binary_expression] = STATE(448),
    [sym_unary_expression] = STATE(448),
    [sym_update_expression] = STATE(448),
    [sym_string] = STATE(448),
    [sym_template_string] = STATE(448),
    [sym_regex] = STATE(448),
    [sym_meta_property] = STATE(448),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(448),
    [sym_new_component_expression] = STATE(448),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(959),
    [sym_this] = ACTIONS(961),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(961),
    [sym_false] = ACTIONS(961),
    [sym_null] = ACTIONS(961),
    [sym_undefined] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [128] = {
    [sym_import] = STATE(874),
    [sym_variable_declarator] = STATE(1196),
    [sym_parenthesized_expression] = STATE(420),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(874),
    [sym_object] = STATE(639),
    [sym_array] = STATE(642),
    [sym_jsx_element] = STATE(874),
    [sym_jsx_fragment] = STATE(874),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(874),
    [sym_class] = STATE(874),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(874),
    [sym_arrow_function] = STATE(874),
    [sym_call_expression] = STATE(874),
    [sym_new_expression] = STATE(874),
    [sym_await_expression] = STATE(874),
    [sym_member_expression] = STATE(420),
    [sym_subscript_expression] = STATE(420),
    [sym_assignment_expression] = STATE(874),
    [sym_augmented_assignment_expression] = STATE(874),
    [sym_ternary_expression] = STATE(874),
    [sym_binary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_string] = STATE(874),
    [sym_template_string] = STATE(874),
    [sym_regex] = STATE(874),
    [sym_meta_property] = STATE(874),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(874),
    [sym_new_component_expression] = STATE(874),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(803),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_null] = ACTIONS(805),
    [sym_undefined] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [anon_sym_component] = ACTIONS(481),
  },
  [129] = {
    [sym_import] = STATE(592),
    [sym_statement_block] = STATE(698),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(592),
    [sym_yield_expression] = STATE(592),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(592),
    [sym_jsx_fragment] = STATE(592),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(592),
    [sym_class] = STATE(592),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(592),
    [sym_arrow_function] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_new_expression] = STATE(592),
    [sym_await_expression] = STATE(592),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(592),
    [sym_augmented_assignment_expression] = STATE(592),
    [sym_ternary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_update_expression] = STATE(592),
    [sym_string] = STATE(592),
    [sym_template_string] = STATE(592),
    [sym_regex] = STATE(592),
    [sym_meta_property] = STATE(592),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(592),
    [sym_new_component_expression] = STATE(592),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(963),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [sym_undefined] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [130] = {
    [sym_import] = STATE(540),
    [sym_statement_block] = STATE(525),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(540),
    [sym_yield_expression] = STATE(540),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(540),
    [sym_jsx_fragment] = STATE(540),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(540),
    [sym_class] = STATE(540),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(540),
    [sym_arrow_function] = STATE(540),
    [sym_call_expression] = STATE(540),
    [sym_new_expression] = STATE(540),
    [sym_await_expression] = STATE(540),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(540),
    [sym_augmented_assignment_expression] = STATE(540),
    [sym_ternary_expression] = STATE(540),
    [sym_binary_expression] = STATE(540),
    [sym_unary_expression] = STATE(540),
    [sym_update_expression] = STATE(540),
    [sym_string] = STATE(540),
    [sym_template_string] = STATE(540),
    [sym_regex] = STATE(540),
    [sym_meta_property] = STATE(540),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(540),
    [sym_new_component_expression] = STATE(540),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(967),
    [sym_this] = ACTIONS(969),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(969),
    [sym_false] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [sym_undefined] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [131] = {
    [sym_import] = STATE(535),
    [sym_statement_block] = STATE(523),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(535),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_fragment] = STATE(535),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(535),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(535),
    [sym_arrow_function] = STATE(535),
    [sym_call_expression] = STATE(535),
    [sym_new_expression] = STATE(535),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(535),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(535),
    [sym_template_string] = STATE(535),
    [sym_regex] = STATE(535),
    [sym_meta_property] = STATE(535),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(535),
    [sym_new_component_expression] = STATE(535),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [132] = {
    [sym_import] = STATE(786),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(786),
    [sym_yield_expression] = STATE(786),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(786),
    [sym_jsx_fragment] = STATE(786),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(786),
    [sym_class] = STATE(786),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(786),
    [sym_arrow_function] = STATE(786),
    [sym_call_expression] = STATE(786),
    [sym_new_expression] = STATE(786),
    [sym_await_expression] = STATE(786),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(786),
    [sym_augmented_assignment_expression] = STATE(786),
    [sym_ternary_expression] = STATE(786),
    [sym_binary_expression] = STATE(786),
    [sym_unary_expression] = STATE(786),
    [sym_update_expression] = STATE(786),
    [sym_sequence_expression] = STATE(1665),
    [sym_string] = STATE(786),
    [sym_template_string] = STATE(786),
    [sym_regex] = STATE(786),
    [sym_meta_property] = STATE(786),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(786),
    [sym_new_component_expression] = STATE(786),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(975),
    [sym_this] = ACTIONS(977),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_null] = ACTIONS(977),
    [sym_undefined] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [133] = {
    [sym_import] = STATE(857),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(857),
    [sym_yield_expression] = STATE(857),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(857),
    [sym_jsx_fragment] = STATE(857),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(857),
    [sym_class] = STATE(857),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(857),
    [sym_arrow_function] = STATE(857),
    [sym_call_expression] = STATE(857),
    [sym_new_expression] = STATE(857),
    [sym_await_expression] = STATE(857),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(857),
    [sym_augmented_assignment_expression] = STATE(857),
    [sym_ternary_expression] = STATE(857),
    [sym_binary_expression] = STATE(857),
    [sym_unary_expression] = STATE(857),
    [sym_update_expression] = STATE(857),
    [sym_sequence_expression] = STATE(1649),
    [sym_string] = STATE(857),
    [sym_template_string] = STATE(857),
    [sym_regex] = STATE(857),
    [sym_meta_property] = STATE(857),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(857),
    [sym_new_component_expression] = STATE(857),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(979),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [sym_undefined] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [134] = {
    [sym_import] = STATE(567),
    [sym_statement_block] = STATE(713),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(567),
    [sym_yield_expression] = STATE(567),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(567),
    [sym_jsx_fragment] = STATE(567),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_class] = STATE(567),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(567),
    [sym_arrow_function] = STATE(567),
    [sym_call_expression] = STATE(567),
    [sym_new_expression] = STATE(567),
    [sym_await_expression] = STATE(567),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(567),
    [sym_augmented_assignment_expression] = STATE(567),
    [sym_ternary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_update_expression] = STATE(567),
    [sym_string] = STATE(567),
    [sym_template_string] = STATE(567),
    [sym_regex] = STATE(567),
    [sym_meta_property] = STATE(567),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(567),
    [sym_new_component_expression] = STATE(567),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(983),
    [sym_this] = ACTIONS(985),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_null] = ACTIONS(985),
    [sym_undefined] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [135] = {
    [sym_import] = STATE(596),
    [sym_statement_block] = STATE(722),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(596),
    [sym_yield_expression] = STATE(596),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(596),
    [sym_jsx_fragment] = STATE(596),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(596),
    [sym_class] = STATE(596),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(596),
    [sym_arrow_function] = STATE(596),
    [sym_call_expression] = STATE(596),
    [sym_new_expression] = STATE(596),
    [sym_await_expression] = STATE(596),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(596),
    [sym_augmented_assignment_expression] = STATE(596),
    [sym_ternary_expression] = STATE(596),
    [sym_binary_expression] = STATE(596),
    [sym_unary_expression] = STATE(596),
    [sym_update_expression] = STATE(596),
    [sym_string] = STATE(596),
    [sym_template_string] = STATE(596),
    [sym_regex] = STATE(596),
    [sym_meta_property] = STATE(596),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(596),
    [sym_new_component_expression] = STATE(596),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(987),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [136] = {
    [sym_import] = STATE(587),
    [sym_statement_block] = STATE(723),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(587),
    [sym_yield_expression] = STATE(587),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(587),
    [sym_jsx_fragment] = STATE(587),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(587),
    [sym_class] = STATE(587),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(587),
    [sym_arrow_function] = STATE(587),
    [sym_call_expression] = STATE(587),
    [sym_new_expression] = STATE(587),
    [sym_await_expression] = STATE(587),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(587),
    [sym_augmented_assignment_expression] = STATE(587),
    [sym_ternary_expression] = STATE(587),
    [sym_binary_expression] = STATE(587),
    [sym_unary_expression] = STATE(587),
    [sym_update_expression] = STATE(587),
    [sym_string] = STATE(587),
    [sym_template_string] = STATE(587),
    [sym_regex] = STATE(587),
    [sym_meta_property] = STATE(587),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(587),
    [sym_new_component_expression] = STATE(587),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(991),
    [sym_this] = ACTIONS(993),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(993),
    [sym_false] = ACTIONS(993),
    [sym_null] = ACTIONS(993),
    [sym_undefined] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [137] = {
    [sym_import] = STATE(848),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(848),
    [sym_yield_expression] = STATE(848),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(848),
    [sym_jsx_fragment] = STATE(848),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(848),
    [sym_class] = STATE(848),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(848),
    [sym_arrow_function] = STATE(848),
    [sym_call_expression] = STATE(848),
    [sym_new_expression] = STATE(848),
    [sym_await_expression] = STATE(848),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(848),
    [sym_augmented_assignment_expression] = STATE(848),
    [sym_ternary_expression] = STATE(848),
    [sym_binary_expression] = STATE(848),
    [sym_unary_expression] = STATE(848),
    [sym_update_expression] = STATE(848),
    [sym_sequence_expression] = STATE(1648),
    [sym_string] = STATE(848),
    [sym_template_string] = STATE(848),
    [sym_regex] = STATE(848),
    [sym_meta_property] = STATE(848),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(848),
    [sym_new_component_expression] = STATE(848),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(995),
    [sym_this] = ACTIONS(997),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(997),
    [sym_false] = ACTIONS(997),
    [sym_null] = ACTIONS(997),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [138] = {
    [sym_import] = STATE(537),
    [sym_statement_block] = STATE(520),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(537),
    [sym_yield_expression] = STATE(537),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(537),
    [sym_jsx_fragment] = STATE(537),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(537),
    [sym_class] = STATE(537),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(537),
    [sym_arrow_function] = STATE(537),
    [sym_call_expression] = STATE(537),
    [sym_new_expression] = STATE(537),
    [sym_await_expression] = STATE(537),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(537),
    [sym_augmented_assignment_expression] = STATE(537),
    [sym_ternary_expression] = STATE(537),
    [sym_binary_expression] = STATE(537),
    [sym_unary_expression] = STATE(537),
    [sym_update_expression] = STATE(537),
    [sym_string] = STATE(537),
    [sym_template_string] = STATE(537),
    [sym_regex] = STATE(537),
    [sym_meta_property] = STATE(537),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(537),
    [sym_new_component_expression] = STATE(537),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(999),
    [sym_this] = ACTIONS(1001),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_null] = ACTIONS(1001),
    [sym_undefined] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [139] = {
    [sym_import] = STATE(550),
    [sym_statement_block] = STATE(495),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(550),
    [sym_yield_expression] = STATE(550),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(550),
    [sym_jsx_fragment] = STATE(550),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(550),
    [sym_class] = STATE(550),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(550),
    [sym_arrow_function] = STATE(550),
    [sym_call_expression] = STATE(550),
    [sym_new_expression] = STATE(550),
    [sym_await_expression] = STATE(550),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(550),
    [sym_augmented_assignment_expression] = STATE(550),
    [sym_ternary_expression] = STATE(550),
    [sym_binary_expression] = STATE(550),
    [sym_unary_expression] = STATE(550),
    [sym_update_expression] = STATE(550),
    [sym_string] = STATE(550),
    [sym_template_string] = STATE(550),
    [sym_regex] = STATE(550),
    [sym_meta_property] = STATE(550),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(550),
    [sym_new_component_expression] = STATE(550),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1003),
    [sym_this] = ACTIONS(1005),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1005),
    [sym_false] = ACTIONS(1005),
    [sym_null] = ACTIONS(1005),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [140] = {
    [sym_import] = STATE(538),
    [sym_statement_block] = STATE(515),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(538),
    [sym_yield_expression] = STATE(538),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(538),
    [sym_jsx_fragment] = STATE(538),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(538),
    [sym_class] = STATE(538),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(538),
    [sym_arrow_function] = STATE(538),
    [sym_call_expression] = STATE(538),
    [sym_new_expression] = STATE(538),
    [sym_await_expression] = STATE(538),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(538),
    [sym_augmented_assignment_expression] = STATE(538),
    [sym_ternary_expression] = STATE(538),
    [sym_binary_expression] = STATE(538),
    [sym_unary_expression] = STATE(538),
    [sym_update_expression] = STATE(538),
    [sym_string] = STATE(538),
    [sym_template_string] = STATE(538),
    [sym_regex] = STATE(538),
    [sym_meta_property] = STATE(538),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(538),
    [sym_new_component_expression] = STATE(538),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1007),
    [sym_this] = ACTIONS(1009),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_null] = ACTIONS(1009),
    [sym_undefined] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [141] = {
    [sym_import] = STATE(465),
    [sym_parenthesized_expression] = STATE(352),
    [sym__expression] = STATE(869),
    [sym_yield_expression] = STATE(869),
    [sym_object] = STATE(422),
    [sym_array] = STATE(423),
    [sym_jsx_element] = STATE(869),
    [sym_jsx_fragment] = STATE(869),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(869),
    [sym_class] = STATE(465),
    [sym_function] = STATE(425),
    [sym_generator_function] = STATE(465),
    [sym_arrow_function] = STATE(465),
    [sym_call_expression] = STATE(869),
    [sym_new_expression] = STATE(465),
    [sym_await_expression] = STATE(869),
    [sym_member_expression] = STATE(352),
    [sym_subscript_expression] = STATE(352),
    [sym_assignment_expression] = STATE(869),
    [sym_augmented_assignment_expression] = STATE(869),
    [sym_ternary_expression] = STATE(869),
    [sym_binary_expression] = STATE(869),
    [sym_unary_expression] = STATE(869),
    [sym_update_expression] = STATE(869),
    [sym_string] = STATE(465),
    [sym_template_string] = STATE(465),
    [sym_regex] = STATE(465),
    [sym_meta_property] = STATE(465),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(465),
    [sym_new_component_expression] = STATE(465),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(1011),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1017),
    [sym_this] = ACTIONS(1019),
    [sym_super] = ACTIONS(1021),
    [sym_true] = ACTIONS(1019),
    [sym_false] = ACTIONS(1019),
    [sym_null] = ACTIONS(1019),
    [sym_undefined] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(1023),
    [anon_sym_get] = ACTIONS(1023),
    [anon_sym_set] = ACTIONS(1023),
    [anon_sym_component] = ACTIONS(397),
  },
  [142] = {
    [sym_import] = STATE(832),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(832),
    [sym_yield_expression] = STATE(832),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(832),
    [sym_jsx_fragment] = STATE(832),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(832),
    [sym_class] = STATE(832),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(832),
    [sym_arrow_function] = STATE(832),
    [sym_call_expression] = STATE(832),
    [sym_new_expression] = STATE(832),
    [sym_await_expression] = STATE(832),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(832),
    [sym_augmented_assignment_expression] = STATE(832),
    [sym_ternary_expression] = STATE(832),
    [sym_binary_expression] = STATE(832),
    [sym_unary_expression] = STATE(832),
    [sym_update_expression] = STATE(832),
    [sym_sequence_expression] = STATE(1621),
    [sym_string] = STATE(832),
    [sym_template_string] = STATE(832),
    [sym_regex] = STATE(832),
    [sym_meta_property] = STATE(832),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(832),
    [sym_new_component_expression] = STATE(832),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1025),
    [sym_this] = ACTIONS(1027),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1027),
    [sym_false] = ACTIONS(1027),
    [sym_null] = ACTIONS(1027),
    [sym_undefined] = ACTIONS(1027),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [143] = {
    [sym_import] = STATE(839),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(839),
    [sym_yield_expression] = STATE(839),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(839),
    [sym_jsx_fragment] = STATE(839),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(839),
    [sym_class] = STATE(839),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(839),
    [sym_arrow_function] = STATE(839),
    [sym_call_expression] = STATE(839),
    [sym_new_expression] = STATE(839),
    [sym_await_expression] = STATE(839),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(839),
    [sym_augmented_assignment_expression] = STATE(839),
    [sym_ternary_expression] = STATE(839),
    [sym_binary_expression] = STATE(839),
    [sym_unary_expression] = STATE(839),
    [sym_update_expression] = STATE(839),
    [sym_sequence_expression] = STATE(1701),
    [sym_string] = STATE(839),
    [sym_template_string] = STATE(839),
    [sym_regex] = STATE(839),
    [sym_meta_property] = STATE(839),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(839),
    [sym_new_component_expression] = STATE(839),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1029),
    [sym_this] = ACTIONS(1031),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1031),
    [sym_false] = ACTIONS(1031),
    [sym_null] = ACTIONS(1031),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [144] = {
    [sym_import] = STATE(657),
    [sym_statement_block] = STATE(854),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(657),
    [sym_yield_expression] = STATE(657),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(657),
    [sym_jsx_fragment] = STATE(657),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(657),
    [sym_class] = STATE(657),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(657),
    [sym_arrow_function] = STATE(657),
    [sym_call_expression] = STATE(657),
    [sym_new_expression] = STATE(657),
    [sym_await_expression] = STATE(657),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(657),
    [sym_augmented_assignment_expression] = STATE(657),
    [sym_ternary_expression] = STATE(657),
    [sym_binary_expression] = STATE(657),
    [sym_unary_expression] = STATE(657),
    [sym_update_expression] = STATE(657),
    [sym_string] = STATE(657),
    [sym_template_string] = STATE(657),
    [sym_regex] = STATE(657),
    [sym_meta_property] = STATE(657),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(657),
    [sym_new_component_expression] = STATE(657),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1033),
    [sym_this] = ACTIONS(1035),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1035),
    [sym_false] = ACTIONS(1035),
    [sym_null] = ACTIONS(1035),
    [sym_undefined] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [145] = {
    [sym_import] = STATE(850),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(850),
    [sym_yield_expression] = STATE(850),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(850),
    [sym_jsx_fragment] = STATE(850),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(850),
    [sym_class] = STATE(850),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(850),
    [sym_arrow_function] = STATE(850),
    [sym_call_expression] = STATE(850),
    [sym_new_expression] = STATE(850),
    [sym_await_expression] = STATE(850),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(850),
    [sym_augmented_assignment_expression] = STATE(850),
    [sym_ternary_expression] = STATE(850),
    [sym_binary_expression] = STATE(850),
    [sym_unary_expression] = STATE(850),
    [sym_update_expression] = STATE(850),
    [sym_sequence_expression] = STATE(1597),
    [sym_string] = STATE(850),
    [sym_template_string] = STATE(850),
    [sym_regex] = STATE(850),
    [sym_meta_property] = STATE(850),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(850),
    [sym_new_component_expression] = STATE(850),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1037),
    [sym_this] = ACTIONS(1039),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [sym_null] = ACTIONS(1039),
    [sym_undefined] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [146] = {
    [sym_import] = STATE(844),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(844),
    [sym_yield_expression] = STATE(844),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(844),
    [sym_jsx_fragment] = STATE(844),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(844),
    [sym_class] = STATE(844),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(844),
    [sym_arrow_function] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_new_expression] = STATE(844),
    [sym_await_expression] = STATE(844),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(844),
    [sym_augmented_assignment_expression] = STATE(844),
    [sym_ternary_expression] = STATE(844),
    [sym_binary_expression] = STATE(844),
    [sym_unary_expression] = STATE(844),
    [sym_update_expression] = STATE(844),
    [sym_sequence_expression] = STATE(1598),
    [sym_string] = STATE(844),
    [sym_template_string] = STATE(844),
    [sym_regex] = STATE(844),
    [sym_meta_property] = STATE(844),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(844),
    [sym_new_component_expression] = STATE(844),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1041),
    [sym_this] = ACTIONS(1043),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1043),
    [sym_false] = ACTIONS(1043),
    [sym_null] = ACTIONS(1043),
    [sym_undefined] = ACTIONS(1043),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [147] = {
    [sym_import] = STATE(578),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(578),
    [sym_yield_expression] = STATE(578),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(578),
    [sym_jsx_fragment] = STATE(578),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(578),
    [sym_class] = STATE(578),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(578),
    [sym_arrow_function] = STATE(578),
    [sym_call_expression] = STATE(578),
    [sym_new_expression] = STATE(578),
    [sym_await_expression] = STATE(578),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(578),
    [sym_augmented_assignment_expression] = STATE(578),
    [sym_ternary_expression] = STATE(578),
    [sym_binary_expression] = STATE(578),
    [sym_unary_expression] = STATE(578),
    [sym_update_expression] = STATE(578),
    [sym_sequence_expression] = STATE(1248),
    [sym_string] = STATE(578),
    [sym_template_string] = STATE(578),
    [sym_regex] = STATE(578),
    [sym_meta_property] = STATE(578),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(578),
    [sym_new_component_expression] = STATE(578),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1045),
    [sym_this] = ACTIONS(1047),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1047),
    [sym_false] = ACTIONS(1047),
    [sym_null] = ACTIONS(1047),
    [sym_undefined] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [148] = {
    [sym_import] = STATE(648),
    [sym_statement_block] = STATE(779),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(648),
    [sym_yield_expression] = STATE(648),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(648),
    [sym_jsx_fragment] = STATE(648),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(648),
    [sym_class] = STATE(648),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(648),
    [sym_arrow_function] = STATE(648),
    [sym_call_expression] = STATE(648),
    [sym_new_expression] = STATE(648),
    [sym_await_expression] = STATE(648),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(648),
    [sym_augmented_assignment_expression] = STATE(648),
    [sym_ternary_expression] = STATE(648),
    [sym_binary_expression] = STATE(648),
    [sym_unary_expression] = STATE(648),
    [sym_update_expression] = STATE(648),
    [sym_string] = STATE(648),
    [sym_template_string] = STATE(648),
    [sym_regex] = STATE(648),
    [sym_meta_property] = STATE(648),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(648),
    [sym_new_component_expression] = STATE(648),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1049),
    [sym_this] = ACTIONS(1051),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1051),
    [sym_false] = ACTIONS(1051),
    [sym_null] = ACTIONS(1051),
    [sym_undefined] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [149] = {
    [sym_import] = STATE(835),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(835),
    [sym_yield_expression] = STATE(835),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(835),
    [sym_jsx_fragment] = STATE(835),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(835),
    [sym_class] = STATE(835),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(835),
    [sym_arrow_function] = STATE(835),
    [sym_call_expression] = STATE(835),
    [sym_new_expression] = STATE(835),
    [sym_await_expression] = STATE(835),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(835),
    [sym_augmented_assignment_expression] = STATE(835),
    [sym_ternary_expression] = STATE(835),
    [sym_binary_expression] = STATE(835),
    [sym_unary_expression] = STATE(835),
    [sym_update_expression] = STATE(835),
    [sym_sequence_expression] = STATE(1607),
    [sym_string] = STATE(835),
    [sym_template_string] = STATE(835),
    [sym_regex] = STATE(835),
    [sym_meta_property] = STATE(835),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(835),
    [sym_new_component_expression] = STATE(835),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1053),
    [sym_this] = ACTIONS(1055),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1055),
    [sym_false] = ACTIONS(1055),
    [sym_null] = ACTIONS(1055),
    [sym_undefined] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [150] = {
    [sym_import] = STATE(438),
    [sym_statement_block] = STATE(515),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(438),
    [sym_yield_expression] = STATE(438),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(438),
    [sym_jsx_fragment] = STATE(438),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(438),
    [sym_class] = STATE(438),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(438),
    [sym_arrow_function] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_new_expression] = STATE(438),
    [sym_await_expression] = STATE(438),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(438),
    [sym_augmented_assignment_expression] = STATE(438),
    [sym_ternary_expression] = STATE(438),
    [sym_binary_expression] = STATE(438),
    [sym_unary_expression] = STATE(438),
    [sym_update_expression] = STATE(438),
    [sym_string] = STATE(438),
    [sym_template_string] = STATE(438),
    [sym_regex] = STATE(438),
    [sym_meta_property] = STATE(438),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(438),
    [sym_new_component_expression] = STATE(438),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1057),
    [sym_this] = ACTIONS(1059),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1059),
    [sym_false] = ACTIONS(1059),
    [sym_null] = ACTIONS(1059),
    [sym_undefined] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [151] = {
    [sym_import] = STATE(465),
    [sym_parenthesized_expression] = STATE(352),
    [sym__expression] = STATE(869),
    [sym_yield_expression] = STATE(869),
    [sym_object] = STATE(422),
    [sym_array] = STATE(423),
    [sym_jsx_element] = STATE(869),
    [sym_jsx_fragment] = STATE(869),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(869),
    [sym_class] = STATE(465),
    [sym_function] = STATE(425),
    [sym_generator_function] = STATE(465),
    [sym_arrow_function] = STATE(465),
    [sym_call_expression] = STATE(869),
    [sym_new_expression] = STATE(465),
    [sym_await_expression] = STATE(869),
    [sym_member_expression] = STATE(352),
    [sym_subscript_expression] = STATE(352),
    [sym_assignment_expression] = STATE(869),
    [sym_augmented_assignment_expression] = STATE(869),
    [sym_ternary_expression] = STATE(869),
    [sym_binary_expression] = STATE(869),
    [sym_unary_expression] = STATE(869),
    [sym_update_expression] = STATE(869),
    [sym_string] = STATE(465),
    [sym_template_string] = STATE(465),
    [sym_regex] = STATE(465),
    [sym_meta_property] = STATE(465),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(465),
    [sym_new_component_expression] = STATE(465),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_DOT] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1017),
    [sym_this] = ACTIONS(1019),
    [sym_super] = ACTIONS(1021),
    [sym_true] = ACTIONS(1019),
    [sym_false] = ACTIONS(1019),
    [sym_null] = ACTIONS(1019),
    [sym_undefined] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(1065),
    [anon_sym_get] = ACTIONS(1065),
    [anon_sym_set] = ACTIONS(1065),
    [anon_sym_component] = ACTIONS(397),
  },
  [152] = {
    [sym_import] = STATE(852),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(852),
    [sym_yield_expression] = STATE(852),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(852),
    [sym_jsx_fragment] = STATE(852),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(852),
    [sym_class] = STATE(852),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(852),
    [sym_arrow_function] = STATE(852),
    [sym_call_expression] = STATE(852),
    [sym_new_expression] = STATE(852),
    [sym_await_expression] = STATE(852),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(852),
    [sym_augmented_assignment_expression] = STATE(852),
    [sym_ternary_expression] = STATE(852),
    [sym_binary_expression] = STATE(852),
    [sym_unary_expression] = STATE(852),
    [sym_update_expression] = STATE(852),
    [sym_sequence_expression] = STATE(1707),
    [sym_string] = STATE(852),
    [sym_template_string] = STATE(852),
    [sym_regex] = STATE(852),
    [sym_meta_property] = STATE(852),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(852),
    [sym_new_component_expression] = STATE(852),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1067),
    [sym_this] = ACTIONS(1069),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1069),
    [sym_false] = ACTIONS(1069),
    [sym_null] = ACTIONS(1069),
    [sym_undefined] = ACTIONS(1069),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [153] = {
    [sym_import] = STATE(443),
    [sym_statement_block] = STATE(505),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(443),
    [sym_yield_expression] = STATE(443),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(443),
    [sym_jsx_fragment] = STATE(443),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(443),
    [sym_class] = STATE(443),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(443),
    [sym_arrow_function] = STATE(443),
    [sym_call_expression] = STATE(443),
    [sym_new_expression] = STATE(443),
    [sym_await_expression] = STATE(443),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(443),
    [sym_augmented_assignment_expression] = STATE(443),
    [sym_ternary_expression] = STATE(443),
    [sym_binary_expression] = STATE(443),
    [sym_unary_expression] = STATE(443),
    [sym_update_expression] = STATE(443),
    [sym_string] = STATE(443),
    [sym_template_string] = STATE(443),
    [sym_regex] = STATE(443),
    [sym_meta_property] = STATE(443),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(443),
    [sym_new_component_expression] = STATE(443),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1071),
    [sym_this] = ACTIONS(1073),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1073),
    [sym_false] = ACTIONS(1073),
    [sym_null] = ACTIONS(1073),
    [sym_undefined] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [154] = {
    [sym_import] = STATE(726),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(726),
    [sym_yield_expression] = STATE(726),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(726),
    [sym_jsx_fragment] = STATE(726),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(726),
    [sym_class] = STATE(726),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(726),
    [sym_arrow_function] = STATE(726),
    [sym_call_expression] = STATE(726),
    [sym_new_expression] = STATE(726),
    [sym_await_expression] = STATE(726),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(726),
    [sym_augmented_assignment_expression] = STATE(726),
    [sym_ternary_expression] = STATE(726),
    [sym_binary_expression] = STATE(726),
    [sym_unary_expression] = STATE(726),
    [sym_update_expression] = STATE(726),
    [sym_string] = STATE(726),
    [sym_template_string] = STATE(726),
    [sym_regex] = STATE(726),
    [sym_meta_property] = STATE(726),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(726),
    [sym_new_component_expression] = STATE(726),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1075),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [sym_undefined] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [155] = {
    [sym_import] = STATE(433),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(433),
    [sym_yield_expression] = STATE(433),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(433),
    [sym_jsx_fragment] = STATE(433),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(433),
    [sym_class] = STATE(433),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(433),
    [sym_arrow_function] = STATE(433),
    [sym_call_expression] = STATE(433),
    [sym_new_expression] = STATE(433),
    [sym_await_expression] = STATE(433),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(433),
    [sym_augmented_assignment_expression] = STATE(433),
    [sym_ternary_expression] = STATE(433),
    [sym_binary_expression] = STATE(433),
    [sym_unary_expression] = STATE(433),
    [sym_update_expression] = STATE(433),
    [sym_string] = STATE(433),
    [sym_template_string] = STATE(433),
    [sym_regex] = STATE(433),
    [sym_meta_property] = STATE(433),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(433),
    [sym_new_component_expression] = STATE(433),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1079),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1081),
    [sym_false] = ACTIONS(1081),
    [sym_null] = ACTIONS(1081),
    [sym_undefined] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [156] = {
    [sym_import] = STATE(575),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(575),
    [sym_yield_expression] = STATE(575),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(575),
    [sym_jsx_fragment] = STATE(575),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(575),
    [sym_class] = STATE(575),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(575),
    [sym_arrow_function] = STATE(575),
    [sym_call_expression] = STATE(575),
    [sym_new_expression] = STATE(575),
    [sym_await_expression] = STATE(575),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(575),
    [sym_augmented_assignment_expression] = STATE(575),
    [sym_ternary_expression] = STATE(575),
    [sym_binary_expression] = STATE(575),
    [sym_unary_expression] = STATE(575),
    [sym_update_expression] = STATE(575),
    [sym_string] = STATE(575),
    [sym_template_string] = STATE(575),
    [sym_regex] = STATE(575),
    [sym_meta_property] = STATE(575),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(575),
    [sym_new_component_expression] = STATE(575),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1083),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_undefined] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [157] = {
    [sym_import] = STATE(664),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(664),
    [sym_yield_expression] = STATE(664),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(664),
    [sym_jsx_fragment] = STATE(664),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(664),
    [sym_class] = STATE(664),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(664),
    [sym_arrow_function] = STATE(664),
    [sym_call_expression] = STATE(664),
    [sym_new_expression] = STATE(664),
    [sym_await_expression] = STATE(664),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(664),
    [sym_augmented_assignment_expression] = STATE(664),
    [sym_ternary_expression] = STATE(664),
    [sym_binary_expression] = STATE(664),
    [sym_unary_expression] = STATE(664),
    [sym_update_expression] = STATE(664),
    [sym_string] = STATE(664),
    [sym_template_string] = STATE(664),
    [sym_regex] = STATE(664),
    [sym_meta_property] = STATE(664),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(664),
    [sym_new_component_expression] = STATE(664),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1087),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1089),
    [sym_false] = ACTIONS(1089),
    [sym_null] = ACTIONS(1089),
    [sym_undefined] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [158] = {
    [sym_import] = STATE(604),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(604),
    [sym_yield_expression] = STATE(604),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(604),
    [sym_jsx_fragment] = STATE(604),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(604),
    [sym_class] = STATE(604),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(604),
    [sym_arrow_function] = STATE(604),
    [sym_call_expression] = STATE(604),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(604),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(604),
    [sym_augmented_assignment_expression] = STATE(604),
    [sym_ternary_expression] = STATE(604),
    [sym_binary_expression] = STATE(604),
    [sym_unary_expression] = STATE(604),
    [sym_update_expression] = STATE(604),
    [sym_string] = STATE(604),
    [sym_template_string] = STATE(604),
    [sym_regex] = STATE(604),
    [sym_meta_property] = STATE(604),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(604),
    [sym_new_component_expression] = STATE(604),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1091),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [sym_null] = ACTIONS(1093),
    [sym_undefined] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [159] = {
    [sym_import] = STATE(424),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(424),
    [sym_yield_expression] = STATE(424),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(424),
    [sym_jsx_fragment] = STATE(424),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(424),
    [sym_class] = STATE(424),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(424),
    [sym_arrow_function] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_new_expression] = STATE(424),
    [sym_await_expression] = STATE(424),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(424),
    [sym_augmented_assignment_expression] = STATE(424),
    [sym_ternary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_string] = STATE(424),
    [sym_template_string] = STATE(424),
    [sym_regex] = STATE(424),
    [sym_meta_property] = STATE(424),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(424),
    [sym_new_component_expression] = STATE(424),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1095),
    [sym_this] = ACTIONS(1097),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1097),
    [sym_false] = ACTIONS(1097),
    [sym_null] = ACTIONS(1097),
    [sym_undefined] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [160] = {
    [sym_import] = STATE(427),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(427),
    [sym_yield_expression] = STATE(427),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(427),
    [sym_jsx_fragment] = STATE(427),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(427),
    [sym_class] = STATE(427),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(427),
    [sym_arrow_function] = STATE(427),
    [sym_call_expression] = STATE(427),
    [sym_new_expression] = STATE(427),
    [sym_await_expression] = STATE(427),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(427),
    [sym_augmented_assignment_expression] = STATE(427),
    [sym_ternary_expression] = STATE(427),
    [sym_binary_expression] = STATE(427),
    [sym_unary_expression] = STATE(427),
    [sym_update_expression] = STATE(427),
    [sym_string] = STATE(427),
    [sym_template_string] = STATE(427),
    [sym_regex] = STATE(427),
    [sym_meta_property] = STATE(427),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(427),
    [sym_new_component_expression] = STATE(427),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [161] = {
    [sym_import] = STATE(429),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(429),
    [sym_yield_expression] = STATE(429),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(429),
    [sym_jsx_fragment] = STATE(429),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(429),
    [sym_class] = STATE(429),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(429),
    [sym_arrow_function] = STATE(429),
    [sym_call_expression] = STATE(429),
    [sym_new_expression] = STATE(429),
    [sym_await_expression] = STATE(429),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(429),
    [sym_augmented_assignment_expression] = STATE(429),
    [sym_ternary_expression] = STATE(429),
    [sym_binary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_string] = STATE(429),
    [sym_template_string] = STATE(429),
    [sym_regex] = STATE(429),
    [sym_meta_property] = STATE(429),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(429),
    [sym_new_component_expression] = STATE(429),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1103),
    [sym_this] = ACTIONS(1105),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1105),
    [sym_false] = ACTIONS(1105),
    [sym_null] = ACTIONS(1105),
    [sym_undefined] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [162] = {
    [sym_import] = STATE(430),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(430),
    [sym_yield_expression] = STATE(430),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(430),
    [sym_jsx_fragment] = STATE(430),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(430),
    [sym_class] = STATE(430),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(430),
    [sym_arrow_function] = STATE(430),
    [sym_call_expression] = STATE(430),
    [sym_new_expression] = STATE(430),
    [sym_await_expression] = STATE(430),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(430),
    [sym_augmented_assignment_expression] = STATE(430),
    [sym_ternary_expression] = STATE(430),
    [sym_binary_expression] = STATE(430),
    [sym_unary_expression] = STATE(430),
    [sym_update_expression] = STATE(430),
    [sym_string] = STATE(430),
    [sym_template_string] = STATE(430),
    [sym_regex] = STATE(430),
    [sym_meta_property] = STATE(430),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(430),
    [sym_new_component_expression] = STATE(430),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1107),
    [sym_this] = ACTIONS(1109),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [sym_null] = ACTIONS(1109),
    [sym_undefined] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [163] = {
    [sym_import] = STATE(555),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(555),
    [sym_yield_expression] = STATE(555),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(555),
    [sym_jsx_fragment] = STATE(555),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(555),
    [sym_class] = STATE(555),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(555),
    [sym_arrow_function] = STATE(555),
    [sym_call_expression] = STATE(555),
    [sym_new_expression] = STATE(555),
    [sym_await_expression] = STATE(555),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(555),
    [sym_augmented_assignment_expression] = STATE(555),
    [sym_ternary_expression] = STATE(555),
    [sym_binary_expression] = STATE(555),
    [sym_unary_expression] = STATE(555),
    [sym_update_expression] = STATE(555),
    [sym_string] = STATE(555),
    [sym_template_string] = STATE(555),
    [sym_regex] = STATE(555),
    [sym_meta_property] = STATE(555),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(555),
    [sym_new_component_expression] = STATE(555),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1111),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_undefined] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [164] = {
    [sym_import] = STATE(552),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(552),
    [sym_yield_expression] = STATE(552),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(552),
    [sym_jsx_fragment] = STATE(552),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(552),
    [sym_class] = STATE(552),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(552),
    [sym_arrow_function] = STATE(552),
    [sym_call_expression] = STATE(552),
    [sym_new_expression] = STATE(552),
    [sym_await_expression] = STATE(552),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(552),
    [sym_augmented_assignment_expression] = STATE(552),
    [sym_ternary_expression] = STATE(552),
    [sym_binary_expression] = STATE(552),
    [sym_unary_expression] = STATE(552),
    [sym_update_expression] = STATE(552),
    [sym_string] = STATE(552),
    [sym_template_string] = STATE(552),
    [sym_regex] = STATE(552),
    [sym_meta_property] = STATE(552),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(552),
    [sym_new_component_expression] = STATE(552),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [165] = {
    [sym_import] = STATE(740),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(740),
    [sym_yield_expression] = STATE(740),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(740),
    [sym_jsx_fragment] = STATE(740),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(740),
    [sym_class] = STATE(740),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(740),
    [sym_arrow_function] = STATE(740),
    [sym_call_expression] = STATE(740),
    [sym_new_expression] = STATE(740),
    [sym_await_expression] = STATE(740),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(740),
    [sym_augmented_assignment_expression] = STATE(740),
    [sym_ternary_expression] = STATE(740),
    [sym_binary_expression] = STATE(740),
    [sym_unary_expression] = STATE(740),
    [sym_update_expression] = STATE(740),
    [sym_string] = STATE(740),
    [sym_template_string] = STATE(740),
    [sym_regex] = STATE(740),
    [sym_meta_property] = STATE(740),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(740),
    [sym_new_component_expression] = STATE(740),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1119),
    [sym_this] = ACTIONS(1121),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1121),
    [sym_false] = ACTIONS(1121),
    [sym_null] = ACTIONS(1121),
    [sym_undefined] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [166] = {
    [sym_import] = STATE(734),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(734),
    [sym_yield_expression] = STATE(734),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(734),
    [sym_jsx_fragment] = STATE(734),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(734),
    [sym_class] = STATE(734),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(734),
    [sym_arrow_function] = STATE(734),
    [sym_call_expression] = STATE(734),
    [sym_new_expression] = STATE(734),
    [sym_await_expression] = STATE(734),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(734),
    [sym_augmented_assignment_expression] = STATE(734),
    [sym_ternary_expression] = STATE(734),
    [sym_binary_expression] = STATE(734),
    [sym_unary_expression] = STATE(734),
    [sym_update_expression] = STATE(734),
    [sym_string] = STATE(734),
    [sym_template_string] = STATE(734),
    [sym_regex] = STATE(734),
    [sym_meta_property] = STATE(734),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(734),
    [sym_new_component_expression] = STATE(734),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1123),
    [sym_this] = ACTIONS(1125),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_undefined] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [167] = {
    [sym_import] = STATE(426),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(426),
    [sym_yield_expression] = STATE(426),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(426),
    [sym_jsx_fragment] = STATE(426),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(426),
    [sym_class] = STATE(426),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(426),
    [sym_arrow_function] = STATE(426),
    [sym_call_expression] = STATE(426),
    [sym_new_expression] = STATE(426),
    [sym_await_expression] = STATE(426),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(426),
    [sym_augmented_assignment_expression] = STATE(426),
    [sym_ternary_expression] = STATE(426),
    [sym_binary_expression] = STATE(426),
    [sym_unary_expression] = STATE(426),
    [sym_update_expression] = STATE(426),
    [sym_string] = STATE(426),
    [sym_template_string] = STATE(426),
    [sym_regex] = STATE(426),
    [sym_meta_property] = STATE(426),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(426),
    [sym_new_component_expression] = STATE(426),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1127),
    [sym_this] = ACTIONS(1129),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [sym_null] = ACTIONS(1129),
    [sym_undefined] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [168] = {
    [sym_import] = STATE(737),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(737),
    [sym_yield_expression] = STATE(737),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(737),
    [sym_jsx_fragment] = STATE(737),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(737),
    [sym_class] = STATE(737),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(737),
    [sym_arrow_function] = STATE(737),
    [sym_call_expression] = STATE(737),
    [sym_new_expression] = STATE(737),
    [sym_await_expression] = STATE(737),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(737),
    [sym_augmented_assignment_expression] = STATE(737),
    [sym_ternary_expression] = STATE(737),
    [sym_binary_expression] = STATE(737),
    [sym_unary_expression] = STATE(737),
    [sym_update_expression] = STATE(737),
    [sym_string] = STATE(737),
    [sym_template_string] = STATE(737),
    [sym_regex] = STATE(737),
    [sym_meta_property] = STATE(737),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(737),
    [sym_new_component_expression] = STATE(737),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1131),
    [sym_this] = ACTIONS(1133),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1133),
    [sym_false] = ACTIONS(1133),
    [sym_null] = ACTIONS(1133),
    [sym_undefined] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [169] = {
    [sym_import] = STATE(665),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(665),
    [sym_yield_expression] = STATE(665),
    [sym_object] = STATE(867),
    [sym_array] = STATE(860),
    [sym_jsx_element] = STATE(665),
    [sym_jsx_fragment] = STATE(665),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(665),
    [sym_class] = STATE(665),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(665),
    [sym_arrow_function] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym_new_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(665),
    [sym_augmented_assignment_expression] = STATE(665),
    [sym_ternary_expression] = STATE(665),
    [sym_binary_expression] = STATE(665),
    [sym_unary_expression] = STATE(665),
    [sym_update_expression] = STATE(665),
    [sym_string] = STATE(665),
    [sym_template_string] = STATE(665),
    [sym_regex] = STATE(665),
    [sym_meta_property] = STATE(665),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(665),
    [sym_new_component_expression] = STATE(665),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(1135),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1137),
    [sym_this] = ACTIONS(1139),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [sym_null] = ACTIONS(1139),
    [sym_undefined] = ACTIONS(1139),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [170] = {
    [sym_import] = STATE(651),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(651),
    [sym_yield_expression] = STATE(651),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(651),
    [sym_jsx_fragment] = STATE(651),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(651),
    [sym_class] = STATE(651),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(651),
    [sym_arrow_function] = STATE(651),
    [sym_call_expression] = STATE(651),
    [sym_new_expression] = STATE(651),
    [sym_await_expression] = STATE(651),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(651),
    [sym_augmented_assignment_expression] = STATE(651),
    [sym_ternary_expression] = STATE(651),
    [sym_binary_expression] = STATE(651),
    [sym_unary_expression] = STATE(651),
    [sym_update_expression] = STATE(651),
    [sym_string] = STATE(651),
    [sym_template_string] = STATE(651),
    [sym_regex] = STATE(651),
    [sym_meta_property] = STATE(651),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(651),
    [sym_new_component_expression] = STATE(651),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1141),
    [sym_this] = ACTIONS(1143),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_undefined] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [171] = {
    [sym_import] = STATE(543),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(543),
    [sym_yield_expression] = STATE(543),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(543),
    [sym_jsx_fragment] = STATE(543),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(543),
    [sym_class] = STATE(543),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(543),
    [sym_arrow_function] = STATE(543),
    [sym_call_expression] = STATE(543),
    [sym_new_expression] = STATE(543),
    [sym_await_expression] = STATE(543),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(543),
    [sym_augmented_assignment_expression] = STATE(543),
    [sym_ternary_expression] = STATE(543),
    [sym_binary_expression] = STATE(543),
    [sym_unary_expression] = STATE(543),
    [sym_update_expression] = STATE(543),
    [sym_string] = STATE(543),
    [sym_template_string] = STATE(543),
    [sym_regex] = STATE(543),
    [sym_meta_property] = STATE(543),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(543),
    [sym_new_component_expression] = STATE(543),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1145),
    [sym_this] = ACTIONS(1147),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [sym_null] = ACTIONS(1147),
    [sym_undefined] = ACTIONS(1147),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [172] = {
    [sym_import] = STATE(866),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(866),
    [sym_yield_expression] = STATE(866),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(866),
    [sym_jsx_fragment] = STATE(866),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(866),
    [sym_class] = STATE(866),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(866),
    [sym_arrow_function] = STATE(866),
    [sym_call_expression] = STATE(866),
    [sym_new_expression] = STATE(866),
    [sym_await_expression] = STATE(866),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(866),
    [sym_augmented_assignment_expression] = STATE(866),
    [sym_ternary_expression] = STATE(866),
    [sym_binary_expression] = STATE(866),
    [sym_unary_expression] = STATE(866),
    [sym_update_expression] = STATE(866),
    [sym_string] = STATE(866),
    [sym_template_string] = STATE(866),
    [sym_regex] = STATE(866),
    [sym_meta_property] = STATE(866),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(866),
    [sym_new_component_expression] = STATE(866),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [173] = {
    [sym_import] = STATE(862),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(862),
    [sym_yield_expression] = STATE(862),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(862),
    [sym_jsx_fragment] = STATE(862),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(862),
    [sym_class] = STATE(862),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(862),
    [sym_arrow_function] = STATE(862),
    [sym_call_expression] = STATE(862),
    [sym_new_expression] = STATE(862),
    [sym_await_expression] = STATE(862),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(862),
    [sym_augmented_assignment_expression] = STATE(862),
    [sym_ternary_expression] = STATE(862),
    [sym_binary_expression] = STATE(862),
    [sym_unary_expression] = STATE(862),
    [sym_update_expression] = STATE(862),
    [sym_string] = STATE(862),
    [sym_template_string] = STATE(862),
    [sym_regex] = STATE(862),
    [sym_meta_property] = STATE(862),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(862),
    [sym_new_component_expression] = STATE(862),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1153),
    [sym_this] = ACTIONS(1155),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [sym_null] = ACTIONS(1155),
    [sym_undefined] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [174] = {
    [sym_import] = STATE(846),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(846),
    [sym_yield_expression] = STATE(846),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(846),
    [sym_jsx_fragment] = STATE(846),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(846),
    [sym_class] = STATE(846),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(846),
    [sym_arrow_function] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_new_expression] = STATE(846),
    [sym_await_expression] = STATE(846),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(846),
    [sym_augmented_assignment_expression] = STATE(846),
    [sym_ternary_expression] = STATE(846),
    [sym_binary_expression] = STATE(846),
    [sym_unary_expression] = STATE(846),
    [sym_update_expression] = STATE(846),
    [sym_string] = STATE(846),
    [sym_template_string] = STATE(846),
    [sym_regex] = STATE(846),
    [sym_meta_property] = STATE(846),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(846),
    [sym_new_component_expression] = STATE(846),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1157),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [175] = {
    [sym_import] = STATE(590),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(590),
    [sym_yield_expression] = STATE(590),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(590),
    [sym_jsx_fragment] = STATE(590),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(590),
    [sym_class] = STATE(590),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(590),
    [sym_arrow_function] = STATE(590),
    [sym_call_expression] = STATE(590),
    [sym_new_expression] = STATE(590),
    [sym_await_expression] = STATE(590),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(590),
    [sym_augmented_assignment_expression] = STATE(590),
    [sym_ternary_expression] = STATE(590),
    [sym_binary_expression] = STATE(590),
    [sym_unary_expression] = STATE(590),
    [sym_update_expression] = STATE(590),
    [sym_string] = STATE(590),
    [sym_template_string] = STATE(590),
    [sym_regex] = STATE(590),
    [sym_meta_property] = STATE(590),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(590),
    [sym_new_component_expression] = STATE(590),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1161),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_undefined] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [176] = {
    [sym_import] = STATE(662),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(662),
    [sym_yield_expression] = STATE(662),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(662),
    [sym_jsx_fragment] = STATE(662),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(662),
    [sym_class] = STATE(662),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(662),
    [sym_arrow_function] = STATE(662),
    [sym_call_expression] = STATE(662),
    [sym_new_expression] = STATE(662),
    [sym_await_expression] = STATE(662),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(662),
    [sym_augmented_assignment_expression] = STATE(662),
    [sym_ternary_expression] = STATE(662),
    [sym_binary_expression] = STATE(662),
    [sym_unary_expression] = STATE(662),
    [sym_update_expression] = STATE(662),
    [sym_string] = STATE(662),
    [sym_template_string] = STATE(662),
    [sym_regex] = STATE(662),
    [sym_meta_property] = STATE(662),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(662),
    [sym_new_component_expression] = STATE(662),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1165),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_null] = ACTIONS(1167),
    [sym_undefined] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [177] = {
    [sym_import] = STATE(647),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(647),
    [sym_yield_expression] = STATE(647),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(647),
    [sym_jsx_fragment] = STATE(647),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(647),
    [sym_class] = STATE(647),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(647),
    [sym_arrow_function] = STATE(647),
    [sym_call_expression] = STATE(647),
    [sym_new_expression] = STATE(647),
    [sym_await_expression] = STATE(647),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(647),
    [sym_augmented_assignment_expression] = STATE(647),
    [sym_ternary_expression] = STATE(647),
    [sym_binary_expression] = STATE(647),
    [sym_unary_expression] = STATE(647),
    [sym_update_expression] = STATE(647),
    [sym_string] = STATE(647),
    [sym_template_string] = STATE(647),
    [sym_regex] = STATE(647),
    [sym_meta_property] = STATE(647),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(647),
    [sym_new_component_expression] = STATE(647),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1169),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [sym_null] = ACTIONS(1171),
    [sym_undefined] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [178] = {
    [sym_import] = STATE(656),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(656),
    [sym_yield_expression] = STATE(656),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(656),
    [sym_jsx_fragment] = STATE(656),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(656),
    [sym_class] = STATE(656),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(656),
    [sym_arrow_function] = STATE(656),
    [sym_call_expression] = STATE(656),
    [sym_new_expression] = STATE(656),
    [sym_await_expression] = STATE(656),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(656),
    [sym_augmented_assignment_expression] = STATE(656),
    [sym_ternary_expression] = STATE(656),
    [sym_binary_expression] = STATE(656),
    [sym_unary_expression] = STATE(656),
    [sym_update_expression] = STATE(656),
    [sym_string] = STATE(656),
    [sym_template_string] = STATE(656),
    [sym_regex] = STATE(656),
    [sym_meta_property] = STATE(656),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(656),
    [sym_new_component_expression] = STATE(656),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1173),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [sym_null] = ACTIONS(1175),
    [sym_undefined] = ACTIONS(1175),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [179] = {
    [sym_import] = STATE(645),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(645),
    [sym_yield_expression] = STATE(645),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(645),
    [sym_jsx_fragment] = STATE(645),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(645),
    [sym_class] = STATE(645),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(645),
    [sym_arrow_function] = STATE(645),
    [sym_call_expression] = STATE(645),
    [sym_new_expression] = STATE(645),
    [sym_await_expression] = STATE(645),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(645),
    [sym_augmented_assignment_expression] = STATE(645),
    [sym_ternary_expression] = STATE(645),
    [sym_binary_expression] = STATE(645),
    [sym_unary_expression] = STATE(645),
    [sym_update_expression] = STATE(645),
    [sym_string] = STATE(645),
    [sym_template_string] = STATE(645),
    [sym_regex] = STATE(645),
    [sym_meta_property] = STATE(645),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(645),
    [sym_new_component_expression] = STATE(645),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1177),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_null] = ACTIONS(1179),
    [sym_undefined] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [180] = {
    [sym_import] = STATE(533),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(533),
    [sym_yield_expression] = STATE(533),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(533),
    [sym_jsx_fragment] = STATE(533),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(533),
    [sym_class] = STATE(533),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(533),
    [sym_arrow_function] = STATE(533),
    [sym_call_expression] = STATE(533),
    [sym_new_expression] = STATE(533),
    [sym_await_expression] = STATE(533),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(533),
    [sym_augmented_assignment_expression] = STATE(533),
    [sym_ternary_expression] = STATE(533),
    [sym_binary_expression] = STATE(533),
    [sym_unary_expression] = STATE(533),
    [sym_update_expression] = STATE(533),
    [sym_string] = STATE(533),
    [sym_template_string] = STATE(533),
    [sym_regex] = STATE(533),
    [sym_meta_property] = STATE(533),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(533),
    [sym_new_component_expression] = STATE(533),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1181),
    [sym_this] = ACTIONS(1183),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_null] = ACTIONS(1183),
    [sym_undefined] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [181] = {
    [sym_import] = STATE(842),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(842),
    [sym_yield_expression] = STATE(842),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(842),
    [sym_jsx_fragment] = STATE(842),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(842),
    [sym_class] = STATE(842),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(842),
    [sym_arrow_function] = STATE(842),
    [sym_call_expression] = STATE(842),
    [sym_new_expression] = STATE(842),
    [sym_await_expression] = STATE(842),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(842),
    [sym_augmented_assignment_expression] = STATE(842),
    [sym_ternary_expression] = STATE(842),
    [sym_binary_expression] = STATE(842),
    [sym_unary_expression] = STATE(842),
    [sym_update_expression] = STATE(842),
    [sym_string] = STATE(842),
    [sym_template_string] = STATE(842),
    [sym_regex] = STATE(842),
    [sym_meta_property] = STATE(842),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(842),
    [sym_new_component_expression] = STATE(842),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1185),
    [sym_this] = ACTIONS(1187),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_null] = ACTIONS(1187),
    [sym_undefined] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [182] = {
    [sym_import] = STATE(547),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(547),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(547),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(547),
    [sym_arrow_function] = STATE(547),
    [sym_call_expression] = STATE(547),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(547),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(547),
    [sym_template_string] = STATE(547),
    [sym_regex] = STATE(547),
    [sym_meta_property] = STATE(547),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(547),
    [sym_new_component_expression] = STATE(547),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1189),
    [sym_this] = ACTIONS(1191),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_undefined] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [183] = {
    [sym_import] = STATE(861),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(861),
    [sym_yield_expression] = STATE(861),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(861),
    [sym_jsx_fragment] = STATE(861),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(861),
    [sym_class] = STATE(861),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(861),
    [sym_arrow_function] = STATE(861),
    [sym_call_expression] = STATE(861),
    [sym_new_expression] = STATE(861),
    [sym_await_expression] = STATE(861),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(861),
    [sym_augmented_assignment_expression] = STATE(861),
    [sym_ternary_expression] = STATE(861),
    [sym_binary_expression] = STATE(861),
    [sym_unary_expression] = STATE(861),
    [sym_update_expression] = STATE(861),
    [sym_string] = STATE(861),
    [sym_template_string] = STATE(861),
    [sym_regex] = STATE(861),
    [sym_meta_property] = STATE(861),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(861),
    [sym_new_component_expression] = STATE(861),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1193),
    [sym_this] = ACTIONS(1195),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [sym_null] = ACTIONS(1195),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [184] = {
    [sym_import] = STATE(868),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(868),
    [sym_yield_expression] = STATE(868),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(868),
    [sym_jsx_fragment] = STATE(868),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(868),
    [sym_class] = STATE(868),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(868),
    [sym_arrow_function] = STATE(868),
    [sym_call_expression] = STATE(868),
    [sym_new_expression] = STATE(868),
    [sym_await_expression] = STATE(868),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(868),
    [sym_augmented_assignment_expression] = STATE(868),
    [sym_ternary_expression] = STATE(868),
    [sym_binary_expression] = STATE(868),
    [sym_unary_expression] = STATE(868),
    [sym_update_expression] = STATE(868),
    [sym_string] = STATE(868),
    [sym_template_string] = STATE(868),
    [sym_regex] = STATE(868),
    [sym_meta_property] = STATE(868),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(868),
    [sym_new_component_expression] = STATE(868),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1197),
    [sym_this] = ACTIONS(1199),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [sym_null] = ACTIONS(1199),
    [sym_undefined] = ACTIONS(1199),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [185] = {
    [sym_import] = STATE(611),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(611),
    [sym_yield_expression] = STATE(611),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(611),
    [sym_jsx_fragment] = STATE(611),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(611),
    [sym_class] = STATE(611),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(611),
    [sym_arrow_function] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_new_expression] = STATE(611),
    [sym_await_expression] = STATE(611),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(611),
    [sym_augmented_assignment_expression] = STATE(611),
    [sym_ternary_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_unary_expression] = STATE(611),
    [sym_update_expression] = STATE(611),
    [sym_string] = STATE(611),
    [sym_template_string] = STATE(611),
    [sym_regex] = STATE(611),
    [sym_meta_property] = STATE(611),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(611),
    [sym_new_component_expression] = STATE(611),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1201),
    [sym_this] = ACTIONS(1203),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [sym_null] = ACTIONS(1203),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [186] = {
    [sym_import] = STATE(827),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(827),
    [sym_yield_expression] = STATE(827),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(827),
    [sym_jsx_fragment] = STATE(827),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(827),
    [sym_class] = STATE(827),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(827),
    [sym_arrow_function] = STATE(827),
    [sym_call_expression] = STATE(827),
    [sym_new_expression] = STATE(827),
    [sym_await_expression] = STATE(827),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(827),
    [sym_augmented_assignment_expression] = STATE(827),
    [sym_ternary_expression] = STATE(827),
    [sym_binary_expression] = STATE(827),
    [sym_unary_expression] = STATE(827),
    [sym_update_expression] = STATE(827),
    [sym_string] = STATE(827),
    [sym_template_string] = STATE(827),
    [sym_regex] = STATE(827),
    [sym_meta_property] = STATE(827),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(827),
    [sym_new_component_expression] = STATE(827),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1205),
    [sym_this] = ACTIONS(1207),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_undefined] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [187] = {
    [sym_import] = STATE(546),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(546),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_fragment] = STATE(546),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(546),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(546),
    [sym_arrow_function] = STATE(546),
    [sym_call_expression] = STATE(546),
    [sym_new_expression] = STATE(546),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(546),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(546),
    [sym_template_string] = STATE(546),
    [sym_regex] = STATE(546),
    [sym_meta_property] = STATE(546),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(546),
    [sym_new_component_expression] = STATE(546),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1209),
    [sym_this] = ACTIONS(1211),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_undefined] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [188] = {
    [sym_import] = STATE(545),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(545),
    [sym_yield_expression] = STATE(545),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(545),
    [sym_jsx_fragment] = STATE(545),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(545),
    [sym_class] = STATE(545),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(545),
    [sym_arrow_function] = STATE(545),
    [sym_call_expression] = STATE(545),
    [sym_new_expression] = STATE(545),
    [sym_await_expression] = STATE(545),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(545),
    [sym_augmented_assignment_expression] = STATE(545),
    [sym_ternary_expression] = STATE(545),
    [sym_binary_expression] = STATE(545),
    [sym_unary_expression] = STATE(545),
    [sym_update_expression] = STATE(545),
    [sym_string] = STATE(545),
    [sym_template_string] = STATE(545),
    [sym_regex] = STATE(545),
    [sym_meta_property] = STATE(545),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(545),
    [sym_new_component_expression] = STATE(545),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1213),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [189] = {
    [sym_import] = STATE(544),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(544),
    [sym_yield_expression] = STATE(544),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(544),
    [sym_jsx_fragment] = STATE(544),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(544),
    [sym_class] = STATE(544),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(544),
    [sym_await_expression] = STATE(544),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(544),
    [sym_augmented_assignment_expression] = STATE(544),
    [sym_ternary_expression] = STATE(544),
    [sym_binary_expression] = STATE(544),
    [sym_unary_expression] = STATE(544),
    [sym_update_expression] = STATE(544),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(544),
    [sym_new_component_expression] = STATE(544),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1217),
    [sym_this] = ACTIONS(1219),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [sym_null] = ACTIONS(1219),
    [sym_undefined] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [190] = {
    [sym_import] = STATE(542),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(542),
    [sym_yield_expression] = STATE(542),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(542),
    [sym_jsx_fragment] = STATE(542),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(542),
    [sym_class] = STATE(542),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(542),
    [sym_arrow_function] = STATE(542),
    [sym_call_expression] = STATE(542),
    [sym_new_expression] = STATE(542),
    [sym_await_expression] = STATE(542),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(542),
    [sym_augmented_assignment_expression] = STATE(542),
    [sym_ternary_expression] = STATE(542),
    [sym_binary_expression] = STATE(542),
    [sym_unary_expression] = STATE(542),
    [sym_update_expression] = STATE(542),
    [sym_string] = STATE(542),
    [sym_template_string] = STATE(542),
    [sym_regex] = STATE(542),
    [sym_meta_property] = STATE(542),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(542),
    [sym_new_component_expression] = STATE(542),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1221),
    [sym_this] = ACTIONS(1223),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [sym_null] = ACTIONS(1223),
    [sym_undefined] = ACTIONS(1223),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [191] = {
    [sym_import] = STATE(541),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(541),
    [sym_yield_expression] = STATE(541),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(541),
    [sym_jsx_fragment] = STATE(541),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(541),
    [sym_class] = STATE(541),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(541),
    [sym_arrow_function] = STATE(541),
    [sym_call_expression] = STATE(541),
    [sym_new_expression] = STATE(541),
    [sym_await_expression] = STATE(541),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(541),
    [sym_augmented_assignment_expression] = STATE(541),
    [sym_ternary_expression] = STATE(541),
    [sym_binary_expression] = STATE(541),
    [sym_unary_expression] = STATE(541),
    [sym_update_expression] = STATE(541),
    [sym_string] = STATE(541),
    [sym_template_string] = STATE(541),
    [sym_regex] = STATE(541),
    [sym_meta_property] = STATE(541),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(541),
    [sym_new_component_expression] = STATE(541),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1225),
    [sym_this] = ACTIONS(1227),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [sym_null] = ACTIONS(1227),
    [sym_undefined] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [192] = {
    [sym_import] = STATE(435),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(435),
    [sym_yield_expression] = STATE(435),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(435),
    [sym_jsx_fragment] = STATE(435),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(435),
    [sym_class] = STATE(435),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(435),
    [sym_arrow_function] = STATE(435),
    [sym_call_expression] = STATE(435),
    [sym_new_expression] = STATE(435),
    [sym_await_expression] = STATE(435),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(435),
    [sym_augmented_assignment_expression] = STATE(435),
    [sym_ternary_expression] = STATE(435),
    [sym_binary_expression] = STATE(435),
    [sym_unary_expression] = STATE(435),
    [sym_update_expression] = STATE(435),
    [sym_string] = STATE(435),
    [sym_template_string] = STATE(435),
    [sym_regex] = STATE(435),
    [sym_meta_property] = STATE(435),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(435),
    [sym_new_component_expression] = STATE(435),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1229),
    [sym_this] = ACTIONS(1231),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [sym_null] = ACTIONS(1231),
    [sym_undefined] = ACTIONS(1231),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [193] = {
    [sym_import] = STATE(610),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(610),
    [sym_yield_expression] = STATE(610),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(610),
    [sym_jsx_fragment] = STATE(610),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(610),
    [sym_class] = STATE(610),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(610),
    [sym_arrow_function] = STATE(610),
    [sym_call_expression] = STATE(610),
    [sym_new_expression] = STATE(610),
    [sym_await_expression] = STATE(610),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(610),
    [sym_augmented_assignment_expression] = STATE(610),
    [sym_ternary_expression] = STATE(610),
    [sym_binary_expression] = STATE(610),
    [sym_unary_expression] = STATE(610),
    [sym_update_expression] = STATE(610),
    [sym_string] = STATE(610),
    [sym_template_string] = STATE(610),
    [sym_regex] = STATE(610),
    [sym_meta_property] = STATE(610),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(610),
    [sym_new_component_expression] = STATE(610),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1233),
    [sym_this] = ACTIONS(1235),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [sym_null] = ACTIONS(1235),
    [sym_undefined] = ACTIONS(1235),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [194] = {
    [sym_import] = STATE(606),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(606),
    [sym_yield_expression] = STATE(606),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(606),
    [sym_jsx_fragment] = STATE(606),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(606),
    [sym_class] = STATE(606),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(606),
    [sym_arrow_function] = STATE(606),
    [sym_call_expression] = STATE(606),
    [sym_new_expression] = STATE(606),
    [sym_await_expression] = STATE(606),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(606),
    [sym_augmented_assignment_expression] = STATE(606),
    [sym_ternary_expression] = STATE(606),
    [sym_binary_expression] = STATE(606),
    [sym_unary_expression] = STATE(606),
    [sym_update_expression] = STATE(606),
    [sym_string] = STATE(606),
    [sym_template_string] = STATE(606),
    [sym_regex] = STATE(606),
    [sym_meta_property] = STATE(606),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(606),
    [sym_new_component_expression] = STATE(606),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1237),
    [sym_this] = ACTIONS(1239),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [sym_null] = ACTIONS(1239),
    [sym_undefined] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [195] = {
    [sym_import] = STATE(644),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(644),
    [sym_yield_expression] = STATE(644),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(644),
    [sym_jsx_fragment] = STATE(644),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(644),
    [sym_class] = STATE(644),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(644),
    [sym_arrow_function] = STATE(644),
    [sym_call_expression] = STATE(644),
    [sym_new_expression] = STATE(644),
    [sym_await_expression] = STATE(644),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(644),
    [sym_augmented_assignment_expression] = STATE(644),
    [sym_ternary_expression] = STATE(644),
    [sym_binary_expression] = STATE(644),
    [sym_unary_expression] = STATE(644),
    [sym_update_expression] = STATE(644),
    [sym_string] = STATE(644),
    [sym_template_string] = STATE(644),
    [sym_regex] = STATE(644),
    [sym_meta_property] = STATE(644),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(644),
    [sym_new_component_expression] = STATE(644),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1241),
    [sym_this] = ACTIONS(1243),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_null] = ACTIONS(1243),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [196] = {
    [sym_import] = STATE(643),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(643),
    [sym_yield_expression] = STATE(643),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(643),
    [sym_jsx_fragment] = STATE(643),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(643),
    [sym_class] = STATE(643),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(643),
    [sym_arrow_function] = STATE(643),
    [sym_call_expression] = STATE(643),
    [sym_new_expression] = STATE(643),
    [sym_await_expression] = STATE(643),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(643),
    [sym_augmented_assignment_expression] = STATE(643),
    [sym_ternary_expression] = STATE(643),
    [sym_binary_expression] = STATE(643),
    [sym_unary_expression] = STATE(643),
    [sym_update_expression] = STATE(643),
    [sym_string] = STATE(643),
    [sym_template_string] = STATE(643),
    [sym_regex] = STATE(643),
    [sym_meta_property] = STATE(643),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(643),
    [sym_new_component_expression] = STATE(643),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1245),
    [sym_this] = ACTIONS(1247),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_null] = ACTIONS(1247),
    [sym_undefined] = ACTIONS(1247),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [197] = {
    [sym_import] = STATE(864),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(864),
    [sym_yield_expression] = STATE(864),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(864),
    [sym_jsx_fragment] = STATE(864),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(864),
    [sym_class] = STATE(864),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(864),
    [sym_arrow_function] = STATE(864),
    [sym_call_expression] = STATE(864),
    [sym_new_expression] = STATE(864),
    [sym_await_expression] = STATE(864),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(864),
    [sym_augmented_assignment_expression] = STATE(864),
    [sym_ternary_expression] = STATE(864),
    [sym_binary_expression] = STATE(864),
    [sym_unary_expression] = STATE(864),
    [sym_update_expression] = STATE(864),
    [sym_string] = STATE(864),
    [sym_template_string] = STATE(864),
    [sym_regex] = STATE(864),
    [sym_meta_property] = STATE(864),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(864),
    [sym_new_component_expression] = STATE(864),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1249),
    [sym_this] = ACTIONS(1251),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [sym_null] = ACTIONS(1251),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [198] = {
    [sym_import] = STATE(640),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(640),
    [sym_yield_expression] = STATE(640),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(640),
    [sym_jsx_fragment] = STATE(640),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(640),
    [sym_class] = STATE(640),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(640),
    [sym_arrow_function] = STATE(640),
    [sym_call_expression] = STATE(640),
    [sym_new_expression] = STATE(640),
    [sym_await_expression] = STATE(640),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(640),
    [sym_augmented_assignment_expression] = STATE(640),
    [sym_ternary_expression] = STATE(640),
    [sym_binary_expression] = STATE(640),
    [sym_unary_expression] = STATE(640),
    [sym_update_expression] = STATE(640),
    [sym_string] = STATE(640),
    [sym_template_string] = STATE(640),
    [sym_regex] = STATE(640),
    [sym_meta_property] = STATE(640),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(640),
    [sym_new_component_expression] = STATE(640),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1253),
    [sym_this] = ACTIONS(1255),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [sym_null] = ACTIONS(1255),
    [sym_undefined] = ACTIONS(1255),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [199] = {
    [sym_import] = STATE(637),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(637),
    [sym_yield_expression] = STATE(637),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(637),
    [sym_jsx_fragment] = STATE(637),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(637),
    [sym_class] = STATE(637),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(637),
    [sym_arrow_function] = STATE(637),
    [sym_call_expression] = STATE(637),
    [sym_new_expression] = STATE(637),
    [sym_await_expression] = STATE(637),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(637),
    [sym_augmented_assignment_expression] = STATE(637),
    [sym_ternary_expression] = STATE(637),
    [sym_binary_expression] = STATE(637),
    [sym_unary_expression] = STATE(637),
    [sym_update_expression] = STATE(637),
    [sym_string] = STATE(637),
    [sym_template_string] = STATE(637),
    [sym_regex] = STATE(637),
    [sym_meta_property] = STATE(637),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(637),
    [sym_new_component_expression] = STATE(637),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1257),
    [sym_this] = ACTIONS(1259),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [sym_null] = ACTIONS(1259),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [200] = {
    [sym_import] = STATE(634),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(634),
    [sym_yield_expression] = STATE(634),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(634),
    [sym_jsx_fragment] = STATE(634),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(634),
    [sym_class] = STATE(634),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(634),
    [sym_arrow_function] = STATE(634),
    [sym_call_expression] = STATE(634),
    [sym_new_expression] = STATE(634),
    [sym_await_expression] = STATE(634),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(634),
    [sym_augmented_assignment_expression] = STATE(634),
    [sym_ternary_expression] = STATE(634),
    [sym_binary_expression] = STATE(634),
    [sym_unary_expression] = STATE(634),
    [sym_update_expression] = STATE(634),
    [sym_string] = STATE(634),
    [sym_template_string] = STATE(634),
    [sym_regex] = STATE(634),
    [sym_meta_property] = STATE(634),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(634),
    [sym_new_component_expression] = STATE(634),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1261),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_undefined] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [201] = {
    [sym_import] = STATE(613),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(613),
    [sym_yield_expression] = STATE(613),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(613),
    [sym_jsx_fragment] = STATE(613),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(613),
    [sym_class] = STATE(613),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(613),
    [sym_arrow_function] = STATE(613),
    [sym_call_expression] = STATE(613),
    [sym_new_expression] = STATE(613),
    [sym_await_expression] = STATE(613),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(613),
    [sym_augmented_assignment_expression] = STATE(613),
    [sym_ternary_expression] = STATE(613),
    [sym_binary_expression] = STATE(613),
    [sym_unary_expression] = STATE(613),
    [sym_update_expression] = STATE(613),
    [sym_string] = STATE(613),
    [sym_template_string] = STATE(613),
    [sym_regex] = STATE(613),
    [sym_meta_property] = STATE(613),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(613),
    [sym_new_component_expression] = STATE(613),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1265),
    [sym_this] = ACTIONS(1267),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [sym_null] = ACTIONS(1267),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [202] = {
    [sym_import] = STATE(826),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(826),
    [sym_yield_expression] = STATE(826),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(826),
    [sym_jsx_fragment] = STATE(826),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(826),
    [sym_class] = STATE(826),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(826),
    [sym_arrow_function] = STATE(826),
    [sym_call_expression] = STATE(826),
    [sym_new_expression] = STATE(826),
    [sym_await_expression] = STATE(826),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(826),
    [sym_augmented_assignment_expression] = STATE(826),
    [sym_ternary_expression] = STATE(826),
    [sym_binary_expression] = STATE(826),
    [sym_unary_expression] = STATE(826),
    [sym_update_expression] = STATE(826),
    [sym_string] = STATE(826),
    [sym_template_string] = STATE(826),
    [sym_regex] = STATE(826),
    [sym_meta_property] = STATE(826),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(826),
    [sym_new_component_expression] = STATE(826),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1269),
    [sym_this] = ACTIONS(1271),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [sym_undefined] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [203] = {
    [sym_import] = STATE(629),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(629),
    [sym_yield_expression] = STATE(629),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(629),
    [sym_jsx_fragment] = STATE(629),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(629),
    [sym_class] = STATE(629),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(629),
    [sym_arrow_function] = STATE(629),
    [sym_call_expression] = STATE(629),
    [sym_new_expression] = STATE(629),
    [sym_await_expression] = STATE(629),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(629),
    [sym_augmented_assignment_expression] = STATE(629),
    [sym_ternary_expression] = STATE(629),
    [sym_binary_expression] = STATE(629),
    [sym_unary_expression] = STATE(629),
    [sym_update_expression] = STATE(629),
    [sym_string] = STATE(629),
    [sym_template_string] = STATE(629),
    [sym_regex] = STATE(629),
    [sym_meta_property] = STATE(629),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(629),
    [sym_new_component_expression] = STATE(629),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1273),
    [sym_this] = ACTIONS(1275),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [sym_null] = ACTIONS(1275),
    [sym_undefined] = ACTIONS(1275),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [204] = {
    [sym_import] = STATE(620),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(620),
    [sym_yield_expression] = STATE(620),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(620),
    [sym_jsx_fragment] = STATE(620),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(620),
    [sym_class] = STATE(620),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(620),
    [sym_arrow_function] = STATE(620),
    [sym_call_expression] = STATE(620),
    [sym_new_expression] = STATE(620),
    [sym_await_expression] = STATE(620),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(620),
    [sym_augmented_assignment_expression] = STATE(620),
    [sym_ternary_expression] = STATE(620),
    [sym_binary_expression] = STATE(620),
    [sym_unary_expression] = STATE(620),
    [sym_update_expression] = STATE(620),
    [sym_string] = STATE(620),
    [sym_template_string] = STATE(620),
    [sym_regex] = STATE(620),
    [sym_meta_property] = STATE(620),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(620),
    [sym_new_component_expression] = STATE(620),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1277),
    [sym_this] = ACTIONS(1279),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [sym_null] = ACTIONS(1279),
    [sym_undefined] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [205] = {
    [sym_import] = STATE(598),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(598),
    [sym_yield_expression] = STATE(598),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(598),
    [sym_jsx_fragment] = STATE(598),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(598),
    [sym_class] = STATE(598),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(598),
    [sym_arrow_function] = STATE(598),
    [sym_call_expression] = STATE(598),
    [sym_new_expression] = STATE(598),
    [sym_await_expression] = STATE(598),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(598),
    [sym_augmented_assignment_expression] = STATE(598),
    [sym_ternary_expression] = STATE(598),
    [sym_binary_expression] = STATE(598),
    [sym_unary_expression] = STATE(598),
    [sym_update_expression] = STATE(598),
    [sym_string] = STATE(598),
    [sym_template_string] = STATE(598),
    [sym_regex] = STATE(598),
    [sym_meta_property] = STATE(598),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(598),
    [sym_new_component_expression] = STATE(598),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1281),
    [sym_this] = ACTIONS(1283),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [sym_null] = ACTIONS(1283),
    [sym_undefined] = ACTIONS(1283),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [206] = {
    [sym_import] = STATE(573),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(573),
    [sym_yield_expression] = STATE(573),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(573),
    [sym_jsx_fragment] = STATE(573),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(573),
    [sym_class] = STATE(573),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(573),
    [sym_arrow_function] = STATE(573),
    [sym_call_expression] = STATE(573),
    [sym_new_expression] = STATE(573),
    [sym_await_expression] = STATE(573),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(573),
    [sym_augmented_assignment_expression] = STATE(573),
    [sym_ternary_expression] = STATE(573),
    [sym_binary_expression] = STATE(573),
    [sym_unary_expression] = STATE(573),
    [sym_update_expression] = STATE(573),
    [sym_string] = STATE(573),
    [sym_template_string] = STATE(573),
    [sym_regex] = STATE(573),
    [sym_meta_property] = STATE(573),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(573),
    [sym_new_component_expression] = STATE(573),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1285),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_null] = ACTIONS(1287),
    [sym_undefined] = ACTIONS(1287),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [207] = {
    [sym_import] = STATE(569),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(569),
    [sym_yield_expression] = STATE(569),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(569),
    [sym_jsx_fragment] = STATE(569),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(569),
    [sym_class] = STATE(569),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(569),
    [sym_arrow_function] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_new_expression] = STATE(569),
    [sym_await_expression] = STATE(569),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(569),
    [sym_augmented_assignment_expression] = STATE(569),
    [sym_ternary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_update_expression] = STATE(569),
    [sym_string] = STATE(569),
    [sym_template_string] = STATE(569),
    [sym_regex] = STATE(569),
    [sym_meta_property] = STATE(569),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(569),
    [sym_new_component_expression] = STATE(569),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1289),
    [sym_this] = ACTIONS(1291),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [sym_null] = ACTIONS(1291),
    [sym_undefined] = ACTIONS(1291),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [208] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(570),
    [sym_new_component_expression] = STATE(570),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1293),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [sym_null] = ACTIONS(1295),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [209] = {
    [sym_import] = STATE(571),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(571),
    [sym_yield_expression] = STATE(571),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(571),
    [sym_jsx_fragment] = STATE(571),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(571),
    [sym_class] = STATE(571),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(571),
    [sym_arrow_function] = STATE(571),
    [sym_call_expression] = STATE(571),
    [sym_new_expression] = STATE(571),
    [sym_await_expression] = STATE(571),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(571),
    [sym_augmented_assignment_expression] = STATE(571),
    [sym_ternary_expression] = STATE(571),
    [sym_binary_expression] = STATE(571),
    [sym_unary_expression] = STATE(571),
    [sym_update_expression] = STATE(571),
    [sym_string] = STATE(571),
    [sym_template_string] = STATE(571),
    [sym_regex] = STATE(571),
    [sym_meta_property] = STATE(571),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(571),
    [sym_new_component_expression] = STATE(571),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1297),
    [sym_this] = ACTIONS(1299),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [sym_null] = ACTIONS(1299),
    [sym_undefined] = ACTIONS(1299),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [210] = {
    [sym_import] = STATE(572),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(572),
    [sym_yield_expression] = STATE(572),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(572),
    [sym_jsx_fragment] = STATE(572),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(572),
    [sym_class] = STATE(572),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(572),
    [sym_arrow_function] = STATE(572),
    [sym_call_expression] = STATE(572),
    [sym_new_expression] = STATE(572),
    [sym_await_expression] = STATE(572),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(572),
    [sym_augmented_assignment_expression] = STATE(572),
    [sym_ternary_expression] = STATE(572),
    [sym_binary_expression] = STATE(572),
    [sym_unary_expression] = STATE(572),
    [sym_update_expression] = STATE(572),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(572),
    [sym_regex] = STATE(572),
    [sym_meta_property] = STATE(572),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(572),
    [sym_new_component_expression] = STATE(572),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1301),
    [sym_this] = ACTIONS(1303),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [sym_null] = ACTIONS(1303),
    [sym_undefined] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [211] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(574),
    [sym_new_component_expression] = STATE(574),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1305),
    [sym_this] = ACTIONS(1307),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [sym_null] = ACTIONS(1307),
    [sym_undefined] = ACTIONS(1307),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [212] = {
    [sym_import] = STATE(576),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(576),
    [sym_yield_expression] = STATE(576),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(576),
    [sym_jsx_fragment] = STATE(576),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(576),
    [sym_class] = STATE(576),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(576),
    [sym_arrow_function] = STATE(576),
    [sym_call_expression] = STATE(576),
    [sym_new_expression] = STATE(576),
    [sym_await_expression] = STATE(576),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(576),
    [sym_augmented_assignment_expression] = STATE(576),
    [sym_ternary_expression] = STATE(576),
    [sym_binary_expression] = STATE(576),
    [sym_unary_expression] = STATE(576),
    [sym_update_expression] = STATE(576),
    [sym_string] = STATE(576),
    [sym_template_string] = STATE(576),
    [sym_regex] = STATE(576),
    [sym_meta_property] = STATE(576),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(576),
    [sym_new_component_expression] = STATE(576),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1309),
    [sym_this] = ACTIONS(1311),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_undefined] = ACTIONS(1311),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [213] = {
    [sym_import] = STATE(549),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(549),
    [sym_yield_expression] = STATE(549),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(549),
    [sym_jsx_fragment] = STATE(549),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(549),
    [sym_class] = STATE(549),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(549),
    [sym_arrow_function] = STATE(549),
    [sym_call_expression] = STATE(549),
    [sym_new_expression] = STATE(549),
    [sym_await_expression] = STATE(549),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(549),
    [sym_augmented_assignment_expression] = STATE(549),
    [sym_ternary_expression] = STATE(549),
    [sym_binary_expression] = STATE(549),
    [sym_unary_expression] = STATE(549),
    [sym_update_expression] = STATE(549),
    [sym_string] = STATE(549),
    [sym_template_string] = STATE(549),
    [sym_regex] = STATE(549),
    [sym_meta_property] = STATE(549),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(549),
    [sym_new_component_expression] = STATE(549),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1313),
    [sym_this] = ACTIONS(1315),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_undefined] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [214] = {
    [sym_import] = STATE(539),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(539),
    [sym_yield_expression] = STATE(539),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(539),
    [sym_jsx_fragment] = STATE(539),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(539),
    [sym_class] = STATE(539),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(539),
    [sym_arrow_function] = STATE(539),
    [sym_call_expression] = STATE(539),
    [sym_new_expression] = STATE(539),
    [sym_await_expression] = STATE(539),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(539),
    [sym_augmented_assignment_expression] = STATE(539),
    [sym_ternary_expression] = STATE(539),
    [sym_binary_expression] = STATE(539),
    [sym_unary_expression] = STATE(539),
    [sym_update_expression] = STATE(539),
    [sym_string] = STATE(539),
    [sym_template_string] = STATE(539),
    [sym_regex] = STATE(539),
    [sym_meta_property] = STATE(539),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(539),
    [sym_new_component_expression] = STATE(539),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1317),
    [sym_this] = ACTIONS(1319),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [sym_null] = ACTIONS(1319),
    [sym_undefined] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [215] = {
    [sym_import] = STATE(577),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(577),
    [sym_yield_expression] = STATE(577),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(577),
    [sym_jsx_fragment] = STATE(577),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(577),
    [sym_class] = STATE(577),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(577),
    [sym_arrow_function] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_new_expression] = STATE(577),
    [sym_await_expression] = STATE(577),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(577),
    [sym_augmented_assignment_expression] = STATE(577),
    [sym_ternary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_update_expression] = STATE(577),
    [sym_string] = STATE(577),
    [sym_template_string] = STATE(577),
    [sym_regex] = STATE(577),
    [sym_meta_property] = STATE(577),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(577),
    [sym_new_component_expression] = STATE(577),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1321),
    [sym_this] = ACTIONS(1323),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [216] = {
    [sym_import] = STATE(424),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(424),
    [sym_yield_expression] = STATE(424),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(424),
    [sym_jsx_fragment] = STATE(424),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(424),
    [sym_class] = STATE(424),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(424),
    [sym_arrow_function] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_new_expression] = STATE(424),
    [sym_await_expression] = STATE(424),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(424),
    [sym_augmented_assignment_expression] = STATE(424),
    [sym_ternary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_string] = STATE(424),
    [sym_template_string] = STATE(424),
    [sym_regex] = STATE(424),
    [sym_meta_property] = STATE(424),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(424),
    [sym_new_component_expression] = STATE(424),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1095),
    [sym_this] = ACTIONS(1097),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1097),
    [sym_false] = ACTIONS(1097),
    [sym_null] = ACTIONS(1097),
    [sym_undefined] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [217] = {
    [sym_import] = STATE(427),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(427),
    [sym_yield_expression] = STATE(427),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(427),
    [sym_jsx_fragment] = STATE(427),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(427),
    [sym_class] = STATE(427),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(427),
    [sym_arrow_function] = STATE(427),
    [sym_call_expression] = STATE(427),
    [sym_new_expression] = STATE(427),
    [sym_await_expression] = STATE(427),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(427),
    [sym_augmented_assignment_expression] = STATE(427),
    [sym_ternary_expression] = STATE(427),
    [sym_binary_expression] = STATE(427),
    [sym_unary_expression] = STATE(427),
    [sym_update_expression] = STATE(427),
    [sym_string] = STATE(427),
    [sym_template_string] = STATE(427),
    [sym_regex] = STATE(427),
    [sym_meta_property] = STATE(427),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(427),
    [sym_new_component_expression] = STATE(427),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1099),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [218] = {
    [sym_import] = STATE(429),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(429),
    [sym_yield_expression] = STATE(429),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(429),
    [sym_jsx_fragment] = STATE(429),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(429),
    [sym_class] = STATE(429),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(429),
    [sym_arrow_function] = STATE(429),
    [sym_call_expression] = STATE(429),
    [sym_new_expression] = STATE(429),
    [sym_await_expression] = STATE(429),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(429),
    [sym_augmented_assignment_expression] = STATE(429),
    [sym_ternary_expression] = STATE(429),
    [sym_binary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_string] = STATE(429),
    [sym_template_string] = STATE(429),
    [sym_regex] = STATE(429),
    [sym_meta_property] = STATE(429),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(429),
    [sym_new_component_expression] = STATE(429),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1103),
    [sym_this] = ACTIONS(1105),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1105),
    [sym_false] = ACTIONS(1105),
    [sym_null] = ACTIONS(1105),
    [sym_undefined] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [219] = {
    [sym_import] = STATE(430),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(430),
    [sym_yield_expression] = STATE(430),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(430),
    [sym_jsx_fragment] = STATE(430),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(430),
    [sym_class] = STATE(430),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(430),
    [sym_arrow_function] = STATE(430),
    [sym_call_expression] = STATE(430),
    [sym_new_expression] = STATE(430),
    [sym_await_expression] = STATE(430),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(430),
    [sym_augmented_assignment_expression] = STATE(430),
    [sym_ternary_expression] = STATE(430),
    [sym_binary_expression] = STATE(430),
    [sym_unary_expression] = STATE(430),
    [sym_update_expression] = STATE(430),
    [sym_string] = STATE(430),
    [sym_template_string] = STATE(430),
    [sym_regex] = STATE(430),
    [sym_meta_property] = STATE(430),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(430),
    [sym_new_component_expression] = STATE(430),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1107),
    [sym_this] = ACTIONS(1109),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [sym_null] = ACTIONS(1109),
    [sym_undefined] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [220] = {
    [sym_import] = STATE(582),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(582),
    [sym_yield_expression] = STATE(582),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(582),
    [sym_jsx_fragment] = STATE(582),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(582),
    [sym_class] = STATE(582),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(582),
    [sym_arrow_function] = STATE(582),
    [sym_call_expression] = STATE(582),
    [sym_new_expression] = STATE(582),
    [sym_await_expression] = STATE(582),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(582),
    [sym_augmented_assignment_expression] = STATE(582),
    [sym_ternary_expression] = STATE(582),
    [sym_binary_expression] = STATE(582),
    [sym_unary_expression] = STATE(582),
    [sym_update_expression] = STATE(582),
    [sym_string] = STATE(582),
    [sym_template_string] = STATE(582),
    [sym_regex] = STATE(582),
    [sym_meta_property] = STATE(582),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(582),
    [sym_new_component_expression] = STATE(582),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1325),
    [sym_this] = ACTIONS(1327),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_undefined] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [221] = {
    [sym_import] = STATE(724),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(724),
    [sym_yield_expression] = STATE(724),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(724),
    [sym_jsx_fragment] = STATE(724),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(724),
    [sym_class] = STATE(724),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(724),
    [sym_arrow_function] = STATE(724),
    [sym_call_expression] = STATE(724),
    [sym_new_expression] = STATE(724),
    [sym_await_expression] = STATE(724),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(724),
    [sym_augmented_assignment_expression] = STATE(724),
    [sym_ternary_expression] = STATE(724),
    [sym_binary_expression] = STATE(724),
    [sym_unary_expression] = STATE(724),
    [sym_update_expression] = STATE(724),
    [sym_string] = STATE(724),
    [sym_template_string] = STATE(724),
    [sym_regex] = STATE(724),
    [sym_meta_property] = STATE(724),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(724),
    [sym_new_component_expression] = STATE(724),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1329),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_undefined] = ACTIONS(1331),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [222] = {
    [sym_import] = STATE(431),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(431),
    [sym_yield_expression] = STATE(431),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(431),
    [sym_jsx_fragment] = STATE(431),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(431),
    [sym_class] = STATE(431),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(431),
    [sym_arrow_function] = STATE(431),
    [sym_call_expression] = STATE(431),
    [sym_new_expression] = STATE(431),
    [sym_await_expression] = STATE(431),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(431),
    [sym_augmented_assignment_expression] = STATE(431),
    [sym_ternary_expression] = STATE(431),
    [sym_binary_expression] = STATE(431),
    [sym_unary_expression] = STATE(431),
    [sym_update_expression] = STATE(431),
    [sym_string] = STATE(431),
    [sym_template_string] = STATE(431),
    [sym_regex] = STATE(431),
    [sym_meta_property] = STATE(431),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(431),
    [sym_new_component_expression] = STATE(431),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1333),
    [sym_this] = ACTIONS(1335),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [sym_null] = ACTIONS(1335),
    [sym_undefined] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [223] = {
    [sym_import] = STATE(650),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(650),
    [sym_yield_expression] = STATE(650),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(650),
    [sym_jsx_fragment] = STATE(650),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(650),
    [sym_class] = STATE(650),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(650),
    [sym_arrow_function] = STATE(650),
    [sym_call_expression] = STATE(650),
    [sym_new_expression] = STATE(650),
    [sym_await_expression] = STATE(650),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(650),
    [sym_augmented_assignment_expression] = STATE(650),
    [sym_ternary_expression] = STATE(650),
    [sym_binary_expression] = STATE(650),
    [sym_unary_expression] = STATE(650),
    [sym_update_expression] = STATE(650),
    [sym_string] = STATE(650),
    [sym_template_string] = STATE(650),
    [sym_regex] = STATE(650),
    [sym_meta_property] = STATE(650),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(650),
    [sym_new_component_expression] = STATE(650),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1337),
    [sym_this] = ACTIONS(1339),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [sym_null] = ACTIONS(1339),
    [sym_undefined] = ACTIONS(1339),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [224] = {
    [sym_import] = STATE(435),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(435),
    [sym_yield_expression] = STATE(435),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(435),
    [sym_jsx_fragment] = STATE(435),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(435),
    [sym_class] = STATE(435),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(435),
    [sym_arrow_function] = STATE(435),
    [sym_call_expression] = STATE(435),
    [sym_new_expression] = STATE(435),
    [sym_await_expression] = STATE(435),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(435),
    [sym_augmented_assignment_expression] = STATE(435),
    [sym_ternary_expression] = STATE(435),
    [sym_binary_expression] = STATE(435),
    [sym_unary_expression] = STATE(435),
    [sym_update_expression] = STATE(435),
    [sym_string] = STATE(435),
    [sym_template_string] = STATE(435),
    [sym_regex] = STATE(435),
    [sym_meta_property] = STATE(435),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(435),
    [sym_new_component_expression] = STATE(435),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1229),
    [sym_this] = ACTIONS(1231),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [sym_null] = ACTIONS(1231),
    [sym_undefined] = ACTIONS(1231),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [225] = {
    [sym_import] = STATE(434),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(434),
    [sym_yield_expression] = STATE(434),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(434),
    [sym_jsx_fragment] = STATE(434),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(434),
    [sym_class] = STATE(434),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(434),
    [sym_arrow_function] = STATE(434),
    [sym_call_expression] = STATE(434),
    [sym_new_expression] = STATE(434),
    [sym_await_expression] = STATE(434),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(434),
    [sym_augmented_assignment_expression] = STATE(434),
    [sym_ternary_expression] = STATE(434),
    [sym_binary_expression] = STATE(434),
    [sym_unary_expression] = STATE(434),
    [sym_update_expression] = STATE(434),
    [sym_string] = STATE(434),
    [sym_template_string] = STATE(434),
    [sym_regex] = STATE(434),
    [sym_meta_property] = STATE(434),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(434),
    [sym_new_component_expression] = STATE(434),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1341),
    [sym_this] = ACTIONS(1343),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [sym_null] = ACTIONS(1343),
    [sym_undefined] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [226] = {
    [sym_import] = STATE(437),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(437),
    [sym_yield_expression] = STATE(437),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(437),
    [sym_jsx_fragment] = STATE(437),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(437),
    [sym_class] = STATE(437),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(437),
    [sym_arrow_function] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_new_expression] = STATE(437),
    [sym_await_expression] = STATE(437),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(437),
    [sym_augmented_assignment_expression] = STATE(437),
    [sym_ternary_expression] = STATE(437),
    [sym_binary_expression] = STATE(437),
    [sym_unary_expression] = STATE(437),
    [sym_update_expression] = STATE(437),
    [sym_string] = STATE(437),
    [sym_template_string] = STATE(437),
    [sym_regex] = STATE(437),
    [sym_meta_property] = STATE(437),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(437),
    [sym_new_component_expression] = STATE(437),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1345),
    [sym_this] = ACTIONS(1347),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [sym_null] = ACTIONS(1347),
    [sym_undefined] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [227] = {
    [sym_import] = STATE(418),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(418),
    [sym_yield_expression] = STATE(418),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(418),
    [sym_jsx_fragment] = STATE(418),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(418),
    [sym_class] = STATE(418),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(418),
    [sym_arrow_function] = STATE(418),
    [sym_call_expression] = STATE(418),
    [sym_new_expression] = STATE(418),
    [sym_await_expression] = STATE(418),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(418),
    [sym_augmented_assignment_expression] = STATE(418),
    [sym_ternary_expression] = STATE(418),
    [sym_binary_expression] = STATE(418),
    [sym_unary_expression] = STATE(418),
    [sym_update_expression] = STATE(418),
    [sym_string] = STATE(418),
    [sym_template_string] = STATE(418),
    [sym_regex] = STATE(418),
    [sym_meta_property] = STATE(418),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(418),
    [sym_new_component_expression] = STATE(418),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1349),
    [sym_this] = ACTIONS(1351),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_undefined] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [228] = {
    [sym_import] = STATE(439),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(439),
    [sym_yield_expression] = STATE(439),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(439),
    [sym_jsx_fragment] = STATE(439),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(439),
    [sym_class] = STATE(439),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(439),
    [sym_arrow_function] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_new_expression] = STATE(439),
    [sym_await_expression] = STATE(439),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(439),
    [sym_augmented_assignment_expression] = STATE(439),
    [sym_ternary_expression] = STATE(439),
    [sym_binary_expression] = STATE(439),
    [sym_unary_expression] = STATE(439),
    [sym_update_expression] = STATE(439),
    [sym_string] = STATE(439),
    [sym_template_string] = STATE(439),
    [sym_regex] = STATE(439),
    [sym_meta_property] = STATE(439),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(439),
    [sym_new_component_expression] = STATE(439),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1353),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_null] = ACTIONS(1355),
    [sym_undefined] = ACTIONS(1355),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [229] = {
    [sym_import] = STATE(440),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(440),
    [sym_yield_expression] = STATE(440),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(440),
    [sym_jsx_fragment] = STATE(440),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(440),
    [sym_class] = STATE(440),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(440),
    [sym_arrow_function] = STATE(440),
    [sym_call_expression] = STATE(440),
    [sym_new_expression] = STATE(440),
    [sym_await_expression] = STATE(440),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(440),
    [sym_augmented_assignment_expression] = STATE(440),
    [sym_ternary_expression] = STATE(440),
    [sym_binary_expression] = STATE(440),
    [sym_unary_expression] = STATE(440),
    [sym_update_expression] = STATE(440),
    [sym_string] = STATE(440),
    [sym_template_string] = STATE(440),
    [sym_regex] = STATE(440),
    [sym_meta_property] = STATE(440),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(440),
    [sym_new_component_expression] = STATE(440),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1357),
    [sym_this] = ACTIONS(1359),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_null] = ACTIONS(1359),
    [sym_undefined] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [230] = {
    [sym_import] = STATE(442),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(442),
    [sym_yield_expression] = STATE(442),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(442),
    [sym_jsx_fragment] = STATE(442),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(442),
    [sym_class] = STATE(442),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(442),
    [sym_arrow_function] = STATE(442),
    [sym_call_expression] = STATE(442),
    [sym_new_expression] = STATE(442),
    [sym_await_expression] = STATE(442),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(442),
    [sym_augmented_assignment_expression] = STATE(442),
    [sym_ternary_expression] = STATE(442),
    [sym_binary_expression] = STATE(442),
    [sym_unary_expression] = STATE(442),
    [sym_update_expression] = STATE(442),
    [sym_string] = STATE(442),
    [sym_template_string] = STATE(442),
    [sym_regex] = STATE(442),
    [sym_meta_property] = STATE(442),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(442),
    [sym_new_component_expression] = STATE(442),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1361),
    [sym_this] = ACTIONS(1363),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_null] = ACTIONS(1363),
    [sym_undefined] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [231] = {
    [sym_import] = STATE(668),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(668),
    [sym_yield_expression] = STATE(668),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(668),
    [sym_jsx_fragment] = STATE(668),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(668),
    [sym_class] = STATE(668),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(668),
    [sym_arrow_function] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym_new_expression] = STATE(668),
    [sym_await_expression] = STATE(668),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(668),
    [sym_augmented_assignment_expression] = STATE(668),
    [sym_ternary_expression] = STATE(668),
    [sym_binary_expression] = STATE(668),
    [sym_unary_expression] = STATE(668),
    [sym_update_expression] = STATE(668),
    [sym_string] = STATE(668),
    [sym_template_string] = STATE(668),
    [sym_regex] = STATE(668),
    [sym_meta_property] = STATE(668),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(668),
    [sym_new_component_expression] = STATE(668),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1365),
    [sym_this] = ACTIONS(1367),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_undefined] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [232] = {
    [sym_import] = STATE(669),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(669),
    [sym_yield_expression] = STATE(669),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(669),
    [sym_jsx_fragment] = STATE(669),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(669),
    [sym_class] = STATE(669),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(669),
    [sym_arrow_function] = STATE(669),
    [sym_call_expression] = STATE(669),
    [sym_new_expression] = STATE(669),
    [sym_await_expression] = STATE(669),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(669),
    [sym_augmented_assignment_expression] = STATE(669),
    [sym_ternary_expression] = STATE(669),
    [sym_binary_expression] = STATE(669),
    [sym_unary_expression] = STATE(669),
    [sym_update_expression] = STATE(669),
    [sym_string] = STATE(669),
    [sym_template_string] = STATE(669),
    [sym_regex] = STATE(669),
    [sym_meta_property] = STATE(669),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(669),
    [sym_new_component_expression] = STATE(669),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1369),
    [sym_this] = ACTIONS(1371),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_undefined] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [233] = {
    [sym_import] = STATE(863),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(863),
    [sym_yield_expression] = STATE(863),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(863),
    [sym_jsx_fragment] = STATE(863),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(863),
    [sym_class] = STATE(863),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(863),
    [sym_arrow_function] = STATE(863),
    [sym_call_expression] = STATE(863),
    [sym_new_expression] = STATE(863),
    [sym_await_expression] = STATE(863),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(863),
    [sym_augmented_assignment_expression] = STATE(863),
    [sym_ternary_expression] = STATE(863),
    [sym_binary_expression] = STATE(863),
    [sym_unary_expression] = STATE(863),
    [sym_update_expression] = STATE(863),
    [sym_string] = STATE(863),
    [sym_template_string] = STATE(863),
    [sym_regex] = STATE(863),
    [sym_meta_property] = STATE(863),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(863),
    [sym_new_component_expression] = STATE(863),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1373),
    [sym_this] = ACTIONS(1375),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1375),
    [sym_false] = ACTIONS(1375),
    [sym_null] = ACTIONS(1375),
    [sym_undefined] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [234] = {
    [sym_import] = STATE(445),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(445),
    [sym_yield_expression] = STATE(445),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(445),
    [sym_jsx_fragment] = STATE(445),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(445),
    [sym_class] = STATE(445),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(445),
    [sym_arrow_function] = STATE(445),
    [sym_call_expression] = STATE(445),
    [sym_new_expression] = STATE(445),
    [sym_await_expression] = STATE(445),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(445),
    [sym_augmented_assignment_expression] = STATE(445),
    [sym_ternary_expression] = STATE(445),
    [sym_binary_expression] = STATE(445),
    [sym_unary_expression] = STATE(445),
    [sym_update_expression] = STATE(445),
    [sym_string] = STATE(445),
    [sym_template_string] = STATE(445),
    [sym_regex] = STATE(445),
    [sym_meta_property] = STATE(445),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(445),
    [sym_new_component_expression] = STATE(445),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1377),
    [sym_this] = ACTIONS(1379),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_undefined] = ACTIONS(1379),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [235] = {
    [sym_import] = STATE(725),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(725),
    [sym_yield_expression] = STATE(725),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(725),
    [sym_jsx_fragment] = STATE(725),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(725),
    [sym_class] = STATE(725),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(725),
    [sym_arrow_function] = STATE(725),
    [sym_call_expression] = STATE(725),
    [sym_new_expression] = STATE(725),
    [sym_await_expression] = STATE(725),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(725),
    [sym_augmented_assignment_expression] = STATE(725),
    [sym_ternary_expression] = STATE(725),
    [sym_binary_expression] = STATE(725),
    [sym_unary_expression] = STATE(725),
    [sym_update_expression] = STATE(725),
    [sym_string] = STATE(725),
    [sym_template_string] = STATE(725),
    [sym_regex] = STATE(725),
    [sym_meta_property] = STATE(725),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(725),
    [sym_new_component_expression] = STATE(725),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1381),
    [sym_this] = ACTIONS(1383),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_null] = ACTIONS(1383),
    [sym_undefined] = ACTIONS(1383),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [236] = {
    [sym_import] = STATE(671),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(671),
    [sym_yield_expression] = STATE(671),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(671),
    [sym_jsx_fragment] = STATE(671),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(671),
    [sym_class] = STATE(671),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(671),
    [sym_arrow_function] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym_new_expression] = STATE(671),
    [sym_await_expression] = STATE(671),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(671),
    [sym_augmented_assignment_expression] = STATE(671),
    [sym_ternary_expression] = STATE(671),
    [sym_binary_expression] = STATE(671),
    [sym_unary_expression] = STATE(671),
    [sym_update_expression] = STATE(671),
    [sym_string] = STATE(671),
    [sym_template_string] = STATE(671),
    [sym_regex] = STATE(671),
    [sym_meta_property] = STATE(671),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(671),
    [sym_new_component_expression] = STATE(671),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1385),
    [sym_this] = ACTIONS(1387),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_null] = ACTIONS(1387),
    [sym_undefined] = ACTIONS(1387),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [237] = {
    [sym_import] = STATE(419),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(419),
    [sym_yield_expression] = STATE(419),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(419),
    [sym_jsx_fragment] = STATE(419),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(419),
    [sym_class] = STATE(419),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(419),
    [sym_arrow_function] = STATE(419),
    [sym_call_expression] = STATE(419),
    [sym_new_expression] = STATE(419),
    [sym_await_expression] = STATE(419),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(419),
    [sym_augmented_assignment_expression] = STATE(419),
    [sym_ternary_expression] = STATE(419),
    [sym_binary_expression] = STATE(419),
    [sym_unary_expression] = STATE(419),
    [sym_update_expression] = STATE(419),
    [sym_string] = STATE(419),
    [sym_template_string] = STATE(419),
    [sym_regex] = STATE(419),
    [sym_meta_property] = STATE(419),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(419),
    [sym_new_component_expression] = STATE(419),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1389),
    [sym_this] = ACTIONS(1391),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_null] = ACTIONS(1391),
    [sym_undefined] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [238] = {
    [sym_import] = STATE(536),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(536),
    [sym_yield_expression] = STATE(536),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(536),
    [sym_jsx_fragment] = STATE(536),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(536),
    [sym_class] = STATE(536),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(536),
    [sym_arrow_function] = STATE(536),
    [sym_call_expression] = STATE(536),
    [sym_new_expression] = STATE(536),
    [sym_await_expression] = STATE(536),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(536),
    [sym_augmented_assignment_expression] = STATE(536),
    [sym_ternary_expression] = STATE(536),
    [sym_binary_expression] = STATE(536),
    [sym_unary_expression] = STATE(536),
    [sym_update_expression] = STATE(536),
    [sym_string] = STATE(536),
    [sym_template_string] = STATE(536),
    [sym_regex] = STATE(536),
    [sym_meta_property] = STATE(536),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(536),
    [sym_new_component_expression] = STATE(536),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1393),
    [sym_this] = ACTIONS(1395),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1395),
    [sym_false] = ACTIONS(1395),
    [sym_null] = ACTIONS(1395),
    [sym_undefined] = ACTIONS(1395),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [239] = {
    [sym_import] = STATE(621),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(621),
    [sym_yield_expression] = STATE(621),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(621),
    [sym_jsx_fragment] = STATE(621),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(621),
    [sym_class] = STATE(621),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(621),
    [sym_arrow_function] = STATE(621),
    [sym_call_expression] = STATE(621),
    [sym_new_expression] = STATE(621),
    [sym_await_expression] = STATE(621),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(621),
    [sym_augmented_assignment_expression] = STATE(621),
    [sym_ternary_expression] = STATE(621),
    [sym_binary_expression] = STATE(621),
    [sym_unary_expression] = STATE(621),
    [sym_update_expression] = STATE(621),
    [sym_string] = STATE(621),
    [sym_template_string] = STATE(621),
    [sym_regex] = STATE(621),
    [sym_meta_property] = STATE(621),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(621),
    [sym_new_component_expression] = STATE(621),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1397),
    [sym_this] = ACTIONS(1399),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1399),
    [sym_false] = ACTIONS(1399),
    [sym_null] = ACTIONS(1399),
    [sym_undefined] = ACTIONS(1399),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [240] = {
    [sym_import] = STATE(450),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(450),
    [sym_yield_expression] = STATE(450),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(450),
    [sym_jsx_fragment] = STATE(450),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(450),
    [sym_class] = STATE(450),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(450),
    [sym_arrow_function] = STATE(450),
    [sym_call_expression] = STATE(450),
    [sym_new_expression] = STATE(450),
    [sym_await_expression] = STATE(450),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(450),
    [sym_augmented_assignment_expression] = STATE(450),
    [sym_ternary_expression] = STATE(450),
    [sym_binary_expression] = STATE(450),
    [sym_unary_expression] = STATE(450),
    [sym_update_expression] = STATE(450),
    [sym_string] = STATE(450),
    [sym_template_string] = STATE(450),
    [sym_regex] = STATE(450),
    [sym_meta_property] = STATE(450),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(450),
    [sym_new_component_expression] = STATE(450),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1401),
    [sym_this] = ACTIONS(1403),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1403),
    [sym_false] = ACTIONS(1403),
    [sym_null] = ACTIONS(1403),
    [sym_undefined] = ACTIONS(1403),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [241] = {
    [sym_import] = STATE(452),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(452),
    [sym_yield_expression] = STATE(452),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(452),
    [sym_jsx_fragment] = STATE(452),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(452),
    [sym_class] = STATE(452),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(452),
    [sym_arrow_function] = STATE(452),
    [sym_call_expression] = STATE(452),
    [sym_new_expression] = STATE(452),
    [sym_await_expression] = STATE(452),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(452),
    [sym_augmented_assignment_expression] = STATE(452),
    [sym_ternary_expression] = STATE(452),
    [sym_binary_expression] = STATE(452),
    [sym_unary_expression] = STATE(452),
    [sym_update_expression] = STATE(452),
    [sym_string] = STATE(452),
    [sym_template_string] = STATE(452),
    [sym_regex] = STATE(452),
    [sym_meta_property] = STATE(452),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(452),
    [sym_new_component_expression] = STATE(452),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1405),
    [sym_this] = ACTIONS(1407),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1407),
    [sym_false] = ACTIONS(1407),
    [sym_null] = ACTIONS(1407),
    [sym_undefined] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [242] = {
    [sym_import] = STATE(676),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(676),
    [sym_yield_expression] = STATE(676),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(676),
    [sym_jsx_fragment] = STATE(676),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(676),
    [sym_class] = STATE(676),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(676),
    [sym_arrow_function] = STATE(676),
    [sym_call_expression] = STATE(676),
    [sym_new_expression] = STATE(676),
    [sym_await_expression] = STATE(676),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(676),
    [sym_augmented_assignment_expression] = STATE(676),
    [sym_ternary_expression] = STATE(676),
    [sym_binary_expression] = STATE(676),
    [sym_unary_expression] = STATE(676),
    [sym_update_expression] = STATE(676),
    [sym_string] = STATE(676),
    [sym_template_string] = STATE(676),
    [sym_regex] = STATE(676),
    [sym_meta_property] = STATE(676),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(676),
    [sym_new_component_expression] = STATE(676),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1409),
    [sym_this] = ACTIONS(1411),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1411),
    [sym_false] = ACTIONS(1411),
    [sym_null] = ACTIONS(1411),
    [sym_undefined] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [243] = {
    [sym_import] = STATE(594),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(594),
    [sym_yield_expression] = STATE(594),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(594),
    [sym_jsx_fragment] = STATE(594),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(594),
    [sym_class] = STATE(594),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(594),
    [sym_arrow_function] = STATE(594),
    [sym_call_expression] = STATE(594),
    [sym_new_expression] = STATE(594),
    [sym_await_expression] = STATE(594),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(594),
    [sym_augmented_assignment_expression] = STATE(594),
    [sym_ternary_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_string] = STATE(594),
    [sym_template_string] = STATE(594),
    [sym_regex] = STATE(594),
    [sym_meta_property] = STATE(594),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(594),
    [sym_new_component_expression] = STATE(594),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1413),
    [sym_this] = ACTIONS(1415),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1415),
    [sym_false] = ACTIONS(1415),
    [sym_null] = ACTIONS(1415),
    [sym_undefined] = ACTIONS(1415),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [244] = {
    [sym_import] = STATE(591),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(591),
    [sym_yield_expression] = STATE(591),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(591),
    [sym_jsx_fragment] = STATE(591),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(591),
    [sym_class] = STATE(591),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(591),
    [sym_arrow_function] = STATE(591),
    [sym_call_expression] = STATE(591),
    [sym_new_expression] = STATE(591),
    [sym_await_expression] = STATE(591),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(591),
    [sym_augmented_assignment_expression] = STATE(591),
    [sym_ternary_expression] = STATE(591),
    [sym_binary_expression] = STATE(591),
    [sym_unary_expression] = STATE(591),
    [sym_update_expression] = STATE(591),
    [sym_string] = STATE(591),
    [sym_template_string] = STATE(591),
    [sym_regex] = STATE(591),
    [sym_meta_property] = STATE(591),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(591),
    [sym_new_component_expression] = STATE(591),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1417),
    [sym_this] = ACTIONS(1419),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_null] = ACTIONS(1419),
    [sym_undefined] = ACTIONS(1419),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [245] = {
    [sym_import] = STATE(874),
    [sym_parenthesized_expression] = STATE(420),
    [sym__expression] = STATE(874),
    [sym_yield_expression] = STATE(874),
    [sym_object] = STATE(872),
    [sym_array] = STATE(871),
    [sym_jsx_element] = STATE(874),
    [sym_jsx_fragment] = STATE(874),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(874),
    [sym_class] = STATE(874),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(874),
    [sym_arrow_function] = STATE(874),
    [sym_call_expression] = STATE(874),
    [sym_new_expression] = STATE(874),
    [sym_await_expression] = STATE(874),
    [sym_member_expression] = STATE(420),
    [sym_subscript_expression] = STATE(420),
    [sym_assignment_expression] = STATE(874),
    [sym_augmented_assignment_expression] = STATE(874),
    [sym_ternary_expression] = STATE(874),
    [sym_binary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_string] = STATE(874),
    [sym_template_string] = STATE(874),
    [sym_regex] = STATE(874),
    [sym_meta_property] = STATE(874),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(874),
    [sym_new_component_expression] = STATE(874),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(1421),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(955),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(803),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_null] = ACTIONS(805),
    [sym_undefined] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_get] = ACTIONS(957),
    [anon_sym_set] = ACTIONS(957),
    [anon_sym_component] = ACTIONS(481),
  },
  [246] = {
    [sym_import] = STATE(625),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(625),
    [sym_yield_expression] = STATE(625),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(625),
    [sym_jsx_fragment] = STATE(625),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(625),
    [sym_class] = STATE(625),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(625),
    [sym_arrow_function] = STATE(625),
    [sym_call_expression] = STATE(625),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(625),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(625),
    [sym_augmented_assignment_expression] = STATE(625),
    [sym_ternary_expression] = STATE(625),
    [sym_binary_expression] = STATE(625),
    [sym_unary_expression] = STATE(625),
    [sym_update_expression] = STATE(625),
    [sym_string] = STATE(625),
    [sym_template_string] = STATE(625),
    [sym_regex] = STATE(625),
    [sym_meta_property] = STATE(625),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(625),
    [sym_new_component_expression] = STATE(625),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1423),
    [sym_this] = ACTIONS(1425),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1425),
    [sym_false] = ACTIONS(1425),
    [sym_null] = ACTIONS(1425),
    [sym_undefined] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [247] = {
    [sym_import] = STATE(585),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(585),
    [sym_yield_expression] = STATE(585),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(585),
    [sym_jsx_fragment] = STATE(585),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(585),
    [sym_class] = STATE(585),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(585),
    [sym_arrow_function] = STATE(585),
    [sym_call_expression] = STATE(585),
    [sym_new_expression] = STATE(585),
    [sym_await_expression] = STATE(585),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(585),
    [sym_augmented_assignment_expression] = STATE(585),
    [sym_ternary_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_update_expression] = STATE(585),
    [sym_string] = STATE(585),
    [sym_template_string] = STATE(585),
    [sym_regex] = STATE(585),
    [sym_meta_property] = STATE(585),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(585),
    [sym_new_component_expression] = STATE(585),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1427),
    [sym_this] = ACTIONS(1429),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [sym_null] = ACTIONS(1429),
    [sym_undefined] = ACTIONS(1429),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [248] = {
    [sym_import] = STATE(626),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(626),
    [sym_yield_expression] = STATE(626),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(626),
    [sym_jsx_fragment] = STATE(626),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(626),
    [sym_class] = STATE(626),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(626),
    [sym_arrow_function] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_new_expression] = STATE(626),
    [sym_await_expression] = STATE(626),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(626),
    [sym_augmented_assignment_expression] = STATE(626),
    [sym_ternary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_update_expression] = STATE(626),
    [sym_string] = STATE(626),
    [sym_template_string] = STATE(626),
    [sym_regex] = STATE(626),
    [sym_meta_property] = STATE(626),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(626),
    [sym_new_component_expression] = STATE(626),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1431),
    [sym_this] = ACTIONS(1433),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [sym_null] = ACTIONS(1433),
    [sym_undefined] = ACTIONS(1433),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [249] = {
    [sym_import] = STATE(665),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(665),
    [sym_yield_expression] = STATE(665),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(665),
    [sym_jsx_fragment] = STATE(665),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(665),
    [sym_class] = STATE(665),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(665),
    [sym_arrow_function] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym_new_expression] = STATE(665),
    [sym_await_expression] = STATE(665),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(665),
    [sym_augmented_assignment_expression] = STATE(665),
    [sym_ternary_expression] = STATE(665),
    [sym_binary_expression] = STATE(665),
    [sym_unary_expression] = STATE(665),
    [sym_update_expression] = STATE(665),
    [sym_string] = STATE(665),
    [sym_template_string] = STATE(665),
    [sym_regex] = STATE(665),
    [sym_meta_property] = STATE(665),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(665),
    [sym_new_component_expression] = STATE(665),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1137),
    [sym_this] = ACTIONS(1139),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [sym_null] = ACTIONS(1139),
    [sym_undefined] = ACTIONS(1139),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [250] = {
    [sym_import] = STATE(865),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(865),
    [sym_yield_expression] = STATE(865),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(865),
    [sym_jsx_fragment] = STATE(865),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(865),
    [sym_class] = STATE(865),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(865),
    [sym_arrow_function] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_new_expression] = STATE(865),
    [sym_await_expression] = STATE(865),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(865),
    [sym_augmented_assignment_expression] = STATE(865),
    [sym_ternary_expression] = STATE(865),
    [sym_binary_expression] = STATE(865),
    [sym_unary_expression] = STATE(865),
    [sym_update_expression] = STATE(865),
    [sym_string] = STATE(865),
    [sym_template_string] = STATE(865),
    [sym_regex] = STATE(865),
    [sym_meta_property] = STATE(865),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(865),
    [sym_new_component_expression] = STATE(865),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1435),
    [sym_this] = ACTIONS(1437),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [sym_null] = ACTIONS(1437),
    [sym_undefined] = ACTIONS(1437),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [251] = {
    [sym_import] = STATE(630),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(630),
    [sym_yield_expression] = STATE(630),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(630),
    [sym_jsx_fragment] = STATE(630),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(630),
    [sym_class] = STATE(630),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(630),
    [sym_arrow_function] = STATE(630),
    [sym_call_expression] = STATE(630),
    [sym_new_expression] = STATE(630),
    [sym_await_expression] = STATE(630),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(630),
    [sym_augmented_assignment_expression] = STATE(630),
    [sym_ternary_expression] = STATE(630),
    [sym_binary_expression] = STATE(630),
    [sym_unary_expression] = STATE(630),
    [sym_update_expression] = STATE(630),
    [sym_string] = STATE(630),
    [sym_template_string] = STATE(630),
    [sym_regex] = STATE(630),
    [sym_meta_property] = STATE(630),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(630),
    [sym_new_component_expression] = STATE(630),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1439),
    [sym_this] = ACTIONS(1441),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [sym_null] = ACTIONS(1441),
    [sym_undefined] = ACTIONS(1441),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [252] = {
    [sym_import] = STATE(843),
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(843),
    [sym_yield_expression] = STATE(843),
    [sym_object] = STATE(636),
    [sym_array] = STATE(635),
    [sym_jsx_element] = STATE(843),
    [sym_jsx_fragment] = STATE(843),
    [sym_jsx_opening_element] = STATE(1058),
    [sym_jsx_self_closing_element] = STATE(843),
    [sym_class] = STATE(843),
    [sym_function] = STATE(589),
    [sym_generator_function] = STATE(843),
    [sym_arrow_function] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_new_expression] = STATE(843),
    [sym_await_expression] = STATE(843),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(843),
    [sym_augmented_assignment_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_string] = STATE(843),
    [sym_template_string] = STATE(843),
    [sym_regex] = STATE(843),
    [sym_meta_property] = STATE(843),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1635),
    [sym_component] = STATE(843),
    [sym_new_component_expression] = STATE(843),
    [aux_sym_class_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(437),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_async] = ACTIONS(451),
    [anon_sym_function] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_typeof] = ACTIONS(463),
    [anon_sym_void] = ACTIONS(463),
    [anon_sym_delete] = ACTIONS(463),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
    [sym_number] = ACTIONS(1443),
    [sym_this] = ACTIONS(1445),
    [sym_super] = ACTIONS(477),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [sym_null] = ACTIONS(1445),
    [sym_undefined] = ACTIONS(1445),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(479),
    [anon_sym_set] = ACTIONS(479),
    [anon_sym_component] = ACTIONS(481),
  },
  [253] = {
    [sym_import] = STATE(732),
    [sym_parenthesized_expression] = STATE(414),
    [sym__expression] = STATE(732),
    [sym_yield_expression] = STATE(732),
    [sym_object] = STATE(702),
    [sym_array] = STATE(704),
    [sym_jsx_element] = STATE(732),
    [sym_jsx_fragment] = STATE(732),
    [sym_jsx_opening_element] = STATE(1046),
    [sym_jsx_self_closing_element] = STATE(732),
    [sym_class] = STATE(732),
    [sym_function] = STATE(646),
    [sym_generator_function] = STATE(732),
    [sym_arrow_function] = STATE(732),
    [sym_call_expression] = STATE(732),
    [sym_new_expression] = STATE(732),
    [sym_await_expression] = STATE(732),
    [sym_member_expression] = STATE(414),
    [sym_subscript_expression] = STATE(414),
    [sym_assignment_expression] = STATE(732),
    [sym_augmented_assignment_expression] = STATE(732),
    [sym_ternary_expression] = STATE(732),
    [sym_binary_expression] = STATE(732),
    [sym_unary_expression] = STATE(732),
    [sym_update_expression] = STATE(732),
    [sym_string] = STATE(732),
    [sym_template_string] = STATE(732),
    [sym_regex] = STATE(732),
    [sym_meta_property] = STATE(732),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1684),
    [sym_component] = STATE(732),
    [sym_new_component_expression] = STATE(732),
    [aux_sym_class_repeat1] = STATE(1143),
    [sym_identifier] = ACTIONS(483),
    [anon_sym_import] = ACTIONS(485),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_await] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_SLASH] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_async] = ACTIONS(495),
    [anon_sym_function] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym_number] = ACTIONS(1447),
    [sym_this] = ACTIONS(1449),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [sym_null] = ACTIONS(1449),
    [sym_undefined] = ACTIONS(1449),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(505),
    [anon_sym_get] = ACTIONS(505),
    [anon_sym_set] = ACTIONS(505),
    [anon_sym_component] = ACTIONS(507),
  },
  [254] = {
    [sym_import] = STATE(454),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(454),
    [sym_yield_expression] = STATE(454),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(454),
    [sym_jsx_fragment] = STATE(454),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(454),
    [sym_class] = STATE(454),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(454),
    [sym_arrow_function] = STATE(454),
    [sym_call_expression] = STATE(454),
    [sym_new_expression] = STATE(454),
    [sym_await_expression] = STATE(454),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(454),
    [sym_augmented_assignment_expression] = STATE(454),
    [sym_ternary_expression] = STATE(454),
    [sym_binary_expression] = STATE(454),
    [sym_unary_expression] = STATE(454),
    [sym_update_expression] = STATE(454),
    [sym_string] = STATE(454),
    [sym_template_string] = STATE(454),
    [sym_regex] = STATE(454),
    [sym_meta_property] = STATE(454),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(454),
    [sym_new_component_expression] = STATE(454),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1451),
    [sym_this] = ACTIONS(1453),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [sym_null] = ACTIONS(1453),
    [sym_undefined] = ACTIONS(1453),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [255] = {
    [sym_import] = STATE(534),
    [sym_parenthesized_expression] = STATE(389),
    [sym__expression] = STATE(534),
    [sym_yield_expression] = STATE(534),
    [sym_object] = STATE(560),
    [sym_array] = STATE(558),
    [sym_jsx_element] = STATE(534),
    [sym_jsx_fragment] = STATE(534),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(534),
    [sym_class] = STATE(534),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(534),
    [sym_arrow_function] = STATE(534),
    [sym_call_expression] = STATE(534),
    [sym_new_expression] = STATE(534),
    [sym_await_expression] = STATE(534),
    [sym_member_expression] = STATE(389),
    [sym_subscript_expression] = STATE(389),
    [sym_assignment_expression] = STATE(534),
    [sym_augmented_assignment_expression] = STATE(534),
    [sym_ternary_expression] = STATE(534),
    [sym_binary_expression] = STATE(534),
    [sym_unary_expression] = STATE(534),
    [sym_update_expression] = STATE(534),
    [sym_string] = STATE(534),
    [sym_template_string] = STATE(534),
    [sym_regex] = STATE(534),
    [sym_meta_property] = STATE(534),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1689),
    [sym_component] = STATE(534),
    [sym_new_component_expression] = STATE(534),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(399),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(401),
    [anon_sym_yield] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(409),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(413),
    [anon_sym_DASH] = ACTIONS(413),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(421),
    [anon_sym_DASH_DASH] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1455),
    [sym_this] = ACTIONS(1457),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [sym_null] = ACTIONS(1457),
    [sym_undefined] = ACTIONS(1457),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(427),
    [anon_sym_get] = ACTIONS(427),
    [anon_sym_set] = ACTIONS(427),
    [anon_sym_component] = ACTIONS(397),
  },
  [256] = {
    [sym_import] = STATE(451),
    [sym_parenthesized_expression] = STATE(365),
    [sym__expression] = STATE(451),
    [sym_yield_expression] = STATE(451),
    [sym_object] = STATE(461),
    [sym_array] = STATE(456),
    [sym_jsx_element] = STATE(451),
    [sym_jsx_fragment] = STATE(451),
    [sym_jsx_opening_element] = STATE(1049),
    [sym_jsx_self_closing_element] = STATE(451),
    [sym_class] = STATE(451),
    [sym_function] = STATE(421),
    [sym_generator_function] = STATE(451),
    [sym_arrow_function] = STATE(451),
    [sym_call_expression] = STATE(451),
    [sym_new_expression] = STATE(451),
    [sym_await_expression] = STATE(451),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(451),
    [sym_augmented_assignment_expression] = STATE(451),
    [sym_ternary_expression] = STATE(451),
    [sym_binary_expression] = STATE(451),
    [sym_unary_expression] = STATE(451),
    [sym_update_expression] = STATE(451),
    [sym_string] = STATE(451),
    [sym_template_string] = STATE(451),
    [sym_regex] = STATE(451),
    [sym_meta_property] = STATE(451),
    [sym_decorator] = STATE(970),
    [sym_formal_parameters] = STATE(1629),
    [sym_component] = STATE(451),
    [sym_new_component_expression] = STATE(451),
    [aux_sym_class_repeat1] = STATE(1165),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(347),
    [anon_sym_LPAREN] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(359),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_function] = ACTIONS(369),
    [anon_sym_new] = ACTIONS(371),
    [anon_sym_PLUS] = ACTIONS(373),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(379),
    [anon_sym_void] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(379),
    [anon_sym_PLUS_PLUS] = ACTIONS(381),
    [anon_sym_DASH_DASH] = ACTIONS(381),
    [anon_sym_DQUOTE] = ACTIONS(383),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [sym_number] = ACTIONS(1459),
    [sym_this] = ACTIONS(1461),
    [sym_super] = ACTIONS(393),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_null] = ACTIONS(1461),
    [sym_undefined] = ACTIONS(1461),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(395),
    [anon_sym_get] = ACTIONS(395),
    [anon_sym_set] = ACTIONS(395),
    [anon_sym_component] = ACTIONS(397),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(509),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_import] = ACTIONS(511),
    [anon_sym_LBRACE] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_var] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_switch] = ACTIONS(511),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_await] = ACTIONS(511),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_with] = ACTIONS(511),
    [anon_sym_break] = ACTIONS(511),
    [anon_sym_continue] = ACTIONS(511),
    [anon_sym_debugger] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_case] = ACTIONS(511),
    [anon_sym_default] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(511),
    [anon_sym_finally] = ACTIONS(511),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(509),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(509),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_function] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(509),
    [anon_sym_TILDE] = ACTIONS(509),
    [anon_sym_typeof] = ACTIONS(511),
    [anon_sym_void] = ACTIONS(511),
    [anon_sym_delete] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(509),
    [sym_this] = ACTIONS(511),
    [sym_super] = ACTIONS(511),
    [sym_true] = ACTIONS(511),
    [sym_false] = ACTIONS(511),
    [sym_null] = ACTIONS(511),
    [sym_undefined] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_component] = ACTIONS(511),
    [anon_sym_instance] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(683),
    [anon_sym_const] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_else] = ACTIONS(683),
    [anon_sym_switch] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_do] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(683),
    [anon_sym_with] = ACTIONS(683),
    [anon_sym_break] = ACTIONS(683),
    [anon_sym_continue] = ACTIONS(683),
    [anon_sym_debugger] = ACTIONS(683),
    [anon_sym_return] = ACTIONS(683),
    [anon_sym_throw] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_case] = ACTIONS(683),
    [anon_sym_default] = ACTIONS(683),
    [anon_sym_catch] = ACTIONS(683),
    [anon_sym_finally] = ACTIONS(683),
    [anon_sym_yield] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_class] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_typeof] = ACTIONS(683),
    [anon_sym_void] = ACTIONS(683),
    [anon_sym_delete] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym_number] = ACTIONS(681),
    [sym_this] = ACTIONS(683),
    [sym_super] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_component] = ACTIONS(683),
    [anon_sym_instance] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
    [sym__automatic_semicolon] = ACTIONS(1463),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_var] = ACTIONS(631),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_const] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(631),
    [anon_sym_else] = ACTIONS(631),
    [anon_sym_switch] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_await] = ACTIONS(631),
    [anon_sym_while] = ACTIONS(631),
    [anon_sym_do] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(631),
    [anon_sym_with] = ACTIONS(631),
    [anon_sym_break] = ACTIONS(631),
    [anon_sym_continue] = ACTIONS(631),
    [anon_sym_debugger] = ACTIONS(631),
    [anon_sym_return] = ACTIONS(631),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(631),
    [anon_sym_catch] = ACTIONS(631),
    [anon_sym_finally] = ACTIONS(631),
    [anon_sym_yield] = ACTIONS(631),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_class] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(631),
    [anon_sym_new] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_BANG] = ACTIONS(629),
    [anon_sym_TILDE] = ACTIONS(629),
    [anon_sym_typeof] = ACTIONS(631),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_delete] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(629),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(629),
    [sym_number] = ACTIONS(629),
    [sym_this] = ACTIONS(631),
    [sym_super] = ACTIONS(631),
    [sym_true] = ACTIONS(631),
    [sym_false] = ACTIONS(631),
    [sym_null] = ACTIONS(631),
    [sym_undefined] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(629),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_get] = ACTIONS(631),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_component] = ACTIONS(631),
    [anon_sym_instance] = ACTIONS(631),
    [anon_sym_id] = ACTIONS(631),
    [anon_sym_event] = ACTIONS(631),
    [anon_sym_fn] = ACTIONS(631),
    [anon_sym_on] = ACTIONS(631),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(683),
    [anon_sym_const] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_else] = ACTIONS(683),
    [anon_sym_switch] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_do] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(683),
    [anon_sym_with] = ACTIONS(683),
    [anon_sym_break] = ACTIONS(683),
    [anon_sym_continue] = ACTIONS(683),
    [anon_sym_debugger] = ACTIONS(683),
    [anon_sym_return] = ACTIONS(683),
    [anon_sym_throw] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_case] = ACTIONS(683),
    [anon_sym_default] = ACTIONS(683),
    [anon_sym_catch] = ACTIONS(683),
    [anon_sym_finally] = ACTIONS(683),
    [anon_sym_yield] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_class] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_typeof] = ACTIONS(683),
    [anon_sym_void] = ACTIONS(683),
    [anon_sym_delete] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym_number] = ACTIONS(681),
    [sym_this] = ACTIONS(683),
    [sym_super] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_component] = ACTIONS(683),
    [anon_sym_instance] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
  },
  [261] = {
    [sym_string] = STATE(1566),
    [sym_formal_parameters] = STATE(1617),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_get] = ACTIONS(1502),
    [anon_sym_set] = ACTIONS(1502),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_import] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_var] = ACTIONS(1506),
    [anon_sym_let] = ACTIONS(1506),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_else] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_with] = ACTIONS(1506),
    [anon_sym_break] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_debugger] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1506),
    [anon_sym_default] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_STAR] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1504),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_function] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_typeof] = ACTIONS(1506),
    [anon_sym_void] = ACTIONS(1506),
    [anon_sym_delete] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_number] = ACTIONS(1504),
    [sym_this] = ACTIONS(1506),
    [sym_super] = ACTIONS(1506),
    [sym_true] = ACTIONS(1506),
    [sym_false] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [sym_undefined] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_component] = ACTIONS(1506),
    [anon_sym_instance] = ACTIONS(1506),
    [anon_sym_id] = ACTIONS(1506),
    [anon_sym_event] = ACTIONS(1506),
    [anon_sym_fn] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
  },
  [263] = {
    [sym_string] = STATE(1566),
    [sym_formal_parameters] = STATE(1617),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_get] = ACTIONS(1502),
    [anon_sym_set] = ACTIONS(1502),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [264] = {
    [sym_string] = STATE(1566),
    [sym_formal_parameters] = STATE(1617),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1490),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_get] = ACTIONS(1502),
    [anon_sym_set] = ACTIONS(1502),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [265] = {
    [sym_arguments] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_import] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_var] = ACTIONS(1514),
    [anon_sym_let] = ACTIONS(1514),
    [anon_sym_const] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1514),
    [anon_sym_else] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_for] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_await] = ACTIONS(1514),
    [anon_sym_while] = ACTIONS(1514),
    [anon_sym_do] = ACTIONS(1514),
    [anon_sym_try] = ACTIONS(1514),
    [anon_sym_with] = ACTIONS(1514),
    [anon_sym_break] = ACTIONS(1514),
    [anon_sym_continue] = ACTIONS(1514),
    [anon_sym_debugger] = ACTIONS(1514),
    [anon_sym_return] = ACTIONS(1514),
    [anon_sym_throw] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1514),
    [anon_sym_default] = ACTIONS(1514),
    [anon_sym_yield] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_class] = ACTIONS(1514),
    [anon_sym_async] = ACTIONS(1514),
    [anon_sym_function] = ACTIONS(1514),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_typeof] = ACTIONS(1514),
    [anon_sym_void] = ACTIONS(1514),
    [anon_sym_delete] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [sym_number] = ACTIONS(1512),
    [sym_this] = ACTIONS(1514),
    [sym_super] = ACTIONS(1514),
    [sym_true] = ACTIONS(1514),
    [sym_false] = ACTIONS(1514),
    [sym_null] = ACTIONS(1514),
    [sym_undefined] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1514),
    [anon_sym_get] = ACTIONS(1514),
    [anon_sym_set] = ACTIONS(1514),
    [anon_sym_component] = ACTIONS(1514),
    [anon_sym_instance] = ACTIONS(1514),
    [anon_sym_id] = ACTIONS(1514),
    [anon_sym_event] = ACTIONS(1514),
    [anon_sym_fn] = ACTIONS(1514),
    [anon_sym_on] = ACTIONS(1514),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_import] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_var] = ACTIONS(1520),
    [anon_sym_let] = ACTIONS(1520),
    [anon_sym_const] = ACTIONS(1520),
    [anon_sym_if] = ACTIONS(1520),
    [anon_sym_else] = ACTIONS(1520),
    [anon_sym_switch] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_await] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1520),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_try] = ACTIONS(1520),
    [anon_sym_with] = ACTIONS(1520),
    [anon_sym_break] = ACTIONS(1520),
    [anon_sym_continue] = ACTIONS(1520),
    [anon_sym_debugger] = ACTIONS(1520),
    [anon_sym_return] = ACTIONS(1520),
    [anon_sym_throw] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1520),
    [anon_sym_yield] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_class] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1520),
    [anon_sym_new] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_typeof] = ACTIONS(1520),
    [anon_sym_void] = ACTIONS(1520),
    [anon_sym_delete] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym_number] = ACTIONS(1518),
    [sym_this] = ACTIONS(1520),
    [sym_super] = ACTIONS(1520),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [sym_null] = ACTIONS(1520),
    [sym_undefined] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1518),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_component] = ACTIONS(1520),
    [anon_sym_instance] = ACTIONS(1520),
    [anon_sym_id] = ACTIONS(1520),
    [anon_sym_event] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_on] = ACTIONS(1520),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_var] = ACTIONS(1524),
    [anon_sym_let] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_else] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_await] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_try] = ACTIONS(1524),
    [anon_sym_with] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_debugger] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_throw] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_yield] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(1524),
    [anon_sym_async] = ACTIONS(1524),
    [anon_sym_function] = ACTIONS(1524),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_typeof] = ACTIONS(1524),
    [anon_sym_void] = ACTIONS(1524),
    [anon_sym_delete] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_super] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [sym_null] = ACTIONS(1524),
    [sym_undefined] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1522),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_get] = ACTIONS(1524),
    [anon_sym_set] = ACTIONS(1524),
    [anon_sym_component] = ACTIONS(1524),
    [anon_sym_instance] = ACTIONS(1524),
    [anon_sym_id] = ACTIONS(1524),
    [anon_sym_event] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_on] = ACTIONS(1524),
  },
  [268] = {
    [sym_arguments] = STATE(271),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_var] = ACTIONS(1528),
    [anon_sym_let] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_try] = ACTIONS(1528),
    [anon_sym_with] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_debugger] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_throw] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_class] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_new] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1528),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym_number] = ACTIONS(1526),
    [sym_this] = ACTIONS(1528),
    [sym_super] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [sym_null] = ACTIONS(1528),
    [sym_undefined] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1526),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
    [anon_sym_component] = ACTIONS(1528),
    [anon_sym_instance] = ACTIONS(1528),
    [anon_sym_id] = ACTIONS(1528),
    [anon_sym_event] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_on] = ACTIONS(1528),
  },
  [269] = {
    [sym_arguments] = STATE(275),
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_var] = ACTIONS(1532),
    [anon_sym_let] = ACTIONS(1532),
    [anon_sym_const] = ACTIONS(1532),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_else] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1532),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_await] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1532),
    [anon_sym_do] = ACTIONS(1532),
    [anon_sym_try] = ACTIONS(1532),
    [anon_sym_with] = ACTIONS(1532),
    [anon_sym_break] = ACTIONS(1532),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_debugger] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1532),
    [anon_sym_throw] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_case] = ACTIONS(1532),
    [anon_sym_default] = ACTIONS(1532),
    [anon_sym_yield] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_class] = ACTIONS(1532),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_function] = ACTIONS(1532),
    [anon_sym_new] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_typeof] = ACTIONS(1532),
    [anon_sym_void] = ACTIONS(1532),
    [anon_sym_delete] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [sym_number] = ACTIONS(1530),
    [sym_this] = ACTIONS(1532),
    [sym_super] = ACTIONS(1532),
    [sym_true] = ACTIONS(1532),
    [sym_false] = ACTIONS(1532),
    [sym_null] = ACTIONS(1532),
    [sym_undefined] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1530),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_get] = ACTIONS(1532),
    [anon_sym_set] = ACTIONS(1532),
    [anon_sym_component] = ACTIONS(1532),
    [anon_sym_instance] = ACTIONS(1532),
    [anon_sym_id] = ACTIONS(1532),
    [anon_sym_event] = ACTIONS(1532),
    [anon_sym_fn] = ACTIONS(1532),
    [anon_sym_on] = ACTIONS(1532),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_import] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_var] = ACTIONS(1536),
    [anon_sym_let] = ACTIONS(1536),
    [anon_sym_const] = ACTIONS(1536),
    [anon_sym_if] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1536),
    [anon_sym_switch] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_await] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1536),
    [anon_sym_with] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1536),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_debugger] = ACTIONS(1536),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_throw] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_case] = ACTIONS(1536),
    [anon_sym_default] = ACTIONS(1536),
    [anon_sym_yield] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_class] = ACTIONS(1536),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_typeof] = ACTIONS(1536),
    [anon_sym_void] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [sym_number] = ACTIONS(1534),
    [sym_this] = ACTIONS(1536),
    [sym_super] = ACTIONS(1536),
    [sym_true] = ACTIONS(1536),
    [sym_false] = ACTIONS(1536),
    [sym_null] = ACTIONS(1536),
    [sym_undefined] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1534),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_component] = ACTIONS(1536),
    [anon_sym_instance] = ACTIONS(1536),
    [anon_sym_id] = ACTIONS(1536),
    [anon_sym_event] = ACTIONS(1536),
    [anon_sym_fn] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_import] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_var] = ACTIONS(1540),
    [anon_sym_let] = ACTIONS(1540),
    [anon_sym_const] = ACTIONS(1540),
    [anon_sym_if] = ACTIONS(1540),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1540),
    [anon_sym_for] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_await] = ACTIONS(1540),
    [anon_sym_while] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(1540),
    [anon_sym_try] = ACTIONS(1540),
    [anon_sym_with] = ACTIONS(1540),
    [anon_sym_break] = ACTIONS(1540),
    [anon_sym_continue] = ACTIONS(1540),
    [anon_sym_debugger] = ACTIONS(1540),
    [anon_sym_return] = ACTIONS(1540),
    [anon_sym_throw] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1540),
    [anon_sym_default] = ACTIONS(1540),
    [anon_sym_yield] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_class] = ACTIONS(1540),
    [anon_sym_async] = ACTIONS(1540),
    [anon_sym_function] = ACTIONS(1540),
    [anon_sym_new] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_typeof] = ACTIONS(1540),
    [anon_sym_void] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [sym_number] = ACTIONS(1538),
    [sym_this] = ACTIONS(1540),
    [sym_super] = ACTIONS(1540),
    [sym_true] = ACTIONS(1540),
    [sym_false] = ACTIONS(1540),
    [sym_null] = ACTIONS(1540),
    [sym_undefined] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_component] = ACTIONS(1540),
    [anon_sym_instance] = ACTIONS(1540),
    [anon_sym_id] = ACTIONS(1540),
    [anon_sym_event] = ACTIONS(1540),
    [anon_sym_fn] = ACTIONS(1540),
    [anon_sym_on] = ACTIONS(1540),
  },
  [272] = {
    [sym_arguments] = STATE(501),
    [sym_component_identifier] = STATE(1531),
    [sym_new_component_body] = STATE(463),
    [aux_sym_component_heritage_repeat1] = STATE(1101),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1554),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1558),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_import] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_var] = ACTIONS(1562),
    [anon_sym_let] = ACTIONS(1562),
    [anon_sym_const] = ACTIONS(1562),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_else] = ACTIONS(1562),
    [anon_sym_switch] = ACTIONS(1562),
    [anon_sym_for] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_await] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1562),
    [anon_sym_do] = ACTIONS(1562),
    [anon_sym_try] = ACTIONS(1562),
    [anon_sym_with] = ACTIONS(1562),
    [anon_sym_break] = ACTIONS(1562),
    [anon_sym_continue] = ACTIONS(1562),
    [anon_sym_debugger] = ACTIONS(1562),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_case] = ACTIONS(1562),
    [anon_sym_default] = ACTIONS(1562),
    [anon_sym_yield] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_class] = ACTIONS(1562),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(1562),
    [anon_sym_new] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_typeof] = ACTIONS(1562),
    [anon_sym_void] = ACTIONS(1562),
    [anon_sym_delete] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [sym_number] = ACTIONS(1560),
    [sym_this] = ACTIONS(1562),
    [sym_super] = ACTIONS(1562),
    [sym_true] = ACTIONS(1562),
    [sym_false] = ACTIONS(1562),
    [sym_null] = ACTIONS(1562),
    [sym_undefined] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_component] = ACTIONS(1562),
    [anon_sym_instance] = ACTIONS(1562),
    [anon_sym_id] = ACTIONS(1562),
    [anon_sym_event] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_on] = ACTIONS(1562),
  },
  [274] = {
    [sym_catch_clause] = STATE(284),
    [sym_finally_clause] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1566),
    [anon_sym_import] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_var] = ACTIONS(1566),
    [anon_sym_let] = ACTIONS(1566),
    [anon_sym_const] = ACTIONS(1566),
    [anon_sym_if] = ACTIONS(1566),
    [anon_sym_else] = ACTIONS(1566),
    [anon_sym_switch] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_await] = ACTIONS(1566),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_do] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1566),
    [anon_sym_with] = ACTIONS(1566),
    [anon_sym_break] = ACTIONS(1566),
    [anon_sym_continue] = ACTIONS(1566),
    [anon_sym_debugger] = ACTIONS(1566),
    [anon_sym_return] = ACTIONS(1566),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_case] = ACTIONS(1566),
    [anon_sym_default] = ACTIONS(1566),
    [anon_sym_catch] = ACTIONS(1568),
    [anon_sym_finally] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_class] = ACTIONS(1566),
    [anon_sym_async] = ACTIONS(1566),
    [anon_sym_function] = ACTIONS(1566),
    [anon_sym_new] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_typeof] = ACTIONS(1566),
    [anon_sym_void] = ACTIONS(1566),
    [anon_sym_delete] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_super] = ACTIONS(1566),
    [sym_true] = ACTIONS(1566),
    [sym_false] = ACTIONS(1566),
    [sym_null] = ACTIONS(1566),
    [sym_undefined] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1564),
    [anon_sym_static] = ACTIONS(1566),
    [anon_sym_get] = ACTIONS(1566),
    [anon_sym_set] = ACTIONS(1566),
    [anon_sym_component] = ACTIONS(1566),
    [anon_sym_instance] = ACTIONS(1566),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_import] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_var] = ACTIONS(1574),
    [anon_sym_let] = ACTIONS(1574),
    [anon_sym_const] = ACTIONS(1574),
    [anon_sym_if] = ACTIONS(1574),
    [anon_sym_else] = ACTIONS(1574),
    [anon_sym_switch] = ACTIONS(1574),
    [anon_sym_for] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_await] = ACTIONS(1574),
    [anon_sym_while] = ACTIONS(1574),
    [anon_sym_do] = ACTIONS(1574),
    [anon_sym_try] = ACTIONS(1574),
    [anon_sym_with] = ACTIONS(1574),
    [anon_sym_break] = ACTIONS(1574),
    [anon_sym_continue] = ACTIONS(1574),
    [anon_sym_debugger] = ACTIONS(1574),
    [anon_sym_return] = ACTIONS(1574),
    [anon_sym_throw] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_case] = ACTIONS(1574),
    [anon_sym_default] = ACTIONS(1574),
    [anon_sym_yield] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_class] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_function] = ACTIONS(1574),
    [anon_sym_new] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_typeof] = ACTIONS(1574),
    [anon_sym_void] = ACTIONS(1574),
    [anon_sym_delete] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [sym_number] = ACTIONS(1572),
    [sym_this] = ACTIONS(1574),
    [sym_super] = ACTIONS(1574),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [sym_null] = ACTIONS(1574),
    [sym_undefined] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1572),
    [anon_sym_static] = ACTIONS(1574),
    [anon_sym_get] = ACTIONS(1574),
    [anon_sym_set] = ACTIONS(1574),
    [anon_sym_component] = ACTIONS(1574),
    [anon_sym_instance] = ACTIONS(1574),
    [anon_sym_id] = ACTIONS(1574),
    [anon_sym_event] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_on] = ACTIONS(1574),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [sym_identifier] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1578),
    [anon_sym_let] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_await] = ACTIONS(1578),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1578),
    [anon_sym_try] = ACTIONS(1578),
    [anon_sym_with] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_continue] = ACTIONS(1578),
    [anon_sym_debugger] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_case] = ACTIONS(1578),
    [anon_sym_default] = ACTIONS(1578),
    [anon_sym_yield] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_class] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_new] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_void] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [sym_number] = ACTIONS(1576),
    [sym_this] = ACTIONS(1578),
    [sym_super] = ACTIONS(1578),
    [sym_true] = ACTIONS(1578),
    [sym_false] = ACTIONS(1578),
    [sym_null] = ACTIONS(1578),
    [sym_undefined] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1576),
    [anon_sym_static] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_component] = ACTIONS(1578),
    [anon_sym_instance] = ACTIONS(1578),
    [anon_sym_id] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_fn] = ACTIONS(1578),
    [anon_sym_on] = ACTIONS(1578),
  },
  [277] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [278] = {
    [sym_component_identifier] = STATE(1531),
    [sym_new_component_body] = STATE(463),
    [aux_sym_component_heritage_repeat1] = STATE(1101),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1554),
    [anon_sym_PLUS_EQ] = ACTIONS(1591),
    [anon_sym_DASH_EQ] = ACTIONS(1591),
    [anon_sym_STAR_EQ] = ACTIONS(1591),
    [anon_sym_SLASH_EQ] = ACTIONS(1591),
    [anon_sym_PERCENT_EQ] = ACTIONS(1591),
    [anon_sym_CARET_EQ] = ACTIONS(1591),
    [anon_sym_AMP_EQ] = ACTIONS(1591),
    [anon_sym_PIPE_EQ] = ACTIONS(1591),
    [anon_sym_GT_GT_EQ] = ACTIONS(1591),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1591),
    [anon_sym_LT_LT_EQ] = ACTIONS(1591),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1591),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_constructor] = ACTIONS(1585),
    [anon_sym_POUND] = ACTIONS(1558),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [279] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [280] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [281] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [282] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [283] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [284] = {
    [sym_finally_clause] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_RBRACE] = ACTIONS(1595),
    [anon_sym_var] = ACTIONS(1597),
    [anon_sym_let] = ACTIONS(1597),
    [anon_sym_const] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1597),
    [anon_sym_else] = ACTIONS(1597),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1597),
    [anon_sym_try] = ACTIONS(1597),
    [anon_sym_with] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1597),
    [anon_sym_continue] = ACTIONS(1597),
    [anon_sym_debugger] = ACTIONS(1597),
    [anon_sym_return] = ACTIONS(1597),
    [anon_sym_throw] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1597),
    [anon_sym_default] = ACTIONS(1597),
    [anon_sym_finally] = ACTIONS(1570),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_class] = ACTIONS(1597),
    [anon_sym_async] = ACTIONS(1597),
    [anon_sym_function] = ACTIONS(1597),
    [anon_sym_new] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1595),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1595),
    [anon_sym_DQUOTE] = ACTIONS(1595),
    [anon_sym_SQUOTE] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1595),
    [sym_number] = ACTIONS(1595),
    [sym_this] = ACTIONS(1597),
    [sym_super] = ACTIONS(1597),
    [sym_true] = ACTIONS(1597),
    [sym_false] = ACTIONS(1597),
    [sym_null] = ACTIONS(1597),
    [sym_undefined] = ACTIONS(1597),
    [anon_sym_AT] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1597),
    [anon_sym_get] = ACTIONS(1597),
    [anon_sym_set] = ACTIONS(1597),
    [anon_sym_component] = ACTIONS(1597),
    [anon_sym_instance] = ACTIONS(1597),
  },
  [285] = {
    [sym_arguments] = STATE(500),
    [sym_formal_parameters] = STATE(1620),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
    [anon_sym_function] = ACTIONS(1607),
    [anon_sym_EQ_GT] = ACTIONS(1609),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_get] = ACTIONS(1599),
    [anon_sym_set] = ACTIONS(1599),
    [anon_sym_constructor] = ACTIONS(1599),
    [anon_sym_id] = ACTIONS(1599),
    [anon_sym_event] = ACTIONS(1599),
    [anon_sym_fn] = ACTIONS(1599),
    [anon_sym_on] = ACTIONS(1599),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym_identifier] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_var] = ACTIONS(1615),
    [anon_sym_let] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [anon_sym_await] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_try] = ACTIONS(1615),
    [anon_sym_with] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_debugger] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_throw] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_finally] = ACTIONS(1615),
    [anon_sym_yield] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_class] = ACTIONS(1615),
    [anon_sym_async] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1615),
    [anon_sym_new] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_void] = ACTIONS(1615),
    [anon_sym_delete] = ACTIONS(1615),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1613),
    [sym_number] = ACTIONS(1613),
    [sym_this] = ACTIONS(1615),
    [sym_super] = ACTIONS(1615),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [sym_null] = ACTIONS(1615),
    [sym_undefined] = ACTIONS(1615),
    [anon_sym_AT] = ACTIONS(1613),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_get] = ACTIONS(1615),
    [anon_sym_set] = ACTIONS(1615),
    [anon_sym_component] = ACTIONS(1615),
    [anon_sym_instance] = ACTIONS(1615),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [sym_identifier] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_var] = ACTIONS(1619),
    [anon_sym_let] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_else] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_await] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_try] = ACTIONS(1619),
    [anon_sym_with] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_debugger] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_throw] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_finally] = ACTIONS(1619),
    [anon_sym_yield] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_class] = ACTIONS(1619),
    [anon_sym_async] = ACTIONS(1619),
    [anon_sym_function] = ACTIONS(1619),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_typeof] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1617),
    [sym_number] = ACTIONS(1617),
    [sym_this] = ACTIONS(1619),
    [sym_super] = ACTIONS(1619),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [sym_null] = ACTIONS(1619),
    [sym_undefined] = ACTIONS(1619),
    [anon_sym_AT] = ACTIONS(1617),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_get] = ACTIONS(1619),
    [anon_sym_set] = ACTIONS(1619),
    [anon_sym_component] = ACTIONS(1619),
    [anon_sym_instance] = ACTIONS(1619),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_import] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_var] = ACTIONS(1623),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1623),
    [anon_sym_with] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_debugger] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_throw] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_yield] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_class] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_typeof] = ACTIONS(1623),
    [anon_sym_void] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1621),
    [sym_number] = ACTIONS(1621),
    [sym_this] = ACTIONS(1623),
    [sym_super] = ACTIONS(1623),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [sym_null] = ACTIONS(1623),
    [sym_undefined] = ACTIONS(1623),
    [anon_sym_AT] = ACTIONS(1621),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(1623),
    [anon_sym_set] = ACTIONS(1623),
    [anon_sym_component] = ACTIONS(1623),
    [anon_sym_instance] = ACTIONS(1623),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_var] = ACTIONS(1627),
    [anon_sym_let] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_await] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_with] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_debugger] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_yield] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_async] = ACTIONS(1627),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_typeof] = ACTIONS(1627),
    [anon_sym_void] = ACTIONS(1627),
    [anon_sym_delete] = ACTIONS(1627),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1625),
    [sym_number] = ACTIONS(1625),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [sym_null] = ACTIONS(1627),
    [sym_undefined] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1625),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_get] = ACTIONS(1627),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_component] = ACTIONS(1627),
    [anon_sym_instance] = ACTIONS(1627),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1631),
    [anon_sym_import] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_var] = ACTIONS(1631),
    [anon_sym_let] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_else] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_await] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_try] = ACTIONS(1631),
    [anon_sym_with] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_debugger] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_yield] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_class] = ACTIONS(1631),
    [anon_sym_async] = ACTIONS(1631),
    [anon_sym_function] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_typeof] = ACTIONS(1631),
    [anon_sym_void] = ACTIONS(1631),
    [anon_sym_delete] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1629),
    [sym_number] = ACTIONS(1629),
    [sym_this] = ACTIONS(1631),
    [sym_super] = ACTIONS(1631),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [sym_null] = ACTIONS(1631),
    [sym_undefined] = ACTIONS(1631),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_get] = ACTIONS(1631),
    [anon_sym_set] = ACTIONS(1631),
    [anon_sym_component] = ACTIONS(1631),
    [anon_sym_instance] = ACTIONS(1631),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1635),
    [anon_sym_import] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_var] = ACTIONS(1635),
    [anon_sym_let] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_else] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_try] = ACTIONS(1635),
    [anon_sym_with] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_debugger] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_finally] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_class] = ACTIONS(1635),
    [anon_sym_async] = ACTIONS(1635),
    [anon_sym_function] = ACTIONS(1635),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_typeof] = ACTIONS(1635),
    [anon_sym_void] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1633),
    [sym_this] = ACTIONS(1635),
    [sym_super] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_null] = ACTIONS(1635),
    [sym_undefined] = ACTIONS(1635),
    [anon_sym_AT] = ACTIONS(1633),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_get] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1635),
    [anon_sym_component] = ACTIONS(1635),
    [anon_sym_instance] = ACTIONS(1635),
  },
  [292] = {
    [sym_arguments] = STATE(501),
    [sym_component_identifier] = STATE(1531),
    [sym_new_component_body] = STATE(463),
    [aux_sym_component_heritage_repeat1] = STATE(1101),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1637),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_POUND] = ACTIONS(1558),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [sym_identifier] = ACTIONS(1641),
    [anon_sym_import] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_var] = ACTIONS(1641),
    [anon_sym_let] = ACTIONS(1641),
    [anon_sym_const] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1641),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_switch] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_await] = ACTIONS(1641),
    [anon_sym_while] = ACTIONS(1641),
    [anon_sym_do] = ACTIONS(1641),
    [anon_sym_try] = ACTIONS(1641),
    [anon_sym_with] = ACTIONS(1641),
    [anon_sym_break] = ACTIONS(1641),
    [anon_sym_continue] = ACTIONS(1641),
    [anon_sym_debugger] = ACTIONS(1641),
    [anon_sym_return] = ACTIONS(1641),
    [anon_sym_throw] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_yield] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_class] = ACTIONS(1641),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1641),
    [anon_sym_new] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1639),
    [anon_sym_TILDE] = ACTIONS(1639),
    [anon_sym_typeof] = ACTIONS(1641),
    [anon_sym_void] = ACTIONS(1641),
    [anon_sym_delete] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [anon_sym_DQUOTE] = ACTIONS(1639),
    [anon_sym_SQUOTE] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1639),
    [sym_number] = ACTIONS(1639),
    [sym_this] = ACTIONS(1641),
    [sym_super] = ACTIONS(1641),
    [sym_true] = ACTIONS(1641),
    [sym_false] = ACTIONS(1641),
    [sym_null] = ACTIONS(1641),
    [sym_undefined] = ACTIONS(1641),
    [anon_sym_AT] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1641),
    [anon_sym_get] = ACTIONS(1641),
    [anon_sym_set] = ACTIONS(1641),
    [anon_sym_component] = ACTIONS(1641),
    [anon_sym_instance] = ACTIONS(1641),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1643),
    [sym_identifier] = ACTIONS(1645),
    [anon_sym_import] = ACTIONS(1645),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_var] = ACTIONS(1645),
    [anon_sym_let] = ACTIONS(1645),
    [anon_sym_const] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_else] = ACTIONS(1645),
    [anon_sym_switch] = ACTIONS(1645),
    [anon_sym_for] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_await] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(1645),
    [anon_sym_try] = ACTIONS(1645),
    [anon_sym_with] = ACTIONS(1645),
    [anon_sym_break] = ACTIONS(1645),
    [anon_sym_continue] = ACTIONS(1645),
    [anon_sym_debugger] = ACTIONS(1645),
    [anon_sym_return] = ACTIONS(1645),
    [anon_sym_throw] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_yield] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym_class] = ACTIONS(1645),
    [anon_sym_async] = ACTIONS(1645),
    [anon_sym_function] = ACTIONS(1645),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_TILDE] = ACTIONS(1643),
    [anon_sym_typeof] = ACTIONS(1645),
    [anon_sym_void] = ACTIONS(1645),
    [anon_sym_delete] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_DQUOTE] = ACTIONS(1643),
    [anon_sym_SQUOTE] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1643),
    [sym_number] = ACTIONS(1643),
    [sym_this] = ACTIONS(1645),
    [sym_super] = ACTIONS(1645),
    [sym_true] = ACTIONS(1645),
    [sym_false] = ACTIONS(1645),
    [sym_null] = ACTIONS(1645),
    [sym_undefined] = ACTIONS(1645),
    [anon_sym_AT] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1645),
    [anon_sym_get] = ACTIONS(1645),
    [anon_sym_set] = ACTIONS(1645),
    [anon_sym_component] = ACTIONS(1645),
    [anon_sym_instance] = ACTIONS(1645),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [sym_identifier] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1649),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_var] = ACTIONS(1649),
    [anon_sym_let] = ACTIONS(1649),
    [anon_sym_const] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1649),
    [anon_sym_else] = ACTIONS(1649),
    [anon_sym_switch] = ACTIONS(1649),
    [anon_sym_for] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1649),
    [anon_sym_try] = ACTIONS(1649),
    [anon_sym_with] = ACTIONS(1649),
    [anon_sym_break] = ACTIONS(1649),
    [anon_sym_continue] = ACTIONS(1649),
    [anon_sym_debugger] = ACTIONS(1649),
    [anon_sym_return] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1649),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_yield] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1649),
    [anon_sym_class] = ACTIONS(1649),
    [anon_sym_async] = ACTIONS(1649),
    [anon_sym_function] = ACTIONS(1649),
    [anon_sym_new] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_typeof] = ACTIONS(1649),
    [anon_sym_void] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1647),
    [sym_this] = ACTIONS(1649),
    [sym_super] = ACTIONS(1649),
    [sym_true] = ACTIONS(1649),
    [sym_false] = ACTIONS(1649),
    [sym_null] = ACTIONS(1649),
    [sym_undefined] = ACTIONS(1649),
    [anon_sym_AT] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1649),
    [anon_sym_get] = ACTIONS(1649),
    [anon_sym_set] = ACTIONS(1649),
    [anon_sym_component] = ACTIONS(1649),
    [anon_sym_instance] = ACTIONS(1649),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1651),
    [sym_identifier] = ACTIONS(1653),
    [anon_sym_import] = ACTIONS(1653),
    [anon_sym_LBRACE] = ACTIONS(1651),
    [anon_sym_RBRACE] = ACTIONS(1651),
    [anon_sym_var] = ACTIONS(1653),
    [anon_sym_let] = ACTIONS(1653),
    [anon_sym_const] = ACTIONS(1653),
    [anon_sym_if] = ACTIONS(1653),
    [anon_sym_else] = ACTIONS(1653),
    [anon_sym_switch] = ACTIONS(1653),
    [anon_sym_for] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1651),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_while] = ACTIONS(1653),
    [anon_sym_do] = ACTIONS(1653),
    [anon_sym_try] = ACTIONS(1653),
    [anon_sym_with] = ACTIONS(1653),
    [anon_sym_break] = ACTIONS(1653),
    [anon_sym_continue] = ACTIONS(1653),
    [anon_sym_debugger] = ACTIONS(1653),
    [anon_sym_return] = ACTIONS(1653),
    [anon_sym_throw] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1653),
    [anon_sym_default] = ACTIONS(1653),
    [anon_sym_yield] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(1653),
    [anon_sym_class] = ACTIONS(1653),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(1653),
    [anon_sym_new] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1651),
    [anon_sym_TILDE] = ACTIONS(1651),
    [anon_sym_typeof] = ACTIONS(1653),
    [anon_sym_void] = ACTIONS(1653),
    [anon_sym_delete] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [anon_sym_SQUOTE] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1651),
    [sym_number] = ACTIONS(1651),
    [sym_this] = ACTIONS(1653),
    [sym_super] = ACTIONS(1653),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_AT] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1653),
    [anon_sym_get] = ACTIONS(1653),
    [anon_sym_set] = ACTIONS(1653),
    [anon_sym_component] = ACTIONS(1653),
    [anon_sym_instance] = ACTIONS(1653),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_import] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1655),
    [anon_sym_RBRACE] = ACTIONS(1655),
    [anon_sym_var] = ACTIONS(1657),
    [anon_sym_let] = ACTIONS(1657),
    [anon_sym_const] = ACTIONS(1657),
    [anon_sym_if] = ACTIONS(1657),
    [anon_sym_else] = ACTIONS(1657),
    [anon_sym_switch] = ACTIONS(1657),
    [anon_sym_for] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [anon_sym_while] = ACTIONS(1657),
    [anon_sym_do] = ACTIONS(1657),
    [anon_sym_try] = ACTIONS(1657),
    [anon_sym_with] = ACTIONS(1657),
    [anon_sym_break] = ACTIONS(1657),
    [anon_sym_continue] = ACTIONS(1657),
    [anon_sym_debugger] = ACTIONS(1657),
    [anon_sym_return] = ACTIONS(1657),
    [anon_sym_throw] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1657),
    [anon_sym_default] = ACTIONS(1657),
    [anon_sym_yield] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_SLASH] = ACTIONS(1657),
    [anon_sym_class] = ACTIONS(1657),
    [anon_sym_async] = ACTIONS(1657),
    [anon_sym_function] = ACTIONS(1657),
    [anon_sym_new] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1655),
    [anon_sym_TILDE] = ACTIONS(1655),
    [anon_sym_typeof] = ACTIONS(1657),
    [anon_sym_void] = ACTIONS(1657),
    [anon_sym_delete] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1655),
    [anon_sym_DQUOTE] = ACTIONS(1655),
    [anon_sym_SQUOTE] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1655),
    [sym_number] = ACTIONS(1655),
    [sym_this] = ACTIONS(1657),
    [sym_super] = ACTIONS(1657),
    [sym_true] = ACTIONS(1657),
    [sym_false] = ACTIONS(1657),
    [sym_null] = ACTIONS(1657),
    [sym_undefined] = ACTIONS(1657),
    [anon_sym_AT] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1657),
    [anon_sym_get] = ACTIONS(1657),
    [anon_sym_set] = ACTIONS(1657),
    [anon_sym_component] = ACTIONS(1657),
    [anon_sym_instance] = ACTIONS(1657),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1659),
    [sym_identifier] = ACTIONS(1661),
    [anon_sym_import] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_var] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1661),
    [anon_sym_const] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1661),
    [anon_sym_for] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_await] = ACTIONS(1661),
    [anon_sym_while] = ACTIONS(1661),
    [anon_sym_do] = ACTIONS(1661),
    [anon_sym_try] = ACTIONS(1661),
    [anon_sym_with] = ACTIONS(1661),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1661),
    [anon_sym_debugger] = ACTIONS(1661),
    [anon_sym_return] = ACTIONS(1661),
    [anon_sym_throw] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1661),
    [anon_sym_default] = ACTIONS(1661),
    [anon_sym_yield] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym_class] = ACTIONS(1661),
    [anon_sym_async] = ACTIONS(1661),
    [anon_sym_function] = ACTIONS(1661),
    [anon_sym_new] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_TILDE] = ACTIONS(1659),
    [anon_sym_typeof] = ACTIONS(1661),
    [anon_sym_void] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_DQUOTE] = ACTIONS(1659),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1659),
    [sym_number] = ACTIONS(1659),
    [sym_this] = ACTIONS(1661),
    [sym_super] = ACTIONS(1661),
    [sym_true] = ACTIONS(1661),
    [sym_false] = ACTIONS(1661),
    [sym_null] = ACTIONS(1661),
    [sym_undefined] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1661),
    [anon_sym_get] = ACTIONS(1661),
    [anon_sym_set] = ACTIONS(1661),
    [anon_sym_component] = ACTIONS(1661),
    [anon_sym_instance] = ACTIONS(1661),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1663),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_import] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_var] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1665),
    [anon_sym_const] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1665),
    [anon_sym_else] = ACTIONS(1665),
    [anon_sym_switch] = ACTIONS(1665),
    [anon_sym_for] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_await] = ACTIONS(1665),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1665),
    [anon_sym_try] = ACTIONS(1665),
    [anon_sym_with] = ACTIONS(1665),
    [anon_sym_break] = ACTIONS(1665),
    [anon_sym_continue] = ACTIONS(1665),
    [anon_sym_debugger] = ACTIONS(1665),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_throw] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1665),
    [anon_sym_default] = ACTIONS(1665),
    [anon_sym_yield] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_class] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1665),
    [anon_sym_function] = ACTIONS(1665),
    [anon_sym_new] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(1663),
    [anon_sym_typeof] = ACTIONS(1665),
    [anon_sym_void] = ACTIONS(1665),
    [anon_sym_delete] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [anon_sym_DQUOTE] = ACTIONS(1663),
    [anon_sym_SQUOTE] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1663),
    [sym_number] = ACTIONS(1663),
    [sym_this] = ACTIONS(1665),
    [sym_super] = ACTIONS(1665),
    [sym_true] = ACTIONS(1665),
    [sym_false] = ACTIONS(1665),
    [sym_null] = ACTIONS(1665),
    [sym_undefined] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1665),
    [anon_sym_get] = ACTIONS(1665),
    [anon_sym_set] = ACTIONS(1665),
    [anon_sym_component] = ACTIONS(1665),
    [anon_sym_instance] = ACTIONS(1665),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(1667),
    [sym_identifier] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1667),
    [anon_sym_RBRACE] = ACTIONS(1667),
    [anon_sym_var] = ACTIONS(1669),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_const] = ACTIONS(1669),
    [anon_sym_if] = ACTIONS(1669),
    [anon_sym_else] = ACTIONS(1669),
    [anon_sym_switch] = ACTIONS(1669),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1667),
    [anon_sym_await] = ACTIONS(1669),
    [anon_sym_while] = ACTIONS(1669),
    [anon_sym_do] = ACTIONS(1669),
    [anon_sym_try] = ACTIONS(1669),
    [anon_sym_with] = ACTIONS(1669),
    [anon_sym_break] = ACTIONS(1669),
    [anon_sym_continue] = ACTIONS(1669),
    [anon_sym_debugger] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1669),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1669),
    [anon_sym_default] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_class] = ACTIONS(1669),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(1669),
    [anon_sym_new] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1667),
    [anon_sym_TILDE] = ACTIONS(1667),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_DQUOTE] = ACTIONS(1667),
    [anon_sym_SQUOTE] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1667),
    [sym_number] = ACTIONS(1667),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(1669),
    [sym_true] = ACTIONS(1669),
    [sym_false] = ACTIONS(1669),
    [sym_null] = ACTIONS(1669),
    [sym_undefined] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_component] = ACTIONS(1669),
    [anon_sym_instance] = ACTIONS(1669),
  },
  [301] = {
    [sym_component_identifier] = STATE(1531),
    [sym_new_component_body] = STATE(463),
    [aux_sym_component_heritage_repeat1] = STATE(1101),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1637),
    [anon_sym_PLUS_EQ] = ACTIONS(1673),
    [anon_sym_DASH_EQ] = ACTIONS(1673),
    [anon_sym_STAR_EQ] = ACTIONS(1673),
    [anon_sym_SLASH_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_CARET_EQ] = ACTIONS(1673),
    [anon_sym_AMP_EQ] = ACTIONS(1673),
    [anon_sym_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_GT_GT_EQ] = ACTIONS(1673),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT_EQ] = ACTIONS(1673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1673),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_POUND] = ACTIONS(1558),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(1675),
    [sym_identifier] = ACTIONS(1677),
    [anon_sym_import] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_RBRACE] = ACTIONS(1675),
    [anon_sym_var] = ACTIONS(1677),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1675),
    [anon_sym_await] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
    [anon_sym_try] = ACTIONS(1677),
    [anon_sym_with] = ACTIONS(1677),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_debugger] = ACTIONS(1677),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_throw] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_yield] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_class] = ACTIONS(1677),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1677),
    [anon_sym_new] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1675),
    [anon_sym_TILDE] = ACTIONS(1675),
    [anon_sym_typeof] = ACTIONS(1677),
    [anon_sym_void] = ACTIONS(1677),
    [anon_sym_delete] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_DQUOTE] = ACTIONS(1675),
    [anon_sym_SQUOTE] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1675),
    [sym_number] = ACTIONS(1675),
    [sym_this] = ACTIONS(1677),
    [sym_super] = ACTIONS(1677),
    [sym_true] = ACTIONS(1677),
    [sym_false] = ACTIONS(1677),
    [sym_null] = ACTIONS(1677),
    [sym_undefined] = ACTIONS(1677),
    [anon_sym_AT] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_get] = ACTIONS(1677),
    [anon_sym_set] = ACTIONS(1677),
    [anon_sym_component] = ACTIONS(1677),
    [anon_sym_instance] = ACTIONS(1677),
  },
  [303] = {
    [sym_arguments] = STATE(500),
    [sym_formal_parameters] = STATE(1672),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
    [anon_sym_function] = ACTIONS(1607),
    [anon_sym_EQ_GT] = ACTIONS(1679),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_get] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1681),
    [anon_sym_id] = ACTIONS(1599),
    [anon_sym_event] = ACTIONS(1599),
    [anon_sym_fn] = ACTIONS(1599),
    [anon_sym_on] = ACTIONS(1599),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1683),
    [sym_identifier] = ACTIONS(1685),
    [anon_sym_import] = ACTIONS(1685),
    [anon_sym_LBRACE] = ACTIONS(1683),
    [anon_sym_RBRACE] = ACTIONS(1683),
    [anon_sym_var] = ACTIONS(1685),
    [anon_sym_let] = ACTIONS(1685),
    [anon_sym_const] = ACTIONS(1685),
    [anon_sym_if] = ACTIONS(1685),
    [anon_sym_else] = ACTIONS(1685),
    [anon_sym_switch] = ACTIONS(1685),
    [anon_sym_for] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1683),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_while] = ACTIONS(1685),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_with] = ACTIONS(1685),
    [anon_sym_break] = ACTIONS(1685),
    [anon_sym_continue] = ACTIONS(1685),
    [anon_sym_debugger] = ACTIONS(1685),
    [anon_sym_return] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1685),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_yield] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1683),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1685),
    [anon_sym_class] = ACTIONS(1685),
    [anon_sym_async] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1685),
    [anon_sym_new] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_typeof] = ACTIONS(1685),
    [anon_sym_void] = ACTIONS(1685),
    [anon_sym_delete] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(1683),
    [anon_sym_SQUOTE] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1683),
    [sym_number] = ACTIONS(1683),
    [sym_this] = ACTIONS(1685),
    [sym_super] = ACTIONS(1685),
    [sym_true] = ACTIONS(1685),
    [sym_false] = ACTIONS(1685),
    [sym_null] = ACTIONS(1685),
    [sym_undefined] = ACTIONS(1685),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1685),
    [anon_sym_set] = ACTIONS(1685),
    [anon_sym_component] = ACTIONS(1685),
    [anon_sym_instance] = ACTIONS(1685),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_import] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1687),
    [anon_sym_RBRACE] = ACTIONS(1687),
    [anon_sym_var] = ACTIONS(1689),
    [anon_sym_let] = ACTIONS(1689),
    [anon_sym_const] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_switch] = ACTIONS(1689),
    [anon_sym_for] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1687),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_while] = ACTIONS(1689),
    [anon_sym_do] = ACTIONS(1689),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_with] = ACTIONS(1689),
    [anon_sym_break] = ACTIONS(1689),
    [anon_sym_continue] = ACTIONS(1689),
    [anon_sym_debugger] = ACTIONS(1689),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1689),
    [anon_sym_default] = ACTIONS(1689),
    [anon_sym_yield] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym_class] = ACTIONS(1689),
    [anon_sym_async] = ACTIONS(1689),
    [anon_sym_function] = ACTIONS(1689),
    [anon_sym_new] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(1687),
    [anon_sym_typeof] = ACTIONS(1689),
    [anon_sym_void] = ACTIONS(1689),
    [anon_sym_delete] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_DQUOTE] = ACTIONS(1687),
    [anon_sym_SQUOTE] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1687),
    [sym_number] = ACTIONS(1687),
    [sym_this] = ACTIONS(1689),
    [sym_super] = ACTIONS(1689),
    [sym_true] = ACTIONS(1689),
    [sym_false] = ACTIONS(1689),
    [sym_null] = ACTIONS(1689),
    [sym_undefined] = ACTIONS(1689),
    [anon_sym_AT] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1689),
    [anon_sym_get] = ACTIONS(1689),
    [anon_sym_set] = ACTIONS(1689),
    [anon_sym_component] = ACTIONS(1689),
    [anon_sym_instance] = ACTIONS(1689),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1691),
    [sym_identifier] = ACTIONS(1693),
    [anon_sym_import] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1691),
    [anon_sym_RBRACE] = ACTIONS(1691),
    [anon_sym_var] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1693),
    [anon_sym_const] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_switch] = ACTIONS(1693),
    [anon_sym_for] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1691),
    [anon_sym_await] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1693),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_try] = ACTIONS(1693),
    [anon_sym_with] = ACTIONS(1693),
    [anon_sym_break] = ACTIONS(1693),
    [anon_sym_continue] = ACTIONS(1693),
    [anon_sym_debugger] = ACTIONS(1693),
    [anon_sym_return] = ACTIONS(1693),
    [anon_sym_throw] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1693),
    [anon_sym_default] = ACTIONS(1693),
    [anon_sym_yield] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_class] = ACTIONS(1693),
    [anon_sym_async] = ACTIONS(1693),
    [anon_sym_function] = ACTIONS(1693),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1691),
    [anon_sym_TILDE] = ACTIONS(1691),
    [anon_sym_typeof] = ACTIONS(1693),
    [anon_sym_void] = ACTIONS(1693),
    [anon_sym_delete] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1691),
    [anon_sym_DQUOTE] = ACTIONS(1691),
    [anon_sym_SQUOTE] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1691),
    [sym_number] = ACTIONS(1691),
    [sym_this] = ACTIONS(1693),
    [sym_super] = ACTIONS(1693),
    [sym_true] = ACTIONS(1693),
    [sym_false] = ACTIONS(1693),
    [sym_null] = ACTIONS(1693),
    [sym_undefined] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1693),
    [anon_sym_get] = ACTIONS(1693),
    [anon_sym_set] = ACTIONS(1693),
    [anon_sym_component] = ACTIONS(1693),
    [anon_sym_instance] = ACTIONS(1693),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1695),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1695),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_var] = ACTIONS(1697),
    [anon_sym_let] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1697),
    [anon_sym_else] = ACTIONS(1697),
    [anon_sym_switch] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_await] = ACTIONS(1697),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1697),
    [anon_sym_with] = ACTIONS(1697),
    [anon_sym_break] = ACTIONS(1697),
    [anon_sym_continue] = ACTIONS(1697),
    [anon_sym_debugger] = ACTIONS(1697),
    [anon_sym_return] = ACTIONS(1697),
    [anon_sym_throw] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1697),
    [anon_sym_default] = ACTIONS(1697),
    [anon_sym_yield] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_class] = ACTIONS(1697),
    [anon_sym_async] = ACTIONS(1697),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_TILDE] = ACTIONS(1695),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_DQUOTE] = ACTIONS(1695),
    [anon_sym_SQUOTE] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1695),
    [sym_number] = ACTIONS(1695),
    [sym_this] = ACTIONS(1697),
    [sym_super] = ACTIONS(1697),
    [sym_true] = ACTIONS(1697),
    [sym_false] = ACTIONS(1697),
    [sym_null] = ACTIONS(1697),
    [sym_undefined] = ACTIONS(1697),
    [anon_sym_AT] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_get] = ACTIONS(1697),
    [anon_sym_set] = ACTIONS(1697),
    [anon_sym_component] = ACTIONS(1697),
    [anon_sym_instance] = ACTIONS(1697),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1699),
    [sym_identifier] = ACTIONS(1701),
    [anon_sym_import] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_var] = ACTIONS(1701),
    [anon_sym_let] = ACTIONS(1701),
    [anon_sym_const] = ACTIONS(1701),
    [anon_sym_if] = ACTIONS(1701),
    [anon_sym_else] = ACTIONS(1701),
    [anon_sym_switch] = ACTIONS(1701),
    [anon_sym_for] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_await] = ACTIONS(1701),
    [anon_sym_while] = ACTIONS(1701),
    [anon_sym_do] = ACTIONS(1701),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_with] = ACTIONS(1701),
    [anon_sym_break] = ACTIONS(1701),
    [anon_sym_continue] = ACTIONS(1701),
    [anon_sym_debugger] = ACTIONS(1701),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_throw] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1701),
    [anon_sym_default] = ACTIONS(1701),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym_class] = ACTIONS(1701),
    [anon_sym_async] = ACTIONS(1701),
    [anon_sym_function] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1699),
    [anon_sym_TILDE] = ACTIONS(1699),
    [anon_sym_typeof] = ACTIONS(1701),
    [anon_sym_void] = ACTIONS(1701),
    [anon_sym_delete] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_DQUOTE] = ACTIONS(1699),
    [anon_sym_SQUOTE] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1699),
    [sym_number] = ACTIONS(1699),
    [sym_this] = ACTIONS(1701),
    [sym_super] = ACTIONS(1701),
    [sym_true] = ACTIONS(1701),
    [sym_false] = ACTIONS(1701),
    [sym_null] = ACTIONS(1701),
    [sym_undefined] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1701),
    [anon_sym_get] = ACTIONS(1701),
    [anon_sym_set] = ACTIONS(1701),
    [anon_sym_component] = ACTIONS(1701),
    [anon_sym_instance] = ACTIONS(1701),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_component] = ACTIONS(1705),
    [anon_sym_instance] = ACTIONS(1705),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1707),
    [sym_identifier] = ACTIONS(1709),
    [anon_sym_import] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_var] = ACTIONS(1709),
    [anon_sym_let] = ACTIONS(1709),
    [anon_sym_const] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_else] = ACTIONS(1709),
    [anon_sym_switch] = ACTIONS(1709),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_try] = ACTIONS(1709),
    [anon_sym_with] = ACTIONS(1709),
    [anon_sym_break] = ACTIONS(1709),
    [anon_sym_continue] = ACTIONS(1709),
    [anon_sym_debugger] = ACTIONS(1709),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1709),
    [anon_sym_default] = ACTIONS(1709),
    [anon_sym_yield] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_class] = ACTIONS(1709),
    [anon_sym_async] = ACTIONS(1709),
    [anon_sym_function] = ACTIONS(1709),
    [anon_sym_new] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_typeof] = ACTIONS(1709),
    [anon_sym_void] = ACTIONS(1709),
    [anon_sym_delete] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [sym_this] = ACTIONS(1709),
    [sym_super] = ACTIONS(1709),
    [sym_true] = ACTIONS(1709),
    [sym_false] = ACTIONS(1709),
    [sym_null] = ACTIONS(1709),
    [sym_undefined] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1709),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_component] = ACTIONS(1709),
    [anon_sym_instance] = ACTIONS(1709),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1711),
    [sym_identifier] = ACTIONS(1713),
    [anon_sym_import] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_var] = ACTIONS(1713),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_const] = ACTIONS(1713),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1713),
    [anon_sym_switch] = ACTIONS(1713),
    [anon_sym_for] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_await] = ACTIONS(1713),
    [anon_sym_while] = ACTIONS(1713),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_try] = ACTIONS(1713),
    [anon_sym_with] = ACTIONS(1713),
    [anon_sym_break] = ACTIONS(1713),
    [anon_sym_continue] = ACTIONS(1713),
    [anon_sym_debugger] = ACTIONS(1713),
    [anon_sym_return] = ACTIONS(1713),
    [anon_sym_throw] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1713),
    [anon_sym_default] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_class] = ACTIONS(1713),
    [anon_sym_async] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1713),
    [anon_sym_new] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1711),
    [anon_sym_TILDE] = ACTIONS(1711),
    [anon_sym_typeof] = ACTIONS(1713),
    [anon_sym_void] = ACTIONS(1713),
    [anon_sym_delete] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_DQUOTE] = ACTIONS(1711),
    [anon_sym_SQUOTE] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1711),
    [sym_number] = ACTIONS(1711),
    [sym_this] = ACTIONS(1713),
    [sym_super] = ACTIONS(1713),
    [sym_true] = ACTIONS(1713),
    [sym_false] = ACTIONS(1713),
    [sym_null] = ACTIONS(1713),
    [sym_undefined] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1713),
    [anon_sym_get] = ACTIONS(1713),
    [anon_sym_set] = ACTIONS(1713),
    [anon_sym_component] = ACTIONS(1713),
    [anon_sym_instance] = ACTIONS(1713),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1715),
    [sym_identifier] = ACTIONS(1717),
    [anon_sym_import] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [anon_sym_var] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_const] = ACTIONS(1717),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1717),
    [anon_sym_switch] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1715),
    [anon_sym_await] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1717),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_with] = ACTIONS(1717),
    [anon_sym_break] = ACTIONS(1717),
    [anon_sym_continue] = ACTIONS(1717),
    [anon_sym_debugger] = ACTIONS(1717),
    [anon_sym_return] = ACTIONS(1717),
    [anon_sym_throw] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1717),
    [anon_sym_default] = ACTIONS(1717),
    [anon_sym_yield] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1717),
    [anon_sym_async] = ACTIONS(1717),
    [anon_sym_function] = ACTIONS(1717),
    [anon_sym_new] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1715),
    [anon_sym_TILDE] = ACTIONS(1715),
    [anon_sym_typeof] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1717),
    [anon_sym_delete] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1715),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1715),
    [sym_number] = ACTIONS(1715),
    [sym_this] = ACTIONS(1717),
    [sym_super] = ACTIONS(1717),
    [sym_true] = ACTIONS(1717),
    [sym_false] = ACTIONS(1717),
    [sym_null] = ACTIONS(1717),
    [sym_undefined] = ACTIONS(1717),
    [anon_sym_AT] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1717),
    [anon_sym_get] = ACTIONS(1717),
    [anon_sym_set] = ACTIONS(1717),
    [anon_sym_component] = ACTIONS(1717),
    [anon_sym_instance] = ACTIONS(1717),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_import] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1721),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1721),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_for] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1719),
    [anon_sym_await] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1721),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_with] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1721),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_debugger] = ACTIONS(1721),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1721),
    [anon_sym_default] = ACTIONS(1721),
    [anon_sym_yield] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1721),
    [anon_sym_class] = ACTIONS(1721),
    [anon_sym_async] = ACTIONS(1721),
    [anon_sym_function] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1721),
    [anon_sym_PLUS] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1719),
    [anon_sym_typeof] = ACTIONS(1721),
    [anon_sym_void] = ACTIONS(1721),
    [anon_sym_delete] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1719),
    [anon_sym_DQUOTE] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1719),
    [sym_number] = ACTIONS(1719),
    [sym_this] = ACTIONS(1721),
    [sym_super] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_undefined] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(1721),
    [anon_sym_set] = ACTIONS(1721),
    [anon_sym_component] = ACTIONS(1721),
    [anon_sym_instance] = ACTIONS(1721),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1723),
    [sym_identifier] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1723),
    [anon_sym_RBRACE] = ACTIONS(1723),
    [anon_sym_var] = ACTIONS(1725),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_const] = ACTIONS(1725),
    [anon_sym_if] = ACTIONS(1725),
    [anon_sym_else] = ACTIONS(1725),
    [anon_sym_switch] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_await] = ACTIONS(1725),
    [anon_sym_while] = ACTIONS(1725),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_try] = ACTIONS(1725),
    [anon_sym_with] = ACTIONS(1725),
    [anon_sym_break] = ACTIONS(1725),
    [anon_sym_continue] = ACTIONS(1725),
    [anon_sym_debugger] = ACTIONS(1725),
    [anon_sym_return] = ACTIONS(1725),
    [anon_sym_throw] = ACTIONS(1725),
    [anon_sym_SEMI] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1725),
    [anon_sym_default] = ACTIONS(1725),
    [anon_sym_yield] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_SLASH] = ACTIONS(1725),
    [anon_sym_class] = ACTIONS(1725),
    [anon_sym_async] = ACTIONS(1725),
    [anon_sym_function] = ACTIONS(1725),
    [anon_sym_new] = ACTIONS(1725),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1723),
    [anon_sym_TILDE] = ACTIONS(1723),
    [anon_sym_typeof] = ACTIONS(1725),
    [anon_sym_void] = ACTIONS(1725),
    [anon_sym_delete] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1723),
    [anon_sym_DQUOTE] = ACTIONS(1723),
    [anon_sym_SQUOTE] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1723),
    [sym_number] = ACTIONS(1723),
    [sym_this] = ACTIONS(1725),
    [sym_super] = ACTIONS(1725),
    [sym_true] = ACTIONS(1725),
    [sym_false] = ACTIONS(1725),
    [sym_null] = ACTIONS(1725),
    [sym_undefined] = ACTIONS(1725),
    [anon_sym_AT] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1725),
    [anon_sym_get] = ACTIONS(1725),
    [anon_sym_set] = ACTIONS(1725),
    [anon_sym_component] = ACTIONS(1725),
    [anon_sym_instance] = ACTIONS(1725),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1729),
    [anon_sym_import] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [anon_sym_var] = ACTIONS(1729),
    [anon_sym_let] = ACTIONS(1729),
    [anon_sym_const] = ACTIONS(1729),
    [anon_sym_if] = ACTIONS(1729),
    [anon_sym_else] = ACTIONS(1729),
    [anon_sym_switch] = ACTIONS(1729),
    [anon_sym_for] = ACTIONS(1729),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_while] = ACTIONS(1729),
    [anon_sym_do] = ACTIONS(1729),
    [anon_sym_try] = ACTIONS(1729),
    [anon_sym_with] = ACTIONS(1729),
    [anon_sym_break] = ACTIONS(1729),
    [anon_sym_continue] = ACTIONS(1729),
    [anon_sym_debugger] = ACTIONS(1729),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1729),
    [anon_sym_SEMI] = ACTIONS(1727),
    [anon_sym_case] = ACTIONS(1729),
    [anon_sym_default] = ACTIONS(1729),
    [anon_sym_yield] = ACTIONS(1729),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_class] = ACTIONS(1729),
    [anon_sym_async] = ACTIONS(1729),
    [anon_sym_function] = ACTIONS(1729),
    [anon_sym_new] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_typeof] = ACTIONS(1729),
    [anon_sym_void] = ACTIONS(1729),
    [anon_sym_delete] = ACTIONS(1729),
    [anon_sym_PLUS_PLUS] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1727),
    [sym_number] = ACTIONS(1727),
    [sym_this] = ACTIONS(1729),
    [sym_super] = ACTIONS(1729),
    [sym_true] = ACTIONS(1729),
    [sym_false] = ACTIONS(1729),
    [sym_null] = ACTIONS(1729),
    [sym_undefined] = ACTIONS(1729),
    [anon_sym_AT] = ACTIONS(1727),
    [anon_sym_static] = ACTIONS(1729),
    [anon_sym_get] = ACTIONS(1729),
    [anon_sym_set] = ACTIONS(1729),
    [anon_sym_component] = ACTIONS(1729),
    [anon_sym_instance] = ACTIONS(1729),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [sym_identifier] = ACTIONS(1733),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_case] = ACTIONS(1733),
    [anon_sym_default] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(1733),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_DQUOTE] = ACTIONS(1731),
    [anon_sym_SQUOTE] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_number] = ACTIONS(1731),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_static] = ACTIONS(1733),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
    [anon_sym_component] = ACTIONS(1733),
    [anon_sym_instance] = ACTIONS(1733),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1735),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_var] = ACTIONS(1737),
    [anon_sym_let] = ACTIONS(1737),
    [anon_sym_const] = ACTIONS(1737),
    [anon_sym_if] = ACTIONS(1737),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_switch] = ACTIONS(1737),
    [anon_sym_for] = ACTIONS(1737),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_await] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1737),
    [anon_sym_do] = ACTIONS(1737),
    [anon_sym_try] = ACTIONS(1737),
    [anon_sym_with] = ACTIONS(1737),
    [anon_sym_break] = ACTIONS(1737),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_debugger] = ACTIONS(1737),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_throw] = ACTIONS(1737),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1737),
    [anon_sym_default] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_class] = ACTIONS(1737),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_BANG] = ACTIONS(1735),
    [anon_sym_TILDE] = ACTIONS(1735),
    [anon_sym_typeof] = ACTIONS(1737),
    [anon_sym_void] = ACTIONS(1737),
    [anon_sym_delete] = ACTIONS(1737),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [anon_sym_SQUOTE] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1735),
    [sym_number] = ACTIONS(1735),
    [sym_this] = ACTIONS(1737),
    [sym_super] = ACTIONS(1737),
    [sym_true] = ACTIONS(1737),
    [sym_false] = ACTIONS(1737),
    [sym_null] = ACTIONS(1737),
    [sym_undefined] = ACTIONS(1737),
    [anon_sym_AT] = ACTIONS(1735),
    [anon_sym_static] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1737),
    [anon_sym_set] = ACTIONS(1737),
    [anon_sym_component] = ACTIONS(1737),
    [anon_sym_instance] = ACTIONS(1737),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_import] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_var] = ACTIONS(1741),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(1741),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_else] = ACTIONS(1741),
    [anon_sym_switch] = ACTIONS(1741),
    [anon_sym_for] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1741),
    [anon_sym_do] = ACTIONS(1741),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_with] = ACTIONS(1741),
    [anon_sym_break] = ACTIONS(1741),
    [anon_sym_continue] = ACTIONS(1741),
    [anon_sym_debugger] = ACTIONS(1741),
    [anon_sym_return] = ACTIONS(1741),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_yield] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_class] = ACTIONS(1741),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_function] = ACTIONS(1741),
    [anon_sym_new] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_BANG] = ACTIONS(1739),
    [anon_sym_TILDE] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1741),
    [anon_sym_void] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [anon_sym_DQUOTE] = ACTIONS(1739),
    [anon_sym_SQUOTE] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [sym_number] = ACTIONS(1739),
    [sym_this] = ACTIONS(1741),
    [sym_super] = ACTIONS(1741),
    [sym_true] = ACTIONS(1741),
    [sym_false] = ACTIONS(1741),
    [sym_null] = ACTIONS(1741),
    [sym_undefined] = ACTIONS(1741),
    [anon_sym_AT] = ACTIONS(1739),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_component] = ACTIONS(1741),
    [anon_sym_instance] = ACTIONS(1741),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_number] = ACTIONS(1743),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
    [anon_sym_component] = ACTIONS(1745),
    [anon_sym_instance] = ACTIONS(1745),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1749),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_var] = ACTIONS(1749),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(1749),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_else] = ACTIONS(1749),
    [anon_sym_switch] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_await] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1749),
    [anon_sym_try] = ACTIONS(1749),
    [anon_sym_with] = ACTIONS(1749),
    [anon_sym_break] = ACTIONS(1749),
    [anon_sym_continue] = ACTIONS(1749),
    [anon_sym_debugger] = ACTIONS(1749),
    [anon_sym_return] = ACTIONS(1749),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_case] = ACTIONS(1749),
    [anon_sym_default] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1749),
    [anon_sym_async] = ACTIONS(1749),
    [anon_sym_function] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1747),
    [anon_sym_TILDE] = ACTIONS(1747),
    [anon_sym_typeof] = ACTIONS(1749),
    [anon_sym_void] = ACTIONS(1749),
    [anon_sym_delete] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [anon_sym_SQUOTE] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1747),
    [sym_number] = ACTIONS(1747),
    [sym_this] = ACTIONS(1749),
    [sym_super] = ACTIONS(1749),
    [sym_true] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
    [sym_null] = ACTIONS(1749),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_static] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1749),
    [anon_sym_set] = ACTIONS(1749),
    [anon_sym_component] = ACTIONS(1749),
    [anon_sym_instance] = ACTIONS(1749),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1751),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1751),
    [sym_number] = ACTIONS(1751),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_undefined] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1751),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_component] = ACTIONS(1753),
    [anon_sym_instance] = ACTIONS(1753),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_else] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(1755),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_static] = ACTIONS(1757),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
    [anon_sym_component] = ACTIONS(1757),
    [anon_sym_instance] = ACTIONS(1757),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym_identifier] = ACTIONS(1761),
    [anon_sym_import] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_var] = ACTIONS(1761),
    [anon_sym_let] = ACTIONS(1761),
    [anon_sym_const] = ACTIONS(1761),
    [anon_sym_if] = ACTIONS(1761),
    [anon_sym_else] = ACTIONS(1761),
    [anon_sym_switch] = ACTIONS(1761),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1761),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_try] = ACTIONS(1761),
    [anon_sym_with] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_debugger] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1761),
    [anon_sym_default] = ACTIONS(1761),
    [anon_sym_yield] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_class] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_new] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1759),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(1761),
    [anon_sym_void] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [anon_sym_SQUOTE] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1759),
    [sym_number] = ACTIONS(1759),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(1761),
    [sym_true] = ACTIONS(1761),
    [sym_false] = ACTIONS(1761),
    [sym_null] = ACTIONS(1761),
    [sym_undefined] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_static] = ACTIONS(1761),
    [anon_sym_get] = ACTIONS(1761),
    [anon_sym_set] = ACTIONS(1761),
    [anon_sym_component] = ACTIONS(1761),
    [anon_sym_instance] = ACTIONS(1761),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1763),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_component] = ACTIONS(1765),
    [anon_sym_instance] = ACTIONS(1765),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_component] = ACTIONS(1769),
    [anon_sym_instance] = ACTIONS(1769),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [sym_identifier] = ACTIONS(1773),
    [anon_sym_import] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_RBRACE] = ACTIONS(1771),
    [anon_sym_var] = ACTIONS(1773),
    [anon_sym_let] = ACTIONS(1773),
    [anon_sym_const] = ACTIONS(1773),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_else] = ACTIONS(1773),
    [anon_sym_switch] = ACTIONS(1773),
    [anon_sym_for] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1773),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_try] = ACTIONS(1773),
    [anon_sym_with] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_debugger] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_throw] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_case] = ACTIONS(1773),
    [anon_sym_default] = ACTIONS(1773),
    [anon_sym_yield] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_class] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_function] = ACTIONS(1773),
    [anon_sym_new] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_typeof] = ACTIONS(1773),
    [anon_sym_void] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_DQUOTE] = ACTIONS(1771),
    [anon_sym_SQUOTE] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1771),
    [sym_number] = ACTIONS(1771),
    [sym_this] = ACTIONS(1773),
    [sym_super] = ACTIONS(1773),
    [sym_true] = ACTIONS(1773),
    [sym_false] = ACTIONS(1773),
    [sym_null] = ACTIONS(1773),
    [sym_undefined] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1771),
    [anon_sym_static] = ACTIONS(1773),
    [anon_sym_get] = ACTIONS(1773),
    [anon_sym_set] = ACTIONS(1773),
    [anon_sym_component] = ACTIONS(1773),
    [anon_sym_instance] = ACTIONS(1773),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_import] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [anon_sym_var] = ACTIONS(1777),
    [anon_sym_let] = ACTIONS(1777),
    [anon_sym_const] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(1777),
    [anon_sym_else] = ACTIONS(1777),
    [anon_sym_switch] = ACTIONS(1777),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_while] = ACTIONS(1777),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1777),
    [anon_sym_with] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_debugger] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [anon_sym_case] = ACTIONS(1777),
    [anon_sym_default] = ACTIONS(1777),
    [anon_sym_yield] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_class] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(1777),
    [anon_sym_new] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1775),
    [anon_sym_TILDE] = ACTIONS(1775),
    [anon_sym_typeof] = ACTIONS(1777),
    [anon_sym_void] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_DQUOTE] = ACTIONS(1775),
    [anon_sym_SQUOTE] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1775),
    [sym_number] = ACTIONS(1775),
    [sym_this] = ACTIONS(1777),
    [sym_super] = ACTIONS(1777),
    [sym_true] = ACTIONS(1777),
    [sym_false] = ACTIONS(1777),
    [sym_null] = ACTIONS(1777),
    [sym_undefined] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1775),
    [anon_sym_static] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(1777),
    [anon_sym_set] = ACTIONS(1777),
    [anon_sym_component] = ACTIONS(1777),
    [anon_sym_instance] = ACTIONS(1777),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [sym_identifier] = ACTIONS(1781),
    [anon_sym_import] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_RBRACE] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1781),
    [anon_sym_let] = ACTIONS(1781),
    [anon_sym_const] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_else] = ACTIONS(1781),
    [anon_sym_switch] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_with] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_debugger] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_throw] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1779),
    [anon_sym_case] = ACTIONS(1781),
    [anon_sym_default] = ACTIONS(1781),
    [anon_sym_yield] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_function] = ACTIONS(1781),
    [anon_sym_new] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1779),
    [anon_sym_TILDE] = ACTIONS(1779),
    [anon_sym_typeof] = ACTIONS(1781),
    [anon_sym_void] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_DQUOTE] = ACTIONS(1779),
    [anon_sym_SQUOTE] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1779),
    [sym_number] = ACTIONS(1779),
    [sym_this] = ACTIONS(1781),
    [sym_super] = ACTIONS(1781),
    [sym_true] = ACTIONS(1781),
    [sym_false] = ACTIONS(1781),
    [sym_null] = ACTIONS(1781),
    [sym_undefined] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1779),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_component] = ACTIONS(1781),
    [anon_sym_instance] = ACTIONS(1781),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym_identifier] = ACTIONS(1785),
    [anon_sym_import] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_var] = ACTIONS(1785),
    [anon_sym_let] = ACTIONS(1785),
    [anon_sym_const] = ACTIONS(1785),
    [anon_sym_if] = ACTIONS(1785),
    [anon_sym_else] = ACTIONS(1785),
    [anon_sym_switch] = ACTIONS(1785),
    [anon_sym_for] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_while] = ACTIONS(1785),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_try] = ACTIONS(1785),
    [anon_sym_with] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_debugger] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_case] = ACTIONS(1785),
    [anon_sym_default] = ACTIONS(1785),
    [anon_sym_yield] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_class] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_function] = ACTIONS(1785),
    [anon_sym_new] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1785),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1783),
    [anon_sym_TILDE] = ACTIONS(1783),
    [anon_sym_typeof] = ACTIONS(1785),
    [anon_sym_void] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1783),
    [sym_number] = ACTIONS(1783),
    [sym_this] = ACTIONS(1785),
    [sym_super] = ACTIONS(1785),
    [sym_true] = ACTIONS(1785),
    [sym_false] = ACTIONS(1785),
    [sym_null] = ACTIONS(1785),
    [sym_undefined] = ACTIONS(1785),
    [anon_sym_AT] = ACTIONS(1783),
    [anon_sym_static] = ACTIONS(1785),
    [anon_sym_get] = ACTIONS(1785),
    [anon_sym_set] = ACTIONS(1785),
    [anon_sym_component] = ACTIONS(1785),
    [anon_sym_instance] = ACTIONS(1785),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(1789),
    [anon_sym_import] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_var] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1789),
    [anon_sym_const] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_else] = ACTIONS(1789),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(1789),
    [anon_sym_while] = ACTIONS(1789),
    [anon_sym_do] = ACTIONS(1789),
    [anon_sym_try] = ACTIONS(1789),
    [anon_sym_with] = ACTIONS(1789),
    [anon_sym_break] = ACTIONS(1789),
    [anon_sym_continue] = ACTIONS(1789),
    [anon_sym_debugger] = ACTIONS(1789),
    [anon_sym_return] = ACTIONS(1789),
    [anon_sym_throw] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_case] = ACTIONS(1789),
    [anon_sym_default] = ACTIONS(1789),
    [anon_sym_yield] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1789),
    [anon_sym_new] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(1789),
    [anon_sym_void] = ACTIONS(1789),
    [anon_sym_delete] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1787),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1787),
    [sym_number] = ACTIONS(1787),
    [sym_this] = ACTIONS(1789),
    [sym_super] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_false] = ACTIONS(1789),
    [sym_null] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [anon_sym_AT] = ACTIONS(1787),
    [anon_sym_static] = ACTIONS(1789),
    [anon_sym_get] = ACTIONS(1789),
    [anon_sym_set] = ACTIONS(1789),
    [anon_sym_component] = ACTIONS(1789),
    [anon_sym_instance] = ACTIONS(1789),
  },
  [331] = {
    [sym_formal_parameters] = STATE(1620),
    [sym_identifier] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1799),
    [anon_sym_function] = ACTIONS(1607),
    [anon_sym_EQ_GT] = ACTIONS(1609),
    [anon_sym_PLUS_EQ] = ACTIONS(1802),
    [anon_sym_DASH_EQ] = ACTIONS(1802),
    [anon_sym_STAR_EQ] = ACTIONS(1802),
    [anon_sym_SLASH_EQ] = ACTIONS(1802),
    [anon_sym_PERCENT_EQ] = ACTIONS(1802),
    [anon_sym_CARET_EQ] = ACTIONS(1802),
    [anon_sym_AMP_EQ] = ACTIONS(1802),
    [anon_sym_PIPE_EQ] = ACTIONS(1802),
    [anon_sym_GT_GT_EQ] = ACTIONS(1802),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1802),
    [anon_sym_LT_LT_EQ] = ACTIONS(1802),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1802),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_constructor] = ACTIONS(1477),
    [anon_sym_id] = ACTIONS(1477),
    [anon_sym_event] = ACTIONS(1477),
    [anon_sym_fn] = ACTIONS(1477),
    [anon_sym_on] = ACTIONS(1477),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1804),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_import] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(1804),
    [anon_sym_RBRACE] = ACTIONS(1804),
    [anon_sym_var] = ACTIONS(1806),
    [anon_sym_let] = ACTIONS(1806),
    [anon_sym_const] = ACTIONS(1806),
    [anon_sym_if] = ACTIONS(1806),
    [anon_sym_else] = ACTIONS(1806),
    [anon_sym_switch] = ACTIONS(1806),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_LPAREN] = ACTIONS(1804),
    [anon_sym_await] = ACTIONS(1806),
    [anon_sym_while] = ACTIONS(1806),
    [anon_sym_do] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1806),
    [anon_sym_with] = ACTIONS(1806),
    [anon_sym_break] = ACTIONS(1806),
    [anon_sym_continue] = ACTIONS(1806),
    [anon_sym_debugger] = ACTIONS(1806),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1806),
    [anon_sym_SEMI] = ACTIONS(1804),
    [anon_sym_case] = ACTIONS(1806),
    [anon_sym_default] = ACTIONS(1806),
    [anon_sym_yield] = ACTIONS(1806),
    [anon_sym_LBRACK] = ACTIONS(1804),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_SLASH] = ACTIONS(1806),
    [anon_sym_class] = ACTIONS(1806),
    [anon_sym_async] = ACTIONS(1806),
    [anon_sym_function] = ACTIONS(1806),
    [anon_sym_new] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1804),
    [anon_sym_TILDE] = ACTIONS(1804),
    [anon_sym_typeof] = ACTIONS(1806),
    [anon_sym_void] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1804),
    [anon_sym_DASH_DASH] = ACTIONS(1804),
    [anon_sym_DQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1804),
    [sym_number] = ACTIONS(1804),
    [sym_this] = ACTIONS(1806),
    [sym_super] = ACTIONS(1806),
    [sym_true] = ACTIONS(1806),
    [sym_false] = ACTIONS(1806),
    [sym_null] = ACTIONS(1806),
    [sym_undefined] = ACTIONS(1806),
    [anon_sym_AT] = ACTIONS(1804),
    [anon_sym_static] = ACTIONS(1806),
    [anon_sym_get] = ACTIONS(1806),
    [anon_sym_set] = ACTIONS(1806),
    [anon_sym_component] = ACTIONS(1806),
    [anon_sym_instance] = ACTIONS(1806),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1808),
    [sym_identifier] = ACTIONS(1810),
    [anon_sym_import] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(1808),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1810),
    [anon_sym_let] = ACTIONS(1810),
    [anon_sym_const] = ACTIONS(1810),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_else] = ACTIONS(1810),
    [anon_sym_switch] = ACTIONS(1810),
    [anon_sym_for] = ACTIONS(1810),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_await] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1810),
    [anon_sym_do] = ACTIONS(1810),
    [anon_sym_try] = ACTIONS(1810),
    [anon_sym_with] = ACTIONS(1810),
    [anon_sym_break] = ACTIONS(1810),
    [anon_sym_continue] = ACTIONS(1810),
    [anon_sym_debugger] = ACTIONS(1810),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1810),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_yield] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_class] = ACTIONS(1810),
    [anon_sym_async] = ACTIONS(1810),
    [anon_sym_function] = ACTIONS(1810),
    [anon_sym_new] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_typeof] = ACTIONS(1810),
    [anon_sym_void] = ACTIONS(1810),
    [anon_sym_delete] = ACTIONS(1810),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_DASH_DASH] = ACTIONS(1808),
    [anon_sym_DQUOTE] = ACTIONS(1808),
    [anon_sym_SQUOTE] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1808),
    [sym_number] = ACTIONS(1808),
    [sym_this] = ACTIONS(1810),
    [sym_super] = ACTIONS(1810),
    [sym_true] = ACTIONS(1810),
    [sym_false] = ACTIONS(1810),
    [sym_null] = ACTIONS(1810),
    [sym_undefined] = ACTIONS(1810),
    [anon_sym_AT] = ACTIONS(1808),
    [anon_sym_static] = ACTIONS(1810),
    [anon_sym_get] = ACTIONS(1810),
    [anon_sym_set] = ACTIONS(1810),
    [anon_sym_component] = ACTIONS(1810),
    [anon_sym_instance] = ACTIONS(1810),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(1812),
    [sym_identifier] = ACTIONS(1814),
    [anon_sym_import] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(1812),
    [anon_sym_RBRACE] = ACTIONS(1812),
    [anon_sym_var] = ACTIONS(1814),
    [anon_sym_let] = ACTIONS(1814),
    [anon_sym_const] = ACTIONS(1814),
    [anon_sym_if] = ACTIONS(1814),
    [anon_sym_else] = ACTIONS(1814),
    [anon_sym_switch] = ACTIONS(1814),
    [anon_sym_for] = ACTIONS(1814),
    [anon_sym_LPAREN] = ACTIONS(1812),
    [anon_sym_await] = ACTIONS(1814),
    [anon_sym_while] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_try] = ACTIONS(1814),
    [anon_sym_with] = ACTIONS(1814),
    [anon_sym_break] = ACTIONS(1814),
    [anon_sym_continue] = ACTIONS(1814),
    [anon_sym_debugger] = ACTIONS(1814),
    [anon_sym_return] = ACTIONS(1814),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1812),
    [anon_sym_case] = ACTIONS(1814),
    [anon_sym_default] = ACTIONS(1814),
    [anon_sym_yield] = ACTIONS(1814),
    [anon_sym_LBRACK] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_SLASH] = ACTIONS(1814),
    [anon_sym_class] = ACTIONS(1814),
    [anon_sym_async] = ACTIONS(1814),
    [anon_sym_function] = ACTIONS(1814),
    [anon_sym_new] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_typeof] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1814),
    [anon_sym_delete] = ACTIONS(1814),
    [anon_sym_PLUS_PLUS] = ACTIONS(1812),
    [anon_sym_DASH_DASH] = ACTIONS(1812),
    [anon_sym_DQUOTE] = ACTIONS(1812),
    [anon_sym_SQUOTE] = ACTIONS(1812),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1812),
    [sym_number] = ACTIONS(1812),
    [sym_this] = ACTIONS(1814),
    [sym_super] = ACTIONS(1814),
    [sym_true] = ACTIONS(1814),
    [sym_false] = ACTIONS(1814),
    [sym_null] = ACTIONS(1814),
    [sym_undefined] = ACTIONS(1814),
    [anon_sym_AT] = ACTIONS(1812),
    [anon_sym_static] = ACTIONS(1814),
    [anon_sym_get] = ACTIONS(1814),
    [anon_sym_set] = ACTIONS(1814),
    [anon_sym_component] = ACTIONS(1814),
    [anon_sym_instance] = ACTIONS(1814),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1816),
    [sym_identifier] = ACTIONS(1818),
    [anon_sym_import] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1816),
    [anon_sym_RBRACE] = ACTIONS(1816),
    [anon_sym_var] = ACTIONS(1818),
    [anon_sym_let] = ACTIONS(1818),
    [anon_sym_const] = ACTIONS(1818),
    [anon_sym_if] = ACTIONS(1818),
    [anon_sym_else] = ACTIONS(1818),
    [anon_sym_switch] = ACTIONS(1818),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_LPAREN] = ACTIONS(1816),
    [anon_sym_await] = ACTIONS(1818),
    [anon_sym_while] = ACTIONS(1818),
    [anon_sym_do] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1818),
    [anon_sym_with] = ACTIONS(1818),
    [anon_sym_break] = ACTIONS(1818),
    [anon_sym_continue] = ACTIONS(1818),
    [anon_sym_debugger] = ACTIONS(1818),
    [anon_sym_return] = ACTIONS(1818),
    [anon_sym_throw] = ACTIONS(1818),
    [anon_sym_SEMI] = ACTIONS(1816),
    [anon_sym_case] = ACTIONS(1818),
    [anon_sym_default] = ACTIONS(1818),
    [anon_sym_yield] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1816),
    [anon_sym_SLASH] = ACTIONS(1818),
    [anon_sym_class] = ACTIONS(1818),
    [anon_sym_async] = ACTIONS(1818),
    [anon_sym_function] = ACTIONS(1818),
    [anon_sym_new] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1816),
    [anon_sym_TILDE] = ACTIONS(1816),
    [anon_sym_typeof] = ACTIONS(1818),
    [anon_sym_void] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1818),
    [anon_sym_PLUS_PLUS] = ACTIONS(1816),
    [anon_sym_DASH_DASH] = ACTIONS(1816),
    [anon_sym_DQUOTE] = ACTIONS(1816),
    [anon_sym_SQUOTE] = ACTIONS(1816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1816),
    [sym_number] = ACTIONS(1816),
    [sym_this] = ACTIONS(1818),
    [sym_super] = ACTIONS(1818),
    [sym_true] = ACTIONS(1818),
    [sym_false] = ACTIONS(1818),
    [sym_null] = ACTIONS(1818),
    [sym_undefined] = ACTIONS(1818),
    [anon_sym_AT] = ACTIONS(1816),
    [anon_sym_static] = ACTIONS(1818),
    [anon_sym_get] = ACTIONS(1818),
    [anon_sym_set] = ACTIONS(1818),
    [anon_sym_component] = ACTIONS(1818),
    [anon_sym_instance] = ACTIONS(1818),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1820),
    [sym_identifier] = ACTIONS(1822),
    [anon_sym_import] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(1820),
    [anon_sym_RBRACE] = ACTIONS(1820),
    [anon_sym_var] = ACTIONS(1822),
    [anon_sym_let] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(1822),
    [anon_sym_if] = ACTIONS(1822),
    [anon_sym_else] = ACTIONS(1824),
    [anon_sym_switch] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1820),
    [anon_sym_await] = ACTIONS(1822),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_do] = ACTIONS(1822),
    [anon_sym_try] = ACTIONS(1822),
    [anon_sym_with] = ACTIONS(1822),
    [anon_sym_break] = ACTIONS(1822),
    [anon_sym_continue] = ACTIONS(1822),
    [anon_sym_debugger] = ACTIONS(1822),
    [anon_sym_return] = ACTIONS(1822),
    [anon_sym_throw] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym_case] = ACTIONS(1822),
    [anon_sym_default] = ACTIONS(1822),
    [anon_sym_yield] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1820),
    [anon_sym_LT] = ACTIONS(1820),
    [anon_sym_SLASH] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1822),
    [anon_sym_async] = ACTIONS(1822),
    [anon_sym_function] = ACTIONS(1822),
    [anon_sym_new] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(1820),
    [anon_sym_TILDE] = ACTIONS(1820),
    [anon_sym_typeof] = ACTIONS(1822),
    [anon_sym_void] = ACTIONS(1822),
    [anon_sym_delete] = ACTIONS(1822),
    [anon_sym_PLUS_PLUS] = ACTIONS(1820),
    [anon_sym_DASH_DASH] = ACTIONS(1820),
    [anon_sym_DQUOTE] = ACTIONS(1820),
    [anon_sym_SQUOTE] = ACTIONS(1820),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1820),
    [sym_number] = ACTIONS(1820),
    [sym_this] = ACTIONS(1822),
    [sym_super] = ACTIONS(1822),
    [sym_true] = ACTIONS(1822),
    [sym_false] = ACTIONS(1822),
    [sym_null] = ACTIONS(1822),
    [sym_undefined] = ACTIONS(1822),
    [anon_sym_AT] = ACTIONS(1820),
    [anon_sym_static] = ACTIONS(1822),
    [anon_sym_get] = ACTIONS(1822),
    [anon_sym_set] = ACTIONS(1822),
    [anon_sym_component] = ACTIONS(1822),
    [anon_sym_instance] = ACTIONS(1822),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_import] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_var] = ACTIONS(1828),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_else] = ACTIONS(1828),
    [anon_sym_switch] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_try] = ACTIONS(1828),
    [anon_sym_with] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_debugger] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_case] = ACTIONS(1828),
    [anon_sym_default] = ACTIONS(1828),
    [anon_sym_yield] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_function] = ACTIONS(1828),
    [anon_sym_new] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1826),
    [anon_sym_TILDE] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(1828),
    [anon_sym_void] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1826),
    [sym_number] = ACTIONS(1826),
    [sym_this] = ACTIONS(1828),
    [sym_super] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_null] = ACTIONS(1828),
    [sym_undefined] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_static] = ACTIONS(1828),
    [anon_sym_get] = ACTIONS(1828),
    [anon_sym_set] = ACTIONS(1828),
    [anon_sym_component] = ACTIONS(1828),
    [anon_sym_instance] = ACTIONS(1828),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_import] = ACTIONS(1832),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_var] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_const] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_else] = ACTIONS(1832),
    [anon_sym_switch] = ACTIONS(1832),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [anon_sym_await] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [anon_sym_with] = ACTIONS(1832),
    [anon_sym_break] = ACTIONS(1832),
    [anon_sym_continue] = ACTIONS(1832),
    [anon_sym_debugger] = ACTIONS(1832),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_throw] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_case] = ACTIONS(1832),
    [anon_sym_default] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym_class] = ACTIONS(1832),
    [anon_sym_async] = ACTIONS(1832),
    [anon_sym_function] = ACTIONS(1832),
    [anon_sym_new] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_BANG] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1830),
    [anon_sym_typeof] = ACTIONS(1832),
    [anon_sym_void] = ACTIONS(1832),
    [anon_sym_delete] = ACTIONS(1832),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1830),
    [anon_sym_SQUOTE] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1830),
    [sym_number] = ACTIONS(1830),
    [sym_this] = ACTIONS(1832),
    [sym_super] = ACTIONS(1832),
    [sym_true] = ACTIONS(1832),
    [sym_false] = ACTIONS(1832),
    [sym_null] = ACTIONS(1832),
    [sym_undefined] = ACTIONS(1832),
    [anon_sym_AT] = ACTIONS(1830),
    [anon_sym_static] = ACTIONS(1832),
    [anon_sym_get] = ACTIONS(1832),
    [anon_sym_set] = ACTIONS(1832),
    [anon_sym_component] = ACTIONS(1832),
    [anon_sym_instance] = ACTIONS(1832),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1834),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_import] = ACTIONS(1836),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(1836),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(1836),
    [anon_sym_if] = ACTIONS(1836),
    [anon_sym_else] = ACTIONS(1836),
    [anon_sym_switch] = ACTIONS(1836),
    [anon_sym_for] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_await] = ACTIONS(1836),
    [anon_sym_while] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1836),
    [anon_sym_try] = ACTIONS(1836),
    [anon_sym_with] = ACTIONS(1836),
    [anon_sym_break] = ACTIONS(1836),
    [anon_sym_continue] = ACTIONS(1836),
    [anon_sym_debugger] = ACTIONS(1836),
    [anon_sym_return] = ACTIONS(1836),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_case] = ACTIONS(1836),
    [anon_sym_default] = ACTIONS(1836),
    [anon_sym_yield] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(1836),
    [anon_sym_async] = ACTIONS(1836),
    [anon_sym_function] = ACTIONS(1836),
    [anon_sym_new] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1834),
    [anon_sym_typeof] = ACTIONS(1836),
    [anon_sym_void] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1834),
    [anon_sym_DASH_DASH] = ACTIONS(1834),
    [anon_sym_DQUOTE] = ACTIONS(1834),
    [anon_sym_SQUOTE] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1834),
    [sym_number] = ACTIONS(1834),
    [sym_this] = ACTIONS(1836),
    [sym_super] = ACTIONS(1836),
    [sym_true] = ACTIONS(1836),
    [sym_false] = ACTIONS(1836),
    [sym_null] = ACTIONS(1836),
    [sym_undefined] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1834),
    [anon_sym_static] = ACTIONS(1836),
    [anon_sym_get] = ACTIONS(1836),
    [anon_sym_set] = ACTIONS(1836),
    [anon_sym_component] = ACTIONS(1836),
    [anon_sym_instance] = ACTIONS(1836),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1838),
    [sym_identifier] = ACTIONS(1840),
    [anon_sym_import] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1838),
    [anon_sym_var] = ACTIONS(1840),
    [anon_sym_let] = ACTIONS(1840),
    [anon_sym_const] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_else] = ACTIONS(1840),
    [anon_sym_switch] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_await] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_do] = ACTIONS(1840),
    [anon_sym_try] = ACTIONS(1840),
    [anon_sym_with] = ACTIONS(1840),
    [anon_sym_break] = ACTIONS(1840),
    [anon_sym_continue] = ACTIONS(1840),
    [anon_sym_debugger] = ACTIONS(1840),
    [anon_sym_return] = ACTIONS(1840),
    [anon_sym_throw] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(1840),
    [anon_sym_default] = ACTIONS(1840),
    [anon_sym_yield] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_class] = ACTIONS(1840),
    [anon_sym_async] = ACTIONS(1840),
    [anon_sym_function] = ACTIONS(1840),
    [anon_sym_new] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_typeof] = ACTIONS(1840),
    [anon_sym_void] = ACTIONS(1840),
    [anon_sym_delete] = ACTIONS(1840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1838),
    [anon_sym_DASH_DASH] = ACTIONS(1838),
    [anon_sym_DQUOTE] = ACTIONS(1838),
    [anon_sym_SQUOTE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1838),
    [sym_number] = ACTIONS(1838),
    [sym_this] = ACTIONS(1840),
    [sym_super] = ACTIONS(1840),
    [sym_true] = ACTIONS(1840),
    [sym_false] = ACTIONS(1840),
    [sym_null] = ACTIONS(1840),
    [sym_undefined] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1838),
    [anon_sym_static] = ACTIONS(1840),
    [anon_sym_get] = ACTIONS(1840),
    [anon_sym_set] = ACTIONS(1840),
    [anon_sym_component] = ACTIONS(1840),
    [anon_sym_instance] = ACTIONS(1840),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_RBRACE] = ACTIONS(1842),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_else] = ACTIONS(1844),
    [anon_sym_switch] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [anon_sym_with] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_debugger] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_throw] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_class] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_function] = ACTIONS(1844),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_typeof] = ACTIONS(1844),
    [anon_sym_void] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [anon_sym_DQUOTE] = ACTIONS(1842),
    [anon_sym_SQUOTE] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1842),
    [sym_number] = ACTIONS(1842),
    [sym_this] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_true] = ACTIONS(1844),
    [sym_false] = ACTIONS(1844),
    [sym_null] = ACTIONS(1844),
    [sym_undefined] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1842),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_get] = ACTIONS(1844),
    [anon_sym_set] = ACTIONS(1844),
    [anon_sym_component] = ACTIONS(1844),
    [anon_sym_instance] = ACTIONS(1844),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1846),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_import] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_var] = ACTIONS(1848),
    [anon_sym_let] = ACTIONS(1848),
    [anon_sym_const] = ACTIONS(1848),
    [anon_sym_if] = ACTIONS(1848),
    [anon_sym_else] = ACTIONS(1848),
    [anon_sym_switch] = ACTIONS(1848),
    [anon_sym_for] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_await] = ACTIONS(1848),
    [anon_sym_while] = ACTIONS(1848),
    [anon_sym_do] = ACTIONS(1848),
    [anon_sym_try] = ACTIONS(1848),
    [anon_sym_with] = ACTIONS(1848),
    [anon_sym_break] = ACTIONS(1848),
    [anon_sym_continue] = ACTIONS(1848),
    [anon_sym_debugger] = ACTIONS(1848),
    [anon_sym_return] = ACTIONS(1848),
    [anon_sym_throw] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_case] = ACTIONS(1848),
    [anon_sym_default] = ACTIONS(1848),
    [anon_sym_yield] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym_class] = ACTIONS(1848),
    [anon_sym_async] = ACTIONS(1848),
    [anon_sym_function] = ACTIONS(1848),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1846),
    [anon_sym_typeof] = ACTIONS(1848),
    [anon_sym_void] = ACTIONS(1848),
    [anon_sym_delete] = ACTIONS(1848),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1846),
    [sym_number] = ACTIONS(1846),
    [sym_this] = ACTIONS(1848),
    [sym_super] = ACTIONS(1848),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [sym_null] = ACTIONS(1848),
    [sym_undefined] = ACTIONS(1848),
    [anon_sym_AT] = ACTIONS(1846),
    [anon_sym_static] = ACTIONS(1848),
    [anon_sym_get] = ACTIONS(1848),
    [anon_sym_set] = ACTIONS(1848),
    [anon_sym_component] = ACTIONS(1848),
    [anon_sym_instance] = ACTIONS(1848),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_import] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1850),
    [anon_sym_RBRACE] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(1852),
    [anon_sym_let] = ACTIONS(1852),
    [anon_sym_const] = ACTIONS(1852),
    [anon_sym_if] = ACTIONS(1852),
    [anon_sym_else] = ACTIONS(1852),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_for] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_await] = ACTIONS(1852),
    [anon_sym_while] = ACTIONS(1852),
    [anon_sym_do] = ACTIONS(1852),
    [anon_sym_try] = ACTIONS(1852),
    [anon_sym_with] = ACTIONS(1852),
    [anon_sym_break] = ACTIONS(1852),
    [anon_sym_continue] = ACTIONS(1852),
    [anon_sym_debugger] = ACTIONS(1852),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_throw] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_case] = ACTIONS(1852),
    [anon_sym_default] = ACTIONS(1852),
    [anon_sym_yield] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_function] = ACTIONS(1852),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1850),
    [anon_sym_TILDE] = ACTIONS(1850),
    [anon_sym_typeof] = ACTIONS(1852),
    [anon_sym_void] = ACTIONS(1852),
    [anon_sym_delete] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1850),
    [anon_sym_DASH_DASH] = ACTIONS(1850),
    [anon_sym_DQUOTE] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1850),
    [sym_number] = ACTIONS(1850),
    [sym_this] = ACTIONS(1852),
    [sym_super] = ACTIONS(1852),
    [sym_true] = ACTIONS(1852),
    [sym_false] = ACTIONS(1852),
    [sym_null] = ACTIONS(1852),
    [sym_undefined] = ACTIONS(1852),
    [anon_sym_AT] = ACTIONS(1850),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_get] = ACTIONS(1852),
    [anon_sym_set] = ACTIONS(1852),
    [anon_sym_component] = ACTIONS(1852),
    [anon_sym_instance] = ACTIONS(1852),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_import] = ACTIONS(1856),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_RBRACE] = ACTIONS(1854),
    [anon_sym_var] = ACTIONS(1856),
    [anon_sym_let] = ACTIONS(1856),
    [anon_sym_const] = ACTIONS(1856),
    [anon_sym_if] = ACTIONS(1856),
    [anon_sym_else] = ACTIONS(1856),
    [anon_sym_switch] = ACTIONS(1856),
    [anon_sym_for] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [anon_sym_await] = ACTIONS(1856),
    [anon_sym_while] = ACTIONS(1856),
    [anon_sym_do] = ACTIONS(1856),
    [anon_sym_try] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_break] = ACTIONS(1856),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_debugger] = ACTIONS(1856),
    [anon_sym_return] = ACTIONS(1856),
    [anon_sym_throw] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [anon_sym_case] = ACTIONS(1856),
    [anon_sym_default] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1856),
    [anon_sym_class] = ACTIONS(1856),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_function] = ACTIONS(1856),
    [anon_sym_new] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_typeof] = ACTIONS(1856),
    [anon_sym_void] = ACTIONS(1856),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_PLUS_PLUS] = ACTIONS(1854),
    [anon_sym_DASH_DASH] = ACTIONS(1854),
    [anon_sym_DQUOTE] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1854),
    [sym_number] = ACTIONS(1854),
    [sym_this] = ACTIONS(1856),
    [sym_super] = ACTIONS(1856),
    [sym_true] = ACTIONS(1856),
    [sym_false] = ACTIONS(1856),
    [sym_null] = ACTIONS(1856),
    [sym_undefined] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1854),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_get] = ACTIONS(1856),
    [anon_sym_set] = ACTIONS(1856),
    [anon_sym_component] = ACTIONS(1856),
    [anon_sym_instance] = ACTIONS(1856),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_import] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1858),
    [anon_sym_RBRACE] = ACTIONS(1858),
    [anon_sym_var] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_const] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1860),
    [anon_sym_switch] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_with] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_debugger] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_throw] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [anon_sym_case] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_yield] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1860),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_function] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [anon_sym_typeof] = ACTIONS(1860),
    [anon_sym_void] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1858),
    [anon_sym_DASH_DASH] = ACTIONS(1858),
    [anon_sym_DQUOTE] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1858),
    [sym_number] = ACTIONS(1858),
    [sym_this] = ACTIONS(1860),
    [sym_super] = ACTIONS(1860),
    [sym_true] = ACTIONS(1860),
    [sym_false] = ACTIONS(1860),
    [sym_null] = ACTIONS(1860),
    [sym_undefined] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1858),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_get] = ACTIONS(1860),
    [anon_sym_set] = ACTIONS(1860),
    [anon_sym_component] = ACTIONS(1860),
    [anon_sym_instance] = ACTIONS(1860),
  },
  [346] = {
    [sym_arguments] = STATE(500),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
    [anon_sym_EQ_GT] = ACTIONS(1609),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_get] = ACTIONS(1599),
    [anon_sym_set] = ACTIONS(1599),
    [anon_sym_constructor] = ACTIONS(1599),
    [anon_sym_id] = ACTIONS(1599),
    [anon_sym_event] = ACTIONS(1599),
    [anon_sym_fn] = ACTIONS(1599),
    [anon_sym_on] = ACTIONS(1599),
  },
  [347] = {
    [sym_formal_parameters] = STATE(1672),
    [sym_identifier] = ACTIONS(1862),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_function] = ACTIONS(1607),
    [anon_sym_EQ_GT] = ACTIONS(1679),
    [anon_sym_PLUS_EQ] = ACTIONS(1870),
    [anon_sym_DASH_EQ] = ACTIONS(1870),
    [anon_sym_STAR_EQ] = ACTIONS(1870),
    [anon_sym_SLASH_EQ] = ACTIONS(1870),
    [anon_sym_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_CARET_EQ] = ACTIONS(1870),
    [anon_sym_AMP_EQ] = ACTIONS(1870),
    [anon_sym_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_GT_GT_EQ] = ACTIONS(1870),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1870),
    [anon_sym_LT_LT_EQ] = ACTIONS(1870),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1870),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1867),
    [anon_sym_get] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1681),
    [anon_sym_id] = ACTIONS(1477),
    [anon_sym_event] = ACTIONS(1477),
    [anon_sym_fn] = ACTIONS(1477),
    [anon_sym_on] = ACTIONS(1477),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1872),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_async] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1872),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
    [anon_sym_static] = ACTIONS(1872),
    [anon_sym_get] = ACTIONS(1872),
    [anon_sym_set] = ACTIONS(1872),
    [anon_sym_constructor] = ACTIONS(1872),
    [anon_sym_POUND] = ACTIONS(1876),
    [anon_sym_id] = ACTIONS(1872),
    [anon_sym_event] = ACTIONS(1872),
    [anon_sym_fn] = ACTIONS(1872),
    [anon_sym_on] = ACTIONS(1872),
  },
  [349] = {
    [sym_arguments] = STATE(693),
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1603),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_COLON] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_RBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_get] = ACTIONS(1882),
    [anon_sym_set] = ACTIONS(1882),
  },
  [350] = {
    [sym_arguments] = STATE(783),
    [sym_formal_parameters] = STATE(1617),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1603),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_set] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1603),
  },
  [351] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_COLON] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_RBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_get] = ACTIONS(1882),
    [anon_sym_set] = ACTIONS(1882),
  },
  [352] = {
    [sym_arguments] = STATE(501),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1477),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1609),
    [anon_sym_PLUS_EQ] = ACTIONS(1802),
    [anon_sym_DASH_EQ] = ACTIONS(1802),
    [anon_sym_STAR_EQ] = ACTIONS(1802),
    [anon_sym_SLASH_EQ] = ACTIONS(1802),
    [anon_sym_PERCENT_EQ] = ACTIONS(1802),
    [anon_sym_CARET_EQ] = ACTIONS(1802),
    [anon_sym_AMP_EQ] = ACTIONS(1802),
    [anon_sym_PIPE_EQ] = ACTIONS(1802),
    [anon_sym_GT_GT_EQ] = ACTIONS(1802),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1802),
    [anon_sym_LT_LT_EQ] = ACTIONS(1802),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1802),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_get] = ACTIONS(1477),
    [anon_sym_set] = ACTIONS(1477),
    [anon_sym_constructor] = ACTIONS(1477),
    [anon_sym_id] = ACTIONS(1477),
    [anon_sym_event] = ACTIONS(1477),
    [anon_sym_fn] = ACTIONS(1477),
    [anon_sym_on] = ACTIONS(1477),
  },
  [354] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_object_repeat1] = STATE(1327),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [355] = {
    [sym_arguments] = STATE(692),
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [356] = {
    [sym_formal_parameters] = STATE(1617),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_set] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [357] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_object_repeat1] = STATE(1306),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [358] = {
    [sym_formal_parameters] = STATE(1617),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_of] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_set] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [359] = {
    [sym_identifier] = ACTIONS(1928),
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_LPAREN] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1930),
    [anon_sym_DASH_EQ] = ACTIONS(1930),
    [anon_sym_STAR_EQ] = ACTIONS(1930),
    [anon_sym_SLASH_EQ] = ACTIONS(1930),
    [anon_sym_PERCENT_EQ] = ACTIONS(1930),
    [anon_sym_CARET_EQ] = ACTIONS(1930),
    [anon_sym_AMP_EQ] = ACTIONS(1930),
    [anon_sym_PIPE_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_LT_LT_EQ] = ACTIONS(1930),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1930),
    [anon_sym_AMP_AMP] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_GT_GT_GT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_STAR_STAR] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1930),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_instanceof] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1930),
    [anon_sym_static] = ACTIONS(1928),
    [anon_sym_get] = ACTIONS(1928),
    [anon_sym_set] = ACTIONS(1928),
    [anon_sym_constructor] = ACTIONS(1928),
    [anon_sym_id] = ACTIONS(1928),
    [anon_sym_event] = ACTIONS(1928),
    [anon_sym_fn] = ACTIONS(1928),
    [anon_sym_on] = ACTIONS(1928),
  },
  [360] = {
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1934),
    [anon_sym_DASH_EQ] = ACTIONS(1934),
    [anon_sym_STAR_EQ] = ACTIONS(1934),
    [anon_sym_SLASH_EQ] = ACTIONS(1934),
    [anon_sym_PERCENT_EQ] = ACTIONS(1934),
    [anon_sym_CARET_EQ] = ACTIONS(1934),
    [anon_sym_AMP_EQ] = ACTIONS(1934),
    [anon_sym_PIPE_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_LT_LT_EQ] = ACTIONS(1934),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_AMP_AMP] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_GT_GT_GT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1934),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1934),
    [anon_sym_instanceof] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_constructor] = ACTIONS(1932),
    [anon_sym_id] = ACTIONS(1932),
    [anon_sym_event] = ACTIONS(1932),
    [anon_sym_fn] = ACTIONS(1932),
    [anon_sym_on] = ACTIONS(1932),
  },
  [361] = {
    [sym_formal_parameters] = STATE(1617),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_function] = ACTIONS(1492),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_set] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [362] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_object_repeat1] = STATE(1370),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1872),
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_async] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1872),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
    [anon_sym_static] = ACTIONS(1872),
    [anon_sym_get] = ACTIONS(1872),
    [anon_sym_set] = ACTIONS(1872),
    [anon_sym_constructor] = ACTIONS(1872),
    [anon_sym_id] = ACTIONS(1872),
    [anon_sym_event] = ACTIONS(1872),
    [anon_sym_fn] = ACTIONS(1872),
    [anon_sym_on] = ACTIONS(1872),
  },
  [364] = {
    [sym_formal_parameters] = STATE(1617),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_function] = ACTIONS(1894),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_get] = ACTIONS(1892),
    [anon_sym_set] = ACTIONS(1892),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1591),
    [anon_sym_DASH_EQ] = ACTIONS(1591),
    [anon_sym_STAR_EQ] = ACTIONS(1591),
    [anon_sym_SLASH_EQ] = ACTIONS(1591),
    [anon_sym_PERCENT_EQ] = ACTIONS(1591),
    [anon_sym_CARET_EQ] = ACTIONS(1591),
    [anon_sym_AMP_EQ] = ACTIONS(1591),
    [anon_sym_PIPE_EQ] = ACTIONS(1591),
    [anon_sym_GT_GT_EQ] = ACTIONS(1591),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1591),
    [anon_sym_LT_LT_EQ] = ACTIONS(1591),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1591),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_constructor] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_DOT] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_async] = ACTIONS(1938),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1940),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1940),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_instanceof] = ACTIONS(1938),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1940),
    [anon_sym_static] = ACTIONS(1938),
    [anon_sym_get] = ACTIONS(1938),
    [anon_sym_set] = ACTIONS(1938),
    [anon_sym_constructor] = ACTIONS(1938),
    [anon_sym_id] = ACTIONS(1938),
    [anon_sym_event] = ACTIONS(1938),
    [anon_sym_fn] = ACTIONS(1938),
    [anon_sym_on] = ACTIONS(1938),
  },
  [367] = {
    [sym_formal_parameters] = STATE(1658),
    [aux_sym_formal_parameters_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_get] = ACTIONS(1882),
    [anon_sym_set] = ACTIONS(1882),
  },
  [368] = {
    [sym_arguments] = STATE(500),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
    [anon_sym_EQ_GT] = ACTIONS(1679),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1599),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_id] = ACTIONS(1599),
    [anon_sym_event] = ACTIONS(1599),
    [anon_sym_fn] = ACTIONS(1599),
    [anon_sym_on] = ACTIONS(1599),
  },
  [369] = {
    [sym_arguments] = STATE(784),
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [370] = {
    [sym__initializer] = STATE(1307),
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1954),
    [anon_sym_of] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1952),
  },
  [371] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_import] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_var] = ACTIONS(1961),
    [anon_sym_let] = ACTIONS(1961),
    [anon_sym_const] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_switch] = ACTIONS(1961),
    [anon_sym_for] = ACTIONS(1961),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(1961),
    [anon_sym_while] = ACTIONS(1961),
    [anon_sym_do] = ACTIONS(1961),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_with] = ACTIONS(1961),
    [anon_sym_break] = ACTIONS(1961),
    [anon_sym_continue] = ACTIONS(1961),
    [anon_sym_debugger] = ACTIONS(1961),
    [anon_sym_return] = ACTIONS(1961),
    [anon_sym_throw] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym_yield] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(1961),
    [anon_sym_async] = ACTIONS(1961),
    [anon_sym_function] = ACTIONS(1961),
    [anon_sym_new] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_TILDE] = ACTIONS(1963),
    [anon_sym_typeof] = ACTIONS(1961),
    [anon_sym_void] = ACTIONS(1961),
    [anon_sym_delete] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1963),
    [anon_sym_DASH_DASH] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1963),
    [anon_sym_SQUOTE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1963),
    [sym_number] = ACTIONS(1963),
    [sym_this] = ACTIONS(1961),
    [sym_super] = ACTIONS(1961),
    [sym_true] = ACTIONS(1961),
    [sym_false] = ACTIONS(1961),
    [sym_null] = ACTIONS(1961),
    [sym_undefined] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_static] = ACTIONS(1961),
    [anon_sym_get] = ACTIONS(1961),
    [anon_sym_set] = ACTIONS(1961),
    [anon_sym_component] = ACTIONS(1961),
    [anon_sym_instance] = ACTIONS(1961),
  },
  [373] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1965),
    [anon_sym_of] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [374] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [375] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [376] = {
    [sym_component_identifier] = STATE(1554),
    [sym_new_component_body] = STATE(696),
    [aux_sym_component_heritage_repeat1] = STATE(1081),
    [anon_sym_DOT] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1905),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_import] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_var] = ACTIONS(1972),
    [anon_sym_let] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_await] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_with] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_debugger] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_yield] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(1974),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_function] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(1972),
    [anon_sym_void] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1974),
    [sym_number] = ACTIONS(1974),
    [sym_this] = ACTIONS(1972),
    [sym_super] = ACTIONS(1972),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [sym_null] = ACTIONS(1972),
    [sym_undefined] = ACTIONS(1972),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_get] = ACTIONS(1972),
    [anon_sym_set] = ACTIONS(1972),
    [anon_sym_component] = ACTIONS(1972),
    [anon_sym_instance] = ACTIONS(1972),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_import] = ACTIONS(1976),
    [anon_sym_LBRACE] = ACTIONS(1978),
    [anon_sym_var] = ACTIONS(1976),
    [anon_sym_let] = ACTIONS(1976),
    [anon_sym_const] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_switch] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [anon_sym_with] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_debugger] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LT] = ACTIONS(1978),
    [anon_sym_SLASH] = ACTIONS(1976),
    [anon_sym_class] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_function] = ACTIONS(1976),
    [anon_sym_new] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1978),
    [anon_sym_TILDE] = ACTIONS(1978),
    [anon_sym_typeof] = ACTIONS(1976),
    [anon_sym_void] = ACTIONS(1976),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1978),
    [anon_sym_DASH_DASH] = ACTIONS(1978),
    [anon_sym_DQUOTE] = ACTIONS(1978),
    [anon_sym_SQUOTE] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1978),
    [sym_number] = ACTIONS(1978),
    [sym_this] = ACTIONS(1976),
    [sym_super] = ACTIONS(1976),
    [sym_true] = ACTIONS(1976),
    [sym_false] = ACTIONS(1976),
    [sym_null] = ACTIONS(1976),
    [sym_undefined] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(1976),
    [anon_sym_get] = ACTIONS(1976),
    [anon_sym_set] = ACTIONS(1976),
    [anon_sym_component] = ACTIONS(1976),
    [anon_sym_instance] = ACTIONS(1976),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_import] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_var] = ACTIONS(1980),
    [anon_sym_let] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_switch] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1982),
    [anon_sym_await] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_with] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_debugger] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_throw] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym_yield] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1982),
    [anon_sym_LT] = ACTIONS(1982),
    [anon_sym_SLASH] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_function] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1982),
    [anon_sym_typeof] = ACTIONS(1980),
    [anon_sym_void] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(1982),
    [anon_sym_DQUOTE] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1982),
    [sym_number] = ACTIONS(1982),
    [sym_this] = ACTIONS(1980),
    [sym_super] = ACTIONS(1980),
    [sym_true] = ACTIONS(1980),
    [sym_false] = ACTIONS(1980),
    [sym_null] = ACTIONS(1980),
    [sym_undefined] = ACTIONS(1980),
    [anon_sym_AT] = ACTIONS(1982),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_get] = ACTIONS(1980),
    [anon_sym_set] = ACTIONS(1980),
    [anon_sym_component] = ACTIONS(1980),
    [anon_sym_instance] = ACTIONS(1980),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_import] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_var] = ACTIONS(1984),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_const] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_switch] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_await] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_do] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1984),
    [anon_sym_with] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_continue] = ACTIONS(1984),
    [anon_sym_debugger] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1986),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1986),
    [anon_sym_TILDE] = ACTIONS(1986),
    [anon_sym_typeof] = ACTIONS(1984),
    [anon_sym_void] = ACTIONS(1984),
    [anon_sym_delete] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1986),
    [anon_sym_DASH_DASH] = ACTIONS(1986),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1986),
    [sym_number] = ACTIONS(1986),
    [sym_this] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_null] = ACTIONS(1984),
    [sym_undefined] = ACTIONS(1984),
    [anon_sym_AT] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_component] = ACTIONS(1984),
    [anon_sym_instance] = ACTIONS(1984),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_import] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_switch] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_await] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_do] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_with] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_debugger] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_throw] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym_yield] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_function] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_typeof] = ACTIONS(1932),
    [anon_sym_void] = ACTIONS(1932),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [anon_sym_DQUOTE] = ACTIONS(1934),
    [anon_sym_SQUOTE] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1934),
    [sym_number] = ACTIONS(1934),
    [sym_this] = ACTIONS(1932),
    [sym_super] = ACTIONS(1932),
    [sym_true] = ACTIONS(1932),
    [sym_false] = ACTIONS(1932),
    [sym_null] = ACTIONS(1932),
    [sym_undefined] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_component] = ACTIONS(1932),
    [anon_sym_instance] = ACTIONS(1932),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_import] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_var] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_do] = ACTIONS(1988),
    [anon_sym_try] = ACTIONS(1988),
    [anon_sym_with] = ACTIONS(1988),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_debugger] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1988),
    [anon_sym_SEMI] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1988),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_function] = ACTIONS(1988),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_TILDE] = ACTIONS(1990),
    [anon_sym_typeof] = ACTIONS(1988),
    [anon_sym_void] = ACTIONS(1988),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [sym_number] = ACTIONS(1990),
    [sym_this] = ACTIONS(1988),
    [sym_super] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [sym_false] = ACTIONS(1988),
    [sym_null] = ACTIONS(1988),
    [sym_undefined] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_component] = ACTIONS(1988),
    [anon_sym_instance] = ACTIONS(1988),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1477),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1679),
    [anon_sym_PLUS_EQ] = ACTIONS(1870),
    [anon_sym_DASH_EQ] = ACTIONS(1870),
    [anon_sym_STAR_EQ] = ACTIONS(1870),
    [anon_sym_SLASH_EQ] = ACTIONS(1870),
    [anon_sym_PERCENT_EQ] = ACTIONS(1870),
    [anon_sym_CARET_EQ] = ACTIONS(1870),
    [anon_sym_AMP_EQ] = ACTIONS(1870),
    [anon_sym_PIPE_EQ] = ACTIONS(1870),
    [anon_sym_GT_GT_EQ] = ACTIONS(1870),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1870),
    [anon_sym_LT_LT_EQ] = ACTIONS(1870),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1870),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_id] = ACTIONS(1477),
    [anon_sym_event] = ACTIONS(1477),
    [anon_sym_fn] = ACTIONS(1477),
    [anon_sym_on] = ACTIONS(1477),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1992),
    [anon_sym_import] = ACTIONS(1992),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_var] = ACTIONS(1992),
    [anon_sym_let] = ACTIONS(1992),
    [anon_sym_const] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_switch] = ACTIONS(1992),
    [anon_sym_for] = ACTIONS(1992),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_await] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_do] = ACTIONS(1992),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_with] = ACTIONS(1992),
    [anon_sym_break] = ACTIONS(1992),
    [anon_sym_continue] = ACTIONS(1992),
    [anon_sym_debugger] = ACTIONS(1992),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1992),
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_yield] = ACTIONS(1992),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1992),
    [anon_sym_function] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_TILDE] = ACTIONS(1994),
    [anon_sym_typeof] = ACTIONS(1992),
    [anon_sym_void] = ACTIONS(1992),
    [anon_sym_delete] = ACTIONS(1992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_DQUOTE] = ACTIONS(1994),
    [anon_sym_SQUOTE] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1994),
    [sym_number] = ACTIONS(1994),
    [sym_this] = ACTIONS(1992),
    [sym_super] = ACTIONS(1992),
    [sym_true] = ACTIONS(1992),
    [sym_false] = ACTIONS(1992),
    [sym_null] = ACTIONS(1992),
    [sym_undefined] = ACTIONS(1992),
    [anon_sym_AT] = ACTIONS(1994),
    [anon_sym_static] = ACTIONS(1992),
    [anon_sym_get] = ACTIONS(1992),
    [anon_sym_set] = ACTIONS(1992),
    [anon_sym_component] = ACTIONS(1992),
    [anon_sym_instance] = ACTIONS(1992),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_import] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(1998),
    [anon_sym_var] = ACTIONS(1996),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1996),
    [anon_sym_if] = ACTIONS(1996),
    [anon_sym_switch] = ACTIONS(1996),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1998),
    [anon_sym_await] = ACTIONS(1996),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_do] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1996),
    [anon_sym_with] = ACTIONS(1996),
    [anon_sym_break] = ACTIONS(1996),
    [anon_sym_continue] = ACTIONS(1996),
    [anon_sym_debugger] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1996),
    [anon_sym_throw] = ACTIONS(1996),
    [anon_sym_SEMI] = ACTIONS(1998),
    [anon_sym_yield] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(1998),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1996),
    [anon_sym_function] = ACTIONS(1996),
    [anon_sym_new] = ACTIONS(1996),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_BANG] = ACTIONS(1998),
    [anon_sym_TILDE] = ACTIONS(1998),
    [anon_sym_typeof] = ACTIONS(1996),
    [anon_sym_void] = ACTIONS(1996),
    [anon_sym_delete] = ACTIONS(1996),
    [anon_sym_PLUS_PLUS] = ACTIONS(1998),
    [anon_sym_DASH_DASH] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [anon_sym_SQUOTE] = ACTIONS(1998),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1998),
    [sym_number] = ACTIONS(1998),
    [sym_this] = ACTIONS(1996),
    [sym_super] = ACTIONS(1996),
    [sym_true] = ACTIONS(1996),
    [sym_false] = ACTIONS(1996),
    [sym_null] = ACTIONS(1996),
    [sym_undefined] = ACTIONS(1996),
    [anon_sym_AT] = ACTIONS(1998),
    [anon_sym_static] = ACTIONS(1996),
    [anon_sym_get] = ACTIONS(1996),
    [anon_sym_set] = ACTIONS(1996),
    [anon_sym_component] = ACTIONS(1996),
    [anon_sym_instance] = ACTIONS(1996),
  },
  [386] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_of] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_get] = ACTIONS(1882),
    [anon_sym_set] = ACTIONS(1882),
  },
  [387] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_formal_parameters_repeat1] = STATE(1341),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [388] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_function] = ACTIONS(1884),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_get] = ACTIONS(1882),
    [anon_sym_set] = ACTIONS(1882),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1673),
    [anon_sym_DASH_EQ] = ACTIONS(1673),
    [anon_sym_STAR_EQ] = ACTIONS(1673),
    [anon_sym_SLASH_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_CARET_EQ] = ACTIONS(1673),
    [anon_sym_AMP_EQ] = ACTIONS(1673),
    [anon_sym_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_GT_GT_EQ] = ACTIONS(1673),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT_EQ] = ACTIONS(1673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1673),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [390] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [391] = {
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_RPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_COLON] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_RBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
    [anon_sym_POUND] = ACTIONS(1876),
  },
  [392] = {
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
    [anon_sym_POUND] = ACTIONS(1876),
    [sym__automatic_semicolon] = ACTIONS(1874),
  },
  [393] = {
    [sym_arguments] = STATE(693),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1603),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_COLON] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_RBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
  },
  [394] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1965),
    [anon_sym_of] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [395] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1954),
    [anon_sym_of] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_EQ_GT] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [396] = {
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_COMMA] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_RPAREN] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1932),
    [anon_sym_of] = ACTIONS(1934),
    [anon_sym_COLON] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_RBRACK] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1934),
    [anon_sym_DASH_EQ] = ACTIONS(1934),
    [anon_sym_STAR_EQ] = ACTIONS(1934),
    [anon_sym_SLASH_EQ] = ACTIONS(1934),
    [anon_sym_PERCENT_EQ] = ACTIONS(1934),
    [anon_sym_CARET_EQ] = ACTIONS(1934),
    [anon_sym_AMP_EQ] = ACTIONS(1934),
    [anon_sym_PIPE_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_LT_LT_EQ] = ACTIONS(1934),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_AMP_AMP] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_GT_GT_GT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1934),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1934),
    [anon_sym_instanceof] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1934),
  },
  [397] = {
    [sym_arguments] = STATE(692),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
  },
  [398] = {
    [sym_arguments] = STATE(783),
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1603),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1603),
    [anon_sym_AMP_AMP] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1599),
    [anon_sym_LT_LT] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1599),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_LT_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1603),
    [anon_sym_instanceof] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1603),
    [sym__automatic_semicolon] = ACTIONS(1603),
  },
  [399] = {
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_COLON] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_RBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
  },
  [400] = {
    [anon_sym_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_of] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_RBRACK] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1940),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1940),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_instanceof] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1940),
  },
  [401] = {
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_LPAREN] = ACTIONS(1930),
    [anon_sym_RPAREN] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1928),
    [anon_sym_of] = ACTIONS(1930),
    [anon_sym_COLON] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_RBRACK] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1930),
    [anon_sym_DASH_EQ] = ACTIONS(1930),
    [anon_sym_STAR_EQ] = ACTIONS(1930),
    [anon_sym_SLASH_EQ] = ACTIONS(1930),
    [anon_sym_PERCENT_EQ] = ACTIONS(1930),
    [anon_sym_CARET_EQ] = ACTIONS(1930),
    [anon_sym_AMP_EQ] = ACTIONS(1930),
    [anon_sym_PIPE_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_LT_LT_EQ] = ACTIONS(1930),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1930),
    [anon_sym_AMP_AMP] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_GT_GT_GT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_STAR_STAR] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1930),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_instanceof] = ACTIONS(1930),
    [anon_sym_PLUS_PLUS] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1930),
  },
  [402] = {
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_RPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_COLON] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_RBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
  },
  [403] = {
    [anon_sym_DOT] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_LPAREN] = ACTIONS(1930),
    [anon_sym_in] = ACTIONS(1928),
    [anon_sym_of] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1928),
    [anon_sym_SLASH] = ACTIONS(1928),
    [anon_sym_PLUS_EQ] = ACTIONS(1930),
    [anon_sym_DASH_EQ] = ACTIONS(1930),
    [anon_sym_STAR_EQ] = ACTIONS(1930),
    [anon_sym_SLASH_EQ] = ACTIONS(1930),
    [anon_sym_PERCENT_EQ] = ACTIONS(1930),
    [anon_sym_CARET_EQ] = ACTIONS(1930),
    [anon_sym_AMP_EQ] = ACTIONS(1930),
    [anon_sym_PIPE_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1930),
    [anon_sym_LT_LT_EQ] = ACTIONS(1930),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1930),
    [anon_sym_QMARK] = ACTIONS(1930),
    [anon_sym_AMP_AMP] = ACTIONS(1930),
    [anon_sym_PIPE_PIPE] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_GT_GT_GT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_AMP] = ACTIONS(1928),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_PIPE] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_STAR_STAR] = ACTIONS(1928),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1930),
    [anon_sym_BANG_EQ] = ACTIONS(1928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_instanceof] = ACTIONS(1930),
    [anon_sym_PLUS_PLUS] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1930),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1930),
    [sym__automatic_semicolon] = ACTIONS(1930),
  },
  [404] = {
    [anon_sym_DOT] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_in] = ACTIONS(1872),
    [anon_sym_of] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PLUS_EQ] = ACTIONS(1874),
    [anon_sym_DASH_EQ] = ACTIONS(1874),
    [anon_sym_STAR_EQ] = ACTIONS(1874),
    [anon_sym_SLASH_EQ] = ACTIONS(1874),
    [anon_sym_PERCENT_EQ] = ACTIONS(1874),
    [anon_sym_CARET_EQ] = ACTIONS(1874),
    [anon_sym_AMP_EQ] = ACTIONS(1874),
    [anon_sym_PIPE_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1874),
    [anon_sym_LT_LT_EQ] = ACTIONS(1874),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1874),
    [anon_sym_QMARK] = ACTIONS(1874),
    [anon_sym_AMP_AMP] = ACTIONS(1874),
    [anon_sym_PIPE_PIPE] = ACTIONS(1874),
    [anon_sym_GT_GT] = ACTIONS(1872),
    [anon_sym_GT_GT_GT] = ACTIONS(1872),
    [anon_sym_LT_LT] = ACTIONS(1872),
    [anon_sym_AMP] = ACTIONS(1872),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_PIPE] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1872),
    [anon_sym_STAR_STAR] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_EQ_EQ] = ACTIONS(1872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1874),
    [anon_sym_BANG_EQ] = ACTIONS(1872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_instanceof] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1874),
    [sym__automatic_semicolon] = ACTIONS(1874),
  },
  [405] = {
    [anon_sym_DOT] = ACTIONS(1934),
    [anon_sym_COMMA] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1932),
    [anon_sym_of] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_GT] = ACTIONS(1932),
    [anon_sym_SLASH] = ACTIONS(1932),
    [anon_sym_PLUS_EQ] = ACTIONS(1934),
    [anon_sym_DASH_EQ] = ACTIONS(1934),
    [anon_sym_STAR_EQ] = ACTIONS(1934),
    [anon_sym_SLASH_EQ] = ACTIONS(1934),
    [anon_sym_PERCENT_EQ] = ACTIONS(1934),
    [anon_sym_CARET_EQ] = ACTIONS(1934),
    [anon_sym_AMP_EQ] = ACTIONS(1934),
    [anon_sym_PIPE_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1934),
    [anon_sym_LT_LT_EQ] = ACTIONS(1934),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1934),
    [anon_sym_QMARK] = ACTIONS(1934),
    [anon_sym_AMP_AMP] = ACTIONS(1934),
    [anon_sym_PIPE_PIPE] = ACTIONS(1934),
    [anon_sym_GT_GT] = ACTIONS(1932),
    [anon_sym_GT_GT_GT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1932),
    [anon_sym_PIPE] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1934),
    [anon_sym_EQ_EQ] = ACTIONS(1932),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1934),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1934),
    [anon_sym_GT_EQ] = ACTIONS(1934),
    [anon_sym_instanceof] = ACTIONS(1934),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1934),
    [sym__automatic_semicolon] = ACTIONS(1934),
  },
  [406] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [407] = {
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_of] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [408] = {
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [409] = {
    [sym_arguments] = STATE(784),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [410] = {
    [anon_sym_DOT] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(1938),
    [anon_sym_of] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_EQ] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_GT] = ACTIONS(1938),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_PLUS_EQ] = ACTIONS(1940),
    [anon_sym_DASH_EQ] = ACTIONS(1940),
    [anon_sym_STAR_EQ] = ACTIONS(1940),
    [anon_sym_SLASH_EQ] = ACTIONS(1940),
    [anon_sym_PERCENT_EQ] = ACTIONS(1940),
    [anon_sym_CARET_EQ] = ACTIONS(1940),
    [anon_sym_AMP_EQ] = ACTIONS(1940),
    [anon_sym_PIPE_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1940),
    [anon_sym_LT_LT_EQ] = ACTIONS(1940),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1940),
    [anon_sym_QMARK] = ACTIONS(1940),
    [anon_sym_AMP_AMP] = ACTIONS(1940),
    [anon_sym_PIPE_PIPE] = ACTIONS(1940),
    [anon_sym_GT_GT] = ACTIONS(1938),
    [anon_sym_GT_GT_GT] = ACTIONS(1938),
    [anon_sym_LT_LT] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_PERCENT] = ACTIONS(1938),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_LT_EQ] = ACTIONS(1940),
    [anon_sym_EQ_EQ] = ACTIONS(1938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1940),
    [anon_sym_BANG_EQ] = ACTIONS(1938),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1940),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_instanceof] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1940),
    [sym__automatic_semicolon] = ACTIONS(1940),
  },
  [411] = {
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [412] = {
    [anon_sym_DOT] = ACTIONS(1890),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1494),
    [anon_sym_PLUS_EQ] = ACTIONS(1496),
    [anon_sym_DASH_EQ] = ACTIONS(1496),
    [anon_sym_STAR_EQ] = ACTIONS(1496),
    [anon_sym_SLASH_EQ] = ACTIONS(1496),
    [anon_sym_PERCENT_EQ] = ACTIONS(1496),
    [anon_sym_CARET_EQ] = ACTIONS(1496),
    [anon_sym_AMP_EQ] = ACTIONS(1496),
    [anon_sym_PIPE_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1496),
    [anon_sym_LT_LT_EQ] = ACTIONS(1496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1496),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
    [sym__automatic_semicolon] = ACTIONS(1469),
  },
  [413] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1965),
    [anon_sym_of] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [414] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [415] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1356),
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
  },
  [416] = {
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_of] = ACTIONS(2016),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
  },
  [417] = {
    [anon_sym_DOT] = ACTIONS(1880),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_in] = ACTIONS(2008),
    [anon_sym_of] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_EQ_GT] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1611),
    [anon_sym_DASH_EQ] = ACTIONS(1611),
    [anon_sym_STAR_EQ] = ACTIONS(1611),
    [anon_sym_SLASH_EQ] = ACTIONS(1611),
    [anon_sym_PERCENT_EQ] = ACTIONS(1611),
    [anon_sym_CARET_EQ] = ACTIONS(1611),
    [anon_sym_AMP_EQ] = ACTIONS(1611),
    [anon_sym_PIPE_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1611),
    [anon_sym_LT_LT_EQ] = ACTIONS(1611),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1611),
    [anon_sym_QMARK] = ACTIONS(1469),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1469),
  },
  [418] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [419] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2042),
    [anon_sym_get] = ACTIONS(2042),
    [anon_sym_set] = ACTIONS(2042),
    [anon_sym_constructor] = ACTIONS(2042),
    [anon_sym_id] = ACTIONS(2042),
    [anon_sym_event] = ACTIONS(2042),
    [anon_sym_fn] = ACTIONS(2042),
    [anon_sym_on] = ACTIONS(2042),
  },
  [420] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1954),
    [anon_sym_of] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [421] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_constructor] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [422] = {
    [sym_arguments] = STATE(501),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [423] = {
    [sym_arguments] = STATE(501),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [424] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2060),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2060),
    [anon_sym_get] = ACTIONS(2060),
    [anon_sym_set] = ACTIONS(2060),
    [anon_sym_constructor] = ACTIONS(2060),
    [anon_sym_id] = ACTIONS(2060),
    [anon_sym_event] = ACTIONS(2060),
    [anon_sym_fn] = ACTIONS(2060),
    [anon_sym_on] = ACTIONS(2060),
  },
  [425] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(502),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [426] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2064),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2064),
    [anon_sym_get] = ACTIONS(2064),
    [anon_sym_set] = ACTIONS(2064),
    [anon_sym_constructor] = ACTIONS(2064),
    [anon_sym_id] = ACTIONS(2064),
    [anon_sym_event] = ACTIONS(2064),
    [anon_sym_fn] = ACTIONS(2064),
    [anon_sym_on] = ACTIONS(2064),
  },
  [427] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2060),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2060),
    [anon_sym_get] = ACTIONS(2060),
    [anon_sym_set] = ACTIONS(2060),
    [anon_sym_constructor] = ACTIONS(2060),
    [anon_sym_id] = ACTIONS(2060),
    [anon_sym_event] = ACTIONS(2060),
    [anon_sym_fn] = ACTIONS(2060),
    [anon_sym_on] = ACTIONS(2060),
  },
  [428] = {
    [sym_identifier] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(513),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_constructor] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(2068),
  },
  [429] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2060),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2060),
    [anon_sym_get] = ACTIONS(2060),
    [anon_sym_set] = ACTIONS(2060),
    [anon_sym_constructor] = ACTIONS(2060),
    [anon_sym_id] = ACTIONS(2060),
    [anon_sym_event] = ACTIONS(2060),
    [anon_sym_fn] = ACTIONS(2060),
    [anon_sym_on] = ACTIONS(2060),
  },
  [430] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(2072),
    [anon_sym_AMP_AMP] = ACTIONS(2072),
    [anon_sym_PIPE_PIPE] = ACTIONS(2072),
    [anon_sym_GT_GT] = ACTIONS(2070),
    [anon_sym_GT_GT_GT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_AMP] = ACTIONS(2070),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_PIPE] = ACTIONS(2070),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_PERCENT] = ACTIONS(2072),
    [anon_sym_STAR_STAR] = ACTIONS(2072),
    [anon_sym_LT_EQ] = ACTIONS(2072),
    [anon_sym_EQ_EQ] = ACTIONS(2070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2072),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2072),
    [anon_sym_GT_EQ] = ACTIONS(2072),
    [anon_sym_instanceof] = ACTIONS(2070),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2070),
    [anon_sym_get] = ACTIONS(2070),
    [anon_sym_set] = ACTIONS(2070),
    [anon_sym_constructor] = ACTIONS(2070),
    [anon_sym_id] = ACTIONS(2070),
    [anon_sym_event] = ACTIONS(2070),
    [anon_sym_fn] = ACTIONS(2070),
    [anon_sym_on] = ACTIONS(2070),
  },
  [431] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2074),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2074),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2074),
    [anon_sym_get] = ACTIONS(2074),
    [anon_sym_set] = ACTIONS(2074),
    [anon_sym_constructor] = ACTIONS(2074),
    [anon_sym_id] = ACTIONS(2074),
    [anon_sym_event] = ACTIONS(2074),
    [anon_sym_fn] = ACTIONS(2074),
    [anon_sym_on] = ACTIONS(2074),
  },
  [432] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1965),
    [anon_sym_of] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PLUS_EQ] = ACTIONS(1556),
    [anon_sym_DASH_EQ] = ACTIONS(1556),
    [anon_sym_STAR_EQ] = ACTIONS(1556),
    [anon_sym_SLASH_EQ] = ACTIONS(1556),
    [anon_sym_PERCENT_EQ] = ACTIONS(1556),
    [anon_sym_CARET_EQ] = ACTIONS(1556),
    [anon_sym_AMP_EQ] = ACTIONS(1556),
    [anon_sym_PIPE_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1556),
    [anon_sym_LT_LT_EQ] = ACTIONS(1556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1556),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [433] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2078),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2078),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2078),
    [anon_sym_get] = ACTIONS(2078),
    [anon_sym_set] = ACTIONS(2078),
    [anon_sym_constructor] = ACTIONS(2078),
    [anon_sym_id] = ACTIONS(2078),
    [anon_sym_event] = ACTIONS(2078),
    [anon_sym_fn] = ACTIONS(2078),
    [anon_sym_on] = ACTIONS(2078),
  },
  [434] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [435] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2024),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [436] = {
    [sym_identifier] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_constructor] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(2082),
  },
  [437] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [438] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2084),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_get] = ACTIONS(2084),
    [anon_sym_set] = ACTIONS(2084),
    [anon_sym_constructor] = ACTIONS(2084),
    [anon_sym_id] = ACTIONS(2084),
    [anon_sym_event] = ACTIONS(2084),
    [anon_sym_fn] = ACTIONS(2084),
    [anon_sym_on] = ACTIONS(2084),
  },
  [439] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [440] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_constructor] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [441] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2088),
    [anon_sym_get] = ACTIONS(2088),
    [anon_sym_set] = ACTIONS(2088),
    [anon_sym_constructor] = ACTIONS(2088),
    [anon_sym_id] = ACTIONS(2088),
    [anon_sym_event] = ACTIONS(2088),
    [anon_sym_fn] = ACTIONS(2088),
    [anon_sym_on] = ACTIONS(2088),
  },
  [442] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
    [anon_sym_constructor] = ACTIONS(2092),
    [anon_sym_id] = ACTIONS(2092),
    [anon_sym_event] = ACTIONS(2092),
    [anon_sym_fn] = ACTIONS(2092),
    [anon_sym_on] = ACTIONS(2092),
  },
  [443] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_get] = ACTIONS(2096),
    [anon_sym_set] = ACTIONS(2096),
    [anon_sym_constructor] = ACTIONS(2096),
    [anon_sym_id] = ACTIONS(2096),
    [anon_sym_event] = ACTIONS(2096),
    [anon_sym_fn] = ACTIONS(2096),
    [anon_sym_on] = ACTIONS(2096),
  },
  [444] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2100),
    [anon_sym_get] = ACTIONS(2100),
    [anon_sym_set] = ACTIONS(2100),
    [anon_sym_constructor] = ACTIONS(2100),
    [anon_sym_id] = ACTIONS(2100),
    [anon_sym_event] = ACTIONS(2100),
    [anon_sym_fn] = ACTIONS(2100),
    [anon_sym_on] = ACTIONS(2100),
  },
  [445] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_get] = ACTIONS(2104),
    [anon_sym_set] = ACTIONS(2104),
    [anon_sym_constructor] = ACTIONS(2104),
    [anon_sym_id] = ACTIONS(2104),
    [anon_sym_event] = ACTIONS(2104),
    [anon_sym_fn] = ACTIONS(2104),
    [anon_sym_on] = ACTIONS(2104),
  },
  [446] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2108),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_get] = ACTIONS(2108),
    [anon_sym_set] = ACTIONS(2108),
    [anon_sym_constructor] = ACTIONS(2108),
    [anon_sym_id] = ACTIONS(2108),
    [anon_sym_event] = ACTIONS(2108),
    [anon_sym_fn] = ACTIONS(2108),
    [anon_sym_on] = ACTIONS(2108),
  },
  [447] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_constructor] = ACTIONS(2112),
    [anon_sym_id] = ACTIONS(2112),
    [anon_sym_event] = ACTIONS(2112),
    [anon_sym_fn] = ACTIONS(2112),
    [anon_sym_on] = ACTIONS(2112),
  },
  [448] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2116),
    [anon_sym_get] = ACTIONS(2116),
    [anon_sym_set] = ACTIONS(2116),
    [anon_sym_constructor] = ACTIONS(2116),
    [anon_sym_id] = ACTIONS(2116),
    [anon_sym_event] = ACTIONS(2116),
    [anon_sym_fn] = ACTIONS(2116),
    [anon_sym_on] = ACTIONS(2116),
  },
  [449] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2120),
    [anon_sym_get] = ACTIONS(2120),
    [anon_sym_set] = ACTIONS(2120),
    [anon_sym_constructor] = ACTIONS(2120),
    [anon_sym_id] = ACTIONS(2120),
    [anon_sym_event] = ACTIONS(2120),
    [anon_sym_fn] = ACTIONS(2120),
    [anon_sym_on] = ACTIONS(2120),
  },
  [450] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_constructor] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(2124),
    [anon_sym_event] = ACTIONS(2124),
    [anon_sym_fn] = ACTIONS(2124),
    [anon_sym_on] = ACTIONS(2124),
  },
  [451] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2128),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2130),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2128),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2128),
    [anon_sym_get] = ACTIONS(2128),
    [anon_sym_set] = ACTIONS(2128),
    [anon_sym_constructor] = ACTIONS(2128),
    [anon_sym_id] = ACTIONS(2128),
    [anon_sym_event] = ACTIONS(2128),
    [anon_sym_fn] = ACTIONS(2128),
    [anon_sym_on] = ACTIONS(2128),
  },
  [452] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2132),
    [anon_sym_get] = ACTIONS(2132),
    [anon_sym_set] = ACTIONS(2132),
    [anon_sym_constructor] = ACTIONS(2132),
    [anon_sym_id] = ACTIONS(2132),
    [anon_sym_event] = ACTIONS(2132),
    [anon_sym_fn] = ACTIONS(2132),
    [anon_sym_on] = ACTIONS(2132),
  },
  [453] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_get] = ACTIONS(2136),
    [anon_sym_set] = ACTIONS(2136),
    [anon_sym_constructor] = ACTIONS(2136),
    [anon_sym_id] = ACTIONS(2136),
    [anon_sym_event] = ACTIONS(2136),
    [anon_sym_fn] = ACTIONS(2136),
    [anon_sym_on] = ACTIONS(2136),
  },
  [454] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2026),
    [anon_sym_SEMI] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_QMARK] = ACTIONS(2046),
    [anon_sym_AMP_AMP] = ACTIONS(2048),
    [anon_sym_PIPE_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2028),
    [anon_sym_GT_GT_GT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_PERCENT] = ACTIONS(2032),
    [anon_sym_STAR_STAR] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2038),
    [anon_sym_EQ_EQ] = ACTIONS(2026),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2026),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2038),
    [anon_sym_GT_EQ] = ACTIONS(2038),
    [anon_sym_instanceof] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_constructor] = ACTIONS(2140),
    [anon_sym_id] = ACTIONS(2140),
    [anon_sym_event] = ACTIONS(2140),
    [anon_sym_fn] = ACTIONS(2140),
    [anon_sym_on] = ACTIONS(2140),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2144),
    [anon_sym_DOT] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_GT] = ACTIONS(2144),
    [anon_sym_SLASH] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_QMARK] = ACTIONS(2146),
    [anon_sym_AMP_AMP] = ACTIONS(2146),
    [anon_sym_PIPE_PIPE] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2144),
    [anon_sym_GT_GT_GT] = ACTIONS(2146),
    [anon_sym_LT_LT] = ACTIONS(2146),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_PERCENT] = ACTIONS(2146),
    [anon_sym_STAR_STAR] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2146),
    [anon_sym_EQ_EQ] = ACTIONS(2144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2146),
    [anon_sym_GT_EQ] = ACTIONS(2146),
    [anon_sym_instanceof] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2146),
    [sym_regex_flags] = ACTIONS(2148),
    [anon_sym_static] = ACTIONS(2144),
    [anon_sym_get] = ACTIONS(2144),
    [anon_sym_set] = ACTIONS(2144),
    [anon_sym_constructor] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(2144),
    [anon_sym_event] = ACTIONS(2144),
    [anon_sym_fn] = ACTIONS(2144),
    [anon_sym_on] = ACTIONS(2144),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_constructor] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_EQ] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_QMARK] = ACTIONS(2154),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_constructor] = ACTIONS(2152),
    [anon_sym_id] = ACTIONS(2152),
    [anon_sym_event] = ACTIONS(2152),
    [anon_sym_fn] = ACTIONS(2152),
    [anon_sym_on] = ACTIONS(2152),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2156),
    [anon_sym_DOT] = ACTIONS(2158),
    [anon_sym_RBRACE] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_GT] = ACTIONS(2156),
    [anon_sym_SLASH] = ACTIONS(2156),
    [anon_sym_async] = ACTIONS(2156),
    [anon_sym_QMARK] = ACTIONS(2158),
    [anon_sym_AMP_AMP] = ACTIONS(2158),
    [anon_sym_PIPE_PIPE] = ACTIONS(2158),
    [anon_sym_GT_GT] = ACTIONS(2156),
    [anon_sym_GT_GT_GT] = ACTIONS(2158),
    [anon_sym_LT_LT] = ACTIONS(2158),
    [anon_sym_AMP] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2156),
    [anon_sym_PERCENT] = ACTIONS(2158),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2158),
    [anon_sym_EQ_EQ] = ACTIONS(2156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2158),
    [anon_sym_GT_EQ] = ACTIONS(2158),
    [anon_sym_instanceof] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2156),
    [anon_sym_get] = ACTIONS(2156),
    [anon_sym_set] = ACTIONS(2156),
    [anon_sym_constructor] = ACTIONS(2156),
    [anon_sym_id] = ACTIONS(2156),
    [anon_sym_event] = ACTIONS(2156),
    [anon_sym_fn] = ACTIONS(2156),
    [anon_sym_on] = ACTIONS(2156),
  },
  [459] = {
    [sym_identifier] = ACTIONS(513),
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_SEMI] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_async] = ACTIONS(513),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(513),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_static] = ACTIONS(513),
    [anon_sym_get] = ACTIONS(513),
    [anon_sym_set] = ACTIONS(513),
    [anon_sym_constructor] = ACTIONS(513),
    [anon_sym_id] = ACTIONS(513),
    [anon_sym_event] = ACTIONS(513),
    [anon_sym_fn] = ACTIONS(513),
    [anon_sym_on] = ACTIONS(513),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_EQ] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_QMARK] = ACTIONS(2162),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_constructor] = ACTIONS(2160),
    [anon_sym_id] = ACTIONS(2160),
    [anon_sym_event] = ACTIONS(2160),
    [anon_sym_fn] = ACTIONS(2160),
    [anon_sym_on] = ACTIONS(2160),
  },
  [461] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_constructor] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_DOT] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_SLASH] = ACTIONS(2166),
    [anon_sym_async] = ACTIONS(2166),
    [anon_sym_QMARK] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2168),
    [anon_sym_LT_LT] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2168),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PERCENT] = ACTIONS(2168),
    [anon_sym_STAR_STAR] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_instanceof] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_get] = ACTIONS(2166),
    [anon_sym_set] = ACTIONS(2166),
    [anon_sym_constructor] = ACTIONS(2166),
    [anon_sym_id] = ACTIONS(2166),
    [anon_sym_event] = ACTIONS(2166),
    [anon_sym_fn] = ACTIONS(2166),
    [anon_sym_on] = ACTIONS(2166),
  },
  [463] = {
    [sym_arguments] = STATE(484),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_async] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_instanceof] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1514),
    [anon_sym_get] = ACTIONS(1514),
    [anon_sym_set] = ACTIONS(1514),
    [anon_sym_constructor] = ACTIONS(1514),
    [anon_sym_id] = ACTIONS(1514),
    [anon_sym_event] = ACTIONS(1514),
    [anon_sym_fn] = ACTIONS(1514),
    [anon_sym_on] = ACTIONS(1514),
  },
  [464] = {
    [sym_identifier] = ACTIONS(683),
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_constructor] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
    [sym__automatic_semicolon] = ACTIONS(2170),
  },
  [465] = {
    [sym_arguments] = STATE(501),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_constructor] = ACTIONS(1542),
    [anon_sym_id] = ACTIONS(1542),
    [anon_sym_event] = ACTIONS(1542),
    [anon_sym_fn] = ACTIONS(1542),
    [anon_sym_on] = ACTIONS(1542),
  },
  [466] = {
    [sym_identifier] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_constructor] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(2082),
  },
  [467] = {
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_EQ_GT] = ACTIONS(2172),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_constructor] = ACTIONS(1520),
    [anon_sym_id] = ACTIONS(1520),
    [anon_sym_event] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_on] = ACTIONS(1520),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_QMARK] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_PIPE_PIPE] = ACTIONS(2176),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2176),
    [anon_sym_LT_LT] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2176),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2176),
    [anon_sym_STAR_STAR] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2176),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2176),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2176),
    [anon_sym_GT_EQ] = ACTIONS(2176),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_constructor] = ACTIONS(2174),
    [anon_sym_id] = ACTIONS(2174),
    [anon_sym_event] = ACTIONS(2174),
    [anon_sym_fn] = ACTIONS(2174),
    [anon_sym_on] = ACTIONS(2174),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_constructor] = ACTIONS(2178),
    [anon_sym_id] = ACTIONS(2178),
    [anon_sym_event] = ACTIONS(2178),
    [anon_sym_fn] = ACTIONS(2178),
    [anon_sym_on] = ACTIONS(2178),
  },
  [470] = {
    [sym_arguments] = STATE(478),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
    [anon_sym_constructor] = ACTIONS(1528),
    [anon_sym_id] = ACTIONS(1528),
    [anon_sym_event] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_on] = ACTIONS(1528),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_id] = ACTIONS(2182),
    [anon_sym_event] = ACTIONS(2182),
    [anon_sym_fn] = ACTIONS(2182),
    [anon_sym_on] = ACTIONS(2182),
  },
  [472] = {
    [sym_arguments] = STATE(473),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_async] = ACTIONS(1532),
    [anon_sym_QMARK] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1530),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1532),
    [anon_sym_GT_GT_GT] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1530),
    [anon_sym_STAR_STAR] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_instanceof] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_get] = ACTIONS(1532),
    [anon_sym_set] = ACTIONS(1532),
    [anon_sym_constructor] = ACTIONS(1532),
    [anon_sym_id] = ACTIONS(1532),
    [anon_sym_event] = ACTIONS(1532),
    [anon_sym_fn] = ACTIONS(1532),
    [anon_sym_on] = ACTIONS(1532),
  },
  [473] = {
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_instanceof] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_static] = ACTIONS(1574),
    [anon_sym_get] = ACTIONS(1574),
    [anon_sym_set] = ACTIONS(1574),
    [anon_sym_constructor] = ACTIONS(1574),
    [anon_sym_id] = ACTIONS(1574),
    [anon_sym_event] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_on] = ACTIONS(1574),
  },
  [474] = {
    [sym_identifier] = ACTIONS(583),
    [anon_sym_DOT] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_async] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_AMP_AMP] = ACTIONS(585),
    [anon_sym_PIPE_PIPE] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_GT_GT_GT] = ACTIONS(585),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_PERCENT] = ACTIONS(585),
    [anon_sym_STAR_STAR] = ACTIONS(585),
    [anon_sym_LT_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ] = ACTIONS(583),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ] = ACTIONS(583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(585),
    [anon_sym_GT_EQ] = ACTIONS(585),
    [anon_sym_instanceof] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(585),
    [anon_sym_static] = ACTIONS(583),
    [anon_sym_get] = ACTIONS(583),
    [anon_sym_set] = ACTIONS(583),
    [anon_sym_constructor] = ACTIONS(583),
    [anon_sym_id] = ACTIONS(583),
    [anon_sym_event] = ACTIONS(583),
    [anon_sym_fn] = ACTIONS(583),
    [anon_sym_on] = ACTIONS(583),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2188),
    [anon_sym_LT_LT] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_STAR_STAR] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2188),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2188),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2188),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_constructor] = ACTIONS(2186),
    [anon_sym_id] = ACTIONS(2186),
    [anon_sym_event] = ACTIONS(2186),
    [anon_sym_fn] = ACTIONS(2186),
    [anon_sym_on] = ACTIONS(2186),
  },
  [476] = {
    [sym_identifier] = ACTIONS(683),
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_constructor] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_constructor] = ACTIONS(2190),
    [anon_sym_id] = ACTIONS(2190),
    [anon_sym_event] = ACTIONS(2190),
    [anon_sym_fn] = ACTIONS(2190),
    [anon_sym_on] = ACTIONS(2190),
  },
  [478] = {
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_in] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_async] = ACTIONS(1540),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_AMP_AMP] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1538),
    [anon_sym_instanceof] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_constructor] = ACTIONS(1540),
    [anon_sym_id] = ACTIONS(1540),
    [anon_sym_event] = ACTIONS(1540),
    [anon_sym_fn] = ACTIONS(1540),
    [anon_sym_on] = ACTIONS(1540),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_async] = ACTIONS(2194),
    [anon_sym_QMARK] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2194),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2194),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_get] = ACTIONS(2194),
    [anon_sym_set] = ACTIONS(2194),
    [anon_sym_constructor] = ACTIONS(2194),
    [anon_sym_id] = ACTIONS(2194),
    [anon_sym_event] = ACTIONS(2194),
    [anon_sym_fn] = ACTIONS(2194),
    [anon_sym_on] = ACTIONS(2194),
  },
  [480] = {
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_STAR_STAR] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1560),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_instanceof] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_constructor] = ACTIONS(1562),
    [anon_sym_id] = ACTIONS(1562),
    [anon_sym_event] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_on] = ACTIONS(1562),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2198),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_async] = ACTIONS(2198),
    [anon_sym_QMARK] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2198),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2198),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_get] = ACTIONS(2198),
    [anon_sym_set] = ACTIONS(2198),
    [anon_sym_constructor] = ACTIONS(2198),
    [anon_sym_id] = ACTIONS(2198),
    [anon_sym_event] = ACTIONS(2198),
    [anon_sym_fn] = ACTIONS(2198),
    [anon_sym_on] = ACTIONS(2198),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(2202),
    [anon_sym_async] = ACTIONS(2202),
    [anon_sym_QMARK] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2202),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_get] = ACTIONS(2202),
    [anon_sym_set] = ACTIONS(2202),
    [anon_sym_constructor] = ACTIONS(2202),
    [anon_sym_id] = ACTIONS(2202),
    [anon_sym_event] = ACTIONS(2202),
    [anon_sym_fn] = ACTIONS(2202),
    [anon_sym_on] = ACTIONS(2202),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_SLASH] = ACTIONS(2206),
    [anon_sym_async] = ACTIONS(2206),
    [anon_sym_QMARK] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_get] = ACTIONS(2206),
    [anon_sym_set] = ACTIONS(2206),
    [anon_sym_constructor] = ACTIONS(2206),
    [anon_sym_id] = ACTIONS(2206),
    [anon_sym_event] = ACTIONS(2206),
    [anon_sym_fn] = ACTIONS(2206),
    [anon_sym_on] = ACTIONS(2206),
  },
  [484] = {
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1534),
    [anon_sym_AMP_AMP] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1536),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1534),
    [anon_sym_instanceof] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_constructor] = ACTIONS(1536),
    [anon_sym_id] = ACTIONS(1536),
    [anon_sym_event] = ACTIONS(1536),
    [anon_sym_fn] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
  },
  [485] = {
    [sym_identifier] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_in] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1576),
    [anon_sym_PIPE_PIPE] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_GT_GT_GT] = ACTIONS(1576),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1576),
    [anon_sym_instanceof] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_static] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_constructor] = ACTIONS(1578),
    [anon_sym_id] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_fn] = ACTIONS(1578),
    [anon_sym_on] = ACTIONS(1578),
  },
  [486] = {
    [sym_identifier] = ACTIONS(1810),
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_async] = ACTIONS(1810),
    [anon_sym_QMARK] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1808),
    [anon_sym_PIPE_PIPE] = ACTIONS(1808),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_GT_GT_GT] = ACTIONS(1808),
    [anon_sym_LT_LT] = ACTIONS(1808),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1808),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PERCENT] = ACTIONS(1808),
    [anon_sym_STAR_STAR] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1808),
    [anon_sym_GT_EQ] = ACTIONS(1808),
    [anon_sym_instanceof] = ACTIONS(1810),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_DASH_DASH] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1808),
    [anon_sym_static] = ACTIONS(1810),
    [anon_sym_get] = ACTIONS(1810),
    [anon_sym_set] = ACTIONS(1810),
    [anon_sym_constructor] = ACTIONS(1810),
    [anon_sym_id] = ACTIONS(1810),
    [anon_sym_event] = ACTIONS(1810),
    [anon_sym_fn] = ACTIONS(1810),
    [anon_sym_on] = ACTIONS(1810),
  },
  [487] = {
    [sym_identifier] = ACTIONS(543),
    [anon_sym_DOT] = ACTIONS(545),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_STAR] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(543),
    [anon_sym_GT] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_async] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(545),
    [anon_sym_AMP_AMP] = ACTIONS(545),
    [anon_sym_PIPE_PIPE] = ACTIONS(545),
    [anon_sym_GT_GT] = ACTIONS(543),
    [anon_sym_GT_GT_GT] = ACTIONS(545),
    [anon_sym_LT_LT] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(545),
    [anon_sym_PIPE] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_PERCENT] = ACTIONS(545),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_LT_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ] = ACTIONS(543),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ] = ACTIONS(543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(545),
    [anon_sym_GT_EQ] = ACTIONS(545),
    [anon_sym_instanceof] = ACTIONS(543),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [anon_sym_static] = ACTIONS(543),
    [anon_sym_get] = ACTIONS(543),
    [anon_sym_set] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(543),
    [anon_sym_id] = ACTIONS(543),
    [anon_sym_event] = ACTIONS(543),
    [anon_sym_fn] = ACTIONS(543),
    [anon_sym_on] = ACTIONS(543),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_async] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_get] = ACTIONS(2210),
    [anon_sym_set] = ACTIONS(2210),
    [anon_sym_constructor] = ACTIONS(2210),
    [anon_sym_id] = ACTIONS(2210),
    [anon_sym_event] = ACTIONS(2210),
    [anon_sym_fn] = ACTIONS(2210),
    [anon_sym_on] = ACTIONS(2210),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2214),
    [anon_sym_async] = ACTIONS(2214),
    [anon_sym_QMARK] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2214),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2214),
    [anon_sym_set] = ACTIONS(2214),
    [anon_sym_constructor] = ACTIONS(2214),
    [anon_sym_id] = ACTIONS(2214),
    [anon_sym_event] = ACTIONS(2214),
    [anon_sym_fn] = ACTIONS(2214),
    [anon_sym_on] = ACTIONS(2214),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2218),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2218),
    [anon_sym_async] = ACTIONS(2218),
    [anon_sym_QMARK] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_STAR_STAR] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2220),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2220),
    [anon_sym_instanceof] = ACTIONS(2218),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_get] = ACTIONS(2218),
    [anon_sym_set] = ACTIONS(2218),
    [anon_sym_constructor] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(2218),
    [anon_sym_event] = ACTIONS(2218),
    [anon_sym_fn] = ACTIONS(2218),
    [anon_sym_on] = ACTIONS(2218),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2222),
    [anon_sym_DOT] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2222),
    [anon_sym_async] = ACTIONS(2222),
    [anon_sym_QMARK] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_PIPE_PIPE] = ACTIONS(2224),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2224),
    [anon_sym_LT_LT] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2224),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_STAR_STAR] = ACTIONS(2224),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2224),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2224),
    [anon_sym_instanceof] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_get] = ACTIONS(2222),
    [anon_sym_set] = ACTIONS(2222),
    [anon_sym_constructor] = ACTIONS(2222),
    [anon_sym_id] = ACTIONS(2222),
    [anon_sym_event] = ACTIONS(2222),
    [anon_sym_fn] = ACTIONS(2222),
    [anon_sym_on] = ACTIONS(2222),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1695),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_async] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1695),
    [anon_sym_AMP_AMP] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1695),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_GT_GT_GT] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1695),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1695),
    [anon_sym_STAR_STAR] = ACTIONS(1695),
    [anon_sym_LT_EQ] = ACTIONS(1695),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1695),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1695),
    [anon_sym_GT_EQ] = ACTIONS(1695),
    [anon_sym_instanceof] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_get] = ACTIONS(1697),
    [anon_sym_set] = ACTIONS(1697),
    [anon_sym_constructor] = ACTIONS(1697),
    [anon_sym_id] = ACTIONS(1697),
    [anon_sym_event] = ACTIONS(1697),
    [anon_sym_fn] = ACTIONS(1697),
    [anon_sym_on] = ACTIONS(1697),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_DOT] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2226),
    [anon_sym_SLASH] = ACTIONS(2226),
    [anon_sym_async] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_PIPE_PIPE] = ACTIONS(2228),
    [anon_sym_GT_GT] = ACTIONS(2226),
    [anon_sym_GT_GT_GT] = ACTIONS(2228),
    [anon_sym_LT_LT] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_CARET] = ACTIONS(2228),
    [anon_sym_PIPE] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_STAR_STAR] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2228),
    [anon_sym_EQ_EQ] = ACTIONS(2226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2228),
    [anon_sym_BANG_EQ] = ACTIONS(2226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2228),
    [anon_sym_GT_EQ] = ACTIONS(2228),
    [anon_sym_instanceof] = ACTIONS(2226),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_get] = ACTIONS(2226),
    [anon_sym_set] = ACTIONS(2226),
    [anon_sym_constructor] = ACTIONS(2226),
    [anon_sym_id] = ACTIONS(2226),
    [anon_sym_event] = ACTIONS(2226),
    [anon_sym_fn] = ACTIONS(2226),
    [anon_sym_on] = ACTIONS(2226),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_LPAREN] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_constructor] = ACTIONS(2230),
    [anon_sym_id] = ACTIONS(2230),
    [anon_sym_event] = ACTIONS(2230),
    [anon_sym_fn] = ACTIONS(2230),
    [anon_sym_on] = ACTIONS(2230),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_DOT] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_GT] = ACTIONS(2120),
    [anon_sym_SLASH] = ACTIONS(2120),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(2122),
    [anon_sym_AMP_AMP] = ACTIONS(2122),
    [anon_sym_PIPE_PIPE] = ACTIONS(2122),
    [anon_sym_GT_GT] = ACTIONS(2120),
    [anon_sym_GT_GT_GT] = ACTIONS(2122),
    [anon_sym_LT_LT] = ACTIONS(2122),
    [anon_sym_AMP] = ACTIONS(2120),
    [anon_sym_CARET] = ACTIONS(2122),
    [anon_sym_PIPE] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2120),
    [anon_sym_PERCENT] = ACTIONS(2122),
    [anon_sym_STAR_STAR] = ACTIONS(2122),
    [anon_sym_LT_EQ] = ACTIONS(2122),
    [anon_sym_EQ_EQ] = ACTIONS(2120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2122),
    [anon_sym_BANG_EQ] = ACTIONS(2120),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2122),
    [anon_sym_GT_EQ] = ACTIONS(2122),
    [anon_sym_instanceof] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2120),
    [anon_sym_get] = ACTIONS(2120),
    [anon_sym_set] = ACTIONS(2120),
    [anon_sym_constructor] = ACTIONS(2120),
    [anon_sym_id] = ACTIONS(2120),
    [anon_sym_event] = ACTIONS(2120),
    [anon_sym_fn] = ACTIONS(2120),
    [anon_sym_on] = ACTIONS(2120),
  },
  [496] = {
    [sym_identifier] = ACTIONS(601),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_in] = ACTIONS(601),
    [anon_sym_SEMI] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_async] = ACTIONS(601),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_AMP_AMP] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_GT_GT_GT] = ACTIONS(599),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_AMP] = ACTIONS(601),
    [anon_sym_CARET] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(599),
    [anon_sym_STAR_STAR] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_instanceof] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(599),
    [anon_sym_DASH_DASH] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(599),
    [anon_sym_static] = ACTIONS(601),
    [anon_sym_get] = ACTIONS(601),
    [anon_sym_set] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(601),
    [anon_sym_id] = ACTIONS(601),
    [anon_sym_event] = ACTIONS(601),
    [anon_sym_fn] = ACTIONS(601),
    [anon_sym_on] = ACTIONS(601),
  },
  [497] = {
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_async] = ACTIONS(1506),
    [anon_sym_QMARK] = ACTIONS(1504),
    [anon_sym_AMP_AMP] = ACTIONS(1504),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1506),
    [anon_sym_GT_GT_GT] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1504),
    [anon_sym_STAR_STAR] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_EQ_EQ] = ACTIONS(1506),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_instanceof] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_constructor] = ACTIONS(1506),
    [anon_sym_id] = ACTIONS(1506),
    [anon_sym_event] = ACTIONS(1506),
    [anon_sym_fn] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_DOT] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2234),
    [anon_sym_SLASH] = ACTIONS(2234),
    [anon_sym_async] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2236),
    [anon_sym_GT_GT] = ACTIONS(2234),
    [anon_sym_GT_GT_GT] = ACTIONS(2236),
    [anon_sym_LT_LT] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_CARET] = ACTIONS(2236),
    [anon_sym_PIPE] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PERCENT] = ACTIONS(2236),
    [anon_sym_STAR_STAR] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2236),
    [anon_sym_EQ_EQ] = ACTIONS(2234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2236),
    [anon_sym_BANG_EQ] = ACTIONS(2234),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2236),
    [anon_sym_GT_EQ] = ACTIONS(2236),
    [anon_sym_instanceof] = ACTIONS(2234),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_get] = ACTIONS(2234),
    [anon_sym_set] = ACTIONS(2234),
    [anon_sym_constructor] = ACTIONS(2234),
    [anon_sym_id] = ACTIONS(2234),
    [anon_sym_event] = ACTIONS(2234),
    [anon_sym_fn] = ACTIONS(2234),
    [anon_sym_on] = ACTIONS(2234),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_LPAREN] = ACTIONS(2240),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_async] = ACTIONS(2238),
    [anon_sym_QMARK] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2238),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2240),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_get] = ACTIONS(2238),
    [anon_sym_set] = ACTIONS(2238),
    [anon_sym_constructor] = ACTIONS(2238),
    [anon_sym_id] = ACTIONS(2238),
    [anon_sym_event] = ACTIONS(2238),
    [anon_sym_fn] = ACTIONS(2238),
    [anon_sym_on] = ACTIONS(2238),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_QMARK] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_constructor] = ACTIONS(2242),
    [anon_sym_id] = ACTIONS(2242),
    [anon_sym_event] = ACTIONS(2242),
    [anon_sym_fn] = ACTIONS(2242),
    [anon_sym_on] = ACTIONS(2242),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_constructor] = ACTIONS(2246),
    [anon_sym_id] = ACTIONS(2246),
    [anon_sym_event] = ACTIONS(2246),
    [anon_sym_fn] = ACTIONS(2246),
    [anon_sym_on] = ACTIONS(2246),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_async] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2246),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_get] = ACTIONS(2246),
    [anon_sym_set] = ACTIONS(2246),
    [anon_sym_constructor] = ACTIONS(2246),
    [anon_sym_id] = ACTIONS(2246),
    [anon_sym_event] = ACTIONS(2246),
    [anon_sym_fn] = ACTIONS(2246),
    [anon_sym_on] = ACTIONS(2246),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_QMARK] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2250),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_constructor] = ACTIONS(2250),
    [anon_sym_id] = ACTIONS(2250),
    [anon_sym_event] = ACTIONS(2250),
    [anon_sym_fn] = ACTIONS(2250),
    [anon_sym_on] = ACTIONS(2250),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_LPAREN] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_async] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2254),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2254),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_get] = ACTIONS(2254),
    [anon_sym_set] = ACTIONS(2254),
    [anon_sym_constructor] = ACTIONS(2254),
    [anon_sym_id] = ACTIONS(2254),
    [anon_sym_event] = ACTIONS(2254),
    [anon_sym_fn] = ACTIONS(2254),
    [anon_sym_on] = ACTIONS(2254),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_DOT] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2098),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_GT] = ACTIONS(2096),
    [anon_sym_SLASH] = ACTIONS(2096),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_QMARK] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_PIPE_PIPE] = ACTIONS(2098),
    [anon_sym_GT_GT] = ACTIONS(2096),
    [anon_sym_GT_GT_GT] = ACTIONS(2098),
    [anon_sym_LT_LT] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2098),
    [anon_sym_PIPE] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_STAR_STAR] = ACTIONS(2098),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_EQ_EQ] = ACTIONS(2096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2098),
    [anon_sym_BANG_EQ] = ACTIONS(2096),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_instanceof] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_get] = ACTIONS(2096),
    [anon_sym_set] = ACTIONS(2096),
    [anon_sym_constructor] = ACTIONS(2096),
    [anon_sym_id] = ACTIONS(2096),
    [anon_sym_event] = ACTIONS(2096),
    [anon_sym_fn] = ACTIONS(2096),
    [anon_sym_on] = ACTIONS(2096),
  },
  [506] = {
    [sym_identifier] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_in] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(603),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(605),
    [anon_sym_async] = ACTIONS(605),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(603),
    [anon_sym_PIPE_PIPE] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_GT_GT_GT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_STAR_STAR] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(603),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(603),
    [anon_sym_GT_EQ] = ACTIONS(603),
    [anon_sym_instanceof] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_static] = ACTIONS(605),
    [anon_sym_get] = ACTIONS(605),
    [anon_sym_set] = ACTIONS(605),
    [anon_sym_constructor] = ACTIONS(605),
    [anon_sym_id] = ACTIONS(605),
    [anon_sym_event] = ACTIONS(605),
    [anon_sym_fn] = ACTIONS(605),
    [anon_sym_on] = ACTIONS(605),
  },
  [507] = {
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_async] = ACTIONS(1524),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_STAR_STAR] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_instanceof] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_get] = ACTIONS(1524),
    [anon_sym_set] = ACTIONS(1524),
    [anon_sym_constructor] = ACTIONS(1524),
    [anon_sym_id] = ACTIONS(1524),
    [anon_sym_event] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_on] = ACTIONS(1524),
  },
  [508] = {
    [sym_identifier] = ACTIONS(679),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(677),
    [anon_sym_in] = ACTIONS(679),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_STAR] = ACTIONS(679),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(677),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_GT_GT_GT] = ACTIONS(677),
    [anon_sym_LT_LT] = ACTIONS(677),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(677),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(677),
    [anon_sym_STAR_STAR] = ACTIONS(677),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(677),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_instanceof] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(677),
    [anon_sym_static] = ACTIONS(679),
    [anon_sym_get] = ACTIONS(679),
    [anon_sym_set] = ACTIONS(679),
    [anon_sym_constructor] = ACTIONS(679),
    [anon_sym_id] = ACTIONS(679),
    [anon_sym_event] = ACTIONS(679),
    [anon_sym_fn] = ACTIONS(679),
    [anon_sym_on] = ACTIONS(679),
  },
  [509] = {
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_constructor] = ACTIONS(1520),
    [anon_sym_id] = ACTIONS(1520),
    [anon_sym_event] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_on] = ACTIONS(1520),
  },
  [510] = {
    [sym_identifier] = ACTIONS(655),
    [anon_sym_DOT] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_AMP_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_GT_GT_GT] = ACTIONS(653),
    [anon_sym_LT_LT] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(653),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(653),
    [anon_sym_STAR_STAR] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(653),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(653),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(653),
    [anon_sym_instanceof] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_constructor] = ACTIONS(655),
    [anon_sym_id] = ACTIONS(655),
    [anon_sym_event] = ACTIONS(655),
    [anon_sym_fn] = ACTIONS(655),
    [anon_sym_on] = ACTIONS(655),
  },
  [511] = {
    [sym_identifier] = ACTIONS(533),
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_in] = ACTIONS(533),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_STAR] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(533),
    [anon_sym_GT] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(533),
    [anon_sym_async] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_PIPE_PIPE] = ACTIONS(535),
    [anon_sym_GT_GT] = ACTIONS(533),
    [anon_sym_GT_GT_GT] = ACTIONS(535),
    [anon_sym_LT_LT] = ACTIONS(535),
    [anon_sym_AMP] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(535),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(533),
    [anon_sym_DASH] = ACTIONS(533),
    [anon_sym_PERCENT] = ACTIONS(535),
    [anon_sym_STAR_STAR] = ACTIONS(535),
    [anon_sym_LT_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ] = ACTIONS(533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ] = ACTIONS(533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(535),
    [anon_sym_GT_EQ] = ACTIONS(535),
    [anon_sym_instanceof] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(535),
    [anon_sym_static] = ACTIONS(533),
    [anon_sym_get] = ACTIONS(533),
    [anon_sym_set] = ACTIONS(533),
    [anon_sym_constructor] = ACTIONS(533),
    [anon_sym_id] = ACTIONS(533),
    [anon_sym_event] = ACTIONS(533),
    [anon_sym_fn] = ACTIONS(533),
    [anon_sym_on] = ACTIONS(533),
  },
  [512] = {
    [sym_identifier] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(525),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_LT] = ACTIONS(523),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_async] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(523),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
    [anon_sym_static] = ACTIONS(523),
    [anon_sym_get] = ACTIONS(523),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_constructor] = ACTIONS(523),
    [anon_sym_id] = ACTIONS(523),
    [anon_sym_event] = ACTIONS(523),
    [anon_sym_fn] = ACTIONS(523),
    [anon_sym_on] = ACTIONS(523),
  },
  [513] = {
    [sym_identifier] = ACTIONS(573),
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_GT_GT_GT] = ACTIONS(575),
    [anon_sym_LT_LT] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(575),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(575),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_instanceof] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(575),
    [anon_sym_static] = ACTIONS(573),
    [anon_sym_get] = ACTIONS(573),
    [anon_sym_set] = ACTIONS(573),
    [anon_sym_constructor] = ACTIONS(573),
    [anon_sym_id] = ACTIONS(573),
    [anon_sym_event] = ACTIONS(573),
    [anon_sym_fn] = ACTIONS(573),
    [anon_sym_on] = ACTIONS(573),
  },
  [514] = {
    [sym_identifier] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_async] = ACTIONS(593),
    [anon_sym_QMARK] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_GT_GT_GT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_STAR_STAR] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_instanceof] = ACTIONS(593),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [anon_sym_static] = ACTIONS(593),
    [anon_sym_get] = ACTIONS(593),
    [anon_sym_set] = ACTIONS(593),
    [anon_sym_constructor] = ACTIONS(593),
    [anon_sym_id] = ACTIONS(593),
    [anon_sym_event] = ACTIONS(593),
    [anon_sym_fn] = ACTIONS(593),
    [anon_sym_on] = ACTIONS(593),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2084),
    [anon_sym_DOT] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2086),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_GT] = ACTIONS(2084),
    [anon_sym_SLASH] = ACTIONS(2084),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_QMARK] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_PIPE_PIPE] = ACTIONS(2086),
    [anon_sym_GT_GT] = ACTIONS(2084),
    [anon_sym_GT_GT_GT] = ACTIONS(2086),
    [anon_sym_LT_LT] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2086),
    [anon_sym_PIPE] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PERCENT] = ACTIONS(2086),
    [anon_sym_STAR_STAR] = ACTIONS(2086),
    [anon_sym_LT_EQ] = ACTIONS(2086),
    [anon_sym_EQ_EQ] = ACTIONS(2084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2084),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2086),
    [anon_sym_GT_EQ] = ACTIONS(2086),
    [anon_sym_instanceof] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2086),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_get] = ACTIONS(2084),
    [anon_sym_set] = ACTIONS(2084),
    [anon_sym_constructor] = ACTIONS(2084),
    [anon_sym_id] = ACTIONS(2084),
    [anon_sym_event] = ACTIONS(2084),
    [anon_sym_fn] = ACTIONS(2084),
    [anon_sym_on] = ACTIONS(2084),
  },
  [516] = {
    [sym_identifier] = ACTIONS(637),
    [anon_sym_DOT] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_async] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_AMP_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_GT_GT_GT] = ACTIONS(639),
    [anon_sym_LT_LT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(639),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_instanceof] = ACTIONS(637),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(639),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_constructor] = ACTIONS(637),
    [anon_sym_id] = ACTIONS(637),
    [anon_sym_event] = ACTIONS(637),
    [anon_sym_fn] = ACTIONS(637),
    [anon_sym_on] = ACTIONS(637),
  },
  [517] = {
    [sym_identifier] = ACTIONS(671),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_GT_GT_GT] = ACTIONS(673),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_instanceof] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [anon_sym_constructor] = ACTIONS(671),
    [anon_sym_id] = ACTIONS(671),
    [anon_sym_event] = ACTIONS(671),
    [anon_sym_fn] = ACTIONS(671),
    [anon_sym_on] = ACTIONS(671),
  },
  [518] = {
    [sym_identifier] = ACTIONS(611),
    [anon_sym_DOT] = ACTIONS(613),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_in] = ACTIONS(611),
    [anon_sym_SEMI] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_async] = ACTIONS(611),
    [anon_sym_QMARK] = ACTIONS(613),
    [anon_sym_AMP_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(611),
    [anon_sym_GT_GT_GT] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(613),
    [anon_sym_STAR_STAR] = ACTIONS(613),
    [anon_sym_LT_EQ] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(611),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(611),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(613),
    [anon_sym_GT_EQ] = ACTIONS(613),
    [anon_sym_instanceof] = ACTIONS(611),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(613),
    [anon_sym_static] = ACTIONS(611),
    [anon_sym_get] = ACTIONS(611),
    [anon_sym_set] = ACTIONS(611),
    [anon_sym_constructor] = ACTIONS(611),
    [anon_sym_id] = ACTIONS(611),
    [anon_sym_event] = ACTIONS(611),
    [anon_sym_fn] = ACTIONS(611),
    [anon_sym_on] = ACTIONS(611),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_QMARK] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2260),
    [anon_sym_LT_LT] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_STAR_STAR] = ACTIONS(2260),
    [anon_sym_LT_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2260),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_constructor] = ACTIONS(2258),
    [anon_sym_id] = ACTIONS(2258),
    [anon_sym_event] = ACTIONS(2258),
    [anon_sym_fn] = ACTIONS(2258),
    [anon_sym_on] = ACTIONS(2258),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_DOT] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_GT] = ACTIONS(2088),
    [anon_sym_SLASH] = ACTIONS(2088),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_QMARK] = ACTIONS(2090),
    [anon_sym_AMP_AMP] = ACTIONS(2090),
    [anon_sym_PIPE_PIPE] = ACTIONS(2090),
    [anon_sym_GT_GT] = ACTIONS(2088),
    [anon_sym_GT_GT_GT] = ACTIONS(2090),
    [anon_sym_LT_LT] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(2088),
    [anon_sym_CARET] = ACTIONS(2090),
    [anon_sym_PIPE] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2088),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_STAR_STAR] = ACTIONS(2090),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_EQ_EQ] = ACTIONS(2088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2090),
    [anon_sym_BANG_EQ] = ACTIONS(2088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_instanceof] = ACTIONS(2088),
    [anon_sym_PLUS_PLUS] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2088),
    [anon_sym_get] = ACTIONS(2088),
    [anon_sym_set] = ACTIONS(2088),
    [anon_sym_constructor] = ACTIONS(2088),
    [anon_sym_id] = ACTIONS(2088),
    [anon_sym_event] = ACTIONS(2088),
    [anon_sym_fn] = ACTIONS(2088),
    [anon_sym_on] = ACTIONS(2088),
  },
  [521] = {
    [sym_identifier] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_LT] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(647),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_async] = ACTIONS(647),
    [anon_sym_QMARK] = ACTIONS(649),
    [anon_sym_AMP_AMP] = ACTIONS(649),
    [anon_sym_PIPE_PIPE] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_GT_GT_GT] = ACTIONS(649),
    [anon_sym_LT_LT] = ACTIONS(649),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(649),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [anon_sym_STAR_STAR] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(649),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(649),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(649),
    [anon_sym_instanceof] = ACTIONS(647),
    [anon_sym_PLUS_PLUS] = ACTIONS(649),
    [anon_sym_DASH_DASH] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(649),
    [anon_sym_static] = ACTIONS(647),
    [anon_sym_get] = ACTIONS(647),
    [anon_sym_set] = ACTIONS(647),
    [anon_sym_constructor] = ACTIONS(647),
    [anon_sym_id] = ACTIONS(647),
    [anon_sym_event] = ACTIONS(647),
    [anon_sym_fn] = ACTIONS(647),
    [anon_sym_on] = ACTIONS(647),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(2264),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_constructor] = ACTIONS(2262),
    [anon_sym_id] = ACTIONS(2262),
    [anon_sym_event] = ACTIONS(2262),
    [anon_sym_fn] = ACTIONS(2262),
    [anon_sym_on] = ACTIONS(2262),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_DOT] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_in] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_QMARK] = ACTIONS(2102),
    [anon_sym_AMP_AMP] = ACTIONS(2102),
    [anon_sym_PIPE_PIPE] = ACTIONS(2102),
    [anon_sym_GT_GT] = ACTIONS(2100),
    [anon_sym_GT_GT_GT] = ACTIONS(2102),
    [anon_sym_LT_LT] = ACTIONS(2102),
    [anon_sym_AMP] = ACTIONS(2100),
    [anon_sym_CARET] = ACTIONS(2102),
    [anon_sym_PIPE] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_STAR_STAR] = ACTIONS(2102),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_EQ_EQ] = ACTIONS(2100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2102),
    [anon_sym_BANG_EQ] = ACTIONS(2100),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_instanceof] = ACTIONS(2100),
    [anon_sym_PLUS_PLUS] = ACTIONS(2102),
    [anon_sym_DASH_DASH] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2102),
    [anon_sym_static] = ACTIONS(2100),
    [anon_sym_get] = ACTIONS(2100),
    [anon_sym_set] = ACTIONS(2100),
    [anon_sym_constructor] = ACTIONS(2100),
    [anon_sym_id] = ACTIONS(2100),
    [anon_sym_event] = ACTIONS(2100),
    [anon_sym_fn] = ACTIONS(2100),
    [anon_sym_on] = ACTIONS(2100),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2266),
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_async] = ACTIONS(2266),
    [anon_sym_QMARK] = ACTIONS(2268),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2266),
    [anon_sym_PLUS_PLUS] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_get] = ACTIONS(2266),
    [anon_sym_set] = ACTIONS(2266),
    [anon_sym_constructor] = ACTIONS(2266),
    [anon_sym_id] = ACTIONS(2266),
    [anon_sym_event] = ACTIONS(2266),
    [anon_sym_fn] = ACTIONS(2266),
    [anon_sym_on] = ACTIONS(2266),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2108),
    [anon_sym_DOT] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2110),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_GT] = ACTIONS(2108),
    [anon_sym_SLASH] = ACTIONS(2108),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_QMARK] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_PIPE_PIPE] = ACTIONS(2110),
    [anon_sym_GT_GT] = ACTIONS(2108),
    [anon_sym_GT_GT_GT] = ACTIONS(2110),
    [anon_sym_LT_LT] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_CARET] = ACTIONS(2110),
    [anon_sym_PIPE] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PERCENT] = ACTIONS(2110),
    [anon_sym_STAR_STAR] = ACTIONS(2110),
    [anon_sym_LT_EQ] = ACTIONS(2110),
    [anon_sym_EQ_EQ] = ACTIONS(2108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2110),
    [anon_sym_BANG_EQ] = ACTIONS(2108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2110),
    [anon_sym_GT_EQ] = ACTIONS(2110),
    [anon_sym_instanceof] = ACTIONS(2108),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2110),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_get] = ACTIONS(2108),
    [anon_sym_set] = ACTIONS(2108),
    [anon_sym_constructor] = ACTIONS(2108),
    [anon_sym_id] = ACTIONS(2108),
    [anon_sym_event] = ACTIONS(2108),
    [anon_sym_fn] = ACTIONS(2108),
    [anon_sym_on] = ACTIONS(2108),
  },
  [526] = {
    [sym_identifier] = ACTIONS(563),
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(565),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_SEMI] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(563),
    [anon_sym_async] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(563),
    [anon_sym_GT_GT_GT] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(563),
    [anon_sym_PERCENT] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(565),
    [anon_sym_instanceof] = ACTIONS(563),
    [anon_sym_PLUS_PLUS] = ACTIONS(565),
    [anon_sym_DASH_DASH] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [anon_sym_static] = ACTIONS(563),
    [anon_sym_get] = ACTIONS(563),
    [anon_sym_set] = ACTIONS(563),
    [anon_sym_constructor] = ACTIONS(563),
    [anon_sym_id] = ACTIONS(563),
    [anon_sym_event] = ACTIONS(563),
    [anon_sym_fn] = ACTIONS(563),
    [anon_sym_on] = ACTIONS(563),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2270),
    [anon_sym_DOT] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_GT] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2270),
    [anon_sym_async] = ACTIONS(2270),
    [anon_sym_QMARK] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2272),
    [anon_sym_GT_GT] = ACTIONS(2270),
    [anon_sym_GT_GT_GT] = ACTIONS(2272),
    [anon_sym_LT_LT] = ACTIONS(2272),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_CARET] = ACTIONS(2272),
    [anon_sym_PIPE] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2272),
    [anon_sym_STAR_STAR] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_EQ_EQ] = ACTIONS(2270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2272),
    [anon_sym_BANG_EQ] = ACTIONS(2270),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2272),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_instanceof] = ACTIONS(2270),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_get] = ACTIONS(2270),
    [anon_sym_set] = ACTIONS(2270),
    [anon_sym_constructor] = ACTIONS(2270),
    [anon_sym_id] = ACTIONS(2270),
    [anon_sym_event] = ACTIONS(2270),
    [anon_sym_fn] = ACTIONS(2270),
    [anon_sym_on] = ACTIONS(2270),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2276),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_QMARK] = ACTIONS(2276),
    [anon_sym_AMP_AMP] = ACTIONS(2276),
    [anon_sym_PIPE_PIPE] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2276),
    [anon_sym_LT_LT] = ACTIONS(2276),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2276),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_STAR_STAR] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2276),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2276),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2276),
    [anon_sym_GT_EQ] = ACTIONS(2276),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_get] = ACTIONS(2274),
    [anon_sym_set] = ACTIONS(2274),
    [anon_sym_constructor] = ACTIONS(2274),
    [anon_sym_id] = ACTIONS(2274),
    [anon_sym_event] = ACTIONS(2274),
    [anon_sym_fn] = ACTIONS(2274),
    [anon_sym_on] = ACTIONS(2274),
  },
  [529] = {
    [sym_identifier] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_in] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_GT_GT_GT] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_PERCENT] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_instanceof] = ACTIONS(661),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(663),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_get] = ACTIONS(661),
    [anon_sym_set] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(661),
    [anon_sym_id] = ACTIONS(661),
    [anon_sym_event] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_on] = ACTIONS(661),
  },
  [530] = {
    [sym_identifier] = ACTIONS(553),
    [anon_sym_DOT] = ACTIONS(555),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(555),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_SEMI] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(555),
    [anon_sym_LT] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(553),
    [anon_sym_async] = ACTIONS(553),
    [anon_sym_QMARK] = ACTIONS(555),
    [anon_sym_AMP_AMP] = ACTIONS(555),
    [anon_sym_PIPE_PIPE] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(553),
    [anon_sym_GT_GT_GT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(555),
    [anon_sym_LT_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(555),
    [anon_sym_GT_EQ] = ACTIONS(555),
    [anon_sym_instanceof] = ACTIONS(553),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(555),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_constructor] = ACTIONS(553),
    [anon_sym_id] = ACTIONS(553),
    [anon_sym_event] = ACTIONS(553),
    [anon_sym_fn] = ACTIONS(553),
    [anon_sym_on] = ACTIONS(553),
  },
  [531] = {
    [sym_identifier] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(631),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_async] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_AMP_AMP] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_GT_GT_GT] = ACTIONS(629),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(629),
    [anon_sym_STAR_STAR] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(629),
    [anon_sym_instanceof] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(629),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_get] = ACTIONS(631),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_constructor] = ACTIONS(631),
    [anon_sym_id] = ACTIONS(631),
    [anon_sym_event] = ACTIONS(631),
    [anon_sym_fn] = ACTIONS(631),
    [anon_sym_on] = ACTIONS(631),
  },
  [532] = {
    [sym_identifier] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_in] = ACTIONS(623),
    [anon_sym_SEMI] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_async] = ACTIONS(623),
    [anon_sym_QMARK] = ACTIONS(625),
    [anon_sym_AMP_AMP] = ACTIONS(625),
    [anon_sym_PIPE_PIPE] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_GT_GT_GT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_LT_EQ] = ACTIONS(625),
    [anon_sym_EQ_EQ] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(625),
    [anon_sym_GT_EQ] = ACTIONS(625),
    [anon_sym_instanceof] = ACTIONS(623),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(625),
    [anon_sym_static] = ACTIONS(623),
    [anon_sym_get] = ACTIONS(623),
    [anon_sym_set] = ACTIONS(623),
    [anon_sym_constructor] = ACTIONS(623),
    [anon_sym_id] = ACTIONS(623),
    [anon_sym_event] = ACTIONS(623),
    [anon_sym_fn] = ACTIONS(623),
    [anon_sym_on] = ACTIONS(623),
  },
  [533] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_id] = ACTIONS(2104),
    [anon_sym_event] = ACTIONS(2104),
    [anon_sym_fn] = ACTIONS(2104),
    [anon_sym_on] = ACTIONS(2104),
  },
  [534] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_id] = ACTIONS(2140),
    [anon_sym_event] = ACTIONS(2140),
    [anon_sym_fn] = ACTIONS(2140),
    [anon_sym_on] = ACTIONS(2140),
  },
  [535] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2100),
    [anon_sym_id] = ACTIONS(2100),
    [anon_sym_event] = ACTIONS(2100),
    [anon_sym_fn] = ACTIONS(2100),
    [anon_sym_on] = ACTIONS(2100),
  },
  [536] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2064),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2064),
    [anon_sym_id] = ACTIONS(2064),
    [anon_sym_event] = ACTIONS(2064),
    [anon_sym_fn] = ACTIONS(2064),
    [anon_sym_on] = ACTIONS(2064),
  },
  [537] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2088),
    [anon_sym_id] = ACTIONS(2088),
    [anon_sym_event] = ACTIONS(2088),
    [anon_sym_fn] = ACTIONS(2088),
    [anon_sym_on] = ACTIONS(2088),
  },
  [538] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2084),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_id] = ACTIONS(2084),
    [anon_sym_event] = ACTIONS(2084),
    [anon_sym_fn] = ACTIONS(2084),
    [anon_sym_on] = ACTIONS(2084),
  },
  [539] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2074),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2074),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2074),
    [anon_sym_id] = ACTIONS(2074),
    [anon_sym_event] = ACTIONS(2074),
    [anon_sym_fn] = ACTIONS(2074),
    [anon_sym_on] = ACTIONS(2074),
  },
  [540] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2108),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_id] = ACTIONS(2108),
    [anon_sym_event] = ACTIONS(2108),
    [anon_sym_fn] = ACTIONS(2108),
    [anon_sym_on] = ACTIONS(2108),
  },
  [541] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [542] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [543] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2042),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2042),
    [anon_sym_id] = ACTIONS(2042),
    [anon_sym_event] = ACTIONS(2042),
    [anon_sym_fn] = ACTIONS(2042),
    [anon_sym_on] = ACTIONS(2042),
  },
  [544] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [545] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [546] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_id] = ACTIONS(2020),
    [anon_sym_event] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_on] = ACTIONS(2020),
  },
  [547] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_id] = ACTIONS(2092),
    [anon_sym_event] = ACTIONS(2092),
    [anon_sym_fn] = ACTIONS(2092),
    [anon_sym_on] = ACTIONS(2092),
  },
  [548] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_id] = ACTIONS(2096),
    [anon_sym_event] = ACTIONS(2096),
    [anon_sym_fn] = ACTIONS(2096),
    [anon_sym_on] = ACTIONS(2096),
  },
  [549] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2078),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2078),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2078),
    [anon_sym_id] = ACTIONS(2078),
    [anon_sym_event] = ACTIONS(2078),
    [anon_sym_fn] = ACTIONS(2078),
    [anon_sym_on] = ACTIONS(2078),
  },
  [550] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2120),
    [anon_sym_id] = ACTIONS(2120),
    [anon_sym_event] = ACTIONS(2120),
    [anon_sym_fn] = ACTIONS(2120),
    [anon_sym_on] = ACTIONS(2120),
  },
  [551] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_id] = ACTIONS(2112),
    [anon_sym_event] = ACTIONS(2112),
    [anon_sym_fn] = ACTIONS(2112),
    [anon_sym_on] = ACTIONS(2112),
  },
  [552] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(2124),
    [anon_sym_event] = ACTIONS(2124),
    [anon_sym_fn] = ACTIONS(2124),
    [anon_sym_on] = ACTIONS(2124),
  },
  [553] = {
    [sym_identifier] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(513),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [554] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_id] = ACTIONS(2136),
    [anon_sym_event] = ACTIONS(2136),
    [anon_sym_fn] = ACTIONS(2136),
    [anon_sym_on] = ACTIONS(2136),
  },
  [555] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2132),
    [anon_sym_id] = ACTIONS(2132),
    [anon_sym_event] = ACTIONS(2132),
    [anon_sym_fn] = ACTIONS(2132),
    [anon_sym_on] = ACTIONS(2132),
  },
  [556] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_in] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_QMARK] = ACTIONS(2282),
    [anon_sym_AMP_AMP] = ACTIONS(2284),
    [anon_sym_PIPE_PIPE] = ACTIONS(2286),
    [anon_sym_GT_GT] = ACTIONS(2280),
    [anon_sym_GT_GT_GT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2298),
    [anon_sym_EQ_EQ] = ACTIONS(2278),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2278),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2298),
    [anon_sym_GT_EQ] = ACTIONS(2298),
    [anon_sym_instanceof] = ACTIONS(2278),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
    [anon_sym_static] = ACTIONS(2116),
    [anon_sym_id] = ACTIONS(2116),
    [anon_sym_event] = ACTIONS(2116),
    [anon_sym_fn] = ACTIONS(2116),
    [anon_sym_on] = ACTIONS(2116),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2144),
    [anon_sym_DOT] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_GT] = ACTIONS(2144),
    [anon_sym_SLASH] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_QMARK] = ACTIONS(2146),
    [anon_sym_AMP_AMP] = ACTIONS(2146),
    [anon_sym_PIPE_PIPE] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2144),
    [anon_sym_GT_GT_GT] = ACTIONS(2146),
    [anon_sym_LT_LT] = ACTIONS(2146),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_PERCENT] = ACTIONS(2146),
    [anon_sym_STAR_STAR] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2146),
    [anon_sym_EQ_EQ] = ACTIONS(2144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2146),
    [anon_sym_GT_EQ] = ACTIONS(2146),
    [anon_sym_instanceof] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2146),
    [sym_regex_flags] = ACTIONS(2148),
    [anon_sym_static] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(2144),
    [anon_sym_event] = ACTIONS(2144),
    [anon_sym_fn] = ACTIONS(2144),
    [anon_sym_on] = ACTIONS(2144),
  },
  [558] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [559] = {
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_else] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1522),
    [anon_sym_COLON] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_class] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_STAR_STAR] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_instanceof] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [anon_sym_component] = ACTIONS(1522),
  },
  [560] = {
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_id] = ACTIONS(1585),
    [anon_sym_event] = ACTIONS(1585),
    [anon_sym_fn] = ACTIONS(1585),
    [anon_sym_on] = ACTIONS(1585),
  },
  [561] = {
    [anon_sym_DOT] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_else] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_RPAREN] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_COLON] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_RBRACK] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_class] = ACTIONS(1504),
    [anon_sym_QMARK] = ACTIONS(1504),
    [anon_sym_AMP_AMP] = ACTIONS(1504),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1506),
    [anon_sym_GT_GT_GT] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1504),
    [anon_sym_STAR_STAR] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_EQ_EQ] = ACTIONS(1506),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_instanceof] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_component] = ACTIONS(1504),
  },
  [562] = {
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_else] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_while] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_class] = ACTIONS(1518),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [anon_sym_component] = ACTIONS(1518),
  },
  [563] = {
    [sym_arguments] = STATE(581),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1512),
    [anon_sym_in] = ACTIONS(1514),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_COLON] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_instanceof] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1512),
  },
  [564] = {
    [sym_arguments] = STATE(579),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_else] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_COLON] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1526),
  },
  [565] = {
    [sym_arguments] = STATE(580),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_else] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1530),
    [anon_sym_COLON] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_RBRACK] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_QMARK] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1530),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1532),
    [anon_sym_GT_GT_GT] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1530),
    [anon_sym_STAR_STAR] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_instanceof] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1530),
  },
  [566] = {
    [sym_arguments] = STATE(692),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
  },
  [567] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [568] = {
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_RPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_COLON] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_RBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(509),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym__automatic_semicolon] = ACTIONS(2332),
  },
  [569] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2080),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2080),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2080),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [570] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2024),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [571] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [572] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [573] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [574] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [575] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2066),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2066),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [576] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [577] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [578] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [579] = {
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_RPAREN] = ACTIONS(1538),
    [anon_sym_in] = ACTIONS(1540),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_COLON] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_RBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_AMP_AMP] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1538),
    [anon_sym_instanceof] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
  },
  [580] = {
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_else] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_while] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_instanceof] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
  },
  [581] = {
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_else] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_RPAREN] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_COLON] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_RBRACK] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1534),
    [anon_sym_AMP_AMP] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1536),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1534),
    [anon_sym_instanceof] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1534),
  },
  [582] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2094),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2094),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2094),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [583] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2098),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [584] = {
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_else] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1560),
    [anon_sym_COLON] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_RBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_STAR_STAR] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1560),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_instanceof] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
  },
  [585] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2106),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [586] = {
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [anon_sym_in] = ACTIONS(1578),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_COLON] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_RBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1576),
    [anon_sym_PIPE_PIPE] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_GT_GT_GT] = ACTIONS(1576),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1576),
    [anon_sym_instanceof] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1576),
  },
  [587] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2110),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [588] = {
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_COMMA] = ACTIONS(1808),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1810),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_COLON] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_RBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_QMARK] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1808),
    [anon_sym_PIPE_PIPE] = ACTIONS(1808),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_GT_GT_GT] = ACTIONS(1808),
    [anon_sym_LT_LT] = ACTIONS(1808),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1808),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PERCENT] = ACTIONS(1808),
    [anon_sym_STAR_STAR] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1808),
    [anon_sym_GT_EQ] = ACTIONS(1808),
    [anon_sym_instanceof] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_DASH_DASH] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1808),
  },
  [589] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [590] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2142),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [591] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2044),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2044),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [592] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2122),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [593] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [594] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2126),
    [anon_sym_RBRACE] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2126),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2126),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [595] = {
    [anon_sym_DOT] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_of] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_SLASH] = ACTIONS(2166),
    [anon_sym_QMARK] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2168),
    [anon_sym_LT_LT] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2168),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PERCENT] = ACTIONS(2168),
    [anon_sym_STAR_STAR] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_instanceof] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
  },
  [596] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [597] = {
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2162),
    [anon_sym_RPAREN] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_of] = ACTIONS(2162),
    [anon_sym_COLON] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_EQ] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_RBRACK] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_QMARK] = ACTIONS(2162),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_PLUS_PLUS] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2162),
  },
  [598] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2134),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [599] = {
    [sym_arguments] = STATE(692),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
  },
  [600] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(691),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
  },
  [601] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2086),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [602] = {
    [anon_sym_DOT] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_RPAREN] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_of] = ACTIONS(2176),
    [anon_sym_COLON] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_RBRACK] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_QMARK] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_PIPE_PIPE] = ACTIONS(2176),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2176),
    [anon_sym_LT_LT] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2176),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2176),
    [anon_sym_STAR_STAR] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2176),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2176),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2176),
    [anon_sym_GT_EQ] = ACTIONS(2176),
    [anon_sym_instanceof] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
  },
  [603] = {
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_RPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_of] = ACTIONS(515),
    [anon_sym_COLON] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_RBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(515),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
  },
  [604] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_COLON] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [605] = {
    [anon_sym_DOT] = ACTIONS(2158),
    [anon_sym_COMMA] = ACTIONS(2158),
    [anon_sym_RBRACE] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2158),
    [anon_sym_RPAREN] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2156),
    [anon_sym_of] = ACTIONS(2158),
    [anon_sym_COLON] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_RBRACK] = ACTIONS(2158),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_GT] = ACTIONS(2156),
    [anon_sym_SLASH] = ACTIONS(2156),
    [anon_sym_QMARK] = ACTIONS(2158),
    [anon_sym_AMP_AMP] = ACTIONS(2158),
    [anon_sym_PIPE_PIPE] = ACTIONS(2158),
    [anon_sym_GT_GT] = ACTIONS(2156),
    [anon_sym_GT_GT_GT] = ACTIONS(2158),
    [anon_sym_LT_LT] = ACTIONS(2158),
    [anon_sym_AMP] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2156),
    [anon_sym_PERCENT] = ACTIONS(2158),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2158),
    [anon_sym_EQ_EQ] = ACTIONS(2156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2158),
    [anon_sym_GT_EQ] = ACTIONS(2158),
    [anon_sym_instanceof] = ACTIONS(2158),
    [anon_sym_PLUS_PLUS] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2158),
  },
  [606] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_COLON] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [607] = {
    [anon_sym_DOT] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_else] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_RPAREN] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1697),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_RBRACK] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1695),
    [anon_sym_AMP_AMP] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1695),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_GT_GT_GT] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1695),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1695),
    [anon_sym_STAR_STAR] = ACTIONS(1695),
    [anon_sym_LT_EQ] = ACTIONS(1695),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1695),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1695),
    [anon_sym_GT_EQ] = ACTIONS(1695),
    [anon_sym_instanceof] = ACTIONS(1695),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1695),
  },
  [608] = {
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_RPAREN] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_of] = ACTIONS(2154),
    [anon_sym_COLON] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_EQ] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_RBRACK] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_QMARK] = ACTIONS(2154),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_PLUS_PLUS] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2154),
  },
  [609] = {
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_of] = ACTIONS(2184),
    [anon_sym_COLON] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_RBRACK] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
  },
  [610] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2072),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [anon_sym_in] = ACTIONS(2070),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(2072),
    [anon_sym_AMP_AMP] = ACTIONS(2072),
    [anon_sym_PIPE_PIPE] = ACTIONS(2072),
    [anon_sym_GT_GT] = ACTIONS(2070),
    [anon_sym_GT_GT_GT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_AMP] = ACTIONS(2070),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_PIPE] = ACTIONS(2070),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_PERCENT] = ACTIONS(2072),
    [anon_sym_STAR_STAR] = ACTIONS(2072),
    [anon_sym_LT_EQ] = ACTIONS(2072),
    [anon_sym_EQ_EQ] = ACTIONS(2070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2072),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2072),
    [anon_sym_GT_EQ] = ACTIONS(2072),
    [anon_sym_instanceof] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [611] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_COLON] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [612] = {
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_of] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
  },
  [613] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2024),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [614] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2098),
  },
  [615] = {
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(681),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym__automatic_semicolon] = ACTIONS(681),
  },
  [616] = {
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_else] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(631),
    [anon_sym_while] = ACTIONS(629),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_AMP_AMP] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_GT_GT_GT] = ACTIONS(629),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(629),
    [anon_sym_STAR_STAR] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(629),
    [anon_sym_instanceof] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(629),
    [sym__automatic_semicolon] = ACTIONS(629),
  },
  [617] = {
    [sym_import_path] = STATE(1376),
    [anon_sym_DOT] = ACTIONS(2366),
    [sym_import_path_segment] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_SLASH] = ACTIONS(2206),
    [anon_sym_QMARK] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2208),
  },
  [618] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2086),
  },
  [619] = {
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(681),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym__automatic_semicolon] = ACTIONS(2372),
  },
  [620] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2076),
  },
  [621] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2126),
  },
  [622] = {
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_else] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_while] = ACTIONS(509),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(509),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym__automatic_semicolon] = ACTIONS(2379),
  },
  [623] = {
    [sym_arguments] = STATE(692),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
  },
  [624] = {
    [anon_sym_DOT] = ACTIONS(2176),
    [anon_sym_COMMA] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_of] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_QMARK] = ACTIONS(2176),
    [anon_sym_AMP_AMP] = ACTIONS(2176),
    [anon_sym_PIPE_PIPE] = ACTIONS(2176),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2176),
    [anon_sym_LT_LT] = ACTIONS(2176),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2176),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2176),
    [anon_sym_STAR_STAR] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2176),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2176),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2176),
    [anon_sym_GT_EQ] = ACTIONS(2176),
    [anon_sym_instanceof] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2176),
    [sym__automatic_semicolon] = ACTIONS(2176),
  },
  [625] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2381),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2106),
  },
  [626] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2080),
  },
  [627] = {
    [anon_sym_DOT] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_of] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_QMARK] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2184),
    [anon_sym_LT_LT] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2184),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2184),
    [anon_sym_STAR_STAR] = ACTIONS(2184),
    [anon_sym_LT_EQ] = ACTIONS(2184),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2184),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2184),
    [anon_sym_GT_EQ] = ACTIONS(2184),
    [anon_sym_instanceof] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym__automatic_semicolon] = ACTIONS(2184),
  },
  [628] = {
    [anon_sym_DOT] = ACTIONS(2146),
    [anon_sym_COMMA] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_RPAREN] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2144),
    [anon_sym_COLON] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_RBRACK] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_GT] = ACTIONS(2144),
    [anon_sym_SLASH] = ACTIONS(2144),
    [anon_sym_QMARK] = ACTIONS(2146),
    [anon_sym_AMP_AMP] = ACTIONS(2146),
    [anon_sym_PIPE_PIPE] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2144),
    [anon_sym_GT_GT_GT] = ACTIONS(2146),
    [anon_sym_LT_LT] = ACTIONS(2146),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_PERCENT] = ACTIONS(2146),
    [anon_sym_STAR_STAR] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2146),
    [anon_sym_EQ_EQ] = ACTIONS(2144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2146),
    [anon_sym_GT_EQ] = ACTIONS(2146),
    [anon_sym_instanceof] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2146),
    [sym_regex_flags] = ACTIONS(2389),
  },
  [629] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2080),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2080),
  },
  [630] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2076),
  },
  [631] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(785),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [632] = {
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_RPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_RBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(681),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
    [sym__automatic_semicolon] = ACTIONS(2396),
  },
  [633] = {
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_else] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(509),
    [anon_sym_SEMI] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(515),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [sym__automatic_semicolon] = ACTIONS(517),
  },
  [634] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [635] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [636] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [637] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [638] = {
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_COLON] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_EQ_GT] = ACTIONS(2172),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
  },
  [639] = {
    [sym__initializer] = STATE(1315),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2398),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_of] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(2398),
  },
  [640] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [641] = {
    [sym_import_path] = STATE(1376),
    [anon_sym_DOT] = ACTIONS(2366),
    [sym_import_path_segment] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_SLASH] = ACTIONS(2206),
    [anon_sym_QMARK] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2208),
  },
  [642] = {
    [sym__initializer] = STATE(1322),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2411),
    [anon_sym_of] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(2409),
  },
  [643] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2020),
    [anon_sym_GT_GT_GT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [644] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2024),
    [anon_sym_AMP_AMP] = ACTIONS(2024),
    [anon_sym_PIPE_PIPE] = ACTIONS(2024),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2024),
    [anon_sym_PIPE] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_EQ_EQ] = ACTIONS(2020),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2024),
    [anon_sym_BANG_EQ] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_instanceof] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2024),
  },
  [645] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2094),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2094),
  },
  [646] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [647] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2106),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2106),
  },
  [648] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2122),
  },
  [649] = {
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_COMMA] = ACTIONS(1808),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1808),
    [anon_sym_COLON] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_EQ] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym_QMARK] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1808),
    [anon_sym_PIPE_PIPE] = ACTIONS(1808),
    [anon_sym_GT_GT] = ACTIONS(1810),
    [anon_sym_GT_GT_GT] = ACTIONS(1808),
    [anon_sym_LT_LT] = ACTIONS(1808),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_CARET] = ACTIONS(1808),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PERCENT] = ACTIONS(1808),
    [anon_sym_STAR_STAR] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1808),
    [anon_sym_GT_EQ] = ACTIONS(1808),
    [anon_sym_instanceof] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_DASH_DASH] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(1808),
  },
  [650] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2044),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2044),
  },
  [651] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2126),
    [anon_sym_RBRACE] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2126),
  },
  [652] = {
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_RPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_COLON] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_RBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(509),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym__automatic_semicolon] = ACTIONS(2332),
  },
  [653] = {
    [anon_sym_DOT] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_else] = ACTIONS(653),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(653),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_AMP_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_GT_GT_GT] = ACTIONS(653),
    [anon_sym_LT_LT] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(653),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(653),
    [anon_sym_STAR_STAR] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(653),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(653),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(653),
    [anon_sym_instanceof] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
    [sym__automatic_semicolon] = ACTIONS(653),
  },
  [654] = {
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2162),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_of] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_EQ] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_QMARK] = ACTIONS(2162),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_PLUS_PLUS] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2162),
    [sym__automatic_semicolon] = ACTIONS(2162),
  },
  [655] = {
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_of] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_QMARK] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_STAR_STAR] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_instanceof] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2180),
    [sym__automatic_semicolon] = ACTIONS(2180),
  },
  [656] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2134),
  },
  [657] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2090),
  },
  [658] = {
    [anon_sym_DOT] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_else] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_in] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_SEMI] = ACTIONS(603),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(605),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(603),
    [anon_sym_PIPE_PIPE] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_GT_GT_GT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_STAR_STAR] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(603),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(603),
    [anon_sym_GT_EQ] = ACTIONS(603),
    [anon_sym_instanceof] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [sym__automatic_semicolon] = ACTIONS(603),
  },
  [659] = {
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(513),
    [anon_sym_of] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(515),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(515),
    [anon_sym_PIPE_PIPE] = ACTIONS(515),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_GT_GT_GT] = ACTIONS(515),
    [anon_sym_LT_LT] = ACTIONS(515),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_CARET] = ACTIONS(515),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_PERCENT] = ACTIONS(515),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_LT_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(515),
    [anon_sym_GT_EQ] = ACTIONS(515),
    [anon_sym_instanceof] = ACTIONS(515),
    [anon_sym_PLUS_PLUS] = ACTIONS(515),
    [anon_sym_DASH_DASH] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [660] = {
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_COMMA] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_else] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_in] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(599),
    [anon_sym_SEMI] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_AMP_AMP] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_GT_GT_GT] = ACTIONS(599),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_AMP] = ACTIONS(601),
    [anon_sym_CARET] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(599),
    [anon_sym_STAR_STAR] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_instanceof] = ACTIONS(599),
    [anon_sym_PLUS_PLUS] = ACTIONS(599),
    [anon_sym_DASH_DASH] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(599),
    [sym__automatic_semicolon] = ACTIONS(599),
  },
  [661] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2110),
  },
  [662] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2142),
  },
  [663] = {
    [anon_sym_DOT] = ACTIONS(2158),
    [anon_sym_COMMA] = ACTIONS(2158),
    [anon_sym_RBRACE] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2158),
    [anon_sym_in] = ACTIONS(2156),
    [anon_sym_of] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_GT] = ACTIONS(2156),
    [anon_sym_SLASH] = ACTIONS(2156),
    [anon_sym_QMARK] = ACTIONS(2158),
    [anon_sym_AMP_AMP] = ACTIONS(2158),
    [anon_sym_PIPE_PIPE] = ACTIONS(2158),
    [anon_sym_GT_GT] = ACTIONS(2156),
    [anon_sym_GT_GT_GT] = ACTIONS(2158),
    [anon_sym_LT_LT] = ACTIONS(2158),
    [anon_sym_AMP] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2156),
    [anon_sym_PERCENT] = ACTIONS(2158),
    [anon_sym_STAR_STAR] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2158),
    [anon_sym_EQ_EQ] = ACTIONS(2156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2158),
    [anon_sym_GT_EQ] = ACTIONS(2158),
    [anon_sym_instanceof] = ACTIONS(2158),
    [anon_sym_PLUS_PLUS] = ACTIONS(2158),
    [anon_sym_DASH_DASH] = ACTIONS(2158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2158),
    [sym__automatic_semicolon] = ACTIONS(2158),
  },
  [664] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2066),
  },
  [665] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [666] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2102),
  },
  [667] = {
    [anon_sym_DOT] = ACTIONS(2154),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_of] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_EQ] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_QMARK] = ACTIONS(2154),
    [anon_sym_AMP_AMP] = ACTIONS(2154),
    [anon_sym_PIPE_PIPE] = ACTIONS(2154),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2154),
    [anon_sym_LT_LT] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2154),
    [anon_sym_STAR_STAR] = ACTIONS(2154),
    [anon_sym_LT_EQ] = ACTIONS(2154),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2154),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2154),
    [anon_sym_GT_EQ] = ACTIONS(2154),
    [anon_sym_instanceof] = ACTIONS(2154),
    [anon_sym_PLUS_PLUS] = ACTIONS(2154),
    [anon_sym_DASH_DASH] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2154),
    [sym__automatic_semicolon] = ACTIONS(2154),
  },
  [668] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2062),
  },
  [669] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2062),
  },
  [670] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2138),
  },
  [671] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_GT] = ACTIONS(2060),
    [anon_sym_SLASH] = ACTIONS(2060),
    [anon_sym_QMARK] = ACTIONS(2062),
    [anon_sym_AMP_AMP] = ACTIONS(2062),
    [anon_sym_PIPE_PIPE] = ACTIONS(2062),
    [anon_sym_GT_GT] = ACTIONS(2060),
    [anon_sym_GT_GT_GT] = ACTIONS(2062),
    [anon_sym_LT_LT] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2060),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_STAR_STAR] = ACTIONS(2062),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_EQ_EQ] = ACTIONS(2060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2062),
    [anon_sym_BANG_EQ] = ACTIONS(2060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_instanceof] = ACTIONS(2062),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2062),
  },
  [672] = {
    [anon_sym_DOT] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2166),
    [anon_sym_of] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_EQ] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_GT] = ACTIONS(2166),
    [anon_sym_SLASH] = ACTIONS(2166),
    [anon_sym_QMARK] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2168),
    [anon_sym_PIPE_PIPE] = ACTIONS(2168),
    [anon_sym_GT_GT] = ACTIONS(2166),
    [anon_sym_GT_GT_GT] = ACTIONS(2168),
    [anon_sym_LT_LT] = ACTIONS(2168),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_CARET] = ACTIONS(2168),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_PERCENT] = ACTIONS(2168),
    [anon_sym_STAR_STAR] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_EQ_EQ] = ACTIONS(2166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2168),
    [anon_sym_BANG_EQ] = ACTIONS(2166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_instanceof] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2168),
  },
  [673] = {
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_COMMA] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(677),
    [anon_sym_else] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(677),
    [anon_sym_in] = ACTIONS(679),
    [anon_sym_while] = ACTIONS(677),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_STAR] = ACTIONS(679),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(677),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_GT_GT_GT] = ACTIONS(677),
    [anon_sym_LT_LT] = ACTIONS(677),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(677),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(677),
    [anon_sym_STAR_STAR] = ACTIONS(677),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(677),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_instanceof] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(677),
    [sym__automatic_semicolon] = ACTIONS(677),
  },
  [674] = {
    [sym_arguments] = STATE(784),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [675] = {
    [sym_arguments] = STATE(784),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [676] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2072),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(2072),
    [anon_sym_AMP_AMP] = ACTIONS(2072),
    [anon_sym_PIPE_PIPE] = ACTIONS(2072),
    [anon_sym_GT_GT] = ACTIONS(2070),
    [anon_sym_GT_GT_GT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_AMP] = ACTIONS(2070),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_PIPE] = ACTIONS(2070),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_PERCENT] = ACTIONS(2072),
    [anon_sym_STAR_STAR] = ACTIONS(2072),
    [anon_sym_LT_EQ] = ACTIONS(2072),
    [anon_sym_EQ_EQ] = ACTIONS(2070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2072),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2072),
    [anon_sym_GT_EQ] = ACTIONS(2072),
    [anon_sym_instanceof] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2072),
  },
  [677] = {
    [anon_sym_DOT] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1695),
    [anon_sym_AMP_AMP] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1695),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_GT_GT_GT] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1695),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1695),
    [anon_sym_STAR_STAR] = ACTIONS(1695),
    [anon_sym_LT_EQ] = ACTIONS(1695),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1695),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1695),
    [anon_sym_GT_EQ] = ACTIONS(1695),
    [anon_sym_instanceof] = ACTIONS(1695),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1695),
    [sym__automatic_semicolon] = ACTIONS(1695),
  },
  [678] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1333),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [679] = {
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_RPAREN] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_RBRACK] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
  },
  [680] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2424),
  },
  [681] = {
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_EQ_GT] = ACTIONS(2172),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym__automatic_semicolon] = ACTIONS(1518),
  },
  [682] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1359),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [683] = {
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_RPAREN] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_RBRACK] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(2202),
    [anon_sym_QMARK] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
  },
  [684] = {
    [anon_sym_DOT] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_else] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_in] = ACTIONS(611),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_SEMI] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_QMARK] = ACTIONS(613),
    [anon_sym_AMP_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(611),
    [anon_sym_GT_GT_GT] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(613),
    [anon_sym_STAR_STAR] = ACTIONS(613),
    [anon_sym_LT_EQ] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(611),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(611),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(613),
    [anon_sym_GT_EQ] = ACTIONS(613),
    [anon_sym_instanceof] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(613),
    [sym__automatic_semicolon] = ACTIONS(615),
  },
  [685] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1357),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [686] = {
    [sym_arguments] = STATE(784),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_GT_GT_GT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_instanceof] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [sym__automatic_semicolon] = ACTIONS(1548),
  },
  [687] = {
    [anon_sym_DOT] = ACTIONS(2098),
    [anon_sym_COMMA] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2098),
    [anon_sym_RPAREN] = ACTIONS(2098),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_COLON] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_RBRACK] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_GT] = ACTIONS(2096),
    [anon_sym_SLASH] = ACTIONS(2096),
    [anon_sym_QMARK] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_PIPE_PIPE] = ACTIONS(2098),
    [anon_sym_GT_GT] = ACTIONS(2096),
    [anon_sym_GT_GT_GT] = ACTIONS(2098),
    [anon_sym_LT_LT] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2098),
    [anon_sym_PIPE] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_STAR_STAR] = ACTIONS(2098),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_EQ_EQ] = ACTIONS(2096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2098),
    [anon_sym_BANG_EQ] = ACTIONS(2096),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_instanceof] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2098),
  },
  [688] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2430),
  },
  [689] = {
    [anon_sym_DOT] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2086),
    [anon_sym_RPAREN] = ACTIONS(2086),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_COLON] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2086),
    [anon_sym_RBRACK] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_GT] = ACTIONS(2084),
    [anon_sym_SLASH] = ACTIONS(2084),
    [anon_sym_QMARK] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_PIPE_PIPE] = ACTIONS(2086),
    [anon_sym_GT_GT] = ACTIONS(2084),
    [anon_sym_GT_GT_GT] = ACTIONS(2086),
    [anon_sym_LT_LT] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2086),
    [anon_sym_PIPE] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PERCENT] = ACTIONS(2086),
    [anon_sym_STAR_STAR] = ACTIONS(2086),
    [anon_sym_LT_EQ] = ACTIONS(2086),
    [anon_sym_EQ_EQ] = ACTIONS(2084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2084),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2086),
    [anon_sym_GT_EQ] = ACTIONS(2086),
    [anon_sym_instanceof] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2086),
  },
  [690] = {
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_COLON] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_QMARK] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2250),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
  },
  [691] = {
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_COLON] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
  },
  [692] = {
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_COLON] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
  },
  [693] = {
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_RPAREN] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_RBRACK] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_QMARK] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
  },
  [694] = {
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_LPAREN] = ACTIONS(2240),
    [anon_sym_RPAREN] = ACTIONS(2240),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_COLON] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_RBRACK] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_QMARK] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2240),
  },
  [695] = {
    [anon_sym_DOT] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_RPAREN] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_COLON] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_RBRACK] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2234),
    [anon_sym_SLASH] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2236),
    [anon_sym_GT_GT] = ACTIONS(2234),
    [anon_sym_GT_GT_GT] = ACTIONS(2236),
    [anon_sym_LT_LT] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_CARET] = ACTIONS(2236),
    [anon_sym_PIPE] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PERCENT] = ACTIONS(2236),
    [anon_sym_STAR_STAR] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2236),
    [anon_sym_EQ_EQ] = ACTIONS(2234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2236),
    [anon_sym_BANG_EQ] = ACTIONS(2234),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2236),
    [anon_sym_GT_EQ] = ACTIONS(2236),
    [anon_sym_instanceof] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
  },
  [696] = {
    [sym_arguments] = STATE(797),
    [anon_sym_DOT] = ACTIONS(1512),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_QMARK] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_GT_GT_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_CARET] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1512),
    [anon_sym_STAR_STAR] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1512),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_instanceof] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [sym__automatic_semicolon] = ACTIONS(1512),
  },
  [697] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1330),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [698] = {
    [anon_sym_DOT] = ACTIONS(2122),
    [anon_sym_COMMA] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_RPAREN] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2120),
    [anon_sym_COLON] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_RBRACK] = ACTIONS(2122),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_GT] = ACTIONS(2120),
    [anon_sym_SLASH] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(2122),
    [anon_sym_AMP_AMP] = ACTIONS(2122),
    [anon_sym_PIPE_PIPE] = ACTIONS(2122),
    [anon_sym_GT_GT] = ACTIONS(2120),
    [anon_sym_GT_GT_GT] = ACTIONS(2122),
    [anon_sym_LT_LT] = ACTIONS(2122),
    [anon_sym_AMP] = ACTIONS(2120),
    [anon_sym_CARET] = ACTIONS(2122),
    [anon_sym_PIPE] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2120),
    [anon_sym_PERCENT] = ACTIONS(2122),
    [anon_sym_STAR_STAR] = ACTIONS(2122),
    [anon_sym_LT_EQ] = ACTIONS(2122),
    [anon_sym_EQ_EQ] = ACTIONS(2120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2122),
    [anon_sym_BANG_EQ] = ACTIONS(2120),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2122),
    [anon_sym_GT_EQ] = ACTIONS(2122),
    [anon_sym_instanceof] = ACTIONS(2122),
    [anon_sym_PLUS_PLUS] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2122),
  },
  [699] = {
    [anon_sym_DOT] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_COLON] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_RBRACK] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2226),
    [anon_sym_SLASH] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_PIPE_PIPE] = ACTIONS(2228),
    [anon_sym_GT_GT] = ACTIONS(2226),
    [anon_sym_GT_GT_GT] = ACTIONS(2228),
    [anon_sym_LT_LT] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_CARET] = ACTIONS(2228),
    [anon_sym_PIPE] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_STAR_STAR] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2228),
    [anon_sym_EQ_EQ] = ACTIONS(2226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2228),
    [anon_sym_BANG_EQ] = ACTIONS(2226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2228),
    [anon_sym_GT_EQ] = ACTIONS(2228),
    [anon_sym_instanceof] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
  },
  [700] = {
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_else] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(667),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_GT_GT_GT] = ACTIONS(673),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_instanceof] = ACTIONS(673),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [sym__automatic_semicolon] = ACTIONS(675),
  },
  [701] = {
    [anon_sym_DOT] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(653),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(653),
    [anon_sym_RBRACK] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_AMP_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_GT_GT_GT] = ACTIONS(653),
    [anon_sym_LT_LT] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(653),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(653),
    [anon_sym_STAR_STAR] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(653),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(653),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(653),
    [anon_sym_instanceof] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(653),
  },
  [702] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [703] = {
    [sym_arguments] = STATE(830),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_STAR_STAR] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym__automatic_semicolon] = ACTIONS(1526),
  },
  [704] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [705] = {
    [anon_sym_DOT] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_RPAREN] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_COLON] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_RBRACK] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2222),
    [anon_sym_QMARK] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_PIPE_PIPE] = ACTIONS(2224),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2224),
    [anon_sym_LT_LT] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2224),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_STAR_STAR] = ACTIONS(2224),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2224),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2224),
    [anon_sym_instanceof] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2224),
  },
  [706] = {
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_RPAREN] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_COLON] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_RBRACK] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2218),
    [anon_sym_QMARK] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_STAR_STAR] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2220),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2220),
    [anon_sym_instanceof] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
  },
  [707] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1285),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [708] = {
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_RPAREN] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_RBRACK] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_QMARK] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2198),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
  },
  [709] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1359),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2440),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [710] = {
    [anon_sym_DOT] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_QMARK] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2260),
    [anon_sym_LT_LT] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_STAR_STAR] = ACTIONS(2260),
    [anon_sym_LT_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2260),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_instanceof] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2260),
  },
  [711] = {
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_COMMA] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(677),
    [anon_sym_RPAREN] = ACTIONS(677),
    [anon_sym_in] = ACTIONS(679),
    [anon_sym_COLON] = ACTIONS(677),
    [anon_sym_STAR] = ACTIONS(679),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(679),
    [anon_sym_QMARK] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(677),
    [anon_sym_PIPE_PIPE] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_GT_GT_GT] = ACTIONS(677),
    [anon_sym_LT_LT] = ACTIONS(677),
    [anon_sym_AMP] = ACTIONS(679),
    [anon_sym_CARET] = ACTIONS(677),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(677),
    [anon_sym_STAR_STAR] = ACTIONS(677),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_EQ_EQ] = ACTIONS(679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(677),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_instanceof] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(677),
    [anon_sym_DASH_DASH] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(677),
  },
  [712] = {
    [anon_sym_DOT] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_else] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_in] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_GT_GT_GT] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_PERCENT] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_instanceof] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(663),
    [sym__automatic_semicolon] = ACTIONS(665),
  },
  [713] = {
    [anon_sym_DOT] = ACTIONS(2090),
    [anon_sym_COMMA] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2090),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2088),
    [anon_sym_COLON] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_RBRACK] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_GT] = ACTIONS(2088),
    [anon_sym_SLASH] = ACTIONS(2088),
    [anon_sym_QMARK] = ACTIONS(2090),
    [anon_sym_AMP_AMP] = ACTIONS(2090),
    [anon_sym_PIPE_PIPE] = ACTIONS(2090),
    [anon_sym_GT_GT] = ACTIONS(2088),
    [anon_sym_GT_GT_GT] = ACTIONS(2090),
    [anon_sym_LT_LT] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(2088),
    [anon_sym_CARET] = ACTIONS(2090),
    [anon_sym_PIPE] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2088),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_STAR_STAR] = ACTIONS(2090),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_EQ_EQ] = ACTIONS(2088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2090),
    [anon_sym_BANG_EQ] = ACTIONS(2088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_instanceof] = ACTIONS(2090),
    [anon_sym_PLUS_PLUS] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2090),
  },
  [714] = {
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_RPAREN] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_COLON] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_RBRACK] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2214),
    [anon_sym_QMARK] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
  },
  [715] = {
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(565),
    [anon_sym_RPAREN] = ACTIONS(565),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_COLON] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(565),
    [anon_sym_RBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(563),
    [anon_sym_GT_GT_GT] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(563),
    [anon_sym_PERCENT] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(565),
    [anon_sym_instanceof] = ACTIONS(565),
    [anon_sym_PLUS_PLUS] = ACTIONS(565),
    [anon_sym_DASH_DASH] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
  },
  [716] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2442),
  },
  [717] = {
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_COLON] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(2264),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_PLUS_PLUS] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2264),
  },
  [718] = {
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2162),
    [anon_sym_COLON] = ACTIONS(2447),
    [anon_sym_STAR] = ACTIONS(2160),
    [anon_sym_EQ] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_QMARK] = ACTIONS(2162),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2160),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2160),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_PLUS_PLUS] = ACTIONS(2162),
    [anon_sym_DASH_DASH] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2162),
    [sym__automatic_semicolon] = ACTIONS(2162),
  },
  [719] = {
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_RPAREN] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_COLON] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_RBRACK] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
  },
  [720] = {
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_in] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_QMARK] = ACTIONS(625),
    [anon_sym_AMP_AMP] = ACTIONS(625),
    [anon_sym_PIPE_PIPE] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_GT_GT_GT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_LT_EQ] = ACTIONS(625),
    [anon_sym_EQ_EQ] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(625),
    [anon_sym_GT_EQ] = ACTIONS(625),
    [anon_sym_instanceof] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(625),
  },
  [721] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1297),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2449),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [722] = {
    [anon_sym_DOT] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_in] = ACTIONS(2100),
    [anon_sym_COLON] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_QMARK] = ACTIONS(2102),
    [anon_sym_AMP_AMP] = ACTIONS(2102),
    [anon_sym_PIPE_PIPE] = ACTIONS(2102),
    [anon_sym_GT_GT] = ACTIONS(2100),
    [anon_sym_GT_GT_GT] = ACTIONS(2102),
    [anon_sym_LT_LT] = ACTIONS(2102),
    [anon_sym_AMP] = ACTIONS(2100),
    [anon_sym_CARET] = ACTIONS(2102),
    [anon_sym_PIPE] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_STAR_STAR] = ACTIONS(2102),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_EQ_EQ] = ACTIONS(2100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2102),
    [anon_sym_BANG_EQ] = ACTIONS(2100),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_instanceof] = ACTIONS(2102),
    [anon_sym_PLUS_PLUS] = ACTIONS(2102),
    [anon_sym_DASH_DASH] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2102),
  },
  [723] = {
    [anon_sym_DOT] = ACTIONS(2110),
    [anon_sym_COMMA] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2110),
    [anon_sym_RPAREN] = ACTIONS(2110),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_COLON] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2110),
    [anon_sym_RBRACK] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_GT] = ACTIONS(2108),
    [anon_sym_SLASH] = ACTIONS(2108),
    [anon_sym_QMARK] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_PIPE_PIPE] = ACTIONS(2110),
    [anon_sym_GT_GT] = ACTIONS(2108),
    [anon_sym_GT_GT_GT] = ACTIONS(2110),
    [anon_sym_LT_LT] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_CARET] = ACTIONS(2110),
    [anon_sym_PIPE] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PERCENT] = ACTIONS(2110),
    [anon_sym_STAR_STAR] = ACTIONS(2110),
    [anon_sym_LT_EQ] = ACTIONS(2110),
    [anon_sym_EQ_EQ] = ACTIONS(2108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2110),
    [anon_sym_BANG_EQ] = ACTIONS(2108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2110),
    [anon_sym_GT_EQ] = ACTIONS(2110),
    [anon_sym_instanceof] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2110),
  },
  [724] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2377),
    [anon_sym_RBRACE] = ACTIONS(2377),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2377),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [725] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [726] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [727] = {
    [anon_sym_DOT] = ACTIONS(545),
    [anon_sym_COMMA] = ACTIONS(545),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_RPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_COLON] = ACTIONS(545),
    [anon_sym_STAR] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(545),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(543),
    [anon_sym_GT] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(545),
    [anon_sym_AMP_AMP] = ACTIONS(545),
    [anon_sym_PIPE_PIPE] = ACTIONS(545),
    [anon_sym_GT_GT] = ACTIONS(543),
    [anon_sym_GT_GT_GT] = ACTIONS(545),
    [anon_sym_LT_LT] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(545),
    [anon_sym_PIPE] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_PERCENT] = ACTIONS(545),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_LT_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ] = ACTIONS(543),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ] = ACTIONS(543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(545),
    [anon_sym_GT_EQ] = ACTIONS(545),
    [anon_sym_instanceof] = ACTIONS(545),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
  },
  [728] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2451),
    [anon_sym_of] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [729] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_of] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [730] = {
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2188),
    [anon_sym_LT_LT] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_STAR_STAR] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2188),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2188),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_instanceof] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2188),
  },
  [731] = {
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_RPAREN] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_COLON] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_RBRACK] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_SLASH] = ACTIONS(2206),
    [anon_sym_QMARK] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
  },
  [732] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2461),
  },
  [733] = {
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(631),
    [anon_sym_COLON] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_AMP_AMP] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_GT_GT_GT] = ACTIONS(629),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(631),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_PERCENT] = ACTIONS(629),
    [anon_sym_STAR_STAR] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(629),
    [anon_sym_instanceof] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(629),
  },
  [734] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2461),
  },
  [735] = {
    [anon_sym_DOT] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_COLON] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_GT] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2270),
    [anon_sym_QMARK] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2272),
    [anon_sym_GT_GT] = ACTIONS(2270),
    [anon_sym_GT_GT_GT] = ACTIONS(2272),
    [anon_sym_LT_LT] = ACTIONS(2272),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_CARET] = ACTIONS(2272),
    [anon_sym_PIPE] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2272),
    [anon_sym_STAR_STAR] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_EQ_EQ] = ACTIONS(2270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2272),
    [anon_sym_BANG_EQ] = ACTIONS(2270),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2272),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_instanceof] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
  },
  [736] = {
    [anon_sym_DOT] = ACTIONS(555),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_else] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(555),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(549),
    [anon_sym_SEMI] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(555),
    [anon_sym_LT] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(553),
    [anon_sym_QMARK] = ACTIONS(555),
    [anon_sym_AMP_AMP] = ACTIONS(555),
    [anon_sym_PIPE_PIPE] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(553),
    [anon_sym_GT_GT_GT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(555),
    [anon_sym_LT_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(555),
    [anon_sym_GT_EQ] = ACTIONS(555),
    [anon_sym_instanceof] = ACTIONS(555),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(555),
    [sym__automatic_semicolon] = ACTIONS(557),
  },
  [737] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2461),
  },
  [738] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2336),
  },
  [739] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [740] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2352),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_GT_GT_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
    [sym__automatic_semicolon] = ACTIONS(2461),
  },
  [741] = {
    [anon_sym_DOT] = ACTIONS(555),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(555),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_COLON] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(555),
    [anon_sym_RBRACK] = ACTIONS(555),
    [anon_sym_LT] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(553),
    [anon_sym_QMARK] = ACTIONS(555),
    [anon_sym_AMP_AMP] = ACTIONS(555),
    [anon_sym_PIPE_PIPE] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(553),
    [anon_sym_GT_GT_GT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(555),
    [anon_sym_LT_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(555),
    [anon_sym_GT_EQ] = ACTIONS(555),
    [anon_sym_instanceof] = ACTIONS(555),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(555),
  },
  [742] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1333),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [743] = {
    [anon_sym_DOT] = ACTIONS(2146),
    [anon_sym_COMMA] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_in] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_GT] = ACTIONS(2144),
    [anon_sym_SLASH] = ACTIONS(2144),
    [anon_sym_QMARK] = ACTIONS(2146),
    [anon_sym_AMP_AMP] = ACTIONS(2146),
    [anon_sym_PIPE_PIPE] = ACTIONS(2146),
    [anon_sym_GT_GT] = ACTIONS(2144),
    [anon_sym_GT_GT_GT] = ACTIONS(2146),
    [anon_sym_LT_LT] = ACTIONS(2146),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_PERCENT] = ACTIONS(2146),
    [anon_sym_STAR_STAR] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2146),
    [anon_sym_EQ_EQ] = ACTIONS(2144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2146),
    [anon_sym_GT_EQ] = ACTIONS(2146),
    [anon_sym_instanceof] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2146),
    [anon_sym_DASH_DASH] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2146),
    [sym_regex_flags] = ACTIONS(2467),
    [sym__automatic_semicolon] = ACTIONS(2146),
  },
  [744] = {
    [anon_sym_DOT] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(603),
    [anon_sym_in] = ACTIONS(605),
    [anon_sym_COLON] = ACTIONS(603),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(603),
    [anon_sym_RBRACK] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(605),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(603),
    [anon_sym_PIPE_PIPE] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_GT_GT_GT] = ACTIONS(603),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_STAR_STAR] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(603),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(603),
    [anon_sym_GT_EQ] = ACTIONS(603),
    [anon_sym_instanceof] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
  },
  [745] = {
    [anon_sym_DOT] = ACTIONS(545),
    [anon_sym_COMMA] = ACTIONS(545),
    [anon_sym_else] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_while] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_STAR] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(543),
    [anon_sym_GT] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(545),
    [anon_sym_AMP_AMP] = ACTIONS(545),
    [anon_sym_PIPE_PIPE] = ACTIONS(545),
    [anon_sym_GT_GT] = ACTIONS(543),
    [anon_sym_GT_GT_GT] = ACTIONS(545),
    [anon_sym_LT_LT] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(545),
    [anon_sym_PIPE] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_PERCENT] = ACTIONS(545),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_LT_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ] = ACTIONS(543),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ] = ACTIONS(543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(545),
    [anon_sym_GT_EQ] = ACTIONS(545),
    [anon_sym_instanceof] = ACTIONS(545),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [746] = {
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_else] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_in] = ACTIONS(623),
    [anon_sym_while] = ACTIONS(619),
    [anon_sym_SEMI] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_QMARK] = ACTIONS(625),
    [anon_sym_AMP_AMP] = ACTIONS(625),
    [anon_sym_PIPE_PIPE] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_GT_GT_GT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_LT_EQ] = ACTIONS(625),
    [anon_sym_EQ_EQ] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(625),
    [anon_sym_GT_EQ] = ACTIONS(625),
    [anon_sym_instanceof] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(625),
    [sym__automatic_semicolon] = ACTIONS(627),
  },
  [747] = {
    [anon_sym_DOT] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_COLON] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_RBRACK] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_QMARK] = ACTIONS(2276),
    [anon_sym_AMP_AMP] = ACTIONS(2276),
    [anon_sym_PIPE_PIPE] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2276),
    [anon_sym_LT_LT] = ACTIONS(2276),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2276),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_STAR_STAR] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2276),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2276),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2276),
    [anon_sym_GT_EQ] = ACTIONS(2276),
    [anon_sym_instanceof] = ACTIONS(2276),
    [anon_sym_PLUS_PLUS] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2276),
  },
  [748] = {
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_RPAREN] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(647),
    [anon_sym_COLON] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(649),
    [anon_sym_LT] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(647),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_QMARK] = ACTIONS(649),
    [anon_sym_AMP_AMP] = ACTIONS(649),
    [anon_sym_PIPE_PIPE] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_GT_GT_GT] = ACTIONS(649),
    [anon_sym_LT_LT] = ACTIONS(649),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(649),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [anon_sym_STAR_STAR] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(649),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(649),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(649),
    [anon_sym_instanceof] = ACTIONS(649),
    [anon_sym_PLUS_PLUS] = ACTIONS(649),
    [anon_sym_DASH_DASH] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(649),
  },
  [749] = {
    [anon_sym_DOT] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_AMP_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_GT_GT_GT] = ACTIONS(639),
    [anon_sym_LT_LT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(639),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_instanceof] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(639),
  },
  [750] = {
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_RPAREN] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_QMARK] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_GT_GT_GT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_STAR_STAR] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_instanceof] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(595),
  },
  [751] = {
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_RPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(573),
    [anon_sym_COLON] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_RBRACK] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_GT_GT_GT] = ACTIONS(575),
    [anon_sym_LT_LT] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(575),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(575),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_instanceof] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(575),
  },
  [752] = {
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(565),
    [anon_sym_else] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(565),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_while] = ACTIONS(559),
    [anon_sym_SEMI] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(563),
    [anon_sym_GT_GT_GT] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(563),
    [anon_sym_PERCENT] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(565),
    [anon_sym_instanceof] = ACTIONS(565),
    [anon_sym_PLUS_PLUS] = ACTIONS(565),
    [anon_sym_DASH_DASH] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym__automatic_semicolon] = ACTIONS(567),
  },
  [753] = {
    [anon_sym_DOT] = ACTIONS(525),
    [anon_sym_COMMA] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_RPAREN] = ACTIONS(525),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_COLON] = ACTIONS(525),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_RBRACK] = ACTIONS(525),
    [anon_sym_LT] = ACTIONS(523),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(525),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
  },
  [754] = {
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_LPAREN] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_RBRACK] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2254),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2256),
  },
  [755] = {
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_RPAREN] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_COLON] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_QMARK] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2194),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
  },
  [756] = {
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_COLON] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_QMARK] = ACTIONS(2268),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_PLUS_PLUS] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2268),
  },
  [757] = {
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(649),
    [anon_sym_else] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(647),
    [anon_sym_while] = ACTIONS(643),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_LT] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(647),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_QMARK] = ACTIONS(649),
    [anon_sym_AMP_AMP] = ACTIONS(649),
    [anon_sym_PIPE_PIPE] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_GT_GT_GT] = ACTIONS(649),
    [anon_sym_LT_LT] = ACTIONS(649),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(649),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [anon_sym_STAR_STAR] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(649),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(649),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(649),
    [anon_sym_instanceof] = ACTIONS(649),
    [anon_sym_PLUS_PLUS] = ACTIONS(649),
    [anon_sym_DASH_DASH] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(649),
    [sym__automatic_semicolon] = ACTIONS(651),
  },
  [758] = {
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_RBRACK] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_GT_GT_GT] = ACTIONS(673),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_instanceof] = ACTIONS(673),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(673),
  },
  [759] = {
    [anon_sym_DOT] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_else] = ACTIONS(633),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(633),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_AMP_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_GT_GT_GT] = ACTIONS(639),
    [anon_sym_LT_LT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(639),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_instanceof] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(639),
    [sym__automatic_semicolon] = ACTIONS(641),
  },
  [760] = {
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(535),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_RPAREN] = ACTIONS(535),
    [anon_sym_in] = ACTIONS(533),
    [anon_sym_COLON] = ACTIONS(535),
    [anon_sym_STAR] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(533),
    [anon_sym_GT] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_PIPE_PIPE] = ACTIONS(535),
    [anon_sym_GT_GT] = ACTIONS(533),
    [anon_sym_GT_GT_GT] = ACTIONS(535),
    [anon_sym_LT_LT] = ACTIONS(535),
    [anon_sym_AMP] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(535),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(533),
    [anon_sym_DASH] = ACTIONS(533),
    [anon_sym_PERCENT] = ACTIONS(535),
    [anon_sym_STAR_STAR] = ACTIONS(535),
    [anon_sym_LT_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ] = ACTIONS(533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ] = ACTIONS(533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(535),
    [anon_sym_GT_EQ] = ACTIONS(535),
    [anon_sym_instanceof] = ACTIONS(535),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(535),
  },
  [761] = {
    [anon_sym_DOT] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_in] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_RBRACK] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_QMARK] = ACTIONS(613),
    [anon_sym_AMP_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(611),
    [anon_sym_GT_GT_GT] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(613),
    [anon_sym_STAR_STAR] = ACTIONS(613),
    [anon_sym_LT_EQ] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(611),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(611),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(613),
    [anon_sym_GT_EQ] = ACTIONS(613),
    [anon_sym_instanceof] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(613),
  },
  [762] = {
    [anon_sym_DOT] = ACTIONS(681),
    [anon_sym_COMMA] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(681),
    [anon_sym_RPAREN] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(683),
    [anon_sym_COLON] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(681),
    [anon_sym_RBRACK] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_GT_GT_GT] = ACTIONS(681),
    [anon_sym_LT_LT] = ACTIONS(681),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_CARET] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(681),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_instanceof] = ACTIONS(681),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(681),
  },
  [763] = {
    [anon_sym_DOT] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_RPAREN] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(583),
    [anon_sym_COLON] = ACTIONS(585),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_AMP_AMP] = ACTIONS(585),
    [anon_sym_PIPE_PIPE] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_GT_GT_GT] = ACTIONS(585),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_PERCENT] = ACTIONS(585),
    [anon_sym_STAR_STAR] = ACTIONS(585),
    [anon_sym_LT_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ] = ACTIONS(583),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ] = ACTIONS(583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(585),
    [anon_sym_GT_EQ] = ACTIONS(585),
    [anon_sym_instanceof] = ACTIONS(585),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(585),
  },
  [764] = {
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_COMMA] = ACTIONS(599),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_RPAREN] = ACTIONS(599),
    [anon_sym_in] = ACTIONS(601),
    [anon_sym_COLON] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(601),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_RBRACK] = ACTIONS(599),
    [anon_sym_LT] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(601),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_AMP_AMP] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_GT_GT_GT] = ACTIONS(599),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_AMP] = ACTIONS(601),
    [anon_sym_CARET] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(599),
    [anon_sym_STAR_STAR] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(601),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_instanceof] = ACTIONS(599),
    [anon_sym_PLUS_PLUS] = ACTIONS(599),
    [anon_sym_DASH_DASH] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(599),
  },
  [765] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1347),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2469),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [766] = {
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_else] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_QMARK] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_GT_GT_GT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_STAR_STAR] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_instanceof] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym__automatic_semicolon] = ACTIONS(597),
  },
  [767] = {
    [anon_sym_DOT] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_else] = ACTIONS(579),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(583),
    [anon_sym_while] = ACTIONS(579),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_AMP_AMP] = ACTIONS(585),
    [anon_sym_PIPE_PIPE] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_GT_GT_GT] = ACTIONS(585),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_PERCENT] = ACTIONS(585),
    [anon_sym_STAR_STAR] = ACTIONS(585),
    [anon_sym_LT_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ] = ACTIONS(583),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ] = ACTIONS(583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(585),
    [anon_sym_GT_EQ] = ACTIONS(585),
    [anon_sym_instanceof] = ACTIONS(585),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(585),
    [sym__automatic_semicolon] = ACTIONS(587),
  },
  [768] = {
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(535),
    [anon_sym_else] = ACTIONS(529),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_in] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(529),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_STAR] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(533),
    [anon_sym_GT] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_PIPE_PIPE] = ACTIONS(535),
    [anon_sym_GT_GT] = ACTIONS(533),
    [anon_sym_GT_GT_GT] = ACTIONS(535),
    [anon_sym_LT_LT] = ACTIONS(535),
    [anon_sym_AMP] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(535),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(533),
    [anon_sym_DASH] = ACTIONS(533),
    [anon_sym_PERCENT] = ACTIONS(535),
    [anon_sym_STAR_STAR] = ACTIONS(535),
    [anon_sym_LT_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ] = ACTIONS(533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ] = ACTIONS(533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(535),
    [anon_sym_GT_EQ] = ACTIONS(535),
    [anon_sym_instanceof] = ACTIONS(535),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(535),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [769] = {
    [sym_arguments] = STATE(822),
    [anon_sym_DOT] = ACTIONS(1530),
    [anon_sym_COMMA] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_in] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_STAR] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1532),
    [anon_sym_SLASH] = ACTIONS(1532),
    [anon_sym_QMARK] = ACTIONS(1530),
    [anon_sym_AMP_AMP] = ACTIONS(1530),
    [anon_sym_PIPE_PIPE] = ACTIONS(1530),
    [anon_sym_GT_GT] = ACTIONS(1532),
    [anon_sym_GT_GT_GT] = ACTIONS(1530),
    [anon_sym_LT_LT] = ACTIONS(1530),
    [anon_sym_AMP] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1530),
    [anon_sym_PIPE] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_PERCENT] = ACTIONS(1530),
    [anon_sym_STAR_STAR] = ACTIONS(1530),
    [anon_sym_LT_EQ] = ACTIONS(1530),
    [anon_sym_EQ_EQ] = ACTIONS(1532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1530),
    [anon_sym_BANG_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1530),
    [anon_sym_GT_EQ] = ACTIONS(1530),
    [anon_sym_instanceof] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [sym__automatic_semicolon] = ACTIONS(1530),
  },
  [770] = {
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_LPAREN] = ACTIONS(2232),
    [anon_sym_RPAREN] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_COLON] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2232),
  },
  [771] = {
    [anon_sym_DOT] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_in] = ACTIONS(661),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_GT_GT_GT] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_PERCENT] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_instanceof] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(663),
  },
  [772] = {
    [anon_sym_DOT] = ACTIONS(525),
    [anon_sym_COMMA] = ACTIONS(525),
    [anon_sym_else] = ACTIONS(519),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_while] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(525),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_LT] = ACTIONS(523),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(525),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [773] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [aux_sym_array_repeat1] = STATE(1311),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [774] = {
    [anon_sym_DOT] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(509),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(509),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym__automatic_semicolon] = ACTIONS(2379),
  },
  [775] = {
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(573),
    [anon_sym_while] = ACTIONS(569),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_GT_GT_GT] = ACTIONS(575),
    [anon_sym_LT_LT] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(575),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(575),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_instanceof] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(575),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [776] = {
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_GT_GT_GT] = ACTIONS(673),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_instanceof] = ACTIONS(673),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [sym__automatic_semicolon] = ACTIONS(673),
  },
  [777] = {
    [anon_sym_DOT] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_QMARK] = ACTIONS(2276),
    [anon_sym_AMP_AMP] = ACTIONS(2276),
    [anon_sym_PIPE_PIPE] = ACTIONS(2276),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2276),
    [anon_sym_LT_LT] = ACTIONS(2276),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2276),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_STAR_STAR] = ACTIONS(2276),
    [anon_sym_LT_EQ] = ACTIONS(2276),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2276),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2276),
    [anon_sym_GT_EQ] = ACTIONS(2276),
    [anon_sym_instanceof] = ACTIONS(2276),
    [anon_sym_PLUS_PLUS] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2276),
    [sym__automatic_semicolon] = ACTIONS(2276),
  },
  [778] = {
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_in] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(2264),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2262),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2262),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_PLUS_PLUS] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2264),
    [sym__automatic_semicolon] = ACTIONS(2264),
  },
  [779] = {
    [anon_sym_DOT] = ACTIONS(2122),
    [anon_sym_COMMA] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_in] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_GT] = ACTIONS(2120),
    [anon_sym_SLASH] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(2122),
    [anon_sym_AMP_AMP] = ACTIONS(2122),
    [anon_sym_PIPE_PIPE] = ACTIONS(2122),
    [anon_sym_GT_GT] = ACTIONS(2120),
    [anon_sym_GT_GT_GT] = ACTIONS(2122),
    [anon_sym_LT_LT] = ACTIONS(2122),
    [anon_sym_AMP] = ACTIONS(2120),
    [anon_sym_CARET] = ACTIONS(2122),
    [anon_sym_PIPE] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2120),
    [anon_sym_PERCENT] = ACTIONS(2122),
    [anon_sym_STAR_STAR] = ACTIONS(2122),
    [anon_sym_LT_EQ] = ACTIONS(2122),
    [anon_sym_EQ_EQ] = ACTIONS(2120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2122),
    [anon_sym_BANG_EQ] = ACTIONS(2120),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2122),
    [anon_sym_GT_EQ] = ACTIONS(2122),
    [anon_sym_instanceof] = ACTIONS(2122),
    [anon_sym_PLUS_PLUS] = ACTIONS(2122),
    [anon_sym_DASH_DASH] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2122),
    [sym__automatic_semicolon] = ACTIONS(2122),
  },
  [780] = {
    [anon_sym_DOT] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_in] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_QMARK] = ACTIONS(2102),
    [anon_sym_AMP_AMP] = ACTIONS(2102),
    [anon_sym_PIPE_PIPE] = ACTIONS(2102),
    [anon_sym_GT_GT] = ACTIONS(2100),
    [anon_sym_GT_GT_GT] = ACTIONS(2102),
    [anon_sym_LT_LT] = ACTIONS(2102),
    [anon_sym_AMP] = ACTIONS(2100),
    [anon_sym_CARET] = ACTIONS(2102),
    [anon_sym_PIPE] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_STAR_STAR] = ACTIONS(2102),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_EQ_EQ] = ACTIONS(2100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2102),
    [anon_sym_BANG_EQ] = ACTIONS(2100),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_instanceof] = ACTIONS(2102),
    [anon_sym_PLUS_PLUS] = ACTIONS(2102),
    [anon_sym_DASH_DASH] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2102),
    [sym__automatic_semicolon] = ACTIONS(2102),
  },
  [781] = {
    [anon_sym_DOT] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_in] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2234),
    [anon_sym_SLASH] = ACTIONS(2234),
    [anon_sym_QMARK] = ACTIONS(2236),
    [anon_sym_AMP_AMP] = ACTIONS(2236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2236),
    [anon_sym_GT_GT] = ACTIONS(2234),
    [anon_sym_GT_GT_GT] = ACTIONS(2236),
    [anon_sym_LT_LT] = ACTIONS(2236),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_CARET] = ACTIONS(2236),
    [anon_sym_PIPE] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_PERCENT] = ACTIONS(2236),
    [anon_sym_STAR_STAR] = ACTIONS(2236),
    [anon_sym_LT_EQ] = ACTIONS(2236),
    [anon_sym_EQ_EQ] = ACTIONS(2234),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2236),
    [anon_sym_BANG_EQ] = ACTIONS(2234),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2236),
    [anon_sym_GT_EQ] = ACTIONS(2236),
    [anon_sym_instanceof] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2236),
    [sym__automatic_semicolon] = ACTIONS(2236),
  },
  [782] = {
    [anon_sym_DOT] = ACTIONS(2240),
    [anon_sym_COMMA] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_LPAREN] = ACTIONS(2240),
    [anon_sym_in] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_QMARK] = ACTIONS(2240),
    [anon_sym_AMP_AMP] = ACTIONS(2240),
    [anon_sym_PIPE_PIPE] = ACTIONS(2240),
    [anon_sym_GT_GT] = ACTIONS(2238),
    [anon_sym_GT_GT_GT] = ACTIONS(2240),
    [anon_sym_LT_LT] = ACTIONS(2240),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_CARET] = ACTIONS(2240),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_STAR_STAR] = ACTIONS(2240),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2238),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2238),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_instanceof] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2240),
    [sym__automatic_semicolon] = ACTIONS(2240),
  },
  [783] = {
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_in] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_QMARK] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2242),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2244),
    [sym__automatic_semicolon] = ACTIONS(2244),
  },
  [784] = {
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym__automatic_semicolon] = ACTIONS(2248),
  },
  [785] = {
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_in] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_QMARK] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [anon_sym_GT_GT] = ACTIONS(2246),
    [anon_sym_GT_GT_GT] = ACTIONS(2248),
    [anon_sym_LT_LT] = ACTIONS(2248),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2248),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_STAR_STAR] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_EQ_EQ] = ACTIONS(2246),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2246),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_instanceof] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2248),
    [sym__automatic_semicolon] = ACTIONS(2248),
  },
  [786] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2473),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [787] = {
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_in] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_QMARK] = ACTIONS(2252),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2250),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2250),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2252),
    [sym__automatic_semicolon] = ACTIONS(2252),
  },
  [788] = {
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_in] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1576),
    [anon_sym_PIPE_PIPE] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_GT_GT_GT] = ACTIONS(1576),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1576),
    [anon_sym_instanceof] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [sym__automatic_semicolon] = ACTIONS(1576),
  },
  [789] = {
    [anon_sym_DOT] = ACTIONS(2110),
    [anon_sym_COMMA] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2110),
    [anon_sym_in] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_GT] = ACTIONS(2108),
    [anon_sym_SLASH] = ACTIONS(2108),
    [anon_sym_QMARK] = ACTIONS(2110),
    [anon_sym_AMP_AMP] = ACTIONS(2110),
    [anon_sym_PIPE_PIPE] = ACTIONS(2110),
    [anon_sym_GT_GT] = ACTIONS(2108),
    [anon_sym_GT_GT_GT] = ACTIONS(2110),
    [anon_sym_LT_LT] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2108),
    [anon_sym_CARET] = ACTIONS(2110),
    [anon_sym_PIPE] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_PERCENT] = ACTIONS(2110),
    [anon_sym_STAR_STAR] = ACTIONS(2110),
    [anon_sym_LT_EQ] = ACTIONS(2110),
    [anon_sym_EQ_EQ] = ACTIONS(2108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2110),
    [anon_sym_BANG_EQ] = ACTIONS(2108),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2110),
    [anon_sym_GT_EQ] = ACTIONS(2110),
    [anon_sym_instanceof] = ACTIONS(2110),
    [anon_sym_PLUS_PLUS] = ACTIONS(2110),
    [anon_sym_DASH_DASH] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2110),
    [sym__automatic_semicolon] = ACTIONS(2110),
  },
  [790] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [791] = {
    [anon_sym_DOT] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_GT] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2270),
    [anon_sym_QMARK] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2272),
    [anon_sym_GT_GT] = ACTIONS(2270),
    [anon_sym_GT_GT_GT] = ACTIONS(2272),
    [anon_sym_LT_LT] = ACTIONS(2272),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_CARET] = ACTIONS(2272),
    [anon_sym_PIPE] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2272),
    [anon_sym_STAR_STAR] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_EQ_EQ] = ACTIONS(2270),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2272),
    [anon_sym_BANG_EQ] = ACTIONS(2270),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2272),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_instanceof] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2272),
  },
  [792] = {
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_in] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_QMARK] = ACTIONS(2196),
    [anon_sym_AMP_AMP] = ACTIONS(2196),
    [anon_sym_PIPE_PIPE] = ACTIONS(2196),
    [anon_sym_GT_GT] = ACTIONS(2194),
    [anon_sym_GT_GT_GT] = ACTIONS(2196),
    [anon_sym_LT_LT] = ACTIONS(2196),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_CARET] = ACTIONS(2196),
    [anon_sym_PIPE] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_STAR_STAR] = ACTIONS(2196),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_EQ_EQ] = ACTIONS(2194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2196),
    [anon_sym_BANG_EQ] = ACTIONS(2194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_instanceof] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2196),
    [sym__automatic_semicolon] = ACTIONS(2196),
  },
  [793] = {
    [anon_sym_DOT] = ACTIONS(2098),
    [anon_sym_COMMA] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2098),
    [anon_sym_in] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_GT] = ACTIONS(2096),
    [anon_sym_SLASH] = ACTIONS(2096),
    [anon_sym_QMARK] = ACTIONS(2098),
    [anon_sym_AMP_AMP] = ACTIONS(2098),
    [anon_sym_PIPE_PIPE] = ACTIONS(2098),
    [anon_sym_GT_GT] = ACTIONS(2096),
    [anon_sym_GT_GT_GT] = ACTIONS(2098),
    [anon_sym_LT_LT] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2098),
    [anon_sym_PIPE] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_STAR_STAR] = ACTIONS(2098),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_EQ_EQ] = ACTIONS(2096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2098),
    [anon_sym_BANG_EQ] = ACTIONS(2096),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_instanceof] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2098),
    [anon_sym_DASH_DASH] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2098),
    [sym__automatic_semicolon] = ACTIONS(2098),
  },
  [794] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [795] = {
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AMP_AMP] = ACTIONS(2188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2188),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2188),
    [anon_sym_LT_LT] = ACTIONS(2188),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2188),
    [anon_sym_STAR_STAR] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2188),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2188),
    [anon_sym_GT_EQ] = ACTIONS(2188),
    [anon_sym_instanceof] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2188),
    [sym__automatic_semicolon] = ACTIONS(2188),
  },
  [796] = {
    [anon_sym_DOT] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_QMARK] = ACTIONS(2268),
    [anon_sym_AMP_AMP] = ACTIONS(2268),
    [anon_sym_PIPE_PIPE] = ACTIONS(2268),
    [anon_sym_GT_GT] = ACTIONS(2266),
    [anon_sym_GT_GT_GT] = ACTIONS(2268),
    [anon_sym_LT_LT] = ACTIONS(2268),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_PIPE] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_STAR_STAR] = ACTIONS(2268),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_EQ_EQ] = ACTIONS(2266),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2268),
    [anon_sym_BANG_EQ] = ACTIONS(2266),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_instanceof] = ACTIONS(2268),
    [anon_sym_PLUS_PLUS] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2268),
    [sym__automatic_semicolon] = ACTIONS(2268),
  },
  [797] = {
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1534),
    [anon_sym_in] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1534),
    [anon_sym_AMP_AMP] = ACTIONS(1534),
    [anon_sym_PIPE_PIPE] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1536),
    [anon_sym_GT_GT_GT] = ACTIONS(1534),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1534),
    [anon_sym_instanceof] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [sym__automatic_semicolon] = ACTIONS(1534),
  },
  [798] = {
    [anon_sym_DOT] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_in] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_QMARK] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_GT_GT_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1518),
    [anon_sym_STAR_STAR] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_instanceof] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym__automatic_semicolon] = ACTIONS(1518),
  },
  [799] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [800] = {
    [anon_sym_DOT] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2212),
    [anon_sym_PIPE_PIPE] = ACTIONS(2212),
    [anon_sym_GT_GT] = ACTIONS(2210),
    [anon_sym_GT_GT_GT] = ACTIONS(2212),
    [anon_sym_LT_LT] = ACTIONS(2212),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_CARET] = ACTIONS(2212),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_STAR_STAR] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_EQ_EQ] = ACTIONS(2210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2212),
    [anon_sym_BANG_EQ] = ACTIONS(2210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_instanceof] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2212),
  },
  [801] = {
    [anon_sym_DOT] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_AMP_AMP] = ACTIONS(585),
    [anon_sym_PIPE_PIPE] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_GT_GT_GT] = ACTIONS(585),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_CARET] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_PERCENT] = ACTIONS(585),
    [anon_sym_STAR_STAR] = ACTIONS(585),
    [anon_sym_LT_EQ] = ACTIONS(585),
    [anon_sym_EQ_EQ] = ACTIONS(583),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(585),
    [anon_sym_BANG_EQ] = ACTIONS(583),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(585),
    [anon_sym_GT_EQ] = ACTIONS(585),
    [anon_sym_instanceof] = ACTIONS(585),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(585),
    [sym__automatic_semicolon] = ACTIONS(585),
  },
  [802] = {
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(535),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_in] = ACTIONS(533),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_STAR] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(533),
    [anon_sym_GT] = ACTIONS(533),
    [anon_sym_SLASH] = ACTIONS(533),
    [anon_sym_QMARK] = ACTIONS(535),
    [anon_sym_AMP_AMP] = ACTIONS(535),
    [anon_sym_PIPE_PIPE] = ACTIONS(535),
    [anon_sym_GT_GT] = ACTIONS(533),
    [anon_sym_GT_GT_GT] = ACTIONS(535),
    [anon_sym_LT_LT] = ACTIONS(535),
    [anon_sym_AMP] = ACTIONS(533),
    [anon_sym_CARET] = ACTIONS(535),
    [anon_sym_PIPE] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(533),
    [anon_sym_DASH] = ACTIONS(533),
    [anon_sym_PERCENT] = ACTIONS(535),
    [anon_sym_STAR_STAR] = ACTIONS(535),
    [anon_sym_LT_EQ] = ACTIONS(535),
    [anon_sym_EQ_EQ] = ACTIONS(533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(535),
    [anon_sym_BANG_EQ] = ACTIONS(533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(535),
    [anon_sym_GT_EQ] = ACTIONS(535),
    [anon_sym_instanceof] = ACTIONS(535),
    [anon_sym_PLUS_PLUS] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(535),
    [sym__automatic_semicolon] = ACTIONS(535),
  },
  [803] = {
    [anon_sym_DOT] = ACTIONS(525),
    [anon_sym_COMMA] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_in] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(525),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_LT] = ACTIONS(523),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(525),
    [anon_sym_AMP_AMP] = ACTIONS(525),
    [anon_sym_PIPE_PIPE] = ACTIONS(525),
    [anon_sym_GT_GT] = ACTIONS(523),
    [anon_sym_GT_GT_GT] = ACTIONS(525),
    [anon_sym_LT_LT] = ACTIONS(525),
    [anon_sym_AMP] = ACTIONS(523),
    [anon_sym_CARET] = ACTIONS(525),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(525),
    [anon_sym_STAR_STAR] = ACTIONS(525),
    [anon_sym_LT_EQ] = ACTIONS(525),
    [anon_sym_EQ_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(525),
    [anon_sym_BANG_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(525),
    [anon_sym_GT_EQ] = ACTIONS(525),
    [anon_sym_instanceof] = ACTIONS(525),
    [anon_sym_PLUS_PLUS] = ACTIONS(525),
    [anon_sym_DASH_DASH] = ACTIONS(525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(525),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [804] = {
    [anon_sym_DOT] = ACTIONS(575),
    [anon_sym_COMMA] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(573),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(573),
    [anon_sym_GT] = ACTIONS(573),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_AMP_AMP] = ACTIONS(575),
    [anon_sym_PIPE_PIPE] = ACTIONS(575),
    [anon_sym_GT_GT] = ACTIONS(573),
    [anon_sym_GT_GT_GT] = ACTIONS(575),
    [anon_sym_LT_LT] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(573),
    [anon_sym_CARET] = ACTIONS(575),
    [anon_sym_PIPE] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_PERCENT] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(575),
    [anon_sym_LT_EQ] = ACTIONS(575),
    [anon_sym_EQ_EQ] = ACTIONS(573),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(575),
    [anon_sym_BANG_EQ] = ACTIONS(573),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(575),
    [anon_sym_GT_EQ] = ACTIONS(575),
    [anon_sym_instanceof] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(575),
    [sym__automatic_semicolon] = ACTIONS(575),
  },
  [805] = {
    [anon_sym_DOT] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_in] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_QMARK] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_GT_GT_GT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_STAR_STAR] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_instanceof] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym__automatic_semicolon] = ACTIONS(595),
  },
  [806] = {
    [anon_sym_DOT] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_in] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(639),
    [anon_sym_AMP_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(639),
    [anon_sym_GT_GT] = ACTIONS(637),
    [anon_sym_GT_GT_GT] = ACTIONS(639),
    [anon_sym_LT_LT] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_PERCENT] = ACTIONS(639),
    [anon_sym_STAR_STAR] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(639),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(639),
    [anon_sym_instanceof] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(639),
    [sym__automatic_semicolon] = ACTIONS(639),
  },
  [807] = {
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(647),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_LT] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(647),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_QMARK] = ACTIONS(649),
    [anon_sym_AMP_AMP] = ACTIONS(649),
    [anon_sym_PIPE_PIPE] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_GT_GT_GT] = ACTIONS(649),
    [anon_sym_LT_LT] = ACTIONS(649),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(649),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [anon_sym_STAR_STAR] = ACTIONS(649),
    [anon_sym_LT_EQ] = ACTIONS(649),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(649),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(649),
    [anon_sym_GT_EQ] = ACTIONS(649),
    [anon_sym_instanceof] = ACTIONS(649),
    [anon_sym_PLUS_PLUS] = ACTIONS(649),
    [anon_sym_DASH_DASH] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(649),
    [sym__automatic_semicolon] = ACTIONS(649),
  },
  [808] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [809] = {
    [anon_sym_DOT] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2214),
    [anon_sym_QMARK] = ACTIONS(2216),
    [anon_sym_AMP_AMP] = ACTIONS(2216),
    [anon_sym_PIPE_PIPE] = ACTIONS(2216),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2216),
    [anon_sym_LT_LT] = ACTIONS(2216),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2216),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_STAR_STAR] = ACTIONS(2216),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2216),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_instanceof] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2216),
    [sym__automatic_semicolon] = ACTIONS(2216),
  },
  [810] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [811] = {
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2218),
    [anon_sym_QMARK] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2218),
    [anon_sym_GT_GT_GT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_STAR_STAR] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2220),
    [anon_sym_BANG_EQ] = ACTIONS(2218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2220),
    [anon_sym_instanceof] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2220),
  },
  [812] = {
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [anon_sym_LPAREN] = ACTIONS(2232),
    [anon_sym_in] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_QMARK] = ACTIONS(2232),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2230),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2230),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2230),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2232),
    [sym__automatic_semicolon] = ACTIONS(2232),
  },
  [813] = {
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_in] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_GT] = ACTIONS(1562),
    [anon_sym_SLASH] = ACTIONS(1562),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_AMP_AMP] = ACTIONS(1560),
    [anon_sym_PIPE_PIPE] = ACTIONS(1560),
    [anon_sym_GT_GT] = ACTIONS(1562),
    [anon_sym_GT_GT_GT] = ACTIONS(1560),
    [anon_sym_LT_LT] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1562),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_STAR_STAR] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(1560),
    [anon_sym_EQ_EQ] = ACTIONS(1562),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1560),
    [anon_sym_BANG_EQ] = ACTIONS(1562),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1560),
    [anon_sym_GT_EQ] = ACTIONS(1560),
    [anon_sym_instanceof] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [sym__automatic_semicolon] = ACTIONS(1560),
  },
  [814] = {
    [anon_sym_DOT] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [anon_sym_LPAREN] = ACTIONS(2256),
    [anon_sym_in] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_QMARK] = ACTIONS(2256),
    [anon_sym_AMP_AMP] = ACTIONS(2256),
    [anon_sym_PIPE_PIPE] = ACTIONS(2256),
    [anon_sym_GT_GT] = ACTIONS(2254),
    [anon_sym_GT_GT_GT] = ACTIONS(2256),
    [anon_sym_LT_LT] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_CARET] = ACTIONS(2256),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_STAR_STAR] = ACTIONS(2256),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_EQ_EQ] = ACTIONS(2254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2256),
    [anon_sym_BANG_EQ] = ACTIONS(2254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_instanceof] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2256),
    [sym__automatic_semicolon] = ACTIONS(2256),
  },
  [815] = {
    [anon_sym_DOT] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2222),
    [anon_sym_QMARK] = ACTIONS(2224),
    [anon_sym_AMP_AMP] = ACTIONS(2224),
    [anon_sym_PIPE_PIPE] = ACTIONS(2224),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2224),
    [anon_sym_LT_LT] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2224),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_STAR_STAR] = ACTIONS(2224),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2224),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2224),
    [anon_sym_instanceof] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2224),
    [sym__automatic_semicolon] = ACTIONS(2224),
  },
  [816] = {
    [anon_sym_DOT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(565),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_LPAREN] = ACTIONS(565),
    [anon_sym_in] = ACTIONS(563),
    [anon_sym_SEMI] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(563),
    [anon_sym_SLASH] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(565),
    [anon_sym_AMP_AMP] = ACTIONS(565),
    [anon_sym_PIPE_PIPE] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(563),
    [anon_sym_GT_GT_GT] = ACTIONS(565),
    [anon_sym_LT_LT] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(563),
    [anon_sym_CARET] = ACTIONS(565),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(563),
    [anon_sym_PERCENT] = ACTIONS(565),
    [anon_sym_STAR_STAR] = ACTIONS(565),
    [anon_sym_LT_EQ] = ACTIONS(565),
    [anon_sym_EQ_EQ] = ACTIONS(563),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(565),
    [anon_sym_BANG_EQ] = ACTIONS(563),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(565),
    [anon_sym_GT_EQ] = ACTIONS(565),
    [anon_sym_instanceof] = ACTIONS(565),
    [anon_sym_PLUS_PLUS] = ACTIONS(565),
    [anon_sym_DASH_DASH] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(565),
    [sym__automatic_semicolon] = ACTIONS(565),
  },
  [817] = {
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_in] = ACTIONS(623),
    [anon_sym_SEMI] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_QMARK] = ACTIONS(625),
    [anon_sym_AMP_AMP] = ACTIONS(625),
    [anon_sym_PIPE_PIPE] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_GT_GT_GT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_LT_EQ] = ACTIONS(625),
    [anon_sym_EQ_EQ] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(625),
    [anon_sym_GT_EQ] = ACTIONS(625),
    [anon_sym_instanceof] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(625),
    [sym__automatic_semicolon] = ACTIONS(625),
  },
  [818] = {
    [anon_sym_DOT] = ACTIONS(545),
    [anon_sym_COMMA] = ACTIONS(545),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_STAR] = ACTIONS(543),
    [anon_sym_LBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(543),
    [anon_sym_GT] = ACTIONS(543),
    [anon_sym_SLASH] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(545),
    [anon_sym_AMP_AMP] = ACTIONS(545),
    [anon_sym_PIPE_PIPE] = ACTIONS(545),
    [anon_sym_GT_GT] = ACTIONS(543),
    [anon_sym_GT_GT_GT] = ACTIONS(545),
    [anon_sym_LT_LT] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(543),
    [anon_sym_CARET] = ACTIONS(545),
    [anon_sym_PIPE] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(543),
    [anon_sym_DASH] = ACTIONS(543),
    [anon_sym_PERCENT] = ACTIONS(545),
    [anon_sym_STAR_STAR] = ACTIONS(545),
    [anon_sym_LT_EQ] = ACTIONS(545),
    [anon_sym_EQ_EQ] = ACTIONS(543),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(545),
    [anon_sym_BANG_EQ] = ACTIONS(543),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(545),
    [anon_sym_GT_EQ] = ACTIONS(545),
    [anon_sym_instanceof] = ACTIONS(545),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(545),
    [sym__automatic_semicolon] = ACTIONS(545),
  },
  [819] = {
    [anon_sym_DOT] = ACTIONS(555),
    [anon_sym_COMMA] = ACTIONS(555),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(555),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_SEMI] = ACTIONS(555),
    [anon_sym_STAR] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(555),
    [anon_sym_LT] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(553),
    [anon_sym_SLASH] = ACTIONS(553),
    [anon_sym_QMARK] = ACTIONS(555),
    [anon_sym_AMP_AMP] = ACTIONS(555),
    [anon_sym_PIPE_PIPE] = ACTIONS(555),
    [anon_sym_GT_GT] = ACTIONS(553),
    [anon_sym_GT_GT_GT] = ACTIONS(555),
    [anon_sym_LT_LT] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(553),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_PIPE] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(555),
    [anon_sym_LT_EQ] = ACTIONS(555),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(555),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(555),
    [anon_sym_GT_EQ] = ACTIONS(555),
    [anon_sym_instanceof] = ACTIONS(555),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(555),
    [sym__automatic_semicolon] = ACTIONS(555),
  },
  [820] = {
    [anon_sym_DOT] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_in] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_GT_GT_GT] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_PERCENT] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_instanceof] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(663),
    [sym__automatic_semicolon] = ACTIONS(663),
  },
  [821] = {
    [anon_sym_DOT] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2226),
    [anon_sym_SLASH] = ACTIONS(2226),
    [anon_sym_QMARK] = ACTIONS(2228),
    [anon_sym_AMP_AMP] = ACTIONS(2228),
    [anon_sym_PIPE_PIPE] = ACTIONS(2228),
    [anon_sym_GT_GT] = ACTIONS(2226),
    [anon_sym_GT_GT_GT] = ACTIONS(2228),
    [anon_sym_LT_LT] = ACTIONS(2228),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_CARET] = ACTIONS(2228),
    [anon_sym_PIPE] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_STAR_STAR] = ACTIONS(2228),
    [anon_sym_LT_EQ] = ACTIONS(2228),
    [anon_sym_EQ_EQ] = ACTIONS(2226),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2228),
    [anon_sym_BANG_EQ] = ACTIONS(2226),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2228),
    [anon_sym_GT_EQ] = ACTIONS(2228),
    [anon_sym_instanceof] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2228),
    [sym__automatic_semicolon] = ACTIONS(2228),
  },
  [822] = {
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_in] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_GT_GT_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_STAR_STAR] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_instanceof] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [sym__automatic_semicolon] = ACTIONS(1572),
  },
  [823] = {
    [anon_sym_DOT] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_QMARK] = ACTIONS(2260),
    [anon_sym_AMP_AMP] = ACTIONS(2260),
    [anon_sym_PIPE_PIPE] = ACTIONS(2260),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2260),
    [anon_sym_LT_LT] = ACTIONS(2260),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_STAR_STAR] = ACTIONS(2260),
    [anon_sym_LT_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2260),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_instanceof] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2260),
    [sym__automatic_semicolon] = ACTIONS(2260),
  },
  [824] = {
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_in] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_GT_GT_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_STAR_STAR] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_instanceof] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [sym__automatic_semicolon] = ACTIONS(1522),
  },
  [825] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [826] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [827] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2381),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [828] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [829] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [830] = {
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_in] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1540),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_AMP_AMP] = ACTIONS(1538),
    [anon_sym_PIPE_PIPE] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1540),
    [anon_sym_GT_GT_GT] = ACTIONS(1538),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1538),
    [anon_sym_instanceof] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [sym__automatic_semicolon] = ACTIONS(1538),
  },
  [831] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [832] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2493),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [833] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1296),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2498),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [834] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1332),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2503),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [835] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [836] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [837] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [838] = {
    [anon_sym_DOT] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2202),
    [anon_sym_GT] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(2202),
    [anon_sym_QMARK] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2204),
    [anon_sym_PIPE_PIPE] = ACTIONS(2204),
    [anon_sym_GT_GT] = ACTIONS(2202),
    [anon_sym_GT_GT_GT] = ACTIONS(2204),
    [anon_sym_LT_LT] = ACTIONS(2204),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_PERCENT] = ACTIONS(2204),
    [anon_sym_STAR_STAR] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2204),
    [anon_sym_EQ_EQ] = ACTIONS(2202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2204),
    [anon_sym_GT_EQ] = ACTIONS(2204),
    [anon_sym_instanceof] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2204),
  },
  [839] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2517),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [840] = {
    [anon_sym_DOT] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_SLASH] = ACTIONS(2206),
    [anon_sym_QMARK] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2208),
    [anon_sym_LT_LT] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2208),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_STAR_STAR] = ACTIONS(2208),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2208),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_instanceof] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2208),
    [sym__automatic_semicolon] = ACTIONS(2208),
  },
  [841] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2519),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [842] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [843] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [844] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2523),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [845] = {
    [anon_sym_DOT] = ACTIONS(2086),
    [anon_sym_COMMA] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2086),
    [anon_sym_in] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_GT] = ACTIONS(2084),
    [anon_sym_SLASH] = ACTIONS(2084),
    [anon_sym_QMARK] = ACTIONS(2086),
    [anon_sym_AMP_AMP] = ACTIONS(2086),
    [anon_sym_PIPE_PIPE] = ACTIONS(2086),
    [anon_sym_GT_GT] = ACTIONS(2084),
    [anon_sym_GT_GT_GT] = ACTIONS(2086),
    [anon_sym_LT_LT] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2086),
    [anon_sym_PIPE] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_PERCENT] = ACTIONS(2086),
    [anon_sym_STAR_STAR] = ACTIONS(2086),
    [anon_sym_LT_EQ] = ACTIONS(2086),
    [anon_sym_EQ_EQ] = ACTIONS(2084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2084),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2086),
    [anon_sym_GT_EQ] = ACTIONS(2086),
    [anon_sym_instanceof] = ACTIONS(2086),
    [anon_sym_PLUS_PLUS] = ACTIONS(2086),
    [anon_sym_DASH_DASH] = ACTIONS(2086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2086),
    [sym__automatic_semicolon] = ACTIONS(2086),
  },
  [846] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [847] = {
    [anon_sym_DOT] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_in] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_GT] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_QMARK] = ACTIONS(1504),
    [anon_sym_AMP_AMP] = ACTIONS(1504),
    [anon_sym_PIPE_PIPE] = ACTIONS(1504),
    [anon_sym_GT_GT] = ACTIONS(1506),
    [anon_sym_GT_GT_GT] = ACTIONS(1504),
    [anon_sym_LT_LT] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_PIPE] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1504),
    [anon_sym_STAR_STAR] = ACTIONS(1504),
    [anon_sym_LT_EQ] = ACTIONS(1504),
    [anon_sym_EQ_EQ] = ACTIONS(1506),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1504),
    [anon_sym_BANG_EQ] = ACTIONS(1506),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1504),
    [anon_sym_GT_EQ] = ACTIONS(1504),
    [anon_sym_instanceof] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym__automatic_semicolon] = ACTIONS(1504),
  },
  [848] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2525),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [849] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [850] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2529),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [851] = {
    [anon_sym_DOT] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_in] = ACTIONS(611),
    [anon_sym_SEMI] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_QMARK] = ACTIONS(613),
    [anon_sym_AMP_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(611),
    [anon_sym_GT_GT_GT] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_PERCENT] = ACTIONS(613),
    [anon_sym_STAR_STAR] = ACTIONS(613),
    [anon_sym_LT_EQ] = ACTIONS(613),
    [anon_sym_EQ_EQ] = ACTIONS(611),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(611),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(613),
    [anon_sym_GT_EQ] = ACTIONS(613),
    [anon_sym_instanceof] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(613),
    [sym__automatic_semicolon] = ACTIONS(613),
  },
  [852] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2531),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [853] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [854] = {
    [anon_sym_DOT] = ACTIONS(2090),
    [anon_sym_COMMA] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2090),
    [anon_sym_in] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_GT] = ACTIONS(2088),
    [anon_sym_SLASH] = ACTIONS(2088),
    [anon_sym_QMARK] = ACTIONS(2090),
    [anon_sym_AMP_AMP] = ACTIONS(2090),
    [anon_sym_PIPE_PIPE] = ACTIONS(2090),
    [anon_sym_GT_GT] = ACTIONS(2088),
    [anon_sym_GT_GT_GT] = ACTIONS(2090),
    [anon_sym_LT_LT] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(2088),
    [anon_sym_CARET] = ACTIONS(2090),
    [anon_sym_PIPE] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2088),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_STAR_STAR] = ACTIONS(2090),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_EQ_EQ] = ACTIONS(2088),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2090),
    [anon_sym_BANG_EQ] = ACTIONS(2088),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_instanceof] = ACTIONS(2090),
    [anon_sym_PLUS_PLUS] = ACTIONS(2090),
    [anon_sym_DASH_DASH] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2090),
    [sym__automatic_semicolon] = ACTIONS(2090),
  },
  [855] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(2535),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
    [sym__automatic_semicolon] = ACTIONS(1587),
  },
  [856] = {
    [anon_sym_DOT] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_QMARK] = ACTIONS(2192),
    [anon_sym_AMP_AMP] = ACTIONS(2192),
    [anon_sym_PIPE_PIPE] = ACTIONS(2192),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2192),
    [anon_sym_LT_LT] = ACTIONS(2192),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_STAR_STAR] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_instanceof] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2192),
    [sym__automatic_semicolon] = ACTIONS(2192),
  },
  [857] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [858] = {
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_QMARK] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2198),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2200),
  },
  [859] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2542),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [860] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [861] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [862] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [863] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2551),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [864] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2553),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [865] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [866] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2557),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [867] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(2559),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_RPAREN] = ACTIONS(2559),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [868] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [869] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [870] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_of] = ACTIONS(2459),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [871] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2411),
    [anon_sym_of] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [872] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2400),
    [anon_sym_of] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [873] = {
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(2451),
    [anon_sym_of] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1587),
  },
  [874] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [875] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_QMARK] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2314),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_GT_GT] = ACTIONS(2308),
    [anon_sym_GT_GT_GT] = ACTIONS(2318),
    [anon_sym_LT_LT] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_PERCENT] = ACTIONS(2318),
    [anon_sym_STAR_STAR] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2330),
    [anon_sym_DASH_DASH] = ACTIONS(2330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [876] = {
    [sym_object] = STATE(1582),
    [sym_assignment_pattern] = STATE(1379),
    [sym_array] = STATE(1584),
    [sym_spread_element] = STATE(1379),
    [sym_string] = STATE(1367),
    [sym_decorator] = STATE(970),
    [sym_method_definition] = STATE(1379),
    [sym_pair] = STATE(1379),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_object_repeat1] = STATE(1329),
    [aux_sym_class_repeat1] = STATE(928),
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
  },
  [877] = {
    [sym_object] = STATE(1582),
    [sym_assignment_pattern] = STATE(1368),
    [sym_array] = STATE(1584),
    [sym_spread_element] = STATE(1368),
    [sym_string] = STATE(1367),
    [sym_decorator] = STATE(970),
    [sym_method_definition] = STATE(1368),
    [sym_pair] = STATE(1368),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_object_repeat1] = STATE(1366),
    [aux_sym_class_repeat1] = STATE(928),
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
  },
  [878] = {
    [sym_object] = STATE(1582),
    [sym_assignment_pattern] = STATE(1287),
    [sym_array] = STATE(1584),
    [sym_spread_element] = STATE(1287),
    [sym_string] = STATE(1367),
    [sym_decorator] = STATE(970),
    [sym_method_definition] = STATE(1287),
    [sym_pair] = STATE(1287),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_object_repeat1] = STATE(1289),
    [aux_sym_class_repeat1] = STATE(928),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_get] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2596),
  },
  [879] = {
    [sym_object] = STATE(1582),
    [sym_assignment_pattern] = STATE(1572),
    [sym_array] = STATE(1584),
    [sym_spread_element] = STATE(1572),
    [sym_string] = STATE(1367),
    [sym_decorator] = STATE(970),
    [sym_method_definition] = STATE(1572),
    [sym_pair] = STATE(1572),
    [sym__property_name] = STATE(1367),
    [sym_computed_property_name] = STATE(1367),
    [aux_sym_class_repeat1] = STATE(928),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_get] = ACTIONS(2606),
    [anon_sym_set] = ACTIONS(2606),
  },
  [880] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [881] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(885),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [882] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [883] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [884] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [885] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [886] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_async] = ACTIONS(2643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_get] = ACTIONS(2649),
    [anon_sym_set] = ACTIONS(2649),
    [anon_sym_constructor] = ACTIONS(2652),
    [anon_sym_id] = ACTIONS(2655),
    [anon_sym_event] = ACTIONS(2658),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_on] = ACTIONS(2664),
  },
  [887] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [888] = {
    [sym_constructor_definition] = STATE(1015),
    [sym_new_component_expression] = STATE(1015),
    [sym_new_tagged_component_expression] = STATE(1015),
    [sym_new_tripple_tagged_component_expression] = STATE(1015),
    [sym_property_declaration] = STATE(1015),
    [sym_static_property_declaration] = STATE(1015),
    [sym_identifier_property_assignment] = STATE(1015),
    [sym_property_assignment_name] = STATE(1619),
    [sym_property_assignment] = STATE(1015),
    [sym_property_accessor_declaration] = STATE(1015),
    [sym_event_declaration] = STATE(1015),
    [sym_typed_method_declaration] = STATE(1015),
    [sym_listener_declaration] = STATE(1015),
    [aux_sym_component_body_repeat1] = STATE(886),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_async] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2624),
    [anon_sym_on] = ACTIONS(2626),
  },
  [889] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(897),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [890] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2699),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2705),
    [anon_sym_AT] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_get] = ACTIONS(2714),
    [anon_sym_set] = ACTIONS(2714),
  },
  [891] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [892] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(894),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [893] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [894] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [895] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [896] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(895),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [897] = {
    [sym_string] = STATE(1090),
    [sym_decorator] = STATE(970),
    [sym_public_field_definition] = STATE(1494),
    [sym_method_definition] = STATE(956),
    [sym__property_name] = STATE(1090),
    [sym_computed_property_name] = STATE(1090),
    [aux_sym_class_repeat1] = STATE(928),
    [aux_sym_class_body_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2683),
    [anon_sym_set] = ACTIONS(2683),
  },
  [898] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(913),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [899] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [900] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [901] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(900),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [902] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [903] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(910),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [904] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [905] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [906] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(907),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [907] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [908] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [909] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [910] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [911] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(905),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [912] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_id] = ACTIONS(2780),
    [anon_sym_event] = ACTIONS(2783),
    [anon_sym_fn] = ACTIONS(2786),
    [anon_sym_on] = ACTIONS(2789),
  },
  [913] = {
    [sym_new_component_expression] = STATE(1045),
    [sym_new_tagged_component_expression] = STATE(1045),
    [sym_new_tripple_tagged_component_expression] = STATE(1045),
    [sym_property_declaration] = STATE(1045),
    [sym_identifier_property_assignment] = STATE(1045),
    [sym_property_assignment_name] = STATE(1671),
    [sym_property_assignment] = STATE(1045),
    [sym_event_declaration] = STATE(1045),
    [sym_typed_method_declaration] = STATE(1045),
    [sym_listener_declaration] = STATE(1045),
    [aux_sym_new_component_body_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_async] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_id] = ACTIONS(2620),
    [anon_sym_event] = ACTIONS(2622),
    [anon_sym_fn] = ACTIONS(2739),
    [anon_sym_on] = ACTIONS(2741),
  },
  [914] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [915] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [916] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [917] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [918] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [919] = {
    [sym_string] = STATE(1566),
    [sym_decorator] = STATE(970),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_class_repeat1] = STATE(931),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_component] = ACTIONS(2800),
  },
  [920] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_object_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [921] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [922] = {
    [sym_string] = STATE(1128),
    [sym__property_name] = STATE(1128),
    [sym_computed_property_name] = STATE(1128),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_get] = ACTIONS(2804),
    [anon_sym_set] = ACTIONS(2804),
    [sym__automatic_semicolon] = ACTIONS(2743),
  },
  [923] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [sym__automatic_semicolon] = ACTIONS(2743),
  },
  [924] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(2743),
  },
  [925] = {
    [sym_arguments] = STATE(965),
    [sym_identifier] = ACTIONS(2808),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_async] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2812),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_get] = ACTIONS(2808),
    [anon_sym_set] = ACTIONS(2808),
    [anon_sym_component] = ACTIONS(2808),
  },
  [926] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
    [sym__automatic_semicolon] = ACTIONS(2743),
  },
  [927] = {
    [sym_arguments] = STATE(968),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_DOT] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2814),
    [anon_sym_set] = ACTIONS(2814),
    [anon_sym_component] = ACTIONS(2814),
  },
  [928] = {
    [sym_string] = STATE(1566),
    [sym_decorator] = STATE(970),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [aux_sym_class_repeat1] = STATE(931),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
  },
  [929] = {
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_DOT] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_async] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_get] = ACTIONS(2820),
    [anon_sym_set] = ACTIONS(2820),
    [anon_sym_component] = ACTIONS(2820),
  },
  [930] = {
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_async] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_get] = ACTIONS(2824),
    [anon_sym_set] = ACTIONS(2824),
    [anon_sym_component] = ACTIONS(2824),
  },
  [931] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(931),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_async] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_get] = ACTIONS(2828),
    [anon_sym_set] = ACTIONS(2828),
    [anon_sym_component] = ACTIONS(2828),
  },
  [932] = {
    [sym_identifier] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2837),
    [anon_sym_async] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_get] = ACTIONS(2835),
    [anon_sym_set] = ACTIONS(2835),
    [anon_sym_constructor] = ACTIONS(2835),
    [anon_sym_id] = ACTIONS(2835),
    [anon_sym_event] = ACTIONS(2835),
    [anon_sym_fn] = ACTIONS(2835),
    [anon_sym_on] = ACTIONS(2835),
  },
  [933] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(2843),
    [anon_sym_set] = ACTIONS(2843),
  },
  [934] = {
    [sym_arguments] = STATE(1001),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_async] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
    [anon_sym_constructor] = ACTIONS(1528),
    [anon_sym_id] = ACTIONS(1528),
    [anon_sym_event] = ACTIONS(1528),
    [anon_sym_fn] = ACTIONS(1528),
    [anon_sym_on] = ACTIONS(1528),
  },
  [935] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [936] = {
    [sym_identifier] = ACTIONS(2847),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2849),
    [anon_sym_async] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_get] = ACTIONS(2847),
    [anon_sym_set] = ACTIONS(2847),
  },
  [937] = {
    [sym_identifier] = ACTIONS(2851),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_async] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2853),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2853),
    [anon_sym_AT] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2851),
    [anon_sym_get] = ACTIONS(2851),
    [anon_sym_set] = ACTIONS(2851),
  },
  [938] = {
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_async] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2857),
    [anon_sym_AT] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_get] = ACTIONS(2855),
    [anon_sym_set] = ACTIONS(2855),
  },
  [939] = {
    [sym_property_declaration_initializer] = STATE(985),
    [sym_identifier] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_COLON] = ACTIONS(2863),
    [anon_sym_async] = ACTIONS(2859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_get] = ACTIONS(2859),
    [anon_sym_set] = ACTIONS(2859),
    [anon_sym_constructor] = ACTIONS(2859),
    [anon_sym_id] = ACTIONS(2859),
    [anon_sym_event] = ACTIONS(2859),
    [anon_sym_fn] = ACTIONS(2859),
    [anon_sym_on] = ACTIONS(2859),
  },
  [940] = {
    [sym_arguments] = STATE(977),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_async] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1514),
    [anon_sym_get] = ACTIONS(1514),
    [anon_sym_set] = ACTIONS(1514),
    [anon_sym_constructor] = ACTIONS(1514),
    [anon_sym_id] = ACTIONS(1514),
    [anon_sym_event] = ACTIONS(1514),
    [anon_sym_fn] = ACTIONS(1514),
    [anon_sym_on] = ACTIONS(1514),
  },
  [941] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_get] = ACTIONS(2843),
    [anon_sym_set] = ACTIONS(2843),
  },
  [942] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_async] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_get] = ACTIONS(2867),
    [anon_sym_set] = ACTIONS(2867),
  },
  [943] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(2843),
    [anon_sym_set] = ACTIONS(2843),
  },
  [944] = {
    [sym_property_expression_initializer] = STATE(1008),
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_async] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_get] = ACTIONS(2871),
    [anon_sym_set] = ACTIONS(2871),
    [anon_sym_constructor] = ACTIONS(2871),
    [anon_sym_id] = ACTIONS(2871),
    [anon_sym_event] = ACTIONS(2871),
    [anon_sym_fn] = ACTIONS(2871),
    [anon_sym_on] = ACTIONS(2871),
  },
  [945] = {
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_async] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2879),
    [anon_sym_AT] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_get] = ACTIONS(2877),
    [anon_sym_set] = ACTIONS(2877),
  },
  [946] = {
    [sym_string] = STATE(1418),
    [sym__property_name] = STATE(1418),
    [sym_computed_property_name] = STATE(1418),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(2885),
    [anon_sym_set] = ACTIONS(2885),
  },
  [947] = {
    [sym_arguments] = STATE(987),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_async] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1532),
    [anon_sym_get] = ACTIONS(1532),
    [anon_sym_set] = ACTIONS(1532),
    [anon_sym_constructor] = ACTIONS(1532),
    [anon_sym_id] = ACTIONS(1532),
    [anon_sym_event] = ACTIONS(1532),
    [anon_sym_fn] = ACTIONS(1532),
    [anon_sym_on] = ACTIONS(1532),
  },
  [948] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [949] = {
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym_async] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2893),
    [anon_sym_set] = ACTIONS(2893),
    [anon_sym_constructor] = ACTIONS(2893),
    [anon_sym_id] = ACTIONS(2893),
    [anon_sym_event] = ACTIONS(2893),
    [anon_sym_fn] = ACTIONS(2893),
    [anon_sym_on] = ACTIONS(2893),
  },
  [950] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [951] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [952] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [953] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [954] = {
    [sym_identifier] = ACTIONS(683),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_constructor] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
    [sym__automatic_semicolon] = ACTIONS(2903),
  },
  [955] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [956] = {
    [sym_identifier] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_async] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2909),
    [anon_sym_AT] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_get] = ACTIONS(2907),
    [anon_sym_set] = ACTIONS(2907),
  },
  [957] = {
    [sym_identifier] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1578),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
    [anon_sym_constructor] = ACTIONS(1578),
    [anon_sym_id] = ACTIONS(1578),
    [anon_sym_event] = ACTIONS(1578),
    [anon_sym_fn] = ACTIONS(1578),
    [anon_sym_on] = ACTIONS(1578),
  },
  [958] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [959] = {
    [sym_string] = STATE(1557),
    [sym__property_name] = STATE(1557),
    [sym_computed_property_name] = STATE(1557),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [960] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2814),
    [anon_sym_set] = ACTIONS(2814),
    [anon_sym_component] = ACTIONS(2814),
  },
  [961] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_async] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_get] = ACTIONS(2917),
    [anon_sym_set] = ACTIONS(2917),
    [anon_sym_constructor] = ACTIONS(2917),
    [anon_sym_id] = ACTIONS(2917),
    [anon_sym_event] = ACTIONS(2917),
    [anon_sym_fn] = ACTIONS(2917),
    [anon_sym_on] = ACTIONS(2917),
  },
  [962] = {
    [sym_identifier] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_async] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1562),
    [anon_sym_set] = ACTIONS(1562),
    [anon_sym_constructor] = ACTIONS(1562),
    [anon_sym_id] = ACTIONS(1562),
    [anon_sym_event] = ACTIONS(1562),
    [anon_sym_fn] = ACTIONS(1562),
    [anon_sym_on] = ACTIONS(1562),
  },
  [963] = {
    [sym_tagged_type_string] = STATE(998),
    [sym_tripple_tagged_type_string] = STATE(995),
    [sym_component_identifier] = STATE(1103),
    [sym_new_component_body] = STATE(265),
    [sym_property_declaration_name] = STATE(1023),
    [aux_sym_component_heritage_repeat1] = STATE(1020),
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [964] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [965] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2937),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_component] = ACTIONS(2935),
  },
  [966] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_async] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_id] = ACTIONS(2939),
    [anon_sym_event] = ACTIONS(2939),
    [anon_sym_fn] = ACTIONS(2939),
    [anon_sym_on] = ACTIONS(2939),
  },
  [967] = {
    [sym_identifier] = ACTIONS(511),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_async] = ACTIONS(511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [anon_sym_constructor] = ACTIONS(511),
    [anon_sym_id] = ACTIONS(511),
    [anon_sym_event] = ACTIONS(511),
    [anon_sym_fn] = ACTIONS(511),
    [anon_sym_on] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(2068),
  },
  [968] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_async] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2945),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_component] = ACTIONS(2943),
  },
  [969] = {
    [sym_tagged_type_string] = STATE(998),
    [sym_tripple_tagged_type_string] = STATE(995),
    [sym_component_identifier] = STATE(1096),
    [sym_new_component_body] = STATE(940),
    [sym_property_declaration_name] = STATE(939),
    [aux_sym_component_heritage_repeat1] = STATE(1026),
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_COLON] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [970] = {
    [sym_identifier] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_async] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_get] = ACTIONS(2949),
    [anon_sym_set] = ACTIONS(2949),
    [anon_sym_component] = ACTIONS(2949),
  },
  [971] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [972] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_async] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_constructor] = ACTIONS(2955),
    [anon_sym_id] = ACTIONS(2955),
    [anon_sym_event] = ACTIONS(2955),
    [anon_sym_fn] = ACTIONS(2955),
    [anon_sym_on] = ACTIONS(2955),
  },
  [973] = {
    [sym_object] = STATE(1218),
    [sym_assignment_pattern] = STATE(1276),
    [sym_array] = STATE(1259),
    [sym_rest_parameter] = STATE(1276),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2961),
    [anon_sym_set] = ACTIONS(2961),
  },
  [974] = {
    [sym_string] = STATE(1418),
    [sym__property_name] = STATE(1418),
    [sym_computed_property_name] = STATE(1418),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [975] = {
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_async] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_get] = ACTIONS(2963),
    [anon_sym_set] = ACTIONS(2963),
    [anon_sym_constructor] = ACTIONS(2963),
    [anon_sym_id] = ACTIONS(2963),
    [anon_sym_event] = ACTIONS(2963),
    [anon_sym_fn] = ACTIONS(2963),
    [anon_sym_on] = ACTIONS(2963),
  },
  [976] = {
    [sym_identifier] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2967),
    [anon_sym_set] = ACTIONS(2967),
    [anon_sym_constructor] = ACTIONS(2967),
    [anon_sym_id] = ACTIONS(2967),
    [anon_sym_event] = ACTIONS(2967),
    [anon_sym_fn] = ACTIONS(2967),
    [anon_sym_on] = ACTIONS(2967),
  },
  [977] = {
    [sym_identifier] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [anon_sym_async] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1536),
    [anon_sym_get] = ACTIONS(1536),
    [anon_sym_set] = ACTIONS(1536),
    [anon_sym_constructor] = ACTIONS(1536),
    [anon_sym_id] = ACTIONS(1536),
    [anon_sym_event] = ACTIONS(1536),
    [anon_sym_fn] = ACTIONS(1536),
    [anon_sym_on] = ACTIONS(1536),
  },
  [978] = {
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2971),
    [anon_sym_set] = ACTIONS(2971),
    [anon_sym_constructor] = ACTIONS(2971),
    [anon_sym_id] = ACTIONS(2971),
    [anon_sym_event] = ACTIONS(2971),
    [anon_sym_fn] = ACTIONS(2971),
    [anon_sym_on] = ACTIONS(2971),
  },
  [979] = {
    [sym_identifier] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2975),
    [anon_sym_set] = ACTIONS(2975),
    [anon_sym_constructor] = ACTIONS(2975),
    [anon_sym_id] = ACTIONS(2975),
    [anon_sym_event] = ACTIONS(2975),
    [anon_sym_fn] = ACTIONS(2975),
    [anon_sym_on] = ACTIONS(2975),
  },
  [980] = {
    [sym_identifier] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_async] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2979),
    [anon_sym_constructor] = ACTIONS(2979),
    [anon_sym_id] = ACTIONS(2979),
    [anon_sym_event] = ACTIONS(2979),
    [anon_sym_fn] = ACTIONS(2979),
    [anon_sym_on] = ACTIONS(2979),
  },
  [981] = {
    [sym_object] = STATE(1293),
    [sym_assignment_pattern] = STATE(1440),
    [sym_array] = STATE(1298),
    [sym_rest_parameter] = STATE(1440),
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_get] = ACTIONS(2891),
    [anon_sym_set] = ACTIONS(2891),
  },
  [982] = {
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym_async] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2983),
    [anon_sym_constructor] = ACTIONS(2983),
    [anon_sym_id] = ACTIONS(2983),
    [anon_sym_event] = ACTIONS(2983),
    [anon_sym_fn] = ACTIONS(2983),
    [anon_sym_on] = ACTIONS(2983),
  },
  [983] = {
    [sym_string] = STATE(1418),
    [sym__property_name] = STATE(1418),
    [sym_computed_property_name] = STATE(1418),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [984] = {
    [sym_identifier] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym_async] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2987),
    [anon_sym_set] = ACTIONS(2987),
    [anon_sym_constructor] = ACTIONS(2987),
    [anon_sym_id] = ACTIONS(2987),
    [anon_sym_event] = ACTIONS(2987),
    [anon_sym_fn] = ACTIONS(2987),
    [anon_sym_on] = ACTIONS(2987),
  },
  [985] = {
    [sym_identifier] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2991),
    [anon_sym_constructor] = ACTIONS(2991),
    [anon_sym_id] = ACTIONS(2991),
    [anon_sym_event] = ACTIONS(2991),
    [anon_sym_fn] = ACTIONS(2991),
    [anon_sym_on] = ACTIONS(2991),
  },
  [986] = {
    [sym_object] = STATE(1273),
    [sym_assignment_pattern] = STATE(1437),
    [sym_array] = STATE(1274),
    [sym_rest_parameter] = STATE(1437),
    [sym_identifier] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_async] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_get] = ACTIONS(2997),
    [anon_sym_set] = ACTIONS(2997),
  },
  [987] = {
    [sym_identifier] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_async] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1574),
    [anon_sym_get] = ACTIONS(1574),
    [anon_sym_set] = ACTIONS(1574),
    [anon_sym_constructor] = ACTIONS(1574),
    [anon_sym_id] = ACTIONS(1574),
    [anon_sym_event] = ACTIONS(1574),
    [anon_sym_fn] = ACTIONS(1574),
    [anon_sym_on] = ACTIONS(1574),
  },
  [988] = {
    [sym_identifier] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_get] = ACTIONS(2999),
    [anon_sym_set] = ACTIONS(2999),
    [anon_sym_constructor] = ACTIONS(2999),
    [anon_sym_id] = ACTIONS(2999),
    [anon_sym_event] = ACTIONS(2999),
    [anon_sym_fn] = ACTIONS(2999),
    [anon_sym_on] = ACTIONS(2999),
  },
  [989] = {
    [sym_identifier] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym_async] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_get] = ACTIONS(3003),
    [anon_sym_set] = ACTIONS(3003),
    [anon_sym_constructor] = ACTIONS(3003),
    [anon_sym_id] = ACTIONS(3003),
    [anon_sym_event] = ACTIONS(3003),
    [anon_sym_fn] = ACTIONS(3003),
    [anon_sym_on] = ACTIONS(3003),
  },
  [990] = {
    [sym_identifier] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym_async] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_get] = ACTIONS(3007),
    [anon_sym_set] = ACTIONS(3007),
    [anon_sym_constructor] = ACTIONS(3007),
    [anon_sym_id] = ACTIONS(3007),
    [anon_sym_event] = ACTIONS(3007),
    [anon_sym_fn] = ACTIONS(3007),
    [anon_sym_on] = ACTIONS(3007),
  },
  [991] = {
    [sym_string] = STATE(1557),
    [sym__property_name] = STATE(1557),
    [sym_computed_property_name] = STATE(1557),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [992] = {
    [sym_identifier] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym_async] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_get] = ACTIONS(3011),
    [anon_sym_set] = ACTIONS(3011),
    [anon_sym_constructor] = ACTIONS(3011),
    [anon_sym_id] = ACTIONS(3011),
    [anon_sym_event] = ACTIONS(3011),
    [anon_sym_fn] = ACTIONS(3011),
    [anon_sym_on] = ACTIONS(3011),
  },
  [993] = {
    [sym_identifier] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_async] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_get] = ACTIONS(3015),
    [anon_sym_set] = ACTIONS(3015),
    [anon_sym_constructor] = ACTIONS(3015),
    [anon_sym_id] = ACTIONS(3015),
    [anon_sym_event] = ACTIONS(3015),
    [anon_sym_fn] = ACTIONS(3015),
    [anon_sym_on] = ACTIONS(3015),
  },
  [994] = {
    [sym_identifier] = ACTIONS(3019),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym_async] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_get] = ACTIONS(3019),
    [anon_sym_set] = ACTIONS(3019),
    [anon_sym_constructor] = ACTIONS(3019),
    [anon_sym_id] = ACTIONS(3019),
    [anon_sym_event] = ACTIONS(3019),
    [anon_sym_fn] = ACTIONS(3019),
    [anon_sym_on] = ACTIONS(3019),
  },
  [995] = {
    [sym_identifier] = ACTIONS(3023),
    [anon_sym_RBRACE] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3025),
    [anon_sym_async] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3023),
    [anon_sym_get] = ACTIONS(3023),
    [anon_sym_set] = ACTIONS(3023),
    [anon_sym_constructor] = ACTIONS(3023),
    [anon_sym_id] = ACTIONS(3023),
    [anon_sym_event] = ACTIONS(3023),
    [anon_sym_fn] = ACTIONS(3023),
    [anon_sym_on] = ACTIONS(3023),
  },
  [996] = {
    [sym_identifier] = ACTIONS(3027),
    [anon_sym_RBRACE] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym_async] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_get] = ACTIONS(3027),
    [anon_sym_set] = ACTIONS(3027),
    [anon_sym_constructor] = ACTIONS(3027),
    [anon_sym_id] = ACTIONS(3027),
    [anon_sym_event] = ACTIONS(3027),
    [anon_sym_fn] = ACTIONS(3027),
    [anon_sym_on] = ACTIONS(3027),
  },
  [997] = {
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2118),
    [anon_sym_async] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2116),
    [anon_sym_get] = ACTIONS(2116),
    [anon_sym_set] = ACTIONS(2116),
    [anon_sym_constructor] = ACTIONS(2116),
    [anon_sym_id] = ACTIONS(2116),
    [anon_sym_event] = ACTIONS(2116),
    [anon_sym_fn] = ACTIONS(2116),
    [anon_sym_on] = ACTIONS(2116),
  },
  [998] = {
    [sym_identifier] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_async] = ACTIONS(3031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_get] = ACTIONS(3031),
    [anon_sym_set] = ACTIONS(3031),
    [anon_sym_constructor] = ACTIONS(3031),
    [anon_sym_id] = ACTIONS(3031),
    [anon_sym_event] = ACTIONS(3031),
    [anon_sym_fn] = ACTIONS(3031),
    [anon_sym_on] = ACTIONS(3031),
  },
  [999] = {
    [sym_string] = STATE(1397),
    [sym__property_name] = STATE(1397),
    [sym_computed_property_name] = STATE(1397),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [1000] = {
    [sym_string] = STATE(1543),
    [sym__property_name] = STATE(1543),
    [sym_computed_property_name] = STATE(1543),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_async] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1540),
    [anon_sym_get] = ACTIONS(1540),
    [anon_sym_set] = ACTIONS(1540),
    [anon_sym_constructor] = ACTIONS(1540),
    [anon_sym_id] = ACTIONS(1540),
    [anon_sym_event] = ACTIONS(1540),
    [anon_sym_fn] = ACTIONS(1540),
    [anon_sym_on] = ACTIONS(1540),
  },
  [1002] = {
    [sym_string] = STATE(1612),
    [sym__property_name] = STATE(1612),
    [sym_computed_property_name] = STATE(1612),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(3039),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym_async] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3039),
    [anon_sym_get] = ACTIONS(3039),
    [anon_sym_set] = ACTIONS(3039),
    [anon_sym_constructor] = ACTIONS(3039),
    [anon_sym_id] = ACTIONS(3039),
    [anon_sym_event] = ACTIONS(3039),
    [anon_sym_fn] = ACTIONS(3039),
    [anon_sym_on] = ACTIONS(3039),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_async] = ACTIONS(3043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_get] = ACTIONS(3043),
    [anon_sym_set] = ACTIONS(3043),
    [anon_sym_constructor] = ACTIONS(3043),
    [anon_sym_id] = ACTIONS(3043),
    [anon_sym_event] = ACTIONS(3043),
    [anon_sym_fn] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym_async] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_get] = ACTIONS(3047),
    [anon_sym_set] = ACTIONS(3047),
    [anon_sym_constructor] = ACTIONS(3047),
    [anon_sym_id] = ACTIONS(3047),
    [anon_sym_event] = ACTIONS(3047),
    [anon_sym_fn] = ACTIONS(3047),
    [anon_sym_on] = ACTIONS(3047),
  },
  [1006] = {
    [sym_string] = STATE(1566),
    [sym__property_name] = STATE(1566),
    [sym_computed_property_name] = STATE(1566),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1498),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(3051),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym_async] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_get] = ACTIONS(3051),
    [anon_sym_set] = ACTIONS(3051),
    [anon_sym_constructor] = ACTIONS(3051),
    [anon_sym_id] = ACTIONS(3051),
    [anon_sym_event] = ACTIONS(3051),
    [anon_sym_fn] = ACTIONS(3051),
    [anon_sym_on] = ACTIONS(3051),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym_async] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_get] = ACTIONS(3055),
    [anon_sym_set] = ACTIONS(3055),
    [anon_sym_constructor] = ACTIONS(3055),
    [anon_sym_id] = ACTIONS(3055),
    [anon_sym_event] = ACTIONS(3055),
    [anon_sym_fn] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
  },
  [1009] = {
    [sym_string] = STATE(1713),
    [sym__property_name] = STATE(1713),
    [sym_computed_property_name] = STATE(1713),
    [sym_identifier] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(1580),
    [anon_sym_get] = ACTIONS(1580),
    [anon_sym_set] = ACTIONS(1580),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(3061),
    [anon_sym_RBRACE] = ACTIONS(3063),
    [anon_sym_SEMI] = ACTIONS(3063),
    [anon_sym_async] = ACTIONS(3061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3061),
    [anon_sym_get] = ACTIONS(3061),
    [anon_sym_set] = ACTIONS(3061),
    [anon_sym_constructor] = ACTIONS(3061),
    [anon_sym_id] = ACTIONS(3061),
    [anon_sym_event] = ACTIONS(3061),
    [anon_sym_fn] = ACTIONS(3061),
    [anon_sym_on] = ACTIONS(3061),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(3065),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_async] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3065),
    [anon_sym_get] = ACTIONS(3065),
    [anon_sym_set] = ACTIONS(3065),
    [anon_sym_constructor] = ACTIONS(3065),
    [anon_sym_id] = ACTIONS(3065),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_fn] = ACTIONS(3065),
    [anon_sym_on] = ACTIONS(3065),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_RBRACE] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3071),
    [anon_sym_async] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_constructor] = ACTIONS(3069),
    [anon_sym_id] = ACTIONS(3069),
    [anon_sym_event] = ACTIONS(3069),
    [anon_sym_fn] = ACTIONS(3069),
    [anon_sym_on] = ACTIONS(3069),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(3073),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(3075),
    [anon_sym_AT] = ACTIONS(3075),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
  },
  [1014] = {
    [sym_identifier] = ACTIONS(683),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(683),
    [anon_sym_get] = ACTIONS(683),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_constructor] = ACTIONS(683),
    [anon_sym_id] = ACTIONS(683),
    [anon_sym_event] = ACTIONS(683),
    [anon_sym_fn] = ACTIONS(683),
    [anon_sym_on] = ACTIONS(683),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_SEMI] = ACTIONS(3081),
    [anon_sym_async] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_get] = ACTIONS(3077),
    [anon_sym_set] = ACTIONS(3077),
    [anon_sym_constructor] = ACTIONS(3077),
    [anon_sym_id] = ACTIONS(3077),
    [anon_sym_event] = ACTIONS(3077),
    [anon_sym_fn] = ACTIONS(3077),
    [anon_sym_on] = ACTIONS(3077),
  },
  [1016] = {
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_async] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1520),
    [anon_sym_get] = ACTIONS(1520),
    [anon_sym_set] = ACTIONS(1520),
    [anon_sym_constructor] = ACTIONS(1520),
    [anon_sym_id] = ACTIONS(1520),
    [anon_sym_event] = ACTIONS(1520),
    [anon_sym_fn] = ACTIONS(1520),
    [anon_sym_on] = ACTIONS(1520),
  },
  [1017] = {
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_async] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_constructor] = ACTIONS(1506),
    [anon_sym_id] = ACTIONS(1506),
    [anon_sym_event] = ACTIONS(1506),
    [anon_sym_fn] = ACTIONS(1506),
    [anon_sym_on] = ACTIONS(1506),
  },
  [1018] = {
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_async] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_get] = ACTIONS(1524),
    [anon_sym_set] = ACTIONS(1524),
    [anon_sym_constructor] = ACTIONS(1524),
    [anon_sym_id] = ACTIONS(1524),
    [anon_sym_event] = ACTIONS(1524),
    [anon_sym_fn] = ACTIONS(1524),
    [anon_sym_on] = ACTIONS(1524),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(631),
    [anon_sym_get] = ACTIONS(631),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_constructor] = ACTIONS(631),
    [anon_sym_id] = ACTIONS(631),
    [anon_sym_event] = ACTIONS(631),
    [anon_sym_fn] = ACTIONS(631),
    [anon_sym_on] = ACTIONS(631),
  },
  [1020] = {
    [sym_tagged_type_string] = STATE(990),
    [sym_tripple_tagged_type_string] = STATE(989),
    [sym_component_identifier] = STATE(1085),
    [sym_new_component_body] = STATE(269),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1021] = {
    [sym_identifier] = ACTIONS(3085),
    [anon_sym_RBRACE] = ACTIONS(3087),
    [anon_sym_async] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_get] = ACTIONS(3085),
    [anon_sym_set] = ACTIONS(3085),
    [anon_sym_constructor] = ACTIONS(3085),
    [anon_sym_id] = ACTIONS(3085),
    [anon_sym_event] = ACTIONS(3085),
    [anon_sym_fn] = ACTIONS(3085),
    [anon_sym_on] = ACTIONS(3085),
  },
  [1022] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1062),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3099),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_property_declaration_initializer] = STATE(985),
    [sym_identifier] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_COLON] = ACTIONS(3103),
    [anon_sym_async] = ACTIONS(2859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2859),
    [anon_sym_id] = ACTIONS(2859),
    [anon_sym_event] = ACTIONS(2859),
    [anon_sym_fn] = ACTIONS(2859),
    [anon_sym_on] = ACTIONS(2859),
  },
  [1024] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1056),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3105),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3107),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_tagged_type_string] = STATE(990),
    [sym_tripple_tagged_type_string] = STATE(989),
    [sym_component_identifier] = STATE(1080),
    [sym_new_component_body] = STATE(947),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_COLON] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1027] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1060),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3109),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1044),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3111),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1062),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3099),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1056),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3105),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1062),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3099),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3107),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1056),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3105),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_jsx_element] = STATE(1156),
    [sym_jsx_fragment] = STATE(1156),
    [sym_jsx_expression] = STATE(1156),
    [sym_jsx_opening_element] = STATE(1051),
    [sym_jsx_self_closing_element] = STATE(1156),
    [sym_string] = STATE(1156),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_LT] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3115),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_jsx_element] = STATE(1157),
    [sym_jsx_fragment] = STATE(1157),
    [sym_jsx_expression] = STATE(1157),
    [sym_jsx_opening_element] = STATE(1051),
    [sym_jsx_self_closing_element] = STATE(1157),
    [sym_string] = STATE(1157),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_LT] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3115),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1044),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3111),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1060),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3109),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1060),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3109),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3107),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1044),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3111),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(1318),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3121),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1042] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1062),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3099),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(838),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3127),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1044] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_SLASH] = ACTIONS(3131),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym_async] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_id] = ACTIONS(3133),
    [anon_sym_event] = ACTIONS(3133),
    [anon_sym_fn] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
  },
  [1046] = {
    [sym_jsx_element] = STATE(1043),
    [sym_jsx_expression] = STATE(1043),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(815),
    [sym_jsx_self_closing_element] = STATE(1043),
    [aux_sym_jsx_element_repeat1] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3127),
    [sym_jsx_text] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3125),
  },
  [1047] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3107),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1048] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1044),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3111),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_jsx_element] = STATE(1054),
    [sym_jsx_expression] = STATE(1054),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(491),
    [sym_jsx_self_closing_element] = STATE(1054),
    [aux_sym_jsx_element_repeat1] = STATE(1054),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3141),
    [sym_jsx_text] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3125),
  },
  [1050] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3151),
    [anon_sym_SLASH] = ACTIONS(3153),
    [sym_jsx_identifier] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
  },
  [1051] = {
    [sym_jsx_element] = STATE(1055),
    [sym_jsx_expression] = STATE(1055),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(1172),
    [sym_jsx_self_closing_element] = STATE(1055),
    [aux_sym_jsx_element_repeat1] = STATE(1055),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3158),
    [sym_jsx_text] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3125),
  },
  [1052] = {
    [sym_jsx_element] = STATE(1041),
    [sym_jsx_expression] = STATE(1041),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(1335),
    [sym_jsx_self_closing_element] = STATE(1041),
    [aux_sym_jsx_element_repeat1] = STATE(1041),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3121),
    [sym_jsx_text] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3125),
  },
  [1053] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_SLASH] = ACTIONS(3164),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1054] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(482),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3141),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1055] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(1163),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3158),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1056] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_SLASH] = ACTIONS(3166),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1057] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1056),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3105),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1058] = {
    [sym_jsx_element] = STATE(1061),
    [sym_jsx_expression] = STATE(1061),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(705),
    [sym_jsx_self_closing_element] = STATE(1061),
    [aux_sym_jsx_element_repeat1] = STATE(1061),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3168),
    [sym_jsx_text] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3125),
  },
  [1059] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1060),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3097),
    [anon_sym_SLASH] = ACTIONS(3109),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1060] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_SLASH] = ACTIONS(3172),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_closing_element] = STATE(683),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3168),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1062] = {
    [sym_jsx_expression] = STATE(1173),
    [sym_jsx_namespace_name] = STATE(1100),
    [sym_jsx_attribute] = STATE(1173),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1050),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3093),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_SLASH] = ACTIONS(3174),
    [sym_jsx_identifier] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1063] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3176),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1064] = {
    [sym_jsx_element] = STATE(1065),
    [sym_jsx_expression] = STATE(1065),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1065),
    [aux_sym_jsx_element_repeat1] = STATE(1065),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3178),
    [sym_jsx_text] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3125),
  },
  [1065] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3182),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_id] = ACTIONS(3184),
    [anon_sym_event] = ACTIONS(3184),
    [anon_sym_fn] = ACTIONS(3184),
    [anon_sym_on] = ACTIONS(3184),
  },
  [1067] = {
    [sym_jsx_element] = STATE(1063),
    [sym_jsx_expression] = STATE(1063),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1063),
    [aux_sym_jsx_element_repeat1] = STATE(1063),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3188),
    [sym_jsx_text] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3125),
  },
  [1068] = {
    [sym_jsx_element] = STATE(1071),
    [sym_jsx_expression] = STATE(1071),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1071),
    [aux_sym_jsx_element_repeat1] = STATE(1071),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3192),
    [sym_jsx_text] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3125),
  },
  [1069] = {
    [sym_jsx_element] = STATE(1072),
    [sym_jsx_expression] = STATE(1072),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1072),
    [aux_sym_jsx_element_repeat1] = STATE(1072),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3196),
    [sym_jsx_text] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3125),
  },
  [1070] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_LT] = ACTIONS(3203),
    [sym_jsx_text] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3125),
  },
  [1071] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3209),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1072] = {
    [sym_jsx_element] = STATE(1070),
    [sym_jsx_expression] = STATE(1070),
    [sym_jsx_opening_element] = STATE(1052),
    [sym_jsx_self_closing_element] = STATE(1070),
    [aux_sym_jsx_element_repeat1] = STATE(1070),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3211),
    [sym_jsx_text] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3125),
  },
  [1073] = {
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_COLON] = ACTIONS(1876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1876),
    [anon_sym_POUND] = ACTIONS(1876),
  },
  [1074] = {
    [sym_decorator_member_expression] = STATE(1086),
    [sym_decorator_call_expression] = STATE(960),
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_async] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3220),
  },
  [1075] = {
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3224),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(3226),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3222),
    [sym_jsx_identifier] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
  },
  [1076] = {
    [sym_decorator_member_expression] = STATE(927),
    [sym_decorator_call_expression] = STATE(960),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_async] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_get] = ACTIONS(3230),
    [anon_sym_set] = ACTIONS(3230),
  },
  [1077] = {
    [sym_template_substitution] = STATE(1121),
    [aux_sym_template_string_repeat1] = STATE(1121),
    [sym_escape_sequence] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3234),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3236),
    [sym__template_chars] = ACTIONS(3232),
  },
  [1078] = {
    [aux_sym_object_repeat1] = STATE(1306),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_template_substitution] = STATE(1082),
    [aux_sym_template_string_repeat1] = STATE(1082),
    [sym_escape_sequence] = ACTIONS(3238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3238),
  },
  [1080] = {
    [sym_tagged_type_string] = STATE(982),
    [sym_tripple_tagged_type_string] = STATE(984),
    [sym_new_component_body] = STATE(934),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
  },
  [1081] = {
    [sym_component_identifier] = STATE(1447),
    [sym_new_component_body] = STATE(769),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1082] = {
    [sym_template_substitution] = STATE(1082),
    [aux_sym_template_string_repeat1] = STATE(1082),
    [sym_escape_sequence] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3249),
    [sym__template_chars] = ACTIONS(3244),
  },
  [1083] = {
    [sym_variable_declarator] = STATE(1334),
    [sym_object] = STATE(1134),
    [sym_array] = STATE(1135),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
  },
  [1084] = {
    [sym_arguments] = STATE(965),
    [anon_sym_DOT] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_component] = ACTIONS(2812),
  },
  [1085] = {
    [sym_tagged_type_string] = STATE(982),
    [sym_tripple_tagged_type_string] = STATE(984),
    [sym_new_component_body] = STATE(268),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
  },
  [1086] = {
    [sym_arguments] = STATE(968),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(2818),
    [anon_sym_component] = ACTIONS(2818),
  },
  [1087] = {
    [sym_switch_case] = STATE(1087),
    [sym_switch_default] = STATE(1087),
    [aux_sym_switch_body_repeat1] = STATE(1087),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
  },
  [1088] = {
    [sym_component_heritage] = STATE(1184),
    [sym_component_identifier] = STATE(1445),
    [sym_component_body] = STATE(57),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1089] = {
    [sym_component_identifier] = STATE(1462),
    [sym_new_component_body] = STATE(265),
    [aux_sym_component_heritage_repeat1] = STATE(1112),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1090] = {
    [sym__initializer] = STATE(1536),
    [sym_formal_parameters] = STATE(1563),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_EQ] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3272),
  },
  [1091] = {
    [aux_sym_object_repeat1] = STATE(1327),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1092] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [1093] = {
    [sym_component_heritage] = STATE(1232),
    [sym_component_identifier] = STATE(1408),
    [sym_component_body] = STATE(63),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1094] = {
    [sym_component_heritage] = STATE(1206),
    [sym_component_identifier] = STATE(1384),
    [sym_component_body] = STATE(752),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1095] = {
    [sym_component_heritage] = STATE(1205),
    [sym_component_identifier] = STATE(1391),
    [sym_component_body] = STATE(816),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1096] = {
    [sym_tagged_type_string] = STATE(990),
    [sym_tripple_tagged_type_string] = STATE(989),
    [sym_new_component_body] = STATE(947),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
  },
  [1097] = {
    [sym_component_heritage] = STATE(1255),
    [sym_component_identifier] = STATE(1482),
    [sym_component_body] = STATE(715),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1098] = {
    [sym_template_substitution] = STATE(1082),
    [aux_sym_template_string_repeat1] = STATE(1082),
    [sym_escape_sequence] = ACTIONS(3238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3280),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3238),
  },
  [1099] = {
    [anon_sym_DOT] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_COLON] = ACTIONS(1876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1876),
    [anon_sym_POUND] = ACTIONS(1876),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_EQ] = ACTIONS(3286),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3282),
    [sym_jsx_identifier] = ACTIONS(3284),
    [sym_comment] = ACTIONS(3),
  },
  [1101] = {
    [sym_component_identifier] = STATE(1538),
    [sym_new_component_body] = STATE(472),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1102] = {
    [sym_template_string] = STATE(489),
    [sym_arguments] = STATE(489),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(387),
  },
  [1103] = {
    [sym_tagged_type_string] = STATE(990),
    [sym_tripple_tagged_type_string] = STATE(989),
    [sym_new_component_body] = STATE(269),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2929),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(2931),
  },
  [1104] = {
    [sym_template_substitution] = STATE(1114),
    [aux_sym_template_string_repeat1] = STATE(1114),
    [sym_escape_sequence] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3290),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3288),
  },
  [1105] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [1106] = {
    [sym_variable_declarator] = STATE(1196),
    [sym_object] = STATE(1134),
    [sym_array] = STATE(1135),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
  },
  [1107] = {
    [sym_template_string] = STATE(809),
    [sym_arguments] = STATE(809),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(77),
  },
  [1108] = {
    [sym_template_substitution] = STATE(1079),
    [aux_sym_template_string_repeat1] = STATE(1079),
    [sym_escape_sequence] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3294),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3292),
  },
  [1109] = {
    [sym_component_heritage] = STATE(1268),
    [sym_component_identifier] = STATE(1507),
    [sym_component_body] = STATE(526),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1110] = {
    [sym_identifier] = ACTIONS(3298),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3298),
    [sym_jsx_identifier] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
  },
  [1111] = {
    [sym_component_heritage] = STATE(1260),
    [sym_component_identifier] = STATE(1490),
    [sym_component_body] = STATE(518),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1112] = {
    [sym_component_identifier] = STATE(1478),
    [sym_new_component_body] = STATE(269),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1113] = {
    [sym_template_substitution] = STATE(1082),
    [aux_sym_template_string_repeat1] = STATE(1082),
    [sym_escape_sequence] = ACTIONS(3238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3302),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3238),
  },
  [1114] = {
    [sym_template_substitution] = STATE(1082),
    [aux_sym_template_string_repeat1] = STATE(1082),
    [sym_escape_sequence] = ACTIONS(3238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3304),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3238),
  },
  [1115] = {
    [sym_template_substitution] = STATE(1113),
    [aux_sym_template_string_repeat1] = STATE(1113),
    [sym_escape_sequence] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3308),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3306),
  },
  [1116] = {
    [sym_component_identifier] = STATE(1419),
    [sym_new_component_body] = STATE(565),
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1117] = {
    [sym_switch_case] = STATE(1087),
    [sym_switch_default] = STATE(1087),
    [aux_sym_switch_body_repeat1] = STATE(1087),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3314),
    [sym_comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3318),
    [anon_sym_GT] = ACTIONS(3318),
    [anon_sym_SLASH] = ACTIONS(3316),
    [sym_jsx_identifier] = ACTIONS(3318),
    [sym_comment] = ACTIONS(3),
  },
  [1119] = {
    [aux_sym_object_repeat1] = STATE(1370),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1120] = {
    [sym_template_string] = STATE(714),
    [sym_arguments] = STATE(714),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(471),
  },
  [1121] = {
    [sym_template_substitution] = STATE(1121),
    [aux_sym_template_string_repeat1] = STATE(1121),
    [sym_escape_sequence] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3247),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3323),
    [sym__template_chars] = ACTIONS(3320),
  },
  [1122] = {
    [sym_component_heritage] = STATE(1243),
    [sym_component_identifier] = STATE(1453),
    [sym_component_body] = STATE(761),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1123] = {
    [sym_template_substitution] = STATE(1098),
    [aux_sym_template_string_repeat1] = STATE(1098),
    [sym_escape_sequence] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3328),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3242),
    [sym__template_chars] = ACTIONS(3326),
  },
  [1124] = {
    [sym_component_heritage] = STATE(1223),
    [sym_component_identifier] = STATE(1394),
    [sym_component_body] = STATE(684),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1125] = {
    [sym_template_substitution] = STATE(1077),
    [aux_sym_template_string_repeat1] = STATE(1077),
    [sym_escape_sequence] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3332),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3236),
    [sym__template_chars] = ACTIONS(3330),
  },
  [1126] = {
    [sym_component_identifier] = STATE(1457),
    [sym_new_component_body] = STATE(563),
    [aux_sym_component_heritage_repeat1] = STATE(1116),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1127] = {
    [sym_component_heritage] = STATE(1219),
    [sym_component_identifier] = STATE(1416),
    [sym_component_body] = STATE(851),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_LT] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1128] = {
    [sym__initializer] = STATE(1514),
    [sym_formal_parameters] = STATE(1396),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym_EQ] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3334),
  },
  [1129] = {
    [sym_variable_declarator] = STATE(1192),
    [sym_object] = STATE(1134),
    [sym_array] = STATE(1135),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_switch_case] = STATE(1117),
    [sym_switch_default] = STATE(1117),
    [aux_sym_switch_body_repeat1] = STATE(1117),
    [anon_sym_RBRACE] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3314),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3340),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1132] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3344),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1133] = {
    [sym__initializer] = STATE(1307),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_EQ] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1952),
  },
  [1134] = {
    [sym__initializer] = STATE(1315),
    [anon_sym_COMMA] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2398),
    [anon_sym_EQ] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2398),
  },
  [1135] = {
    [sym__initializer] = STATE(1322),
    [anon_sym_COMMA] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym_EQ] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2409),
  },
  [1136] = {
    [sym_class_heritage] = STATE(1469),
    [sym_class_body] = STATE(730),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_object] = STATE(1549),
    [sym_array] = STATE(1547),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LBRACK] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
  },
  [1138] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3354),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_GT] = ACTIONS(3358),
    [anon_sym_SLASH] = ACTIONS(3356),
    [sym_jsx_identifier] = ACTIONS(3358),
    [sym_comment] = ACTIONS(3),
  },
  [1140] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3360),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_class_heritage] = STATE(1392),
    [sym_class_body] = STATE(821),
    [sym_identifier] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1142] = {
    [sym_nested_identifier] = STATE(1037),
    [sym_jsx_namespace_name] = STATE(1059),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_GT] = ACTIONS(3368),
    [sym_jsx_identifier] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(3372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_component] = ACTIONS(3374),
  },
  [1144] = {
    [sym_class_heritage] = STATE(1450),
    [sym_class_body] = STATE(475),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1145] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3380),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(3382),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_GT] = ACTIONS(3384),
    [anon_sym_SLASH] = ACTIONS(3382),
    [sym_jsx_identifier] = ACTIONS(3384),
    [sym_comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3386),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_nested_identifier] = STATE(1040),
    [sym_jsx_namespace_name] = STATE(1048),
    [sym_identifier] = ACTIONS(3388),
    [anon_sym_GT] = ACTIONS(3390),
    [sym_jsx_identifier] = ACTIONS(3392),
    [sym_comment] = ACTIONS(3),
  },
  [1149] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(3394),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_component] = ACTIONS(3396),
  },
  [1150] = {
    [sym_class_heritage] = STATE(1392),
    [sym_class_body] = STATE(821),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1151] = {
    [sym_class_heritage] = STATE(1486),
    [sym_class_body] = STATE(493),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1152] = {
    [sym_class_heritage] = STATE(1516),
    [sym_class_body] = STATE(795),
    [sym_identifier] = ACTIONS(3402),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_nested_identifier] = STATE(1032),
    [sym_jsx_namespace_name] = STATE(1047),
    [sym_identifier] = ACTIONS(3404),
    [anon_sym_GT] = ACTIONS(3406),
    [sym_jsx_identifier] = ACTIONS(3408),
    [sym_comment] = ACTIONS(3),
  },
  [1154] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3410),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_GT] = ACTIONS(2256),
    [anon_sym_SLASH] = ACTIONS(2254),
    [sym_jsx_identifier] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(3412),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_GT] = ACTIONS(3414),
    [anon_sym_SLASH] = ACTIONS(3412),
    [sym_jsx_identifier] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(3418),
    [anon_sym_GT] = ACTIONS(3418),
    [anon_sym_SLASH] = ACTIONS(3416),
    [sym_jsx_identifier] = ACTIONS(3418),
    [sym_comment] = ACTIONS(3),
  },
  [1158] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(3420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_component] = ACTIONS(3422),
  },
  [1159] = {
    [sym_nested_identifier] = STATE(1033),
    [sym_jsx_namespace_name] = STATE(1057),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_GT] = ACTIONS(3426),
    [sym_jsx_identifier] = ACTIONS(3428),
    [sym_comment] = ACTIONS(3),
  },
  [1160] = {
    [sym_class_heritage] = STATE(1402),
    [sym_class_body] = STATE(699),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_class_heritage] = STATE(1516),
    [sym_class_body] = STATE(795),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_class_heritage] = STATE(1392),
    [sym_class_body] = STATE(821),
    [sym_identifier] = ACTIONS(3434),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2202),
    [sym_jsx_identifier] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2190),
    [sym_jsx_identifier] = ACTIONS(2192),
    [sym_comment] = ACTIONS(3),
  },
  [1165] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(3436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_component] = ACTIONS(3438),
  },
  [1166] = {
    [anon_sym_COMMA] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1167] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3440),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_SLASH] = ACTIONS(2230),
    [sym_jsx_identifier] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
  },
  [1169] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3442),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1170] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3444),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1171] = {
    [sym_class_heritage] = STATE(1516),
    [sym_class_body] = STATE(795),
    [sym_identifier] = ACTIONS(3446),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_GT] = ACTIONS(2224),
    [anon_sym_SLASH] = ACTIONS(2222),
    [sym_jsx_identifier] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(3448),
    [anon_sym_LBRACE] = ACTIONS(3450),
    [anon_sym_GT] = ACTIONS(3450),
    [anon_sym_SLASH] = ACTIONS(3448),
    [sym_jsx_identifier] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(1808),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1810),
    [sym_jsx_identifier] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(3452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_component] = ACTIONS(3454),
  },
  [1176] = {
    [sym_object] = STATE(1646),
    [sym_array] = STATE(1641),
    [sym_identifier] = ACTIONS(3456),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_LBRACK] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2198),
    [sym_jsx_identifier] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2194),
    [sym_jsx_identifier] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1697),
    [sym_jsx_identifier] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
  },
  [1180] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3458),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1181] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3460),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1182] = {
    [sym_decorator] = STATE(970),
    [aux_sym_class_repeat1] = STATE(1182),
    [anon_sym_class] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(3462),
    [anon_sym_component] = ACTIONS(2830),
  },
  [1183] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3465),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1184] = {
    [sym_component_identifier] = STATE(1559),
    [sym_component_body] = STATE(53),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1185] = {
    [aux_sym_string_repeat2] = STATE(1237),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [aux_sym_string_token2] = ACTIONS(3469),
    [sym_escape_sequence] = ACTIONS(3471),
    [sym_comment] = ACTIONS(3125),
  },
  [1186] = {
    [aux_sym_import_path_repeat1] = STATE(1265),
    [anon_sym_DOT] = ACTIONS(3473),
    [anon_sym_as] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3475),
  },
  [1187] = {
    [sym_formal_parameters] = STATE(1532),
    [sym_identifier] = ACTIONS(3477),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
  },
  [1188] = {
    [aux_sym_string_repeat2] = STATE(1236),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [aux_sym_string_token2] = ACTIONS(3483),
    [sym_escape_sequence] = ACTIONS(3485),
    [sym_comment] = ACTIONS(3125),
  },
  [1189] = {
    [aux_sym_string_repeat1] = STATE(1233),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [aux_sym_string_token1] = ACTIONS(3487),
    [sym_escape_sequence] = ACTIONS(3489),
    [sym_comment] = ACTIONS(3125),
  },
  [1190] = {
    [sym_nested_identifier] = STATE(1381),
    [sym_jsx_namespace_name] = STATE(1650),
    [sym_identifier] = ACTIONS(3491),
    [sym_jsx_identifier] = ACTIONS(3493),
    [sym_comment] = ACTIONS(3),
  },
  [1191] = {
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_EQ] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2743),
  },
  [1192] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1249),
    [anon_sym_COMMA] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3497),
  },
  [1193] = {
    [aux_sym_component_heritage_repeat1] = STATE(1073),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(3499),
  },
  [1194] = {
    [sym_nested_identifier] = STATE(1438),
    [sym_jsx_namespace_name] = STATE(1659),
    [sym_identifier] = ACTIONS(3501),
    [sym_jsx_identifier] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_formal_parameters] = STATE(1471),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
  },
  [1196] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1231),
    [anon_sym_COMMA] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3509),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3509),
  },
  [1197] = {
    [sym_class_heritage] = STATE(1415),
    [sym_class_body] = STATE(65),
    [anon_sym_LBRACE] = ACTIONS(3511),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1198] = {
    [aux_sym_string_repeat2] = STATE(1234),
    [anon_sym_SQUOTE] = ACTIONS(3515),
    [aux_sym_string_token2] = ACTIONS(3517),
    [sym_escape_sequence] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3125),
  },
  [1199] = {
    [sym_statement_block] = STATE(1003),
    [sym_typed_function_return_type] = STATE(1407),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1200] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
  },
  [1201] = {
    [sym_statement_block] = STATE(976),
    [sym_typed_function_return_type] = STATE(1404),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_formal_parameters] = STATE(1463),
    [sym_identifier] = ACTIONS(3528),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3530),
    [sym_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_statement_block] = STATE(988),
    [sym_typed_function_return_type] = STATE(1403),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1204] = {
    [sym_formal_parameters] = STATE(1431),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3534),
    [sym_comment] = ACTIONS(3),
  },
  [1205] = {
    [sym_component_identifier] = STATE(1401),
    [sym_component_body] = STATE(803),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1206] = {
    [sym_component_identifier] = STATE(1398),
    [sym_component_body] = STATE(772),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1207] = {
    [aux_sym_import_path_repeat1] = STATE(1208),
    [anon_sym_DOT] = ACTIONS(3473),
    [anon_sym_as] = ACTIONS(3536),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3536),
  },
  [1208] = {
    [aux_sym_import_path_repeat1] = STATE(1208),
    [anon_sym_DOT] = ACTIONS(3538),
    [anon_sym_as] = ACTIONS(3541),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3541),
  },
  [1209] = {
    [sym_class_heritage] = STATE(1472),
    [sym_class_body] = STATE(720),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_escape_sequence] = ACTIONS(3543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3543),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3543),
    [sym__template_chars] = ACTIONS(3543),
  },
  [1211] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3545),
    [aux_sym_string_token2] = ACTIONS(3547),
    [sym_escape_sequence] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3125),
  },
  [1212] = {
    [aux_sym_import_path_repeat1] = STATE(1207),
    [anon_sym_DOT] = ACTIONS(3473),
    [anon_sym_as] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3551),
  },
  [1213] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3545),
    [aux_sym_string_token1] = ACTIONS(3553),
    [sym_escape_sequence] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3125),
  },
  [1214] = {
    [sym_class_heritage] = STATE(1389),
    [sym_class_body] = STATE(817),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_formal_parameters] = STATE(1455),
    [sym_identifier] = ACTIONS(3557),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3559),
    [sym_comment] = ACTIONS(3),
  },
  [1216] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1356),
    [anon_sym_COMMA] = ACTIONS(3561),
    [anon_sym_RPAREN] = ACTIONS(3563),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1217] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1341),
    [anon_sym_COMMA] = ACTIONS(3565),
    [anon_sym_RPAREN] = ACTIONS(3567),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1218] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1332),
    [anon_sym_COMMA] = ACTIONS(3569),
    [anon_sym_RPAREN] = ACTIONS(3571),
    [anon_sym_EQ] = ACTIONS(3573),
    [sym_comment] = ACTIONS(3),
  },
  [1219] = {
    [sym_component_identifier] = STATE(1388),
    [sym_component_body] = STATE(818),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1220] = {
    [sym_class_heritage] = STATE(1382),
    [sym_class_body] = STATE(746),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1221] = {
    [sym_statement_block] = STATE(976),
    [sym_typed_function_return_type] = STATE(1439),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1222] = {
    [sym_statement_block] = STATE(988),
    [sym_typed_function_return_type] = STATE(1456),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1223] = {
    [sym_component_identifier] = STATE(1435),
    [sym_component_body] = STATE(745),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1224] = {
    [sym_class_heritage] = STATE(1477),
    [sym_class_body] = STATE(758),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1225] = {
    [sym_formal_parameters] = STATE(1475),
    [sym_identifier] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3579),
    [sym_comment] = ACTIONS(3),
  },
  [1226] = {
    [aux_sym_string_repeat2] = STATE(1211),
    [anon_sym_SQUOTE] = ACTIONS(3581),
    [aux_sym_string_token2] = ACTIONS(3583),
    [sym_escape_sequence] = ACTIONS(3585),
    [sym_comment] = ACTIONS(3125),
  },
  [1227] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1227),
    [anon_sym_COMMA] = ACTIONS(3587),
    [anon_sym_SEMI] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3590),
  },
  [1228] = {
    [aux_sym_string_repeat1] = STATE(1213),
    [anon_sym_DQUOTE] = ACTIONS(3581),
    [aux_sym_string_token1] = ACTIONS(3592),
    [sym_escape_sequence] = ACTIONS(3594),
    [sym_comment] = ACTIONS(3125),
  },
  [1229] = {
    [sym_class_heritage] = STATE(1413),
    [sym_class_body] = STATE(776),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_escape_sequence] = ACTIONS(3543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3543),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(3543),
    [sym__template_chars] = ACTIONS(3543),
  },
  [1231] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1227),
    [anon_sym_COMMA] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3596),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3596),
  },
  [1232] = {
    [sym_component_identifier] = STATE(1497),
    [sym_component_body] = STATE(55),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1233] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3598),
    [aux_sym_string_token1] = ACTIONS(3553),
    [sym_escape_sequence] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3125),
  },
  [1234] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [aux_sym_string_token2] = ACTIONS(3547),
    [sym_escape_sequence] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3125),
  },
  [1235] = {
    [sym_nested_identifier] = STATE(1500),
    [sym_jsx_namespace_name] = STATE(1639),
    [sym_identifier] = ACTIONS(3602),
    [sym_jsx_identifier] = ACTIONS(3604),
    [sym_comment] = ACTIONS(3),
  },
  [1236] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3598),
    [aux_sym_string_token2] = ACTIONS(3547),
    [sym_escape_sequence] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3125),
  },
  [1237] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [aux_sym_string_token2] = ACTIONS(3547),
    [sym_escape_sequence] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3125),
  },
  [1238] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [aux_sym_string_token1] = ACTIONS(3553),
    [sym_escape_sequence] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3125),
  },
  [1239] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3608),
    [aux_sym_string_token1] = ACTIONS(3610),
    [sym_escape_sequence] = ACTIONS(3613),
    [sym_comment] = ACTIONS(3125),
  },
  [1240] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [aux_sym_string_token2] = ACTIONS(3618),
    [sym_escape_sequence] = ACTIONS(3621),
    [sym_comment] = ACTIONS(3125),
  },
  [1241] = {
    [sym_statement_block] = STATE(1007),
    [sym_typed_function_return_type] = STATE(1426),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1242] = {
    [sym_nested_identifier] = STATE(1550),
    [sym_jsx_namespace_name] = STATE(1604),
    [sym_identifier] = ACTIONS(3624),
    [sym_jsx_identifier] = ACTIONS(3626),
    [sym_comment] = ACTIONS(3),
  },
  [1243] = {
    [sym_component_identifier] = STATE(1446),
    [sym_component_body] = STATE(727),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1244] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [aux_sym_string_token1] = ACTIONS(3553),
    [sym_escape_sequence] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3125),
  },
  [1245] = {
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_EQ] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2447),
  },
  [1246] = {
    [aux_sym_string_repeat1] = STATE(1238),
    [anon_sym_DQUOTE] = ACTIONS(3515),
    [aux_sym_string_token1] = ACTIONS(3628),
    [sym_escape_sequence] = ACTIONS(3630),
    [sym_comment] = ACTIONS(3125),
  },
  [1247] = {
    [sym_nested_identifier] = STATE(1573),
    [sym_jsx_namespace_name] = STATE(1583),
    [sym_identifier] = ACTIONS(3632),
    [sym_jsx_identifier] = ACTIONS(3634),
    [sym_comment] = ACTIONS(3),
  },
  [1248] = {
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2336),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
  },
  [1249] = {
    [aux_sym_variable_declaration_repeat1] = STATE(1227),
    [anon_sym_COMMA] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3636),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3636),
  },
  [1250] = {
    [sym_class_heritage] = STATE(1429),
    [sym_class_body] = STATE(700),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1251] = {
    [aux_sym_string_repeat2] = STATE(1240),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [aux_sym_string_token2] = ACTIONS(3547),
    [sym_escape_sequence] = ACTIONS(3549),
    [sym_comment] = ACTIONS(3125),
  },
  [1252] = {
    [sym_class_heritage] = STATE(1487),
    [sym_class_body] = STATE(517),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1253] = {
    [aux_sym_string_repeat1] = STATE(1239),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [aux_sym_string_token1] = ACTIONS(3553),
    [sym_escape_sequence] = ACTIONS(3555),
    [sym_comment] = ACTIONS(3125),
  },
  [1254] = {
    [sym_formal_parameters] = STATE(1532),
    [sym_identifier] = ACTIONS(3640),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3642),
    [sym_comment] = ACTIONS(3),
  },
  [1255] = {
    [sym_component_identifier] = STATE(1501),
    [sym_component_body] = STATE(753),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1256] = {
    [sym_formal_parameters] = STATE(1471),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3646),
    [sym_comment] = ACTIONS(3),
  },
  [1257] = {
    [sym_formal_parameters] = STATE(1532),
    [sym_identifier] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3650),
    [sym_comment] = ACTIONS(3),
  },
  [1258] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1042),
    [sym_identifier] = ACTIONS(3338),
    [sym_jsx_identifier] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
  },
  [1259] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1296),
    [anon_sym_COMMA] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3654),
    [anon_sym_EQ] = ACTIONS(3656),
    [sym_comment] = ACTIONS(3),
  },
  [1260] = {
    [sym_component_identifier] = STATE(1504),
    [sym_component_body] = STATE(487),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1261] = {
    [sym_class_heritage] = STATE(1505),
    [sym_class_body] = STATE(532),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_statement_block] = STATE(1003),
    [sym_typed_function_return_type] = STATE(1412),
    [sym_identifier] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1263] = {
    [aux_sym_string_repeat2] = STATE(1251),
    [anon_sym_SQUOTE] = ACTIONS(3658),
    [aux_sym_string_token2] = ACTIONS(3660),
    [sym_escape_sequence] = ACTIONS(3662),
    [sym_comment] = ACTIONS(3125),
  },
  [1264] = {
    [sym_class_heritage] = STATE(1491),
    [sym_class_body] = STATE(71),
    [anon_sym_LBRACE] = ACTIONS(3511),
    [anon_sym_extends] = ACTIONS(3513),
    [sym_comment] = ACTIONS(3),
  },
  [1265] = {
    [aux_sym_import_path_repeat1] = STATE(1208),
    [anon_sym_DOT] = ACTIONS(3473),
    [anon_sym_as] = ACTIONS(3664),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3664),
  },
  [1266] = {
    [aux_sym_string_repeat1] = STATE(1253),
    [anon_sym_DQUOTE] = ACTIONS(3658),
    [aux_sym_string_token1] = ACTIONS(3666),
    [sym_escape_sequence] = ACTIONS(3668),
    [sym_comment] = ACTIONS(3125),
  },
  [1267] = {
    [aux_sym_component_heritage_repeat1] = STATE(1193),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(3670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(3670),
  },
  [1268] = {
    [sym_component_identifier] = STATE(1510),
    [sym_component_body] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_POUND] = ACTIONS(1558),
  },
  [1269] = {
    [aux_sym_string_repeat1] = STATE(1244),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [aux_sym_string_token1] = ACTIONS(3672),
    [sym_escape_sequence] = ACTIONS(3674),
    [sym_comment] = ACTIONS(3125),
  },
  [1270] = {
    [sym_formal_parameters] = STATE(1471),
    [sym_identifier] = ACTIONS(3676),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3678),
    [sym_comment] = ACTIONS(3),
  },
  [1271] = {
    [sym_formal_parameters] = STATE(1466),
    [sym_identifier] = ACTIONS(3680),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1272] = {
    [sym_string] = STATE(295),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
  },
  [1273] = {
    [anon_sym_COMMA] = ACTIONS(3686),
    [anon_sym_RPAREN] = ACTIONS(3686),
    [anon_sym_EQ] = ACTIONS(3573),
    [sym_comment] = ACTIONS(3),
  },
  [1274] = {
    [anon_sym_COMMA] = ACTIONS(3688),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_EQ] = ACTIONS(3656),
    [sym_comment] = ACTIONS(3),
  },
  [1275] = {
    [sym_formal_type_parameter] = STATE(1409),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [sym_comment] = ACTIONS(3),
  },
  [1276] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1341),
    [anon_sym_COMMA] = ACTIONS(3565),
    [anon_sym_RPAREN] = ACTIONS(3567),
    [sym_comment] = ACTIONS(3),
  },
  [1277] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
  },
  [1278] = {
    [aux_sym_array_repeat1] = STATE(1359),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
  },
  [1279] = {
    [aux_sym_formal_type_parameters_repeat1] = STATE(1312),
    [anon_sym_COMMA] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [sym_comment] = ACTIONS(3),
  },
  [1280] = {
    [anon_sym_COMMA] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1281] = {
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [sym_jsx_text] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3125),
  },
  [1282] = {
    [sym_string] = STATE(314),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
  },
  [1283] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(3698),
    [anon_sym_RBRACE] = ACTIONS(3701),
    [sym_comment] = ACTIONS(3),
  },
  [1284] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3703),
    [sym_comment] = ACTIONS(3),
  },
  [1285] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(3705),
    [sym_comment] = ACTIONS(3),
  },
  [1286] = {
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [sym_jsx_text] = ACTIONS(2194),
    [sym_comment] = ACTIONS(3125),
  },
  [1287] = {
    [aux_sym_object_repeat1] = STATE(1328),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [sym_comment] = ACTIONS(3),
  },
  [1288] = {
    [anon_sym_COMMA] = ACTIONS(3709),
    [anon_sym_RPAREN] = ACTIONS(3709),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1289] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [sym_comment] = ACTIONS(3),
  },
  [1290] = {
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1291] = {
    [anon_sym_LBRACE] = ACTIONS(3382),
    [anon_sym_LT] = ACTIONS(3382),
    [sym_jsx_text] = ACTIONS(3382),
    [sym_comment] = ACTIONS(3125),
  },
  [1292] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3713),
    [sym_comment] = ACTIONS(3),
  },
  [1293] = {
    [anon_sym_COMMA] = ACTIONS(3715),
    [anon_sym_RPAREN] = ACTIONS(3715),
    [anon_sym_EQ] = ACTIONS(3573),
    [sym_comment] = ACTIONS(3),
  },
  [1294] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
  },
  [1295] = {
    [aux_sym_array_repeat1] = STATE(1285),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
  },
  [1296] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(3717),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
  },
  [1297] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(3719),
    [sym_comment] = ACTIONS(3),
  },
  [1298] = {
    [anon_sym_COMMA] = ACTIONS(3721),
    [anon_sym_RPAREN] = ACTIONS(3721),
    [anon_sym_EQ] = ACTIONS(3656),
    [sym_comment] = ACTIONS(3),
  },
  [1299] = {
    [sym_identifier] = ACTIONS(3723),
    [anon_sym_SEMI] = ACTIONS(3725),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3725),
  },
  [1300] = {
    [aux_sym_array_repeat1] = STATE(1333),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
  },
  [1301] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
  },
  [1302] = {
    [sym_formal_parameters] = STATE(1385),
    [sym_identifier] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1303] = {
    [sym_formal_parameters] = STATE(1424),
    [sym_identifier] = ACTIONS(3729),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1304] = {
    [sym_formal_parameters] = STATE(1466),
    [sym_identifier] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1305] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3733),
    [sym_comment] = ACTIONS(3),
  },
  [1306] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [sym_comment] = ACTIONS(3),
  },
  [1307] = {
    [anon_sym_COMMA] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3737),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3737),
  },
  [1308] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_identifier] = ACTIONS(3739),
    [anon_sym_async] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(3743),
  },
  [1310] = {
    [sym_formal_type_parameter] = STATE(1409),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3745),
    [sym_comment] = ACTIONS(3),
  },
  [1311] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(3747),
    [sym_comment] = ACTIONS(3),
  },
  [1312] = {
    [aux_sym_formal_type_parameters_repeat1] = STATE(1312),
    [anon_sym_COMMA] = ACTIONS(3749),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [sym_comment] = ACTIONS(3),
  },
  [1313] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(3754),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
  },
  [1314] = {
    [anon_sym_LBRACE] = ACTIONS(3757),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3759),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3757),
  },
  [1315] = {
    [anon_sym_COMMA] = ACTIONS(3761),
    [anon_sym_SEMI] = ACTIONS(3761),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3761),
  },
  [1316] = {
    [sym_formal_parameters] = STATE(1495),
    [sym_identifier] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1317] = {
    [aux_sym_formal_type_parameters_repeat1] = STATE(1279),
    [anon_sym_COMMA] = ACTIONS(3765),
    [anon_sym_RPAREN] = ACTIONS(3767),
    [sym_comment] = ACTIONS(3),
  },
  [1318] = {
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2202),
    [sym_jsx_text] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3125),
  },
  [1319] = {
    [sym_formal_parameters] = STATE(1476),
    [sym_identifier] = ACTIONS(3769),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1320] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2449),
    [sym_comment] = ACTIONS(3),
  },
  [1321] = {
    [aux_sym_array_repeat1] = STATE(1297),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(2449),
    [sym_comment] = ACTIONS(3),
  },
  [1322] = {
    [anon_sym_COMMA] = ACTIONS(3771),
    [anon_sym_SEMI] = ACTIONS(3771),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3771),
  },
  [1323] = {
    [aux_sym_array_repeat1] = STATE(1330),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
  },
  [1324] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
  },
  [1325] = {
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_LT] = ACTIONS(2198),
    [sym_jsx_text] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3125),
  },
  [1326] = {
    [anon_sym_COMMA] = ACTIONS(3773),
    [anon_sym_RPAREN] = ACTIONS(3773),
    [anon_sym_EQ] = ACTIONS(2747),
    [sym_comment] = ACTIONS(3),
  },
  [1327] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3775),
    [sym_comment] = ACTIONS(3),
  },
  [1328] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3777),
    [sym_comment] = ACTIONS(3),
  },
  [1329] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3779),
    [sym_comment] = ACTIONS(3),
  },
  [1330] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
  },
  [1331] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3783),
    [sym_comment] = ACTIONS(3),
  },
  [1332] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(3785),
    [anon_sym_RPAREN] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
  },
  [1333] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(3787),
    [sym_comment] = ACTIONS(3),
  },
  [1334] = {
    [anon_sym_COMMA] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3590),
  },
  [1335] = {
    [anon_sym_LBRACE] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2222),
    [sym_jsx_text] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3125),
  },
  [1336] = {
    [aux_sym_array_repeat1] = STATE(1347),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2469),
    [sym_comment] = ACTIONS(3),
  },
  [1337] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2469),
    [sym_comment] = ACTIONS(3),
  },
  [1338] = {
    [aux_sym_js_import_statement_repeat1] = STATE(1369),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_RBRACE] = ACTIONS(3791),
    [sym_comment] = ACTIONS(3),
  },
  [1339] = {
    [sym__for_header] = STATE(31),
    [anon_sym_LPAREN] = ACTIONS(3793),
    [anon_sym_await] = ACTIONS(3795),
    [sym_comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_formal_parameters] = STATE(1385),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1341] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(3799),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
  },
  [1342] = {
    [sym_formal_type_parameter] = STATE(1317),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3801),
    [sym_comment] = ACTIONS(3),
  },
  [1343] = {
    [aux_sym_array_repeat1] = STATE(1311),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
  },
  [1344] = {
    [sym_string] = STATE(302),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [sym_comment] = ACTIONS(3),
  },
  [1345] = {
    [sym_string] = STATE(314),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [1346] = {
    [anon_sym_DOT] = ACTIONS(3541),
    [anon_sym_as] = ACTIONS(3541),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3541),
  },
  [1347] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(3803),
    [sym_comment] = ACTIONS(3),
  },
  [1348] = {
    [sym_string] = STATE(295),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [1349] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3805),
    [sym_comment] = ACTIONS(3),
  },
  [1350] = {
    [aux_sym_js_import_statement_repeat1] = STATE(1338),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_RBRACE] = ACTIONS(3807),
    [sym_comment] = ACTIONS(3),
  },
  [1351] = {
    [anon_sym_LBRACE] = ACTIONS(3809),
    [anon_sym_LT] = ACTIONS(3809),
    [sym_jsx_text] = ACTIONS(3809),
    [sym_comment] = ACTIONS(3125),
  },
  [1352] = {
    [sym_formal_parameters] = STATE(1385),
    [sym_identifier] = ACTIONS(3811),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1353] = {
    [aux_sym_js_import_statement_repeat1] = STATE(1373),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_RBRACE] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
  },
  [1354] = {
    [aux_sym_array_repeat1] = STATE(1357),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
  },
  [1355] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
  },
  [1356] = {
    [aux_sym_formal_parameters_repeat1] = STATE(1313),
    [anon_sym_COMMA] = ACTIONS(3815),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
  },
  [1357] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(3817),
    [sym_comment] = ACTIONS(3),
  },
  [1358] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
  },
  [1359] = {
    [aux_sym_array_repeat1] = STATE(1200),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [sym_comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_string] = STATE(302),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_formal_parameters] = STATE(1383),
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1362] = {
    [anon_sym_COMMA] = ACTIONS(2463),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
  },
  [1363] = {
    [sym__for_header] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(3825),
    [anon_sym_await] = ACTIONS(3827),
    [sym_comment] = ACTIONS(3),
  },
  [1364] = {
    [sym_identifier] = ACTIONS(3829),
    [anon_sym_SEMI] = ACTIONS(3831),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3831),
  },
  [1365] = {
    [sym_statement_block] = STATE(291),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [anon_sym_LPAREN] = ACTIONS(3833),
    [sym_comment] = ACTIONS(3),
  },
  [1366] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3835),
    [sym_comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_formal_parameters] = STATE(1563),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [anon_sym_COLON] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1368] = {
    [aux_sym_object_repeat1] = STATE(1377),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3835),
    [sym_comment] = ACTIONS(3),
  },
  [1369] = {
    [aux_sym_js_import_statement_repeat1] = STATE(1369),
    [anon_sym_COMMA] = ACTIONS(3839),
    [anon_sym_RBRACE] = ACTIONS(3842),
    [sym_comment] = ACTIONS(3),
  },
  [1370] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3844),
    [sym_comment] = ACTIONS(3),
  },
  [1371] = {
    [anon_sym_LBRACE] = ACTIONS(3846),
    [anon_sym_LT] = ACTIONS(3846),
    [sym_jsx_text] = ACTIONS(3846),
    [sym_comment] = ACTIONS(3125),
  },
  [1372] = {
    [sym_formal_parameters] = STATE(1466),
    [sym_identifier] = ACTIONS(3848),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1373] = {
    [aux_sym_js_import_statement_repeat1] = STATE(1369),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [sym_comment] = ACTIONS(3),
  },
  [1374] = {
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_LT] = ACTIONS(3356),
    [sym_jsx_text] = ACTIONS(3356),
    [sym_comment] = ACTIONS(3125),
  },
  [1375] = {
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_COLON] = ACTIONS(2447),
    [anon_sym_EQ] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_import_as] = STATE(1580),
    [anon_sym_as] = ACTIONS(3852),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3854),
  },
  [1377] = {
    [aux_sym_object_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3856),
    [sym_comment] = ACTIONS(3),
  },
  [1378] = {
    [sym_import_path_segment] = ACTIONS(3858),
    [anon_sym_as] = ACTIONS(3860),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3862),
  },
  [1379] = {
    [aux_sym_object_repeat1] = STATE(1305),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(3779),
    [sym_comment] = ACTIONS(3),
  },
  [1380] = {
    [anon_sym_LBRACE] = ACTIONS(3864),
    [anon_sym_EQ_GT] = ACTIONS(3864),
    [sym_comment] = ACTIONS(3),
  },
  [1381] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3713),
    [sym_comment] = ACTIONS(3),
  },
  [1382] = {
    [sym_class_body] = STATE(775),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_statement_block] = STATE(735),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1384] = {
    [sym_component_body] = STATE(772),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1385] = {
    [sym_statement_block] = STATE(796),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1386] = {
    [sym_statement_block] = STATE(807),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_statement_block] = STATE(806),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_component_body] = STATE(805),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_class_body] = STATE(804),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1390] = {
    [sym_statement_block] = STATE(736),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_component_body] = STATE(803),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_class_body] = STATE(777),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_statement_block] = STATE(768),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_component_body] = STATE(745),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1395] = {
    [sym_identifier] = ACTIONS(3870),
    [anon_sym_RBRACE] = ACTIONS(3872),
    [sym_comment] = ACTIONS(3),
  },
  [1396] = {
    [sym_statement_block] = STATE(942),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1397] = {
    [sym_formal_parameters] = STATE(1421),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1398] = {
    [sym_component_body] = STATE(767),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_formal_type_parameter] = STATE(1409),
    [sym_identifier] = ACTIONS(3690),
    [sym_comment] = ACTIONS(3),
  },
  [1400] = {
    [sym_statement_block] = STATE(802),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1401] = {
    [sym_component_body] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_class_body] = STATE(747),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
  },
  [1403] = {
    [sym_statement_block] = STATE(1012),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1404] = {
    [sym_statement_block] = STATE(1004),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1405] = {
    [anon_sym_async] = ACTIONS(3874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(3876),
  },
  [1406] = {
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_EQ_GT] = ACTIONS(2172),
    [sym_comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_statement_block] = STATE(992),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1408] = {
    [sym_component_body] = STATE(55),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
  },
  [1409] = {
    [anon_sym_COMMA] = ACTIONS(3752),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [sym_comment] = ACTIONS(3),
  },
  [1410] = {
    [sym__for_header] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(3878),
    [sym_comment] = ACTIONS(3),
  },
  [1411] = {
    [sym_switch_body] = STATE(335),
    [anon_sym_LBRACE] = ACTIONS(3880),
    [sym_comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_statement_block] = STATE(992),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1413] = {
    [sym_class_body] = STATE(820),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1414] = {
    [sym_statement_block] = STATE(819),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1415] = {
    [sym_class_body] = STATE(58),
    [anon_sym_LBRACE] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
  },
  [1416] = {
    [sym_component_body] = STATE(818),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1417] = {
    [anon_sym_LBRACE] = ACTIONS(3882),
    [anon_sym_EQ_GT] = ACTIONS(3882),
    [sym_comment] = ACTIONS(3),
  },
  [1418] = {
    [sym_formal_parameters] = STATE(1558),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1419] = {
    [sym_new_component_body] = STATE(564),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [1420] = {
    [sym_formal_parameters] = STATE(1637),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1421] = {
    [sym_statement_block] = STATE(936),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1422] = {
    [anon_sym_SEMI] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2336),
  },
  [1423] = {
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_COLON] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
  },
  [1424] = {
    [sym_statement_block] = STATE(756),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1425] = {
    [sym_statement_block] = STATE(757),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1426] = {
    [sym_statement_block] = STATE(993),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_statement_block] = STATE(759),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1428] = {
    [sym_statement_block] = STATE(748),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1429] = {
    [sym_class_body] = STATE(712),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1430] = {
    [anon_sym_LBRACE] = ACTIONS(3884),
    [anon_sym_EQ_GT] = ACTIONS(3884),
    [sym_comment] = ACTIONS(3),
  },
  [1431] = {
    [sym_statement_block] = STATE(717),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1432] = {
    [sym_statement_block] = STATE(68),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [sym_comment] = ACTIONS(3),
  },
  [1433] = {
    [sym_formal_parameters] = STATE(1508),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1434] = {
    [sym_identifier] = ACTIONS(3888),
    [anon_sym_RBRACE] = ACTIONS(3890),
    [sym_comment] = ACTIONS(3),
  },
  [1435] = {
    [sym_component_body] = STATE(766),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
  },
  [1436] = {
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3805),
    [sym_comment] = ACTIONS(3),
  },
  [1437] = {
    [anon_sym_COMMA] = ACTIONS(3773),
    [anon_sym_RPAREN] = ACTIONS(3773),
    [sym_comment] = ACTIONS(3),
  },
  [1438] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3805),
    [sym_comment] = ACTIONS(3),
  },
  [1439] = {
    [sym_statement_block] = STATE(1004),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1440] = {
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
  },
  [1441] = {
    [anon_sym_LBRACE] = ACTIONS(3892),
    [anon_sym_EQ_GT] = ACTIONS(3892),
    [sym_comment] = ACTIONS(3),
  },
  [1442] = {
    [anon_sym_COMMA] = ACTIONS(3842),
    [anon_sym_RBRACE] = ACTIONS(3842),
    [sym_comment] = ACTIONS(3),
  },
  [1443] = {
    [sym_formal_parameters] = STATE(1428),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_new_component_expression] = STATE(326),
    [sym_identifier] = ACTIONS(3894),
    [sym_comment] = ACTIONS(3),
  },
  [1445] = {
    [sym_component_body] = STATE(53),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
  },
  [1446] = {
    [sym_component_body] = STATE(750),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_new_component_body] = STATE(703),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(3),
  },
  [1448] = {
    [sym_formal_parameters] = STATE(1546),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1449] = {
    [sym_statement_block] = STATE(741),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_class_body] = STATE(493),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [sym_comment] = ACTIONS(3),
  },
  [1451] = {
    [sym_statement_block] = STATE(937),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1452] = {
    [anon_sym_LBRACE] = ACTIONS(3896),
    [anon_sym_EQ_GT] = ACTIONS(3896),
    [sym_comment] = ACTIONS(3),
  },
  [1453] = {
    [sym_component_body] = STATE(727),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_parenthesized_expression] = STATE(39),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1455] = {
    [sym_statement_block] = STATE(498),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1456] = {
    [sym_statement_block] = STATE(1012),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1457] = {
    [sym_new_component_body] = STATE(565),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [1458] = {
    [anon_sym_LBRACE] = ACTIONS(3902),
    [anon_sym_EQ_GT] = ACTIONS(3902),
    [sym_comment] = ACTIONS(3),
  },
  [1459] = {
    [sym_formal_parameters] = STATE(1509),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1460] = {
    [sym_formal_parameters] = STATE(1503),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1461] = {
    [sym_formal_parameters] = STATE(1502),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1462] = {
    [sym_new_component_body] = STATE(269),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
  },
  [1463] = {
    [sym_statement_block] = STATE(695),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_formal_type_parameters] = STATE(1262),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1465] = {
    [sym_statement_block] = STATE(56),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [sym_comment] = ACTIONS(3),
  },
  [1466] = {
    [sym_statement_block] = STATE(791),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_formal_parameters] = STATE(1481),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1468] = {
    [sym_formal_parameters] = STATE(1488),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_class_body] = STATE(699),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
  },
  [1470] = {
    [anon_sym_LBRACE] = ACTIONS(3906),
    [anon_sym_EQ_GT] = ACTIONS(3906),
    [sym_comment] = ACTIONS(3),
  },
  [1471] = {
    [sym_statement_block] = STATE(778),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_class_body] = STATE(751),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_formal_parameters] = STATE(1432),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_parenthesized_expression] = STATE(1411),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1475] = {
    [sym_statement_block] = STATE(522),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_statement_block] = STATE(527),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_class_body] = STATE(771),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_new_component_body] = STATE(268),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_statement_block] = STATE(994),
    [anon_sym_LBRACE] = ACTIONS(3523),
    [sym_comment] = ACTIONS(3),
  },
  [1480] = {
    [anon_sym_SEMI] = ACTIONS(3908),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3908),
  },
  [1481] = {
    [sym_statement_block] = STATE(67),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [sym_comment] = ACTIONS(3),
  },
  [1482] = {
    [sym_component_body] = STATE(753),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
  },
  [1483] = {
    [sym_statement_block] = STATE(289),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1484] = {
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3713),
    [sym_comment] = ACTIONS(3),
  },
  [1485] = {
    [anon_sym_SEMI] = ACTIONS(3910),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3910),
  },
  [1486] = {
    [sym_class_body] = STATE(528),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [sym_comment] = ACTIONS(3),
  },
  [1487] = {
    [sym_class_body] = STATE(529),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [sym_comment] = ACTIONS(3),
  },
  [1488] = {
    [sym_statement_block] = STATE(530),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1489] = {
    [sym_statement_block] = STATE(287),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1490] = {
    [sym_component_body] = STATE(487),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_class_body] = STATE(70),
    [anon_sym_LBRACE] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
  },
  [1492] = {
    [anon_sym_SEMI] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2442),
  },
  [1493] = {
    [sym_statement_block] = STATE(286),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1494] = {
    [anon_sym_SEMI] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2911),
  },
  [1495] = {
    [sym_statement_block] = STATE(524),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_parenthesized_expression] = STATE(43),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_component_body] = STATE(60),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
  },
  [1498] = {
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3703),
    [sym_comment] = ACTIONS(3),
  },
  [1499] = {
    [anon_sym_SEMI] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2424),
  },
  [1500] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3703),
    [sym_comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_component_body] = STATE(763),
    [anon_sym_LBRACE] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_statement_block] = STATE(521),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_statement_block] = STATE(516),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1504] = {
    [sym_component_body] = STATE(514),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
  },
  [1505] = {
    [sym_class_body] = STATE(513),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [sym_comment] = ACTIONS(3),
  },
  [1506] = {
    [sym_formal_type_parameters] = STATE(1199),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1507] = {
    [sym_component_body] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
  },
  [1508] = {
    [sym_statement_block] = STATE(760),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1509] = {
    [sym_statement_block] = STATE(511),
    [anon_sym_LBRACE] = ACTIONS(3900),
    [sym_comment] = ACTIONS(3),
  },
  [1510] = {
    [sym_component_body] = STATE(474),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_formal_type_parameters] = STATE(1201),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1512] = {
    [anon_sym_SEMI] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2430),
  },
  [1513] = {
    [sym_formal_parameters] = STATE(1400),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1514] = {
    [anon_sym_SEMI] = ACTIONS(3912),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3912),
  },
  [1515] = {
    [sym_identifier] = ACTIONS(3914),
    [anon_sym_LPAREN] = ACTIONS(3916),
    [sym_comment] = ACTIONS(3),
  },
  [1516] = {
    [sym_class_body] = STATE(821),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1517] = {
    [sym_formal_type_parameters] = STATE(1203),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1518] = {
    [sym_formal_parameters] = STATE(1393),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(3918),
    [sym_jsx_identifier] = ACTIONS(3920),
    [sym_comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_formal_parameters] = STATE(1387),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_formal_parameters] = STATE(1386),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_formal_parameters] = STATE(1479),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1523] = {
    [anon_sym_SEMI] = ACTIONS(3922),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3922),
  },
  [1524] = {
    [sym_property_declaration_name] = STATE(1576),
    [sym_identifier] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_statement_block] = STATE(274),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_statement_block] = STATE(312),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_formal_parameters] = STATE(1427),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1528] = {
    [sym_formal_parameters] = STATE(1425),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1529] = {
    [sym_parenthesized_expression] = STATE(1523),
    [anon_sym_LPAREN] = ACTIONS(3924),
    [sym_comment] = ACTIONS(3),
  },
  [1530] = {
    [sym_formal_parameters] = STATE(1465),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1531] = {
    [sym_new_component_body] = STATE(472),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
  },
  [1532] = {
    [sym_statement_block] = STATE(781),
    [anon_sym_LBRACE] = ACTIONS(3868),
    [sym_comment] = ACTIONS(3),
  },
  [1533] = {
    [sym_formal_parameters] = STATE(1414),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1534] = {
    [sym_statement_block] = STATE(54),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [sym_comment] = ACTIONS(3),
  },
  [1535] = {
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_EQ_GT] = ACTIONS(3926),
    [sym_comment] = ACTIONS(3),
  },
  [1536] = {
    [anon_sym_SEMI] = ACTIONS(3928),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3928),
  },
  [1537] = {
    [sym_formal_type_parameters] = STATE(1221),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1538] = {
    [sym_new_component_body] = STATE(470),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
  },
  [1539] = {
    [anon_sym_LBRACE] = ACTIONS(3930),
    [anon_sym_EQ_GT] = ACTIONS(3930),
    [sym_comment] = ACTIONS(3),
  },
  [1540] = {
    [anon_sym_LBRACE] = ACTIONS(3932),
    [anon_sym_EQ_GT] = ACTIONS(3932),
    [sym_comment] = ACTIONS(3),
  },
  [1541] = {
    [anon_sym_else] = ACTIONS(3934),
    [anon_sym_while] = ACTIONS(1820),
    [sym_comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_formal_type_parameters] = STATE(1222),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1543] = {
    [sym_formal_type_parameters] = STATE(975),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_parenthesized_expression] = STATE(30),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1545] = {
    [anon_sym_LBRACE] = ACTIONS(3936),
    [anon_sym_EQ_GT] = ACTIONS(3936),
    [sym_comment] = ACTIONS(3),
  },
  [1546] = {
    [sym_statement_block] = STATE(749),
    [anon_sym_LBRACE] = ACTIONS(3866),
    [sym_comment] = ACTIONS(3),
  },
  [1547] = {
    [anon_sym_COMMA] = ACTIONS(3938),
    [anon_sym_RPAREN] = ACTIONS(3938),
    [sym_comment] = ACTIONS(3),
  },
  [1548] = {
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3783),
    [sym_comment] = ACTIONS(3),
  },
  [1549] = {
    [anon_sym_COMMA] = ACTIONS(3940),
    [anon_sym_RPAREN] = ACTIONS(3940),
    [sym_comment] = ACTIONS(3),
  },
  [1550] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3783),
    [sym_comment] = ACTIONS(3),
  },
  [1551] = {
    [anon_sym_COMMA] = ACTIONS(3942),
    [anon_sym_RPAREN] = ACTIONS(3942),
    [sym_comment] = ACTIONS(3),
  },
  [1552] = {
    [anon_sym_SEMI] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3944),
  },
  [1553] = {
    [sym_formal_parameters] = STATE(1534),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1554] = {
    [sym_new_component_body] = STATE(769),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [sym_comment] = ACTIONS(3),
  },
  [1555] = {
    [sym_formal_parameters] = STATE(1390),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1556] = {
    [sym_formal_parameters] = STATE(1449),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1557] = {
    [sym_formal_parameters] = STATE(1451),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1558] = {
    [sym_statement_block] = STATE(938),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_component_body] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
  },
  [1560] = {
    [sym__for_header] = STATE(36),
    [anon_sym_LPAREN] = ACTIONS(3878),
    [sym_comment] = ACTIONS(3),
  },
  [1561] = {
    [anon_sym_LBRACE] = ACTIONS(3946),
    [anon_sym_EQ_GT] = ACTIONS(3946),
    [sym_comment] = ACTIONS(3),
  },
  [1562] = {
    [sym_new_component_expression] = STATE(326),
    [sym_identifier] = ACTIONS(3948),
    [sym_comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_statement_block] = STATE(945),
    [anon_sym_LBRACE] = ACTIONS(3575),
    [sym_comment] = ACTIONS(3),
  },
  [1564] = {
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2743),
    [sym_comment] = ACTIONS(3),
  },
  [1565] = {
    [sym_parenthesized_expression] = STATE(47),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1566] = {
    [sym_formal_parameters] = STATE(1396),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1567] = {
    [sym_formal_parameters] = STATE(1666),
    [anon_sym_LPAREN] = ACTIONS(3270),
    [sym_comment] = ACTIONS(3),
  },
  [1568] = {
    [sym_property_declaration_name] = STATE(944),
    [sym_identifier] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
  },
  [1569] = {
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
  },
  [1570] = {
    [sym_parenthesized_expression] = STATE(44),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1571] = {
    [anon_sym_COLON] = ACTIONS(3095),
    [anon_sym_GT] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
  },
  [1572] = {
    [anon_sym_COMMA] = ACTIONS(3701),
    [anon_sym_RBRACE] = ACTIONS(3701),
    [sym_comment] = ACTIONS(3),
  },
  [1573] = {
    [anon_sym_DOT] = ACTIONS(3091),
    [anon_sym_GT] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
  },
  [1574] = {
    [sym_parenthesized_expression] = STATE(41),
    [anon_sym_LPAREN] = ACTIONS(3898),
    [sym_comment] = ACTIONS(3),
  },
  [1575] = {
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_EQ_GT] = ACTIONS(3950),
    [sym_comment] = ACTIONS(3),
  },
  [1576] = {
    [sym_formal_type_parameters] = STATE(1241),
    [anon_sym_LPAREN] = ACTIONS(3904),
    [sym_comment] = ACTIONS(3),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(3952),
    [sym_comment] = ACTIONS(3),
  },
  [1578] = {
    [anon_sym_GT] = ACTIONS(3954),
    [sym_comment] = ACTIONS(3),
  },
  [1579] = {
    [sym_identifier] = ACTIONS(3956),
    [sym_comment] = ACTIONS(3),
  },
  [1580] = {
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(3958),
  },
  [1581] = {
    [anon_sym_GT] = ACTIONS(3960),
    [sym_comment] = ACTIONS(3),
  },
  [1582] = {
    [anon_sym_EQ] = ACTIONS(3573),
    [sym_comment] = ACTIONS(3),
  },
  [1583] = {
    [anon_sym_GT] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
  },
  [1584] = {
    [anon_sym_EQ] = ACTIONS(3656),
    [sym_comment] = ACTIONS(3),
  },
  [1585] = {
    [sym_comment] = ACTIONS(3125),
    [sym_regex_pattern] = ACTIONS(3962),
  },
  [1586] = {
    [anon_sym_GT] = ACTIONS(3964),
    [sym_comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(3966),
  },
  [1588] = {
    [sym_comment] = ACTIONS(3125),
    [sym_regex_pattern] = ACTIONS(3968),
  },
  [1589] = {
    [sym_identifier] = ACTIONS(3970),
    [sym_comment] = ACTIONS(3),
  },
  [1590] = {
    [anon_sym_from] = ACTIONS(3972),
    [sym_comment] = ACTIONS(3),
  },
  [1591] = {
    [sym_identifier] = ACTIONS(3974),
    [sym_comment] = ACTIONS(3),
  },
  [1592] = {
    [sym_import_path_segment] = ACTIONS(3976),
    [sym_comment] = ACTIONS(3),
  },
  [1593] = {
    [sym_identifier] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
  },
  [1594] = {
    [sym_identifier] = ACTIONS(3980),
    [sym_comment] = ACTIONS(3),
  },
  [1595] = {
    [sym_identifier] = ACTIONS(3982),
    [sym_comment] = ACTIONS(3),
  },
  [1596] = {
    [anon_sym_GT] = ACTIONS(3984),
    [sym_comment] = ACTIONS(3),
  },
  [1597] = {
    [anon_sym_RPAREN] = ACTIONS(2529),
    [sym_comment] = ACTIONS(3),
  },
  [1598] = {
    [anon_sym_RPAREN] = ACTIONS(2523),
    [sym_comment] = ACTIONS(3),
  },
  [1599] = {
    [ts_builtin_sym_end] = ACTIONS(3986),
    [sym_comment] = ACTIONS(3),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(3988),
    [sym_comment] = ACTIONS(3),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(3990),
    [sym_comment] = ACTIONS(3),
  },
  [1602] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(3992),
  },
  [1603] = {
    [anon_sym_GT] = ACTIONS(3994),
    [sym_comment] = ACTIONS(3),
  },
  [1604] = {
    [anon_sym_GT] = ACTIONS(3783),
    [sym_comment] = ACTIONS(3),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(3996),
    [sym_comment] = ACTIONS(3),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(3998),
    [sym_comment] = ACTIONS(3),
  },
  [1607] = {
    [anon_sym_RPAREN] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_identifier] = ACTIONS(4000),
    [sym_comment] = ACTIONS(3),
  },
  [1609] = {
    [anon_sym_GT] = ACTIONS(4002),
    [sym_comment] = ACTIONS(3),
  },
  [1610] = {
    [anon_sym_GT] = ACTIONS(4004),
    [sym_comment] = ACTIONS(3),
  },
  [1611] = {
    [sym_identifier] = ACTIONS(4006),
    [sym_comment] = ACTIONS(3),
  },
  [1612] = {
    [anon_sym_COLON] = ACTIONS(4008),
    [sym_comment] = ACTIONS(3),
  },
  [1613] = {
    [anon_sym_GT] = ACTIONS(4010),
    [sym_comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_identifier] = ACTIONS(4012),
    [sym_comment] = ACTIONS(3),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(4014),
    [sym_comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_target] = ACTIONS(4016),
  },
  [1617] = {
    [anon_sym_EQ_GT] = ACTIONS(4018),
    [sym_comment] = ACTIONS(3),
  },
  [1618] = {
    [anon_sym_EQ_GT] = ACTIONS(3950),
    [sym_comment] = ACTIONS(3),
  },
  [1619] = {
    [anon_sym_COLON] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
  },
  [1620] = {
    [anon_sym_EQ_GT] = ACTIONS(4022),
    [sym_comment] = ACTIONS(3),
  },
  [1621] = {
    [anon_sym_RPAREN] = ACTIONS(2493),
    [sym_comment] = ACTIONS(3),
  },
  [1622] = {
    [anon_sym_EQ_GT] = ACTIONS(4024),
    [sym_comment] = ACTIONS(3),
  },
  [1623] = {
    [anon_sym_EQ_GT] = ACTIONS(4026),
    [sym_comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(4028),
  },
  [1625] = {
    [anon_sym_RPAREN] = ACTIONS(2519),
    [sym_comment] = ACTIONS(3),
  },
  [1626] = {
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
  },
  [1627] = {
    [sym_identifier] = ACTIONS(4030),
    [sym_comment] = ACTIONS(3),
  },
  [1628] = {
    [sym_identifier] = ACTIONS(4032),
    [sym_comment] = ACTIONS(3),
  },
  [1629] = {
    [anon_sym_EQ_GT] = ACTIONS(4034),
    [sym_comment] = ACTIONS(3),
  },
  [1630] = {
    [anon_sym_GT] = ACTIONS(4036),
    [sym_comment] = ACTIONS(3),
  },
  [1631] = {
    [sym_identifier] = ACTIONS(4038),
    [sym_comment] = ACTIONS(3),
  },
  [1632] = {
    [anon_sym_RPAREN] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
  },
  [1633] = {
    [anon_sym_LBRACE] = ACTIONS(4040),
    [sym_comment] = ACTIONS(3),
  },
  [1634] = {
    [sym_identifier] = ACTIONS(4042),
    [sym_comment] = ACTIONS(3),
  },
  [1635] = {
    [anon_sym_EQ_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(3),
  },
  [1636] = {
    [anon_sym_GT] = ACTIONS(4046),
    [sym_comment] = ACTIONS(3),
  },
  [1637] = {
    [anon_sym_EQ_GT] = ACTIONS(4048),
    [sym_comment] = ACTIONS(3),
  },
  [1638] = {
    [anon_sym_GT] = ACTIONS(4050),
    [sym_comment] = ACTIONS(3),
  },
  [1639] = {
    [anon_sym_GT] = ACTIONS(3703),
    [sym_comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_comment] = ACTIONS(3125),
    [sym_regex_pattern] = ACTIONS(4052),
  },
  [1641] = {
    [anon_sym_RPAREN] = ACTIONS(4054),
    [sym_comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(4056),
    [sym_comment] = ACTIONS(3),
  },
  [1643] = {
    [anon_sym_GT] = ACTIONS(4058),
    [sym_comment] = ACTIONS(3),
  },
  [1644] = {
    [anon_sym_LBRACE] = ACTIONS(4060),
    [sym_comment] = ACTIONS(3),
  },
  [1645] = {
    [anon_sym_GT] = ACTIONS(4062),
    [sym_comment] = ACTIONS(3),
  },
  [1646] = {
    [anon_sym_RPAREN] = ACTIONS(4064),
    [sym_comment] = ACTIONS(3),
  },
  [1647] = {
    [anon_sym_RPAREN] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
  },
  [1648] = {
    [anon_sym_RBRACK] = ACTIONS(2525),
    [sym_comment] = ACTIONS(3),
  },
  [1649] = {
    [anon_sym_RPAREN] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
  },
  [1650] = {
    [anon_sym_GT] = ACTIONS(3713),
    [sym_comment] = ACTIONS(3),
  },
  [1651] = {
    [anon_sym_while] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
  },
  [1652] = {
    [anon_sym_GT] = ACTIONS(4070),
    [sym_comment] = ACTIONS(3),
  },
  [1653] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(4072),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(4074),
    [sym_comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(4076),
    [sym_comment] = ACTIONS(3),
  },
  [1656] = {
    [anon_sym_EQ_GT] = ACTIONS(4078),
    [sym_comment] = ACTIONS(3),
  },
  [1657] = {
    [anon_sym_EQ_GT] = ACTIONS(4080),
    [sym_comment] = ACTIONS(3),
  },
  [1658] = {
    [anon_sym_EQ_GT] = ACTIONS(4082),
    [sym_comment] = ACTIONS(3),
  },
  [1659] = {
    [anon_sym_GT] = ACTIONS(3805),
    [sym_comment] = ACTIONS(3),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(4084),
    [sym_comment] = ACTIONS(3),
  },
  [1661] = {
    [anon_sym_LBRACE] = ACTIONS(4086),
    [sym_comment] = ACTIONS(3),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(4088),
    [sym_comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_comment] = ACTIONS(3125),
    [sym_regex_pattern] = ACTIONS(4090),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(4092),
    [sym_comment] = ACTIONS(3),
  },
  [1665] = {
    [anon_sym_RBRACE] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
  },
  [1666] = {
    [anon_sym_EQ_GT] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
  },
  [1667] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(3876),
  },
  [1668] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_target] = ACTIONS(4096),
  },
  [1669] = {
    [anon_sym_COLON] = ACTIONS(4098),
    [sym_comment] = ACTIONS(3),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(4100),
    [sym_comment] = ACTIONS(3),
  },
  [1671] = {
    [anon_sym_COLON] = ACTIONS(4102),
    [sym_comment] = ACTIONS(3),
  },
  [1672] = {
    [anon_sym_EQ_GT] = ACTIONS(4104),
    [sym_comment] = ACTIONS(3),
  },
  [1673] = {
    [anon_sym_EQ_GT] = ACTIONS(4106),
    [sym_comment] = ACTIONS(3),
  },
  [1674] = {
    [anon_sym_EQ_GT] = ACTIONS(4108),
    [sym_comment] = ACTIONS(3),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(4110),
    [sym_comment] = ACTIONS(3),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(4112),
    [sym_comment] = ACTIONS(3),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(4114),
    [sym_comment] = ACTIONS(3),
  },
  [1678] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(4116),
  },
  [1679] = {
    [anon_sym_RPAREN] = ACTIONS(2515),
    [sym_comment] = ACTIONS(3),
  },
  [1680] = {
    [anon_sym_RBRACK] = ACTIONS(2479),
    [sym_comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(4118),
    [sym_comment] = ACTIONS(3),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
  },
  [1683] = {
    [anon_sym_RPAREN] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
  },
  [1684] = {
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
  },
  [1685] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_target] = ACTIONS(4124),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
  },
  [1687] = {
    [anon_sym_RBRACK] = ACTIONS(2477),
    [sym_comment] = ACTIONS(3),
  },
  [1688] = {
    [anon_sym_from] = ACTIONS(4128),
    [sym_comment] = ACTIONS(3),
  },
  [1689] = {
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [sym_comment] = ACTIONS(3),
  },
  [1690] = {
    [anon_sym_RPAREN] = ACTIONS(2513),
    [sym_comment] = ACTIONS(3),
  },
  [1691] = {
    [anon_sym_from] = ACTIONS(4132),
    [sym_comment] = ACTIONS(3),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(4134),
    [sym_comment] = ACTIONS(3),
  },
  [1693] = {
    [anon_sym_from] = ACTIONS(4136),
    [sym_comment] = ACTIONS(3),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
  },
  [1695] = {
    [anon_sym_from] = ACTIONS(4140),
    [sym_comment] = ACTIONS(3),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(4142),
    [sym_comment] = ACTIONS(3),
  },
  [1697] = {
    [anon_sym_GT] = ACTIONS(4144),
    [sym_comment] = ACTIONS(3),
  },
  [1698] = {
    [anon_sym_GT] = ACTIONS(4146),
    [sym_comment] = ACTIONS(3),
  },
  [1699] = {
    [anon_sym_RPAREN] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
  },
  [1700] = {
    [anon_sym_RPAREN] = ACTIONS(2489),
    [sym_comment] = ACTIONS(3),
  },
  [1701] = {
    [anon_sym_COLON] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
  },
  [1702] = {
    [anon_sym_RBRACE] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
  },
  [1703] = {
    [anon_sym_COLON] = ACTIONS(4148),
    [sym_comment] = ACTIONS(3),
  },
  [1704] = {
    [anon_sym_GT] = ACTIONS(4150),
    [sym_comment] = ACTIONS(3),
  },
  [1705] = {
    [anon_sym_RBRACE] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
  },
  [1706] = {
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(4152),
  },
  [1707] = {
    [anon_sym_RPAREN] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
  },
  [1708] = {
    [anon_sym_from] = ACTIONS(4154),
    [sym_comment] = ACTIONS(3),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(4156),
    [sym_comment] = ACTIONS(3),
  },
  [1710] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(4158),
  },
  [1711] = {
    [anon_sym_RPAREN] = ACTIONS(2481),
    [sym_comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_fn] = ACTIONS(4160),
  },
  [1713] = {
    [anon_sym_COLON] = ACTIONS(4162),
    [sym_comment] = ACTIONS(3),
  },
  [1714] = {
    [anon_sym_GT] = ACTIONS(4164),
    [sym_comment] = ACTIONS(3),
  },
  [1715] = {
    [anon_sym_RBRACE] = ACTIONS(2485),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(376),
  [9] = {.count = 1, .reusable = true}, SHIFT(18),
  [11] = {.count = 1, .reusable = false}, SHIFT(641),
  [13] = {.count = 1, .reusable = true}, SHIFT(4),
  [15] = {.count = 1, .reusable = false}, SHIFT(1129),
  [17] = {.count = 1, .reusable = false}, SHIFT(1106),
  [19] = {.count = 1, .reusable = false}, SHIFT(1454),
  [21] = {.count = 1, .reusable = false}, SHIFT(1474),
  [23] = {.count = 1, .reusable = false}, SHIFT(1339),
  [25] = {.count = 1, .reusable = true}, SHIFT(86),
  [27] = {.count = 1, .reusable = false}, SHIFT(176),
  [29] = {.count = 1, .reusable = false}, SHIFT(1496),
  [31] = {.count = 1, .reusable = false}, SHIFT(29),
  [33] = {.count = 1, .reusable = false}, SHIFT(1525),
  [35] = {.count = 1, .reusable = false}, SHIFT(1544),
  [37] = {.count = 1, .reusable = false}, SHIFT(1364),
  [39] = {.count = 1, .reusable = false}, SHIFT(1299),
  [41] = {.count = 1, .reusable = false}, SHIFT(1552),
  [43] = {.count = 1, .reusable = false}, SHIFT(96),
  [45] = {.count = 1, .reusable = false}, SHIFT(110),
  [47] = {.count = 1, .reusable = true}, SHIFT(290),
  [49] = {.count = 1, .reusable = false}, SHIFT(51),
  [51] = {.count = 1, .reusable = true}, SHIFT(83),
  [53] = {.count = 1, .reusable = true}, SHIFT(1153),
  [55] = {.count = 1, .reusable = false}, SHIFT(1588),
  [57] = {.count = 1, .reusable = false}, SHIFT(1161),
  [59] = {.count = 1, .reusable = false}, SHIFT(361),
  [61] = {.count = 1, .reusable = false}, SHIFT(1187),
  [63] = {.count = 1, .reusable = false}, SHIFT(107),
  [65] = {.count = 1, .reusable = false}, SHIFT(231),
  [67] = {.count = 1, .reusable = true}, SHIFT(232),
  [69] = {.count = 1, .reusable = false}, SHIFT(236),
  [71] = {.count = 1, .reusable = true}, SHIFT(242),
  [73] = {.count = 1, .reusable = true}, SHIFT(1246),
  [75] = {.count = 1, .reusable = true}, SHIFT(1198),
  [77] = {.count = 1, .reusable = true}, SHIFT(1108),
  [79] = {.count = 1, .reusable = true}, SHIFT(688),
  [81] = {.count = 1, .reusable = false}, SHIFT(688),
  [83] = {.count = 1, .reusable = false}, SHIFT(1107),
  [85] = {.count = 1, .reusable = true}, SHIFT(1074),
  [87] = {.count = 1, .reusable = false}, SHIFT(408),
  [89] = {.count = 1, .reusable = false}, SHIFT(1591),
  [91] = {.count = 1, .reusable = false}, SHIFT(1595),
  [93] = {.count = 1, .reusable = false}, SHIFT(362),
  [95] = {.count = 1, .reusable = true}, SHIFT(879),
  [97] = {.count = 1, .reusable = true}, SHIFT(774),
  [99] = {.count = 1, .reusable = true}, SHIFT(1006),
  [101] = {.count = 1, .reusable = true}, SHIFT(88),
  [103] = {.count = 1, .reusable = false}, SHIFT(264),
  [105] = {.count = 1, .reusable = true}, SHIFT(249),
  [107] = {.count = 1, .reusable = true}, SHIFT(855),
  [109] = {.count = 1, .reusable = true}, SHIFT(1076),
  [111] = {.count = 1, .reusable = false}, SHIFT(282),
  [113] = {.count = 1, .reusable = false}, SHIFT(281),
  [115] = {.count = 1, .reusable = false}, SHIFT(357),
  [117] = {.count = 1, .reusable = true}, SHIFT(428),
  [119] = {.count = 1, .reusable = false}, SHIFT(261),
  [121] = {.count = 1, .reusable = false}, SHIFT(279),
  [123] = {.count = 1, .reusable = false}, SHIFT(283),
  [125] = {.count = 1, .reusable = true}, SHIFT(52),
  [127] = {.count = 1, .reusable = false}, SHIFT(354),
  [129] = {.count = 1, .reusable = true}, SHIFT(568),
  [131] = {.count = 1, .reusable = false}, SHIFT(263),
  [133] = {.count = 1, .reusable = false}, SHIFT(280),
  [135] = {.count = 1, .reusable = false}, SHIFT(277),
  [137] = {.count = 1, .reusable = true}, SHIFT(436),
  [139] = {.count = 1, .reusable = true}, SHIFT(553),
  [141] = {.count = 1, .reusable = true}, SHIFT(633),
  [143] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [145] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(376),
  [148] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(641),
  [151] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [154] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1129),
  [157] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1106),
  [160] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1454),
  [163] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1474),
  [166] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1339),
  [169] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(86),
  [172] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(176),
  [175] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1496),
  [178] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [181] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1525),
  [184] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1544),
  [187] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1364),
  [190] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1299),
  [193] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1552),
  [196] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(96),
  [199] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(110),
  [202] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(290),
  [205] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(51),
  [210] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(83),
  [213] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1153),
  [216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1588),
  [219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1161),
  [222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(361),
  [225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1187),
  [228] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(107),
  [231] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(231),
  [234] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(232),
  [237] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [240] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(242),
  [243] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1246),
  [246] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1198),
  [249] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1108),
  [252] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(688),
  [255] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(688),
  [258] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1107),
  [261] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1074),
  [264] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(408),
  [267] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1591),
  [270] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1595),
  [273] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3, .production_id = 58),
  [275] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3, .production_id = 58),
  [277] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [279] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [281] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [283] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [285] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4, .production_id = 58),
  [287] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4, .production_id = 58),
  [289] = {.count = 1, .reusable = true}, SHIFT(74),
  [291] = {.count = 1, .reusable = true}, SHIFT(64),
  [293] = {.count = 1, .reusable = true}, SHIFT(632),
  [295] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [297] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [299] = {.count = 1, .reusable = true}, SHIFT(257),
  [301] = {.count = 1, .reusable = true}, SHIFT(619),
  [303] = {.count = 1, .reusable = true}, SHIFT(954),
  [305] = {.count = 1, .reusable = true}, SHIFT(622),
  [307] = {.count = 1, .reusable = true}, SHIFT(258),
  [309] = {.count = 1, .reusable = true}, SHIFT(967),
  [311] = {.count = 1, .reusable = true}, SHIFT(464),
  [313] = {.count = 1, .reusable = true}, SHIFT(466),
  [315] = {.count = 1, .reusable = true}, SHIFT(652),
  [317] = {.count = 1, .reusable = false}, SHIFT(374),
  [319] = {.count = 1, .reusable = false}, SHIFT(617),
  [321] = {.count = 1, .reusable = true}, SHIFT(8),
  [323] = {.count = 1, .reusable = false}, SHIFT(1565),
  [325] = {.count = 1, .reusable = false}, SHIFT(1363),
  [327] = {.count = 1, .reusable = false}, SHIFT(1570),
  [329] = {.count = 1, .reusable = false}, SHIFT(1574),
  [331] = {.count = 1, .reusable = false}, SHIFT(1171),
  [333] = {.count = 1, .reusable = false}, SHIFT(356),
  [335] = {.count = 1, .reusable = false}, SHIFT(1257),
  [337] = {.count = 1, .reusable = false}, SHIFT(412),
  [339] = {.count = 1, .reusable = false}, SHIFT(1589),
  [341] = {.count = 1, .reusable = false}, SHIFT(278),
  [343] = {.count = 1, .reusable = false}, SHIFT(483),
  [345] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [347] = {.count = 1, .reusable = true}, SHIFT(876),
  [349] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [351] = {.count = 1, .reusable = true}, SHIFT(85),
  [353] = {.count = 1, .reusable = false}, SHIFT(254),
  [355] = {.count = 1, .reusable = false}, SHIFT(48),
  [357] = {.count = 1, .reusable = false}, SHIFT(241),
  [359] = {.count = 1, .reusable = true}, SHIFT(84),
  [361] = {.count = 1, .reusable = false}, SHIFT(1142),
  [363] = {.count = 1, .reusable = false}, SHIFT(1663),
  [365] = {.count = 1, .reusable = false}, SHIFT(1144),
  [367] = {.count = 1, .reusable = false}, SHIFT(331),
  [369] = {.count = 1, .reusable = false}, SHIFT(1215),
  [371] = {.count = 1, .reusable = false}, SHIFT(151),
  [373] = {.count = 1, .reusable = false}, SHIFT(216),
  [375] = {.count = 1, .reusable = false}, SHIFT(217),
  [377] = {.count = 1, .reusable = true}, SHIFT(217),
  [379] = {.count = 1, .reusable = false}, SHIFT(218),
  [381] = {.count = 1, .reusable = true}, SHIFT(219),
  [383] = {.count = 1, .reusable = true}, SHIFT(1228),
  [385] = {.count = 1, .reusable = true}, SHIFT(1226),
  [387] = {.count = 1, .reusable = true}, SHIFT(1115),
  [389] = {.count = 1, .reusable = true}, SHIFT(453),
  [391] = {.count = 1, .reusable = false}, SHIFT(453),
  [393] = {.count = 1, .reusable = false}, SHIFT(1102),
  [395] = {.count = 1, .reusable = false}, SHIFT(353),
  [397] = {.count = 1, .reusable = false}, SHIFT(1642),
  [399] = {.count = 1, .reusable = false}, SHIFT(301),
  [401] = {.count = 1, .reusable = false}, SHIFT(255),
  [403] = {.count = 1, .reusable = false}, SHIFT(49),
  [405] = {.count = 1, .reusable = false}, SHIFT(163),
  [407] = {.count = 1, .reusable = false}, SHIFT(1640),
  [409] = {.count = 1, .reusable = false}, SHIFT(347),
  [411] = {.count = 1, .reusable = false}, SHIFT(141),
  [413] = {.count = 1, .reusable = false}, SHIFT(159),
  [415] = {.count = 1, .reusable = false}, SHIFT(160),
  [417] = {.count = 1, .reusable = true}, SHIFT(160),
  [419] = {.count = 1, .reusable = false}, SHIFT(161),
  [421] = {.count = 1, .reusable = true}, SHIFT(162),
  [423] = {.count = 1, .reusable = true}, SHIFT(554),
  [425] = {.count = 1, .reusable = false}, SHIFT(554),
  [427] = {.count = 1, .reusable = false}, SHIFT(383),
  [429] = {.count = 1, .reusable = false}, SHIFT(371),
  [431] = {.count = 1, .reusable = false}, SHIFT(731),
  [433] = {.count = 1, .reusable = true}, SHIFT(878),
  [435] = {.count = 1, .reusable = true}, SHIFT(81),
  [437] = {.count = 1, .reusable = false}, SHIFT(175),
  [439] = {.count = 1, .reusable = false}, SHIFT(50),
  [441] = {.count = 1, .reusable = false}, SHIFT(205),
  [443] = {.count = 1, .reusable = true}, SHIFT(77),
  [445] = {.count = 1, .reusable = false}, SHIFT(1159),
  [447] = {.count = 1, .reusable = false}, SHIFT(1585),
  [449] = {.count = 1, .reusable = false}, SHIFT(1136),
  [451] = {.count = 1, .reusable = false}, SHIFT(351),
  [453] = {.count = 1, .reusable = false}, SHIFT(1202),
  [455] = {.count = 1, .reusable = false}, SHIFT(104),
  [457] = {.count = 1, .reusable = false}, SHIFT(158),
  [459] = {.count = 1, .reusable = false}, SHIFT(194),
  [461] = {.count = 1, .reusable = true}, SHIFT(194),
  [463] = {.count = 1, .reusable = false}, SHIFT(185),
  [465] = {.count = 1, .reusable = true}, SHIFT(193),
  [467] = {.count = 1, .reusable = true}, SHIFT(1269),
  [469] = {.count = 1, .reusable = true}, SHIFT(1185),
  [471] = {.count = 1, .reusable = true}, SHIFT(1104),
  [473] = {.count = 1, .reusable = true}, SHIFT(593),
  [475] = {.count = 1, .reusable = false}, SHIFT(593),
  [477] = {.count = 1, .reusable = false}, SHIFT(1105),
  [479] = {.count = 1, .reusable = false}, SHIFT(399),
  [481] = {.count = 1, .reusable = false}, SHIFT(1634),
  [483] = {.count = 1, .reusable = false}, SHIFT(375),
  [485] = {.count = 1, .reusable = false}, SHIFT(840),
  [487] = {.count = 1, .reusable = true}, SHIFT(877),
  [489] = {.count = 1, .reusable = false}, SHIFT(178),
  [491] = {.count = 1, .reusable = false}, SHIFT(1153),
  [493] = {.count = 1, .reusable = false}, SHIFT(1152),
  [495] = {.count = 1, .reusable = false}, SHIFT(364),
  [497] = {.count = 1, .reusable = false}, SHIFT(1254),
  [499] = {.count = 1, .reusable = false}, SHIFT(232),
  [501] = {.count = 1, .reusable = true}, SHIFT(670),
  [503] = {.count = 1, .reusable = false}, SHIFT(670),
  [505] = {.count = 1, .reusable = false}, SHIFT(411),
  [507] = {.count = 1, .reusable = false}, SHIFT(1594),
  [509] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [511] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [513] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [515] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [517] = {.count = 1, .reusable = true}, SHIFT(260),
  [519] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 5, .production_id = 90),
  [521] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 5, .production_id = 90),
  [523] = {.count = 1, .reusable = false}, REDUCE(sym_component, 5, .production_id = 90),
  [525] = {.count = 1, .reusable = true}, REDUCE(sym_component, 5, .production_id = 90),
  [527] = {.count = 1, .reusable = true}, SHIFT(313),
  [529] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [531] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [533] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [535] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [537] = {.count = 1, .reusable = true}, SHIFT(338),
  [539] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 4, .production_id = 68),
  [541] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 4, .production_id = 68),
  [543] = {.count = 1, .reusable = false}, REDUCE(sym_component, 4, .production_id = 68),
  [545] = {.count = 1, .reusable = true}, REDUCE(sym_component, 4, .production_id = 68),
  [547] = {.count = 1, .reusable = true}, SHIFT(324),
  [549] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 73),
  [551] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 73),
  [553] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 73),
  [555] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 73),
  [557] = {.count = 1, .reusable = true}, SHIFT(344),
  [559] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 4, .production_id = 77),
  [561] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 4, .production_id = 77),
  [563] = {.count = 1, .reusable = false}, REDUCE(sym_component, 4, .production_id = 77),
  [565] = {.count = 1, .reusable = true}, REDUCE(sym_component, 4, .production_id = 77),
  [567] = {.count = 1, .reusable = true}, SHIFT(340),
  [569] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [571] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [573] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5, .production_id = 90),
  [575] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5, .production_id = 90),
  [577] = {.count = 1, .reusable = true}, SHIFT(309),
  [579] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 6, .production_id = 99),
  [581] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 6, .production_id = 99),
  [583] = {.count = 1, .reusable = false}, REDUCE(sym_component, 6, .production_id = 99),
  [585] = {.count = 1, .reusable = true}, REDUCE(sym_component, 6, .production_id = 99),
  [587] = {.count = 1, .reusable = true}, SHIFT(343),
  [589] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 5, .production_id = 87),
  [591] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 5, .production_id = 87),
  [593] = {.count = 1, .reusable = false}, REDUCE(sym_component, 5, .production_id = 87),
  [595] = {.count = 1, .reusable = true}, REDUCE(sym_component, 5, .production_id = 87),
  [597] = {.count = 1, .reusable = true}, SHIFT(308),
  [599] = {.count = 1, .reusable = true}, REDUCE(sym_component_body, 3, .production_id = 66),
  [601] = {.count = 1, .reusable = false}, REDUCE(sym_component_body, 3, .production_id = 66),
  [603] = {.count = 1, .reusable = true}, REDUCE(sym_component_body, 2),
  [605] = {.count = 1, .reusable = false}, REDUCE(sym_component_body, 2),
  [607] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 3, .production_id = 36),
  [609] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 3, .production_id = 36),
  [611] = {.count = 1, .reusable = false}, REDUCE(sym_component, 3, .production_id = 36),
  [613] = {.count = 1, .reusable = true}, REDUCE(sym_component, 3, .production_id = 36),
  [615] = {.count = 1, .reusable = true}, SHIFT(300),
  [617] = {.count = 1, .reusable = true}, SHIFT(73),
  [619] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 77),
  [621] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 77),
  [623] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 77),
  [625] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 77),
  [627] = {.count = 1, .reusable = true}, SHIFT(342),
  [629] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 4),
  [631] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 4),
  [633] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 5, .production_id = 84),
  [635] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 5, .production_id = 84),
  [637] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 84),
  [639] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 84),
  [641] = {.count = 1, .reusable = true}, SHIFT(306),
  [643] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [645] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 84),
  [647] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5, .production_id = 84),
  [649] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5, .production_id = 84),
  [651] = {.count = 1, .reusable = true}, SHIFT(305),
  [653] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [655] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [657] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 68),
  [659] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 68),
  [661] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 68),
  [663] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 68),
  [665] = {.count = 1, .reusable = true}, SHIFT(294),
  [667] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [669] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [671] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 36),
  [673] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 36),
  [675] = {.count = 1, .reusable = true}, SHIFT(327),
  [677] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3, .production_id = 66),
  [679] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3, .production_id = 66),
  [681] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [683] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [685] = {.count = 1, .reusable = true}, SHIFT(66),
  [687] = {.count = 1, .reusable = false}, SHIFT(373),
  [689] = {.count = 1, .reusable = false}, SHIFT(126),
  [691] = {.count = 1, .reusable = false}, SHIFT(128),
  [693] = {.count = 1, .reusable = false}, SHIFT(358),
  [695] = {.count = 1, .reusable = false}, SHIFT(407),
  [697] = {.count = 1, .reusable = true}, SHIFT(78),
  [699] = {.count = 1, .reusable = true}, SHIFT(595),
  [701] = {.count = 1, .reusable = true}, SHIFT(1159),
  [703] = {.count = 1, .reusable = true}, SHIFT(678),
  [705] = {.count = 1, .reusable = false}, SHIFT(678),
  [707] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [709] = {.count = 1, .reusable = true}, SHIFT(739),
  [711] = {.count = 1, .reusable = false}, SHIFT(739),
  [713] = {.count = 1, .reusable = true}, SHIFT(509),
  [715] = {.count = 1, .reusable = true}, SHIFT(697),
  [717] = {.count = 1, .reusable = false}, SHIFT(697),
  [719] = {.count = 1, .reusable = true}, SHIFT(562),
  [721] = {.count = 1, .reusable = true}, SHIFT(765),
  [723] = {.count = 1, .reusable = false}, SHIFT(765),
  [725] = {.count = 1, .reusable = false}, SHIFT(387),
  [727] = {.count = 1, .reusable = true}, SHIFT(1406),
  [729] = {.count = 1, .reusable = false}, SHIFT(367),
  [731] = {.count = 1, .reusable = true}, SHIFT(1137),
  [733] = {.count = 1, .reusable = true}, SHIFT(859),
  [735] = {.count = 1, .reusable = false}, SHIFT(859),
  [737] = {.count = 1, .reusable = false}, SHIFT(415),
  [739] = {.count = 1, .reusable = true}, SHIFT(266),
  [741] = {.count = 1, .reusable = true}, SHIFT(707),
  [743] = {.count = 1, .reusable = false}, SHIFT(707),
  [745] = {.count = 1, .reusable = true}, SHIFT(672),
  [747] = {.count = 1, .reusable = true}, SHIFT(682),
  [749] = {.count = 1, .reusable = false}, SHIFT(682),
  [751] = {.count = 1, .reusable = true}, SHIFT(462),
  [753] = {.count = 1, .reusable = true}, SHIFT(721),
  [755] = {.count = 1, .reusable = false}, SHIFT(721),
  [757] = {.count = 1, .reusable = true}, SHIFT(841),
  [759] = {.count = 1, .reusable = false}, SHIFT(841),
  [761] = {.count = 1, .reusable = true}, SHIFT(837),
  [763] = {.count = 1, .reusable = false}, SHIFT(837),
  [765] = {.count = 1, .reusable = true}, SHIFT(1016),
  [767] = {.count = 1, .reusable = true}, SHIFT(685),
  [769] = {.count = 1, .reusable = false}, SHIFT(685),
  [771] = {.count = 1, .reusable = true}, SHIFT(709),
  [773] = {.count = 1, .reusable = false}, SHIFT(709),
  [775] = {.count = 1, .reusable = true}, SHIFT(742),
  [777] = {.count = 1, .reusable = false}, SHIFT(742),
  [779] = {.count = 1, .reusable = true}, SHIFT(798),
  [781] = {.count = 1, .reusable = true}, SHIFT(773),
  [783] = {.count = 1, .reusable = false}, SHIFT(773),
  [785] = {.count = 1, .reusable = true}, SHIFT(1374),
  [787] = {.count = 1, .reusable = true}, SHIFT(825),
  [789] = {.count = 1, .reusable = false}, SHIFT(825),
  [791] = {.count = 1, .reusable = true}, SHIFT(1139),
  [793] = {.count = 1, .reusable = true}, SHIFT(828),
  [795] = {.count = 1, .reusable = false}, SHIFT(828),
  [797] = {.count = 1, .reusable = false}, SHIFT(394),
  [799] = {.count = 1, .reusable = false}, SHIFT(245),
  [801] = {.count = 1, .reusable = false}, SHIFT(386),
  [803] = {.count = 1, .reusable = true}, SHIFT(874),
  [805] = {.count = 1, .reusable = false}, SHIFT(874),
  [807] = {.count = 1, .reusable = false}, SHIFT(416),
  [809] = {.count = 1, .reusable = true}, SHIFT(322),
  [811] = {.count = 1, .reusable = true}, SHIFT(716),
  [813] = {.count = 1, .reusable = false}, SHIFT(716),
  [815] = {.count = 1, .reusable = true}, SHIFT(34),
  [817] = {.count = 1, .reusable = true}, SHIFT(790),
  [819] = {.count = 1, .reusable = false}, SHIFT(790),
  [821] = {.count = 1, .reusable = true}, SHIFT(37),
  [823] = {.count = 1, .reusable = true}, SHIFT(829),
  [825] = {.count = 1, .reusable = false}, SHIFT(829),
  [827] = {.count = 1, .reusable = true}, SHIFT(3),
  [829] = {.count = 1, .reusable = true}, SHIFT(1142),
  [831] = {.count = 1, .reusable = true}, SHIFT(447),
  [833] = {.count = 1, .reusable = false}, SHIFT(447),
  [835] = {.count = 1, .reusable = true}, SHIFT(7),
  [837] = {.count = 1, .reusable = true}, SHIFT(551),
  [839] = {.count = 1, .reusable = false}, SHIFT(551),
  [841] = {.count = 1, .reusable = true}, SHIFT(738),
  [843] = {.count = 1, .reusable = false}, SHIFT(738),
  [845] = {.count = 1, .reusable = false}, SHIFT(355),
  [847] = {.count = 1, .reusable = false}, SHIFT(1685),
  [849] = {.count = 1, .reusable = false}, SHIFT(349),
  [851] = {.count = 1, .reusable = true}, SHIFT(623),
  [853] = {.count = 1, .reusable = false}, SHIFT(623),
  [855] = {.count = 1, .reusable = false}, SHIFT(393),
  [857] = {.count = 1, .reusable = true}, SHIFT(2),
  [859] = {.count = 1, .reusable = true}, SHIFT(618),
  [861] = {.count = 1, .reusable = false}, SHIFT(618),
  [863] = {.count = 1, .reusable = true}, SHIFT(666),
  [865] = {.count = 1, .reusable = false}, SHIFT(666),
  [867] = {.count = 1, .reusable = false}, SHIFT(369),
  [869] = {.count = 1, .reusable = false}, SHIFT(1616),
  [871] = {.count = 1, .reusable = false}, SHIFT(350),
  [873] = {.count = 1, .reusable = true}, SHIFT(686),
  [875] = {.count = 1, .reusable = false}, SHIFT(686),
  [877] = {.count = 1, .reusable = false}, SHIFT(1120),
  [879] = {.count = 1, .reusable = false}, SHIFT(398),
  [881] = {.count = 1, .reusable = true}, SHIFT(661),
  [883] = {.count = 1, .reusable = false}, SHIFT(661),
  [885] = {.count = 1, .reusable = true}, SHIFT(6),
  [887] = {.count = 1, .reusable = true}, SHIFT(444),
  [889] = {.count = 1, .reusable = false}, SHIFT(444),
  [891] = {.count = 1, .reusable = true}, SHIFT(680),
  [893] = {.count = 1, .reusable = false}, SHIFT(680),
  [895] = {.count = 1, .reusable = true}, SHIFT(446),
  [897] = {.count = 1, .reusable = false}, SHIFT(446),
  [899] = {.count = 1, .reusable = true}, SHIFT(810),
  [901] = {.count = 1, .reusable = false}, SHIFT(810),
  [903] = {.count = 1, .reusable = true}, SHIFT(5),
  [905] = {.count = 1, .reusable = true}, SHIFT(601),
  [907] = {.count = 1, .reusable = false}, SHIFT(601),
  [909] = {.count = 1, .reusable = true}, SHIFT(794),
  [911] = {.count = 1, .reusable = false}, SHIFT(794),
  [913] = {.count = 1, .reusable = true}, SHIFT(583),
  [915] = {.count = 1, .reusable = false}, SHIFT(583),
  [917] = {.count = 1, .reusable = true}, SHIFT(556),
  [919] = {.count = 1, .reusable = false}, SHIFT(556),
  [921] = {.count = 1, .reusable = true}, SHIFT(799),
  [923] = {.count = 1, .reusable = false}, SHIFT(799),
  [925] = {.count = 1, .reusable = true}, SHIFT(808),
  [927] = {.count = 1, .reusable = false}, SHIFT(808),
  [929] = {.count = 1, .reusable = true}, SHIFT(441),
  [931] = {.count = 1, .reusable = false}, SHIFT(441),
  [933] = {.count = 1, .reusable = true}, SHIFT(831),
  [935] = {.count = 1, .reusable = false}, SHIFT(831),
  [937] = {.count = 1, .reusable = true}, SHIFT(548),
  [939] = {.count = 1, .reusable = false}, SHIFT(548),
  [941] = {.count = 1, .reusable = true}, SHIFT(614),
  [943] = {.count = 1, .reusable = false}, SHIFT(614),
  [945] = {.count = 1, .reusable = true}, SHIFT(836),
  [947] = {.count = 1, .reusable = false}, SHIFT(836),
  [949] = {.count = 1, .reusable = true}, SHIFT(449),
  [951] = {.count = 1, .reusable = false}, SHIFT(449),
  [953] = {.count = 1, .reusable = false}, SHIFT(370),
  [955] = {.count = 1, .reusable = false}, SHIFT(388),
  [957] = {.count = 1, .reusable = false}, SHIFT(417),
  [959] = {.count = 1, .reusable = true}, SHIFT(448),
  [961] = {.count = 1, .reusable = false}, SHIFT(448),
  [963] = {.count = 1, .reusable = true}, SHIFT(592),
  [965] = {.count = 1, .reusable = false}, SHIFT(592),
  [967] = {.count = 1, .reusable = true}, SHIFT(540),
  [969] = {.count = 1, .reusable = false}, SHIFT(540),
  [971] = {.count = 1, .reusable = true}, SHIFT(535),
  [973] = {.count = 1, .reusable = false}, SHIFT(535),
  [975] = {.count = 1, .reusable = true}, SHIFT(786),
  [977] = {.count = 1, .reusable = false}, SHIFT(786),
  [979] = {.count = 1, .reusable = true}, SHIFT(857),
  [981] = {.count = 1, .reusable = false}, SHIFT(857),
  [983] = {.count = 1, .reusable = true}, SHIFT(567),
  [985] = {.count = 1, .reusable = false}, SHIFT(567),
  [987] = {.count = 1, .reusable = true}, SHIFT(596),
  [989] = {.count = 1, .reusable = false}, SHIFT(596),
  [991] = {.count = 1, .reusable = true}, SHIFT(587),
  [993] = {.count = 1, .reusable = false}, SHIFT(587),
  [995] = {.count = 1, .reusable = true}, SHIFT(848),
  [997] = {.count = 1, .reusable = false}, SHIFT(848),
  [999] = {.count = 1, .reusable = true}, SHIFT(537),
  [1001] = {.count = 1, .reusable = false}, SHIFT(537),
  [1003] = {.count = 1, .reusable = true}, SHIFT(550),
  [1005] = {.count = 1, .reusable = false}, SHIFT(550),
  [1007] = {.count = 1, .reusable = true}, SHIFT(538),
  [1009] = {.count = 1, .reusable = false}, SHIFT(538),
  [1011] = {.count = 1, .reusable = false}, SHIFT(292),
  [1013] = {.count = 1, .reusable = false}, SHIFT(1668),
  [1015] = {.count = 1, .reusable = false}, SHIFT(303),
  [1017] = {.count = 1, .reusable = true}, SHIFT(465),
  [1019] = {.count = 1, .reusable = false}, SHIFT(465),
  [1021] = {.count = 1, .reusable = false}, SHIFT(1092),
  [1023] = {.count = 1, .reusable = false}, SHIFT(368),
  [1025] = {.count = 1, .reusable = true}, SHIFT(832),
  [1027] = {.count = 1, .reusable = false}, SHIFT(832),
  [1029] = {.count = 1, .reusable = true}, SHIFT(839),
  [1031] = {.count = 1, .reusable = false}, SHIFT(839),
  [1033] = {.count = 1, .reusable = true}, SHIFT(657),
  [1035] = {.count = 1, .reusable = false}, SHIFT(657),
  [1037] = {.count = 1, .reusable = true}, SHIFT(850),
  [1039] = {.count = 1, .reusable = false}, SHIFT(850),
  [1041] = {.count = 1, .reusable = true}, SHIFT(844),
  [1043] = {.count = 1, .reusable = false}, SHIFT(844),
  [1045] = {.count = 1, .reusable = true}, SHIFT(578),
  [1047] = {.count = 1, .reusable = false}, SHIFT(578),
  [1049] = {.count = 1, .reusable = true}, SHIFT(648),
  [1051] = {.count = 1, .reusable = false}, SHIFT(648),
  [1053] = {.count = 1, .reusable = true}, SHIFT(835),
  [1055] = {.count = 1, .reusable = false}, SHIFT(835),
  [1057] = {.count = 1, .reusable = true}, SHIFT(438),
  [1059] = {.count = 1, .reusable = false}, SHIFT(438),
  [1061] = {.count = 1, .reusable = false}, SHIFT(272),
  [1063] = {.count = 1, .reusable = false}, SHIFT(285),
  [1065] = {.count = 1, .reusable = false}, SHIFT(346),
  [1067] = {.count = 1, .reusable = true}, SHIFT(852),
  [1069] = {.count = 1, .reusable = false}, SHIFT(852),
  [1071] = {.count = 1, .reusable = true}, SHIFT(443),
  [1073] = {.count = 1, .reusable = false}, SHIFT(443),
  [1075] = {.count = 1, .reusable = true}, SHIFT(726),
  [1077] = {.count = 1, .reusable = false}, SHIFT(726),
  [1079] = {.count = 1, .reusable = true}, SHIFT(433),
  [1081] = {.count = 1, .reusable = false}, SHIFT(433),
  [1083] = {.count = 1, .reusable = true}, SHIFT(575),
  [1085] = {.count = 1, .reusable = false}, SHIFT(575),
  [1087] = {.count = 1, .reusable = true}, SHIFT(664),
  [1089] = {.count = 1, .reusable = false}, SHIFT(664),
  [1091] = {.count = 1, .reusable = true}, SHIFT(604),
  [1093] = {.count = 1, .reusable = false}, SHIFT(604),
  [1095] = {.count = 1, .reusable = true}, SHIFT(424),
  [1097] = {.count = 1, .reusable = false}, SHIFT(424),
  [1099] = {.count = 1, .reusable = true}, SHIFT(427),
  [1101] = {.count = 1, .reusable = false}, SHIFT(427),
  [1103] = {.count = 1, .reusable = true}, SHIFT(429),
  [1105] = {.count = 1, .reusable = false}, SHIFT(429),
  [1107] = {.count = 1, .reusable = true}, SHIFT(430),
  [1109] = {.count = 1, .reusable = false}, SHIFT(430),
  [1111] = {.count = 1, .reusable = true}, SHIFT(555),
  [1113] = {.count = 1, .reusable = false}, SHIFT(555),
  [1115] = {.count = 1, .reusable = true}, SHIFT(552),
  [1117] = {.count = 1, .reusable = false}, SHIFT(552),
  [1119] = {.count = 1, .reusable = true}, SHIFT(740),
  [1121] = {.count = 1, .reusable = false}, SHIFT(740),
  [1123] = {.count = 1, .reusable = true}, SHIFT(734),
  [1125] = {.count = 1, .reusable = false}, SHIFT(734),
  [1127] = {.count = 1, .reusable = true}, SHIFT(426),
  [1129] = {.count = 1, .reusable = false}, SHIFT(426),
  [1131] = {.count = 1, .reusable = true}, SHIFT(737),
  [1133] = {.count = 1, .reusable = false}, SHIFT(737),
  [1135] = {.count = 1, .reusable = false}, SHIFT(390),
  [1137] = {.count = 1, .reusable = true}, SHIFT(665),
  [1139] = {.count = 1, .reusable = false}, SHIFT(665),
  [1141] = {.count = 1, .reusable = true}, SHIFT(651),
  [1143] = {.count = 1, .reusable = false}, SHIFT(651),
  [1145] = {.count = 1, .reusable = true}, SHIFT(543),
  [1147] = {.count = 1, .reusable = false}, SHIFT(543),
  [1149] = {.count = 1, .reusable = true}, SHIFT(866),
  [1151] = {.count = 1, .reusable = false}, SHIFT(866),
  [1153] = {.count = 1, .reusable = true}, SHIFT(862),
  [1155] = {.count = 1, .reusable = false}, SHIFT(862),
  [1157] = {.count = 1, .reusable = true}, SHIFT(846),
  [1159] = {.count = 1, .reusable = false}, SHIFT(846),
  [1161] = {.count = 1, .reusable = true}, SHIFT(590),
  [1163] = {.count = 1, .reusable = false}, SHIFT(590),
  [1165] = {.count = 1, .reusable = true}, SHIFT(662),
  [1167] = {.count = 1, .reusable = false}, SHIFT(662),
  [1169] = {.count = 1, .reusable = true}, SHIFT(647),
  [1171] = {.count = 1, .reusable = false}, SHIFT(647),
  [1173] = {.count = 1, .reusable = true}, SHIFT(656),
  [1175] = {.count = 1, .reusable = false}, SHIFT(656),
  [1177] = {.count = 1, .reusable = true}, SHIFT(645),
  [1179] = {.count = 1, .reusable = false}, SHIFT(645),
  [1181] = {.count = 1, .reusable = true}, SHIFT(533),
  [1183] = {.count = 1, .reusable = false}, SHIFT(533),
  [1185] = {.count = 1, .reusable = true}, SHIFT(842),
  [1187] = {.count = 1, .reusable = false}, SHIFT(842),
  [1189] = {.count = 1, .reusable = true}, SHIFT(547),
  [1191] = {.count = 1, .reusable = false}, SHIFT(547),
  [1193] = {.count = 1, .reusable = true}, SHIFT(861),
  [1195] = {.count = 1, .reusable = false}, SHIFT(861),
  [1197] = {.count = 1, .reusable = true}, SHIFT(868),
  [1199] = {.count = 1, .reusable = false}, SHIFT(868),
  [1201] = {.count = 1, .reusable = true}, SHIFT(611),
  [1203] = {.count = 1, .reusable = false}, SHIFT(611),
  [1205] = {.count = 1, .reusable = true}, SHIFT(827),
  [1207] = {.count = 1, .reusable = false}, SHIFT(827),
  [1209] = {.count = 1, .reusable = true}, SHIFT(546),
  [1211] = {.count = 1, .reusable = false}, SHIFT(546),
  [1213] = {.count = 1, .reusable = true}, SHIFT(545),
  [1215] = {.count = 1, .reusable = false}, SHIFT(545),
  [1217] = {.count = 1, .reusable = true}, SHIFT(544),
  [1219] = {.count = 1, .reusable = false}, SHIFT(544),
  [1221] = {.count = 1, .reusable = true}, SHIFT(542),
  [1223] = {.count = 1, .reusable = false}, SHIFT(542),
  [1225] = {.count = 1, .reusable = true}, SHIFT(541),
  [1227] = {.count = 1, .reusable = false}, SHIFT(541),
  [1229] = {.count = 1, .reusable = true}, SHIFT(435),
  [1231] = {.count = 1, .reusable = false}, SHIFT(435),
  [1233] = {.count = 1, .reusable = true}, SHIFT(610),
  [1235] = {.count = 1, .reusable = false}, SHIFT(610),
  [1237] = {.count = 1, .reusable = true}, SHIFT(606),
  [1239] = {.count = 1, .reusable = false}, SHIFT(606),
  [1241] = {.count = 1, .reusable = true}, SHIFT(644),
  [1243] = {.count = 1, .reusable = false}, SHIFT(644),
  [1245] = {.count = 1, .reusable = true}, SHIFT(643),
  [1247] = {.count = 1, .reusable = false}, SHIFT(643),
  [1249] = {.count = 1, .reusable = true}, SHIFT(864),
  [1251] = {.count = 1, .reusable = false}, SHIFT(864),
  [1253] = {.count = 1, .reusable = true}, SHIFT(640),
  [1255] = {.count = 1, .reusable = false}, SHIFT(640),
  [1257] = {.count = 1, .reusable = true}, SHIFT(637),
  [1259] = {.count = 1, .reusable = false}, SHIFT(637),
  [1261] = {.count = 1, .reusable = true}, SHIFT(634),
  [1263] = {.count = 1, .reusable = false}, SHIFT(634),
  [1265] = {.count = 1, .reusable = true}, SHIFT(613),
  [1267] = {.count = 1, .reusable = false}, SHIFT(613),
  [1269] = {.count = 1, .reusable = true}, SHIFT(826),
  [1271] = {.count = 1, .reusable = false}, SHIFT(826),
  [1273] = {.count = 1, .reusable = true}, SHIFT(629),
  [1275] = {.count = 1, .reusable = false}, SHIFT(629),
  [1277] = {.count = 1, .reusable = true}, SHIFT(620),
  [1279] = {.count = 1, .reusable = false}, SHIFT(620),
  [1281] = {.count = 1, .reusable = true}, SHIFT(598),
  [1283] = {.count = 1, .reusable = false}, SHIFT(598),
  [1285] = {.count = 1, .reusable = true}, SHIFT(573),
  [1287] = {.count = 1, .reusable = false}, SHIFT(573),
  [1289] = {.count = 1, .reusable = true}, SHIFT(569),
  [1291] = {.count = 1, .reusable = false}, SHIFT(569),
  [1293] = {.count = 1, .reusable = true}, SHIFT(570),
  [1295] = {.count = 1, .reusable = false}, SHIFT(570),
  [1297] = {.count = 1, .reusable = true}, SHIFT(571),
  [1299] = {.count = 1, .reusable = false}, SHIFT(571),
  [1301] = {.count = 1, .reusable = true}, SHIFT(572),
  [1303] = {.count = 1, .reusable = false}, SHIFT(572),
  [1305] = {.count = 1, .reusable = true}, SHIFT(574),
  [1307] = {.count = 1, .reusable = false}, SHIFT(574),
  [1309] = {.count = 1, .reusable = true}, SHIFT(576),
  [1311] = {.count = 1, .reusable = false}, SHIFT(576),
  [1313] = {.count = 1, .reusable = true}, SHIFT(549),
  [1315] = {.count = 1, .reusable = false}, SHIFT(549),
  [1317] = {.count = 1, .reusable = true}, SHIFT(539),
  [1319] = {.count = 1, .reusable = false}, SHIFT(539),
  [1321] = {.count = 1, .reusable = true}, SHIFT(577),
  [1323] = {.count = 1, .reusable = false}, SHIFT(577),
  [1325] = {.count = 1, .reusable = true}, SHIFT(582),
  [1327] = {.count = 1, .reusable = false}, SHIFT(582),
  [1329] = {.count = 1, .reusable = true}, SHIFT(724),
  [1331] = {.count = 1, .reusable = false}, SHIFT(724),
  [1333] = {.count = 1, .reusable = true}, SHIFT(431),
  [1335] = {.count = 1, .reusable = false}, SHIFT(431),
  [1337] = {.count = 1, .reusable = true}, SHIFT(650),
  [1339] = {.count = 1, .reusable = false}, SHIFT(650),
  [1341] = {.count = 1, .reusable = true}, SHIFT(434),
  [1343] = {.count = 1, .reusable = false}, SHIFT(434),
  [1345] = {.count = 1, .reusable = true}, SHIFT(437),
  [1347] = {.count = 1, .reusable = false}, SHIFT(437),
  [1349] = {.count = 1, .reusable = true}, SHIFT(418),
  [1351] = {.count = 1, .reusable = false}, SHIFT(418),
  [1353] = {.count = 1, .reusable = true}, SHIFT(439),
  [1355] = {.count = 1, .reusable = false}, SHIFT(439),
  [1357] = {.count = 1, .reusable = true}, SHIFT(440),
  [1359] = {.count = 1, .reusable = false}, SHIFT(440),
  [1361] = {.count = 1, .reusable = true}, SHIFT(442),
  [1363] = {.count = 1, .reusable = false}, SHIFT(442),
  [1365] = {.count = 1, .reusable = true}, SHIFT(668),
  [1367] = {.count = 1, .reusable = false}, SHIFT(668),
  [1369] = {.count = 1, .reusable = true}, SHIFT(669),
  [1371] = {.count = 1, .reusable = false}, SHIFT(669),
  [1373] = {.count = 1, .reusable = true}, SHIFT(863),
  [1375] = {.count = 1, .reusable = false}, SHIFT(863),
  [1377] = {.count = 1, .reusable = true}, SHIFT(445),
  [1379] = {.count = 1, .reusable = false}, SHIFT(445),
  [1381] = {.count = 1, .reusable = true}, SHIFT(725),
  [1383] = {.count = 1, .reusable = false}, SHIFT(725),
  [1385] = {.count = 1, .reusable = true}, SHIFT(671),
  [1387] = {.count = 1, .reusable = false}, SHIFT(671),
  [1389] = {.count = 1, .reusable = true}, SHIFT(419),
  [1391] = {.count = 1, .reusable = false}, SHIFT(419),
  [1393] = {.count = 1, .reusable = true}, SHIFT(536),
  [1395] = {.count = 1, .reusable = false}, SHIFT(536),
  [1397] = {.count = 1, .reusable = true}, SHIFT(621),
  [1399] = {.count = 1, .reusable = false}, SHIFT(621),
  [1401] = {.count = 1, .reusable = true}, SHIFT(450),
  [1403] = {.count = 1, .reusable = false}, SHIFT(450),
  [1405] = {.count = 1, .reusable = true}, SHIFT(452),
  [1407] = {.count = 1, .reusable = false}, SHIFT(452),
  [1409] = {.count = 1, .reusable = true}, SHIFT(676),
  [1411] = {.count = 1, .reusable = false}, SHIFT(676),
  [1413] = {.count = 1, .reusable = true}, SHIFT(594),
  [1415] = {.count = 1, .reusable = false}, SHIFT(594),
  [1417] = {.count = 1, .reusable = true}, SHIFT(591),
  [1419] = {.count = 1, .reusable = false}, SHIFT(591),
  [1421] = {.count = 1, .reusable = false}, SHIFT(395),
  [1423] = {.count = 1, .reusable = true}, SHIFT(625),
  [1425] = {.count = 1, .reusable = false}, SHIFT(625),
  [1427] = {.count = 1, .reusable = true}, SHIFT(585),
  [1429] = {.count = 1, .reusable = false}, SHIFT(585),
  [1431] = {.count = 1, .reusable = true}, SHIFT(626),
  [1433] = {.count = 1, .reusable = false}, SHIFT(626),
  [1435] = {.count = 1, .reusable = true}, SHIFT(865),
  [1437] = {.count = 1, .reusable = false}, SHIFT(865),
  [1439] = {.count = 1, .reusable = true}, SHIFT(630),
  [1441] = {.count = 1, .reusable = false}, SHIFT(630),
  [1443] = {.count = 1, .reusable = true}, SHIFT(843),
  [1445] = {.count = 1, .reusable = false}, SHIFT(843),
  [1447] = {.count = 1, .reusable = true}, SHIFT(732),
  [1449] = {.count = 1, .reusable = false}, SHIFT(732),
  [1451] = {.count = 1, .reusable = true}, SHIFT(454),
  [1453] = {.count = 1, .reusable = false}, SHIFT(454),
  [1455] = {.count = 1, .reusable = true}, SHIFT(534),
  [1457] = {.count = 1, .reusable = false}, SHIFT(534),
  [1459] = {.count = 1, .reusable = true}, SHIFT(451),
  [1461] = {.count = 1, .reusable = false}, SHIFT(451),
  [1463] = {.count = 1, .reusable = true}, SHIFT(259),
  [1465] = {.count = 1, .reusable = false}, SHIFT(1575),
  [1467] = {.count = 1, .reusable = false}, SHIFT(1627),
  [1469] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [1471] = {.count = 1, .reusable = true}, SHIFT(457),
  [1473] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(973),
  [1477] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [1479] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(33),
  [1482] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(999),
  [1485] = {.count = 1, .reusable = false}, SHIFT(239),
  [1487] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(233),
  [1490] = {.count = 1, .reusable = false}, SHIFT(1569),
  [1492] = {.count = 1, .reusable = false}, SHIFT(1256),
  [1494] = {.count = 1, .reusable = true}, SHIFT(148),
  [1496] = {.count = 1, .reusable = true}, SHIFT(223),
  [1498] = {.count = 1, .reusable = true}, SHIFT(1566),
  [1500] = {.count = 1, .reusable = false}, SHIFT(933),
  [1502] = {.count = 1, .reusable = false}, SHIFT(935),
  [1504] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [1506] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [1508] = {.count = 1, .reusable = true}, SHIFT(608),
  [1510] = {.count = 1, .reusable = true}, SHIFT(667),
  [1512] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 2, .production_id = 5),
  [1514] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 2, .production_id = 5),
  [1516] = {.count = 1, .reusable = true}, SHIFT(82),
  [1518] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [1520] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [1522] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [1524] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [1526] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 4, .production_id = 5),
  [1528] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 4, .production_id = 5),
  [1530] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 3, .production_id = 5),
  [1532] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 3, .production_id = 5),
  [1534] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 3, .production_id = 48),
  [1536] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 3, .production_id = 48),
  [1538] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 5, .production_id = 86),
  [1540] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 5, .production_id = 86),
  [1542] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1544] = {.count = 1, .reusable = true}, SHIFT(1662),
  [1546] = {.count = 1, .reusable = true}, SHIFT(901),
  [1548] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1550] = {.count = 1, .reusable = true}, SHIFT(79),
  [1552] = {.count = 1, .reusable = false}, SHIFT(247),
  [1554] = {.count = 1, .reusable = true}, SHIFT(153),
  [1556] = {.count = 1, .reusable = true}, SHIFT(220),
  [1558] = {.count = 1, .reusable = true}, SHIFT(1605),
  [1560] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_body, 3, .production_id = 66),
  [1562] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_body, 3, .production_id = 66),
  [1564] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1566] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1568] = {.count = 1, .reusable = false}, SHIFT(1365),
  [1570] = {.count = 1, .reusable = false}, SHIFT(1526),
  [1572] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_expression, 4, .production_id = 75),
  [1574] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_expression, 4, .production_id = 75),
  [1576] = {.count = 1, .reusable = true}, REDUCE(sym_new_component_body, 2),
  [1578] = {.count = 1, .reusable = false}, REDUCE(sym_new_component_body, 2),
  [1580] = {.count = 1, .reusable = false}, SHIFT(1564),
  [1582] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1585] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1587] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1589] = {.count = 1, .reusable = false}, SHIFT(234),
  [1591] = {.count = 1, .reusable = true}, SHIFT(230),
  [1593] = {.count = 1, .reusable = false}, SHIFT(953),
  [1595] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [1597] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [1599] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1601] = {.count = 1, .reusable = true}, SHIFT(1675),
  [1603] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1605] = {.count = 1, .reusable = false}, SHIFT(243),
  [1607] = {.count = 1, .reusable = false}, SHIFT(1225),
  [1609] = {.count = 1, .reusable = true}, SHIFT(125),
  [1611] = {.count = 1, .reusable = true}, SHIFT(244),
  [1613] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 106),
  [1615] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 106),
  [1617] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 107),
  [1619] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 107),
  [1621] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1623] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1625] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 108),
  [1627] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 108),
  [1629] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [1631] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [1633] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1635] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1637] = {.count = 1, .reusable = true}, SHIFT(122),
  [1639] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [1641] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [1643] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 68),
  [1645] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 68),
  [1647] = {.count = 1, .reusable = true}, REDUCE(sym_js_import_statement, 6, .production_id = 91),
  [1649] = {.count = 1, .reusable = false}, REDUCE(sym_js_import_statement, 6, .production_id = 91),
  [1651] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1653] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1655] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [1657] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [1659] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [1661] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [1663] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [1665] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [1667] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 4, .production_id = 36),
  [1669] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 4, .production_id = 36),
  [1671] = {.count = 1, .reusable = false}, SHIFT(180),
  [1673] = {.count = 1, .reusable = true}, SHIFT(182),
  [1675] = {.count = 1, .reusable = true}, REDUCE(sym_js_import_statement, 5, .production_id = 79),
  [1677] = {.count = 1, .reusable = false}, REDUCE(sym_js_import_statement, 5, .production_id = 79),
  [1679] = {.count = 1, .reusable = true}, SHIFT(139),
  [1681] = {.count = 1, .reusable = false}, SHIFT(1674),
  [1683] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [1685] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [1687] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 6, .production_id = 84),
  [1689] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 6, .production_id = 84),
  [1691] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 84),
  [1693] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 84),
  [1695] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [1697] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [1699] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 6, .production_id = 87),
  [1701] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 6, .production_id = 87),
  [1703] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1705] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1707] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1709] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1711] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 60),
  [1713] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 60),
  [1715] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1717] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1719] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 6, .production_id = 90),
  [1721] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 6, .production_id = 90),
  [1723] = {.count = 1, .reusable = true}, REDUCE(sym_js_import_statement, 7, .production_id = 100),
  [1725] = {.count = 1, .reusable = false}, REDUCE(sym_js_import_statement, 7, .production_id = 100),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 3, .production_id = 23),
  [1729] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 3, .production_id = 23),
  [1731] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1733] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1735] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1737] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1739] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1741] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1743] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1745] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1747] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1749] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1751] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1753] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1755] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1757] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1759] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [1761] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [1763] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 5, .production_id = 68),
  [1765] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 5, .production_id = 68),
  [1767] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [1769] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [1771] = {.count = 1, .reusable = true}, REDUCE(sym_component_instance_statement, 2),
  [1773] = {.count = 1, .reusable = false}, REDUCE(sym_component_instance_statement, 2),
  [1775] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1777] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1779] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4),
  [1781] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4),
  [1783] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3),
  [1785] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3),
  [1787] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1789] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1791] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1622),
  [1794] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(973),
  [1797] = {.count = 1, .reusable = false}, SHIFT(240),
  [1799] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1623),
  [1802] = {.count = 1, .reusable = true}, SHIFT(237),
  [1804] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5, .production_id = 81),
  [1806] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5, .production_id = 81),
  [1808] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1810] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1812] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 105),
  [1814] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 105),
  [1816] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 3, .production_id = 22),
  [1818] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 3, .production_id = 22),
  [1820] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 21),
  [1822] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 21),
  [1824] = {.count = 1, .reusable = false}, SHIFT(35),
  [1826] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1828] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1830] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1832] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1834] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [1836] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [1838] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 5, .production_id = 77),
  [1840] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 5, .production_id = 77),
  [1842] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1844] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1846] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 77),
  [1848] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 77),
  [1850] = {.count = 1, .reusable = true}, REDUCE(sym_component_declaration, 7, .production_id = 99),
  [1852] = {.count = 1, .reusable = false}, REDUCE(sym_component_declaration, 7, .production_id = 99),
  [1854] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [1856] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [1858] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 4, .production_id = 59),
  [1860] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 4, .production_id = 59),
  [1862] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1673),
  [1865] = {.count = 1, .reusable = false}, SHIFT(164),
  [1867] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1674),
  [1870] = {.count = 1, .reusable = true}, SHIFT(171),
  [1872] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1874] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1876] = {.count = 1, .reusable = true}, REDUCE(aux_sym_component_heritage_repeat1, 2),
  [1878] = {.count = 1, .reusable = false}, SHIFT(1657),
  [1880] = {.count = 1, .reusable = true}, SHIFT(1655),
  [1882] = {.count = 1, .reusable = false}, SHIFT(1656),
  [1884] = {.count = 1, .reusable = false}, SHIFT(1204),
  [1886] = {.count = 1, .reusable = true}, SHIFT(129),
  [1888] = {.count = 1, .reusable = false}, SHIFT(1618),
  [1890] = {.count = 1, .reusable = true}, SHIFT(1627),
  [1892] = {.count = 1, .reusable = false}, SHIFT(1626),
  [1894] = {.count = 1, .reusable = false}, SHIFT(1195),
  [1896] = {.count = 1, .reusable = true}, SHIFT(1611),
  [1898] = {.count = 1, .reusable = true}, SHIFT(906),
  [1900] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1903] = {.count = 1, .reusable = false}, SHIFT(246),
  [1905] = {.count = 1, .reusable = true}, SHIFT(123),
  [1907] = {.count = 1, .reusable = true}, SHIFT(179),
  [1909] = {.count = 1, .reusable = true}, SHIFT(1664),
  [1911] = {.count = 1, .reusable = true}, SHIFT(903),
  [1913] = {.count = 1, .reusable = true}, SHIFT(80),
  [1915] = {.count = 1, .reusable = true}, SHIFT(116),
  [1917] = {.count = 1, .reusable = true}, SHIFT(38),
  [1919] = {.count = 1, .reusable = false}, SHIFT(170),
  [1921] = {.count = 1, .reusable = false}, SHIFT(1270),
  [1923] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(124),
  [1926] = {.count = 1, .reusable = false}, SHIFT(124),
  [1928] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4, .production_id = 76),
  [1930] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4, .production_id = 76),
  [1932] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1934] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1936] = {.count = 1, .reusable = true}, SHIFT(33),
  [1938] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 38),
  [1940] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 38),
  [1942] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(948),
  [1945] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1380),
  [1948] = {.count = 1, .reusable = false}, SHIFT(202),
  [1950] = {.count = 1, .reusable = true}, SHIFT(90),
  [1952] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [1954] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(146),
  [1957] = {.count = 1, .reusable = true}, SHIFT(146),
  [1959] = {.count = 1, .reusable = false}, SHIFT(166),
  [1961] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1963] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1965] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(121),
  [1968] = {.count = 1, .reusable = true}, SHIFT(121),
  [1970] = {.count = 1, .reusable = false}, SHIFT(177),
  [1972] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1974] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1976] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1978] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1980] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 102),
  [1982] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 102),
  [1984] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 103),
  [1986] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 103),
  [1988] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1990] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1992] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 104),
  [1994] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 104),
  [1996] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1998] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 96),
  [2000] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(950),
  [2003] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1545),
  [2006] = {.count = 1, .reusable = false}, SHIFT(186),
  [2008] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(145),
  [2011] = {.count = 1, .reusable = false}, SHIFT(145),
  [2013] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [2016] = {.count = 1, .reusable = true}, SHIFT(124),
  [2018] = {.count = 1, .reusable = true}, SHIFT(145),
  [2020] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [2022] = {.count = 1, .reusable = true}, SHIFT(1577),
  [2024] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [2026] = {.count = 1, .reusable = false}, SHIFT(229),
  [2028] = {.count = 1, .reusable = false}, SHIFT(228),
  [2030] = {.count = 1, .reusable = true}, SHIFT(137),
  [2032] = {.count = 1, .reusable = true}, SHIFT(228),
  [2034] = {.count = 1, .reusable = false}, SHIFT(225),
  [2036] = {.count = 1, .reusable = true}, SHIFT(224),
  [2038] = {.count = 1, .reusable = true}, SHIFT(229),
  [2040] = {.count = 1, .reusable = true}, SHIFT(490),
  [2042] = {.count = 1, .reusable = false}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 40),
  [2044] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 40),
  [2046] = {.count = 1, .reusable = true}, SHIFT(173),
  [2048] = {.count = 1, .reusable = true}, SHIFT(227),
  [2050] = {.count = 1, .reusable = true}, SHIFT(226),
  [2052] = {.count = 1, .reusable = false}, SHIFT(227),
  [2054] = {.count = 1, .reusable = false}, SHIFT(226),
  [2056] = {.count = 1, .reusable = false}, SHIFT(207),
  [2058] = {.count = 1, .reusable = false}, SHIFT(206),
  [2060] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [2062] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [2064] = {.count = 1, .reusable = false}, REDUCE(sym_ternary_expression, 5, .production_id = 88),
  [2066] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5, .production_id = 88),
  [2068] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2070] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2072] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2074] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [2076] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [2078] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [2080] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [2082] = {.count = 1, .reusable = true}, SHIFT(476),
  [2084] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [2086] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [2088] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 69),
  [2090] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 69),
  [2092] = {.count = 1, .reusable = false}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 46),
  [2094] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 46),
  [2096] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 47),
  [2098] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 47),
  [2100] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 71),
  [2102] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 71),
  [2104] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [2106] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [2108] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2110] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [2112] = {.count = 1, .reusable = false}, REDUCE(sym_property_assignment_expression, 1),
  [2114] = {.count = 1, .reusable = true}, REDUCE(sym_property_assignment_expression, 1),
  [2116] = {.count = 1, .reusable = false}, REDUCE(sym_listener_declaration, 6, .production_id = 116),
  [2118] = {.count = 1, .reusable = true}, REDUCE(sym_listener_declaration, 6, .production_id = 116),
  [2120] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 41),
  [2122] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 41),
  [2124] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [2126] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [2128] = {.count = 1, .reusable = false}, REDUCE(sym_property_expression_initializer, 2, .production_id = 58),
  [2130] = {.count = 1, .reusable = true}, REDUCE(sym_property_expression_initializer, 2, .production_id = 58),
  [2132] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 3),
  [2134] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 3),
  [2136] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 2),
  [2138] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2),
  [2140] = {.count = 1, .reusable = false}, REDUCE(sym_await_expression, 2),
  [2142] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [2144] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3, .production_id = 33),
  [2146] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3, .production_id = 33),
  [2148] = {.count = 1, .reusable = false}, SHIFT(519),
  [2150] = {.count = 1, .reusable = false}, SHIFT(222),
  [2152] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .production_id = 17),
  [2154] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .production_id = 17),
  [2156] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [2158] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [2160] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [2162] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [2164] = {.count = 1, .reusable = false}, SHIFT(155),
  [2166] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [2168] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [2170] = {.count = 1, .reusable = true}, SHIFT(531),
  [2172] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [2174] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .production_id = 17),
  [2176] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .production_id = 17),
  [2178] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [2180] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [2182] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [2184] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [2186] = {.count = 1, .reusable = false}, REDUCE(sym_class, 2, .production_id = 8),
  [2188] = {.count = 1, .reusable = true}, REDUCE(sym_class, 2, .production_id = 8),
  [2190] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [2192] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [2194] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 61),
  [2196] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 61),
  [2198] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 31),
  [2200] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 31),
  [2202] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [2204] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [2206] = {.count = 1, .reusable = false}, REDUCE(sym_import, 1),
  [2208] = {.count = 1, .reusable = true}, REDUCE(sym_import, 1),
  [2210] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [2212] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [2214] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [2216] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [2218] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [2220] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [2222] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [2224] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [2226] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 37),
  [2228] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 37),
  [2230] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [2232] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [2234] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3, .production_id = 42),
  [2236] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3, .production_id = 42),
  [2238] = {.count = 1, .reusable = false}, REDUCE(sym_meta_property, 3),
  [2240] = {.count = 1, .reusable = true}, REDUCE(sym_meta_property, 3),
  [2242] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 43),
  [2244] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 43),
  [2246] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [2248] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [2250] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [2252] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [2254] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [2256] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [2258] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 4, .production_id = 63),
  [2260] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 4, .production_id = 63),
  [2262] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 70),
  [2264] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 70),
  [2266] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 83),
  [2268] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 83),
  [2270] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4, .production_id = 70),
  [2272] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4, .production_id = 70),
  [2274] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 78),
  [2276] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 78),
  [2278] = {.count = 1, .reusable = false}, SHIFT(187),
  [2280] = {.count = 1, .reusable = false}, SHIFT(188),
  [2282] = {.count = 1, .reusable = true}, SHIFT(172),
  [2284] = {.count = 1, .reusable = true}, SHIFT(189),
  [2286] = {.count = 1, .reusable = true}, SHIFT(190),
  [2288] = {.count = 1, .reusable = true}, SHIFT(188),
  [2290] = {.count = 1, .reusable = false}, SHIFT(189),
  [2292] = {.count = 1, .reusable = false}, SHIFT(190),
  [2294] = {.count = 1, .reusable = false}, SHIFT(191),
  [2296] = {.count = 1, .reusable = true}, SHIFT(192),
  [2298] = {.count = 1, .reusable = true}, SHIFT(187),
  [2300] = {.count = 1, .reusable = false}, SHIFT(214),
  [2302] = {.count = 1, .reusable = false}, SHIFT(213),
  [2304] = {.count = 1, .reusable = true}, SHIFT(1676),
  [2306] = {.count = 1, .reusable = false}, SHIFT(215),
  [2308] = {.count = 1, .reusable = false}, SHIFT(212),
  [2310] = {.count = 1, .reusable = true}, SHIFT(115),
  [2312] = {.count = 1, .reusable = true}, SHIFT(184),
  [2314] = {.count = 1, .reusable = true}, SHIFT(211),
  [2316] = {.count = 1, .reusable = true}, SHIFT(210),
  [2318] = {.count = 1, .reusable = true}, SHIFT(212),
  [2320] = {.count = 1, .reusable = false}, SHIFT(211),
  [2322] = {.count = 1, .reusable = false}, SHIFT(210),
  [2324] = {.count = 1, .reusable = false}, SHIFT(209),
  [2326] = {.count = 1, .reusable = true}, SHIFT(208),
  [2328] = {.count = 1, .reusable = true}, SHIFT(215),
  [2330] = {.count = 1, .reusable = true}, SHIFT(706),
  [2332] = {.count = 1, .reusable = true}, SHIFT(762),
  [2334] = {.count = 1, .reusable = true}, SHIFT(147),
  [2336] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3, .production_id = 46),
  [2338] = {.count = 1, .reusable = true}, SHIFT(1600),
  [2340] = {.count = 1, .reusable = true}, SHIFT(118),
  [2342] = {.count = 1, .reusable = true}, SHIFT(811),
  [2344] = {.count = 1, .reusable = false}, SHIFT(195),
  [2346] = {.count = 1, .reusable = false}, SHIFT(196),
  [2348] = {.count = 1, .reusable = true}, SHIFT(197),
  [2350] = {.count = 1, .reusable = true}, SHIFT(198),
  [2352] = {.count = 1, .reusable = true}, SHIFT(199),
  [2354] = {.count = 1, .reusable = true}, SHIFT(196),
  [2356] = {.count = 1, .reusable = false}, SHIFT(198),
  [2358] = {.count = 1, .reusable = false}, SHIFT(199),
  [2360] = {.count = 1, .reusable = false}, SHIFT(200),
  [2362] = {.count = 1, .reusable = true}, SHIFT(201),
  [2364] = {.count = 1, .reusable = true}, SHIFT(195),
  [2366] = {.count = 1, .reusable = true}, SHIFT(1378),
  [2368] = {.count = 1, .reusable = false}, SHIFT(1186),
  [2370] = {.count = 1, .reusable = true}, SHIFT(1395),
  [2372] = {.count = 1, .reusable = true}, SHIFT(616),
  [2374] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 55), REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [2377] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 55),
  [2379] = {.count = 1, .reusable = true}, SHIFT(615),
  [2381] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 55), REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [2384] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51), REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [2387] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51),
  [2389] = {.count = 1, .reusable = false}, SHIFT(710),
  [2391] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52), REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [2394] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52),
  [2396] = {.count = 1, .reusable = true}, SHIFT(733),
  [2398] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 6),
  [2400] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(149),
  [2403] = {.count = 1, .reusable = true}, SHIFT(149),
  [2405] = {.count = 1, .reusable = false}, SHIFT(168),
  [2407] = {.count = 1, .reusable = true}, SHIFT(1434),
  [2409] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 7),
  [2411] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(142),
  [2414] = {.count = 1, .reusable = true}, SHIFT(142),
  [2416] = {.count = 1, .reusable = false}, SHIFT(165),
  [2418] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [2420] = {.count = 1, .reusable = true}, SHIFT(597),
  [2422] = {.count = 1, .reusable = true}, SHIFT(103),
  [2424] = {.count = 1, .reusable = true}, SHIFT(321),
  [2426] = {.count = 1, .reusable = true}, SHIFT(654),
  [2428] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2430] = {.count = 1, .reusable = true}, SHIFT(288),
  [2432] = {.count = 1, .reusable = true}, SHIFT(507),
  [2434] = {.count = 1, .reusable = false}, SHIFT(203),
  [2436] = {.count = 1, .reusable = false}, SHIFT(204),
  [2438] = {.count = 1, .reusable = true}, SHIFT(267),
  [2440] = {.count = 1, .reusable = true}, SHIFT(718),
  [2442] = {.count = 1, .reusable = true}, SHIFT(320),
  [2444] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [2447] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [2449] = {.count = 1, .reusable = true}, SHIFT(460),
  [2451] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(152),
  [2454] = {.count = 1, .reusable = true}, SHIFT(152),
  [2456] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(119),
  [2459] = {.count = 1, .reusable = true}, SHIFT(119),
  [2461] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2, .production_id = 58),
  [2463] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [2465] = {.count = 1, .reusable = true}, SHIFT(1375),
  [2467] = {.count = 1, .reusable = false}, SHIFT(823),
  [2469] = {.count = 1, .reusable = true}, SHIFT(559),
  [2471] = {.count = 1, .reusable = true}, SHIFT(824),
  [2473] = {.count = 1, .reusable = true}, SHIFT(1210),
  [2475] = {.count = 1, .reusable = true}, SHIFT(45),
  [2477] = {.count = 1, .reusable = true}, SHIFT(401),
  [2479] = {.count = 1, .reusable = true}, SHIFT(403),
  [2481] = {.count = 1, .reusable = true}, SHIFT(385),
  [2483] = {.count = 1, .reusable = true}, SHIFT(1230),
  [2485] = {.count = 1, .reusable = true}, SHIFT(1291),
  [2487] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2489] = {.count = 1, .reusable = true}, SHIFT(42),
  [2491] = {.count = 1, .reusable = true}, SHIFT(382),
  [2493] = {.count = 1, .reusable = true}, SHIFT(384),
  [2495] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(952),
  [2498] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1535),
  [2501] = {.count = 1, .reusable = false}, SHIFT(174),
  [2503] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(951),
  [2506] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1539),
  [2509] = {.count = 1, .reusable = false}, SHIFT(181),
  [2511] = {.count = 1, .reusable = true}, SHIFT(380),
  [2513] = {.count = 1, .reusable = true}, SHIFT(378),
  [2515] = {.count = 1, .reusable = true}, SHIFT(405),
  [2517] = {.count = 1, .reusable = true}, SHIFT(10),
  [2519] = {.count = 1, .reusable = true}, SHIFT(360),
  [2521] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 56),
  [2523] = {.count = 1, .reusable = true}, SHIFT(379),
  [2525] = {.count = 1, .reusable = true}, SHIFT(359),
  [2527] = {.count = 1, .reusable = false}, SHIFT(251),
  [2529] = {.count = 1, .reusable = true}, SHIFT(372),
  [2531] = {.count = 1, .reusable = true}, SHIFT(377),
  [2533] = {.count = 1, .reusable = false}, SHIFT(248),
  [2535] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [2538] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [2540] = {.count = 1, .reusable = true}, SHIFT(381),
  [2542] = {.count = 1, .reusable = true}, SHIFT(396),
  [2544] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [2547] = {.count = 1, .reusable = true}, SHIFT(1245),
  [2549] = {.count = 1, .reusable = true}, SHIFT(167),
  [2551] = {.count = 1, .reusable = true}, SHIFT(1423),
  [2553] = {.count = 1, .reusable = true}, SHIFT(157),
  [2555] = {.count = 1, .reusable = true}, SHIFT(1633),
  [2557] = {.count = 1, .reusable = true}, SHIFT(238),
  [2559] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 24),
  [2562] = {.count = 1, .reusable = true}, SHIFT(156),
  [2564] = {.count = 1, .reusable = false}, SHIFT(1078),
  [2566] = {.count = 1, .reusable = true}, SHIFT(459),
  [2568] = {.count = 1, .reusable = true}, SHIFT(89),
  [2570] = {.count = 1, .reusable = false}, SHIFT(904),
  [2572] = {.count = 1, .reusable = true}, SHIFT(1367),
  [2574] = {.count = 1, .reusable = false}, SHIFT(899),
  [2576] = {.count = 1, .reusable = false}, SHIFT(916),
  [2578] = {.count = 1, .reusable = false}, SHIFT(1119),
  [2580] = {.count = 1, .reusable = true}, SHIFT(659),
  [2582] = {.count = 1, .reusable = false}, SHIFT(909),
  [2584] = {.count = 1, .reusable = false}, SHIFT(902),
  [2586] = {.count = 1, .reusable = false}, SHIFT(920),
  [2588] = {.count = 1, .reusable = false}, SHIFT(1091),
  [2590] = {.count = 1, .reusable = true}, SHIFT(603),
  [2592] = {.count = 1, .reusable = false}, SHIFT(914),
  [2594] = {.count = 1, .reusable = false}, SHIFT(908),
  [2596] = {.count = 1, .reusable = false}, SHIFT(915),
  [2598] = {.count = 1, .reusable = false}, SHIFT(1166),
  [2600] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [2602] = {.count = 1, .reusable = false}, SHIFT(917),
  [2604] = {.count = 1, .reusable = false}, SHIFT(918),
  [2606] = {.count = 1, .reusable = false}, SHIFT(921),
  [2608] = {.count = 1, .reusable = false}, SHIFT(969),
  [2610] = {.count = 1, .reusable = true}, SHIFT(744),
  [2612] = {.count = 1, .reusable = false}, SHIFT(1710),
  [2614] = {.count = 1, .reusable = false}, SHIFT(1309),
  [2616] = {.count = 1, .reusable = false}, SHIFT(1524),
  [2618] = {.count = 1, .reusable = false}, SHIFT(1522),
  [2620] = {.count = 1, .reusable = false}, SHIFT(1669),
  [2622] = {.count = 1, .reusable = false}, SHIFT(1000),
  [2624] = {.count = 1, .reusable = false}, SHIFT(1692),
  [2626] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2628] = {.count = 1, .reusable = true}, SHIFT(62),
  [2630] = {.count = 1, .reusable = true}, SHIFT(658),
  [2632] = {.count = 1, .reusable = true}, SHIFT(496),
  [2634] = {.count = 1, .reusable = true}, SHIFT(660),
  [2636] = {.count = 1, .reusable = true}, SHIFT(61),
  [2638] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(969),
  [2641] = {.count = 1, .reusable = true}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67),
  [2643] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1710),
  [2646] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1309),
  [2649] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1524),
  [2652] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1522),
  [2655] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1669),
  [2658] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1000),
  [2661] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1692),
  [2664] = {.count = 2, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1009),
  [2667] = {.count = 1, .reusable = true}, SHIFT(506),
  [2669] = {.count = 1, .reusable = true}, SHIFT(764),
  [2671] = {.count = 1, .reusable = false}, SHIFT(1191),
  [2673] = {.count = 1, .reusable = true}, SHIFT(69),
  [2675] = {.count = 1, .reusable = true}, SHIFT(183),
  [2677] = {.count = 1, .reusable = false}, SHIFT(923),
  [2679] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2681] = {.count = 1, .reusable = false}, SHIFT(922),
  [2683] = {.count = 1, .reusable = false}, SHIFT(926),
  [2685] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1191),
  [2688] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67),
  [2690] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1006),
  [2693] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(183),
  [2696] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(923),
  [2699] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1246),
  [2702] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1198),
  [2705] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1090),
  [2708] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1076),
  [2711] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(922),
  [2714] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(926),
  [2717] = {.count = 1, .reusable = true}, SHIFT(508),
  [2719] = {.count = 1, .reusable = true}, SHIFT(653),
  [2721] = {.count = 1, .reusable = true}, SHIFT(510),
  [2723] = {.count = 1, .reusable = true}, SHIFT(673),
  [2725] = {.count = 1, .reusable = true}, SHIFT(711),
  [2727] = {.count = 1, .reusable = true}, SHIFT(701),
  [2729] = {.count = 1, .reusable = true}, SHIFT(72),
  [2731] = {.count = 1, .reusable = false}, SHIFT(963),
  [2733] = {.count = 1, .reusable = true}, SHIFT(957),
  [2735] = {.count = 1, .reusable = false}, SHIFT(1667),
  [2737] = {.count = 1, .reusable = false}, SHIFT(1405),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1670),
  [2741] = {.count = 1, .reusable = false}, SHIFT(1002),
  [2743] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2745] = {.count = 1, .reusable = true}, SHIFT(999),
  [2747] = {.count = 1, .reusable = true}, SHIFT(221),
  [2749] = {.count = 1, .reusable = true}, SHIFT(233),
  [2751] = {.count = 1, .reusable = true}, SHIFT(480),
  [2753] = {.count = 1, .reusable = true}, SHIFT(485),
  [2755] = {.count = 1, .reusable = true}, SHIFT(586),
  [2757] = {.count = 1, .reusable = false}, SHIFT(943),
  [2759] = {.count = 1, .reusable = true}, SHIFT(273),
  [2761] = {.count = 1, .reusable = true}, SHIFT(788),
  [2763] = {.count = 1, .reusable = true}, SHIFT(813),
  [2765] = {.count = 1, .reusable = true}, SHIFT(584),
  [2767] = {.count = 1, .reusable = true}, SHIFT(276),
  [2769] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(963),
  [2772] = {.count = 1, .reusable = true}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67),
  [2774] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1667),
  [2777] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1405),
  [2780] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1669),
  [2783] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1000),
  [2786] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1670),
  [2789] = {.count = 2, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1002),
  [2792] = {.count = 1, .reusable = true}, SHIFT(962),
  [2794] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2796] = {.count = 1, .reusable = false}, SHIFT(1162),
  [2798] = {.count = 1, .reusable = false}, SHIFT(941),
  [2800] = {.count = 1, .reusable = false}, SHIFT(1593),
  [2802] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2804] = {.count = 1, .reusable = false}, SHIFT(924),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1397),
  [2808] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2810] = {.count = 1, .reusable = false}, SHIFT(1681),
  [2812] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2814] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [2816] = {.count = 1, .reusable = false}, SHIFT(1682),
  [2818] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [2820] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 45),
  [2822] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 45),
  [2824] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 38),
  [2826] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 38),
  [2828] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 16),
  [2830] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 16),
  [2832] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 16), SHIFT_REPEAT(1076),
  [2835] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration_name, 1),
  [2837] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration_name, 1),
  [2839] = {.count = 1, .reusable = true}, SHIFT(983),
  [2841] = {.count = 1, .reusable = true}, SHIFT(144),
  [2843] = {.count = 1, .reusable = false}, SHIFT(974),
  [2845] = {.count = 1, .reusable = true}, SHIFT(87),
  [2847] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5, .production_id = 84),
  [2849] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5, .production_id = 84),
  [2851] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 7, .production_id = 114),
  [2853] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 7, .production_id = 114),
  [2855] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2857] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2859] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 2, .production_id = 74),
  [2861] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 2, .production_id = 74),
  [2863] = {.count = 1, .reusable = true}, SHIFT(99),
  [2865] = {.count = 1, .reusable = false}, SHIFT(946),
  [2867] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4, .production_id = 73),
  [2869] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4, .production_id = 73),
  [2871] = {.count = 1, .reusable = false}, REDUCE(sym_static_property_declaration, 3, .production_id = 98),
  [2873] = {.count = 1, .reusable = true}, REDUCE(sym_static_property_declaration, 3, .production_id = 98),
  [2875] = {.count = 1, .reusable = true}, SHIFT(256),
  [2877] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3, .production_id = 57),
  [2879] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3, .production_id = 57),
  [2881] = {.count = 1, .reusable = true}, SHIFT(991),
  [2883] = {.count = 1, .reusable = true}, SHIFT(1418),
  [2885] = {.count = 1, .reusable = false}, SHIFT(959),
  [2887] = {.count = 1, .reusable = false}, SHIFT(1290),
  [2889] = {.count = 1, .reusable = true}, SHIFT(1430),
  [2891] = {.count = 1, .reusable = false}, SHIFT(1280),
  [2893] = {.count = 1, .reusable = false}, REDUCE(sym_formal_type_parameters, 3),
  [2895] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameters, 3),
  [2897] = {.count = 1, .reusable = true}, SHIFT(1452),
  [2899] = {.count = 1, .reusable = true}, SHIFT(1561),
  [2901] = {.count = 1, .reusable = true}, SHIFT(1540),
  [2903] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2905] = {.count = 1, .reusable = true}, SHIFT(1470),
  [2907] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2909] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1013),
  [2913] = {.count = 1, .reusable = true}, SHIFT(1458),
  [2915] = {.count = 1, .reusable = true}, SHIFT(1557),
  [2917] = {.count = 1, .reusable = false}, REDUCE(sym_formal_type_parameters, 2),
  [2919] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameters, 2),
  [2921] = {.count = 1, .reusable = true}, SHIFT(932),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1677),
  [2925] = {.count = 1, .reusable = true}, SHIFT(911),
  [2927] = {.count = 1, .reusable = true}, REDUCE(sym_property_assignment_name, 1),
  [2929] = {.count = 1, .reusable = false}, SHIFT(1123),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1125),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1441),
  [2935] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2937] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2939] = {.count = 1, .reusable = false}, REDUCE(sym_formal_type_parameters, 4),
  [2941] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameters, 4),
  [2943] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2945] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2947] = {.count = 1, .reusable = true}, SHIFT(898),
  [2949] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_repeat1, 1, .production_id = 2),
  [2951] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_repeat1, 1, .production_id = 2),
  [2953] = {.count = 1, .reusable = true}, SHIFT(1417),
  [2955] = {.count = 1, .reusable = false}, REDUCE(sym_formal_type_parameters, 5),
  [2957] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameters, 5),
  [2959] = {.count = 1, .reusable = false}, SHIFT(1217),
  [2961] = {.count = 1, .reusable = false}, SHIFT(1216),
  [2963] = {.count = 1, .reusable = false}, REDUCE(sym_event_declaration, 3, .production_id = 85),
  [2965] = {.count = 1, .reusable = true}, REDUCE(sym_event_declaration, 3, .production_id = 85),
  [2967] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 5, .production_id = 84),
  [2969] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 5, .production_id = 84),
  [2971] = {.count = 1, .reusable = false}, REDUCE(sym_tripple_tagged_type_string, 3),
  [2973] = {.count = 1, .reusable = true}, REDUCE(sym_tripple_tagged_type_string, 3),
  [2975] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration_initializer, 2),
  [2977] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration_initializer, 2),
  [2979] = {.count = 1, .reusable = false}, REDUCE(sym_identifier_property_assignment, 3, .production_id = 5),
  [2981] = {.count = 1, .reusable = true}, REDUCE(sym_identifier_property_assignment, 3, .production_id = 5),
  [2983] = {.count = 1, .reusable = false}, REDUCE(sym_new_tagged_component_expression, 4, .production_id = 5),
  [2985] = {.count = 1, .reusable = true}, REDUCE(sym_new_tagged_component_expression, 4, .production_id = 5),
  [2987] = {.count = 1, .reusable = false}, REDUCE(sym_new_tripple_tagged_component_expression, 4, .production_id = 5),
  [2989] = {.count = 1, .reusable = true}, REDUCE(sym_new_tripple_tagged_component_expression, 4, .production_id = 5),
  [2991] = {.count = 1, .reusable = false}, REDUCE(sym_property_declaration, 3, .production_id = 74),
  [2993] = {.count = 1, .reusable = true}, REDUCE(sym_property_declaration, 3, .production_id = 74),
  [2995] = {.count = 1, .reusable = false}, SHIFT(1326),
  [2997] = {.count = 1, .reusable = false}, SHIFT(1288),
  [2999] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 4, .production_id = 73),
  [3001] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 4, .production_id = 73),
  [3003] = {.count = 1, .reusable = false}, REDUCE(sym_new_tripple_tagged_component_expression, 3, .production_id = 5),
  [3005] = {.count = 1, .reusable = true}, REDUCE(sym_new_tripple_tagged_component_expression, 3, .production_id = 5),
  [3007] = {.count = 1, .reusable = false}, REDUCE(sym_new_tagged_component_expression, 3, .production_id = 5),
  [3009] = {.count = 1, .reusable = true}, REDUCE(sym_new_tagged_component_expression, 3, .production_id = 5),
  [3011] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 7, .production_id = 117),
  [3013] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 7, .production_id = 117),
  [3015] = {.count = 1, .reusable = false}, REDUCE(sym_property_accessor_declaration, 5, .production_id = 113),
  [3017] = {.count = 1, .reusable = true}, REDUCE(sym_property_accessor_declaration, 5, .production_id = 113),
  [3019] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_definition, 3, .production_id = 42),
  [3021] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_definition, 3, .production_id = 42),
  [3023] = {.count = 1, .reusable = false}, REDUCE(sym_new_tripple_tagged_component_expression, 2, .production_id = 5),
  [3025] = {.count = 1, .reusable = true}, REDUCE(sym_new_tripple_tagged_component_expression, 2, .production_id = 5),
  [3027] = {.count = 1, .reusable = false}, REDUCE(sym_tagged_type_string, 3),
  [3029] = {.count = 1, .reusable = true}, REDUCE(sym_tagged_type_string, 3),
  [3031] = {.count = 1, .reusable = false}, REDUCE(sym_new_tagged_component_expression, 2, .production_id = 5),
  [3033] = {.count = 1, .reusable = true}, REDUCE(sym_new_tagged_component_expression, 2, .production_id = 5),
  [3035] = {.count = 1, .reusable = true}, SHIFT(1543),
  [3037] = {.count = 1, .reusable = true}, SHIFT(1612),
  [3039] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 6, .production_id = 97),
  [3041] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 6, .production_id = 97),
  [3043] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 6, .production_id = 115),
  [3045] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 6, .production_id = 115),
  [3047] = {.count = 1, .reusable = false}, REDUCE(sym_tripple_tagged_type_string, 2),
  [3049] = {.count = 1, .reusable = true}, REDUCE(sym_tripple_tagged_type_string, 2),
  [3051] = {.count = 1, .reusable = false}, REDUCE(sym_property_accessor_declaration, 4, .production_id = 73),
  [3053] = {.count = 1, .reusable = true}, REDUCE(sym_property_accessor_declaration, 4, .production_id = 73),
  [3055] = {.count = 1, .reusable = false}, REDUCE(sym_static_property_declaration, 4, .production_id = 98),
  [3057] = {.count = 1, .reusable = true}, REDUCE(sym_static_property_declaration, 4, .production_id = 98),
  [3059] = {.count = 1, .reusable = true}, SHIFT(1713),
  [3061] = {.count = 1, .reusable = false}, REDUCE(sym_property_assignment, 3),
  [3063] = {.count = 1, .reusable = true}, REDUCE(sym_property_assignment, 3),
  [3065] = {.count = 1, .reusable = false}, REDUCE(sym_tagged_type_string, 2),
  [3067] = {.count = 1, .reusable = true}, REDUCE(sym_tagged_type_string, 2),
  [3069] = {.count = 1, .reusable = false}, REDUCE(sym_typed_method_declaration, 5, .production_id = 113),
  [3071] = {.count = 1, .reusable = true}, REDUCE(sym_typed_method_declaration, 5, .production_id = 113),
  [3073] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 34),
  [3075] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 34),
  [3077] = {.count = 1, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 1, .production_id = 34),
  [3079] = {.count = 1, .reusable = true}, REDUCE(aux_sym_component_body_repeat1, 1, .production_id = 34),
  [3081] = {.count = 1, .reusable = true}, SHIFT(1021),
  [3083] = {.count = 1, .reusable = true}, REDUCE(sym_property_assignment_name, 2),
  [3085] = {.count = 1, .reusable = false}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 34),
  [3087] = {.count = 1, .reusable = true}, REDUCE(aux_sym_component_body_repeat1, 2, .production_id = 34),
  [3089] = {.count = 1, .reusable = false}, SHIFT(1075),
  [3091] = {.count = 1, .reusable = true}, SHIFT(1631),
  [3093] = {.count = 1, .reusable = true}, SHIFT(94),
  [3095] = {.count = 1, .reusable = true}, SHIFT(1519),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1351),
  [3099] = {.count = 1, .reusable = false}, SHIFT(1652),
  [3101] = {.count = 1, .reusable = true}, SHIFT(1075),
  [3103] = {.count = 1, .reusable = true}, SHIFT(100),
  [3105] = {.count = 1, .reusable = false}, SHIFT(1704),
  [3107] = {.count = 1, .reusable = false}, SHIFT(1630),
  [3109] = {.count = 1, .reusable = false}, SHIFT(1578),
  [3111] = {.count = 1, .reusable = false}, SHIFT(1613),
  [3113] = {.count = 1, .reusable = true}, SHIFT(1148),
  [3115] = {.count = 1, .reusable = true}, SHIFT(1266),
  [3117] = {.count = 1, .reusable = true}, SHIFT(1263),
  [3119] = {.count = 1, .reusable = false}, SHIFT(92),
  [3121] = {.count = 1, .reusable = false}, SHIFT(1145),
  [3123] = {.count = 1, .reusable = false}, SHIFT(1070),
  [3125] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [3127] = {.count = 1, .reusable = false}, SHIFT(1169),
  [3129] = {.count = 1, .reusable = true}, SHIFT(1371),
  [3131] = {.count = 1, .reusable = false}, SHIFT(1609),
  [3133] = {.count = 1, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 1, .production_id = 34),
  [3135] = {.count = 1, .reusable = true}, REDUCE(aux_sym_new_component_body_repeat1, 1, .production_id = 34),
  [3137] = {.count = 1, .reusable = true}, SHIFT(1066),
  [3139] = {.count = 1, .reusable = false}, SHIFT(1043),
  [3141] = {.count = 1, .reusable = false}, SHIFT(1138),
  [3143] = {.count = 1, .reusable = false}, SHIFT(1054),
  [3145] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 62), SHIFT_REPEAT(1075),
  [3148] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 62), SHIFT_REPEAT(94),
  [3151] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 62),
  [3153] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 62),
  [3155] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 62), SHIFT_REPEAT(1075),
  [3158] = {.count = 1, .reusable = false}, SHIFT(1140),
  [3160] = {.count = 1, .reusable = false}, SHIFT(1055),
  [3162] = {.count = 1, .reusable = false}, SHIFT(1041),
  [3164] = {.count = 1, .reusable = false}, SHIFT(1586),
  [3166] = {.count = 1, .reusable = false}, SHIFT(1697),
  [3168] = {.count = 1, .reusable = false}, SHIFT(1154),
  [3170] = {.count = 1, .reusable = false}, SHIFT(1061),
  [3172] = {.count = 1, .reusable = false}, SHIFT(1581),
  [3174] = {.count = 1, .reusable = false}, SHIFT(1643),
  [3176] = {.count = 1, .reusable = false}, SHIFT(1131),
  [3178] = {.count = 1, .reusable = false}, SHIFT(1132),
  [3180] = {.count = 1, .reusable = false}, SHIFT(1065),
  [3182] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3184] = {.count = 1, .reusable = false}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 34),
  [3186] = {.count = 1, .reusable = true}, REDUCE(aux_sym_new_component_body_repeat1, 2, .production_id = 34),
  [3188] = {.count = 1, .reusable = false}, SHIFT(1181),
  [3190] = {.count = 1, .reusable = false}, SHIFT(1063),
  [3192] = {.count = 1, .reusable = false}, SHIFT(1183),
  [3194] = {.count = 1, .reusable = false}, SHIFT(1071),
  [3196] = {.count = 1, .reusable = false}, SHIFT(1167),
  [3198] = {.count = 1, .reusable = false}, SHIFT(1072),
  [3200] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(92),
  [3203] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1258),
  [3206] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1070),
  [3209] = {.count = 1, .reusable = false}, SHIFT(1147),
  [3211] = {.count = 1, .reusable = false}, SHIFT(1170),
  [3213] = {.count = 2, .reusable = true}, REDUCE(aux_sym_component_heritage_repeat1, 2), SHIFT_REPEAT(1677),
  [3216] = {.count = 1, .reusable = false}, REDUCE(aux_sym_component_heritage_repeat1, 2),
  [3218] = {.count = 1, .reusable = false}, SHIFT(1086),
  [3220] = {.count = 1, .reusable = false}, SHIFT(1084),
  [3222] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [3224] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [3226] = {.count = 1, .reusable = true}, SHIFT(1034),
  [3228] = {.count = 1, .reusable = false}, SHIFT(927),
  [3230] = {.count = 1, .reusable = false}, SHIFT(925),
  [3232] = {.count = 1, .reusable = true}, SHIFT(1121),
  [3234] = {.count = 1, .reusable = true}, SHIFT(978),
  [3236] = {.count = 1, .reusable = true}, SHIFT(113),
  [3238] = {.count = 1, .reusable = true}, SHIFT(1082),
  [3240] = {.count = 1, .reusable = true}, SHIFT(787),
  [3242] = {.count = 1, .reusable = true}, SHIFT(132),
  [3244] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1082),
  [3247] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [3249] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(132),
  [3252] = {.count = 1, .reusable = true}, SHIFT(1133),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1681),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1682),
  [3258] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [3260] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(143),
  [3263] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1703),
  [3266] = {.count = 1, .reusable = true}, SHIFT(881),
  [3268] = {.count = 1, .reusable = true}, SHIFT(1686),
  [3270] = {.count = 1, .reusable = true}, SHIFT(973),
  [3272] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1, .production_id = 35),
  [3274] = {.count = 1, .reusable = true}, SHIFT(253),
  [3276] = {.count = 1, .reusable = true}, SHIFT(882),
  [3278] = {.count = 1, .reusable = true}, SHIFT(880),
  [3280] = {.count = 1, .reusable = true}, SHIFT(996),
  [3282] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [3284] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [3286] = {.count = 1, .reusable = true}, SHIFT(1035),
  [3288] = {.count = 1, .reusable = true}, SHIFT(1114),
  [3290] = {.count = 1, .reusable = true}, SHIFT(719),
  [3292] = {.count = 1, .reusable = true}, SHIFT(1079),
  [3294] = {.count = 1, .reusable = true}, SHIFT(800),
  [3296] = {.count = 1, .reusable = true}, SHIFT(887),
  [3298] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [3300] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [3302] = {.count = 1, .reusable = true}, SHIFT(503),
  [3304] = {.count = 1, .reusable = true}, SHIFT(690),
  [3306] = {.count = 1, .reusable = true}, SHIFT(1113),
  [3308] = {.count = 1, .reusable = true}, SHIFT(488),
  [3310] = {.count = 1, .reusable = true}, SHIFT(304),
  [3312] = {.count = 1, .reusable = true}, SHIFT(143),
  [3314] = {.count = 1, .reusable = true}, SHIFT(1703),
  [3316] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [3318] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [3320] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1121),
  [3323] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(113),
  [3326] = {.count = 1, .reusable = true}, SHIFT(1098),
  [3328] = {.count = 1, .reusable = true}, SHIFT(1011),
  [3330] = {.count = 1, .reusable = true}, SHIFT(1077),
  [3332] = {.count = 1, .reusable = true}, SHIFT(1005),
  [3334] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 64),
  [3336] = {.count = 1, .reusable = true}, SHIFT(298),
  [3338] = {.count = 1, .reusable = false}, SHIFT(1022),
  [3340] = {.count = 1, .reusable = false}, SHIFT(1636),
  [3342] = {.count = 1, .reusable = true}, SHIFT(1029),
  [3344] = {.count = 1, .reusable = false}, SHIFT(1610),
  [3346] = {.count = 1, .reusable = false}, SHIFT(1224),
  [3348] = {.count = 1, .reusable = true}, SHIFT(896),
  [3350] = {.count = 1, .reusable = false}, SHIFT(1515),
  [3352] = {.count = 1, .reusable = true}, SHIFT(1551),
  [3354] = {.count = 1, .reusable = false}, SHIFT(1247),
  [3356] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [3358] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [3360] = {.count = 1, .reusable = false}, SHIFT(1242),
  [3362] = {.count = 1, .reusable = false}, SHIFT(1214),
  [3364] = {.count = 1, .reusable = true}, SHIFT(892),
  [3366] = {.count = 1, .reusable = false}, SHIFT(1027),
  [3368] = {.count = 1, .reusable = true}, SHIFT(1064),
  [3370] = {.count = 1, .reusable = true}, SHIFT(1038),
  [3372] = {.count = 1, .reusable = true}, SHIFT(1141),
  [3374] = {.count = 1, .reusable = true}, SHIFT(1614),
  [3376] = {.count = 1, .reusable = false}, SHIFT(1252),
  [3378] = {.count = 1, .reusable = true}, SHIFT(893),
  [3380] = {.count = 1, .reusable = false}, SHIFT(1235),
  [3382] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [3384] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [3386] = {.count = 1, .reusable = false}, SHIFT(1638),
  [3388] = {.count = 1, .reusable = false}, SHIFT(1028),
  [3390] = {.count = 1, .reusable = true}, SHIFT(1067),
  [3392] = {.count = 1, .reusable = true}, SHIFT(1036),
  [3394] = {.count = 1, .reusable = true}, SHIFT(1160),
  [3396] = {.count = 1, .reusable = true}, SHIFT(1615),
  [3398] = {.count = 1, .reusable = false}, SHIFT(1220),
  [3400] = {.count = 1, .reusable = false}, SHIFT(1261),
  [3402] = {.count = 1, .reusable = false}, SHIFT(1229),
  [3404] = {.count = 1, .reusable = false}, SHIFT(1025),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1068),
  [3408] = {.count = 1, .reusable = true}, SHIFT(1039),
  [3410] = {.count = 1, .reusable = false}, SHIFT(1194),
  [3412] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [3414] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [3416] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [3418] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [3420] = {.count = 1, .reusable = true}, SHIFT(1150),
  [3422] = {.count = 1, .reusable = true}, SHIFT(1608),
  [3424] = {.count = 1, .reusable = false}, SHIFT(1024),
  [3426] = {.count = 1, .reusable = true}, SHIFT(1069),
  [3428] = {.count = 1, .reusable = true}, SHIFT(1030),
  [3430] = {.count = 1, .reusable = false}, SHIFT(1209),
  [3432] = {.count = 1, .reusable = false}, SHIFT(1264),
  [3434] = {.count = 1, .reusable = false}, SHIFT(1197),
  [3436] = {.count = 1, .reusable = true}, SHIFT(1151),
  [3438] = {.count = 1, .reusable = true}, SHIFT(1654),
  [3440] = {.count = 1, .reusable = false}, SHIFT(1698),
  [3442] = {.count = 1, .reusable = false}, SHIFT(1190),
  [3444] = {.count = 1, .reusable = false}, SHIFT(1714),
  [3446] = {.count = 1, .reusable = false}, SHIFT(1250),
  [3448] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [3450] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [3452] = {.count = 1, .reusable = true}, SHIFT(1162),
  [3454] = {.count = 1, .reusable = true}, SHIFT(1593),
  [3456] = {.count = 1, .reusable = true}, SHIFT(1647),
  [3458] = {.count = 1, .reusable = false}, SHIFT(1603),
  [3460] = {.count = 1, .reusable = false}, SHIFT(1645),
  [3462] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_repeat1, 2, .production_id = 16), SHIFT_REPEAT(1074),
  [3465] = {.count = 1, .reusable = false}, SHIFT(1596),
  [3467] = {.count = 1, .reusable = false}, SHIFT(607),
  [3469] = {.count = 1, .reusable = true}, SHIFT(1237),
  [3471] = {.count = 1, .reusable = false}, SHIFT(1237),
  [3473] = {.count = 1, .reusable = true}, SHIFT(1592),
  [3475] = {.count = 1, .reusable = true}, REDUCE(sym_import_path, 1),
  [3477] = {.count = 1, .reusable = true}, SHIFT(1530),
  [3479] = {.count = 1, .reusable = true}, SHIFT(1304),
  [3481] = {.count = 1, .reusable = false}, SHIFT(307),
  [3483] = {.count = 1, .reusable = true}, SHIFT(1236),
  [3485] = {.count = 1, .reusable = false}, SHIFT(1236),
  [3487] = {.count = 1, .reusable = true}, SHIFT(1233),
  [3489] = {.count = 1, .reusable = false}, SHIFT(1233),
  [3491] = {.count = 1, .reusable = false}, SHIFT(1292),
  [3493] = {.count = 1, .reusable = true}, SHIFT(1484),
  [3495] = {.count = 1, .reusable = true}, SHIFT(1083),
  [3497] = {.count = 1, .reusable = true}, SHIFT(341),
  [3499] = {.count = 1, .reusable = true}, REDUCE(sym_component_heritage, 3),
  [3501] = {.count = 1, .reusable = false}, SHIFT(1349),
  [3503] = {.count = 1, .reusable = true}, SHIFT(1436),
  [3505] = {.count = 1, .reusable = true}, SHIFT(1521),
  [3507] = {.count = 1, .reusable = true}, SHIFT(1352),
  [3509] = {.count = 1, .reusable = true}, SHIFT(337),
  [3511] = {.count = 1, .reusable = true}, SHIFT(889),
  [3513] = {.count = 1, .reusable = true}, SHIFT(1515),
  [3515] = {.count = 1, .reusable = false}, SHIFT(677),
  [3517] = {.count = 1, .reusable = true}, SHIFT(1234),
  [3519] = {.count = 1, .reusable = false}, SHIFT(1234),
  [3521] = {.count = 1, .reusable = true}, SHIFT(1661),
  [3523] = {.count = 1, .reusable = true}, SHIFT(24),
  [3525] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(78),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1556),
  [3530] = {.count = 1, .reusable = true}, SHIFT(1361),
  [3532] = {.count = 1, .reusable = true}, SHIFT(1443),
  [3534] = {.count = 1, .reusable = true}, SHIFT(1303),
  [3536] = {.count = 1, .reusable = true}, REDUCE(sym_import_path, 3, .production_id = 3),
  [3538] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_path_repeat1, 2), SHIFT_REPEAT(1592),
  [3541] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_path_repeat1, 2),
  [3543] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [3545] = {.count = 1, .reusable = false}, SHIFT(486),
  [3547] = {.count = 1, .reusable = true}, SHIFT(1240),
  [3549] = {.count = 1, .reusable = false}, SHIFT(1240),
  [3551] = {.count = 1, .reusable = true}, REDUCE(sym_import_path, 2, .production_id = 3),
  [3553] = {.count = 1, .reusable = true}, SHIFT(1239),
  [3555] = {.count = 1, .reusable = false}, SHIFT(1239),
  [3557] = {.count = 1, .reusable = true}, SHIFT(1468),
  [3559] = {.count = 1, .reusable = true}, SHIFT(1319),
  [3561] = {.count = 1, .reusable = true}, SHIFT(948),
  [3563] = {.count = 1, .reusable = true}, SHIFT(1380),
  [3565] = {.count = 1, .reusable = true}, SHIFT(950),
  [3567] = {.count = 1, .reusable = true}, SHIFT(1545),
  [3569] = {.count = 1, .reusable = true}, SHIFT(951),
  [3571] = {.count = 1, .reusable = true}, SHIFT(1539),
  [3573] = {.count = 1, .reusable = true}, SHIFT(235),
  [3575] = {.count = 1, .reusable = true}, SHIFT(19),
  [3577] = {.count = 1, .reusable = true}, SHIFT(1461),
  [3579] = {.count = 1, .reusable = true}, SHIFT(1316),
  [3581] = {.count = 1, .reusable = false}, SHIFT(492),
  [3583] = {.count = 1, .reusable = true}, SHIFT(1211),
  [3585] = {.count = 1, .reusable = false}, SHIFT(1211),
  [3587] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(1083),
  [3590] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [3592] = {.count = 1, .reusable = true}, SHIFT(1213),
  [3594] = {.count = 1, .reusable = false}, SHIFT(1213),
  [3596] = {.count = 1, .reusable = true}, SHIFT(339),
  [3598] = {.count = 1, .reusable = false}, SHIFT(333),
  [3600] = {.count = 1, .reusable = false}, SHIFT(649),
  [3602] = {.count = 1, .reusable = false}, SHIFT(1284),
  [3604] = {.count = 1, .reusable = true}, SHIFT(1498),
  [3606] = {.count = 1, .reusable = false}, SHIFT(588),
  [3608] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [3610] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1239),
  [3613] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1239),
  [3616] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2),
  [3618] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(1240),
  [3621] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(1240),
  [3624] = {.count = 1, .reusable = false}, SHIFT(1331),
  [3626] = {.count = 1, .reusable = true}, SHIFT(1548),
  [3628] = {.count = 1, .reusable = true}, SHIFT(1238),
  [3630] = {.count = 1, .reusable = false}, SHIFT(1238),
  [3632] = {.count = 1, .reusable = false}, SHIFT(1358),
  [3634] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3636] = {.count = 1, .reusable = true}, SHIFT(297),
  [3638] = {.count = 1, .reusable = false}, SHIFT(1174),
  [3640] = {.count = 1, .reusable = true}, SHIFT(1533),
  [3642] = {.count = 1, .reusable = true}, SHIFT(1372),
  [3644] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3646] = {.count = 1, .reusable = true}, SHIFT(1340),
  [3648] = {.count = 1, .reusable = true}, SHIFT(1555),
  [3650] = {.count = 1, .reusable = true}, SHIFT(1271),
  [3652] = {.count = 1, .reusable = true}, SHIFT(952),
  [3654] = {.count = 1, .reusable = true}, SHIFT(1535),
  [3656] = {.count = 1, .reusable = true}, SHIFT(154),
  [3658] = {.count = 1, .reusable = false}, SHIFT(1179),
  [3660] = {.count = 1, .reusable = true}, SHIFT(1251),
  [3662] = {.count = 1, .reusable = false}, SHIFT(1251),
  [3664] = {.count = 1, .reusable = true}, REDUCE(sym_import_path, 2),
  [3666] = {.count = 1, .reusable = true}, SHIFT(1253),
  [3668] = {.count = 1, .reusable = false}, SHIFT(1253),
  [3670] = {.count = 1, .reusable = true}, REDUCE(sym_component_heritage, 2),
  [3672] = {.count = 1, .reusable = true}, SHIFT(1244),
  [3674] = {.count = 1, .reusable = false}, SHIFT(1244),
  [3676] = {.count = 1, .reusable = true}, SHIFT(1528),
  [3678] = {.count = 1, .reusable = true}, SHIFT(1302),
  [3680] = {.count = 1, .reusable = true}, SHIFT(1527),
  [3682] = {.count = 1, .reusable = true}, SHIFT(1189),
  [3684] = {.count = 1, .reusable = true}, SHIFT(1188),
  [3686] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameter, 2, .production_id = 111),
  [3688] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameter, 2, .production_id = 112),
  [3690] = {.count = 1, .reusable = true}, SHIFT(986),
  [3692] = {.count = 1, .reusable = true}, SHIFT(966),
  [3694] = {.count = 1, .reusable = true}, SHIFT(1310),
  [3696] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 13),
  [3698] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(879),
  [3701] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [3703] = {.count = 1, .reusable = true}, SHIFT(1281),
  [3705] = {.count = 1, .reusable = true}, SHIFT(262),
  [3707] = {.count = 1, .reusable = true}, SHIFT(605),
  [3709] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameter, 2, .production_id = 109),
  [3711] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3713] = {.count = 1, .reusable = true}, SHIFT(856),
  [3715] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 24),
  [3717] = {.count = 1, .reusable = true}, SHIFT(955),
  [3719] = {.count = 1, .reusable = true}, SHIFT(469),
  [3721] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 25),
  [3723] = {.count = 1, .reusable = true}, SHIFT(1485),
  [3725] = {.count = 1, .reusable = true}, SHIFT(323),
  [3727] = {.count = 1, .reusable = true}, SHIFT(1518),
  [3729] = {.count = 1, .reusable = true}, SHIFT(1433),
  [3731] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3733] = {.count = 1, .reusable = true}, SHIFT(471),
  [3735] = {.count = 1, .reusable = true}, SHIFT(468),
  [3737] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 18),
  [3739] = {.count = 1, .reusable = false}, SHIFT(1568),
  [3741] = {.count = 1, .reusable = false}, SHIFT(1712),
  [3743] = {.count = 1, .reusable = false}, SHIFT(1694),
  [3745] = {.count = 1, .reusable = true}, SHIFT(972),
  [3747] = {.count = 1, .reusable = true}, SHIFT(847),
  [3749] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_type_parameters_repeat1, 2), SHIFT_REPEAT(1399),
  [3752] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_type_parameters_repeat1, 2),
  [3754] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(981),
  [3757] = {.count = 1, .reusable = true}, REDUCE(sym_component_identifier, 2),
  [3759] = {.count = 1, .reusable = false}, REDUCE(sym_component_identifier, 2),
  [3761] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [3763] = {.count = 1, .reusable = true}, SHIFT(1459),
  [3765] = {.count = 1, .reusable = true}, SHIFT(1275),
  [3767] = {.count = 1, .reusable = true}, SHIFT(949),
  [3769] = {.count = 1, .reusable = true}, SHIFT(1460),
  [3771] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 20),
  [3773] = {.count = 1, .reusable = true}, REDUCE(sym_formal_type_parameter, 2, .production_id = 110),
  [3775] = {.count = 1, .reusable = true}, SHIFT(602),
  [3777] = {.count = 1, .reusable = true}, SHIFT(609),
  [3779] = {.count = 1, .reusable = true}, SHIFT(458),
  [3781] = {.count = 1, .reusable = true}, SHIFT(497),
  [3783] = {.count = 1, .reusable = true}, SHIFT(1164),
  [3785] = {.count = 1, .reusable = true}, SHIFT(958),
  [3787] = {.count = 1, .reusable = true}, SHIFT(612),
  [3789] = {.count = 1, .reusable = true}, SHIFT(1709),
  [3791] = {.count = 1, .reusable = true}, SHIFT(1691),
  [3793] = {.count = 1, .reusable = true}, SHIFT(76),
  [3795] = {.count = 1, .reusable = true}, SHIFT(1410),
  [3797] = {.count = 1, .reusable = true}, SHIFT(1553),
  [3799] = {.count = 1, .reusable = true}, SHIFT(964),
  [3801] = {.count = 1, .reusable = true}, SHIFT(961),
  [3803] = {.count = 1, .reusable = true}, SHIFT(561),
  [3805] = {.count = 1, .reusable = true}, SHIFT(679),
  [3807] = {.count = 1, .reusable = true}, SHIFT(1708),
  [3809] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 31),
  [3811] = {.count = 1, .reusable = true}, SHIFT(1513),
  [3813] = {.count = 1, .reusable = true}, SHIFT(1693),
  [3815] = {.count = 1, .reusable = true}, SHIFT(971),
  [3817] = {.count = 1, .reusable = true}, SHIFT(1017),
  [3819] = {.count = 1, .reusable = true}, SHIFT(477),
  [3821] = {.count = 1, .reusable = true}, SHIFT(655),
  [3823] = {.count = 1, .reusable = true}, SHIFT(1448),
  [3825] = {.count = 1, .reusable = true}, SHIFT(75),
  [3827] = {.count = 1, .reusable = true}, SHIFT(1560),
  [3829] = {.count = 1, .reusable = true}, SHIFT(1480),
  [3831] = {.count = 1, .reusable = true}, SHIFT(325),
  [3833] = {.count = 1, .reusable = true}, SHIFT(1176),
  [3835] = {.count = 1, .reusable = true}, SHIFT(663),
  [3837] = {.count = 1, .reusable = true}, SHIFT(252),
  [3839] = {.count = 2, .reusable = true}, REDUCE(aux_sym_js_import_statement_repeat1, 2), SHIFT_REPEAT(1709),
  [3842] = {.count = 1, .reusable = true}, REDUCE(aux_sym_js_import_statement_repeat1, 2),
  [3844] = {.count = 1, .reusable = true}, SHIFT(624),
  [3846] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 61),
  [3848] = {.count = 1, .reusable = true}, SHIFT(1520),
  [3850] = {.count = 1, .reusable = true}, SHIFT(1695),
  [3852] = {.count = 1, .reusable = true}, SHIFT(1579),
  [3854] = {.count = 1, .reusable = true}, SHIFT(329),
  [3856] = {.count = 1, .reusable = true}, SHIFT(627),
  [3858] = {.count = 1, .reusable = false}, SHIFT(1212),
  [3860] = {.count = 1, .reusable = false}, REDUCE(sym_import_path, 1, .production_id = 3),
  [3862] = {.count = 1, .reusable = true}, REDUCE(sym_import_path, 1, .production_id = 3),
  [3864] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 13),
  [3866] = {.count = 1, .reusable = true}, SHIFT(28),
  [3868] = {.count = 1, .reusable = true}, SHIFT(22),
  [3870] = {.count = 1, .reusable = true}, SHIFT(1353),
  [3872] = {.count = 1, .reusable = true}, SHIFT(1688),
  [3874] = {.count = 1, .reusable = true}, SHIFT(1602),
  [3876] = {.count = 1, .reusable = true}, SHIFT(1628),
  [3878] = {.count = 1, .reusable = true}, SHIFT(95),
  [3880] = {.count = 1, .reusable = true}, SHIFT(1130),
  [3882] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 13),
  [3884] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 13),
  [3886] = {.count = 1, .reusable = true}, SHIFT(15),
  [3888] = {.count = 1, .reusable = true}, SHIFT(1350),
  [3890] = {.count = 1, .reusable = true}, SHIFT(1590),
  [3892] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5),
  [3894] = {.count = 1, .reusable = true}, SHIFT(1089),
  [3896] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [3898] = {.count = 1, .reusable = true}, SHIFT(133),
  [3900] = {.count = 1, .reusable = true}, SHIFT(27),
  [3902] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 24),
  [3904] = {.count = 1, .reusable = true}, SHIFT(1342),
  [3906] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 25),
  [3908] = {.count = 1, .reusable = true}, SHIFT(318),
  [3910] = {.count = 1, .reusable = true}, SHIFT(319),
  [3912] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 3, .production_id = 82),
  [3914] = {.count = 1, .reusable = true}, SHIFT(1644),
  [3916] = {.count = 1, .reusable = true}, SHIFT(250),
  [3918] = {.count = 1, .reusable = false}, SHIFT(1118),
  [3920] = {.count = 1, .reusable = true}, SHIFT(1118),
  [3922] = {.count = 1, .reusable = true}, SHIFT(332),
  [3924] = {.count = 1, .reusable = true}, SHIFT(111),
  [3926] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 25),
  [3928] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 65),
  [3930] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 24),
  [3932] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 25),
  [3934] = {.count = 1, .reusable = true}, SHIFT(32),
  [3936] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [3938] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [3940] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 24),
  [3942] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [3944] = {.count = 1, .reusable = true}, SHIFT(293),
  [3946] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 24),
  [3948] = {.count = 1, .reusable = true}, SHIFT(1126),
  [3950] = {.count = 1, .reusable = true}, SHIFT(106),
  [3952] = {.count = 1, .reusable = true}, SHIFT(363),
  [3954] = {.count = 1, .reusable = true}, SHIFT(481),
  [3956] = {.count = 1, .reusable = true}, SHIFT(1706),
  [3958] = {.count = 1, .reusable = true}, SHIFT(328),
  [3960] = {.count = 1, .reusable = true}, SHIFT(479),
  [3962] = {.count = 1, .reusable = false}, SHIFT(1653),
  [3964] = {.count = 1, .reusable = true}, SHIFT(792),
  [3966] = {.count = 1, .reusable = false}, SHIFT(743),
  [3968] = {.count = 1, .reusable = false}, SHIFT(1587),
  [3970] = {.count = 1, .reusable = true}, SHIFT(1124),
  [3972] = {.count = 1, .reusable = true}, SHIFT(1344),
  [3974] = {.count = 1, .reusable = true}, SHIFT(1093),
  [3976] = {.count = 1, .reusable = true}, SHIFT(1346),
  [3978] = {.count = 1, .reusable = true}, SHIFT(1088),
  [3980] = {.count = 1, .reusable = true}, SHIFT(1127),
  [3982] = {.count = 1, .reusable = true}, SHIFT(1660),
  [3984] = {.count = 1, .reusable = true}, SHIFT(814),
  [3986] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [3988] = {.count = 1, .reusable = true}, SHIFT(404),
  [3990] = {.count = 1, .reusable = true}, SHIFT(1464),
  [3992] = {.count = 1, .reusable = true}, SHIFT(1601),
  [3994] = {.count = 1, .reusable = true}, SHIFT(494),
  [3996] = {.count = 1, .reusable = true}, SHIFT(1314),
  [3998] = {.count = 1, .reusable = true}, SHIFT(980),
  [4000] = {.count = 1, .reusable = true}, SHIFT(1094),
  [4002] = {.count = 1, .reusable = true}, SHIFT(1178),
  [4004] = {.count = 1, .reusable = true}, SHIFT(504),
  [4006] = {.count = 1, .reusable = true}, SHIFT(392),
  [4008] = {.count = 1, .reusable = true}, SHIFT(1567),
  [4010] = {.count = 1, .reusable = true}, SHIFT(1177),
  [4012] = {.count = 1, .reusable = true}, SHIFT(1095),
  [4014] = {.count = 1, .reusable = true}, SHIFT(1097),
  [4016] = {.count = 1, .reusable = true}, SHIFT(782),
  [4018] = {.count = 1, .reusable = true}, SHIFT(108),
  [4020] = {.count = 1, .reusable = true}, SHIFT(101),
  [4022] = {.count = 1, .reusable = true}, SHIFT(112),
  [4024] = {.count = 1, .reusable = true}, SHIFT(109),
  [4026] = {.count = 1, .reusable = true}, SHIFT(120),
  [4028] = {.count = 1, .reusable = false}, SHIFT(455),
  [4030] = {.count = 1, .reusable = true}, SHIFT(410),
  [4032] = {.count = 1, .reusable = true}, SHIFT(1537),
  [4034] = {.count = 1, .reusable = true}, SHIFT(150),
  [4036] = {.count = 1, .reusable = true}, SHIFT(858),
  [4038] = {.count = 1, .reusable = true}, SHIFT(1110),
  [4040] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 4),
  [4042] = {.count = 1, .reusable = true}, SHIFT(1122),
  [4044] = {.count = 1, .reusable = true}, SHIFT(114),
  [4046] = {.count = 1, .reusable = true}, SHIFT(1168),
  [4048] = {.count = 1, .reusable = true}, SHIFT(127),
  [4050] = {.count = 1, .reusable = true}, SHIFT(812),
  [4052] = {.count = 1, .reusable = false}, SHIFT(1678),
  [4054] = {.count = 1, .reusable = true}, SHIFT(1483),
  [4056] = {.count = 1, .reusable = true}, SHIFT(1111),
  [4058] = {.count = 1, .reusable = true}, SHIFT(1286),
  [4060] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [4062] = {.count = 1, .reusable = true}, SHIFT(1155),
  [4064] = {.count = 1, .reusable = true}, SHIFT(1489),
  [4066] = {.count = 1, .reusable = true}, SHIFT(1493),
  [4068] = {.count = 1, .reusable = true}, SHIFT(1529),
  [4070] = {.count = 1, .reusable = true}, SHIFT(1325),
  [4072] = {.count = 1, .reusable = false}, SHIFT(628),
  [4074] = {.count = 1, .reusable = true}, SHIFT(1109),
  [4076] = {.count = 1, .reusable = true}, SHIFT(400),
  [4078] = {.count = 1, .reusable = true}, SHIFT(134),
  [4080] = {.count = 1, .reusable = true}, SHIFT(135),
  [4082] = {.count = 1, .reusable = true}, SHIFT(136),
  [4084] = {.count = 1, .reusable = true}, REDUCE(sym_component_instance, 2),
  [4086] = {.count = 1, .reusable = true}, REDUCE(sym_typed_function_return_type, 1),
  [4088] = {.count = 1, .reusable = true}, SHIFT(348),
  [4090] = {.count = 1, .reusable = false}, SHIFT(1624),
  [4092] = {.count = 1, .reusable = true}, SHIFT(391),
  [4094] = {.count = 1, .reusable = true}, SHIFT(117),
  [4096] = {.count = 1, .reusable = true}, SHIFT(499),
  [4098] = {.count = 1, .reusable = true}, SHIFT(1606),
  [4100] = {.count = 1, .reusable = true}, SHIFT(1542),
  [4102] = {.count = 1, .reusable = true}, SHIFT(102),
  [4104] = {.count = 1, .reusable = true}, SHIFT(130),
  [4106] = {.count = 1, .reusable = true}, SHIFT(131),
  [4108] = {.count = 1, .reusable = true}, SHIFT(138),
  [4110] = {.count = 1, .reusable = true}, SHIFT(366),
  [4112] = {.count = 1, .reusable = true}, SHIFT(402),
  [4114] = {.count = 1, .reusable = true}, SHIFT(1099),
  [4116] = {.count = 1, .reusable = false}, SHIFT(557),
  [4118] = {.count = 1, .reusable = true}, SHIFT(930),
  [4120] = {.count = 1, .reusable = true}, SHIFT(929),
  [4122] = {.count = 1, .reusable = true}, SHIFT(105),
  [4124] = {.count = 1, .reusable = true}, SHIFT(694),
  [4126] = {.count = 1, .reusable = true}, SHIFT(1267),
  [4128] = {.count = 1, .reusable = true}, SHIFT(1360),
  [4130] = {.count = 1, .reusable = true}, SHIFT(140),
  [4132] = {.count = 1, .reusable = true}, SHIFT(1282),
  [4134] = {.count = 1, .reusable = true}, SHIFT(1517),
  [4136] = {.count = 1, .reusable = true}, SHIFT(1348),
  [4138] = {.count = 1, .reusable = true}, SHIFT(1511),
  [4140] = {.count = 1, .reusable = true}, SHIFT(1345),
  [4142] = {.count = 1, .reusable = true}, SHIFT(1506),
  [4144] = {.count = 1, .reusable = true}, SHIFT(755),
  [4146] = {.count = 1, .reusable = true}, SHIFT(754),
  [4148] = {.count = 1, .reusable = true}, SHIFT(12),
  [4150] = {.count = 1, .reusable = true}, SHIFT(708),
  [4152] = {.count = 1, .reusable = true}, REDUCE(sym_import_as, 2),
  [4154] = {.count = 1, .reusable = true}, SHIFT(1272),
  [4156] = {.count = 1, .reusable = true}, SHIFT(1442),
  [4158] = {.count = 1, .reusable = true}, SHIFT(1694),
  [4160] = {.count = 1, .reusable = true}, SHIFT(1696),
  [4162] = {.count = 1, .reusable = true}, SHIFT(1420),
  [4164] = {.count = 1, .reusable = true}, SHIFT(770),
};

void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_elements(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
